<?php
/**
 * @file
 * This file provides theme part of MCD module
 */

/**
 * Generate the jQuery output
 */
function add_func_mcd_js_countdown() {
	// get stoptime like 1315776380
	$stoptime = variable_get('add_func_mcd_stoptime');
	$add_func_mcd_message = variable_get('add_func_mcd_time_up_message', FALSE);
	$add_func_mcd_reload = variable_get('add_func_mcd_reload_button', 0);
	// jQuery script for countdown initialization
	$output = "jQuery(document).ready(function($) {\$('#countdown-dashboard').countDown({targetDate: {";
	$output .= "'day': " .
			format_date($stoptime, 'custom', "j") . ", 'month': " .
			format_date($stoptime, 'custom', "n") . ", 'year': " .
			format_date($stoptime, 'custom', "Y") . ", 'hour': " .
			format_date($stoptime, 'custom', "G") . ", 'min': " .
			format_date($stoptime, 'custom', "i") . ", 'sec': " .
			format_date($stoptime, 'custom', "s") . ", 'utc': '" .
			format_date($stoptime, 'custom', "O") . "'}";
	if ($add_func_mcd_message || $add_func_mcd_reload != 1) {
		$output .= ", onComplete: function() {";
		// slide down 'time is up' message or 'Reload' button
		if ($add_func_mcd_message || $add_func_mcd_reload == 0) {
			$output .= " \$('#complete_message').slideDown();";
		}
		if ($add_func_mcd_reload == 2) {
			$output .= " setTimeout(function() {location.reload();}, 15000)";
		}
		$output .= "}";
	}
	// close countDown
	$output .= "});";
	// reload current page by clicking 'Reload' button
	if (variable_get('add_func_mcd_reload_button', 0) == 0) {
		$output .= "\$('#page_reload').click(function() {location.reload()});";
	}
	// close function
	$output .= "\$('#countdown-dashboard2').startCountDown();";
	$output .= "});";
	return $output;
}


/**
 * Add some variables for maintenance-coundown-page.tpl.php file.
 * You can override this or core or add custom variables via your theme
 * just using the same TEMPLATE_preprocess_maintenance_page
 * @param $variables
 */
function add_func_mcd_preprocess_maintenance_page(&$variables) {
	$path = drupal_get_path('module', 'add_func_mcd');

	//  CUT unneeded js files! Yay! Should work as magic...
	/*$js = drupal_add_js();
	array_splice($js, 4);
	$variables['js'] = drupal_get_js('header', $js);*/

	drupal_add_js(drupal_get_path('module', 'add_func_mcd') . '/js/jquery.lwtCountdown-1.0-min.js', 'file');
	drupal_add_js(add_func_mcd_js_countdown(), 'inline');
	
	//  add theme css
	drupal_add_css(drupal_get_path('module', 'add_func_mcd') . '/css/default-mcd.css', array(
		'type' => 'file',
		'group' => CSS_THEME,
		'every_page' => FALSE,
		'weight' => 99,
		'preprocess' => FALSE)
	);

	
	$variables['content'] .= '<div id="countdown-dashboard" class="clearfix">
			<div class="dash weeks_dash">
				<div class="dash_title">' . t('weeks') . '</div>
				<div class="digit"></div>
				<div class="digit"></div>
			</div>
	
			<div class="dash days_dash">
				<div class="dash_title">'. t('days') . '</div>
				<div class="digit"></div>
				<div class="digit"></div>
			</div>
	
			<div class="dash hours_dash">
				<div class="dash_title">' . t('hours') . '</div>
				<div class="digit"></div>
				<div class="digit"></div>
			</div>
	
			<div class="dash minutes_dash">
				<div class="dash_title">' . t('minutes') .'</div>
				<div class="digit"></div>
				<div class="digit"></div>
			</div>
	
			<div class="dash seconds_dash">
				<div class="dash_title">' . t('seconds') . '</div>
				<div class="digit"></div>
				<div class="digit"></div>
			</div>
		</div>';

	$variables['time_up_message'] = variable_get('add_func_mcd_time_up_message', FALSE);

	if (variable_get('add_func_mcd_reload_button', 0) == 0) {
		$variables['reload_button'] = l(t('♻ Reload'), $_GET['q'] , array(
				'attributes' => array(
						'id' => 'page_reload',
						'title' => t('Reload this page')
				)));
	} else {
		$variables['reload_button'] = FALSE;
	}
	
	if ($variables['time_up_message'] || $variables['reload_button']):
		$variables['content'] .= '<div id="complete_message" class="clear-block">';
			if ($variables['time_up_message']) :
				$variables['content'] .= '<p>' . $variables['time_up_message'] . '</p>';
			endif;
			if ($variables['reload_button']) :
				$variables['content'] .= '<div class="btn">' . $variables['reload_button'] . '</div>';
			endif;
		$variables['content'] .= '</div>';
	endif;
}
