-- Demo module database dump
-- Version 1.1
-- http://drupal.org/project/demo
--
-- Database: gatsby
-- Date: July 25, 2016 16:07
-- Server version: 5.6.17
-- PHP version: 5.5.12
-- Drupal version: 7.50

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET FOREIGN_KEY_CHECKS = 0;

SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT;
SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS;
SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION;
SET NAMES utf8;

--
-- Table structure for table 'accesslog'
--

CREATE TABLE IF NOT EXISTS `accesslog` (
  `aid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique accesslog ID.',
  `sid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Browser session ID of user that visited page.',
  `title` varchar(255) DEFAULT NULL COMMENT 'Title of page visited.',
  `path` varchar(255) DEFAULT NULL COMMENT 'Internal path to page visited (relative to Drupal root.)',
  `url` text COMMENT 'Referrer URI.',
  `hostname` varchar(128) DEFAULT NULL COMMENT 'Hostname of user that visited the page.',
  `uid` int(10) unsigned DEFAULT '0' COMMENT 'User users.uid that visited the page.',
  `timer` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Time in milliseconds that the page took to load.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the page was visited.',
  PRIMARY KEY (`aid`),
  KEY `accesslog_timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores site access information for statistics.' COMMENT='Stores site access information for statistics.';

--
-- Dumping data for table 'accesslog'
--

/*!40000 ALTER TABLE accesslog DISABLE KEYS */;
/*!40000 ALTER TABLE accesslog ENABLE KEYS */;

--
-- Table structure for table 'actions'
--

CREATE TABLE IF NOT EXISTS `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.' COMMENT='Stores action information.';

--
-- Dumping data for table 'actions'
--

/*!40000 ALTER TABLE actions DISABLE KEYS */;
INSERT INTO `actions` VALUES
('comment_publish_action', 'comment', 'comment_publish_action', '', 'Publish comment'),
('comment_save_action', 'comment', 'comment_save_action', '', 'Save comment'),
('comment_unpublish_action', 'comment', 'comment_unpublish_action', '', 'Unpublish comment'),
('node_make_sticky_action', 'node', 'node_make_sticky_action', '', 'Make content sticky'),
('node_make_unsticky_action', 'node', 'node_make_unsticky_action', '', 'Make content unsticky'),
('node_promote_action', 'node', 'node_promote_action', '', 'Promote content to front page'),
('node_publish_action', 'node', 'node_publish_action', '', 'Publish content'),
('node_save_action', 'node', 'node_save_action', '', 'Save content'),
('node_unpromote_action', 'node', 'node_unpromote_action', '', 'Remove content from front page'),
('node_unpublish_action', 'node', 'node_unpublish_action', '', 'Unpublish content'),
('system_block_ip_action', 'user', 'system_block_ip_action', '', 'Ban IP address of current user'),
('user_block_user_action', 'user', 'user_block_user_action', '', 'Block current user'),
('views_bulk_operations_archive_action', 'file', 'views_bulk_operations_archive_action', '', 'Create an archive of selected files'),
('views_bulk_operations_argument_selector_action', 'entity', 'views_bulk_operations_argument_selector_action', '', 'Pass ids as arguments to a page'),
('views_bulk_operations_delete_item', 'entity', 'views_bulk_operations_delete_item', '', 'Delete item'),
('views_bulk_operations_delete_revision', 'entity', 'views_bulk_operations_delete_revision', '', 'Delete revision'),
('views_bulk_operations_modify_action', 'entity', 'views_bulk_operations_modify_action', '', 'Modify entity values'),
('views_bulk_operations_remove_from_book_action', 'node', 'views_bulk_operations_remove_from_book_action', '', 'Remove from book');
/*!40000 ALTER TABLE actions ENABLE KEYS */;

--
-- Table structure for table 'add_func_follow_links'
--

CREATE TABLE IF NOT EXISTS `add_func_follow_links` (
  `lid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for the add_func_follow_links.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The machine name of the add_func_follow_links.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users uid. Sitewide add_func_follow_links use uid 0',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or extenal URL the add_func_follow_links should point to.',
  `options` text COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human readable name for the link.',
  `weight` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The weight of this add_func_follow_links.',
  PRIMARY KEY (`lid`),
  UNIQUE KEY `uid_name` (`uid`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='Stores sitewide and user follow links.' COMMENT='Stores sitewide and user follow links.';

--
-- Dumping data for table 'add_func_follow_links'
--

/*!40000 ALTER TABLE add_func_follow_links DISABLE KEYS */;
INSERT INTO `add_func_follow_links` VALUES
('5', 'facebook', '0', 'http://facebook.com/', 'a:2:{s:5:"query";a:0:{}s:8:"fragment";s:0:"";}', '', '-7'),
('10', 'linkedin', '0', 'http://linkedin.com/', 'a:2:{s:5:"query";a:0:{}s:8:"fragment";s:0:"";}', '', '-10'),
('23', 'flickr', '0', 'http://flickr.com/', 'a:2:{s:5:"query";a:0:{}s:8:"fragment";s:0:"";}', '', '-6'),
('24', 'tumblr', '0', 'http://tumblr.com/', 'a:2:{s:5:"query";a:0:{}s:8:"fragment";s:0:"";}', '', '-9'),
('25', 'vimeo', '0', 'http://vimeo.com/', 'a:2:{s:5:"query";a:0:{}s:8:"fragment";s:0:"";}', '', '-8');
/*!40000 ALTER TABLE add_func_follow_links ENABLE KEYS */;

--
-- Table structure for table 'aggregator_category'
--

CREATE TABLE IF NOT EXISTS `aggregator_category` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique aggregator category ID.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the category.',
  `description` longtext NOT NULL COMMENT 'Description of the category',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The number of recent items to show within the category block.',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores categories for aggregator feeds and feed items.' COMMENT='Stores categories for aggregator feeds and feed items.';

--
-- Dumping data for table 'aggregator_category'
--

/*!40000 ALTER TABLE aggregator_category DISABLE KEYS */;
INSERT INTO `aggregator_category` VALUES
('1', 'Drupal news', '', '5');
/*!40000 ALTER TABLE aggregator_category ENABLE KEYS */;

--
-- Table structure for table 'aggregator_category_feed'
--

CREATE TABLE IF NOT EXISTS `aggregator_category_feed` (
  `fid` int(11) NOT NULL DEFAULT '0' COMMENT 'The feed’s aggregator_feed.fid.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The aggregator_category.cid to which the feed is being assigned.',
  PRIMARY KEY (`cid`,`fid`),
  KEY `fid` (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Bridge table; maps feeds to categories.' COMMENT='Bridge table; maps feeds to categories.';

--
-- Dumping data for table 'aggregator_category_feed'
--

/*!40000 ALTER TABLE aggregator_category_feed DISABLE KEYS */;
INSERT INTO `aggregator_category_feed` VALUES
('1', '1');
/*!40000 ALTER TABLE aggregator_category_feed ENABLE KEYS */;

--
-- Table structure for table 'aggregator_category_item'
--

CREATE TABLE IF NOT EXISTS `aggregator_category_item` (
  `iid` int(11) NOT NULL DEFAULT '0' COMMENT 'The feed item’s aggregator_item.iid.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The aggregator_category.cid to which the feed item is being assigned.',
  PRIMARY KEY (`cid`,`iid`),
  KEY `iid` (`iid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Bridge table; maps feed items to categories.' COMMENT='Bridge table; maps feed items to categories.';

--
-- Dumping data for table 'aggregator_category_item'
--

/*!40000 ALTER TABLE aggregator_category_item DISABLE KEYS */;
INSERT INTO `aggregator_category_item` VALUES
('1', '1'),
('2', '1'),
('3', '1'),
('4', '1'),
('5', '1'),
('6', '1'),
('7', '1'),
('8', '1'),
('9', '1'),
('10', '1'),
('11', '1'),
('12', '1'),
('13', '1'),
('14', '1'),
('15', '1'),
('16', '1'),
('17', '1'),
('18', '1'),
('19', '1'),
('20', '1'),
('21', '1'),
('22', '1'),
('23', '1'),
('24', '1'),
('25', '1'),
('26', '1'),
('27', '1'),
('28', '1'),
('29', '1'),
('30', '1'),
('31', '1'),
('32', '1'),
('33', '1'),
('34', '1'),
('35', '1'),
('36', '1'),
('37', '1'),
('38', '1'),
('39', '1'),
('40', '1'),
('41', '1'),
('42', '1'),
('43', '1'),
('44', '1'),
('45', '1'),
('46', '1'),
('47', '1'),
('48', '1'),
('49', '1'),
('50', '1'),
('51', '1'),
('52', '1'),
('53', '1'),
('54', '1'),
('55', '1'),
('56', '1'),
('57', '1'),
('58', '1'),
('59', '1'),
('60', '1'),
('61', '1'),
('62', '1'),
('63', '1'),
('64', '1'),
('65', '1'),
('66', '1'),
('67', '1'),
('68', '1'),
('69', '1'),
('70', '1'),
('71', '1'),
('72', '1'),
('73', '1'),
('74', '1'),
('75', '1'),
('76', '1'),
('77', '1'),
('78', '1'),
('79', '1'),
('80', '1'),
('81', '1'),
('82', '1'),
('83', '1'),
('84', '1'),
('85', '1'),
('86', '1'),
('87', '1'),
('88', '1'),
('89', '1'),
('90', '1'),
('91', '1'),
('92', '1'),
('93', '1'),
('94', '1'),
('95', '1'),
('96', '1'),
('97', '1'),
('98', '1'),
('99', '1'),
('100', '1'),
('101', '1'),
('102', '1'),
('103', '1'),
('104', '1'),
('105', '1'),
('106', '1'),
('107', '1'),
('108', '1'),
('109', '1'),
('110', '1'),
('111', '1'),
('112', '1');
/*!40000 ALTER TABLE aggregator_category_item ENABLE KEYS */;

--
-- Table structure for table 'aggregator_feed'
--

CREATE TABLE IF NOT EXISTS `aggregator_feed` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique feed ID.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the feed.',
  `url` text NOT NULL COMMENT 'URL to the feed.',
  `refresh` int(11) NOT NULL DEFAULT '0' COMMENT 'How often to check for new feed items, in seconds.',
  `checked` int(11) NOT NULL DEFAULT '0' COMMENT 'Last time feed was checked for new items, as Unix timestamp.',
  `queued` int(11) NOT NULL DEFAULT '0' COMMENT 'Time when this feed was queued for refresh, 0 if not queued.',
  `link` text NOT NULL COMMENT 'The parent website of the feed; comes from the <link> element in the feed.',
  `description` longtext NOT NULL COMMENT 'The parent website’s description; comes from the <description> element in the feed.',
  `image` longtext NOT NULL COMMENT 'An image representing the feed.',
  `hash` varchar(64) NOT NULL DEFAULT '' COMMENT 'Calculated hash of the feed data, used for validating cache.',
  `etag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Entity tag HTTP response header, used for validating cache.',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'When the feed was last modified, as a Unix timestamp.',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Number of items to display in the feed’s block.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `title` (`title`),
  KEY `queued` (`queued`),
  KEY `url` (`url`(255))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores feeds to be parsed by the aggregator.' COMMENT='Stores feeds to be parsed by the aggregator.';

--
-- Dumping data for table 'aggregator_feed'
--

/*!40000 ALTER TABLE aggregator_feed DISABLE KEYS */;
INSERT INTO `aggregator_feed` VALUES
('1', 'Drupal news', 'https://www.drupal.org/node/feed', '3600', '1469446886', '0', 'https://www.drupal.org', 'Come for the software, stay for the community\nDrupal is an open source content management platform powering millions of websites and applications. It’s built, used, and supported by an active and diverse community of people around the world.', '', '0420fc76bbc07373cbd710c32d96b3d925a15f2d6896d52d75f88f57d1f1512b', '"1469430314-0"', '1469430314', '5');
/*!40000 ALTER TABLE aggregator_feed ENABLE KEYS */;

--
-- Table structure for table 'aggregator_item'
--

CREATE TABLE IF NOT EXISTS `aggregator_item` (
  `iid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique ID for feed item.',
  `fid` int(11) NOT NULL DEFAULT '0' COMMENT 'The aggregator_feed.fid to which this item belongs.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the feed item.',
  `link` text NOT NULL COMMENT 'Link to the feed item.',
  `author` varchar(255) NOT NULL DEFAULT '' COMMENT 'Author of the feed item.',
  `description` longtext NOT NULL COMMENT 'Body of the feed item.',
  `timestamp` int(11) DEFAULT NULL COMMENT 'Posted date of the feed item, as a Unix timestamp.',
  `guid` text NOT NULL COMMENT 'Unique identifier for the feed item.',
  PRIMARY KEY (`iid`),
  KEY `fid` (`fid`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=113 DEFAULT CHARSET=utf8 COMMENT='Stores the individual items imported from feeds.' COMMENT='Stores the individual items imported from feeds.';

--
-- Dumping data for table 'aggregator_item'
--

/*!40000 ALTER TABLE aggregator_item DISABLE KEYS */;
INSERT INTO `aggregator_item` VALUES
('1', '1', 'Michael Hess new Security Team Lead', 'https://www.drupal.org/node/2151461', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Back in November of 2011, I appointed <a href="https://drupal.org/node/1341738" rel="nofollow">Greg Knaddison</a> to lead the <a href="https://drupal.org/security-team" rel="nofollow">Drupal Security Team</a>, for a term of two years. In that time, Greg has done a tremendous job helping the Security Team scale. November 2013 ends the term that Greg and I agreed to, Greg is now stepping down as team lead. </p>\n<p>I''m pleased to share that Michael Hess (<a href="https://drupal.org/user/102818" rel="nofollow">mlhess</a> on Drupal.org) has accepted my invitation to become the new Security Team lead.  For those who don''t know Michael, he is an adjunct lecturer and a Solution Architect Lead at the University of Michigan. He teaches courses on content management platforms, particularly focusing on  Drupal, oversees the functionality of several campus websites, and serves in a consulting and development role for other departments within the University of Michigan. He has been a member of the Drupal Security Team for 3 years and a member of the infrastructure team for 2 year.  </p>\n<p>As the Drupal Security Team lead, Michael will be the point person for the team.  He''ll be responsible for coordinating the Security Team''s activities and for making decisions when consensus doesn''t arise. Michael wants to move the team into more of an advisory and preemptive role, rather than a response function. In addition, he wants to continue to scale the security team (e.g. by working on building better and more automated tools, providing better metrics, etc).</p>\n<p>Please join me in thanking Greg for all the great work he has done over the past two years, and in welcoming Michael as the new team lead!</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1386688593', '2151461 at https://www.drupal.org'),
('2', '1', 'Drupal 6 to stop supporting PHP 4 on March 1st 2014', 'https://www.drupal.org/node/2159315', 'Gábor Hojtsy', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="https://drupal.org/drupal-6.0" rel="nofollow">Drupal 6.0 was released almost 6 years ago</a> in February 2008. The Drupal community is committed to release Drupal 6 bugfixes until Drupal 8.0 is released and <a href="https://drupal.org/comment/8273013#comment-8273013" rel="nofollow">with recent changes provide security fixes much longer</a>. </p>\n<p>The hosting and development landscape was very different in 2008 though. PHP has gone a long way since we released Drupal 6. While Drupal 6 is still supported on PHP 4.x, the PHP developer community itself <a href="http://php.net/eol.php" rel="nofollow">end-of-lifed PHP 4 just half a year after Drupal 6.0 came out</a>. According to public statistics and data available to us about Drupal 6 sites, we estimate that there is a very small number of Drupal sites which may still run on PHP 4. We also don''t believe it is in our best interest to support Drupal 6 on a possibly insecure but definitely unsupported base system, so we <a href="https://drupal.org/node/2140113" rel="nofollow">discussed and decided</a> to <strong>drop support for PHP 4 on March 1st 2014</strong>.</p>\n<p>If you are running a Drupal 6 site on PHP 4.x, we suggest you look at your hosting situation as it is likely there are other outdated (and possibly insecure) components involved in your environment as well. For the secure operations of your site, we suggest you look at other hosting options. We suggest to look for hosting with at least PHP 5.2.4 (same as Drupal 7''s oldest supported PHP version).</p>\n<p>While we don''t plan to deliberately introduce PHP 5 constructs in Drupal 6, this change also lets contributed module developers to use PHP 5 more easily in their code.</p>\n<!--break--></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div></div></div>', '1387386075', '2159315 at https://www.drupal.org'),
('3', '1', 'Drupal Association is hiring CTO', 'https://www.drupal.org/node/2161971', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>The Drupal Association, with the help of a Search Committee comprised of Board and Advisory Board members, is beginning a search for a Chief Technical Officer (CTO) for Drupal.org (not the Drupal software project). The CTO will fill a critical role for the both the Association and the community, working at the strategic level with the Drupal.org Working Groups to build a roadmap for Drupal.org, create and manage processes critical to the success of the site (including security and disaster recovery), and ensure that Drupal.org roadmaps are met. A CTO role ensures that Drupal.org has the technical and strategic oversight needed to drive improvements and innovations. Specifically we want to ensure that we have the best platform for developers, community involvement, and critical revenue-generating opportunities.</p>\n<p>The CTO is the first of several hires we will make over the course of the next few months to significantly increase our ability to improve the experience of Drupal.org for our many constituents. These hires will include more development and devops bandwidth, among other things. In short, this is a really exciting time to work on Drupal.org!</p>\n<p>We''re asking for your help to find the right person for this role. We''re looking for someone with strong product management skills, a community player who can work with our broad base of remarkable volunteers, and the experience to guide and manage our development, infrastructure and operations teams. Please review and share the <a href="https://association.recruiterbox.com/jobs/25890" rel="nofollow">Drupal Association CTO Job Description</a>.</p>\n<p>We''ve also included a little more context below if you want to learn more. And, if you have any questions, please feel free to <a href="mailto:holly@association.drupal.org?subject=CTO%20Search%20Post" rel="nofollow">contact Holly Ross</a>.</p>\n<h3>\n	Why a CTO? Isn’t that a bit much for our needs?</h3>\n<p>Our focus at the Association in 2013 has been re-aligning Association resources to bring more support and funding to our community’s most important asset: Drupal.org. During the last 9 months, we''ve begun diversifying our revenue streams so that we can scale our income and provide more funding for Drupal.org projects. We launched Working Groups to manage the strategic direction and policy setting we need to make good decisions for the site. Most recently, we hired a Technology Manager for the Association so that our limited technical staff can focus more fully on Drupal.org.</p>\n<p>In 2014, we are planning for an even more dramatic shift, bringing on engineering and infrastructure staff to pay off years of technical debt and begin to move the site forward with new developer tools, better site performance, and strong security practices. We’re incredibly excited to help the community move Drupal.org forward and really meet community needs. We see the CTO role as essential to making this happen. It sets us up to proactively address Drupal.org needs at a strategic level - forecasting necessary changes before they become critical problems.</p>\n<h3>\n	Isn’t this the role of the Working Groups?</h3>\n<p>Yes - the Working Group charters put them in charge of direction-setting and strategy for the sites. We anticipate that the CTO will work closely with the Working Groups to coordinate their work and ensure that those decisions are translated into a cohesive roadmap. Additionally, the Working Groups are not designed to implement the roadmap. The CTO will oversee the team that does that - either in-house, using 3rd party tools, through contractors, with volunteers, or a combination of these options.</p>\n<h3>\n	Are you going to hire from within the community?</h3>\n<p>We are certainly going to look within the community. We will also look outside the Drupal community. The committee seeks a candidate who brings a breadth of experience and knowledge regarding open source community sites.</p>\n<h3>\n	Is this a technical role or a business role?</h3>\n<p>We expect that the right candidate will have equal parts technical chops and business savvy. We are not expecting the CTO to write production code, but the CTO will have to know how to do that so that they can manage it well. Additionally, the CTO will need to understand business problems and how technology can be strategically deployed to meet those needs.</p>\n<h3>\n	Where will the position be based?</h3>\n<p>Ideally, in Portland, OR, at the Drupal Association headquarters. We know however, that this is likely unrealistic as a hard and fast constraint, and will encourage applicants from around the globe.</p>\n</div></div></div>', '1388346412', '2161971 at https://www.drupal.org'),
('4', '1', 'Drupal 7.25 released', 'https://www.drupal.org/drupal-7.25', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.26">Drupal 7.26</a> is now available.</em></p>\n<p style="position: inherit;">Drupal 7.25, a maintenance release with numerous bug fixes (no security fixes) is now available for download. See the <a href="http://drupal.org/drupal-7.25-release-notes">Drupal 7.25 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.25.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.25</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no major new features in this release. For more information about the Drupal 7.x release series, consult the <a href="http://drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="http://drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.25 contains bug fixes and small API/feature improvements only. The full list of changes between the 7.24 and 7.25 releases can be found by reading the <a href="http://drupal.org/drupal-7.25-release-notes">7.25 release notes</a>. A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-7.25-release-notes">7.25 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues </h2>\n<p>Changes to Drupal''s page caching system in this release caused an incompatibility with the <a href="https://drupal.org/project/authcache">Authcache</a> module (see <a href="https://drupal.org/node/2172421">this issue</a>).  The solution is to upgrade to <a href="https://drupal.org/node/2173925">Authcache 7.x-1.7</a> or higher.</p>\n<div style="clear: both; height: 1em;"></div>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1388710112', '2166153 at https://www.drupal.org'),
('5', '1', 'Predictions for 2014', 'https://www.drupal.org/node/2173123', 'bertboerland', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="https://drupal.org/node/4877" rel="nofollow">4877</a>. That is where the tradition within the Drupal community of making predictions for the year ahead with regards to our software, our community and broader, the web, started. Node 4877, written at the end of the year 2003. We have come a long way since then.</p>\n<p>This year we would like to know what you think the year ahead will bring for Drupal and, as a bonus, we would like to know what was the best prediction you found in the past. Where did we shine when it comes to vision or humor. </p>\n<p>See older entries from <a href="https://drupal.org/node/14784" rel="nofollow">2005</a>, <a href="https://drupal.org/node/41966" rel="nofollow">2006</a>, <a href="https://drupal.org/node/105423" rel="nofollow">2007</a>, <a href="https://drupal.org/node/204454" rel="nofollow">2008</a>, <a href="https://drupal.org/node/356251" rel="nofollow">2009</a>, <a href="https://drupal.org/node/671566" rel="nofollow">2010</a>, <a href="https://drupal.org/node/1028810" rel="nofollow">2011</a>, <a href="https://drupal.org/node/1399054" rel="nofollow">2012</a> and  <a href="https://drupal.org/node/1881074" rel="nofollow">2013</a>. Read them. </p>\n<p>And now predict for 2014 and reflect the last decade in this thread.</p>\n</div></div></div>', '1389691613', '2173123 at https://www.drupal.org'),
('6', '1', 'Drupal 7.26 and 6.30 released', 'https://www.drupal.org/drupal-7.26', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.27">Drupal 7.27</a> and <a href="/drupal-7.27">Drupal 6.31</a> are now available.</em></p>\n<p style="position: inherit;">Drupal 7.26 and Drupal 6.30, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="http://drupal.org/drupal-7.26-release-notes">Drupal 7.26</a> and <a href="http://drupal.org/drupal-6.30-release-notes">Drupal 6.30</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.26.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.26</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.30.tar.gz" class="link-button"><span>Download Drupal 6.30</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="http://drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="http://drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="http://drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.26 is a security release only. For more details, see the <a href="http://drupal.org/drupal-7.26-release-notes">7.26 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<p>Drupal 6.30 is a security release only. For more details, see the <a href="http://drupal.org/drupal-6.30-release-notes">6.30 release notes</a>.  A complete list of all bug fixes in the stable 6.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.26 and 6.30 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="http://drupal.org/SA-CORE-2014-001">SA-CORE-2014-001</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.26 or Drupal 6.30.</p>\n<h2>Known issues </h2>\n<p>(Drupal 7 only) On sites with a very large number of unpublished nodes in the database, the Taxonomy module update function introduced in this release may take a very long time to run and consume an excessive amount of memory; see <a href="https://drupal.org/node/2174551">this issue</a>.  The solution is to upgrade directly to <a href="https://drupal.org/drupal-7.28">Drupal 7.28</a> instead.</p>\n<div style="clear: both; height: 1em;"></div>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1389815989', '2174413 at https://www.drupal.org'),
('7', '1', 'Joining The Day We Fight Back', 'https://www.drupal.org/node/2188053', 'Crell', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Free Software is not just about saving money.  It''s not just about sharing for sharing''s sake.  Free Software, at its core, is about empowering people.  It is about ensuring that everyone has ultimate control over their own electronic lives, because the software that runs their electronic lives is under their control and not someone else''s.</p>\n<p>How do you know your computer is doing what you tell it to, and not someone else?  How do you know your phone is only recording what you tell it to record?  How do you know your files are only being read by you?  How do you know your refrigerator isn''t reporting on your diet to someone else?</p>\n<p>The only way to be sure is to have the source code so that you or someone you trust can verify that it is doing only what you tell it to and your electronic tools are not secretly acting for someone else.  Free Software is all about ensuring an individual''s personal digital sovereignty, free from unwanted or secret invasion from anyone -- other people, corporations, or governments.</p>\n<p>The entire point of sharing source code is so that individual people and organizations can ultimately have control over their own equipment, information, and digital lives. In many ways it is about privacy: The security to know that your data is accessible to you, and your computer is used by you, and only you, unless you decide otherwise.</p>\n<p>Recent revelations, however, have shown that people''s digital sovereignty is under even more attack than before.  Both the American and British governments have been found violating the digital privacy of millions of people in their own countries and around the world.  That is exactly the sort of attack on individual digital sovereignty that Free Software was created to combat.</p>\n<p>As a leading Free Software project, the Drupal Community opposes such privacy invasions.  We believe it is our ethical duty to stand with <a href="https://thedaywefightback.org/" rel="nofollow">The Day We Fight Back</a> and others who oppose such violations of individual digital sovereignty.  We encourage all people, all over the world, to take a stand for digital freedom.  If you are in the United States you can use the banner at the bottom of this page to locate and contact your Congressional representatives and tell them to oppose further infringement of individual privacy rights and to force the NSA and similar agencies to obey the law in both letter and spirit.</p>\n</div></div></div>', '1392074413', '2188053 at https://www.drupal.org'),
('8', '1', 'Community Spotlight: Lee Rowlands (larowlan)', 'https://www.drupal.org/node/2217905', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img class="right" src="/files/leerowlands_0.png" alt="Lee Rowlands" />Since joining Drupal.org in 2007, Lee Rowlands (<a href="https://drupal.org/user/395439" rel="nofollow">larowlan</a>) has been an important contributor to the Drupal project. A major core contributor and Drupal 8 advocate, Rowlands has become a well-recognized and celebrated member of the Drupal community. </p>\n<p>Rowlands is an important Drupal figure in Australia, and has spoken at DrupalCamp Brisbane 2010, Drupal Downunder Melbourne 2012, DrupalCon Sydney 2013 and Drupal South Wellington 2014. An occasional mentor during Drupal Office Hours in the Australian timezone (GMT+10), Rowlands is also a well-recognized figure in the international Drupal community for his involvement with core and his contributions to a huge variety of projects on Drupal.org.</p>\n<h3>How did you get involved with Drupal?</h3>\n<p>Jim Morrison and a naked native american came to me in a dream and told me it was my destiny. Just kidding. I started up my own IT consulting business and I''d built a couple of Drupal 5 sites. </p>\n<p>The third site I built needed some tricky mapping functionality. This was in Drupal 5 and the site was for a locally owned fishing tackle franchise. Their point of difference with the big national chain-store was local knowledge. So they had this great idea to create a series of online fishing maps for local regions, each featuring points of interest for that region. Each point of interest had a marker icon based on its type, eg there were boat ramps, fishing spots etc. Each marker had a popup with an image and some text. The kind of thing you can build on your own with Google Maps now, but back then - it was a fairly new concept. </p>\n<p>At the time gmap module was the go-to mapping option (Drupal 5) but it didn''t support the image/marker/description functionality. So I wrote a patch to allow wiring up a content-type with gmap functionality to do so. And in order to post the patch, I had to sign up for a Drupal.org account. So that was my first comment on Drupal.org, a sizeable patch!</p>\n<p>Not long after that I pitched the idea of a website to a local motel that had just had a renovation. At this stage Drupal 6 was out and the go-to ecommerce solution was Ubercart. My pitch included online-reservations so I worked with Will Vincent to round out a hotel-booking solution for Ubercart. That''s how I got my CVS access on Drupal.org. </p>\n<p>Contributing my code back to Drupal.org opened my consulting business up to the world. Up until that point most of my work had been for local businesses. Once I had a project on Drupal.org I started receiving work offers via my Drupal.org project page, mostly for adding new pieces of functionality.</p>\n<p>I continued building sites and I always ensured that I had contract provisions to open-source any generic modules that the project needed. Over time I ended up with more than 30 contrib projects on Drupal.org, all with varying degrees of maintenance. Each of these kept resulting in work referrals and I kept expanding my skillset and client-base.</p>\n<p>Then Drupal 7 came out and it felt like I had to start learning all over again. I had a long car-trip coming up so I downloaded the mega ''Upgrading 6.x modules to 7.x'' thread from Drupal.org and spent about three hours taking in all the changes. As soon as I had net access, I subscribed to the Drupal core issues RSS feed. At this stage my motivation was just to keep across changes happening in core, but after a while I started seeing issues posted that I realised I could fix/work on. So I started commenting and posting the odd patch. </p>\n<p>Not long after an epic thread was posted by @sun in the issue queue titled ''Make core maintainable'' (<a href="https://drupal.org/node/1255674">https://drupal.org/node/1255674</a>), basically it was proposing that if we didn''t get more hands on deck in core, the only way forward was to start dropping unmaintained modules. I jumped into irc and put my hand up to maintain forum, one of the modules on the chopping block. I had a conversation with @chx who later remarked ''yesterday I saw a guy on IRC who was contemplating on taking the forum module maintainer hat'' (<a href="http://www.drupal4hu.com/node/303">http://www.drupal4hu.com/node/303</a>). </p>\n<p>So from there I took a more active role in core contribution. Those threads are a great read, even today, as they indicates the level of frustration that core developers were experiencing in the first six months of Drupal 7''s release. </p>\n<h3>What do you do with Drupal these days?</h3>\n<p>I build sites for some of Australia''s largest government, education, media and non-profit organisations with one of Australia''s most respected Drupal Agencies, PreviousNext. It''s a great team and I get to work on interesting projects. </p>\n<p>After all this time I still enjoy working with Drupal. Sometimes people lament Drupal''s ease of site-building, likening it to ''golden handcuffs'', but that''s where contributing to core and contrib help. If you find yourself stuck in a ''click-monkey'' rut, contributing code lets you flex your ''code-monkey'' muscles.</p>\n<h3>You’re involved with quite a variety of projects in the Drupal community  - can you describe some of the things you do and why you like them?</h3>\n<p>I particularly like working on Drupal core because it helps me keep abreast of upcoming changes. I don''t have a CS education, I have degrees in mathematics and engineering, and I''ve been quoted before saying I got my CS education in the Drupal issue queues. As a contributor you are incredibly lucky to have your work constructively reviewed by some of the world''s best programmers. Every time someone makes a suggestion on your patch, you learn a little more. I''ve learnt so many programming concepts from reviewing other''s code and having my code reviewed by others. Particularly during the Drupal 8 cycle, where we''ve effectively rewritten Drupal in a new language - PHP 5.3.</p>\n<h3>What’s the coolest project you’ve worked on?</h3>\n<p>Its not live anymore unfortunately but I worked on sendmypostcards.com which was a Drupal 6 site with Ubercart where you could create your own postcards and pay to have them printed. You could use your Facebook photo-galleries, Flickr account or upload your own files. The designer/editor was built with jQuery and the site used batch-jobs to generate 300dpi print-ready PDFs. It was a challenging project but it did end up spawning a number of contrib modules including Image Cache External which allows you to generate derivatives of remote images. Unfortunately the site didn''t last, but I did get a couple of Christmas cards printed and sent to my office. It was great to have something tangible, I still have them mounted on my office wall.</p>\n<h3>What changes do you hope will come in Drupal 8?</h3>\n<p>I''m disappointed we didn''t get a layout builder in core but I''m excited by the opportunities for it to develop and mature in the contrib ecosystem. Some of the work done as part of the Scotch Initiative by @sdboyer and @eclipsegc was pretty awesome. @sdboyer stepped me through the ''Princess'' branch (the name was a dare) at the stage when it was fairly functional and the possibilities it opened up were pretty awesome. Hopefully that work will be leveraged for what becomes of panels/page manager in Drupal 8.</p>\n<h3>What is your favorite part about the Drupal community?</h3>\n<p>Getting to work with insanely intelligent and brilliant people. There are so many awesome people working with and on Drupal every day who are always willing to share their experiences and knowledge.</p>\n<h3>Tell us a little about your background or things that interest you outside Drupal?</h3>\n<p>I live in Central Queensland at the Southern tip of Australia''s Great Barrier Reef. We have three World Heritage listed destinations all within our reach - the reef, Fraser Island and Mon Repos Turtle Rookery, where you can watch Marine turtles lay their eggs or the hatchlings make their way into the world. The climate is great, the cost of living is low and the people are some of the friendliest in the world. I get to work out of an office with two great Drupal devs who also work for PreviousNext, @nick_schuch and @grom385. Its a great lifestyle, our office is right on the beach.</p>\n<p>Outside Drupal I''m passionate about family, with two school aged children and I''ve been married for 15 years. I''m lucky that Drupal gave me an income while my children were pre-school aged and when they went off to school I was able to turn this into a career.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1394808302', '2217905 at https://www.drupal.org'),
('9', '1', 'Drupal.org Response to Heartbleed Security Incident', 'https://www.drupal.org/news/2014-04-08-security-update', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>You may have heard that a vulnerability in the OpenSSL cryptographic library called Heartbleed or formally called CVE-2014-0160 has been disclosed and that it represents a potential security threat to a large number of websites. Using this vulnerability, malicious individuals could access sensitive information submitted by people actively visiting a website including usernames, passwords and credit card numbers. Users across the Internet should be especially aware of suspicious activity on their accounts.</p>\n<p>We want to communicate a couple pieces of information about this news with regard to Drupal.org. </p>\n<p>Members of the Drupal Association staff, Drupal Security Team and Drupal Infrastructure Team have reviewed Drupal.org''s potential exposure to the vulnerability. </p>\n<p>As of now, we have no indication that Drupal.org was attacked using this vulnerabililty. That said, the nature of the vulnerability makes an attack difficult to detect and we prefer to be cautious. </p>\n<p>We have taken steps to protect users of Drupal.org, including a forced password reset for users with administrative access or access to code repositories for projects. While we have only forced the password reset for some users, we recommend that all of our users change their passwords.</p>\n<p>We have taken the following steps to protect Drupal.org account holders:</p>\n<ul><li>Installed new SSL certificates based on a new private key</li>\n<li>Revoked the old SSL certificates</li>\n<li>Replaced the private strings (drupal_private_key and drupal_hash_salt) which are used for a variety of security related purposes in all Drupal sites</li>\n<li>Replaced the private key used by the “bakery” single-sign-on system on Drupal.org</li>\n<li>Removed all active sessions</li>\n<li>Verified the email addresses in use today match those in use a week ago</li>\n<li><strong>Required that all Drupal.org users with administrative or project repository access to reset their passwords</strong></li>\n</ul><p>Also, we simply want to help create awareness about the vulnerability and encourage people to review their sites for exposure. For more information, please see <a href="https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-0160">https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-0160</a></p>\n<p>Feel free to comment on the post with any questions. Thank you!</p>\n</div></div></div>', '1396996574', '2236343 at https://www.drupal.org'),
('10', '1', 'Drupal 7.27 and 6.31 released', 'https://www.drupal.org/drupal-7.27', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.28">Drupal 7.28</a> and <a href="/drupal-7.29">Drupal 6.32</a> are now available.</em></p>\n<p style="position: inherit;">Drupal 7.27 and Drupal 6.31, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="http://drupal.org/drupal-7.27-release-notes">Drupal 7.27</a> and <a href="http://drupal.org/drupal-6.31-release-notes">Drupal 6.31</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.27.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.27</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.31.tar.gz" class="link-button"><span>Download Drupal 6.31</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="http://drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="http://drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="http://drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.27 is a security release only. For more details, see the <a href="http://drupal.org/drupal-7.27-release-notes">7.27 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<p>Drupal 6.31 is a security release only. For more details, see the <a href="http://drupal.org/drupal-6.31-release-notes">6.31 release notes</a>.  A complete list of all bug fixes in the stable 6.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.27 and 6.31 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="http://drupal.org/SA-CORE-2014-002">SA-CORE-2014-002</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.27 or Drupal 6.31.</p>\n<h2>Known issues </h2>\n<ul><li>\nThis security release introduces small API changes which may require code updates on sites that expose Ajax or multi-step forms to anonymous users, and where the forms are displayed on pages that are cached (either by Drupal or by an external system).  See the <a href="http://drupal.org/drupal-7.27-release-notes">Drupal 7.27 release notes</a> and <a href="http://drupal.org/drupal-6.31-release-notes">Drupal 6.31 release notes</a> for more information.\n</li>\n<li>\n(Drupal 7 only) This release caused a JavaScript error which breaks Ajax requests in very old browsers (for example, Internet Explorer 8 and earlier); see <a href="https://drupal.org/node/2245331">this issue</a> for details.  The solution is to upgrade to <a href="https://drupal.org/drupal-7.28">Drupal 7.28</a>.\n</li>\n<li>\n(Drupal 7 only) This release caused the <a href="https://drupal.org/project/multiform">Multiple Forms</a> module to stop working correctly (see <a href="https://drupal.org/node/2247527">issue</a>).  The solution is to upgrade to <a href="https://www.drupal.org/node/2284027">Multiple Forms 7.x-1.1</a> or higher.\n</li>\n</ul><div style="clear: both; height: 1em;"></div>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1397678355', '2242651 at https://www.drupal.org'),
('11', '1', 'Drupal 7.28 released', 'https://www.drupal.org/drupal-7.28', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.29">Drupal 7.29</a> is now available.</em></p>\n<p style="position: inherit;">Drupal 7.28, a maintenance release with numerous bug fixes (no security fixes) is now available for download. See the <a href="http://drupal.org/drupal-7.28-release-notes">Drupal 7.28 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.28.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.28</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no major new features in this release. For more information about the Drupal 7.x release series, consult the <a href="http://drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="http://drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.28 contains bug fixes and small API/feature improvements only. The full list of changes between the 7.27 and 7.28 releases can be found by reading the <a href="http://drupal.org/drupal-7.28-release-notes">7.28 release notes</a>. A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-7.28-release-notes">7.28 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues </h2>\n<p>Changes made to the Update Manager module in this release may lead to performance slowdowns in certain cases (including on rare page loads for site visitors, if the site is using the automated cron feature). See the <a href="http://drupal.org/drupal-7.28-release-notes">release notes</a> for more information.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1399522773', '2261489 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('12', '1', 'Community Spotlight on Emanuel Greucean, Maurits Dekkers, and Ernő Zsemlye', 'https://www.drupal.org/node/2271151', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>For this month’s community spotlight, we wanted to showcase three stellar Drupalistas who went above and beyond at the Dev Days Szeged sprints. Emanuel Greucean (<a href="https://drupal.org/user/829152" rel="nofollow">gremy</a>), Maurits Dekkers (<a href="https://drupal.org/user/2126610" rel="nofollow">Mauzeh</a>), and Ernő Zsemlye (<a href="https://drupal.org/user/262120" rel="nofollow">zserno</a>) all made big contributions to the project at <a href="http://drunomics.com/en/blog/drupal-dev-days-szeged-wrap" rel="nofollow">Dev Days Szeged</a>. Here’s a little bit about each.</p>\n<h2>Emanuel Greucean (<a href="https://drupal.org/user/829152" rel="nofollow">gremy</a>)</h2>\n<h3>How did you get involved with Drupal?</h3>\n<p><img src="/files/emanuel2.jpg" class="right" alt="Picture of Emanuel Greucean" />I got involved with Drupal right after college, in 2009. I went to a job interview, showed the employers my enthusiasm about web development and my very not impressive profile, one of which was a Joomla website, and they accepted me. At this job, I got initiated in the art of web development and got a solid education in Drupal. At my first day on the job, I was given the Drupal Developer’s “Bible”  (Pro Drupal Development, 2nd edition), and was told that I had to know it by heart.</p>\n<h3>What do you think open source represents?</h3>\n<p>For me, open source represents the opportunity to have access to awesome products for free. It also represents the opportunity to join a community of passionate developers and to learn a lot, and also to pass on your knowledge. If you are a contributor, it’s also an opportunity to leave a mark, and a joy to know that your work is being used by millions of people.</p>\n<h3>Why did you choose to work in Szeged on beta blocking, and what is your fondest memory from Szeged?</h3>\n<p>One reason for working on beta blockers in Szeged was the desire to get Drupal 8 as close as possible to being released, because I really want to start using it in Production.</p>\n<p>One of my fondest memories from Szeged might be the moment when I actually finished the last missing "Change Record” issue, and with this Drupal 8 change records were up to date for the first time in three years. Also I really appreciate all the help I received from people I had never met before. They initiated me into contributing to the community.</p>\n<h3>Are you working on any fun projects at the moment?</h3>\n<p>Yes. I am currently collaborating with Kalamuna, a Drupal shop from San Francisco''s East Bay Area. They are really great colleagues, and I have the opportunity to work on great projects with them. One of the projects I am most excited about is <a href="http://www.kalamuna.com/products/kalabox" rel="nofollow">Kalabox</a>, and I have to say that I am really enthusiastic about its future.</p>\n<h2>Maurits Dekkers (<a href="https://drupal.org/user/2126610" rel="nofollow">Mauzeh</a>)</h2>\n<h3>How did you get involved with Drupal?</h3>\n<p><img src="/files/1de0507.jpg" class="right" alt="Picture of Maurits Dekkers" />I got involved with Drupal through a client about three years ago. They were using Drupal mainly for its ability to allow site builders to create their own fieldable data structures. Until then I had mostly worked with Zend Framework and Symfony, and I never even knew there was an open source system that could do this! Or course, now I know that there is so much more about Drupal that is awesome, and I cannot imagine a web development life without it!</p>\n<h3>What do you think open source represents?</h3>\n<p>For me, open source represents people (!) who provide their time, effort, and financial resources on something that provides only indirect value. An open source developer spends their free time working on a feature not knowing whether it will actually make it into the final product (unless they are the project lead...). For some this might be an unrewarding way of working because there appear to be few direct, short-term, rewards. So if you contribute something to open source software, you must do it for reasons unrelated to direct income or revenue. Therefore, the passion that people have for the product comes from a much deeper belief.</p>\n<h3>Why did you choose to work in Szeged on Drupal 8 beta blocking/debugging, and what is your fondest memory from Szeged?<br /></h3>\n<p>Despite working with open source software on a daily basis, and lurking around in the issue queues, I never had the guts to really get involved. I realized that getting to know the people behind the nicknames would certainly help because I could just walk over and ask something. So when I saw the announcement for Szeged, I jumped in straight away. And I''m really glad I did. I most remember the people I was working with and having beers with at night, with Cathy (<a href="https://drupal.org/user/258568" rel="nofollow">YesCT</a>) being just amazing to get people up to speed. Her passion for the community is really remarkable. I wanted to learn more about how the Entity API works in Drupal 8, and was directed to <a href="https://drupal.org/user/107158" rel="nofollow">tstoeckler</a> and <a href="https://drupal.org/user/183211" rel="nofollow">plach</a>, from whom I learned very much very quickly.</p>\n<h3>Are you working on any fun projects at the moment?</h3>\n<p>I''m currently working as a freelancer for a few Drupal site building shops. Since I just started as a freelancer in November last year, I''m working quite a lot to make sure I have some financial room to contribute some more to D8.</p>\n<h2>Ernő Zsemlye (<a href="https://drupal.org/user/262120" rel="nofollow">zserno</a>)</h2>\n<h3> How did you get involved with Drupal?</h3>\n<p><img src="/files/IMG_0436_0.jpg" class="right" alt="Picture of Ernő Zsemlye" />It all started during my 4th year at the university. I needed a few more credits for the upcoming semester and stumbled upon a new elective course titled "Open Source Content Management Systems" held by a guy called <a href="https://drupal.org/user/55005 " rel="nofollow">Kristof Van Tomme</a>. I had absolutely no idea about the topic but it sounded pretty cool so I applied. The first lecture was about open source in general and a brief introduction to the Drupal world. At the end of the lecture, Kristof mentioned that he was looking for interns for his new company. I applied the next day and I am sure that was the best move in my career to date. :)</p>\n<h3>What do you think open source represents?<br /></h3>\n<p>I could compare it to traveling. Once you experience what traveling to new places feels like, you suddenly start to feel as if you had been looking at the world through a small and dirty window. Then you also realize how small you are in this life. This is so true for open source.</p>\n<h3>Why did you choose to work in Szeged on Drupal 8 beta blocking/debugging, and what is your fondest memory from Szeged?<br /></h3>\n<p>I wanted to work on something that would give me the opportunity to dive deep into Drupal 8 and learn as much as possible about the new system. I was assigned to an Entity API beta blocker. After having spent my first 3 days on getting my head around all the new things in D8, I got stuck. The next day <a href="https://drupal.org/user/214652" rel="nofollow">Berdir</a> pinged me on IRC that he wanted to discuss the next steps with me in person. We talked for about 5 minutes but that was enough to put me back on track with the issue and also gave me great inspiration that I could talk to a real rockstar in person.</p>\n<h3>Are you working on any fun projects at the moment?<br /></h3>\n<p>I am working at the Central European University as a web developer. We are a small team of four people who maintain virtually any web presence of the whole university: main institutional site with heavy traffic, custom websites for each departments, research groups, alumni campaigns, student groups, etc. It is a constant challenge to use our limited resources to address all arising needs successfully. So we are continuously looking for new ways to create reusable solutions across all these websites. And this is lots of fun. For example I just finished building a custom installation profile based on the fantastic <a href="https://drupal.org/project/panopoly" rel="nofollow">Panopoly</a> distribution so firing up a new website became ridiculously easy.</p>\n<p>---</p>\n<p>Gremy, mauzeh, and zserno were just a few of a huge number of rock stars who worked hard and made great contributions at Szeged. Thank you so much to everyone who turned out for the sprints! The next major sprint event will be at DrupalCon Austin. Our community organizers (led by <a href="https://drupal.org/user/258568" rel="nofollow">YesCT</a>) have worked hard to make sure we''ll have seven days of sprints that culminate in a huge sprint on <a href="https://austin2014.drupal.org/sprints" rel="nofollow">Friday, June 6</a>. We hope to see you there.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1400601781', '2271151 at https://www.drupal.org'),
('13', '1', 'Drupal 6 extended support announcement', 'https://www.drupal.org/d6-lts-support', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>On February 13, 2008, Drupal 6 was released.  The policy of the community is to  support only the current and previous stable versions.  (When Drupal 6 was released, Drupal 4.7.x was marked unsupported.  When Drupal 7 came out, Drupal 5.x was marked unsupported.) This policy was created to prevent core and module maintainers from having to maintain more than 2 active major versions of Drupal.</p>\n<p>With the coming Drupal 8 release, this policy has been questioned. We want to ensure that sites that wish to move from Drupal 6 to Drupal 8 have a supported window within which to do so. The Drupal core team, key module maintainers, and representatives of the Drupal security team met at Drupalcon Austin to discuss this as an in-person follow up to the previous discussion at <a href="https://drupal.org/node/2136029">https://drupal.org/node/2136029</a>.</p>\n<p><strong>Drupal 6 core and modules will transition to unsupported status three months after Drupal 8 is released. </strong>  "Unsupported status" means the community will not be providing support or patches in the same way we do now.  Continuing to support Drupal 6 would be difficult for many reasons, including a lack of automated test coverage, the requirement for rigorous manual release testing, the slow-down it introduces in the release of security fixes for the vast majority of Drupal users (on version 7+), and the general shift of volunteers in the community moving their attention onto Drupal 8 development.  </p>\n<p>This gives Drupal 6 users a few options:</p>\n<p>1) Upgrade to Drupal 7 any time between now and 3 months after Drupal 8.0.0 is released.  Drupal 7 releases undergo almost 40,000 automated tests, and Drupal 7 will be fully supported at least until Drupal 9 comes out. Given the past history, the release of Drupal 9 is likely to be around 2018. </p>\n<p>2) Upgrade to Drupal 8 after it is released, but before Drupal 6 is not supported anymore. Fortunately, <a href="https://drupal.org/node/2121299">Migrate support for Drupal 6 to Drupal 8 is already in core</a>, and there is  <a href="https://drupal.org/sandbox/mikeryan/2271813">Migrate UI</a>, a contributed module.  While not all contributed modules will be ready at the time Drupal 8 is released, Drupal 8''s migration path handles most of the critical site data via its CCK to Entities/Fields in Core migrations.</p>\n<p>3) Find an organization that will provide extended support for Drupal 6.  The Drupal Security Team will provide a method for companies and/or individuals to work together in the private security issue queue to continue developing updates, and will provide a reasonable amount of time for companies to provide patches to Drupal 6 security issues that also affect Drupal 7 or Drupal 8.  The security team will coordinate access to issues for companies wishing to provide extended support for Drupal 6.  However, the team will not explicitly review or test the patches (some team members may do this on their own). All code created by these vendors, would be released to the community.</p>\n<p>Organizations and individuals interested in providing this level of support for their customers<br /><strong>AND who have the technical knowledge to maintain a Drupal core release </strong>  should go to <a href="https://drupal.org/node/2287855">the security team Drupal 6 long term support</a> page.</p>\n<p>Both the Security Team and Drupal core leadership feel that a 3-month window after Drupal 8''s release before eclipsing community support for Drupal 6 is a workable compromise between leaving Drupal 6 sites on an unsupported version the second Drupal 8 comes out, and acknowledging that our community''s volunteer resources are limited and have shifted focus. We hope that organizations that rely on Drupal 6 will step up to help maintain it after community support winds down, and/or help their clients update to D8.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div></div></div>', '1403109723', '2288521 at https://www.drupal.org'),
('14', '1', 'Drupal 7.29 and 6.32 released', 'https://www.drupal.org/drupal-7.29', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.30">Drupal 7.30</a> and <a href="/drupal-7.31">Drupal 6.33</a> are now available.</em></p>\n<p style="position: inherit;">Drupal 7.29 and Drupal 6.32, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="https://www.drupal.org/drupal-7.29-release-notes">Drupal 7.29</a> and <a href="https://www.drupal.org/drupal-6.32-release-notes">Drupal 6.32</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.29.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.29</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.32.tar.gz" class="link-button"><span>Download Drupal 6.32</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.29 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.29-release-notes">7.29 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<p>Drupal 6.32 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.32-release-notes">6.32 release notes</a>.  A complete list of all bug fixes in the stable 6.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.29 and 6.32 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2014-003">SA-CORE-2014-003</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.29 or Drupal 6.32.</p>\n<h2>Known issues </h2>\n<p>(Drupal 7 only) This release introduced a serious regression, the biggest effect of which is to cause files or images attached to taxonomy terms to be deleted when the taxonomy term is edited and resaved. See the <a href="https://www.drupal.org/drupal-7.29-release-notes">release notes</a> for more details. The solution is to upgrade to <a href="http://drupal.org/drupal-7.30">Drupal 7.30</a> or higher.</p>\n<div style="clear: both; height: 1em;"></div>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1405543076', '2304553 at https://www.drupal.org'),
('15', '1', 'Drupal 7.30 released', 'https://www.drupal.org/drupal-7.30', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.31">Drupal 7.31</a> is now available.</em></p>\n<p style="position: inherit;">Drupal 7.30, a maintenance release with several bug fixes (no security fixes), including a fix for regressions introduced in <a href="https://www.drupal.org/drupal-7.29">Drupal 7.29</a>, is now available for download. See the <a href="http://drupal.org/drupal-7.30-release-notes">Drupal 7.30 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.30.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.30</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no new features in this release. For more information about the Drupal 7.x release series, consult the <a href="http://drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="http://drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.30 is a bug fix only release. The full list of changes between the 7.29 and 7.30 releases can be found by reading the <a href="http://drupal.org/drupal-7.30-release-notes">7.30 release notes</a>. A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-7.30-release-notes">7.30 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1406239971', '2309387 at https://www.drupal.org'),
('16', '1', 'Drupal 7.31 and 6.33 released', 'https://www.drupal.org/drupal-7.31', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.32">Drupal 7.32</a> and <a href="/drupal-7.34">Drupal 6.34</a> are now available.</em></p>\n<p style="position: inherit;">Drupal 7.31 and Drupal 6.33, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="https://www.drupal.org/drupal-7.31-release-notes">Drupal 7.31</a> and <a href="https://www.drupal.org/drupal-6.33-release-notes">Drupal 6.33</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.31.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.31</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.33.tar.gz" class="link-button"><span>Download Drupal 6.33</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.31 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.31-release-notes">7.31 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<p>Drupal 6.33 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.33-release-notes">6.33 release notes</a>.  A complete list of all bug fixes in the stable 6.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.31 and 6.33 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2014-004">SA-CORE-2014-004</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.31 or Drupal 6.33.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-7.31-release-notes">7.31</a> and <a href="http://drupal.org/drupal-6.33-release-notes">6.33</a> release notes for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1407346505', '2316639 at https://www.drupal.org'),
('17', '1', 'Introducing Drupal.org Terms of Service and Privacy Policy', 'https://www.drupal.org/news/introducing-drupalorg-tos-and-privacy-policy', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>UPDATE:<br />\nTerms of Service are now finalized and located at <a href="https://www.drupal.org/terms">https://www.drupal.org/terms</a>.<br />\nPrivacy Policy is now finalized and located at <a href="https://www.drupal.org/privacy">https://www.drupal.org/privacy</a></p>\n<hr /><p>Almost half a year ago, with the help of the <a href="https://www.drupal.org/governance/drupalorg-working-groups/content" rel="nofollow">Drupal.org Content Working Group</a> and lawyers, the Drupal Association started working on a Drupal.org Terms of Service (ToS) and Privacy Policy. After a number of drafts and rewrites, we are now ready to introduce both documents to Drupal.org users. </p>\n<h2>Why do we need a ToS?</h2>\n<p>Drupal.org has grown organically for many years. Currently the site has thousands of active users that generate lots of content every day. Our current Terms of Service are limited to a short line on the account creation form:</p>\n<blockquote><p>“Please note: All user accounts are for individuals. Accounts created for more than one user or those using anonymous mail services will be blocked when discovered.”</p></blockquote>\n<p>This line is an insufficient ToS for a website of our size. In fact, Drupal.org is probably the only website of this size which operates without a published Terms of Service. This situation is uncomfortable, and even dangerous, for both Drupal community and the Drupal Association, which is legally responsible for Drupal.org and its contents.</p>\n<p>In the absence of a ToS, a lot of rules—“do’s and don’ts”—regarding the website are just “common knowledge” of users who have a long memory and accounts created in the early days of Drupal.org. This might result in new users making mistakes and misbehaving only because they do not know what the unwritten rules are. Website moderators often lack guidance on how to react in specific situations, because those policies are not written anywhere. Some policies, such as <a href="https://www.drupal.org/node/1863498" rel="nofollow">organization accounts policy</a> or <a href="https://www.drupal.org/node/1289684" rel="nofollow">account deletion policy</a> still need to be defined. Lastly, absence of clearly defined Terms of Service and Privacy Policy could lead to legal disputes regarding the site.</p>\n<h2> What’s next?</h2>\n<p>The new Drupal.org Terms of Service and Privacy Policy are published now for the community review. We''ll continue refining them based on community feedback and announce the ''official'' implementation day additionally. On that day all existing users will have to accept these ToS and Privacy Policy to continue using the website. All new users starting on that day will have to accept the ToS and Privacy Policy upon account creation.</p>\n<p><a href="https://docs.google.com/a/association.drupal.org/document/d/1RouQqcurcyHGv7jdDT1C8RihDhbOiRMaBxD3FtCq0Ys/edit#" rel="nofollow">Click to review Drupal.org Terms of Service</a></p>\n<p><a href="https://docs.google.com/a/association.drupal.org/document/d/1ZRDPWaWB4wcBfyta3dF3GsgbVzeUW7VdGSLwv-fD93U/edit" rel="nofollow">Click to review Drupal.org Privacy Policy</a></p>\n<p>In the future, we will make sure to keep ToS and Privacy Policy up-to-date and update them every time policies or functionality of the website changes. We will proactively notify users of all modifications to both documents.</p>\n<h2>Thanks</h2>\n<p>We’d like to say thanks to the Drupal.org Content Working Group members and community members who already reviewed proposed documents and provided us with their valuable feedback.</p>\n<hr /><strong>UPDATE</strong>: Edits to the original drafts were made on 21st of August, 2014, based on feedback in comments to this post.\n<p><strong>UPDATE #2 (03.09.2014)</strong>:  We are postponing ToS/PP official launch and will come back with an updated draft shortly.</p>\n</div></div></div>', '1407505826', '2317953 at https://www.drupal.org'),
('18', '1', 'Maintainers can give credit to organizations that support Drupal projects', 'https://www.drupal.org/news/supporting-organizations-credit-on-profiles', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>This week, we added a feature to projects on Drupal.org to help highlight the contributions made by supporting organizations. Maintainers of distributions, modules, and themes can give credit to organizations that have materially contributed to projects on Drupal.org using the new “Supporting Organizations” field.</p>\n<p><img src="/files/supporting-organizations-field.jpg" alt="Supporting organizations field" /></p><p>How do you use this field? When an organization funds the development of a project  or when a company takes on maintainership of a key module in the community, the maintainers of that project can add a reference to one or more of them on the project node. Maintainers may chose to give this credit to any organization that contributes significant code or support to a project.</p>\n<p>We noticed that many projects would manually follow this pattern in the project description, but wanted to take it a step further. Not only will this provide a link to the organization, it will also show up on the organization’s marketplace page.</p>\n<p><img src="/files/projects-supported.jpg" alt="Projects supported field on organization display" /></p><p>This is just the first step, we are also looking for community feedback and help in providing <a href="/node/2288727" rel="nofollow">credit to companies, organizations and customers that contribute to the development of Drupal</a>. Implementing this step will be a key way to show how organizations are giving code and support to Drupal Core.  Look for it in the coming months.</p>\n<p>Dries has written an excellent post on how we might <a href="http://buytaert.net/a-method-for-giving-credit-to-organizations-that-contribute-code-to-open-source" rel="nofollow">give credit to organizations</a> and another on the <a href="http://buytaert.net/the-investment-case-for-employing-a-drupal-core-contributor" rel="nofollow">value of hiring a core contributor</a> to help push Drupal forward that were a basis for much of this work.</p>\n<p>If you are a project maintainer, take a moment to give some credit to the organizations that have helped build the Drupal ecosystem.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1409198997', '2328925 at https://www.drupal.org'),
('19', '1', 'Drupal Security Team update.', 'https://www.drupal.org/node/2340979', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><h3>Joint Security release with WordPress</h3>\n<p>In big news, we had <a href="https://www.drupal.org/SA-CORE-2014-004" rel="nofollow"> our first joint release with WordPress</a>. We collaborated together with the WordPress team on a PHP security issue discovered by a security researcher. We’re thrilled that we had an opportunity to work together with others in the open source CMS community. We shared a few tips and tricks and it was great working with the WordPress team.</p>\n<h3>Keeping Drupal Secure</h3>\n<p>In keeping with our mission to showcase security best practices at Drupal’s online home, we’ve upgraded <a href="https://security.drupal.org">https://security.drupal.org</a> to Drupal 7. This ensures we’re on a supported platform.  We also took the opportunity to add some new features that help us enhance our team’s efficiency by automating a number of routine tasks.</p>\n<p>As part of our dedication to keeping Drupal users safe, we’ve written and announced the Long Term support (LTS) plan for Drupal 6 (<a href="https://www.drupal.org/d6-lts-support">https://www.drupal.org/d6-lts-support</a>). This is an important step as we look forward to the release of Drupal 8. Soon we will be introducing two-factor authentication to Drupal.org, thanks to hard work from security team members Ben Jeavons, Greg Knaddison , Neil Drumm, and Michael Hess. (<a href="https://groups.drupal.org/node/439868">https://groups.drupal.org/node/439868</a> and <a href="https://drupal.org/node/2239973">https://drupal.org/node/2239973</a>)</p>\n<p>And here’s one last, fun note: Security.Drupal.org issues now show up on the drupal.org dashboard if you add the widget. You can get it clicking on dashboard after logging in and adding the widget.</p>\n<p><img src="/files/dashsdo.png" /><br /></p><h3>Securing Drupal E-Commerce</h3>\n<p>Some Drupal security team members were recently involved in putting together a compliance <a href="http://drupalpcicompliance.org/" rel="nofollow"> White paper</a> for keeping track of PCI compliance. Anyone who runs a Drupal site and takes credit cards should read the whitepaper. Here’s a little more information:</p>\n<p>Version 3.0 of the PCI compliance standard becomes mandatory on January 1st, 2015 and will be a complete game changer for many Drupal eCommerce sites. This includes triple the number of security controls if your website touches credit card information and more. The community supported Drupal PCI Compliance White Paper (<a href="http://drupalpcicompliance.org/">http://drupalpcicompliance.org/</a>) will give you a high level overview of what PCI compliance is, why you need to comply, and (most importantly) how to get started. This paper was written and reviewed by several members of the Drupal security team, including Rick Manelius, Greg Knaddison, Ned McClain, Michael Hess, and Peter Wolanin.</p>\n<h3>Simplifying Security</h3>\n<p>We’ve redesigned our <a href="https://www.drupal.org/security" rel="nofollow"> Security Advisory system</a> to make evaluating and analyzing security threats easier and more intuitive. This came about after several core contributors informed us that they wanted a better way to address security threats. We sent out a survey through Twitter to learn more about how people write and read the Security Advisories. Based on the responses we put together a new Security Advisory system that takes much of the guesswork out of the process of evaluating threats. We’ve added and reordered elements on the Security Advisory’s criticality scale and added explanations to help people understand where a security problem is on the spectrum of potential threats. </p>\n<h3>Our Growing Team</h3>\n<p>We’ve brought a number of new members onto the security team. Please help us give a very warm welcome to our newest <a href="https://security.drupal.org/team-members" rel="nofollow">security team members:</a></p>\n<p>Alex Pott (alexpott) - IRC nick: alexpott, Organization: Chapter Three<br />\nCash Williams (cashwilliams) - IRC nick: CashWilliams, Organization: Acquia<br />\nDan Smith (galooph) - IRC nick: galooph, Organization: Code Enigma<br />\nDavid Snopek (dsnopek) - IRC nick: dsnopek, Organization: MVPcreator<br />\nRick Manelius (rickmanelius) - IRC nick: rickmanelius, Organization: NewMedia!</p>\n<p>We’re always looking for more qualified people who place a high priority on security. If you’d like to join the security team: <a href="https://security.drupal.org/join">https://security.drupal.org/join</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1411063649', '2340979 at https://www.drupal.org'),
('20', '1', 'Drupal 8.0.0 beta 1 released', 'https://www.drupal.org/drupal-8.0.0-beta1', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><div class="messages warning">\nUpdate: The <a href="https://www.drupal.org/node/3060/release?api_version%5B%5D=7234">latest Drupal 8 beta release</a> is available with <strong>important security fixes</strong>.\n</div>\n<p><a href="https://www.drupal.org/node/2348025">Drupal 8.0.0-beta1</a> has just been released for testing and feedback! This key milestone is the work of over 2,300 people who have contributed more than 11,500 committed patches to 15 alpha releases, and especially the 234 contributors who fixed 177 "beta blocker" issues.  To read about the new features in Drupal 8, see <a href="https://www.drupal.org/drupal-8.0">Drupal.org''s Drupal 8 landing page</a>.</p>\n<!--break--><h3>Drupal 8 beta 1 for testers</h3>\n<p>Betas are good testing targets for developers and site builders who are comfortable reporting (and where possible, fixing) their own bugs, and who are prepared to rebuild their test sites from scratch if necessary. Beta releases are <em>not</em> recommended for non-technical users, nor for production websites.</p>\n<p>Start by <a href="http://ftp.drupal.org/files/projects/drupal-8.0.0-beta1.tar.gz">downloading Drupal 8.0.0-beta 1</a> and installing it!  Drupal 8 definitely still has bugs, and we need <em>your</em> help to discover them. Let us know what bugs you find in the <a href="https://www.drupal.org/project/issues/drupal">Drupal core issue queue</a>. (Please <a href="https://www.drupal.org/project/issues/search/drupal?version%5B%5D=8.x">search the known issues before filing</a>.)</p>\n<h3>Drupal 8 beta 1 for module and core developers</h3>\n<p>The main differences between the previous Drupal 8 alphas and the new beta are:</p>\n<ul><li>The fundamental APIs in Drupal 8 (like the entity, configuration, and menu APIs) are now stable enough so that contributed module and theme authors can start (or resume) their <a href="https://groups.drupal.org/node/430243">#D8CX pledges</a> and port their projects to Drupal 8.</li>\n<li>We have locked down Drupal 8''s data model enough that developers should generally not need to perform data migrations <em>between</em> beta releases of Drupal 8. We will start providing a beta-to-beta upgrade path in a later beta release.</li>\n<li>Limited API and data model changes <em>will</em> still happen, though core maintainers will try to isolate these changes to only non-fundamental APIs or critical bug fixes.</li>\n</ul><p>We need your help to fix <a href="https://www.drupal.org/project/issues/drupal?text=&amp;status=Open&amp;priorities=400&amp;categories=All&amp;version=8.x&amp;component=All">critical bugs</a> by <a href="https://www.drupal.org/patch/review">reviewing patches</a> and <a href="https://www.drupal.org/node/707484">creating patches</a>.</p>\n<p>If you''re new to core development, check out <a href="https://www.drupal.org/core-mentoring">Core contribution mentoring</a>, a twice-weekly <a href="https://www.drupal.org/irc">IRC meeting</a> where you can get one-on-one help getting set up and finding a Drupal 8 task.</p>\n<h3>Drupal 8 beta 1 for designers, translators, and documentation writers</h3>\n<p>Drupal 8''s user interface, interface text, and markup are not finalized until the first release candidate, so it''s too early to focus on user-facing documentation, translations, or themes (though by all means, adventurous contributors should start now to provide feedback while we can still fix things). Note that <a href="https://localize.drupal.org/translate">localize.drupal.org</a> does not yet support the full Drupal 8 API and does not have all translatable strings.</p>\n<h3>When does 8.0.0 get released?</h3>\n<p>Beta 1 will be followed by a series of additional beta releases with bug fixes, performance improvements, and improved stability.</p>\n<p>The release version of Drupal 8.0.0 will be ready after there are no more <a href="https://www.drupal.org/project/issues/drupal?text=&amp;status=Open&amp;priorities=400&amp;categories=All&amp;version=8.x&amp;component=All">critical issues</a> (as of today, there are 97 remaining) and we''ve had at least one <a href="https://www.drupal.org/core/release-cycle#rc">release candidate</a> (RC) without adding any more critical issues to the list.</p>\n<p>When will that be? "When it''s ready." The more people help, the faster we can find and fix bugs, and the faster 8.0.0 gets released. The faster 8.0.0 gets released, the faster we can <a href="https://www.drupal.org/node/2135189">start adding new features for Drupal 8.1.0</a>. So help out where you can, and let''s deliver the best release of Drupal ever! :)</p>\n<h3>Thank you!</h3>\n<p>A massive thank-you to everyone who helped get Drupal 8 beta 1 done, especially the contributors who have focused on beta-blocking issues (pictured below). </p>\n<p><img src="https://www.drupal.org/files/beta-blocker-tag-cloud.png" alt="Tag cloud of contributors to Drupal 8 beta blocker issues" /></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1412145034', '2348019 at https://www.drupal.org'),
('21', '1', 'Drupal 7.32 released', 'https://www.drupal.org/drupal-7.32', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.33">Drupal 7.33</a> is now available.</em></p>\n<p style="position: inherit;">Drupal 7.32, a maintenance release which contain fixes for <strong>security vulnerabilities</strong>, is now available for download. See the <a href="https://www.drupal.org/drupal-7.32-release-notes">Drupal 7.32</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.32.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.32</span></a>\n</div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 is strongly recommended.</strong> There are no new features or non-security-related bug fixes in this release. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.32 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.32-release-notes">7.32 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.32 was released in response to the discovery of critical security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2014-005">SA-CORE-2014-005</a></li>\n</ul><p>To fix the security problem, please upgrade to Drupal 7.32.</p>\n<h2>Known issues</h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1413377258', '2357051 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('22', '1', 'Next Steps for the Drupal.org Terms of Service and Privacy Policy', 'https://www.drupal.org/news/next-steps-for-drupalorg-tos-and-privacy-policy', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>UPDATE:<br />\nTerms of Service are now finalized and located at <a href="https://www.drupal.org/terms">https://www.drupal.org/terms</a>.<br />\nPrivacy Policy is now finalized and located at <a href="https://www.drupal.org/privacy">https://www.drupal.org/privacy</a></p>\n<hr /><p>Thanks to the hard work of staff and the Drupal.org Content Working Group, we have completed another round of updates to our draft privacy policy and terms of service. We were able to respond to much of the feedback provided in our <a href="https://www.drupal.org/news/introducing-drupalorg-tos-and-privacy-policy" rel="nofollow">earlier announcement</a>.</p>\n<p>The biggest issues pointed out by the community had to do with the tone of the language in the documents. Many pointed out that it did not match the values of our community. We took a closer look at organizations such as the <a href="https://wikimediafoundation.org/wiki/Terms_of_Use" rel="nofollow">Wikimedia Foundation</a> and <a href="https://www.mozilla.org/en-US/about/legal/terms/mozilla/" rel="nofollow">Mozilla</a>, incorporating some of the approaches they took to make our terms a bit more human. We trimmed and shortened what we could. We clarified where things were ambiguous. The end result is much more in line with our community values.</p>\n<p>Some examples of changes include the following:</p>\n<ul><li>When possible, we changed the tone of both documents to make them more friendly.</li>\n<li>We removed capital letters and used other means to make specific parts of the document noticeable.</li>\n<li>We deleted a couple of references to collecting data that we do not actually collect.</li>\n<li>We clarified that we won’t block accounts “for any and no reason”, but only in cases of Terms of Service, Code of Conduct and Git access policy violations.</li>\n<li>We clarified active notification of users about material changes to policy. We will send an email at least 72 hours prior to changes going into effect. This will give users time to delete their accounts if they don’t want to accept new policies.</li>\n<li>We added contact info and updated all phone numbers, addresses etc. to be formatted according to international standards.</li>\n<li>We clarified that you don’t need to create an account to access the Website, just some parts of it.</li>\n<li>We clarified how to notify us in case of unauthorized access to user account.</li>\n<li>We clarified how long do we store data after it has been removed from user profile.</li>\n</ul><p>We did leave some things from the previous draft without major changes, such as bullet points under section C, for example. And we did it for a reason. One of our goals is to make Drupal.org a place where everyone feels comfortable. Additionally, we have to ensure that Drupal.org is protected if a legal issue does arise. Those bullet points are there not because we want to be able to police or censor the activity on the site. This language exists because it protects Drupal.org if one user takes issue with content from another user. We will still use the process outlined in the Drupal Code of Conduct to resolve any issues whenever we can.</p>\n<p>With that in mind, please take a look at the latest drafts:</p>\n<p><a href="https://docs.google.com/document/d/1ec81NoUHw4OSrjBdh3LvlkG-2OySd7Qzgq_84DREPfQ/edit" rel="nofollow">Terms of Service</a><br /><a href="https://docs.google.com/document/d/17MOgC2V9OnpsJqdAxUJHSsSJGzn9w57HMI2i3erwXB8/edit" rel="nofollow">Privacy Policy</a></p>\n<p>We will be putting these documents into place on Wednesday, 5 November, 2014. All comments added to this thread will be included in our planning for the next revision. We hope to review the Terms of Service and Privacy Policy quarterly and update them with community feedback.</p>\n<p>Thank you for all your help in building these documents.</p>\n</div></div></div>', '1414588302', '2365505 at https://www.drupal.org'),
('23', '1', 'Drupal Core - Highly Critical - Public  Service announcement - PSA-2014-003', 'https://www.drupal.org/PSA-2014-003', 'Drupal Security Team', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><ul><li>Advisory ID: DRUPAL-PSA-2014-003</li>\n<li>Project: <a href="https://www.drupal.org/project/drupal">Drupal core</a>    </li>\n<li>Version: 7.x</li>\n<li>Date: 2014-October-29</li>\n<li>Security risk: <a href="https://www.drupal.org/security-team/risk-levels">25/25 (<span style="padding:1px;display:inline-block;background-color:#EC3E40;color:white"> Highly Critical</span>) AC:None/A:None/CI:All/II:All/E:Exploit/TD:All</a></li>\n</ul><!--break--><h2>Description</h2>\n<p>This Public Service Announcement is a follow up to <a href="https://www.drupal.org/SA-CORE-2014-005">SA-CORE-2014-005 - Drupal core - SQL injection</a>.  This is not an announcement of a new vulnerability in Drupal. </p>\n<p>Automated attacks began compromising Drupal 7 websites that were not patched or updated to Drupal 7.32 within hours of the announcement of <a href="https://www.drupal.org/SA-CORE-2014-005">SA-CORE-2014-005 - Drupal core - SQL injection</a>.  You should proceed under the assumption that every Drupal 7 website was compromised unless updated or patched before Oct 15th, 11pm UTC, that is 7 hours after the announcement.</p>\n<p><strong>Simply updating to Drupal 7.32 will not remove backdoors.</strong></p>\n<p>If you have not <a href="https://www.drupal.org/SA-CORE-2014-005">updated or applied this patch</a>, do so immediately, then continue reading this announcement; updating to version 7.32 or applying the patch fixes the vulnerability but does not fix an already compromised website. If you find that your site is already patched but you didn’t do it, that can be a symptom that the site was compromised - some attacks have applied the patch as a way to guarantee they are the only attacker in control of the site. </p>\n<h3>Data and damage control</h3>\n<p>Attackers may have copied all data out of your site and could use it maliciously.  There may be no trace of the attack.</p>\n<p>Take a look at our help documentation, <a href="https://www.drupal.org/node/2365547">”Your Drupal site got hacked, now what”</a></p>\n<h3>Recovery</h3>\n<p>Attackers may have created access points for themselves (sometimes called “backdoors”) in the database, code, files directory and other locations.  Attackers could compromise other services on the server or escalate their access.</p>\n<p>Removing a compromised website’s backdoors is difficult because it is not possible to be certain all backdoors have been found.</p>\n<p>The Drupal security team recommends that you consult with your hosting provider.  If they did not patch Drupal for you or otherwise block the SQL injection attacks within hours of the announcement of Oct 15th, 4pm UTC, restore your website to a backup from before 15 October 2014:</p>\n<ol><li>Take the website offline by replacing it with a static HTML page</li>\n<li>Notify the server’s administrator emphasizing that other sites or applications hosted on the same server might have been compromised via a backdoor installed by the initial attack</li>\n<li>Consider obtaining a new server, or otherwise remove all the website’s files and database from the server.  (Keep a copy safe for later analysis.)</li>\n<li>Restore the website (Drupal files, uploaded files and database) from backups from before 15 October 2014</li>\n<li>Update or patch the restored Drupal core code</li>\n<li>Put the restored and patched/updated website back online</li>\n<li>Manually redo any desired changes made to the website since the date of the restored backup</li>\n<li>Audit anything merged from the compromised website, such as custom code, configuration, files or other artifacts, to confirm they are correct and have not been tampered with.</li>\n</ol><p>While recovery without restoring from backup may be possible, this is not advised because backdoors can be extremely difficult to find.  The recommendation is to restore from backup or rebuild from scratch.</p>\n<p>For more information, please see our <a href="https://www.drupal.org/drupalsa05FAQ">FAQ on SA-CORE-2014-005</a>.</p>\n<h2> Written by</h2>\n<ul><li><a href="https://www.drupal.org/u/mlhess">Michael Hess</a> of the Drupal Security Team</li>\n<li><a href="https://www.drupal.org/u/Bevan">Bevan Rudge</a></li>\n</ul><h2>Coordinated by</h2>\n<ul><li><a href="https://www.drupal.org/u/mlhess">Michael Hess</a> of the Drupal Security Team</li>\n<li><a href="https://www.drupal.org/u/scor">Stéphane Corlosquet</a> of the Drupal Security Team</li>\n<li><a href="https://www.drupal.org/u/greggles">Greg Knaddison</a> of the Drupal Security Team</li>\n<li><a href="https://www.drupal.org/u/rickmanelius">Rick Manelius</a> of the Drupal Security Team</li>\n<li><a href="https://www.drupal.org/u/pwolanin">Peter Wolanin</a> of the Drupal Security Team</li>\n</ul><h2>Contact and More Information</h2>\n<p> We''ve prepared a FAQ on this release. Read more at <a href="https://www.drupal.org/drupalsa05FAQ">FAQ on SA-CORE-2014-005</a>.</p>\n<p>The Drupal security team can be reached at security at drupal.org or via the contact form at  <a href="https://www.drupal.org/contact">https://www.drupal.org/contact</a>.</p>\n<p>Learn more about <a href="https://www.drupal.org/security-team">the Drupal Security team and their policies</a>,  <a href="https://www.drupal.org/writing-secure-code">writing secure code for Drupal</a>, and  <a href="https://www.drupal.org/security/secure-configuration">securing your site</a>.\n </p>\n\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1414593555', '2365563 at https://www.drupal.org'),
('24', '1', 'Strategic Initiatives for Drupal.org in 2015', 'https://www.drupal.org/news/drupalorg-strategic-initiatives-2015', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Drupal.org is an amazing installation of Drupal. At nearly 13 years old, it is one of the largest, continuously operating examples of Drupal. It is difficult to fathom, but Drupal.org has been upgraded in place from version to version for this entire timespan. I can think of no other site that has gone this long without a significant content and structure migration.</p>\n<p><a href="/ecosystem"><img src="https://docs.google.com/drawings/d/1Y7KkP0IgISsN8LuaAnJPKlxUxBe3883_oFS36It82vg/pub?w=300&amp;h=177" class="right" title="Drupal.org ecosystem, click for larger view" /></a></p>\n<p>Over the years, Drupal.org has grown from a single server owned by a contributor to multiple  racks at the OSL data center, plus cloud resources and content distribution networks spread across the globe. Drupal.org is more than a single site. There are over 20 services and subsites that make up the ecosystem that powers the Drupal community. Each month, over 20 TB of data passes through the Drupal.org infrastructure.</p>\n<p>With such a huge impact, it is important that we have a strong plan for the direction of Drupal.org. With that, we would like to introduce you to the <a href="/roadmap">Drupal.org Roadmap</a>.</p>\n<p><a href="/roadmap" class="link-button"><span>Drupal.org Roadmap</span></a></p>\n<p>Read on to find out how we set this strategic direction.</p>\n<h2>History</h2>\n<p>Volunteers built up these systems focusing on their passions with community initiatives. Many times these volunteers gave up days of their life - unpaid - to make sure that people could continue to build websites with Drupal and to build Drupal and its contributed projects. </p>\n<p>While the result is impressive, there are many areas of Drupal.org that received little or no attention in this model of development. If a developer burned out, or there was no one in the community with a passion for the area of needed improvements, that area remained unmaintained.</p>\n<p>For several years, the Drupal Association has funded the infrastructure that runs Drupal.org. The Association pays for the hosting facilities and the hardware to keep Drupal.org running. </p>\n<h2>The evolving role of the Drupal Association</h2>\n<p>In 2013, the Drupal Association board made the decision to begin building up an engineering team. This team would support both the infrastructure and software development activities behind Drupal.org. Our goal is to accelerate the development of the new features and to help build a cohesive roadmap so that Drupal.org would help unite a global community to build the best of the Web with Drupal. (Hint: that is the <a href="https://assoc.drupal.org/about">mission of the Drupal Association</a>.)</p>\n<p>Hired in March of 2014, the Drupal Association CTO was tasked with building a team and gathering feedback from Working Groups and the Board of Directors to set a strategic direction for Drupal.org.</p>\n<h2>Prioritizing the work</h2>\n<p>There are three primary working groups that guide the development of Drupal.org: Drupal.org Content Working Group (DCWG), Drupal.org Software Working Group (DSWG) and Drupal.org Infrastructure Working Group (DIWG).</p>\n<p>New development of features for the Drupal.org community of sites and services was determined through weeks of careful deliberation and research:</p>\n<ul><li>Previous years of feature ideation</li>\n<li>Working group feature ideation</li>\n<li>User research project</li>\n<li>Working group prioritization</li>\n<li>Board of Directors input and feedback</li>\n<li>Staff ideation on maintenance and performance improvements</li>\n</ul><p>One of the key influences in our prioritization process was the user research that was conducted during and after DrupalCon Austin in June of 2014. We interviewed over 30 individuals that represented a wide range of Drupal.org users from those that were just starting with Drupal, to longtime members of the community, and even those that had once used Drupal and had transitioned their careers to different technologies.</p>\n<p>This gave us four key areas in which to focus:</p>\n<h2>Sustaining support and maintenance</h2>\n<p>These efforts are the ongoing work that keeps the servers up and running and performing well. The <a href="/project/infrastructure">Drupal.org Infrastructure issue queue</a> is the primary place for this work, but there are several other related queues where staff and volunteers from the infrastructure team are focusing their work. Work that staff is tackling will be assigned to a staff member and tagged with d.o support.</p>\n<ul><li>Support for users: Drupal.org issue queues and email support</li>\n<li>Performance: uptime, page response, ongoing testbot deployments and maintenance</li>\n<li>Improving automated tests to make development and deployment reliable</li>\n<li>Maximize hardware and migrate to cloud services where appropriate</li>\n</ul><h2>Fund Drupal.org and future tools</h2>\n<p>While the majority of funds supporting Drupal.org come from our partner programs (Supporting Partner, Technology Partner, Hosting Partner), we are looking for ways to diversify where we raise funds.</p>\n<ul><li><a href="https://jobs.drupal.org/">Drupal Jobs</a></li>\n<li>DrupalCon websites (<a href="https://latinamerica2015.drupal.org/">Latin America</a>, <a href="https://losangeles2015.drupal.org/">Los Angeles</a>, <a href="https://barcelona2015.drupal.org/">Barcelona</a>, etc.)</li>\n<li><a href="http://drupalstore.org/">Drupal Store</a></li>\n<li><a href="https://assoc.drupal.org/advertising/web">Drupal.org advertising and partner program improvements</a></li>\n<li>Tools to help promote and add value to a <a href="https://assoc.drupal.org/membership">Drupal Association membership</a></li>\n</ul><h2>Board and Working Group Priorities: Drupal.org Staff Initiatives</h2>\n<p>These initiatives represent the work that Drupal Association technology and engineering staff will be focused on in the near term through 2015. By being focused on these initiatives, we will get the related features launched on Drupal.org faster. We will still need help to vet and test these features, so follow the issue tags you are interested in and get involved in the related issues.</p>\n<ul><li>Better account creation and login </li>\n<li>Organization and user profile improvements</li>\n<li>Responsive Redesign of Drupal.org</li>\n<li>Issue workflow and Git improvements</li>\n<li>Make Drupal.org Search Usable</li>\n<li>Improved tools to find and select projects</li>\n<li>Groups migration to Drupal 7</li>\n</ul><p>The <a href="/roadmap">Drupal.org Roadmap</a> provides much more detail about these key initiatives.</p>\n<h2>Community Initiatives</h2>\n<p>There is always more work to do on Drupal.org. We need committed and active volunteers to help with key initiatives that showed up in both our user research and the prioritization from the working groups. These are projects that we can support the efforts of contributors that have the time and skills to push these initiatives forward. Three examples with strong community leadership include:</p>\n<ul><li>Support localize.drupal.org</li>\n<li>Next generation testbots (DrupalCI)</li>\n<li>Two-factor authentication</li>\n</ul><h2>You can help</h2>\n<p>In addition to these initiatives, we would love to support a community member that would be willing to step up and lead an initiative to organize our Q&amp;A and support on Drupal.org. There is a huge need for people to be able to find answers to their Drupal questions. Stack Overflow fills part of this role, but there are many more opportunities on Drupal.org itself.</p>\n<p>We will also need a community driven effort to help us establish project ratings and reviews once these tools are in place. It will take a group effort to make these affective quickly.</p>\n<p>All of our initiatives need community involvement. Whether it is commenting on issues posted to these projects or joining in at sprints to move these initiatives forward, we can use your time and commitment.</p>\n<h2>Thank you</h2>\n<p>This planning and work would not have been possible without the financial support from our partners, the direction and leadership of the board, the time commitment of our Working Group members, and an incredibly dedicated Drupal Association staff. </p>\n<p>Cheers!</p>\n</div></div></div>', '1415057246', '2368565 at https://www.drupal.org'),
('25', '1', 'Drupal 7.33 released', 'https://www.drupal.org/drupal-7.33', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;"><em>Update: <a href="/drupal-7.34">Drupal 7.34</a> is now available.</em></p>\n<p style="position: inherit;">Drupal 7.33, a maintenance release with numerous bug fixes (no security fixes) is now available for download. See the <a href="https://www.drupal.org/drupal-7.33-release-notes">Drupal 7.33 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.33.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.33</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no major new features in this release. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://www.drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://www.drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.33 contains bug fixes and small API/feature improvements only. The full list of changes between the 7.32 and 7.33 releases can be found by reading the <a href="https://www.drupal.org/drupal-7.33-release-notes">7.33 release notes</a>. A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.33-release-notes">7.33 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues </h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.33-release-notes">7.33 release notes</a> for a list of known issues affecting this release.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1415374677', '2371107 at https://www.drupal.org'),
('26', '1', 'Drupal 7.34 and 6.34 released', 'https://www.drupal.org/drupal-7.34', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.34 and Drupal 6.34, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="https://www.drupal.org/drupal-7.34-release-notes">Drupal 7.34</a> and <a href="https://www.drupal.org/drupal-6.34-release-notes">Drupal 6.34</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.34.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.34</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.34.tar.gz" class="link-button"><span>Download Drupal 6.34</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.34 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.34-release-notes">7.34 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<p>Drupal 6.34 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.34-release-notes">6.34 release notes</a>.  A complete list of all bug fixes in the stable 6.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.34 and 6.34 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2014-006">SA-CORE-2014-006</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.34 or Drupal 6.34.</p>\n<h2>Known issues</h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1416422344', '2378319 at https://www.drupal.org'),
('27', '1', 'Call for Volunteers: Licensing Working Group', 'https://www.drupal.org/node/2387339', 'holly.ross.drupal', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>There are a growing number of licensing-related issues on Drupal.org that are unresolved. Additionally, volunteers who have been tackling licensing issues believe that the policies are often applied inconsistently. The result is that contributors are often left in a difficult situation, unsure if they should contribute their code or not, and the Drupal project is left at risk when non-compliant code is uploaded to Drupal.org.</p>\n<p>To solve this problem, several of the key volunteers met in July and determined that a Licesning Working Group, modeled after other Drupal and Drupal.org governance bodies and supported by training from the Drupal Association law firm, could provide more consistent oversight. At the 21 November meeting, the Drupal Association Board of Directors <a href="http://cgit.drupalcode.org/governance/plain/charters/licensing-working-group-charter.html" rel="nofollow">approved the draft charter</a> written by those volunteers.</p>\n<p>Now it''s your turn! We''re looking for 4-5 individuals to serve on the Working Group. You''ll receive lots of support from the Drupal Association when you need it, and you''ll be making a direct impact on the happiness of our contributors and the safety of the Drupal project. Just fill out the form below and we''ll get back to you. We expect to approve a slate of candidates during the 21 January board meeting. Questions? Email the Drupal Association Executive Director, Holly Ross, at <a href="mailto: holly@association.drupal.org" rel="nofollow">holly@association.drupal.org</a>.</p>\n<p><a class="link-button" href="https://assoc.drupal.org/licensing-working-group-self-nomination" rel="nofollow">Nominate Yourself!</a></p>\n<h3></h3>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1417717836', '2387339 at https://www.drupal.org'),
('28', '1', 'Follow up on Drupal SA-2014-005, SQL Injection', 'https://www.drupal.org/node/2387517', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>On October 29, the Drupal Security Team issued a Public Service Announcement (PSA) as a follow-up to Security Advisory <a href="https://www.drupal.org/SA-CORE-2014-005">SA-CORE-2014-005</a>, which disclosed a serious SQL Injection vulnerability in Drupal 7. Our goals with the PSA were to:</p>\n<ol><li>Provide an update on the time window between disclosure and first-known exploits</li>\n<li>Provide guidance for users who patched or upgraded outside that window</li>\n<li>Reiterate the severity of the vulnerability and the importance of upgrading or patching</li>\n</ol><p>(Speaking of which, if you have not remediated yet, please stop reading and do so.) </p>\n<p>While we feel those goals were accomplished, the PSA also resulted in a large volume of press coverage – in fact much more coverage than the original disclosure of the vulnerability on October 15th. Not surprisingly, the general tone of the press coverage was quite negative. Unfortunately, some of the coverage was also inaccurate which we’d like to address here as well as provide additional context regarding our security processes.</p>\n<p>While we don’t know the total number of Drupal sites affected, the number is not near 12 million as stated in several publications. Unless disabled, individual Drupal sites report their existence back to Drupal.org and this system reports around 1 million total Drupal sites. While this is not an exact measure of live Drupal sites we can infer that the affected number of specifically vulnerable Drupal 7 sites is more likely to be under 1 million.</p>\n<p>SA-CORE-2014-005 was certainly a severe issue, if not the most severe issue in Drupal’s history; but it’s important to recognize all software has bugs and security issues that require a remediation process. Finding, fixing and announcing security patches is evidence of a healthy security process and Drupal is one of the few content management systems with a dedicated <a href="https://www.drupal.org/security-team">security team</a> that covers both <a href="https://www.drupal.org/project/drupal">Drupal core</a> and contributed code.</p>\n<p>The above said, there are lessons from both the original disclosure and the follow-up PSA that might result in some changes to the Drupal Security Team policy and process, however we want to reinforce that we are deeply committed to keeping Drupal secure. We encourage you to read this <a href="http://drupalsecurityreport.org/">whitepaper </a> that explains our processes, policies and contains a good overview of Drupal security. </p>\n<p>If you ever have questions, please use the public discussion area for general topics at <a href="https://groups.drupal.org/security">https://groups.drupal.org/security</a> or contact us (<a href="mailto:security@drupal.org">security@drupal.org</a>). Or better yet, get involved. You can find more information on the <a href="/security-team">Drupal Security Team page. </a></p>\n<p>-Drupal Security Team</p>\n</div></div></div>', '1417733409', '2387517 at https://www.drupal.org'),
('29', '1', 'A Few Things to Unwrap on Drupal''s Birthday', 'https://www.drupal.org/news/drupal-birthday', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Happy birthday to Drupal! On this day in 2001, Drupal 1.0 was released.</p>\n<p>This milestone is the perfect time to talk about some of the findings of our recent community survey. The survey findings offer a window into what community members are thinking as the project matures and evolves. It also gives us at the Drupal Association a way to better understand what we''re doing right and what we could be doing better. There aren''t many surprises (and that''s a good thing), but all of the findings are educational. Here are three results we thought were particularly interesting and insightful.</p>\n<h3>\n	Drupal 8 Will Be Broadly Adopted</h3>\n<p>\n	In the survey, about 80% of respondents said they either plan to start using Drupal 8 as soon as it is released, or plan to adopt it at some point after release. Another 8% said they did not have specific plans to adopt, but do plan to evaluate Drupal 8.</p>\n<p> </p>\n<p></p><center><br /><img alt="drupal8adoption" height="370" src="https://assoc.drupal.org/files/drupal8.png" width="500" /></center>\n<p> </p>\n<p> </p>\n<h3>\n	Drupal.org Remains an Important and Heavily-Used Tool</h3>\n<p>\n	The overwhelming majority of respondents said they use Drupal.org more than once per week. Most also say they are satisfied or somewhat satisfied with the site. While that result is encouraging, it does not change the important mission to improve the experience of the site and make it a better tool for everyone from first time visitors to those who spend the majority of their working time on the site.</p>\n<p> </p>\n<p> </p>\n<p></p><center><br /><img alt="dosatisfaction" height="370" src="https://assoc.drupal.org/files/dosatisfaction.png" width="500" /></center>\n<p> </p>\n<p> </p>\n<h3>\n	We Need to Create Broader Awareness of Drupal Association Programs</h3>\n<p>\n	Community members who took the survey have great awareness of DrupalCons. Awareness of the work we are doing on Drupal.org seems to be steadily growing. But awareness is relatively low for Community Grants and our Supporter Programs that provide a way for organizations to give back to the Project. That awareness is clearly something we need to improve to promote transparency.</p>\n<p> </p>\n<p> </p>\n<p></p><center><br /><img alt="awareness" height="466" src="https://assoc.drupal.org/files/awareness.png" width="500" /></center>\n<p> </p>\n<p> </p>\n<p>If you would like to read the full results, <a href="https://assoc.drupal.org/files/Drupal2014CommunitySurvey.pdf">you can access them here</a> (2.8M PDF). Thanks for reading, and thanks for being a part of this amazing community.</p>\n<p> </p>\n</div></div></div>', '1421340556', '2408709 at https://www.drupal.org'),
('30', '1', 'Predictions for 2015', 'https://www.drupal.org/node/2409893', 'bertboerland', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Now the new year has started, it''s time for our community to think about the future. It has become a tradition for  for years now to predict what the year ahead will bring for us -- so share your thoughts!</p>\n<p>It''s time to reflect on our <a href="https://www.drupal.org/node/2173123" rel="nofollow">previous</a> predictions and start dreaming away for the year ahead.  What will the year ahead bring for our community and our product, and how can we make this reality by working together? Share your thoughts and your predictions for 2015 as a comment,  and let''s look back in a year''s time to see how we scored on making those dreams a reality.</p>\n<p>Previous predictions: <a href="https://drupal.org/node/14784" rel="nofollow">2005</a>, <a href="https://drupal.org/node/41966" rel="nofollow">2006</a>, <a href="https://drupal.org/node/105423" rel="nofollow">2007</a>, <a href="https://drupal.org/node/204454" rel="nofollow">2008</a>, <a href="https://drupal.org/node/356251" rel="nofollow">2009</a>, <a href="https://drupal.org/node/671566" rel="nofollow">2010</a>, <a href="https://drupal.org/node/1028810" rel="nofollow">2011</a>, <a href="https://drupal.org/node/1399054" rel="nofollow">2012</a>, <a href="https://drupal.org/node/1881074" rel="nofollow">2013</a>, <a href="https://www.drupal.org/node/2173123" rel="nofollow">2014</a>.</p>\n</div></div></div>', '1421616805', '2409893 at https://www.drupal.org'),
('31', '1', 'Drupal.org 2015 Advertising Initiatives', 'https://www.drupal.org/news/drupalorg-2015-advertising-initiatives', 'clacina', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>I was hired by the Drupal Association in October 2014 to develop a new revenue stream from advertising on Drupal.org. For some time we’ve been trying to diversify revenue streams away from DrupalCon, both to make the Association more sustainable and to ensure that DrupalCons can serve community needs, not just our funding needs. We’ve introduced the <a href="https://jobs.drupal.org/" rel="nofollow">Drupal Jobs</a> program already and now, after conversations with the community, we want to put more work into Drupal.org advertising initiatives.</p>\n<p>This new revenue stream will help fund various Drupal.org <a href="https://www.drupal.org/roadmap" rel="nofollow">initiatives and improvements</a> including better account creation and login, organization and user profile improvements, a responsive redesign of Drupal.org, issue workflow and Git improvements, making Drupal.org search usable, improving tools to find and select projects, and the Groups migration to Drupal 7.</p>\n<p>We spent time interviewing members of the Drupal Association board, representatives of the Drupal Community, Working Groups, Supporting Partners, and Drupal Businesses, both large and small to help develop our strategy and guidelines. Our biggest takeaways are:</p>\n<ul><li>\n		Advertising should not only appeal to advertisers, but also be helpful to our users and/or our mission.</li>\n<li>\n		When possible, only monetize users who are logged out and not contributing to the Project. If you’re on Drupal.org to do work and contribute, we don’t want you to see ads.</li>\n<li>\n		Don’t clutter the site, interfere with navigation or disrupt visitors, especially contributors.</li>\n<li>\n		Do not put ads on pages where users are coming to work, like the issue queue.</li>\n<li>\n		Advertising products should be inclusive, with low cost options and tiered pricing. We want to make sure that small businesses without huge marketing budgets have the opportunity to get in front of the Drupal Community.</li>\n<li>\n		Create high impact opportunities for <a href="https://www.drupal.org/supporters" rel="nofollow">Partners</a> that already support the Community.</li>\n<li>\n		Address the industry-wide shift to Programmatic Advertising, which is the automated buying and selling of digital advertising.</li>\n</ul><p>There are already advertising banners on Drupal.org, however we need to expand their reach to hit our goals. We’re trying to address challenges for our current advertisers, including a relatively low amount of views on pages with ads, which makes it difficult for them to reach their goals.</p>\n<p>We’re also facing industry-wide challenges in Digital Advertising. Advertisers are looking for larger, more intrusive ads that get the users’ attention, or at the very least use standard <a href="http://www.iab.net/adunitportfolio" rel="nofollow">Interactive Advertising Bureau</a> (IAB) ad sizes, which are larger than the ads we offer on Drupal.org.</p>\n<p>We came up with a new line of products that we feel will help us reach our goals, but not disrupt the Drupal.org experience, or the Drupal Association Engineering Team roadmap. We want our Engineering Team to fix search on Drupal.org, not spend time developing and supporting major advertising platforms.</p>\n<p><strong>2015 Advertising Initiatives:</strong></p>\n<ul><li>\n		The ongoing development of curated content with banner ads including <a href="https://www.drupal.org/resource-guides/managing-media" rel="nofollow">resource guides</a>, <a href="https://www.drupal.org/resource-guides/drupal-for-nonprofits" rel="nofollow">content by industry</a> and in the future, blog posts.</li>\n<li>\n		Continued display of banner ads on high profile pages like the Homepage, Marketplace and Case Studies Section.</li>\n<li>\n		Sponsored listings from Supporting Technology Partners (similar to <a href="https://www.drupal.org/hosting" rel="nofollow">Hosting Listings</a>).</li>\n<li>\n		Opt-in email subscriptions with special offers from our Supporters.</li>\n<li>\n		Audience Extension: a secure, anonymous, non-interruptive way to advertise to Drupal.org visitors. It allows advertisers to programmatically reach the Drupal.org audience while on other websites through Ad Networks and Exchanges.</li>\n</ul><p>I wanted to spend most of my time explaining Audience Extension, since its unlike anything we’ve done in the past, and it may prompt questions. This product makes sense because it addresses all of the challenges we’re facing:</p>\n<ul><li>\n		It’s affordable for small businesses; they can spend as little as $200 on a campaign</li>\n<li>\n		We don’t need to flood the site with ads and disrupt the user experience.</li>\n<li>\n		It’s relatively easy to implement - we won’t interrupt the engineering team or their efforts to improve Drupal.org.</li>\n<li>\n		We will only target anonymous (logged out) users.</li>\n<li>\n		We will support “Do Not Track” browser requests.</li>\n<li>\n		This is an industry-wide standard that we’re adopting.</li>\n<li>\n		Anonymous users will have the option to opt-out.</li>\n<li>\n		This improves the ad experience on other sites with more relevant, useful ads that also support the community.</li>\n</ul><p><strong>How does Audience Extension Work?</strong></p>\n<p>We’re partnering with <a href="http://www.perfectaudience.com/" rel="nofollow">Perfect Audience</a>, a company that specializes in retargeting, and offers a unique audience extension solution called Partner Connect.  We add a Perfect Audience JavaScript tag to the Drupal.org source code. This tag will be loaded on the page to logged out users. The tag places a Perfect Audience cookie in the visitor''s browser that indicates that they recently visited Drupal.org. Once that cookie is in place, an advertiser looking to reach out to the Drupal.org community can advertise to those visitors on Facebook, Google''s ad network, and many other sites that participate in major online ad networks. Advertisers create and manage these campaigns through their Perfect Audience accounts. They pay for the ads through Perfect Audience and we split the revenue with Perfect Audience and the ad networks that serve the ads.</p>\n<ul><li>\n		The program is anonymous. No personally identifiable information (such as email address, name or date of birth) is gathered or stored.</li>\n<li>\n		No data is sold or exchanged, this merely gives advertisers the opportunity to buy a banner ad impression within the Perfect Audience platform.</li>\n<li>\n		It''s easy to opt-out. You can just click over to the Perfect Audience privacy page and click two buttons to opt out of the tracking. <a href="http://www.perfectaudience.com/privacy/" rel="nofollow">Here''s the link</a>.</li>\n<li>\n		Drupal.org will support “Do Not Track” browser requests and only users who have not logged in (anonymous) will be included in the program.</li>\n<li>\n		It does not conflict with EU privacy rulings. Advertiser campaigns for Partner Connect can only be geotargeted to the United States and Canada right now.</li>\n<li>\n		Only high quality, relevant advertisers who have been vetted by an actual human will be able to participate in this program. Some good examples of Perfect Audience advertisers would be companies like New Relic and Heroku.</li>\n<li>\n		Perfect Audience is actually run by a Drupaler! The first business started by founder <a href="https://www.drupal.org/user/144212" rel="nofollow">Brad Flora</a> back in 2008 was built on Drupal. He spent countless hours in the IRC channel talking Drupal and posting in the forums. He understands how important it is to keep sensitive pages on Drupal.org an ad-free experience and he’s very excited to be able to help make that happen.</li>\n<li>\n		This program has the potential to generate significant revenue for the Drupal Association and Project over time as more advertisers come on board.</li>\n</ul><p>\n	It’s important that we fund Drupal.org improvements, and that we do so in a responsible way that respects the community. We anticipate rolling out these new products throughout the year, starting with Audience Extension on February 5th.  Thanks for taking the time to read about our initiatives, and please tell us your thoughts!</p>\n</div></div></div>', '1422363716', '2414995 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('32', '1', 'Nominations Open for Drupal Association At Large Director', 'https://www.drupal.org/node/2418831', 'holly.ross.drupal', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>It’s a great time to be part of the Drupal Association. We’ve done some amazing work in the last few years, and we’re in a great position to work with the community to continue to improve and grow fully into our mission. As a Drupal Association At-Large Director, you’d be in the center of the action. The At-large Director position is specifically designed to ensure community representation on the Drupal Association board and we strongly encourage anyone with an interest to nominate themselves today.</p>\n<p><a class="link-button" href="https://assoc.drupal.org/2015-nominations" rel="nofollow">Nominate Yourself Today</a></p>\n<p>The Board of Directors of the Drupal Association are responsible for financial oversight and setting the strategic direction of the Drupal Association. New board members will contribute to the strategic direction of the Drupal Association. Board members are advised of, but not responsible for matters related to the day to day operations of the Drupal Association, including program execution, staffing, etc. You can learn more about what’s expected of a board member in this <a href="https://assoc.drupal.org/blog/holly.ross.drupal/what-association-board-does-why-you-should-run" rel="nofollow">post and presentation</a>.</p>\n<p>Directors are expected to contribute around five hours per month and attend three in-person meetings per year (financial assistance is available if required). All board members agree to meet the minimum requirements documented in the <a href="https://association.drupal.org/files/BoardAgreementTemplate.pdf" rel="nofollow">board member agreement</a>.</p>\n<p><strong>Today we are opening the self-nomination form that allows you to throw your hat in the ring. </strong>We''re looking to elect one candidate this year to serve a two-year term.</p>\n<p><strong>Log in first and...</strong></p>\n<p>To nominate yourself, you should be prepared to answer a few questions:</p>\n<ul><li>\n		<strong>About Me:</strong> Tell us about yourself! Your background, how you got into Drupal, etc.</li>\n<li>\n		<strong>Motivation:</strong> Why are you applying for a board position? What initiatives do you hope to help drive, or what perspectives are you going to try and represent?</li>\n<li>\n		<strong>Experience:</strong> What Drupal community contributions have you taken part in (code, camps, etc.)? Do you have experience in financial oversight, developing business strategies, or organization governance?</li>\n<li>\n		<strong>Availability:</strong> I am able to travel to three in-person board meetings per year (either self-funded, or with financial sponsorship)</li>\n<li>\n		<strong>IRC Handle </strong></li>\n<li>\n		<strong>Twitter Handle </strong></li>\n</ul><p>We will also need to know that you are available for the next step in the process, meet the candidate sessions. We are hosting 2 sessions: </p>\n<h3>\n	Session One</h3>\n<ul><li>\n		Tuesday, 24 February 2015 at:</li>\n<li>\n		8 AM PST in the US and Canada</li>\n<li>\n		11 AM EST in the US and Canada</li>\n<li>\n		1 PM in Sao Paulo Brasil</li>\n<li>\n		4 PM in London</li>\n<li>\n		12 AM Wednesday, 25 February in Beijing</li>\n<li>\n		3 AM Wednesday, 25 February Sydney Australia</li>\n</ul><h3>\n	Session Two</h3>\n<ul><li>\n		Wednesday 25 February 2015 at:</li>\n<li>\n		4 PM PST in the US and Canada</li>\n<li>\n		7 PM EST in the US and Canada</li>\n<li>\n		9 PM in Sao Paulo Brasil</li>\n<li>\n		1 AM Thursday, 26 February in London</li>\n<li>\n		8 AM Thursday, 26 February in Beijing</li>\n<li>\n		10 AM Thursday, 26 February in Sydney Australia</li>\n</ul><h3>\n	Session Three</h3>\n<ul><li>\n		Thursday 26 February 2015 at:</li>\n<li>\n		12:30 PM PST in the US and Canada</li>\n<li>\n		3:30 PM EST in the US and Canada</li>\n<li>\n		5:30 PM in Sao Paulo Brasil</li>\n<li>\n		8:30 AM Friday, 27 February in London</li>\n<li>\n		4:30 AM Friday, 27 February in Beijing</li>\n<li>\n		7:30 AM Friday, 27 February in Sydney Australia</li>\n</ul><p>The nomination form will be open February 1, 2015 through February 20, 2015 at midnight UTC. For a thorough review of the process, please see our <a href="https://assoc.drupal.org/blog/holly.ross.drupal/get-ready-2015-community-elections" rel="nofollow">announcement blog post</a>.</p>\n<p>If you have any questions, please contact <a href="mailto:holly@association.drupal.org" rel="nofollow">Holly Ross</a>, Drupal Association Executive Director.</p>\n<p><em><strong>Flickr photo: <a href="https://www.flickr.com/photos/kodakviews/7157055718/in/photolist-bUrMjo-4qdati-4qj9PB-4xVDxB-dofEB1-bPBC2B-5xiiAi-5zuhAU-4pvC1M-7HB2CW-ML3RS-5zpcuq-93wypN-dj8wYm-rMVM7-rMkWM-7ihsR5-5Zddzz-5wka3S-5C7NtB-axHmCG-5yN8Gc-aQom9n-oZPa1-9JwpDq-Ztq-5whAg3-63FcQb-5RZFNv-7XisNb-8Qc4qU-5vdtiB-drdwj5-995bT2-5zuKcU-ns7GM3-5ze2WP-8Tx2F3-gHKDhQ-8w8EkU-8NSDDv-aQjx7a-mESJ5X-48vvav-5zvkFt-558f-bi8Kcv-4rKm56-4c8n3o-9yDGf1" rel="nofollow">Kodak Views</a></strong></em></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1422908383', '2418831 at https://www.drupal.org'),
('33', '1', 'Community Spotlight: Paul Johnson (pdjohnson)', 'https://www.drupal.org/node/2420109', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>It’s time for another community spotlight, and this month, we’re highlighting a community member who has made huge contributions to the success of the Drupal project and of DrupalCon — and not only through code.</p>\n<p><img class="right" src="/files/15420528691_f57120bd87_z_0.jpg" alt="Paul Johnson at DrupalCon Amsterdam" />Paul Johnson (<a href="/u/pdjohnson" rel="nofollow">pdjohnson</a>) of Manchester is currently the Drupal Director of CTI Digital, and is the social media lead for most DrupalCons. He also maintains the <a href="http://twitter.com/drupal" rel="nofollow">@Drupal</a> Twitter account. Paul has grown the DrupalCon social media program from a small following on twitter to a set of huge, engaged channels. (Image credit to <a href="https://www.flickr.com/photos/125467197@N07/" rel="nofollow">Frank Crijns</a> on Flickr. Thanks, Frank!)</p>\n<p>The Drupal Association sat down with Paul in late January to talk about some of his accomplishments and passions.</p>\n<p><strong>DA: How did you get involved with Drupal and volunteering with DrupalCon?</strong></p>\n<p><strong>Paul: </strong>I got involved in 2005 or 2006 by accident when I found it on Google, though I don’t really remember the exact moment. The company I worked for at the time wanted to move from their own homegrown CMS to something else, so I was looking for other solutions. While doing research I came across Drupal, and before I knew it I’d gone to DrupalCon Barcelona [in 2007]. </p>\n<p>Not long after that, I got really in to twitter. I was going to DrupalCon London in 2011 and I was fiercely excited about going, and I was expressing it on Twitter. Out of the blue, Isabel Schulz -- a nice woman who worked for the Drupal Association at the time -- reached out to me. She said, “it sounds like you want to get more involved.” It was like lighting a touch paper. Before I knew it they’d given me the username and password to the DrupalCon account and said “right, get on with it."</p>\n<p><strong>DA: That’s a big responsibility!</strong></p>\n<p><strong>Paul: </strong>At that time social media wasn’t so prevalent, and I don’t think anyone in the Drupal community realised how it could make a big contribution to the success of the conference— how it could reach a wider audience and get help in executing the conference.</p>\n<p>I had no rules, and I made mistakes… I was really quite daunted by the prospect. Looking back, I might have destroyed my reputation with Drupal but thankfully I didn’t! I grew and learned, and then in Portland the social media aspect started to grow more quickly. I began writing formal processes to help myself, but it became apparent that as DrupalCon was growing, the success of the social media was perhaps leading towards other people getting involved.</p>\n<p>I suppose I’m an unusual person — I find it difficult to find my place in the Drupal community. There are a lot of people out there who are better developers than I am, and I have this thing in my head that held me back from getting involved. I suppose it was quite a long time before I realised I had something valuable to contribute to the community. There has been this idea that contributing modules or contributing to core is cool, but there are lots of us who fall outside that immediate group of people, and who have-- until recently-- felt orphaned from contribution.</p>\n<p>I’ve always thought about when the Association reached out to me. It was a small bit of recognition, but it felt very empowering. It had a big influence on me, and because of it, I’ve always tried to shout for these people who have enthusiasm, and try to ignite it.</p>\n<p><strong>DA: Do you have any good examples of that?</strong></p>\n<p><strong>Paul:</strong> Sure. DrupalCon Portland took place at the same time as that awful Oklahoma tornado. Before it happened, I had always wanted to use social media to watch out for these kinds of things, because… with a very large audience, we can do things and help people very quickly by using the broadcast mechanism. </p>\n<p>When the tornado hit, I saw guys in our coder lounge hacking together a solution to help people on the ground, and I used social media to draw attention to it. It snowballed, and before we knew it, FEMA was involved, and that sends shivers down my spine. I love it when social media translates from something that’s just a conversation on the internet to something with a positive, real-world impact.</p>\n<p><strong>DA: Switching tracks a little bit, can you tell us about some of the challenges you’ve faced when working on the DrupalCon social media?</strong></p>\n<p><strong>Paul: </strong>I’ve grown up with the Drupal Association and the project, but in many respects, the biggest attraction is also one of the biggest challenges. The diversity of the Drupal community is… well, in being responsible for representing the Drupal Association and the project and the community, you have to be quite careful. You’re an ambassador, and you have to have to have the highest level of conduct. You can’t always speak your mind.</p>\n<p>Sometimes I’ve gotten upset. It’s a big part of my life, Drupal, and people will say things to the official accounts that are upsetting, and you have to rise above that. And sometimes, people will say things from within or without the community that can be quite cutting, and I suppose that’s one of the hardest things. But, ultimately you can draw many positives from that because it becomes a question of, how do you work towards enhancing the minds of people who think like that. </p>\n<p>Another challenge was that, in the early days, nobody knew it was me behind the accounts. It does take a reasonable amount of my time — a half an hour or more a day every day, oftentimes more. I didn’t mind [not being known] necessarily, but it’s really nice to get recognition — and, if anyone writes anything valuable I try to give them credit on social media, to encourage and celebrate people who make the effort, and put them on a pedestal so that it spurs others to do the same.</p>\n<p>Along those lines, I so often hear, “I don’t go to local meet-ups,” or "I’m not good enough," or "people will think I’m not clever enough or that my contribution isn’t sufficient.” I think it’s really important that people appreciate that, no matter where you are in your Drupal journey, you know more than the person who just started. You don’t have to be chx or morten or webchick-- they all started at nothing, too, but they started a long time ago.</p>\n<p><strong>DA: What’s your favorite thing about the Drupal community?</strong></p>\n<p><strong>Paul:</strong> When our community gets behind an idea, stuff really happens, and it happens really fast. Whether that’s code, or whether it would be to crowd source some funding for a blind man who lives in Italy and wants to go to DrupalCon Portland, it is just magnificent how fast things can happen if the will of the community is drawn.</p>\n<p>And, you know, the Drupal community gives me the opportunity to meet or converse with people I would never imagine having the chance to do so with otherwise. It makes my life so much richer. It’s not about the code, Drupal is providing me with the most unimaginable opportunities. It has allowed me -- in my career and my personal life — to take on challenges that would never have been available to me before.</p>\n<p>Drupal has allowed me to be brave and to take a few risks, like interviewing Dries at the end of his keynote. I like to hide behind social media.. but then I’m projecting it onto a stage. And another thing about the community is, rarely do you meet someone who’s not nice. </p>\n<p><strong>DA: What’s your favorite thing about volunteering?</strong></p>\n<p><strong>Paul:</strong> The thing that I enjoy the very most of volunteering is making a difference. There have been a few things where, I don’t know, I’ve seen a small smoldering fire and I’ve been able to ignite it into a bigger thing.</p>\n<p>I was given the keys to DrupalCon, and then in the last few years I’ve taken ownership of the Drupal twitter account. Previously, it had become an abandoned channel, but under my stewardship it has gone from 30k followers to over 55k. And, you know, there are lots of people in media who are watching Drupal and who might be loosely interested. The Drupal twitter has so much opportunity to reach a wider audience with big achievements. So I love to use social media to show that Drupal is more than just America, more than just Europe — there’s a lot going on in India and in Africa and elsewhere.</p>\n<p>I welcome anyone to approach me with news of things that they are doing in their local community that we can celebrate on official channels. I love to help grow something that’s a great idea into something that’s really big, because I think we’ve succeeded in growing the community in the USA and Australia and Europe. For me, the next big thing is to support the community in those regions that are about to flourish. How can we help them to make things happen more quickly?</p>\n<p><strong>DA: Who are you when you aren’t online?</strong></p>\n<p><strong>Paul:</strong> I do seek solitude, and I really have a strong appreciation of wilderness. I’m a dad, and I love kids, and I suppose most of my time is spent cycling with my family. We go to The Lake District quite often in the UK, which is a beautiful and mountainous area.</p>\n<p>I am passionately into road cycling on my bike, and mountaineering too. I like challenging myself — in everything I do, I always like to push myself. I’m always trying to climb higher or go faster. I’m no happier than when I’m in a mountaintop in the snow, even — especially — if it’s in a blizzard. I love being in a hostile environment where perhaps other people wouldn’t be able to cope. I love to explore places and trek the untrodden path. So even if I go back to the same place, I’ll take a different road.</p>\n<p><strong>DA: Do you have any final thoughts to share with us today?</strong></p>\n<p><strong>Paul:</strong> With Drupal 8 on the way, I started a twitter account called <a href="http://twitter.com/drupal8iscoming" rel="nofollow">@drupal8iscoming</a>. It’s starting to grow and grow and grow now: it celebrates all things Drupal 8 on the internet — you know, articles, tutorials, events, and also how to help to get the word out to organisations about Drupal. Please check it out!</p>\n</div></div></div>', '1423071023', '2420109 at https://www.drupal.org'),
('34', '1', 'Content Strategy Update: What are we up to?', 'https://www.drupal.org/news/content-strategy-update-february-2015', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Back in December, as part of our ongoing efforts to improve Drupal.org, we <a href="https://assoc.drupal.org/blog/tvn/forum-one-work-content-strategy-drupal.org">kicked off a content strategy project with Forum One</a>. Drupal Association engineering and marketing/communication staff partnered with the <a href="/governance/drupalorg-working-groups/content">Drupal.org Content Working Group</a> and met for a two-day workshop to help get the project team from Forum One (content strategists and user experience designers) up to speed on Drupal.org and the ecosystem of sites and services that our community uses to build and use Drupal.</p>\n<p>Over the past month, we have pulled together many detailed documents to help guide our work. While we are only about halfway through this project, we wanted to share a bit of the work-in-progress that will influence Drupal.org’s content strategy in the coming months.</p>\n<h2>What is Content Strategy</h2>\n<p>Content strategy is the practice and process of planning content creation, delivery, and governance. Its purpose is to create   a repeatable system that defines the entire editorial content development process for a website.</p>\n<p>Drupal.org is a very unique website. It serves many purposes:</p>\n<ul><li><strong>Drupal.org is the home of our community.</strong> That makes different things to different people, but at its heart, Drupal.org is about the collaboration that allows us to build Drupal the software.</li>\n<li><strong>Drupal.org is the canonical source for Drupal the software.</strong> Drupal.org binds together the respositories for Drupal core and contributed projects, issue queues for requesting features and reporting bugs, and packaging for automated building of releases that are tied to an integrated update process.</li>\n<li><strong>Drupal.org is the hub of our commercial ecosystem.</strong> Companies that sell Drupal services and/or Drupal hosting are brought together with customers of Drupal the software—organizations using Drupal to power their websites.</li>\n<li><strong>Drupal.org is a communication channel and it feeds other communication channels. </strong>We link to a lot of content on Drupal.org and the homepage gets lots of unique traffic.</li>\n<li><strong>Drupal.org is a source of information.</strong> The site provides information about Drupal the software, Drupal.org the site, and the Drupal Association.</li>\n<li><strong>Drupal.org is a place where people go to evaluate Drupal.</strong> Developers, Designers, CTOs, CIOs, and more go to Drupal.org to read about features and success stories to make a decision to use the Drupal the platform to build their content management solutions.</li>\n<li><strong>Drupal.org is a starting point for support. </strong>Many users ask their first questions to the community using the Drupal forums or issue queues. The find answers by searching the Internet and being pointed back to the answer on Drupal.org.</li>\n<li><strong>Drupal.org is a collection of documentation.</strong> Our canonical API documentation is generated from the repositories associated with Drupal.org. Our community has built pages upon page of documentation to help users understand how to build with Drupal and how to contribute to building Drupal.</li>\n</ul><p>With so many purposes and competing objectives, a cohesive content strategy that takes in input from many contributors and users of Drupal.org is critcal.</p>\n<h2>Setting a Content Strategy Vision</h2>\n<p>To keep us aligned, we outlined three major areas to keep measuring our work against: the big ideas, key messages, and our objectives for content on the site.</p>\n<h3>Key Messages</h3>\n<ul><li>Drupal.org is the home of Drupal and the Drupal community. It is the source of code, information and collaboration, which enables people all over the world to build flexible and scalable technology solutions together.</li>\n<li>We are a global community of web practitioners—from project managers and writers, to designers and developers—contributing our unique skillsets to building and growing the adoption of the free and open source software that is Drupal.</li>\n<li>Drupal is used by nonprofits, government, and Fortune 500 companies to architect customized, appropriate solutions for a wide array of organizational needs.</li>\n</ul><h3>Content Strategy Objectives</h3>\n<ul><li>Improve quality and findability of relevant content so that users can efficiently move through proficiency levels.</li>\n<li>Reframe Drupal.org around all user roles and proficiencies so that all audiences are addressed.</li>\n<li>Develop content governance for Drupal.org to improve the overall quality of content.</li>\n<li>Improve user engagement within the Drupal.org community so that members form deeper relationships and become Drupal promoters and contributors.</li>\n</ul><h2>Identifying Content Types and Gaps in our Content</h2>\n<p><img src="/files/1.2-million-pieces.png" class="right" alt="1.2 million nodes, 2.4 million comments" />We have 17 active content types and over 1.2 million pieces of content on Drupal.org. (Really, this is just nodes, we have even more taxonomy terms and views that also represent displays of data.) That’s a lot of content. It’s more than 29,000 projects (modules, themes, distributions, etc.) and over 789,000 issues posted to those projects. We also have over 330,000 forum topics being discussed. </p>\n<h3>The Curious Case of the Book</h3>\n<p>With all of that content, 17 types does not quite give us the flexibility or degree of classification that we need to provide truly structured content. We have some content types that are used for so many different kinds of content that they''re virtually meaningless. We have over 12,000 nodes in our “book page" content type. Our book pages can be anything from documentation to landing pages to resource guides to topical pages to module comparisons… really we use them for just about everything. </p>\n<p>During the content strategy project, we will explore ways to break our book pages into more meaningful content types that help new users find what they need.</p>\n<h3>What’s in a Forum</h3>\n<p><img src="/files/forum-post-authors.png" class="right" alt="92,029 users have created a forum post" />Another content type that gets used for more than it should is the forum topic. We use forums to post news, security announcements, discussions and even support requests. Yet at the same time, it is clear that forums are used far less now than several years ago. We had over 50,000 forum posts in 2008. We had only 11,000 in 2014.</p>\n<p>For support and questions, our forums do not have comparable functionality to systems like <a href="http://drupal.stackexchange.com/">Drupal Answers</a>—powered by Stack Exchange. Many community members that provide support have already moved to that site to answer questions. Drupal.org is still a starting point for many newcomers to Drupal. One goal of the content strategy project is to make some decisions about where we can best direct newcomers for support.</p>\n<h3>Where are the Marketing Materials to Help People Choose Drupal?</h3>\n<p>A key classification of content that we are missing in our information architecture on Drupal.org is marketing materials. We create tons of documentation and handbooks, but we do not have a ton of great materials that tell business evaluators (CIOs, CTOs, managers, and decision makers) why they should choose Drupal. We have a good start with content created to <a href="https://www.drupal.org/drupal-8.0">promote Drupal 8</a>, but there is a lot more we can do to help sell the qualities of Drupal.</p>\n<p>These are just a couple of the gaps that we have found and are working with the <a href="https://www.drupal.org/governance/drupalorg-working-groups/content">Drupal.org Content Working Group</a> and the <a href="https://www.drupal.org/governance/doc-working-group">Documentation Working Group to address.</a></p>\n<h2>Auditing What We Have and Mapping What We Want</h2>\n<p>We took the time to map our community’s content production over time and the totals were amazing.</p>\n<p>The height of our community’s content creation was in 2012, when we created more than 195,000 nodes on Drupal.org and Drupal Groups. As Drupal 7 has matured, we have slowed down a bit. In 2014, we created 116,514 nodes on those two sites. That is still a huge amount of content. </p>\n<p><img src="/files/percent-content-before-2011.png" class="right" alt="55% of Drupal.org book pages were created before Drupal 7. 32% have been updated since its launch in 2011." />Nearly 39% of all of the content on Drupal.org and Drupal Groups was created before 2010. More specifically, 55% of all book pages were created prior to the launch of Drupal 7 in 2011—that’s 5,665 book pages. Only 32% of those book pages have been updated since. That gap of 23% of all book content is a good place to begin an audit.</p>\n<p>We are working now to finalize a process for identifying what content could be archived or removed and what content needs to be updated. The community has done admirable job of classifying our documentation by page status, but there is more work to be done. We need an automated process for regularly auditing our content.</p>\n<p>We need a better map of related content—content we have and content we need—that can be used to build a better information architecture for new users. </p>\n<p>One of the key deliverables for our content strategy project is a site map of what we want the site to look like in 3 months, 6 months and 1 year.</p>\n<h2>Creating a Governance Plan to Better Support our Community of Creators</h2>\n<p>We are hard at work reviewing and documenting community processes for maintaining content on Drupal.org. If users have been around for a while, they might have found their way into the <a href="https://www.drupal.org/project/content">content issue queue</a> and wondered at the process and how to start helping. <img src="/files/edits-to-books.png" class="right" alt="6,452 users have edited 12,326 book pages over 92,000 times." />They may also have jumped in and helped edit a documentation page in one of our numerous books. (6,452 of community members have edited 12,326 book pages over 92,000 times.)</p>\n<p>The problem is that these processes are not well known and not built into our tools at a level that helps users know what they should and should not do in the system.  Learning the “right way" to contribute requires finding policy documentation that is often difficult to get to, and sometimes out of date. Therefore, along with our new content types, we are assessing and testing the user experience for creating, curating and maintaining all of the content on Drupal.org. </p>\n<p>As we document the existing rules that govern how contributions are made, it’s become clear that one of the greatest barriers to contribution, especially for new users, is the sheer difficulty of learning the “right way" to make a contribution. We want to change the way these users interact with the site, so that the correct process and procedure for each type of contribution is <strong>baked right into the workflow</strong>. </p>\n<h2>Making our Communications Count</h2>\n<p><img src="/files/communication-channels.png" class="right" alt="blogs, @drupal, Drupal.org, webcasts, Planet, Groups, newsletters, issues" />The last key deliverable that is being finalized as part of our content strategy is our communications plan. We have 50+ channels that are used by Drupal Association, working groups, social media volunteers, and maintainers to communicate with the community—everything from Twitter to newsletters to the Drupal.org homepage. We do not want to flood you with too much information, but we would like to be able to give you the information you want to see when you want to see it. </p>\n<p>Right now, Drupal Association staff and the Drupal.org Content Working Group are mapping our messages to our audiences, our message to our channels and our channels to our audiences. It will be easier than ever to subscribe to the information you want—both email and on the site itself—in the coming year.</p>\n<h2>Next Steps</h2>\n<p>We will be wrapping up our content strategy work as March comes to a close. </p>\n<p>We will publish more findings along the way. Stay tuned for new content types on Drupal.org—including news, posts, topic-based taxonomy term pages, and better ways to access and help write documentation.</p>\n</div></div></div>', '1423785553', '2425677 at https://www.drupal.org'),
('35', '1', 'Provide feedback on the issue credit attribution user interface', 'https://www.drupal.org/news/issue-credit-attribution-interface', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>With the help of a few key community members, we have been hard at work creating an interface for users to attribute their work in the issue queues to a customer or employer. (<span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2288727" title="Status: Active">#2288727: [meta] Provide credit to organizations / customers who contribute to Drupal issues</a></span>) </p>\n<p>This is an important step in beginning to collect information about the contributions that organizations make in the Drupal ecosystem. Dries has talked about this need in detail in his blog post <a href="http://buytaert.net/a-method-for-giving-credit-to-organizations-that-contribute-code-to-open-source" rel="nofollow">A method for giving credit to organizations that contribute code to Open Source</a>. Since the original vision laid out in that post, which focused on commit credits, we have expanded the scope to include any contribution in the issue queues.</p>\n<p>There will be three parts to the release of this feature on Drupal.org.</p>\n<h2>Comment Attribution</h2>\n<p>First, we needed a way that contributors could attribute their work to an organization—either their employer, their customer or both. (<span class="project-issue-issue-link project-issue-status-info project-issue-status-2"><a href="/node/2340363" title="Status: Fixed, Assigned to: drumm">#2340363: Add issue comment attribution</a></span>) We would like to have feedback through the comment on the issue. Here is an animated example of the comment attribution user interface:</p>\n<p><a href="/node/2340363" rel="nofollow"><img src="/files/issues/issue-comment-attribution-demo.gif" alt="Snazzy user interface for attributing a comment to an organization and/or a customer." /></a></p>\n<p>This new field on every issue comment lets the user attribute their work to organizations per comment. Our team is also very excited to introduce a new interface framework for inline editing of entity fields on Drupal.org. There are so many great ways we could use this for easier in place editing of metadata.</p>\n<p>Once this comment attribution user interface is deployed, we’ll see how it is used, helping us build the next step.</p>\n<h2>Interface for Maintainers to Award Issue Credits</h2>\n<p>The next step will be a method for maintainers to award credit for the intended attribution. (<span class="project-issue-issue-link project-issue-status-info project-issue-status-8"><a href="/node/2369159" title="Status: Needs review, Assigned to: drumm">#2369159: Extend crediting UI to include organizations &amp; customers</a></span>) Allowing maintainers to commit or award the credit for the issue accomplishes two important goals: we incentivise completion and we reduce gaming of the credit system. </p>\n<p>By placing credits on issues—rather than commit mentions—we opened up the ability to recognize contributions outside of code. Patch reviews, comments on architectural decisions, wireframes and mockups, and general design feedback are all valuable contributions to the issue queues. Maintainers will now be able to reward those helpful behaviors.</p>\n<h2>Highlighting Organizations that Contribute</h2>\n<p>After a couple of months of collecting issue credit data, we will be able to begin using that data to highlight contributing organizations—giving them “trust currency” as Dries put it so well.</p>\n<p>Issue credits are not the only contribution we will be tracking. We are already tracking how organizations give back financially through our supporting partner and membership programs. We track organizations that sponsor DrupalCons—and we’d like to start tracking how organizations help build camps. </p>\n<h2>Next Steps</h2>\n<p>If feedback goes well, our Drupal.org engineering team is planning to release the comment attribution feature on March 12th.</p>\n<p>The user interface for maintainers to award credit should be available for comment in the coming week. Work on that issue has already started at <span class="project-issue-issue-link project-issue-status-info project-issue-status-8"><a href="/node/2369159" title="Status: Needs review, Assigned to: drumm">#2369159: Extend crediting UI to include organizations &amp; customers</a></span>.</p>\n<p>Let us know what you think!</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1425337817', '2444673 at https://www.drupal.org'),
('36', '1', 'Voting is Open for the 2015 At-Large Board Elections', 'https://www.drupal.org/news/voting-open-2015-at-large-board-elections', 'holly.ross.drupal', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img alt="" src="https://assoc.drupal.org/files/7157055718_4bc129954f_m.jpg" style="width: 240px; height: 188px; border-width: 0px; border-style: solid; margin: 10px; float: left;" />Voting is now open for the 2015 At-Large Board positions for the Drupal Association! If you haven''t yet, check out the <a href="https://assoc.drupal.org/election/8/candidates">candidate profiles</a> and review the<a href="https://assoc.drupal.org/election/8/candidates"> Meet the Candidate sessions</a> (we ran three) that we held. Get to know your candidates, and then get ready vote.</p>\n<h3>\n	<a href="https://assoc.drupal.org/2015-voting-open">Cast Your Vote! </a></h3>\n<p>How does voting work? Voting is open to all individuals who have a Drupal.org account by the time nominations open and who have logged in at least once in the past year. These individuals'' accounts will be added to the voters list on association.drupal.org and they will have access to the voting.</p>\n<p>To vote, you will rank candidates in order of your preference (1st, 2nd, 3rd, etc.). The results will be calculated using an "instant runoff" method. For an accessible explanation of how instant runoff vote tabulation works, <a href="https://www.youtube.com/watch?v=wA3_t-08Vr0&amp;feature=related">see the this video</a>.</p>\n<p>Elections will be held from 9 March through 20 March (midnight UTC) 2015. During this period, you can still review and comment on <a href="https://assoc.drupal.org/election/8/candidates">candidate profiles</a>.</p>\n<p>Have questions? Contact Drupal Association Executive Director <a href="mailto:holly@association.drupal.org">Holly Ross</a>.</p>\n</div></div></div>', '1425932223', '2449095 at https://www.drupal.org'),
('37', '1', 'Drupal 7.35 and 6.35 released', 'https://www.drupal.org/drupal-7.35', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.35 and Drupal 6.35, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="https://www.drupal.org/drupal-7.35-release-notes">Drupal 7.35</a> and <a href="https://www.drupal.org/drupal-6.35-release-notes">Drupal 6.35</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.35.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.35</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.35.tar.gz" class="link-button"><span>Download Drupal 6.35</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.35 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.35-release-notes">7.35 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<p>Drupal 6.35 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.35-release-notes">6.35 release notes</a>.  A complete list of all bug fixes in the stable 6.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.35 and 6.35 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2015-001">SA-CORE-2015-001</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.35 or Drupal 6.35.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-7.35-release-notes">7.35</a> and <a href="http://drupal.org/drupal-6.35-release-notes">6.35</a> release notes for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="http://drupal.org/drupal-7.35-release-notes">7.35</a> and <a href="http://drupal.org/drupal-6.35-release-notes">6.35</a> release notes for known issues with this release.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1426702209', '2454959 at https://www.drupal.org'),
('38', '1', 'Ready, Set, Drupal 8! D8 Accelerate Fundraiser', 'https://www.drupal.org/news/ready-set-drupal-8-d8-accelerate-fundraiser', 'holly.ross.drupal', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Last November we launched <a href="https://assoc.drupal.org/d8accelerate">Drupal 8 Accelerate</a>, a grant program designed to eliminate Drupal 8 release blockers. Through the progam, we’ve made a <a href="https://assoc.drupal.org/d8accelerate/awarded">small number of grants</a> that have had a huge impact. In fact, we only have about 50 release blockers left between us and release. So now the Association is going to take it to the next level. We''ve already pledged $62,500 of our general operating budget in 2015 as matching funds for you donations. Now we are announcing that the board has partnered with 7 outstanding community supporters to “match the match” and provide another $62,500 of the program, bringing us to $125,000 available for grants.</p>\n<p>Now it''s your turn! We''re asking you to help us raise another $125,000 to make the total amount available for these grants $250,000. You can give knowing that <strong> every dollar you contribute is already matched by the Association and these anchor donors, doubling your impact. </strong>Your donations will allow us to make more grants, faster, increasing our impact and getting D8 out the door!</p>\n<p>This is an all-out, everyone-in effort to raise $250,000 to kill the last release blockers in our way.This is our moment - together, we are going to move Drupal 8 from beta to release with the Drupal 8 Accelerate program. We already know it works. Drupal 8 Accelerate grants have already tackled release blockers issues related to <a href="https://groups.drupal.org/node/456353">menus</a>, <a href="https://assoc.drupal.org/d8-grant-fix-entity-field-validation-critical-issues-report-1">entity field validation</a>, and <a href="https://assoc.drupal.org/resolve-various-d8-memorycold-cache-performance-issues-report-1">caching</a>. As a donor, you will always know exactly what you''re funding because <a href="https://assoc.drupal.org/d8accelerate/awarded">we''re making it all public</a>. </p>\n<p>Join us today and make your donation. The sooner we get this done, the sooner we can all enjoy those launch parties!</p>\n<p>Special thanks to our anchor donors, <a href="https://www.acquia.com/">Acquia</a>, <a href="http://www.appnovation.com/">Appnovation</a>, <a href="https://drupalize.me/">Lullabot</a>, <a href="http://palantir.net/">Palantir.net</a>, <a href="http://www.phase2technology.com/">Phase2</a>, <a href="https://www.previousnext.com.au/">PreviousNext</a>, and <a href="http://www.wunderkraut.com/">Wunderkraut</a>, for making this matching campaign possible.  These seven organizations stepped up to the plate and made this entire campaign possible. Thank them on Twitter using the #D8Accelerate hashtag.</p>\n<p>The <a href="https://assoc.drupal.org/d8accelerate">D8 Accelerate project </a>is designed to help move Drupal 8 from the initial beta to a full release. This directly relates to the Association''s mission: uniting a global open source community to build and promote Drupal. This is a pilot program from the Drupal Association to put $250,000 of community funds toward accelerating the release of Drupal 8, due to the strategic impact this work has on the entire Drupal ecosystem.</p>\n<p>---<br />\nOriginally published at <a href="https://assoc.drupal.org/blog/holly.ross.drupal/ready-set-drupal-8-d8-accelerate-fundraiser">https://assoc.drupal.org/blog/holly.ross.drupal/ready-set-drupal-8-d8-ac...</a></p>\n</div></div></div>', '1427113547', '2457699 at https://www.drupal.org'),
('39', '1', 'Announcing The Aaron Winborn Award to honor amazing community members', 'https://www.drupal.org/aaron-winborn-award', 'webchick', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>In honor of long-time Drupal contributor <a href="https://www.drupal.org/u/aaron" rel="nofollow">Aaron Winborn</a> (see his recent <a href="https://www.drupal.org/node/2444367" rel="nofollow">Community Spotlight</a>), whose battle with <a href="http://en.wikipedia.org/wiki/Amyotrophic_lateral_sclerosis" rel="nofollow">Amyotrophic lateral sclerosis (ALS)</a> (also referred to as Lou Gehrig''s Disease) is coming to an end later today, the <a href="https://www.drupal.org/governance/community-working-group" rel="nofollow">Community Working Group</a>, with the support of the <a href="https://assoc.drupal.org/" rel="nofollow">Drupal Association</a>, would like to announce the establishment of the Aaron Winborn Award.</p>\n<!--break--><p>\nThis will be an annual award recognizing an individual who demonstrates personal integrity, kindness, and above-and-beyond commitment to the Drupal community. It will include a scholarship and stipend to attend DrupalCon and recognition in a plenary session at the event. Part of the award will also be donated to the <a href="http://aaronwinborn.com/blogs/aaron/special-needs-trust" rel="nofollow">special needs trust</a> to support Aaron''s family on an annual basis.</p>\n<p>Thanks to <a href="https://www.drupal.org/u/nonprofit" rel="nofollow">Hans Riemenschneider</a> for the suggestion, and the Drupal Association executive board for approving this idea and budget so quickly. We feel this award is a fitting honor to someone who gave so much to Drupal both on a technical and personal level. </p>\n<p>Thank you so much to Aaron for <a href="http://aaronwinborn.com/" rel="nofollow">sharing your personal journey</a> with all of us.  It’s been a long journey, and a difficult one. You and your family are all in our thoughts.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div>', '1427170623', '2458155 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('40', '1', 'Aaron Winborn Community Spotlight', 'https://www.drupal.org/node/2444367', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Drupal users around the world know Aaron Winborn (<a href="https://www.drupal.org/u/aaron " title="aaron''s user page" rel="nofollow">aaron</a>), a long-time community member who has made countless contributions to the project and to the people who use it. From building the Media module to helping organize NYC Camp, Aaron has had a massive impact on our community and our project.</p>\n<p>For years, Aaron has contributed valuable code, acted as an advocate for increasing involvement in the Drupal community, and has inspired countless people with his brilliance, humility, and grace. That’s why we’re proud to feature Aaron in our latest Community Spotlight, to extend our thanks and let everyone touched by Aaron’s contribution know how they can do the same.</p>\n<p>“I met Aaron through Drupal in 2006,” said Jacob Redding (<a href="https://www.drupal.org/u/jredding" title="jredding''s user page" rel="nofollow">jredding</a>) , a good friend of Aaron''s. "I was living and working in New York, and he was at Advomatic at the time, where he was working on a lot of different things. In 2007 I wound up moving to China and doing some open source and Drupal work out there. Then in March of 2008 I was at a meet-up in China, and there were these guys talking in Chinese about Aaron’s code, and they were ecstatic about it.</p>\n<p>“Aaron wrote a lot of modules around media, like putting videos on Drupal sites. It’s something that we do a lot now, though in 2008 it was hard to put video on your website... but Aaron made it easy. So, at this meet-up, these guys thousands of miles away took Aaron''s work and extended it to fit all the video formats that work in China.</p>\n<p>“So I filmed this video for him with these developers in China,” Redding concluded. “I said to him, ''your code just made it to the other side of the planet and made a huge impact — here it is in Chinese, in a different language, for a different market.'' I don’t know where the video is now, but it was really fun. It just shows the way the community gets together and reinforces all these different relationships."</p>\n<h2>A friend and mentor</h2>\n<p>“When I first decided to do Drupal professionally, I was working hard to learn more,” said Alex Urevick-Ackelsberg (<a href="https://www.drupal.org/u/alex-ua" title="Alex-ua''s user page" rel="nofollow">Alex UA</a>). “A friend of mine has a firm called Advomatic, and Aaron was the first employee there. So, I asked Aaron if he would help me learn about Drupal, and in repayment, I offered to help him manage the issue queues for his module — the <a href="https://www.drupal.org/project/emfield" title="embeded media field page" rel="nofollow">Embedded Media Field</a>. Aaron really helped me figure out the development side of Drupal and… you know, I say that I offered to help him, but really, he’s one of the most giving people I’ve ever met, and I’m sure he would have helped me for nothing more than the karma."</p>\n<p>“He’s a very warm and thoughtful person, and is a very unique individual,” said Amanda Luker (<a href="https://www.drupal.org/u/mndonx" title="mndonx''s user page" rel="nofollow">mndonx</a>), a coworker of his from Advomatic. “Aaron has a lot of interesting things to say — you might not know it right away, since he can be very quiet at first. But he really is very thoughtful and sweet. Advomatic was my first job in a development shop, and I was really nervous, but Aaron was so great to work with. He did a lot to help me feel comfortable, and to help me not feel dumb. It means a lot, especially from someone like him — he was always working on a different level. “</p>\n<p>Jonathan DeLaigle (<a href="https://www.drupal.org/u/grndlvl" title="grndlvl''s user page" rel="nofollow">grndlvl</a>), another co-worker from Advomatic, agreed. “I’ve always found Aaron to be very approachable, someone that you wouldn’t have to worry about phrasing the question in such a way as to not get ‘oh, well, that’s a stupid question.’ Even though sometimes I’d ask a question that I probably should have known the answer to, he’s the sort of person where it’s ok. You can ask those stupid questions and you can expect a response that’s conducive to your learning experience.”</p>\n<h2>“It just pours out of him, this intelligence"</h2>\n<p>When it comes to qualities in Aaron that his friends and colleagues admire, his brilliance is always one of the first things mentioned — alongside his generosity, humility, and kindness.</p>\n<p>“Every time I had a conversation with Aaron it was fantastic,” said Redding. "He’s one of these guys where you know he’s super smart. It’s hard to describe when you’re talking to someone who’s pretty much a genius and they’re very subtle and subdued, not over the top — but when you talk to them, you realize what they’re saying is intense and complex and intricate... and it just pours out of him, this intelligence."</p>\n<p>"I met him though the Drupal community,” said Arthur Foelsche (<a href="https://www.drupal.org/u/arthurf" title="arthurf''s user page" rel="nofollow">arthurf</a>), who worked with Aaron on the <a href="https://www.drupal.org/project/media" title="media module page" rel="nofollow">Media module</a>. “Aaron is someone I’ve been at multiple DrupalCons with, someone who I’ve done media sprints with, someone I’ve always appreciated. My experience of Aaron was that every time he encountered a road-block, he always tried to figure out ways to solve it himself.</p>\n<p>"That’s not to say he’d eschew other people,” Foelsche added, "but he’d work to figure out solutions that were interesting and relevant to him and to others. He didn’t approach things from the perspective of, ‘why am I being stopped,’ but rather, ‘I bet I can create a solution to get around this problem.’ I see Aaron as this person who believes on a fundamental level that he can make change — not just in Drupal, but in everything and in his personal life. It’s a very important part of who he is.”</p>\n<h2>“Fixing problems in elegant ways"</h2>\n<p>Aaron made a reputation for himself in the Drupal community as someone who was happiest when quietly working to solve difficult problems and make Drupal better.</p>\n<p>“At one DrupalCon, we were talking through some of the handling of the files themselves in the Media module,” said Foelsche. "Aaron was going through this rumination of, ‘how can these be useful’ and we talked until late at night. We started up again in the morning pretty early (all things considered), and he came back with this notebook just full of ideas. He was so excited and engaged, and just wanted to be able to fix problems in ways that were elegant and useful to people. His enthusiasm around it, and all the time he had spent just that night — I saw him in that moment as just being so glad to be able to work with people on the same problem."</p>\n<p>As any DrupalCon attendee can tell you, camps, cons and great parties go hand in hand. And while loud parties may not be Aaron’s scene, he still participates in his own way. </p>\n<p>"I guess one anecdote,” said Aaron Welch (<a href="https://www.drupal.org/u/crunchywelch" title="crunchywelch''s user page" rel="nofollow">crunchywelch</a>), the founder of Advomatic, “was when we went to OSCon on the Yahoo campus in 2006 or 2007. It was a general Open Source convention, but basically it was overrun by Drupal shops and agents — we completely eclipsed all of the other projects. In any case, the Advomatic team rented a house, and we had some big, crazy parties. There was Guitar Hero on giant screens, lots of drinks, people barbecuing in the back yard… Anyway, Aaron was staying with us at the house, and in the middle of all of this crazy partying going on, he was coding away on the Media module in the kitchen, happy as a clam.</p>\n<p>“He was totally participating in his own funny Aaron way,” Welch continued. “He was really happy to be hanging out with everybody, but was still just coding away, being his quiet Aaron self. And that’s Aaron — he’s a pretty reserved kind of person, and he’s the nicest, most dedicated, hard working guy you’ll ever meet."</p>\n<p>Whether alone or in a group, Aaron’s problem solving has gained him a tremendous amount of respect from his peers in the Drupal community.</p>\n<p>“Aaron has always tried to find solutions to problems — not just getting around road-blocks,” said Foelsche. “I’ve always been impressed by his knowing himself as a person, and wanting to find ways to do things in the world when he didn’t know that he could. That disposition is a marvelous one. In my opinion, Aaron has always struck a really graceful balance between the ability to solve things on his own and the willingness to work in a group to solve things together. I’ve always enjoyed his company and work, and appreciated not only his disposition in the community but also as a human being.”</p>\n<p>“Aaron has never been the person who would blindly jump in if there was a problem,” said Luker. “Working together, he’s always very thoughtful, very deliberate in how he approached things. I could tell that, with his background in philosophy and his interest in alternative education, that independence influenced how he approached life in general. It made me feel like I was in the right place when I started at Advomatic. Knowing that he was there, believing what he believed, it made me feel like, ok, this is a good fit for me, too."</p>\n<h2>\n"An advocate and activist"</h2>\n<p>Aaron’s passions extend further than just writing code, though. A strong advocate for involvement in the Drupal community, Aaron often quietly stepped up to help grow the project and facilitate change — in Drupal, and in the greater world.</p>\n<p>"I would say that Aaron taught me a whole lot of humility,” said Redding. “I don’t know if a lot of people know, but he was behind the scenes of so much stuff. In October of 2009, Aaron stepped up to serve as the Drupal Association (VZW) financial point person for a few sprints… he just sort of stepped in and said, ‘I’m going to do this.’ And he did. At the time he was also running culturefix.org, he was working in activism, and he was — and even after his diagnosis has continued to be — a strong advocate and an activist. He was behind the scenes in a lot of sprints, meet-ups, camps, and was instrumental in a lot of the foundational work that turned into the Drupal Association as it is today."</p>\n<p>“Aaron is, to me, really inspirational when it comes to open source. He really lives it and gives himself to it,” agreed Urevick-Ackelsberg. ”He needed the work, like everybody else, but whatever he could give he gave freely. I feel like, for all the people whose lives he has touched, the repayment is that they’re here and contributing— and I think the real lesson that I’ve taken from him is to give yourself as freely as you can afford to, and the payback for the community that you’re a part of, it goes on and on."</p>\n<p>“Aaron has taught me that you should enjoy the people and the things around you,” Urevick-Ackelsberg said. "I know that Aaron has and does; he’s very inspirational in that regard. He’s taught me that you have to do good things every day, and to give yourself as freely as you can."</p>\n<h2>“Strength and dignity from day one"</h2>\n<p>In spring of 2011,  Aaron was diagnosed with ALS, which he announced in a <a href="http://aaronwinborn.com/category/tags/als-diagnosis" title="Aaron''s blog" rel="nofollow">heart-wrenching post</a> on his blog several months later.</p>\n<p>“When Aaron got his diagnosis, he took the news and he tried to find a solution,” said Redding. "He''s used the time he has to the best of his ability: he’s spent it with his family, with the communities around him, and looked towards the future of what he could do for those around him — including those he will never meet."</p>\n<p>“He has been so realistic and matter of fact about it,” said Aaron Welch. “It’s just incredible watching how strong he has been. A lot of people would, I think, give up — but Aaron has always been focused on the next challenge. We wanted to give him every opportunity to keep working,” Welch continued. “We knew it would be important — you have to have something to keep you going, and he was always just so strong and generous about it. He was grateful for any help he received, but he wasn’t necessarily asking for it, either. I think you can see that strength and dignity from day one on. He’s just been incredible through the whole thing."</p>\n<p>About a year after Aaron’s initial diagnosis, he and his wife attended DrupalCon Denver. Though his condition had begun to deteriorate, Aaron did not let it stop him from making the most of the experience.</p>\n<p>“I remember, we had a day when the Advomatic team all worked together in the same room — and we’re never all in the same room so that was great,” said Luker. “At that point he was able to use voice commands to do his work, and we were all joking about how he got way more done not even typing than the rest of us in the room. You could tell he was so happy to be at DrupalCon — with his community, with his people — and he was so happy that he could contribute."</p>\n<p>“Since his diagnosis it’s been hard,” said Sam Tresler (<a href="https://www.drupal.org/u/tresler" title="tresler''s user page" rel="nofollow">Tresler</a>), another friend of Aaron’s. “The way he can muster the ability to still find joy in the various things that he does...the ability to face something like that with dignity is such an inspiring thing to me.</p>\n<p>“You kind of assume when that much of yourself is taken away, it would cause some drastic changes to an individual — but he hasn’t changed. He’s just using different tools,” Sam continued. "And that’s the best thing I could say about him — his priorities haven''t changed, his desire to learn didn’t change, and his determination to keep his quality of life and his family’s quality of life is forefront in his mind."</p>\n<p>As part of preserving that quality of life for his daughters and his family, Aaron wrote a short book for his daughters called “Where Did Daddy Go?” The book tells the story of a young girl trying to discover what happened to her father, who died. She asks, as a four-year-old might, her pets, the sun, moon and earth, before finally asking her sister and mother,"Where did Daddy Go?" Aaron plans to make the book available on Amazon in the coming weeks.</p>\n<h2>\n“We wouldn’t be what we are without him"</h2>\n<p>"Aaron has always been an example of the values we hold dear in the Drupal community. His humility, generosity, and enthusiasm have quietly but profoundly helped shape our community into what it is today. Drupal wouldn''t be the same without him,” said Dries Buytaert (<a href="https://www.drupal.org/u/dries" title="dries'' user page" rel="nofollow">dries</a>), speaking to Aaron’s numerous contributions to both the Drupal project and the wider community.</p>\n<p>“If you look at Drupal 8, and how much time and energy people spent on it, and all the conferences we’re having on it, he has a big influence in it,” said Redding. “He’s not making a big deal about it… he’s not out there saying, ‘I did this!’ because he’s never been that way. But his work on the Media module is really important to Drupal 8, and this comes back to his lessons in humility: that you should do what you do because you like doing it, work on what you love to work on, and if it becomes a big deal, great— and if it doesn’t, great. You don’t have to get caught up in it."</p>\n<p>“Aaron was the first employee of Advomatic,” said Aaron Welch. “It’s hard to point out just one thing Aaron did — I couldn’t even tell you how many projects we worked on together. But we could always, always count on Aaron to be there and help out when we put in a lot of long hours. For a pretty small team, we were doing big, important stuff— and he was a critical part of building Advomatic and making it what it is today. We wouldn’t be what we are today without the incredible dedication and talent he has shown over the years, and his quiet support and hard work.</p>\n<p>“He really, in a way, is one of the founders of the company,” Welch continued. "He made his mark, not just on Advomatic but on the Drupal community in general and it has been amazing watching the outpouring of support. People are always asking, ‘how can we help, what can we do…’ and, in my opinion, the best we can do is support him and give him encouragement. I know he really deeply appreciates it."</p>\n<h2>Thank You, Aaron</h2>\n<p>Aaron has given an incredible amount to Drupal. He has contributed to the project, the community, the Drupal Association, and the wider world in ways measurable and immeasurable. And, as Aaron and his family have found, the world is giving back.</p>\n<p>“So many people in the Drupal community have generously given to Aaron’s Special Needs Trust,” said Gwen Pfeifer, Aaron’s wife. “Our family has really appreciated it.”</p>\n<p>Aaron, thank you so much for everything you have done for all of us. The Drupal project and the Drupal community would not be the same without you. Your kindness, generosity, humility, and dedication are an inspiration to us all. Thank you for the gift of your friendship and code. Through your hard work, dedication, and your incredible strength of character have made the world a better, brighter place. Thank you for everything.</p>\n<p><strong>Updated on March 24, 2015:</strong></p>\n<p>The Drupal Association is saddened to announce that Aaron Winborn passed earlier today. We have attached <a href="https://www.drupal.org/files/Jeffrey%20Aaron%20Winborn%20Obituary%20Final%20for%20websites.pdf" rel="nofollow">Aaron''s obituary</a> to this community spotlight. He will be deeply missed.</p>\n<p>In part of our ongoing work to honor exemplary community members, we have created the <a href="https://www.drupal.org/aaron-winborn-award" rel="nofollow">Aaron Winborn Award</a> to honor community members who exhibit the incredible kindness, integrity, and above-and-beyond commitment to the community that Aaron loved.</p>\n</div></div></div>', '1427228562', '2444367 at https://www.drupal.org'),
('41', '1', 'Drupal 7.36 released', 'https://www.drupal.org/drupal-7.36', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.36, a maintenance release with numerous bug fixes (no security fixes) and several new features, is now available for download. See the <a href="https://www.drupal.org/drupal-7.36-release-notes">Drupal 7.36 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.36.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.36</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no major, non-backwards-compatible features in this release. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://www.drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://www.drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.36 contains bug fixes and small API/feature improvements only. The full list of changes between the 7.35 and 7.36 releases can be found by reading the <a href="https://www.drupal.org/drupal-7.36-release-notes">7.36 release notes</a>. A complete list of all changes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.36-release-notes">7.36 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues </h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.36-release-notes">7.36 release notes</a> for a list of known issues affecting this release.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1427943414', '2464163 at https://www.drupal.org'),
('42', '1', 'New Try Drupal Program', 'https://www.drupal.org/news/new-try-drupal-program', 'clacina', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>One of the Drupal Association''s primary missions is to grow the adoption of Drupal.  We are about to launch a new program on April 15th called Try Drupal.  The program will make it easy and fast for evaluators to try Drupal and have a simple, great experience while on Drupal.org.</p>\n<p>We’ve created Try Drupal with our <a href="https://www.drupal.org/supporters/hosting">Premium Hosting Supporters</a> to make it easier for CMS evaluators and Drupal.org newcomers to test and work with a Drupal demo site.  The Program will showcase a selection of Hosting Companies where a new user can quickly (in less than 20 minutes) sign up and have a Drupal demo site up and running for them to use for free.  </p>\n<p>This is part of the Drupal Association’s initiative to develop a new revenue stream through advertising <a href="https://www.drupal.org/news/drupalorg-2015-advertising-initiatives">programs</a> on Drupal.org.  This revenue will help fund various site <a href="https://www.drupal.org/roadmap">initiatives</a> by the Association to improve Drupal.org performance, and make it easier to use and more secure.  After interviewing many members of the community, we determined that new advertising products should be useful to Drupal.org visitors, support our mission to grow the adoption of Drupal, and should not interfere with visitors contributing to the project.</p>\n<p><img src="https://assoc.drupal.org/files/Try_Drupal.png" /></p>\n<p>To ensure a positive Drupal experience, partners need to adhere to the following guidelines:</p>\n<ul><li>Users are directed to a self-serve sign up platform</li>\n<li>Users can create a free account for the demo site that accommodates a trial installation of Drupal 7 or 8 </li>\n<li>Users can create a website in 20 minutes or less </li>\n<li>The demo site should be available to the user for a minimum of one day upon sign up</li>\n<li>The partner cannot include a paywall or require a credit card upon sign up</li>\n</ul><p>The Try Drupal program will be featured on the homepage of Drupal.org.  It will launch with a larger <a href="https://www.drupal.org/node/2463205">iterative change</a> to the homepage, with an emphasis on helping users move from newcomer, to learner, to skilled Drupal community members.</p>\n<p>It’s important that we fund Drupal.org improvements, and that we do so in a responsible way that respects the community. We anticipate rolling out more key advertising programs throughout 2015, stay tuned for more updates.  Thanks for taking the time to read about our initiatives, and please tell us your thoughts!</p>\n</div></div></div>', '1428683885', '2469017 at https://www.drupal.org'),
('43', '1', 'A new way to welcome newcomers on Drupal.org', 'https://www.drupal.org/node/2471925', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>The first initiative on the Drupal.org 2015 roadmap is ‘<a href="https://www.drupal.org/roadmap/account-creation" rel="nofollow">Better account creation and login</a>’. One of the listed goals for that initiative is “Build a user engagement path which will guide users from fresh empty accounts to active contributors, identifying and preventing spammers from moving further.” This is something Drupal Association team has been focusing on in the last few weeks.</p>\n<p>The first change we rolled out a few days ago was a ‘new’ indicator on comments from users whose Drupal.org accounts are fewer than 90 days old. The indicator is displayed on their profile page as well. We hope this will help make conversations in the issue queues and forum comments more welcoming, as people will be able to easily see that someone is new, and probably doesn’t know yet a lot about the way community works.</p>\n<p><img width="400px" src="/files/new_7.png" /></p>\n<p>Today we are taking another step towards making Drupal.org more welcoming environment for new users. But first, a bit of background.</p>\n<h2>New users and spam</h2>\n<p>It is not a surprise for anyone that a big number of user accounts registering on the site are spam accounts. To fight that and prevent spam content from appearing on Drupal.org, we have a number of different tools in place. Of course, we don’t want these tools to affect all active, honest users of the site, and make their daily experience more difficult. To separate users we are sure about from those we aren’t sure about yet, we have a special ‘confirmed’ user role.</p>\n<p>All new users start without such a role. Their content submissions are checked by Honeypot and Mollom, their profiles are not visible to anonymous visitors of the site, and the types of content they may create are limited. Once a user receives a ‘confirmed’ role, his or her submissions will not be checked by spam fighting tools anymore; their profile page will be visible to everyone, and they will be able to create more different types of content on the site.</p>\n<p>This system works pretty well, and our main goal is to ensure that valid new users get the ‘confirmed’ role as quickly as possible, to improve their experience and enable them to fully participate on the site.</p>\n<p>The best way to identify someone as not a spammer is have another human look at the content they post and confirm they are not spammers. Previously, we had a very limited number of people who could do that-- about 50. Because of that, it usually took quite some time for new user to get the role. This was especially noticeable during sprints.</p>\n<p>Today we’d like to open a process of granting a ‘confirmed’ role to the thousands of active users on the site.</p>\n<h2>‘Community’ user role</h2>\n<p><img width="400px" src="/files/confirm-button.png" /></p>\n<p>Today, we are introducing a new ‘Community’ role on the site. It will be granted automatically to users who have been around for some time and reached a certain level of participation on Drupal.org. Users who have this role will be able to ‘confirm’ new users on the site. They will see a small button on comments and user profile of any user who has not yet been confirmed. If you are one of the users with ‘Community’ role, look out for this new Confirm button, and when you see one next to a user - take another look at what the person posted. If their content looks valid, just click ‘confirm’. By doing so, you will empower new users to fully participate on Drupal.org and improve their daily experience on the site.</p>\n<p>With expect to have at least 10,000 active users with the ‘Community’ role. With so many people to grant the ‘confirmed’ role, new users should be confirmed faster than ever before.</p>\n<p>If you aren’t sure if you have the ‘community’ role or not, don’t worry. We will send an email notification to every user whose account receives the new role. The email will have all the information about the role and how to use it.</p>\n<p>Thanks for helping us make Drupal.org a better place!</p>\n</div></div></div>', '1429128270', '2471925 at https://www.drupal.org'),
('44', '1', 'Limited email privacy breach on Drupal.org on April 15th', 'https://www.drupal.org/news/limited-email-privacy-breach-on-april-15th', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>On April 15th, a change to a Drupal.org website permission inadvertently allowed a small segment of users to view a report listing the email addresses of recently logged in users. No passwords were involved. The problem was mitigated within 13 hours of being introduced and within 3 hours of being reported. The problem was completely resolved within 24 hours of introduction. The number of affected email addresses is relatively small – fewer than 500. Those users are being contacted directly if their email was affected. Users with maintainer access or the community role and above were not affected by this incident.</p>\n<p>The users with permission to see this report were limited to community members that have shown frequent contribution to Drupal.org. The possible exposure time was also limited to between April 15, 2015 20:53 UTC to April 16, 2015 9:00 UTC. There were approximately 44 IP addresses that accessed the information during that time. These users are mostly administrators of Drupal.org and the community members who first reported the incident.</p>\n<p>Even though the exposure of email addresses was limited as described above, we recommend all users to be cautious of any email that asks you for personal information.</p>\n<p>We want to thank the community members who moved quickly to alert the Drupal Security and Drupal.org infrastructure teams about the problem.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1429315541', '2473625 at https://www.drupal.org'),
('45', '1', 'Drupal 7.37 released', 'https://www.drupal.org/drupal-7.37', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.37, a maintenance release with numerous bug fixes (no security fixes), is now available for download. See the <a href="https://www.drupal.org/drupal-7.37-release-notes">Drupal 7.37 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.37.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.37</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no major, non-backwards-compatible features in this release. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://www.drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://www.drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.37 contains bug fixes and small API/feature improvements only. The full list of changes between the 7.36 and 7.37 releases can be found by reading the <a href="https://www.drupal.org/drupal-7.37-release-notes">7.37 release notes</a>. A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/7.x&amp;nocache=7.37">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.37-release-notes">7.37 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues </h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.37-release-notes">7.37 release notes</a> for a list of known issues affecting this release.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1430972679', '2484477 at https://www.drupal.org'),
('46', '1', 'Drupal 8 Security bug bounty program: Get paid to find security issues in D8', 'https://www.drupal.org/drupal8-security-bounty', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Drupal 8 is <a href="https://www.drupal.org/drupal-8.0/get-involved">nearing release</a>, and with all the <a href="http://buytaert.net/why-the-big-architectural-changes-in-drupal-8">big architectural changes</a> it brings, we want to ensure D8 upholds the same level of security as our previous releases. That''s where you come in!</p>\n<p>The security team is using monies from the <a href="https://assoc.drupal.org/d8accelerate">D8 Accelerate fund</a> to pay for valid security issues found in Drupal 8, from now until August 31, 2015 (open to extension). This program is open for participation by anyone.</p>\n<h2>How does this work?</h2>\n<p>Install a local copy of Drupal 8 from Git (<a href="https://www.drupal.org/project/drupal/git-instructions">https://www.drupal.org/project/drupal/git-instructions</a>).  Find security issues such as XSS, SQL Injection, CSRF, Access Bypass etc. If you find any, go to <a href="http://www.bugcrowd.com/drupal">www.bugcrowd.com/drupal</a> and submit them.  You will have to sign up for an account on bugcrowd.com for this. Bugcrowd is a crowdsourced security bug finding platform suggested by security team members, and it is used by many, including LastPass, Pinterest, Heroku, Pantheon, and CARD.com.</p>\n<h2>I can get paid to do this?</h2>\n<p>We will be paying anywhere from $50-$1000 per issue.  The more serious the issue, the more the security team will be paying. Issues must first be confirmed by a security team member before being approved for payment.  You must provide a detailed explanation of the issue and steps to reproduce the issue.  The quality of your report will be taken into account when assigning a value to it.   We will also take into account the severity of the security issue. </p>\n<h2>Can I get paid for finding issues in contrib or Drupal 7?</h2>\n<p>No, however if you do find security issues in Drupal core other than version 8 or in contrib projects please submit them via our <a href="https://www.drupal.org/security-team/report-issue">issue reporting process</a>. </p>\n<h2>Who is running this program?</h2>\n<p>The Drupal Security Team with funds from the D8 Accelerate program.</p>\n<h2> If I find something will I get credit?</h2>\n<p>Yes, just like our <a href="https://www.drupal.org/security-team/report-issue">regular reporting policy</a> you will get credit as long as you don’t disclose it until a fix is released. If an issue is suitable for public discussion, we will disclose it and give you credit.</p>\n<h2> Do all security issues count?</h2>\n<p>If a task requires the attacker to have one of the following roles it would not count:<br />\nAccess site reports (a.k.a. "View site reports"), Administer filters, Administer users, Administer permissions, Administer content types, Administer site configuration, Administer views, Translate interface.  </p>\n<p>Issues excluded from the bounty program:<br />\n- Descriptive error messages (e.g. Stack Traces, application or server errors).<br />\n- HTTP 404 codes/pages or other HTTP non-200 codes/pages.<br />\n- Fingerprinting / banner disclosure on common/public services.<br />\n- Disclosure of known public files or directories, (e.g. robots.txt).<br />\n- Clickjacking and issues only exploitable through clickjacking.<br />\n- CSRF on forms that are available to anonymous users (e.g. the contact form).<br />\n- Logout Cross-Site Request Forgery (logout CSRF).<br />\n- Presence of application or web browser ‘autocomplete’ or ‘save password’ functionality.<br />\n- Lack of Secure/HTTPOnly flags on non-sensitive Cookies.<br />\n- Lack of Security Speedbump when leaving the site.<br />\n- Username enumeration<br />\n - Missing HTTP security headers, specifically (<a href="https://www.owasp.org/index.php/List_of_useful_HTTP_headers">https://www.owasp.org/index.php/List_of_useful_HTTP_headers</a>), e.g.<br />\n  - Strict-Transport-Security<br />\n   - X-Frame-Options<br />\n  - X-XSS-Protection<br />\n  - X-Content-Type-Options<br />\n  - Content-Security-Policy, X-Content-Security-Policy, X-WebKit-CSP<br />\n  - Content-Security-Policy-Report-Only<br />\n- SSL Issues, e.g.<br />\n - SSL Attacks such as BEAST, BREACH, Renegotiation attack<br />\n - SSL Forward secrecy not enabled<br />\n - SSL weak / insecure cipher suites<br />\n - Other exceptions not listed.</p>\n<p>However, we would still like to know about it, and you will still get credit for it. but we will not be issuing payments for it.</p>\n<h2> I have a question not listed here</h2>\n<p>Email <a href="mailto:security@drupal.org">security@drupal.org</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1433252335', '2498933 at https://www.drupal.org'),
('47', '1', 'Community Spotlight: Solomon Kitumba and Benjamin Lutaaya Kiyita', 'https://www.drupal.org/node/2499247', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>For our June community spotlight, we’d like to highlight the efforts of two men in Uganda who are working hard to grow their local community and bring more university students into the Drupal fold. In 2014, the two were awarded a Community Cultivation Grant for their Uganda University Drupal Tour program, which will be discussed in today’s spotlight.</p>\n<p>For close to three years, Solomon Kitumba(<a href="https://groups.drupal.org/user/2329608" title="Solomon Kitumba Drupal.org Profile" rel="nofollow">solomonkitumba</a>) and Benjamin Lutaaya Kiyita(<a href="https://groups.drupal.org/user/716604" title="Benjamin Kiyita Drupal.org Profile" rel="nofollow">benjaminkyta</a>) of Kampala, Uganda, have been working with Drupal. Solomon, a Drupal front end developer, owns Kyta Labs, a mobile and web app development company. Benjamin, a Drupal Dev Ops and UI/UX Developer, is active both in the local Drupal community and in the local Linux community as well. Both men share a fascination with open source, and encountered the same obstacles when learning Drupal — which led them to team up and forge a better path for other Ugandans.</p>\n<p>Initially, both Solomon and Benjamin learned Drupal software through online tutorials found on Lynda.com and YouTube, and through free eBooks as well. One struggle that the two bumped up against — and still struggle with — is the lack of a physical space where their local community can come together to teach new Drupalers, learn from each other, and give each other support.</p>\n<p>"One of the biggest challenges we have faced is a lack of collaborative space where drupalers can meet daily,” said Solomon.” In our city, there’s nowhere where we can work on solutions together and learn from each other. There are a couple of these places for mobile developers, but we lack one for web people in Kampala.</p>\n<p>“We’ve used our Drupal careers to create a presence in the local tech industry,” said Solomon by email. “People know who to talk to if they want to discuss Drupal and getting paid to develop using Drupal. Initially, our local community was pretty inactive. There were a few people who knew how to use Drupal, but lacked the force and momentum to get good attendance at events and meetups. We’ve been working to attract more people, like site builders and module developers, and we’ve seen a lot of growth in our local community because of it."</p>\n<p>And how have the two grown the Drupal community in Uganda?</p>\n<p>“We started doing some outreach to use local universities as meeting spaces, but they’re so far from the main city that it became very costly. Getting together outside of the city means dealing with expenses like hotel fees, transportation costs, and a few other things, and those costs would put our projects at a standstill in times when we can’t afford it."</p>\n<p>However, the outreach to nearby universities — though expensive — has its benefits. “We’re doing a lot of work to get university students interested in Drupal while they are still at school. Students have a lot of time available to learn new things, so we put together a Drupal University tour that we are still conducting, and so far it has been very well received."</p>\n<p>For Solomon and Benjamin, the university tour seemed like a natural extension of the work they’d been doing at local meetups.</p>\n<p>"We got the idea from the tech meetups we attended in Kampala that were also attended by university students in the same field. They were all curious about the platforms we use to build our online technologies, and we told them about Drupal. After the meetups they knew it was a CMS and a few of them could even install it — but that was it.  We asked ourselves how we could help these students learn Drupal more easily, which led us to the idea of holding training through the major universities in Uganda. And for us, it just made sense to call the campaign the Drupal University Tour."</p>\n<p>Planning the University Tour was no easy task: the duo encountered no small amount of hesitation from universities, and came up against financial obstacles as well. “We started off by writing down the things we would need, and figured out from there how we would hold the trainings — what we would teach specifically, and so on. Then, we started communicating with the department heads of the universities we wanted to train at. Some of them were hesitant at first, but eventually they accepted our proposal.</p>\n<p>"When we were preparing the tour, we realized that we needed funding for the whole campaign. The universities weren''t ready to financially facilitate our sessions, so we applied for the Drupal Community Cultivation Grant. Through it, we were awarded $1,488 USD, and we were able to kick off the tour."</p>\n<p>The two knew that, for maximum efficacy, they’d have to go to a number of different schools to speak to as many students as possible. So they decided to go to the best schools in the country. “We went to all the major universities in Uganda. Makere University, Kampala International University, Kyambogo University, and Mbara University of Science and Technology were all on our list. Because of scheduling conflicts, we weren’t able to run the tour in the timeframe we had planned, but we eventually made it. And, we managed to have a little money left over — about $50 USD, which was enough for us to go to another institution called Datamine Technical Institute. So they were able to benefit from the campaign as well,” Solomon concluded.</p>\n<p>The Drupal University tour has been a big success, the two felt.</p>\n<p>“We spent a day teaching the students about Drupal itself as a software. We taught them about making contributions to the development, such as by submitting code to the project. We also emphasized the power of both the local and global Drupal communities, and discussed what a big benefit it is,” Solomon said. “We talked about how to share resources with people in the Drupal community, and how we can mobilize both locally and internationally to help people learn Drupal and organize training."</p>\n<p>We couldn’t be more thrilled and grateful for the work that Solomon and Benjamin have done. We often hear conversations about the difficulties of bringing new talent into the Drupal community, and the work that Solomon and Benjamin have done is invaluable, both for their local community and for the wider Drupal world. Thank you for your work!</p>\n</div></div></div>', '1433278883', '2499247 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('48', '1', 'Drupal 7.38 and 6.36 released', 'https://www.drupal.org/drupal-7.38', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.38 and Drupal 6.36, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="https://www.drupal.org/drupal-7.38-release-notes">Drupal 7.38</a> and <a href="https://www.drupal.org/drupal-6.36-release-notes">Drupal 6.36</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.38.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.38</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.36.tar.gz" class="link-button"><span>Download Drupal 6.36</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.38 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.38-release-notes">7.38 release notes</a>.  A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/7.x&amp;nocache=7.38">the git commit log</a>.</p>\n<p>Drupal 6.36 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.36-release-notes">6.36 release notes</a>.  A complete list of all changes in the stable 6.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/6.x&amp;nocache=6.36">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.38 and 6.36 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2015-002">SA-CORE-2015-002</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.38 or Drupal 6.36.</p>\n<h2>Known issues</h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1434560819', '2507691 at https://www.drupal.org'),
('49', '1', 'Drupal.org Git Server Migration (2015-07-09 20:00-22:30 UTC)', 'https://www.drupal.org/node/2529356', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>On July 9th 8pm UTC, Drupal.org migrated to a redundant cluster of 2 servers. This provides failover in the event one server fails.</p>\n<p>After the migration <strong>Host keys will change</strong> and your client might give an error message when pushing to Git. Consult your OS’s documentation on how to fix this error. For most operating systems, the following should remove the errors:</p>\n<div class="codeblock"><code>ssh-keygen -R git.drupal.org  &amp;&amp; ssh-keygen -R 140.211.10.43</code></div>\n<p>If you have any questions please raise an issue in the infrastructure issue queue. <a href="https://www.drupal.org/project/issues/infrastructure?categories=All">https://www.drupal.org/project/issues/infrastructure?categories=All</a></p>\n<p>You can follow the progress of the migration at <a href="http://twitter.com/drupal_infra">http://twitter.com/drupal_infra</a></p>\n<p><strong>Update: migration was successful</strong></p>\n<p><strong>Host keys have changed</strong> and your client might give an error message when pushing to Git. The new host key is:</p>\n<div class="codeblock"><code>2048 16:f5:44:6c:a1:c6:be:72:cd:98:b5:b7:7d:26:d6:14 git.drupal.org (RSA)</code></div>\n</div></div></div>', '1436376146', '2529356 at https://www.drupal.org'),
('50', '1', 'Secure your account: Two Factor authentication  on Drupal.org', 'https://www.drupal.org/node/2536034', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Drupal.org users* can now use <a href="https://en.wikipedia.org/wiki/Two-factor_authentication" rel="nofollow">Two factor authentication</a> to increase the security of their accounts. It can be enabled via Security tab of your user profile page. Read the detailed instructions at <a href="https://www.drupal.org/tfa-on-do" rel="nofollow">Enabling TFA on Drupal.org</a>.</p>\n<p>This was made available to Drupal.org admins in May. It is now required for users who have advanced access on Drupal.org. However, every user can benefit from the security that two factor authentication offers.</p>\n<p>If you want to make two factor authentication available on your own Drupal site, you can install the <a href="/project/tfa" rel="nofollow">TFA module</a>.</p>\n<p>* Two factor authentication is available for all users with the ''confirmed user'' role. If you don''t see ''Security'' tab on your profile page, you might be missing the role. Just keep posting content on Drupal.org and it will be granted soon. You can also <a href="https://www.drupal.org/node/1887616" rel="nofollow">apply to get the role</a>.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div>', '1437337327', '2536034 at https://www.drupal.org'),
('51', '1', 'Community Spotlight: Jibran Ijaz (Jibran)', 'https://www.drupal.org/node/2546206', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Jibran Ijaz (<a href="https://www.drupal.org/u/jibran" rel="nofollow">jibran</a>) is a Drupal developer, and is the only Drupal Core contributor in Pakistan. A member of Drupal.org since he began building websites in 2010, Jibran has become an important member of both his local community and the greater global Drupal community. The Drupal Association spoke with Jibran over email and asked him a few questions. We’re excited to share the conversation with you.</p>\n<h2>\nHow did you get involved with Drupal and core contribution?</h2>\n<p>Back in December 2010, I started working as a freelancer on a Drupal 6 site with a friend. It took me a while to understand all the systems like nodes, cck, views, and themes, but I was finally able to find my way. At the time, Drupal 7 RC versions had only just begun being released, so when Drupal 7.0 came out I had to learn a lot of things all over again. For me, the new built-in Entity API and Field API were difficult concepts to understand. It took me a while to understand the changes in theme layer, learn about <code>html.tpl.php</code>, and understand the Render API. These things were so confusing to me that I wound up submitting <a href="https://www.drupal.org/node/1304226" rel="nofollow">my first core issue</a> related to documentation.</p>\n<p>After going through this learning curve twice, I thought I might as well start learning Drupal 8 now. So I started hanging out in the core issue queue, and began reading a lot of Drupal 8 blog posts on Drupal planet. One day, I read that they were moving all the Drupal Core files to the Core directory and they needed help in re-rolling a lot of trivial patches. I went and found a documentation <a href="https://www.drupal.org/node/1472724#comment-6371206" rel="nofollow">novice issue</a> in Drupal 8 and helped fix it both for Drupal 8 and for Drupal 7. After that, I was hooked.</p>\n<h2>\nWhat do you do with Drupal these days?</h2>\n<p>I''m a senior Drupal developer for <a href="https://www.drupal.org/marketplace/previousnext" rel="nofollow">PreviousNext</a>, where I work remotely from Lahore, Pakistan. I mostly work on large Drupal 7 sites, but lately I have started working on a Drupal 8 site as well. It''s fun to work with such a great team of front-end developers, back-end developers, and project managers at PreviousNext.</p>\n<p>In my free time, I contribute to Drupal. I do a lot of code reviews. Specifically, I love working on Views issues in Drupal 8. I have also been actively involved in a lot of contrib projects and have been helping with porting them to Drupal 8. During the weekends, I enjoy working on <a href="https://www.drupal.org/project/dynamic_entity_reference" rel="nofollow">dynamic_entity_reference</a>.</p>\n<h2>You’re involved with quite a variety of projects in the Drupal community and in your national Drupal community as well. Can you describe some of the things you do and why you like them?</h2>\n<p>Ever since my childhood, computers have fascinated me. Even though my bachelor''s degree is in Telecommunication Engineering, I always loved coding. This means my involvement with Drupal is almost always related to coding. I enjoy solving bugs, writing patches, and performing code reviews. I also like to get involved in technical discussions related to Drupal, and really enjoy helping others understand difficult Drupal concepts, so I mentor people as well.</p>\n<p>In Pakistan, we have a very enthusiastic Drupal community. The Drupal Association has helped us with organizing numerous camps, workshops and training opportunities in different cities all over the country. I wasn’t actively involved with local community until about a year ago when I talked to Donna Benjamin (<a href="https://www.drupal.org/u/kattekrab" rel="nofollow">kattekrab</a>), who was the director of community engagement at PreviousNext at the time. Donna encouraged me to participate a lot more in my local Drupal community, so I took part in my first Drupal Camp at Lahore on 3 May 2014. I was the only core developer there, and my fellow attendees were very appreciative and welcoming. At the camp, I talked about Drupal 8, and everybody loved it. So I’ve been attending ever the Drupal Camp I can get to ever since. I was even a <a href="http://www.drupalcamps.pk/dcisb2015/we-are-proud-announce-our-keynote-speaker-jibran-ijaz" rel="nofollow">keynote speaker</a> at Drupal camp Islamabad back in April.</p>\n<h2>What’s the coolest project you’ve worked on?</h2>\n<p>I have worked on a lot of Drupal projects with very complex architecture. It''s always fun whenever I get to use a big module like Domain Access, Services, Commerce, Ubercart, Google Maps, or Organic Groups to build features for our clients. It''s also fun when I get to build a complex architecture using Drupal API. I''d prefer not to name a specific project, though. It would feel like I''m pointing at my favorite kid.</p>\n<h2>What changes are you most looking forward to in Drupal 8?</h2>\n<p>Oh! The simple answer is everything. The change form Functional Programming to Object Oriented Programming is the most important thing for me. Personally, I also like the built-in plugins system of Drupal 8 because if you’re familiar with the plugin API, you can easily use it in Blocks, Entities, Fields, Menus, and Views. Even Drupal 8 contrib modules like Rules and Page Manager are doing a lot of amazing things with plugins.</p>\n<h2>\nWhat is your favorite thing about the Drupal community?</h2>\n<p>I love the Drupal community as whole, and am inspired by the fact that we all share the same enthusiasm towards Drupal. It doesn''t matter who you are or what the scope of your technical knowledge is — anyone and everyone can make a difference in the community. I spend a lot of time with Drupal developers on IRC, at local and international Drupal events, and I haven''t found a single person who isn’t kind and helpful. No matter how many times you ask the same question or a stupid question, everyone always responds very kindly. No one has ever treated me differently because of my religion or region. Every person I have met in the Drupal community has inspired me on some level, irrespective of their contribution in Drupal. That is my favorite thing about the Drupal community.</p>\n<h2>\nWhat is your most meaningful Drupal moment?</h2>\n<p>Drupal has given me a lot of beautiful moments. It''s very hard to pick one, so I’ve listed several below.</p>\n<p>1. First time I attended DrupalCon. Picture by <a href="https://twitter.com/lsheydrupal/status/516192106428506113" rel="nofollow">@lsheydrupal</a><br /><img src="/files/dconams_2.jpg" alt="DrupalCon Amsterdam entryway" /></p>\n<p>2. First time I met with <a href="https://www.drupal.org/u/webhick" rel="nofollow">webchick</a><br /><img src="/files/angieandjibran_3.jpg" alt="Angie and Jibran at DrupalCon" /></p>\n<p>3. First time I got a shout-out from webchick on my Drupal contributions at <a href="https://www.youtube.com/watch?v=sEOvYaBFj64&amp;feature=youtu.be&amp;t=29m23s" rel="nofollow">DrupalSouth</a><br /><img src="/files/drupalsouthcallout.jpg" alt="Webchick at DrupalSouth" /></p>\n<p>And there are countless other moments, like my keynote at <a href="https://scontent-cdg2-1.xx.fbcdn.net/hphotos-xfp1/v/t1.0-9/p480x480/10647193_693253270784707_8145569818231093500_n.jpg?oh=6d4e5ea96492e52dde0289df88f37188&amp;oe=55EF17B3" rel="nofollow">Drupal Camp Islamabad</a>, hanging out with <a href="https://twitter.com/JibranIjaz/status/517839761021886464" rel="nofollow">VDC team at DrupalCon code sprint</a>, meeting with the <a href="https://pbs.twimg.com/media/B_UdgDTUQAACybD.jpg" rel="nofollow">whole PreviousNext team for the first time</a>, and <a href="https://pbs.twimg.com/media/B_esB4pU0AExQAb.jpg" rel="nofollow">dynamic_entity_reference hacking</a> with <a href="https://www.drupal.org/u/larowlan" rel="nofollow">Lee Rowlands</a> after the DrupalSouth code sprint.</p>\n<h2>Tell us a little about your background or things that interest you outside Drupal.</h2>\n<p>Before computers, my first love was math. I like to read, but lately I haven''t been able to read many books. I can speak and understand a bit of Arabic, French, and German. I love to learn new stuff and experiences new things in life. I like watching football and Formula1, and I also watch a lot of English TV series and movies. Now I know why I don''t have time to read anymore. :D</p>\n</div></div></div>', '1438791895', '2546206 at https://www.drupal.org'),
('52', '1', 'Drupal 7.39 and 6.37 released', 'https://www.drupal.org/drupal-7.39', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.39 and Drupal 6.37, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. See the <a href="https://www.drupal.org/drupal-7.39-release-notes">Drupal 7.39</a> and <a href="https://www.drupal.org/drupal-6.37-release-notes">Drupal 6.37</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.39.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.39</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.37.tar.gz" class="link-button"><span>Download Drupal 6.37</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 and 6 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>. More information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 and 6 include the built-in Update Status module (renamed to Update Manager in Drupal 7), which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 7.x and 6.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.39 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.39-release-notes">7.39 release notes</a>.  A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=7.x">the git commit log</a>.</p>\n<p>Drupal 6.37 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.37-release-notes">6.37 release notes</a>.  A complete list of all changes in the stable 6.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.39 and 6.37 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2015-003">SA-CORE-2015-003</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 7.39 or Drupal 6.37.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-7.39-release-notes">7.39</a> and <a href="http://drupal.org/drupal-6.37-release-notes">6.37</a> release notes for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.39-release-notes">7.39 release notes</a> for a list of known issues affecting the Drupal 7 version of this release.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1440017130', '2554155 at https://www.drupal.org'),
('53', '1', 'Help us test DrupalCI', 'https://www.drupal.org/news/help-test-drupalci', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>DrupalCI is the next generation testing infrastructure for Drupal. After years of development, DrupalCI has been rolled out for testing Drupal 8 Core and Contrib projects - and will soon be taking over testing Drupal 7 Core and Contrib as well and for Drupal 6 for the duration of its long term support window. </p>\n<p><strong>But we need your help!</strong></p>\n<p>At this time, DrupalCI is running in parallel with the existing PIFT/PIFR testing architecture. Before we retire the old testing infrastructure we want to ensure that there are no feature regressions in the new DrupalCI system, and that core and contrib developers have had time to learn the new testing architecture and try it out thoroughly.</p>\n<p>If you are a maintainer of a contrib module with testing enabled, we will enable DrupalCI testing for your project. At this time, DrupalCI supports testing in D8 Core and Contrib, but D7 and D6 testing will be enabled soon. If you see that DrupalCI testing has been enabled for your project, please provide your feedback in the issue linked below.</p>\n<p>To learn more about how to use DrupalCI for automated testing of your project on Drupal.org, <a href="https://www.drupal.org/node/2538838" rel="nofollow">please consult this documentation page</a>. </p>\n<h2>How can you provide feedback?</h2>\n<p>We are collecting feedback on the new testing architecture in this issue:  <a href="https://www.drupal.org/node/2534132" rel="nofollow">#2534132 - Disable Legacy Testbots and use drupalCI as our testing infrastructure</a>. <strong>Please focus your feedback on: </strong></p>\n<ul><li>Feature regressions from current testbots</li>\n<li>Unexpected test failures</li>\n<li>User interface issues</li>\n<li>Test result parsing and display</li>\n</ul><p>Though DrupalCI is a more flexible and extensible testing architecture, we are <strong>not</strong> collecting additional feature requests at this time. </p>\n<p> If you are a module maintainer, and you are a satisfied that the new DrupalCI tests are meeting your testing needs, you can return to the Automated Testing tab for your project and choose to disable PIFT/PIFR testing, by deleting the specific releases you no longer need tested in the old system:</p>\n<p><img src="/files/delete-release-from-testing.png" alt="Delete unneeded release from old testbots" /><br /></p><h2>Learn how to add automated testing to your project…</h2>\n<p> If you would like to add automated testing to your projects on Drupal.org you can <a href="https://www.drupal.org/simpletest-tutorial-drupal7" rel="nofollow">learn more about writing tests with this tutorial.</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1442336718', '2568989 at https://www.drupal.org'),
('54', '1', 'Marketplace Updates to Highlight Contributing Organizations', 'https://www.drupal.org/news/marketplace-updates-to-highlight-contributing-organizations', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>We are excited to announce some big changes to the <a href="/drupal-services" rel="nofollow">Drupal.org Marketplace</a>. In <a href="http://amsterdam2014.drupal.org/session/keynote-dries-buytaert.html" rel="nofollow">Dries’ Amsterdam Keynote</a>, he made a compelling case for showing the contributions of organizations that are helping build Drupal. By highlighting organizations that give their employees time to give back, we make it possible for more people to give time to making the project better.</p>\n<!--break--><p>\nIn March, we took steps to begin collecting this information by allowing individuals that were contributing in the issue queues to attribute their contributions to organization that they are employed by or customers that funded the work. When a maintainer of a project (module, theme, distribution or Drupal Core) closes an issue as fixed, they have an opportunity to <a href="/node/2495315/" rel="nofollow">pass on credit</a> to the individuals who helped contribute to fixing the issue—and not just code contributions, but any kind of feedback, review, designs, etc. </p>\n<p>We called this system issue credits and it has been a huge success. We now show the last 90 days of issue credits awarded to an individual or organization on their profile.</p>\n<p>Today, after months of collecting this data, we are taking how we highlight contributing organizations to a new level.</p>\n<p>With this launch, we are removing the distinction of "featured service providers" versus "all service providers". By using data about these organizations contributions, we can provide a single list of all organizations ordered by their contributions. </p>\n<p>For now, we are using issue credits as the primary sort. The secondary sort highlights organizations that are giving back by supporting Drupal.org through the supporting partner program or organization membership. Soon, we plan to incorporate case studies submitted, DrupalCon sponsorships, and camp sponsorships to help make a more complete picture of how organizations are contributing to our community.</p>\n<p><a href="/drupal-services" rel="nofollow">Give it a look</a> and give us your feedback.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1442942899', '2572829 at https://www.drupal.org'),
('55', '1', 'Drupal 8.0.0-rc1 released', 'https://www.drupal.org/drupal-8.0.0-rc1', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img src="/files/Drupal8RC1Octagon.png" class="right" style="border-width: 0; margin-top: -0.8em;" alt="Drupal 8 RC1" /></p>\n<p>We now present the <a href="https://www.drupal.org/node/2582663">first release candidate for Drupal 8.0.0</a>!  Drupal 8 includes a tremendous number of new features and improvements for both users and developers.</p>\n<p>We revamped Drupal''s user interface; added WYSIWYG and in-place editing; significantly improved mobile support; added and improved key contributed modules including Views, Date, and Entity Reference; introduced a new object-oriented backend leveraging <a href="https://symfony.com/">Symfony</a> components; revamped configuration management; improved multilingual support; and added hundreds of other improvements. Drupal 8.0.0-rc1 is the collective work of over 3,200 core contributors. <a href="https://www.drupal.org/drupal-8.0">Read more about what''s new in Drupal 8.0.x</a>.</p>\n<p>The first release candidate provides a great opportunity to begin developing with Drupal 8, especially for:</p>\n<ul><li>New sites.</li>\n<li>Sites that rely mainly on the expanded functionality provided by Drupal 8 core alone.</li>\n<li>Projects that will take months of development time.</li>\n<li>Sites for which Drupal 8''s benefits outweigh the effort needed to port (or work around) contributed modules that do not yet have Drupal 8 versions.</li>\n</ul><!--break--><h2 id="users">Using Drupal 8 <a href="#users">#</a></h2>\n<h3 id="newsites">Launching new sites <a href="#newsites">#</a></h3>\n<p>Drupal 8 itself is very functional straight out of the box -- many of the top Drupal 7 modules are now included in core, and several features have been made more flexible to avoid the need to install many other modules. Evaluate your needs, and you may easily find that everything you need for a project is already included in Drupal 8 core. Check out <a href="https://docs.google.com/presentation/d/1GXK1dBSe6_QMhSkNwsgocWynlzdQFrMUouaOqA8wyUI">our slides about Drupal 8</a> to learn about the changes.</p>\n<h3 id="update">Updating existing sites <a href="#update">#</a></h3>\n<p>The new version also includes a revamped Migrate module to update existing Drupal 6 <em>and</em> 7 sites to Drupal 8 directly. The migration feature is currently marked "experimental," meaning it is not yet fully supported and we are still working to improve it. For this reason, the Drupal 8 release candidate does not yet provide a user interface for migrations. <a href="https://www.drupal.org/node/2257723">Use the Migrate Plus and Migrate Upgrade modules</a> to test migrations now, or <a href="https://www.drupal.org/upgrade/migrate">read more about Migrate in core</a>.</p>\n<h3 id="contrib">Contributed modules and themes <a href="#contrib">#</a></h3>\n<p>There are <a href="https://www.drupal.org/project/project_module?f%5B0%5D=&amp;f%5B1%5D=&amp;f%5B2%5D=&amp;f%5B3%5D=drupal_core%3A7234&amp;f%5B4%5D=sm_field_project_type%3Afull&amp;text=&amp;solrsort=iss_project_release_usage+desc&amp;op=Search">a number of modules already ported to Drupal 8</a> as well as <a href="https://www.drupal.org/project/project_theme?f%5B0%5D=&amp;f%5B1%5D=&amp;f%5B2%5D=drupal_core%3A7234&amp;f%5B3%5D=sm_field_project_type%3Afull&amp;text=&amp;solrsort=iss_project_release_usage+desc&amp;op=Search">themes already being developed</a>. We set up <a href="https://www.drupal.org/project/contrib_tracker">the contrib tracker project</a> to make it easier to track the status of the ports of contributed modules.</p>\n<div style="text-align: center;"><img src="https://www.drupal.org/files/DrupalConSprint.jpg" /><br /><em>DrupalCon Barcelona Drupal 8 sprint photo by Pedro Lozano (under the CC BY 2.0 license)</em></div>\n<h2 id="porting">Porting modules and themes to Drupal 8 <a href="#porting">#</a></h2>\n<p>If you have not done so already, now is the time to ensure that your modules and themes will work with the new version. While there are many changes in Drupal 8, we wanted to make it as easy as possible to get started porting modules. We suggest you use <a href="https://www.drupal.org/project/drupalmoduleupgrader">Drupal Module Upgrader</a> to run a first pass of code upgrades. Some things will be automatically upgraded while others will get a <code>@todo</code> comment or will be left untouched. </p>\n<p>To help you learn and apply the new APIs, <a href="https://api.drupal.org/api/drupal/8">the api.drupal.org site has overviews and short examples</a> of all major Drupal 8 APIs. The Drupal.org handbooks have <a href="https://www.drupal.org/developing/api/8">in-depth guides with more background information on each API</a> as well. We also have a <a href="https://www.drupal.org/list-changes/drupal">complete list of all API changes to Drupal 8</a>, spanning the 4.5 years of Drupal 8''s development.</p>\n<p>Instead of using our own home-brewed templating system from Drupal 7 and earlier, Drupal 8 uses the <a href="http://twig.sensiolabs.org/">Twig</a> templating engine. Many of the concepts from previous versions of Drupal still apply with Twig. We are working on a <a href="https://www.drupal.org/node/2023177">guide for you to help update your themes</a>. Also check out <a href="https://www.drupal.org/theme-guide/8">the Drupal 8 theming documentation</a> for more information.</p>\n<p>Be sure to file any core bugs that you may find while updating your module or theme.</p>\n<h2 id="translating">Translating Drupal 8 <a href="#translating">#</a></h2>\n<p>The interface strings are officially frozen now. Only error corrections, removals or additions of whole strings, and fixes required for critical issues may be made to the interface text from this point forward. This is the best time to translate Drupal 8, so your translations will be available when the final version is released. The installer now comes with automated translation downloads, so whatever you translate now will be useful for all Drupal 8 installs. Localize.drupal.org has a <a href="https://localize.drupal.org/translate/drupal8">summary page about core translation status in all the supported languages</a> with a step-by-step guide in the sidebar to help you contribute.</p>\n<h2 id="documentation">Documentation, book, and video authors <a href="#documentation">#</a></h2>\n<p>The user interfaces, interactions, and "look and feel" of Drupal 8.0.0 are now frozen and will only be changed if required for critical bug fixes. If you previously put your documentation, instruction video, or book project on hold, now is the time to pick it up again. Now is also the time to <a href="https://www.drupal.org/documentation">update documentation on Drupal.org</a> and to get documentation fixes into Drupal 8, so the explanations are correct. Thanks for your contributions!</p>\n<p>Be aware that Drupal 8 will employ <a href="https://www.drupal.org/core/dev-cycle#semver">semantic versioning</a>, with new "minor" releases (backwards-compatible with API additions and new features) approximately every six months. So strings, user interfaces, and other visual aspects of Drupal will be improved throughout the entire Drupal 8 process, which may require subsequent updates to these materials.</p>\n<h2 id="contributing">Contributing to Drupal 8 core <a href="#contributing">#</a></h2>\n<p>During the release candidate phase, only critical fixes and documentation improvements will be committed to Drupal 8 core (plus certain non-disruptive "<a href="https://groups.drupal.org/node/484788">rc target</a>" changes at core committer discretion). Other issues that have been <a href="https://www.drupal.org/project/issues/search/drupal?project_issue_followers=&amp;status%5B%5D=14&amp;version%5B%5D=8.x&amp;issue_tags_op=%3D">reviewed and tested by the community</a> may remain uncommitted until after 8.0.0 to ensure that critical bugs can be fixed quickly without risking regressions. <a href="https://www.drupal.org/core/d8-allowed-changes#rc">Read more about the allowed changes during the RC phase</a>.</p>\n<h2 id="release">When will Drupal 8.0.0 be released? <a href="#release">#</a></h2>\n<p>We will schedule an official release date for 8.0.0 when we are confident that the rate and nature of incoming critical bugs has slowed enough to ensure a stable release. Until then, release candidates of Drupal 8 will be released twice a month concurrently with the Drupal 6 and 7 release windows.</p>\n<h2 id="known-issues">Known issues <a href="#known-issues">#</a></h2>\n<p>We are confident that our code is stable enough for wider testing by site owners, developers, and end users. There are however still <a href="https://www.drupal.org/project/issues/search/drupal?project_issue_followers=&amp;status%5B%5D=1&amp;status%5B%5D=13&amp;status%5B%5D=8&amp;status%5B%5D=14&amp;status%5B%5D=4&amp;categories%5B%5D=1&amp;version%5B%5D=8.0.x-dev&amp;issue_tags_op=%3D">known issues</a> with Drupal 8.0.x, including major bugs. Help resolve these issues by testing Drupal 8 and searching for existing bug reports and adding more information to help resolve those bugs. If your suspected bug hasn''t been reported yet, submit a <a href="/node/317">bug report</a>.</p>\n<p>There is a <a href="https://www.drupal.org/node/2542868">known issue with response cache headers sometimes exceeding hosting configuration limits</a> that may cause some pages to not be viewable on some hosting providers. If you run into this, see that issue and its related issues for details.</p>\n<h3 id="security">Handling security issues <a href="#security">#</a></h3>\n<p>Starting now, any security issues discovered for Drupal 8 should be kept confidential and reported using the <a href="https://security.drupal.org/node/add/project-issue/drupal">Report a security vulnerability</a> link on the Drupal project page in order to protect existing sites. Through December 31, 2015, the <a href="https://www.drupal.org/drupal8-security-bounty">Drupal 8 security bounty</a> is also still active, so you can get paid for finding security issues and reporting them in our private tracker! See the <a href="https://www.drupal.org/security-team">security team page</a> for more information on Drupal security.</p>\n<h2 id="talk">Talk about the release candidate! <a href="#talk">#</a></h2>\n<p>We suggest the <a href="https://twitter.com/hashtag/drupal8rc">#drupal8rc</a> hashtag for Twitter, Facebook, etc. posts. To mention and find conversations about work already made with Drupal 8, use <a href="https://twitter.com/hashtag/madewithd8">#madewithd8</a>. We can''t wait to see what you make with Drupal 8!</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1444253629', '2582237 at https://www.drupal.org'),
('56', '1', '2015 Membership Drive: Because Members Are Contributors Too', 'https://www.drupal.org/node/2589167', 'lizzjoy', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img class="left" src="https://www.drupal.org/files/membershipmatters-tall.png" width="225" height="365" alt="Membership matters: Membership badges stacked vertically" />Today, we introduced a banner on drupal.org pages. It invites all site visitors to support the Drupal project by becoming Drupal Association members. </p>\n<p>Our membership drive runs from now through December 30, and we have two big goals: $100,000 in revenue and 1,000 new/renewed members. Visitors to drupal.org who log in as current Individual Members will be invited to <a href="https://assoc.drupal.org/help-grow-our-membership">share the campaign</a>; all other visitors will be <a href="https://assoc.drupal.org/support-project-you-love">invited to join</a>.</p>\n<p>We hope you enjoy the stories told as part of this campaign. We''ve invited community members to participate by telling us why the Association matters to them. This is another great opportunity for community spotlights to shine on some of the most active and passionate people in Drupal. Want to share your story? Reach me by contact form at <a href="http://drupal.org/u/lizzjoy" title="Lizzjoy user profile">http://drupal.org/u/lizzjoy</a>. </p>\n<p>We''ll keep you updated on our progress toward the campaign goals at <a href="https://assoc.drupal.org/support-project-you-love" title="Support the Project You Love">https://assoc.drupal.org/support-project-you-love</a> and <a href="https://assoc.drupal.org/help-grow-our-membership" title="Help Grow Our Membership">https://assoc.drupal.org/help-grow-our-membership</a>.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div>', '1444768094', '2589167 at https://www.drupal.org'),
('57', '1', 'Drupal 7.40 released', 'https://www.drupal.org/drupal-7.40', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.40, a maintenance release with numerous bug fixes (no security fixes) and several new features, is now available for download. See the <a href="https://www.drupal.org/drupal-7.40-release-notes">Drupal 7.40 release notes</a> for a full listing.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.40.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.40</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is recommended.</strong> There are no major, non-backwards-compatible features in this release. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://www.drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://www.drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.40 contains bug fixes and small API/feature improvements only. The full list of changes between the 7.39 and 7.40 releases can be found by reading the <a href="https://www.drupal.org/drupal-7.40-release-notes">7.40 release notes</a>. A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/7.x&amp;nocache=7.40">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="https://www.drupal.org/drupal-7.40-release-notes">7.40 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues </h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1444865976', '2593025 at https://www.drupal.org'),
('58', '1', 'Responding to spam on Drupal.org', 'https://www.drupal.org/about/responding-to-spam-on-drupalorg', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>With the recent release of Drupal 8 RC1, and the related increases in mentions on social media and tech news outlets, Drupal.org is seeing a modest bump in traffic. Along with that modest bump in real traffic, spammers have decided to increase their efforts to get content onto Drupal.org to boost their own SEO. Drupal.org is very attractive to these spammers.</p>\n<p>Spam fighting is not fun, and certainly not glamorous, but it is a necessary part of keeping our community home clean and tidy. Community volunteers have helped report and block spam for many years, and Drupal Association staff are looking for ways to ease this burden.</p>\n<p>Every spam fighting solution for a website as open as ours takes on spammers using two approaches: automated pattern matching and human review. I wanted to take a moment to walk through some of the approaches we use—though not in too much detail lest the spammers read this and adapt their methods to match.</p>\n<p>On the automated front, we use tools like <a href="/project/mollom" rel="nofollow">Mollom</a> to do text analysis. Their system is constantly learning from the sites that use it. These services also have tools to help distinguish a robot from a human. Figuring out which spam is coming from bots helps us prevent certain types of spam from filling up the site. We also use tools like <a href="/project/honeypot" rel="nofollow">Honeypot</a> to try and detect particularly fast submissions to the site. (Note: this is a tough one as many developers type as fast as a robot. You know who I''m talking about.)</p>\n<p>Just as common as bot-based attacks are those that are run by humans. The advantage in using humans to place spam is they can get around bot-detection techniques such as captcha or submission speed check. </p>\n<p>The most recent spam attacks are a combination of these techniques. We employed a combination of techniques to respond. These include some automated techniques and some that rely on humans. </p>\n<p>The automated techniques will likely get a bit more strict for a time while we sort out the best ways to limit the rate of spam hitting Drupal.org. Most of the spam is submitted to our forum system. </p>\n<p>As for the human-reliant techniques, we need your help. If you see something, report it. We switched the focus of our development team this week on building the tools to make reporting process much easier.  Early next week confirmed users should be able to help us target spam and remove it from Drupal.org with minimal effort by simply flagging content as spam.</p>\n<p>We really appreciate all of the amazing work our community does to help keep its home tidy and free of spam. Our community is phenomenal!</p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/904">Association</a></div></div></div>', '1444875379', '2593075 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('59', '1', 'Community Spotlight: Veronica Veda (veronicanerak)', 'https://www.drupal.org/node/2597618', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img class="right" src="/files/veronicanerak-profile_0.jpg" alt="Veronica Vedia Profile Picture" /><em>Veronica Vedia (<a href="https://www.drupal.org/u/veronicanerak" rel="nofollow">veronicanerak</a>) organized Women in Drupal at DrupalCamp Bolivia in 2014 alongside Karen Da Cruz and several other women. Veronica shared the story of how she went from anonymous Drupaler to community evangelist over email with the Drupal Association. Parts of this Community Spotlight have been transcribed from a medium.com article that Veronica wrote on her experience coordinating Women in Drupal.</em></p>\n<p>I started using Drupal approximately 4 years ago. At the time, I worked in front-end, and I did my work in multiple different languages and frameworks, like PHP, C#, and Microsoft’s .NET. I really enjoyed working in front-end, but wanted to get more specialized. At one point, a coworker told me about Drupal roles, and the idea of becoming a dedicated “themer” caught my attention. I decided to study Drupal on my own so I could leave that company and find another employer where I could work in Drupal as a themer.</p>\n<p>I didn’t become very active in my local community until after Drupal Picchu in 2014 in Cusco, Peru. Before that, I had been a relatively passive participant in the Bolivian Drupal community. But when I heard about Drupal Picchu, I knew I had to go. I admit, the chance to travel to Machu Picchu was my main motivation, but I also knew that attending the Drupal workshops and talks would be very valuable.</p>\n<p>When I got to Drupal Picchu, I was amazed at how many passionate people were at the event. There were people with so much experience and talent sharing knowledge from basic to advanced. It really caught my attention how so many people were generously sharing knowledge that they put so much effort into learning. It was a really encouraging experience for me.</p>\n<p>The event''s keynote was on Women in Drupal, and was led by Karen Da Cruz, Nancy Contreras, Molly Byrnes, and Holly Ross, all of whom are very inspiring women in the industry. I found their stories very motivating, and wound up talking to Karen afterward. I told her, “I want to do the same thing in my country that you have done here.” So I got together with several other women in my local community, and together we made the Women in Drupal group a reality at DrupalCamp Bolivia 2014 several months later.</p>\n<p>At DrupalCamp Bolivia, Karen and I gave a “Women in Drupal in Bolivia” workshop where we taught several women Drupal. The goal was to motivate everyone (but especially girls and women) who are learning Drupal. The workshop was a success and it was amazing how enthusiastic all of our attendees are. It wouldn’t have been possible without all the amazing women who came out to help us conduct the workshop and replicate the Drupal Picchu keynote on Women in Drupal. It was really fun to participate in both the workshop and the the keynote, and I had a great time speaking about my own experiences alongside Nancy Contreras (Peru), Karen (Peru), and Mariana Graf (Brazil).</p>\n<p>Organizing an activity like Women in Drupal in Bolivia was really intimidating at first. I was worried that there might not be attendees, or that our activities wouldn’t be well received. But everyone was so encouraging and helped me realize that the important thing is the desire to share knowledge — it’s normal to feel fear, and it’s worth overcoming it in the end. Without help from Karen, Freddy Cahuas, and the other DrupalCamp Bolivia organizers, I wouldn’t have succeeded. It also made me realize that one day, you’re new to the community, and the next day, you’re daring to try something new for the community. It becomes a chain where everyone helps each other and the community grows, and I think it’s really powerful how it breaks across the boundaries of languages and cultures and brings us closer to each other.</p>\n<p>In the future, I hope to help grow the community and the "Women in Drupal” events. I want to motivate many other girls and women to learn Drupal. It’s a world of endless opportunities and possibilities! To make this happen, I am always looking for help from the community. If anyone has examples of activities that I could share to help boost, improve, and motivate my local community group, I would love to hear from you.</p>\n<p>Thank you to everyone who continues to participate and encourage each other to be part of this big family called “Drupal"!</p></div></div></div>', '1445364342', '2597618 at https://www.drupal.org'),
('60', '1', 'Drupal 7.41 released', 'https://www.drupal.org/drupal-7.41', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 7.41, a maintenance release which contain fixes for <strong>security vulnerabilities</strong>, is now available for download. See the <a href="https://www.drupal.org/drupal-7.41-release-notes">Drupal 7.41</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-7.41.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 7.41</span></a>\n</div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 7 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in this release. For more information about the Drupal 7.x release series, consult the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Drupal 7.x is being maintained, so given enough <a href="https://www.drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://www.drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>), more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Changelog</h2>\n<p>Drupal 7.41 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.41-release-notes">7.41 release notes</a>.  A complete list of all bug fixes in the stable 7.x branch can be found in <a href="http://drupalcode.org/project/drupal.git/shortlog/refs/heads/7.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 7.41 was released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="https://www.drupal.org/SA-CORE-2015-004">SA-CORE-2015-004</a></li>\n</ul><p>To fix the security problem, please upgrade to Drupal 7.41.</p>\n<h2>Known issues</h2>\n<p>None.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1445455553', '2598546 at https://www.drupal.org'),
('61', '1', 'Drupal 8.0.0 will be released on November 19, 2015', 'https://www.drupal.org/node/2605142', 'Gábor Hojtsy', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Based on our experience with our successful release candidates, we are confident to announce that Drupal 8.0.0 will be released on November 19, 2015! Until then, we will continue publishing Drupal 8 release candidates with the latest fixes. See the <a href="https://www.drupal.org/drupal-8.0.0-rc1" rel="nofollow">first release candidate announcement</a> for more details on the release candidate phase, or <a href="https://www.drupal.org/node/2598668" rel="nofollow">download the latest release candidate (RC2)</a> for a preview of the release.</p>\n<!--break--><h3>Port your modules/themes and update translations</h3>\n<p>There is not a lot of time left if you are looking to have your module, theme or translation ready for the big day! Read more about <a href="https://www.drupal.org/drupal-8.0.0-rc1#porting" rel="nofollow">porting your modules and themes</a> and <a href="https://localize.drupal.org/node/63947" rel="nofollow">contributing to translations</a>. </p>\n<h3>Preparing for release promotion</h3>\n<p>We are working on both the release announcement and the press release in English. <a href="https://groups.drupal.org/node/488223" rel="nofollow">However we do need volunteers to help translate it to their language</a>. The final translations will be posted on Drupal.org at time of release.</p>\n<p>If you can help promote the release on Twitter on November 19th and 20th in your respective time zones, <a href="https://docs.google.com/forms/d/1VtSng6hvFvA-5rZ_AUEYlW0qKKd_uRm6qsEki9vIl68/viewform" rel="nofollow">Paul Johnson is looking for you</a>. When tweeting about Drupal 8, be sure to use the hashtag #drupal8.</p>\n<h3>Parties around the globe!</h3>\n<p>We also need you to throw a party! Organize a local meetup on the week (or even better the exact date) with sweets, sessions, shirts, stickers or whatever fits to spice it up. Make sure to <a href="https://groups.drupal.org/drupal-8-release-parties" rel="nofollow">let the community know</a>, so it shows up on <a href="http://drupical.com/" rel="nofollow">the world map on Drupical.com</a>  We also suggest you <a href="https://twitter.com/celebr8d8" rel="nofollow">follow @celebr8d8</a> and <a href="https://twitter.com/search?f=tweets&amp;q=%23celebr8d8" rel="nofollow">promote your party and share your party stories with #celebr8d8</a>.</p>\n<p>Finally, thanks to the nearly 3,300 people who contributed to the codebase of Drupal 8 as well as hundreds of others who organized events, conducted usability tests, mentored contributors, found sponsors, etc.—in short did all the awesome things that made Drupal 8 happen. Now, let’s go make something amazing, for anyone!</p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1446231201', '2605142 at https://www.drupal.org'),
('62', '1', 'Drupal 6 end-of-life announcement', 'https://www.drupal.org/drupal-6-eol', 'mlhess', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>As announced in the <a href="https://www.drupal.org/d6-lts-support">Drupal 6 extended support policy</a>, 3 months after Drupal 8 comes out, Drupal 6 will be end-of-life (EOL).  </p>\n<p><strong>On February 24th 2016, Drupal 6 will reach end of life and no longer be supported.</strong></p>\n<h3> What this means for you: </h3>\n<ol><li>Drupal 6 will no longer be supported by the community at large. The community at large will no longer be creating new projects, fixing bugs in existing projects, writing documentation, etc. around Drupal 6.  </li>\n<li>There will be no more core commits on Drupal 6.x to the official tree. (see <a href="#stillhave6">What if I have a Drupal 6 site still</a>)</li>\n<li>The security team will no longer provide support or Security Advisories for Drupal 6</li>\n<li>All Drupal 6 releases on project pages will be flagged as not supported.  </li>\n<li>At some point in the future update status may stop working for Drupal 6 sites. </li>\n</ol><h3> Should I update to Drupal 7 or Drupal 8?</h3>\n<p>The version of Drupal you choose for your upgrade will depend on how complex your site is, what contributed modules you need, and other factors.  Many modules have been built in to Drupal 8. For example, Views and a WYSIWYG editor come as a part of Drupal 8, which means that some sites can move to Drupal 8 much sooner.  <a href="https://www.drupal.org/drupal-8.0"> Find out more about Drupal 8</a>.</p>\n<p>Drupal 8 core also provides a Migration path directly from Drupal 6 as an experimental feature, so sites can update directly to Drupal 8 using either a user interface or with <a href="https://github.com/drush-ops/drush">Drush</a>. See <a href="https://www.drupal.org/node/2257723">Executing a Drupal 6/7 to Drupal 8 upgrade</a> for more details. The Migrate feature will be fully supported in a later minor release of Drupal 8.</p>\n<p>Drupal 7 remains fully supported, so Drupal 6 sites can also update to Drupal 7 using the core update feature when that is a better fit.  Drupal 7 is estimated to be supported until Drupal 9 is released, or later.  For more information follow: <a href="https://www.drupal.org/node/2608496">[policy, no patch] Drupal 7 (and 8) EOL timing</a>.</p>\n<h3 id="stillhave6"> What if I have a Drupal 6 site still?</h3>\n<p>You should plan to upgrade your site as soon as possible. For sites not updated before February 24th 2016, the Security Team is working with some vendors who are willing to provide <b>paid</b> support for Drupal 6 sites beyond February 24th, 2016.  We will announce the details of this in early January.  If you are a vendor that would like to look into doing this, please read <a href="https://www.drupal.org/d6-lts-policy">D6 LTS Vendors policy</a>.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div></div></div>', '1447083282', '2611848 at https://www.drupal.org'),
('63', '1', 'Drupal.org Migrates Content and File Delivery to Fastly', 'https://www.drupal.org/news/drupalorg-migrates-content-and-file-delivery-to-fastly', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img src="/files/fastly-logo_0.png" alt="Fastly logo" class="right" width="250" />We are so stoked to announce our partnership with <a href="http://fastly.us/1H1mcCF" rel="nofollow">Fastly</a>. Fastly is now serving up all of our traffic from the *.drupal.org domain Drupal sites and related services.</p>\n<h2>Drupal.org is big</h2>\n<p>Drupal.org and its services handle over <em>1.5 billion</em> requests per month; this is a massive amount of traffic for an open source project. </p>\n<p>Every time cron runs the update service on your Drupal site, it talks to updates.drupal.org. Every time you download a copy of Drupal or any projects on Drupal.org, you talk to ftp.drupal.org. (We see over 400,000 downloads of Drupal core in a typical month—way more around DrupalCons and major community sprints.)</p>\n<p>Each month we have over 15 million unique pageviews on Drupal.org—by over 2 million unique visitors.</p>\n<p>All of those stats are about to rise significantly with the launch of Drupal 8. Drupal 7 caused a 30% bump in traffic when it was released and we expect even more with the launch of Drupal 8.</p>\n<h2>Fastly is… well… fast</h2>\n<p>In 2014, we implemented a CDN (content delivery network) for Drupal.org. The impact was immediate. Everything was faster. We met our initial goal of getting Drupal.org sites and services fronted by a CDN. </p>\n<p>That CDN solution was a good start, and while it lacked features we didn’t know we needed, it improved our ability to deliver Drupal-generated content as well as packaged projects.</p>\n<p>Late in 2014, we were introduced to Fastly. They offered us an opportunity to try out the service for ftp.drupal.org and we haven''t looked back.</p>\n<h3>Varnish for the win!</h3>\n<p>You may already use the open source Varnish for your Drupal sites. Varnish is an HTTP accelerator. Drupal.org began using Varnish in 2009 to reduce load on its web servers. It is a powerful cache that likely sits in front of your web origins. Fastly gives us a globally distributed Varnish cache with all of the features we are familiar with.</p>\n<p>Fastly hires maintainers of the Varnish project and are helping move it forward. Drupal 8 cache keys are also a straight correllation to Fastly Surrogate Key purging and Fastly''s active involvement is another great <a href="https://www.drupal.org/node/2491561" rel="nofollow">example</a> of Fastly working with an open source community (ours!) to build a better experience.</p>\n<p>Yay, open source!</p>\n<h3>Open Source Alliance</h3>\n<p>Speaking of open source, <a href="http://fastly.us/1LewNVK" rel="nofollow">Fastly has an open source alliance</a> that provides free content delivery to projects like Debian, the MIT Media Lab, the W3C, Memcached, Linux Foundation, and more. They have even open sourced some of their technology stack to make it easier for others to build systems with their tools. We love partnering with these sorts of organizations.</p>\n<h3>Supporting Technology Partner</h3>\n<p>Speaking of partnering, Fastly took their partnership a step further and are helping fund a lot of great work on Drupal.org through commitments to sponsor DrupalCons and even the release of Drupal 8. Look for them at upcoming DrupalCons. Thanks Fastly!</p>\n<h2>How Fastly Works</h2>\n<p>Fastly’s <a href="http://fastly.us/1kv5OAw" rel="nofollow">Global Network</a> consists of Points of Presence (POPs) running Fastly’s custom Varnish software stack. These POPs are spread around the world in strategic locations close to the highest density Internet Exchange Points, ensuring cached content is just a few milliseconds away.</p>\n<p><img src="/files/fastly_global_delivery_network_pop_map_v25_11.05.15.png" alt="Global network" /></p>\n<p>Fastly has a powerful feature that allows us to specify a specific POP as a shield to our origin server. In our case we chose the Seattle POP because of its proximity to our servers at the <a href="//osuosl.org”" rel="nofollow">OSL</a> in Corvallis, Oregon in the United States.</p>\n<p><img src="/files/caching-basics-1st-request-withshielding_0.png" alt="Caching basics" /></p>\n<p>The origin shield configuration means all requests to Drupal.org flow through Fastly’s origin server in Seattle before reaching our Drupal.org origin. If <a href="http://fastly.us/1NvHzsE" rel="nofollow">Fastly’s origin server</a> in Seattle has already cached the file, no request to our Drupal.org origin is necessary. </p>\n<p><img src="/files/caching-basics-subsequent-request-withshielding.png" alt="Caching basics, subsequent requests" /></p>\n<p>In practice, this allows us to deliver a huge amount of content with an extremely high hit ratio. (See that spike in the GIF below, that''s one of those regular times that cron jobs request a ton of content from our updates server. Fastly is just churning along.)</p>\n<p><img src="/files/fastly-updates-performance.gif" alt="Really cool animated GIF showing updates traffic" /></p>\n<p>(Fastly made us confident we could put this enormous GIF in our write up.)</p>\n<h3>Faster changes, faster response time</h3>\n<p>Another advantage to Fastly has been the efficiencies it has given us by allowing us to quickly make changes to how they cache our content. With our previous CDN, changes could take up to 4 hours to propagate through the system. We can now change a Varnish config and reflect those changes in under 5 seconds. That has been a huge help when we need to make a hot fix to production and keep Drupal.org delivering Drupal to the world.</p>\n<h3>Logging and improving our usage stats</h3>\n<p>Fastly also allows us to <a href="http://fastly.us/1lnEQed" rel="nofollow">stream our logs</a>. This means we can parse those logs and turn them into data. We are already seeing much more reliable project usage statistics with from our new log processing for updates.drupal.org thanks to Fastly’s log streaming.</p>\n<p>More accurate logs mean we can provide users with better data to help them to make better decisions about modules, themes and distributions that have the most installations.</p>\n<h2>Next Steps with Fastly</h2>\n<p>We have been impressed with Fastly, both for their responsiveness and the performance improvements we have seen while using their services. They have given a ton to our community and we can''t wait to see where they take Varnish and their open-source-powered service. If you are interested in using Fastly with your own Drupal sites, you can <a href="https://www.drupal.org/marketplace/fastly" rel="nofollow">learn more about Fastly</a> on their Drupal.org organization page or sign up for a <a href="http://fastly.us/1iZPKoy" rel="nofollow">developer account at Fastly.com</a>—there is even a <a href="https://www.drupal.org/project/fastly" rel="nofollow">Fastly module</a> for Drupal7, and one for Drupal8 is on the way!</p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1447694856', '2616454 at https://www.drupal.org'),
('64', '1', 'Drupal 8.0.0 released', 'https://www.drupal.org/news/drupal-8.0.0-released', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Today we released Drupal 8.0.0, the first fully supported release of Drupal 8! This is the biggest update ever to Drupal, our open source content management platform. Here are just a few of the hundreds of improvements in Drupal 8:</p>\n<ul><li>In-context, what-you-see-is-what-you-get (WYSIWYG) editing and previews</li>\n<li>Comprehensive content modeling out of the box with entities, fields, and views</li>\n<li>Customization of content pages and even forms and administrative pages via the administrative interface</li>\n<li>Full translatability and localization out of the box</li>\n<li>Reliable configuration management for safe and straightforward deployment of changes between environments</li>\n<li>Mobile-first, responsive, HTML5 output</li>\n<li>REST-first native web services</li>\n<li>Enhanced accessibility and WAI-ARIA compliance</li>\n<li>Modern PHP standards and practices, with integration of popular libraries such as Composer, Symfony2, Guzzle, and Twig</li>\n<li>Significantly improved front-end performance out of the box</li>\n<li>Enhanced caching and best-of-class integration with CDNs and reverse proxies</li>\n<li>Full compatibility with PHP7, and the PostgreSQL and SQLite databases</li>\n<li>...And much more!</li>\n</ul><div style="text-align: center; margin: 2em;"><a href="https://www.drupal.org/8" class="link-button"><span>Learn more about Drupal 8</span></a>    <a href="/8/download" class="link-button"><span>Download Drupal-8.0.0</span></a></div>\n<p><img src="/files/drupal_8_quickedit.png" alt="Screenshot of the Drupal 8 Quick Edit feature" /><br /><em>Drupal 8 in action</em></p>\n<!--break--><p>\nWith key modules like Views and Entity Reference fully included in Drupal 8 core, and <a href="https://www.drupal.org/project/project_module?f%5B0%5D=&amp;f%5B1%5D=&amp;f%5B2%5D=&amp;f%5B3%5D=drupal_core%3A7234&amp;f%5B4%5D=sm_field_project_type%3Afull&amp;text=&amp;solrsort=iss_project_release_usage+desc&amp;op=Search">many contributed projects already available for Drupal 8</a>, you can start building new Drupal 8 sites right now, today. You can also use the crowd-sourced <a href="https://www.drupal.org/project/contrib_tracker">Drupal 8 Contrib Porting Tracker</a> to get updates on the status of your favorite modules and themes, or <a href="https://www.drupal.org/drupal-8.0/get-involved">read how you can help</a>.</p>\n<h3>How do I upgrade my current site?</h3>\n<p>If you have a Drupal 6 or 7 site you want to upgrade, install or update the <a href="https://www.drupal.org/project/upgrade_status">Upgrade Status</a> module to get a customized, up-to-date report on the status of your modules and themes in Drupal 8. Once you are ready, Drupal 8 core also includes the Migrate module to update existing Drupal 7 <em>and</em> 6 sites to Drupal 8 directly. Migrate is marked "experimental" in Drupal 8.0.0, but will be fully supported in an upcoming release. <a href="https://www.drupal.org/node/2257723">Read more about how you can migrate from Drupal 6 or 7</a>.</p>\n<p><a href="https://www.flickr.com/photos/68158920@N08/21488393320/"><br /><img src="/files/drupalcon_asia_team_barcelona.jpg" alt="The DrupalCon Asia team cheering with Druplicon" /><br /><em>Photo credit: pdjohnson</em></a></p>\n<h3>What about other versions of Drupal?</h3>\n<p>Drupal 8.0.0 marks <a href="https://www.drupal.org/core/release-cycle-overview">several changes for Drupal releases</a>. We will add new features to Drupal 8 every six months in minor releases, with bug fix and security release windows every month. The next bugfix release window is December 2, 2015, and next scheduled minor release (Drupal 8.1.0) is planned for mid-April 2016.</p>\n<p>The release of Drupal 8 also means that it''s time to say a fond farewell to Drupal 6 after eight great years. Drupal 6 will reach its end-of-life (EOL) on <strong>February 24, 2016</strong>, meaning that it will no longer receive official community support and you should plan to update Drupal 6 sites soon. Refer to the <a href="https://www.drupal.org/drupal-6-eol">Drupal 6 end-of-life announcement</a> for more information.</p>\n<p>Drupal 7 is still fully supported and will remain so for several more years. <a href="https://www.drupal.org/core/release-cycle-overview">Read more about the Drupal core release cycle</a>.</p>\n<h3>Found a bug?</h3>\n<p>With your help, we can find and fix bugs sooner rather than later. If you find a bug in Drupal 8, <a href="https://www.drupal.org/project/issues/drupal?categories=1&amp;version=8.x">search for it in the Drupal 8 issue queue</a>, and if you don''t find an existing bug report, file a new one.</p>\n<h3>Celebrating the release</h3>\n<p>Help share and celebrate this milestone for the Drupal community! The Drupal 8 media kit includes the <a href="https://www.drupal.org/about/media-kit/drupal-8">official Drupal 8 press release</a> which has already been translated into many languages. Share this press release with your community, or use the #Drupal8 hashtag to talk about Drupal 8 on social media. Then, join one of <a href="https://groups.drupal.org/drupal-8-release-parties">over 200 Drupal 8 release parties on six continents</a>.</p>\n<p><a href="http://www.drupical.com/"><img src="/files/drupical_sized.png" alt="Map of Drupal 8 release parties around the world" /><br /><em>Source: drupical.com</em></a></p>\n<p>Drupal 8 core is the work of more than 3300 contributors in over 16,000 Drupal core commits during nearly five years of development, and it is by far the best release of Drupal yet. There are already more than 50,000 Drupal 8 installations, so start yours today!</p>\n<p><strong>Build something amazing, for anyone.</strong></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1447943629', '2618520 at https://www.drupal.org'),
('65', '1', '2015 Year in Review for Drupal.org', 'https://www.drupal.org/news/2015-year-in-review-drupalorg', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>If your 2015 was anything like mine, it passed by extremely quickly. It was marked by periods of frustration (spammers still love Drupal.org) and elation (Drupal 8 launched, woot!).</p>\n<p>Below are a few highlights from our 2015 <a href="https://www.drupal.org/news/change-notifications-drupalorg" rel="nofollow">change logs</a> on Drupal.org. For a more detailed look into each monthly update you can read our <a href="https://assoc.drupal.org/personal-blog-tags/whats-new-drupal.org" rel="nofollow">"What''s New on Drupal.org?" blog posts</a>.</p>\n<h2 id="january">January</h2>\n<ul><li>New database cluster was put into service and migrations to that server begin</li>\n<li><a href="https://www.drupal.org/node/2281763" rel="nofollow">User and organization profile improvements</a> (lots more work to be done here, but it was a great start)</li>\n</ul><h2 id="february">February</h2>\n<ul><li><a href="https://latinamerica2015.drupal.org/" rel="nofollow">DrupalCon Latin America</a></li>\n<li>Launch of Drupal Events (&lt;a href="<a href="https://events.drupal.org&gt;events.drupal.org" rel="nofollow">https://events.drupal.org&gt;events.drupal.org</a>) with the site for DrupalCon Los Angeles - all new events sites are hosted from the same installation</li>\n<li>Account creation improvements including a faster 2-step registration that returns users to the site they initiated registration from</li>\n<li>Support for the 2015 community elections for board member at large</li>\n<li>Implementation of Server Density for systems monitoring</li>\n<li>Centralized logging for Druapl.org infrastructure</li>\n</ul><h2 id="march">March</h2>\n<ul><li>Relaunch of the Drupal Newsletter and migration of most Drupal.org mailing lists to Mailchimp</li>\n<li>Responsive breakpoints added to Drupal.org theme—a way better experience for mobile devices</li>\n<li>FTP migration to Fastly</li>\n<li><a href="https://www.drupal.org/node/2288727" rel="nofollow">Issue credits and attribution UI</a></li>\n<li><a href="https://www.drupal.org/node/2493801" rel="nofollow">Advanced Aggregator deployments began to improve performance of the site</a></li>\n<li><a href="https://groups.drupal.org/node/463793" rel="nofollow">DrupalCI sprint at the Drupal Association offices in Portland</a></li>\n<li><a href="https://www.drupal.org/node/2446889" rel="nofollow">"New" indicator for users in their first 90 days to help in welcoming newcomers to the community</a></li>\n</ul><h2 id="april">April</h2>\n<ul><li><a href="https://www.drupal.org/node/2481519" rel="nofollow">Content strategy project complete and recommendations shared with the community</a></li>\n<li><a href="https://www.drupal.org/node/2471925" rel="nofollow">Community user role was deployed and the ability to "confirm" a new user</a></li>\n<li><a href="https://www.drupal.org/try-drupal" rel="nofollow">Try Drupal</a> launches giving evaluators of Drupal an option to quickly try an installation of Drupal provided for free by our hosting partners</li>\n<li><a href="https://www.drupal.org/node/2463205" rel="nofollow">Homepage changes to begin supporting new content strategy</a></li>\n<li>Moved all major service deployments from BZR to Git (our standard)</li>\n</ul><h2 id="may">May</h2>\n<ul><li><a href="https://www.drupal.org/node/2239973" rel="nofollow">Two-factor authentication deployed for Drupal.org</a></li>\n<li><a href="https://losangeles2015.drupal.org/" rel="nofollow">DrupalCon Los Angeles</a><br />\n** Presentations on <a href="https://events.drupal.org/losangeles2015/sessions/content-strategy-drupalorg" rel="nofollow">content strategy</a> and <a href="https://events.drupal.org/losangeles2015/sessions/issue-workspaces-better-way-collaborate-drupalorg-issue-queues" rel="nofollow">issue workspaces</a></li>\n<li>Updates to the log management to show <a href="https://drupal.org/project/usage" rel="nofollow">statistics from updates.drupal.org</a></li>\n</ul><h2 id="june">June</h2>\n<ul><li>Front page changes to highlight community metrics</li>\n<li><a href="https://www.drupal.org/node/1815826" rel="nofollow">"Plan" issue category is deployed</a></li>\n<li>Try Drupal refinements</li>\n<li>Organization and user profiles updated to show last 90 days of issue credits</li>\n<li>DrupalCI goes into production</li>\n<li><a href="https://www.drupal.org/supporters/partners" rel="nofollow">Signature Supporting Partner program launched</a></li>\n<li>Updates.drupal.org traffic moved to Fastly CDN</li>\n</ul><h2 id="july">July</h2>\n<ul><li>Interns from <a href="http://www.epicodus.com/" rel="nofollow">Epicodus</a> join the Drupal.org team for 8 weeks</li>\n<li>New Git servers configured and deployed to production to replace aging hardware</li>\n<li>Core patch testing enabled for DrupalCI</li>\n</ul><h2 id="august">August</h2>\n<ul><li>Upgrade of <a href="https://localize.drupal.org/" rel="nofollow">Localize.drupal.org</a> to Drupal 7</li>\n<li>Apache Solr upgrades</li>\n<li>Updates to make issues in project queues easier to quickly read and digest</li>\n<li>Performance profiling on a new integration server leads to site speed improvements</li>\n</ul><h2 id="september">September</h2>\n<ul><li><a href="https://www.drupal.org/node/658048" rel="nofollow">Drupal.org search improvements</a></li>\n<li>First content model update with sections and pages deployed</li>\n<li>Solr server high availability improvements</li>\n<li><a href="https://barceona2015.drupal.org" rel="nofollow">DrupalCon Barcelona</a></li>\n<li>Marketplace updates to order organizations by last 90 days of issue credits and supporter status</li>\n</ul><h2 id="october">October</h2>\n<ul><li>Drupal 8 RC1</li>\n<li>DrupalCI becomes the primary test platform for Drupal 8 Core; legacy testing is disabled</li>\n<li>Flag module and administrative views are deployed for a new take on spam fighting</li>\n<li>Drupal 6 &amp; 7 testing are enabled on DrupalCI</li>\n<li>Kicked off the first <a href="https://www.drupal.org/node/2589167" rel="nofollow">Drupal.org membership drive</a></li>\n<li>Breadcrumbs for top level sections to make navigation a bit easier</li>\n</ul><h2 id="november">November</h2>\n<ul><li><a href="https://www.drupal.org/node/1933988" rel="nofollow">Server-side support for contributed Drupal 8 translations on Localize.drupal.org</a></li>\n<li>Drupal.org development environments now build in under 20 minutes</li>\n<li>All sites are <a href="https://www.drupal.org/news/drupalorg-migrates-content-and-file-delivery-to-fastly" rel="nofollow">migrated to Fastly for CDN services</a></li>\n<li>Behind-the-scenes config and code changes for the new Drupal 8 area of the site (<a href="https://www.drupal.org/8" rel="nofollow">drupal.org/8</a>)</li>\n<li><a href="https://www.drupal.org/news/drupal-8.0.0-released" rel="nofollow">Drupal 8 successfully launched</a></li>\n<li>Drupal 8 section built with a new theme</li>\n<li>Theme changes to the front page and header associated with Drupal 8 launch</li>\n<li>Download experience changes</li>\n<li>Began testing Distil as a solution to reduce spam account creation on Drupal.org</li>\n<li>3 new test environments added to DrupalCI</li>\n</ul><h2 id="december">December</h2>\n<ul><li><a href="https://www.drupal.org/node/2551607" rel="nofollow">Published plan for Composer support on Drupal.org</a></li>\n<li>Old testbots are disabled and all Drupal testing is now run through DrupalCI</li>\n<li>Homepage changes to support the membership campaign</li>\n<li>Presented the new community engagement plan to the board and working groups</li>\n</ul><p>That was a lot of work in what was a tumultuous year. Between all the DrupalCon websites, and major updates to some of our existing sub-sites, we launched as many sites as some web development shops—at least the smaller ones. </p>\n<p>We made several small but high impact usability improvements to Drupal.org, and built better features to highlight the contributions of individuals and organizations on their profiles. We modernized and hardened our infrastructure. We made Drupal.org a little more beautiful to better promote this amazing software and community that we support to people finding us for the first time. Among all of that… </p>\n<h2 id="what-was-the-most-important-work-in-2015-">What was the most important work in 2015?</h2>\n<p>If I had to call out just one thing the Drupal.org team did this year that was essential to the success of Drupal and the community, I would highlight the great work done to launch DrupalCI and make it a production system that could handle our community''s unique testing needs.</p>\n<p>DrupalCI (the CI stands for Continuous Integration) started as a community initiative. It had been in progress for years as work to replace our aging testbot infrastructure. The old testbots required a manual spin up of new testing servers that were hosted on VMs in a cluster at the Open Source Labs. They were proprietary and rigid. If a testbot went down, it would require manual intervention to free up the queue and allow tests to begin again.</p>\n<p>By working closely with the community throughout Q2 and Q3 of 2015, we were able to launch a testing infrastructure that supports multiple testing environments—a feature which has already helped support other projects, like PHP 7—dynamically scales to the testing load, and which is tightly integrated with the Drupal.org issue queues. Overall the new system is much more configurable and far more scalable than the previous system. </p>\n<p>Why is testing so vital to the community? Because Drupal 8 represents a much larger code base than Drupal 7. A huge proportion of those new lines of code are tests. Every time a patch is submitted to Drupal Core, up to 15,000+ tests are run—with over 100,000 assertions. Core maintainers and initiative leads need those tests to help them understand how the new code introduced will affect Drupal. Contrib developers can also use DrupalCI to ensure their modules will work well with Drupal.</p>\n<p>Though the work to get DrupalCI into production and optimized, we were able to give core maintainers faster and more reliable information about code submitted for inclusion in Drupal.</p>\n<p>I honestly believe that without DrupalCI, we would not have had Drupal 8 in 2015. It sped the release of Drupal, which makes it the most accomplishment for our team in 2015.</p>\n<h2 id="happy-but-not-satisfied">Happy but not satisfied</h2>\n<p><a href="http://www.garfieldtech.com/blog/drupal8-happy-not-satisfied" rel="nofollow">Larry Garfield (Crell) wrote a blog post</a> shortly after the release of Drupal 8 where he talked about how he was happy that Drupal 8 was released—and feels it is a huge leap forward for the project—but he is not satisfied because he sees how much work is left to be done.</p>\n<p>That is the nature of software. It can always be a little better—more performant, more usable, more extendable.</p>\n<p>Drupal.org improved in 2015, but the team is far from satisfied. There is so much more work to complete.</p>\n<p>At DrupalCon Amsterdam, I outlined the <a href="https://docs.google.com/a/association.drupal.org/presentation/d/1wRDKL6gwLhPpmnY4XV0XnrGBVavVgJaUxwfk-LDLHEc" rel="nofollow">top 7 initiatives that the Drupal.org team would focus on</a>. When I look back on the year, we did not hit all of our goals.</p>\n<p>In April, one year into my time at the Drupal Association, I could point back to a lot of accomplishments, but for many, the improvements were not fast enough. By DrupalCon Los Angeles, we had achieved one of our initiative goals, and moved forward many more, but we added four more to our list. In agile project management terms, we burned up (added more work) than we burned down (work completed).</p>\n<p>While the fact that more work is requested faster than we could complete it is not unusual, it did make us think, and we learned some lessons. We have to focus on fewer, high impact priorities. We need to plan for the unplannable - we know there will be unforeseen needs from the community and new technology to support that may not exist yet, and we must be flexible enough to respond. We need to build more partnerships and find great solutions with technology providers that are experts in their fields. </p>\n<p>We are pretty excited that much of the planning and design work put into 2015 should result in a much more rapid pace of change to Drupal.org in 2016.</p>\n<h2 id="what-s-next-for-drupal-org">What''s next for Drupal.org</h2>\n<p>So, we are celebrating all the good things from 2015—there were a lot—but we are also closing the book on what was a challenging year.</p>\n<p>Our focus shifts now to supporting the community as we all work to make Drupal 8 successful. We''ll be keeping the <a href="https://drupal.org/roadmap" rel="nofollow">Drupal.org Roadmap</a> up to date and adding in new initiatives. </p>\n<p>As we start the new year, we are still committed to the <a href="https://www.drupal.org/node/2481519" rel="nofollow">content strategy</a> work that will make the content creation experience on Drupal.org and sub-sites better. This will improve our documentation as well as make it easier to talk about the benefits of Drupal to decision makers that help choose Drupal as the best content management framework for their organization.</p>\n<p>Additionally, we are doing some <a href="https://www.drupal.org/node/2551607" rel="nofollow">exciting work to better support Composer on Drupal.org</a> to align us with the rest of the PHP community as well as planning some much needed improvements to our Git workflow and developer tools.</p>\n<p>Lastly, we are not done improving how we highlight contributions within the Drupal community. <a href="https://www.youtube.com/watch?v=4NN5EM4CYVE" rel="nofollow">As Dries outlined in Amsterdam</a>, Drupal is a public good. We need to highlight the great work that people around the world are doing in building Drupal and the community that supports it.</p>\n<p>We can''t wait to get started on 2016!</p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div><div class="field-item odd"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1452034220', '2644840 at https://www.drupal.org'),
('66', '1', 'Drupal 8.0.2 released', 'https://www.drupal.org/drupal-8.0.2', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 8.0.2, a maintenance release with numerous bug fixes (no security fixes), is now available for download. See the <a href="/drupal-8.0.2-release-notes">Drupal 8.0.2 release notes</a> for a full list of included fixes.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-8.0.2.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 8.0.2</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 8 sites is recommended.</strong> There are no major nor non-backwards-compatible features in this release. For more information about the Drupal 8.x release series, consult the <a href="https://www.drupal.org/8">Drupal 8 overview</a>.</p>\n<!--break--><div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 8 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 8.0.x is actively maintained, so more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Change Log</h2>\n<p>Drupal 8.0.2 contains bug fixes and documentation and testing improvements only. The full list of changes between the 8.0.1 and 8.0.2 releases can be found by reading the <a href="/drupal-8.0.2-release-notes">8.0.2 release notes</a>. A complete list of all changes in the stable 8.0.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/8.0.x&amp;nocache=8.0.2">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="/drupal-8.0.2-release-notes">8.0.2 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="/drupal-8.0.2-release-notes">8.0.2 release notes</a> for known issues.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1452119576', '2645588 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('67', '1', 'Selecting a client-side framework for Drupal', 'https://www.drupal.org/news/selecting-a-client-side-framework-for-drupal', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/selecting-a-client-side-framework-for-drupal" rel="nofollow">Republished from buytaert.net</a></p>\n<p>Last month, my blog post about <a href="http://buytaert.net/should-we-decouple-drupal-with-a-client-side-framework" rel="nofollow">whether a client-side framework is right for Drupal</a> stimulated some excellent insights into how the future of the Drupal front end might look. There was broad agreement that incorporating more JavaScript into Drupal''s administrative interface is important for a future-ready user experience.</p>\n<p>I am confident that adopting a client-side framework through <a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">progressive decoupling</a> will give us the best of both worlds. Of course, this does not mean I oppose fully decoupling through any other framework; in fact, I believe we should redouble our efforts toward a first-class API-first Drupal. But progressive decoupling means that we will be able to work toward a next-generation user experience without abandoning much of the work we''ve done so far.</p>\n<p>With that in mind, I tasked a small team made up of various experts from the Drupal and various JavaScript communities with putting together a list of criteria and a comparison matrix to help us decide on the most appropriate client-side framework for progressive decoupling in Drupal.</p>\n<h3>JavaScript framework comparison matrix</h3>\n<p>After a hundred hours of work, we came up with a <a href="https://docs.google.com/document/d/1eDnJ-NpJBjicxVkrZgCwMHewSZUUePVY6LCVPS_swAw/pub" rel="nofollow">criteria document and comparison matrix</a> (<a href="http://buytaert.net/files/javascript-framework-comparison-january-2016.pdf" rel="nofollow">PDF version</a>):</p>\n\n<p>Special thanks to all of the following experts who provided review and input: <a href="https://github.com/mhevery" rel="nofollow">Miško Hevery</a> (creator of Angular; Google) and <a href="https://github.com/igorminar" rel="nofollow">Igor Minar</a> (technical lead for Angular; Google); <a href="https://github.com/ef4" rel="nofollow">Ed Faulkner</a> (core maintainer for Ember); <a href="https://drupal.org/u/amitaibu" rel="nofollow">Amitai Burstein</a> (Drupal and Elm contributor; Gizra); <a href="https://drupal.org/u/fubhy" rel="nofollow">Sebastian Siemssen</a> (Drupal contributor, Elm and React developer; Zensations); and <a href="https://drupal.org/u/johnalbin" rel="nofollow">John Albin Wilkins</a> (Drupal 8 mobile initiative lead), <a href="https://drupal.org/u/effulgentsia" rel="nofollow">Alex Bronstein</a> (Drupal core maintainer; Acquia), <a href="https://drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> (Drupal core contributor; Acquia), and <a href="https://drupal.org/u/prestonso" rel="nofollow">Preston So</a> (Drupal contributor, Acquia).</p>\n<p>Though this is a good starting point that lays the groundwork for a formal adoption process in Drupal core, it is time to open <a href="https://docs.google.com/document/d/1eDnJ-NpJBjicxVkrZgCwMHewSZUUePVY6LCVPS_swAw/pub" rel="nofollow">our comparison</a> for review by members of both the Drupal and JavaScript communities. We should also more rigorously evaluate these frameworks'' appropriateness through actual development.</p>\n<p>First, have we decided on the right criteria regardless of the frameworks themselves?  This is probably the most important at this stage.  While many organizations choose to adopt client-side frameworks for fully decoupled implementations, Drupal is the first to consider layering a framework on top to allow both richly dynamic and more traditional modules to coexist gracefully through progressive decoupling. What issues around templates, rendering, and client-side caching should we incorporate into these criteria? Is there anything missing or overemphasized?</p>\n<p>Second, have we selected the right frameworks to focus on?  Are there other frameworks, libraries, or even compile-to-JavaScript projects (such as Elm) that should be included in the matrix? In my view, it is best for Drupal to adopt a framework with an already large community and ecosystem that would allow us to more quickly bridge the gap and resolve any friction during adoption. To provide a good frame of reference, we''ve also included Backbone, Angular, and Knockout, all three slightly older among client-side frameworks. Others on our shortlist that we didn''t consider due to low levels of adoption and small communities are Mithril, Riot, and Vue. Still other ambitious projects such as the Elm and ClojureScript languages are also candidates, but their adoption will mean more up-front work to support typical features of client-side frameworks, as well as buy-in into an approach where JavaScript is compiled from a different language.</p>\n<p>Finally, have we drawn the right conclusions against these criteria? In other words, did we fill out the cells correctly? While they have been reviewed by some of the frameworks'' experts, there might be unexpected gotchas or caveats.</p>\n<p>I''m sharing the initial comparison matrix on my blog for maximum reach; I want both the Drupal community and the JavaScript framework communities, as well as the broader front-end community, to take note. After three installments on my blog (<a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">"The future of decoupled Drupal"</a>, <a href="http://buytaert.net/should-we-decouple-drupal-with-a-client-side-framework" rel="nofollow">"Should we decouple Drupal with a client-side framework?"</a>), it''s time to move the technical conversation to drupal.org. There is now <a href="https://www.drupal.org/node/2645250" rel="nofollow">an issue in the core issue queue on drupal.org</a> to iterate on the matrix.</p>\n<h3>Preliminary conclusions</h3>\n<p>At the moment, the most promising candidates in the comparison matrix appear to be Angular 2, Ember, and React, given their technical robustness, relative suitability for progressively decoupled Drupal, and their strong levels of community support and broader adoption. Given that Backbone is already in core and several modules already rely on it, we have included it too.</p>\n<p>What we''ve learned from talking to the different projects is that they are often converging on similar techniques and best practices; they are by and large adding support for Virtual DOM implementations or rehydration (seamless state transfer), and they are all obsessing over small payload size and performance, better testability, etc.  Therefore it is important to focus on the fundamental, often philosophical, differences between the projects that will likely be unchanged in time; key architectural differences, their release cadence and stance on backward compatibility, their license, their governance model, their flexibility and learning curve, etc.</p>\n<p>From a quick glance at the criteria and our needs, it seems that Ember is currently our best candidate, as it appears to have a slight technical edge overall. Ember 2.0 has an all-new rendering engine named Glimmer, and it has server-side rendering through FastBoot. On the other hand, however, Ember is quite bulky and opinionated (enforcing patterns for code structure) compared to other candidate frameworks. A more fundamental difference is that unlike Angular and React, which have corporate governance and funding, Ember is a community-driven project like Drupal.</p>\n<p>While React is lightweight, it needs integration with a variety of other libraries in the React ecosystem to work as a full-fledged implementation, which gives it a steep learning curve from an implementation standpoint. Because React is a relatively young project, best practices are shifting quickly and making it less attractive. The Virtual DOM, among React''s most compelling features, has also seen its core ideas filter into other framework projects. But more importantly, React is licensed with what I believe to be a potentially unacceptable <a href="https://github.com/facebook/react/blob/master/PATENTS" rel="nofollow">patent clause</a>, which states that an organization can no longer use React once it sues Facebook for any (unrelated) patent infringement. This has already generated some concerted pushback from both <a href="https://github.com/automattic/wp-calypso/issues/650" rel="nofollow">WordPress''s Calypso</a> and <a href="https://github.com/facebook/react/pull/3554" rel="nofollow">React</a> contributors.</p>\n<p>Angular 2 is a complete rewrite of Angular 1 to address issues with that version of the framework, including performance problems stemming from a large file size. The new version also introduces a new template engine that incorporates both directives familiar to Angular 1 developers and nestable component-based templates. But Angular 2''s Apache 2.0 licensing is <a href="http://www.gnu.org/licenses/license-list.html#apache2" rel="nofollow">incompatible with Drupal''s own GPLv2 license</a>. While Drupal''s PHP code and JavaScript code run in isolated processes, it appears that an Apache 2.0-licensed project <a href="http://www.gnu.org/licenses/gpl-faq.html#WhatDoesCompatMean" rel="nofollow">can''t be jointly distributed</a> within an umbrella project that uses a GPLv2 license.</p>\n<p>In addition to being at a slight technical disadvantage to Ember, the legal concerns with React and Angular make me believe Ember might be our best bet. But I''m not a lawyer nor a JavaScript expert, so I can''t make this decision alone; I''m looking for lots of feedback, particularly from JavaScript experts, to determine the best option for Drupal.</p>\n<h3>Conclusion</h3>\n<p>Whatever the result of the debate around which client-side framework to adopt, I believe that Drupal needs to move quickly to embrace a framework that will aid development of a progressively decoupled architecture and corresponding user experience improvements. By providing some baseline criteria and including our accomplished community, I have no doubt we can reach this decision quickly but also intelligently.</p>\n<p><em>Special thanks to <a href="https://drupal.org/u/prestonso" rel="nofollow">Preston So</a> for contributions to this blog post.</em></p>\n<p><a href="http://buytaert.net/selecting-a-client-side-framework-for-drupal#comments" rel="nofollow">Continue the discussion at buytaert.net</a> or at <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2645250" title="Status: Active">#2645250: [META] Select a new client-side framework for Drupal core''s admin UIs</a></span></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1452067200', '2648530 at https://www.drupal.org'),
('68', '1', 'A guide to issue credits and the Drupal.org marketplace', 'https://www.drupal.org/news/guide-to-issue-credits-and-marketplace', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>There’s been a lot of positive feedback and a few questions about the recent changes to the marketplace. I want to take a minute and talk about how the marketplace made it to where it is now and mention some plans for the future of the marketplace on Drupal.org.</p>\n<h2>TL;DR</h2>\n<p>This is a long post. You may not way to read the whole thing, so here is a condensed version.</p>\n<p>We want to highlight individuals and organizations that are actively contributing to Drupal. You can now attribute your work in the Drupal.org issue queues to your employer or a customer. Maintainers can award issues credits to people who help resolve issues with code, comments, design, and more. These credits can roll up to service providers listed in the Drupal Marketplace. (And eventually we want to show customers with credits as well.)</p>\n<p>Want to know all the details? Read on.</p>\n<h2>A little history</h2>\n<p>Back at DrupalCon Austin (2014), Dries presented a sketch of an idea for highlighting organizational contributions to Drupal to myself and several business owners in the Drupal community. Later that week, those initial ideas turned into <a href="http://buytaert.net/a-method-for-giving-credit-to-organizations-that-contribute-code-to-open-source" rel="nofollow">A method for giving credit to organizations that contribute code to Open Source</a>. </p>\n<p>The idea was to use commit messages to highlight organizational contribution. The first draft looked something like this:</p>\n<p><code>$ git commit -am "Issue #n by INDIVIDUAL@AGENCY*CUSTOMER: message."</code></p>\n<p>It was simple and intended to be parsable from our Git logs. However, contribution is about more than just code—and while code contributions are a good place to start, we also needed to ensure that tools for providing attribution and credit would be extensible to non-code contributions as well.</p>\n<p>That initial conversation turned into <a href="https://www.drupal.org/node/2288727" rel="nofollow">an issue</a> that spawned lots of child issues and ideas for how best to collect data that allowed a user on Drupal.org to attribute their work to an organization.</p>\n<p>The resulting conversations didn’t have a simple solution, but the participation in these issues was lively and full of great ideas. <a href="https://www.drupal.org/node/2323715" rel="nofollow">Determining the format for commit credit</a> is still an active issue.</p>\n<p>A commit credit format alone was not going to get the information onto Drupal.org. Eventually, we settled on a couple of different solutions for tracking organization involvement and pulled all of this together into the current state of the Drupal.org Marketplace.</p>\n<h2>Organizations that support modules, themes, and distributions</h2>\n<p>First, we added a feature to projects on Drupal.org (modules, themes, distributions) that allowed <a href="https://www.drupal.org/node/2267789" rel="nofollow">maintainers to reference organizations that were supporting a module</a>—either by providing time to their developers to give back or by directly funding development.</p>\n<p><img src="/files/supporting-organizations-field.jpg" alt="Supporting organizations field" /></p>\n<h2>Commit credit user interface</h2>\n<p>The next part of the work was <a rel="nofollow">giving maintainers a better way to create their commit message</a> related to a particular issue. A lot of the complexity of deciding who should get credit for work on Drupal.org was simplified into a UI that showed how many people had participated in an issue, how much each person had participated, and whether that person had uploaded files related to the issue. The UI also generated the Git command that would properly tie the resulting code changes to the issue and people involved. The result for a relatively large issue thread looks like the image below:</p>\n<p><img src="/files/issues/Screen%20Shot%202014-10-30%20at%201.48.36%20PM.png" alt="Commit credit UI" /></p>\n<h2>Attribution</h2>\n<p>While that effort made it a lot easier to create commit credits, it didn’t solve the problem of attributing issues that didn’t result in code change, nor did it allow people to give credit to the organizations that made it possible for them to work on that issue—by giving them time or by paying for the work directly as a customer.</p>\n<p>To do that we had to figure out a way to add organization attribution to the work being done on an issue. </p>\n<p>Issues and comments are the primary tools for tracking what needs to be built out in Drupal code. This is where we determine the features, report the bugs, plan out the work, and more. Tracking intent at the point of this interaction was the best way for us to cover the widest range of contribution to Drupal core, modules, themes and distributions.</p>\n<p>The resulting UI for attributing a comment to an organization is simple and straightforward. </p>\n<p><img src="/files/initial-comment-attribution.gif" alt="Attribution UI" /></p>\n<p>While the instructions for attributing a contribution are documented, there’s still some confusion about when to attribute a comment to an organization versus a customer.</p>\n<h3>Attributions for organizations</h3>\n<p>These attributions are to allow a person to attribute their participation in a specific issue to a company that allotted time for them to work on the issue. This is typically an employer that pays that person''s salary or wage. This organization must be directly tied to the contributor''s user profile on Drupal.org as a current or past employer and the organization must have an organization profile on Drupal.org. (<a href="https://www.drupal.org/node/add/organization" rel="nofollow">Create an organization profile</a>).</p>\n<p>When you use this feature, you are highlighting an organization that is contributing code—or other improvements through the issue queues—to the community. </p>\n<h3>Attributions for customers</h3>\n<p>When you attribute a customer, you are essentially saying that the work was requested by that customer but you are not employed by them. Typically this means one of three possibilities:</p>\n<ul><li>The customer organization paid the contributor''s employer</li>\n<li>The customer organization paid the contributor directly</li>\n<li>The contributor was volunteering for the customer organization</li>\n</ul><p>You can select any organization as a customer that has an organization profile on Drupal.org. </p>\n<p>When you use the customer attribution, you’re highlighting a different way of contributing to the Drupal ecosystem and often showing relationships between organizations to solve a problem.</p>\n<h3>Marking a comment with "I''m a volunteer"</h3>\n<p>Making it possible to attribute organizations who have supported contribution also helps us to gather data on purely altruistic contributions. We went round and round on this attribution feature, but in the end, we decided to add “I’m a volunteer” as an explicit attribution option in the attribution UI. It’s deliberately not the default. This is because we want to collect the explicit intent of the users making attributions. While we are now collecting this data, we haven’t yet figured out a great way to show this intent on a contributor''s profile.</p>\n<p>Possible intent on a comment could include:</p>\n<ul><li>I contributed on my own time as a volunteer and community member.</li>\n<li>On this issue, some of my time was paid for by an employer, but some of my time was my own.</li>\n<li>I contributed this work as a volunteer for one or more customer organizations.</li>\n</ul><p>The intent of volunteerism is complex, which is why it is hard to add up into neat little data to show on a profile. </p>\n<p>Regardless whether they mark "I''m a volunteer" or not, contributors can still be awarded issue credit by a maintainer for their work on an issue.</p>\n<h2>Attribution versus issue credit versus commit credit, what''s the difference?</h2>\n<p>Attribution is the first step of the process to award an issue credit. The contributor attributes their work to one or more organizations and/or as a volunteer. The next step doesn''t come until the maintainer of the project (Drupal core, module, theme, distribution) gets involved in the process.</p>\n<h3>Issue credits</h3>\n<p> <a href="https://www.drupal.org/getting-involved/maintainer/grant-issue-credits" rel="nofollow">Project maintainers may grant issue credits</a> for issues opened against their projects. At any time during the life of the issue, a maintainer can update the credit UI to credit any of the users who have participated in the issue. Any organizations or customers attributed by those users will be credited as well. When the issue is closed fixed, those assigned credits will appear on the appropriate user and organization profiles. </p>\n<p>Issue credits are more comprehensive than just code. They can include reviews, designs, prototypes, or just really helpful comments. The maintainer choses what they want to credit even if the issue does not have code associated with it in the form of a patch. This is a great way to help highlight contributions to policy and work to keep Drupal.org running well.</p>\n<h3>Commit credits</h3>\n<p>Maintainers can <a href="https://www.drupal.org/node/52287" rel="nofollow">grant commit credits</a>. A commit credit gets added to the Git commit message that accompanies a commit by a maintainer of a project on Drupal.org (Drupal Core, modules, themes, distributions, etc.). Sites like <a href="http://drupalcores.com/" rel="nofollow">drupalcores.com</a> track this information in the public changelog and use it to highlight contribution numbers based on the number of times a user is mentioned in a commit message.</p>\n<p>Commit credits currently can’t be easily tied to organizations, the parsing would be cumbersome and require a lot of precision when maintainers entered the information into Git, which is a big reason why we needed a UI on Drupal.org to help make all the connections and store that information into a database for easy retrieval.</p>\n<h2>Showing contributions on Drupal.org</h2>\n<p>Right now, there are three ways that contributions show up on Drupal.org: the user profile, the organization profile, and the marketplace. (We have some ideas to expand this that I will detail below.)</p>\n<h3>User profiles</h3>\n<p>Do you log in to Drupal.org? Great! You have a profile.</p>\n<p>On every user profile, we show the total number of issues that a contributor has helped fix in the past 90 days.</p>\n<p><img src="/files/issue-credits-on-user-profile.png" /></p>\n<p>You can drill into this information and see the specifics. This is a good way to see a facet of how a person is contributing to Drupal. There are other examples on a user''s profile that show other ways they are involved.</p>\n<h3>Organization profiles</h3>\n<p>Any <a href="https://www.drupal.org/node/1887616" rel="nofollow">confirmed user</a> can <a href="https://www.drupal.org/node/add/organization" rel="nofollow">create an organization page</a> on Drupal.org. Organization profiles are currently related to a single user, but we have plans to roll out additional permissions to relate multiple users to an organization.</p>\n<p>On the organization profile, we show the number of issues that an organization has contributed to fixing in the last 90 days.</p>\n<p><img src="/files/organization-profile-issue-credits.png" /></p>\n<p>Organization profiles also show a list of modules that have been supported by that organization, whether that organization is a <a href="https://assoc.drupal.org/membership" rel="nofollow">Drupal Association member</a> or <a href="https://www.drupal.org/supporters" rel="nofollow">Supporting Partner</a>, and additional self-reported information about their involvement in the Drupal community. </p>\n<p>We are currently working to automate more methods for collecting data about how organizations are contributing to the community through <a href="https://www.drupal.org/drupalcon" rel="nofollow">DrupalCon</a> and Drupal Camp sponsorships as well as hosting <a href="https://groups.drupal.org/" rel="nofollow">user groups</a> to help support meetups, and giving to <a href="https://www.drupal.org/global-training-days" rel="nofollow">Global Training Day</a> events. The number of case studies associated with an organization is another indicator of how much they use Drupal and how they are helping get others to use Drupal by sharing their success stories.</p>\n<h3>Marketplace</h3>\n<p>We recently rolled out some <a href="https://www.drupal.org/news/marketplace-updates-to-highlight-contributing-organizations" rel="nofollow">changes to how the Drupal.org Marketplace is ordered</a> in order to better highlight contributing organizations.</p>\n<p>Currently, the marketplace is sorted by number of issue credits awarded to an organization in the last 90 days, then whether the organization is a supporter, then by alphabetical order.</p>\n<p>Every organization on the marketplace shows counts of its users on Drupal.org, projects (modules, themes, distributions, etc.) supported, issue credits in the last 90 days, and case studies. We also highlight organizations that are funding the ongoing support and development of Drupal.org by being in our <a href="https://www.drupal.org/supporters" rel="nofollow">supporting partner programs</a>.</p>\n<h2>Questions we have heard</h2>\n<p>While most people have been excited about the changes to the Marketplace, there have been several questions.</p>\n<h3>Why is it only Drupal Service providers?</h3>\n<p>The marketplace was originally created to highlight Drupal service providers that are active in the Drupal community. </p>\n<p>A "Contributing Organizations" list is the next step to expand the types of organizations we highlight. There are community members that are already working to highlight <a href="https://www.drupal.org/node/2580729" rel="nofollow">customers using Drupal that contribute back</a>, <a href="https://www.drupal.org/node/2581235" rel="nofollow">community volunteers</a>, and volunteers that are working for organizations that rely on volunteerism (many camps fall into this category). </p>\n<p>These are great ideas. Contributing to those issues is a great way to help us figure out the best way forward. </p>\n<h3>What about "x" contribution type?</h3>\n<p>Yes, there are many ways that organizations contribute. We are definitely hoping to add in contributions that we can objectively verify. There are so many great things that organizations can do to support Drupal, both the local and worldwide community, and Drupal.org, including:</p>\n<ul><li>Sponsor a DrupalCon</li>\n<li>Help plan a DrupalCon</li>\n<li>Sponsor, organize, or host a Drupal Camp</li>\n<li>Host a Global Training Days event</li>\n<li>Host a local user group/meetup</li>\n<li>Post a case study of a successful Drupal project</li>\n<li>Contribute helpful content to Drupal Planet</li>\n</ul><p><a href="https://www.drupal.org/node/2649100" rel="nofollow">There are many other phenomenal ways organizations give back</a>. If you know of one that has objective data that can be added to the algorithm we use to highlight organizations, let us know by <a href="https://www.drupal.org/node/add/project-issue/drupalorg?tags=d.o+profile+improvements" rel="nofollow">creating an issue in theDrupal.org Customizations queue</a>.</p>\n<h3>Why is it so hard to create an organization profile?</h3>\n<p>We definitely want to improve this process. There are over 650 organization profiles on Drupal.org, so we know that people have figured it out, but it could be much more intuitive. </p>\n<p>We have also had a several requests to add permissions to organization profiles so that multiple people can be editors of those profiles and help administer who is allowed to be associated with the organization. Our current method of tying users to organization by using an exact text match is a bit clunky. (If you want your organization to list you as an employee, you must exactly enter the title of the organization as it appears on the organization profile and list that organization as "current".)</p>\n<h3>What about more tools for individual contributions?</h3>\n<p>We have so many <a href="https://www.drupal.org/node/2649100" rel="nofollow">thoughts on how to improve the way we highlight individuals on their profile</a>. We already show issue credits, documentation edits, commits, and lots of self-reported information. There is a lot of objective data to pull from including DrupalCon attendance, whether they have been a speaker at a DrupalCon, translation strings submitted to localize.drupal.org, Drupal Association membership, modules maintained, and many more. </p>\n<p>Engagement with the community involves a lot of factors and we want to highlight as many as possible while still making the user profile useful and relatively succinct.</p>\n<h2>Help us make Drupal.org better</h2>\n<p>In addition to the questions that have come up above, we want your feedback to keep improving the user experience on Drupal.org and make it easier to hightlight the companies that are doing so much to make Drupal the leading platform for the web and the individuals that provide their expertise and commitment to the community. Drop your ideas into the <a href="https://www.drupal.org/project/issues/drupalorg" rel="nofollow">Drupal.org Customizations queue</a>. </p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1452634477', '2649164 at https://www.drupal.org'),
('69', '1', 'Drupal: 15 years old and still gaining momentum', 'https://www.drupal.org/news/drupal-15-years-old-and-still-gaining-momentum', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><em><a href="http://buytaert.net/drupal-15-years-old-and-still-gaining-momentum" rel="nofollow">Republished from buytaert.net</a></em></p>\n<p>On December 29, 2000, I made a <a href="http://cgit.drupalcode.org/drupal/commit/?id=fd64164419060f4420ece6c7766c5693577f67ef" rel="nofollow">code commit</a> that would change my life; it is in this commit that I called my project "Drupal" and added the GPL license to it.</p>\n<p></p>\n<div class="img no-resize"><img src="/files/drupal-name-and-license_0.jpg" alt="Drupal name and license" /></div>\n<p>\n</p><p>The commit where I dubbed my website project "Drupal" and added the GPL license.</p>\n<p><br /></p>\n<p>A couple weeks later, on January 15, 2001, exactly 15 years ago from today, I released Drupal 1.0.0 into the world. The early decisions to open-source Drupal and use the <a href="https://en.wikipedia.org/wiki/GNU_General_Public_License" rel="nofollow">GPL license</a> set the cornerstone principles for how our community shares with one another and builds upon each other''s achievements to this day.</p>\n<p>Drupal is now 15 years old. In internet terms, that is an eternity. In 2001, only 7 percent of the world''s population had internet access. The mobile internet had not entered the picture, less than 50% of the people in the United States had a mobile phone, and AT&amp;T had just introduced text messaging.  People searched the web with Lycos, Infoseek, AltaVista and Hot Bot. Google -- launched in 1998 as a Stanford University research project -- was still a small, private company just beginning its rise to prominence. Google AdWords, now a $65 billion business, had less than 500 customers when Drupal launched. Chrome, Firefox, and Safari didn''t exist yet; most people used Netscape, Opera or Internet Explorer. New ideas for sharing and exchanging content such as "public diaries" and <a href="https://en.wikipedia.org/wiki/RSS" rel="nofollow">RSS</a> had yet to gain widespread acceptance and Drupal was among the first to support those.  <a href="https://en.wikipedia.org/wiki/History_of_Wikipedia" rel="nofollow">Wikipedia was launched on the same day as Drupal</a> and sparked the rise of user-generated content.  Facebook and Twitter didn''t exist until 4-5 years later.  Proprietary software vendors <a href="http://www.catb.org/~esr/halloween/" rel="nofollow">started to feel threathened by open source</a>; most didn''t understand how a <a href="http://www.kernel.org" rel="nofollow">world-class operating system</a> could coalesce out of part-time hacking by several thousand developers around the world.</p>\n<p>Looking back, Drupal has not only survived massive changes in our industry; it has also helped drive them.  Over the past decade and a half, I''ve seen many content management systems emerge and become obsolete: Vignette, Interwoven, PHP-Nuke, and Scoop were all popular at some point in the past but Drupal has outlived them all. A big reason is from the very beginning  we have been about constant evolution and reinvention, <a href="http://buytaert.net/the-pain-before-the-payoff" rel="nofollow">painful as it is</a>.</p>\n<p>Keeping up with the pace of the web is a funny thing. Sometimes you''ll look back on choices made years ago and think, "Well, I''m glad that was the right decision!".  For example, Drupal introduced "hooks" and "modules" early on, concepts that are commonplace in today''s platforms.  At some point, you could even find some of my code in WordPress, which Matt Mullenweg started in 2003 with some inspiration from Drupal.  Another fortuitous early decision was to focus Drupal on the concept of "nodes" rather than "pages". It wasn''t until 10 years later with the rise of mobile that we started to see the web revolve less and less around pages. A node-based approach makes it possible to reuse content in different ways for different devices. In a way, much of the industry is still catching up to that vision.  Even though the web is a living, breathing thing, there is a lot of things that we got right.</p>\n<p>Other times, we got it wrong. For example, we added support for OpenID, which never took off. In the early days I focused, completely and utterly, on the aesthetics of Drupal''s code. I spent days trying to do something better, with fewer lines of code and more elegant than elsewhere.  But in the process, I didn''t focus enough on end-user usability, shunned JavaScript for too long, and later tried to improve usability by adding a "dashboard" and "overlay".</p>\n<p>In the end, I feel fortunate that our community is willing to experiment and break things to stay relevant. Most recently, with the <a href="http://buytaert.net/drupal-8-0-0-released" rel="nofollow">release of Drupal 8</a>, we''ve made <a href="http://buytaert.net/why-the-big-architectural-changes-in-drupal-8" rel="nofollow">many big changes</a> that will fuel Drupal''s continued adoption.  I believe <a href="http://www.garfieldtech.com/blog/drupal8-happy-not-satisfied" rel="nofollow">we got a lot of things right in Drupal 8</a> and that we are on the brink of another new and bright era for Drupal.</p>\n<p>I''ve undergone a lot of personal reinvention over the past 15 years too. In the early days, I spent all my time writing code and building <a href="http://drupal.org" rel="nofollow">Drupal.org</a>. I quickly learned that a successful open source project requires much more than writing code. As Drupal started to grow, I found myself an "accidental leader" and worried about our culture, scaling the project, attracting a strong team of contributors, focusing more and more on Drupal''s end-users, growing the commercial ecosystem around Drupal, <a href="http://buytaert.net/drupal-association-launched" rel="nofollow">starting the Drupal Association</a>, and providing vision.  Today, I wear a lot of different hats: manager of people and projects, evangelist, fundraiser, sponsor, public speaker, and <a href="https://en.wikipedia.org/wiki/Benevolent_dictator_for_life" rel="nofollow">BDFL</a>.  At times, it is difficult and overwhelming, but I would not want it any other way. I want to continue to push Drupal to reach new heights and new goals.</p>\n<p>Today we risk losing much of the privacy, serendipity and freedom of the web we know. As the web evolves from a luxury to a basic human right, it''s important that we treat it that way. To increase our impact, we have to continue to make Drupal easier to use. I''d love to help <a href="http://buytaert.net/winning-back-the-open-web" rel="nofollow">build a world where people''s privacy is safe</a> and Drupal is more approachable.  And as the pace of innovation continues to accelerate, we have to think even more about <a href="http://buytaert.net/scaling-open-source-communities" rel="nofollow">how to scale the project</a>, remain agile and encourage experimentation. I think about these issues a lot, and am fortunate enough to work with some of the smartest people I know to build the best possible version of the web.</p>\n<p>So, here is to another 15 years of evolution, reinvention, and continued growth. No one knows what the web will look like 15 years in the future, but we''ll keep doing our best to guide Drupal responsibly.</p>\n<p><em><a href="http://buytaert.net/drupal-15-years-old-and-still-gaining-momentum#comments" rel="nofollow">Continue the conversation on buytaert.net</a></em></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1452877033', '2651010 at https://www.drupal.org'),
('70', '1', 'Predictions for 2016', 'https://www.drupal.org/node/2652402', 'bertboerland', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Without a doubt, 2015 was one of the Drupal community''s best years. We continued to grow and change from being on an island to more of a peninsula. We also released the best Drupal version ever.</p>\n<p>If you look back at our <a href="https://www.drupal.org/node/2409893" rel="nofollow">predictions for 2015</a>, the Drupal 8 release was one of the most predicted events for the year. Now the question is: what we will be doing in 2016?</p>\n<p>Will we have a decoupled Drupal? Will Drupal 9 be released? Will we see a "Drupal 6 Legacy Support" program? It is that time of year when you—yes, you—can predict the future of Drupal; take a look at your crystal ball and describe what you see. Share your deepest thoughts on what will happen for us as a community, what will happen to our code, and the difference our work might make.</p></div></div></div>', '1453150956', '2652402 at https://www.drupal.org'),
('71', '1', '2016 Nominations Open for Drupal Association At-Large Director', 'https://www.drupal.org/node/2660448', 'holly.ross.drupal', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><h2>\n	Overview</h2>\n<p>It’s a great time to be part of the Drupal Association. We’ve done some amazing work in the last few years, and we’re in a great position to work with the community to continue to improve and grow fully into our mission. As a Drupal Association At-Large Director, you’d be in the center of the action. The At-large Director position is specifically designed to ensure community representation on the Drupal Association board and we strongly encourage anyone with an interest to nominate themselves today.</p>\n<h3><a href="https://assoc.drupal.org/election-post/16/nomination-form?destination=election-post/16" rel="nofollow">Nominate Yourself Today</a></h3>\n\n<p>The Board of Directors of the Drupal Association are responsible for financial oversight and setting the strategic direction of the Drupal Association. New board members will contribute to the strategic direction of the Drupal Association. Board members are advised of, but not responsible for matters related to the day to day operations of the Drupal Association, including program execution, staffing, etc. You can learn more about what’s expected of a board member in this <a href="https://assoc.drupal.org/blog/holly.ross.drupal/what-association-board-does-why-you-should-run" rel="nofollow">post and presentation</a>.</p>\n<p><a href="https://assoc.drupal.org/blog/holly.ross.drupal/what-association-board-does-why-you-should-run" rel="nofollow">Directors are expected to contribute around five hours per month and attend two in-person meetings per year (financial assistance is available if required).</a> All board members agree to meet the minimum requirements documented in the <a href="https://assoc.drupal.org/files/BoardAgreementTemplate.pdf" rel="nofollow">board member agreement</a>.</p>\n<p><strong>Today we are opening the self-nomination form that allows you to throw your hat in the ring. </strong>We''re looking to elect one candidate this year to serve a two-year term.</p>\n<h2>\n	How to Nominate Yourself</h2>\n<p>To nominate yourself, you should be prepared to answer a few questions:</p>\n<ul><li>\n		<strong>About Me:</strong> Tell us about yourself! Your background, how you got into Drupal, etc.</li>\n<li>\n		<strong>Motivation:</strong> Why are you applying for a board position? What initiatives do you hope to help drive, or what perspectives are you going to try and represent?</li>\n<li>\n		<strong>Experience:</strong> What Drupal community contributions have you taken part in (code, camps, etc.)? Do you have experience in financial oversight, developing business strategies, or organization governance?</li>\n<li>\n		<strong>Availability:</strong> I am able to travel to three in-person board meetings per year (either self-funded, or with financial sponsorship)</li>\n<li>\n		<strong>IRC Handle </strong></li>\n<li>\n		<strong>Twitter Handle</strong></li>\n</ul><p><strong>​</strong>We''ve also made a few changes to the process based on community feedback from the 2015 election:</p>\n<ul><li>\n		We now display your username, not your given name, on your candidate profile to address privacy concerns that had been raised. Nominees should note that given names are required on legal documentation such as our 990 IRS filings, but we will do our best to preserve your privacy where we can. </li>\n<li>\n		Updated sidebar block has more information about the elections, making it easier to the information you need. </li>\n<li>\n		When you nominate yourself we will ask if you would like to opt-in to share your election results data. Last year was the first time we published full results from the vote data. Candidates that opt-in will have their name displayed next to their vote counts, <a href="https://assoc.drupal.org/blog/holly.ross.drupal/2015-large-election-data-released" rel="nofollow">as in this example</a> from 2015.</li>\n</ul><p>We will also need to know that you are available for the next step in the process, meet the candidate sessions. We are hosting 3 sessions: </p>\n<h3>\n	Meet the Candidate Web Conferences:</h3>\n<p><strong>Session One</strong><br /><strong><a href="https://zoom.us/webinar/register/583e8c031a6bf9fadc2040ba88984b7b" rel="nofollow">Tue 23 Feb 2016 at 16:00 UTC</a></strong></p>\n<ul><li>\n		7 AM PST Tue 23 Feb, US and Canada</li>\n<li>\n		10 AM EST Tue 23 Feb, US and Canada</li>\n<li>\n		1 PM Tue 23 Feb, Sao Paulo Brasil</li>\n<li>\n		3 PM Tue 23 Feb, London</li>\n<li>\n		11 PM Tue 23 Feb, Beijing</li>\n</ul><p><strong>Session Two</strong><br /><strong><a href="https://zoom.us/webinar/register/4fc9761b74bc962466858a512be5123a" rel="nofollow">Wed 24 Feb 2016 at 21:00 UTC</a></strong></p>\n<ul><li>\n		12 PM PST Wed 24 Feb, US and Canada</li>\n<li>\n		3 PM EST Wed 24 Feb, US and Canada</li>\n<li>\n		5 PM Wed 24 Feb, Sao Paulo Brasil</li>\n<li>\n		8 PM Wed 24 Feb, London</li>\n<li>\n		4 AM Thu 26 Feb, Beijing</li>\n<li>\n		7 AM Thu 26 Feb, Sydney Australia</li>\n</ul><p><strong>Session Three</strong><br /><strong><a href="https://zoom.us/webinar/register/35df922afa11f9c07c24e00bf0acd2b8" rel="nofollow">Thu 25 Feb 2016 at 01:00 UTC</a> </strong></p>\n<ul><li>\n		4:00 PM PST Thu 25 Feb, US and Canada</li>\n<li>\n		7:00 PM EST Thu 25 Feb, US and Canada</li>\n<li>\n		9:00 PM Thu 25 Feb, Sau Paulo Brasil</li>\n<li>\n		12:00 AM Fri 26 Feb, London</li>\n<li>\n		8:00 AM Fri 26 Feb, Beijing</li>\n<li>\n		11:00 AM Fri 26 Feb, Sydney Australia</li>\n</ul><p>The nomination form will be open February 1, 2016 through February 20, 2016 at midnight UTC. For a thorough review of the process, please see the <a href="https://assoc.drupal.org/drupal-association-board-elections" rel="nofollow">elections home page</a>.</p>\n<p>If you have any questions, please contact <a href="mailto:holly@association.drupal.org" rel="nofollow">Holly Ross</a>, Drupal Association Executive Director. For the sake of keeping conversational threads in one place, the comments on this news item have been closed. Please comment on the <a href="https://assoc.drupal.org/blog/holly.ross.drupal/2016-nominations-open-drupal-association-large-director" rel="nofollow">original post</a> on the Drupal Association website.</p>\n<p><em><strong>Flickr photo: <a href="https://www.flickr.com/photos/crobj/8240306696/in/photolist-dyaJ6o-72n9Lp-bB82gA-an1fUo-6q3Wc-6atoxn-fjNXKj-pKdmbN-5BMq3S-5sPJwk-5y9Tzh-jnnMV8-iUzAHs-rLHfE-4quuCS-5Dnpqn-rMVD8-5ycqEA-rMpQF-68WVhn-7BcXP4-yNoz4-5wXPjv-8Qc1er-8Q9NPn-9vNR3q-99syjo-93yiHU-5vhdZv-5tKtWQ-4ZS2X9-5wXPXr-99syk5-akancs-bUrMjo-pECkv7-5zadeg-8rkKJE-5xC3M3-drdwj5-wvojjT-7dtksy-rK1sw-e1vaNW-ddUuxe-9xdnbr-hpbPBF-4rEbKU-zHAN1R-km7ejp" rel="nofollow">Clyde Robinson</a></strong></em></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1454342217', '2660448 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('72', '1', 'Drupal 8.0.3 and 7.42 released', 'https://www.drupal.org/drupal-8.0.3', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 8.0.3 and Drupal 7.42, maintenance releases with numerous bug fixes (no security fixes), are now available for download. </p>\n<!--break--><p>See the <a href="/drupal-8.0.3-release-notes">Drupal 8.0.3 release notes</a> and <a href="/drupal-7.42-release-notes">Drupal 7.42 release notes</a> for full lists of included fixes.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-8.0.3.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 8.0.3</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-7.42.tar.gz" class="link-button"><span>Download Drupal 7.42</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 8 and 7 sites is recommended.</strong> There are no major nor non-backwards-compatible features in these releases. For more information about the Drupal 8.x release series, consult the <a href="https://www.drupal.org/8">Drupal 8 overview</a>. More information on the Drupal 7.x release series can be found in the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>. We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 8 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in these releases of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 8.0.x and 7.x actively maintained, so more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.</p>\n</div>\n<h2>Change log</h2>\n<p>Drupal 8.0.3 contains bug fixes and documentation and testing improvements only. The full list of changes between the last 8.0.x patch release and the 8.0.3 release can be found by reading the <a href="/drupal-8.0.3-release-notes">8.0.3 release notes</a>. A complete list of all changes in the stable 8.0.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/8.0.x&amp;nocache=8.0.3">the git commit log</a>.</p>\n<p>Drupal 7.42 contains bug fixes and minor new features. The full list of changes between the last 7.x patch release and the 7.42 release can be found by reading the <a href="/drupal-7.42-release-notes">7.42 release notes</a>. A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/7.x&amp;nocache=7.42">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="/drupal-8.0.3-release-notes">8.0.3 release notes</a> and <a href="/drupal-7.42-release-notes">7.42 release notes</a> for details on important changes in these releases.</p>\n<h2>Known issues</h2>\n<p>See the <a href="/drupal-8.0.3-release-notes">8.0.3 release notes</a> and <a href="/drupal-7.42-release-notes">7.42 release notes</a> for known issues.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div><div class="field-item odd"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1454526969', '2662106 at https://www.drupal.org'),
('73', '1', 'Introducing a new Community Initiatives Process', 'https://www.drupal.org/drupalorg/blog/introducing-a-new-community-initiatives-process', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><style>\n<!--/*--><![CDATA[/* ><!--*/\n\n.list {\n  float:left;\n  margin-bottom: 2em;\n}\n.item {\nwidth: 100%;\nfloat: left;\npadding: 0.5em 0.5em 0.5em 3em;\n}\n.header {\n  padding 1em 0.5em 0.5em 3em;\n  font-weight: bold;\n}\n.item:nth-child(odd) {\n  background: #eeeee0;\n}\n.item.comm {\nbackground-image: url(''https://www.drupal.org/files/people-28.png'');\nbackground-repeat: no-repeat;\nbackground-position: top left;\n}\n.item.maint {\nbackground-image: url(''https://www.drupal.org/files/tools-28.png''); \nbackground-repeat: no-repeat;\nbackground-position: top left;\n}\nimg.desaturate {\n  -webkit-filter: grayscale(100%);\n  filter: grayscale(100%);\n  filter: gray;\n}\n\n/*--><!]]>*/\n</style><p>\n<img class="left" src="/files/people.png" width="80px" />One of the most important <a href="link to josh''s 2015 in review post">lessons of 2015</a> for the Engineering Team here at the Drupal Association is that we need better ways to engage with you, the community. We realized we need better tools and ways to communicate with you about our current priorities, how you can influence those priorities, and how you can help make Drupal.org and the Drupal project better than ever. </p>\n<p>All of the work we do stems from the <a href="https://assoc.drupal.org/about">mission</a> of the Drupal Association. It''s our duty and responsibility to unite a global open source community to build and promote Drupal. As the home of that community, and the codebase, Drupal.org is perhaps the most critical piece of that mission, and at the most basic level all of the initiatives we prioritize must support that goal. </p>\n<p>As part of reviewing our work in 2015, and in the interests of being transparent with the Drupal Community, we revamped the <a href="https://www.drupal.org/drupalorg/roadmap">Drupal.org Roadmap</a>. As you can see, we chose to focus on the few, most important initiatives that we have the capacity to execute on in the near term. We''re also including upcoming initiatives that we will move into as the active work is completed, but not as many as we had previously displayed. An important lesson of the past year is that we have to be Agile on the macro scale as well as on the micro. The needs of the community can change rapidly and we need to be able to respond. </p>\n<h3>Current</h3>\n<p>These are the initiatives the Drupal Association technology staff is focused on now.</p>\n<div class="list">\n<div class="item header"># Issues</div>\n<div class="item comm" title="Community Initiative">1. <span class="project-issue-issue-link project-issue-status-info project-issue-status-13"><a href="/node/2551607" title="Status: Needs work, Assigned to: joshuami">#2551607: [meta] Path forward for Composer support</a></span></div>\n<div class="item">2. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2533684" title="Status: Active, Assigned to: tvn">#2533684: Create ''Documentation'' Section</a></span></div>\n<div class="item maint" title="Sustaining Support and Maintenance">3. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2661388" title="Status: Active">#2661388: Update Drupal.org content style guide</a></span></div>\n<div class="item maint" title="Sustaining Support and Maintenance">4. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2661424" title="Status: Active">#2661424: Create Bluecheese pattern library</a></span></div>\n<div class="item">5. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2559711" title="Status: Active">#2559711: [meta] Drupal.org (websites/infra) blockers to Drupal 8.0.0, 8.1.0, etc.</a></span></div>\n<div class="item maint" title="Sustaining Support and Maintenance">6. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2661430" title="Status: Active">#2661430: Make ads served through DfP contextual</a></span></div>\n</div>\n<h3>Next</h3>\n<p>These are the initiatives the Drupal Association staff will work on or support once the <strong>Current</strong> initiatives are completed. The order of these initiatives may change.</p>\n<div class="list">\n<div class="item header"># Issues</div>\n<div class="item">1. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/1487662" title="Status: Active">#1487662: Create ''Develop with Drupal'' Section</a></span></div>\n<div class="item comm" title="Community Initiative">2. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/2533804" title="Status: Active">#2533804: Create ''Support'' Section</a></span></div>\n<div class="item">3. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/1288470" title="Status: Active">#1288470: Create ''Community'' Section</a></span></div>\n<div class="item">4. <span class="project-issue-issue-link project-issue-status-info project-issue-status-1"><a href="/node/1414988" title="Status: Active">#1414988: Create ''Contribute'' Section</a></span></div>\n</div>\n<p>We''ve also added some new iconography to indicate where some of these initiatives come from. </p>\n<p>Initiatives with the tools (<img title="Sustaining Support and Maintenance" src="/files/tools.png" width="20px" /> ) icon represent essential support and maintenance work. This can mean paying down technical debt in the Drupal.org codebase, performing server maintenance, or implementing cost saving measures to help fund the rest of our mission driven work. </p>\n<p>Initiatives with the community (<img title="Community Initiative" src="/files/people.png" width="25px" /> ) icon represent initiatives that were directly proposed by members of the community and/or are being supported by volunteer work from the community. </p>\n<h2>Don''t all the initiatives come from the community?</h2>\n<p>Yes, all of our priorities come from the needs of the community - but the community is a loose collective of many different groups of people with many different needs and priorities. </p>\n<p>The needs of Drupal newcomers are vastly different from those of the Drupal Core Maintainers. The needs of our documentation editors are different from the needs of those providing support on the forums. And all of these needs must cohere with a larger product and design vision for Drupal.org to make this home of the community a cohesive, efficient, and beautiful place to be. </p>\n<p>The Drupal Association Engineering Team can be thought of as the <strong>maintainers for Drupal.org</strong> and the sub-sites. It''s our duty to synthesize these diverse needs and to prioritize the major initiatives that will have the highest impact for the community. It''s also our job to make the architectural decisions for Drupal.org to ensure that every aspect of the site is functional/useable, consistent, and maintainable. </p>\n<p>Most of our priorities, therefore, we set ourselves by bringing all of these factors together and doing the best we can to have the biggest impact, not just on the most vocal parts of the community, but also on those parts that are sometimes siloed or overlooked. </p>\n<p>All that said, the community is absolutely a vital part of creating our initiatives. The maintainers for any other project on Drupal.org do not act alone - they accept feedback and contributions from other contributors, while at the same time making key architectural decisions, reviewing patches, and ultimately deploying that work in the form of new releases. We do the same with our initiatives. </p>\n<h2>Community Volunteers and Community Initiatives</h2>\n<p>There are two ways that members of the community can have a direct influence on the Roadmap for Drupal.org. These methods have existed informally in the past, but in 2016 we''d like to beta test some new ideas to make these processes more formal, consistent, and transparent. </p>\n<p>The first way is simply to volunteer your expertise to help with one of the existing initiatives we already have prioritized, or even to offer your expertise without a particular contribution in mind. There is a strong record of community volunteers helping to improve Drupal.org, just a few examples from the last year include: u/mlhess and u/nnewton helping with infrastructure; to u/michelle helping to clean up spam; to u/dddave and others in the webmasters queue; or u/mshmsh5000 who helped with Drupal Jobs feature development. </p>\n<p>If you have expertise (and not just in code!) and are ready for guidance from the Drupal Association engineering team as to how you can help, you can offer your assistance as a volunteer. </p>\n<p style="text-align:center"><a href="" class="action-button">Learn about Volunteering</a></p>\n<p style="text-size:smaller">I should also note - we strongly encourage most volunteers to first consider giving back to the <a href="/contribute">Drupal project itself</a>, but we are certainly happy for help with Drupal.org</p>\n<p>The second way to influence the Drupal.org roadmap is to develop a community initiative. If you (and perhaps a small team of others in the community) have some expertise in a particular area, and have a particular initiative in mind that you would like to work on, you can propose a community initiative. </p>\n<p style="text-align:center"><a href="/drupalorg/roadmap/community-initiatives" class="action-button">View Community Initiatives</a></p>\n<p>Community initiatives come in all shapes in sizes: from documentation audits with the help of u/dead_arm; to adding two factor authentication to Drupal.org with u/coltrane; to a much larger task like building and deploying DrupalCI with the help of u/jthorson, u/nickscuch, u/ricardoamaro, u/bastianwidmer and several others. Some initiatives affect a subset of the community, project maintainers, for example, whereas others may affect almost every user. </p>\n<h2>Why this new process?</h2>\n<p>The hard lesson we''ve learned over the course of the past year is that we need to be involved early. Even in cases where the community volunteers driving an initiative forward are experts in their area - if Association staff are not involved early in the architectural and planning decisions then what should be a positive, collaborative effort is often slowed down by architectural refactoring and design decision backtracks. That is not fun for anybody, and our immense respect for our community collaborators requires that we set them up for success by getting involved early. </p>\n<p>As such, our new community initiatives process has several steps: </p>\n<ol><li>Community members plan their contribution in an issue, and identify who (if anyone) is able to volunteer some time to make the contribution.\n</li><li>The community members propose their initiative to the Association - so that we can evaluate it for inclusion on our roadmap. This may include a call with the community members proposing the initiative to talk it through in greater detail.\n</li><li>Association staff evaluate the initiative: prioritize it into the roadmap, postpone it, or--if necessary-- reject initiatives that are not a good fit.\n</li><li>Prioritized community initiatives are rolled into the larger Drupal.org roadmap, and monthly or bi-monthly community initiative meetings are scheduled to ensure the work moves forward.\n</li><li>A liaison from the Association engineering team is assigned, to help coordinate architectural decisions, to provide support and access as needed, and to coordinate with the larger team when it is time for the work to be reviewed.\n</li></ol><p>This process is time intensive - and so in general we expect to be able to run only one or maybe two community initiatives at a time, in parallel with our other work. We realize this may be frustrating, but the last year has shown that our most successful initiatives required this close coordination.</p>\n<h2>This process is new, and will evolve</h2>\n<p>Finding a good process for working closely with such a diverse and passionate community is not easy—and we aren''t assuming that this new process will be perfect. We''re going to trial this new community initiative process in 2016 with the goal of increasing the transparency of how we prioritize our work, and how the community can help us build a better Drupal.org. We are committed to making this process better. </p>\n</div></div></div>', '1454367596', '2660726 at https://www.drupal.org'),
('74', '1', 'What’s new on Drupal.org? - January 2016', 'https://www.drupal.org/drupalorg/blog/whats-new-on-drupal.org-january-2016', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><small>Look at our <a href="https://www.drupal.org/drupalorg/roadmap">Roadmap</a> highlighting how this work falls into our priorities set by the Drupal Association staff with the direction from the Board and collaboration with the community.</small></p>\n<h2>Drupal.org Updates</h2>\n<h3>Following the Conversation</h3>\n<p>One of the most requested features from a wide swath of the community has been a better way to follow content on Drupal.org and receive email notifications. The issue queues have had this follow functionality for some time, but the implementation was quite specific to issues, and not easily extensible to the rest of the site.\n</p>\n<p><img src="/files/follow-function.gif" title="The Follow button in action" /></p>\n<p>Because of the volume of content on Drupal.org we have to be careful that our implementation will scale well. We now use a notification system based on the <a href="https://www.drupal.org/node/2180145">Message stack</a> which functions much more generically and therefore can be applied to many content types on Drupal.org.\n</p>\n<p>Follow functionality is now available for comments on Forum topics, Posts (like this one), Case Studies, and documentation Book Pages.\n</p>\n<p>In the future we intend to extend this follow functionality to include notification of new revisions (for relevant content types, particularly documentation).\n</p>\n<h3>Community Elections for the Board</h3>\n<p><img class="left" src="/files/board_icon.png" title="" /></p>\n<p>Nominations for the position of At-Large Director from the community are <a href="https://assoc.drupal.org/blog/holly.ross.drupal/2016-nominations-open-drupal-association-large-director">now open</a>. There are two of these positions on the board, each elected on alternating years. For this year''s elections process we''ve made several small refinements:\n</p>\n<ul><li>Candidates are now no longer required to display their real names on their candidate profile. We will now default to the Drupal.org username.</li>\n<li>Candidates do not have to provide a photo, we will default to a generic avatar.</li>\n<li>There is now an <a href="https://assoc.drupal.org/drupal-association-board-elections">elections landing page</a> with complete details about the elections process. </li>\n</ul><p>We encourage members of the community to nominate themselves!\n</p>\n<h3>Drupal.org Enhancements</h3>\n<p><img class="right" width="60%" src="/files/issues/Screen%20Shot%202015-12-04%20at%204.35.08%20PM.png" title="" /></p>\n<p>A number of smaller enhancements made it into the January sprints as well. One of the key ones was the ability to <a href="https://www.drupal.org/node/2268449#comment-10638058">configure an arbitrary one-off test</a> in the issue queues against a custom branch. This is a small step towards ensuring that the DrupalCI testing framework will support the wider testing matrix required for feature branching, so that Drupal can <a href="http://buytaert.net/always-be-shippable">always be shippable</a>.\n</p>\n<p>We also spent some time in January reviewing the results of the documentation survey that was placed on all existing documentation pages on the site. This information is helping to inform the next big item on the <a href="https://www.drupal.org/drupalorg/roadmap">roadmap</a> - improved Documentation section on Drupal.org.\n</p>\n<p>Finally, we''ve continued our battle against spam with the help of Technology Supporter, <a href="https://www.distilnetworks.com">Distil Networks</a>. We''ve seen some very promising results in initial trials to prevent spam account registrations from happening in the first place, and will continue to work on refining our integration.</p>\n<h2>Sustaining support and maintenance</h2>\n<p><img class="left" width="25%" src="/files/NOLA-Logo-Purple-crown.png" title="" /></p>\n<h3>DrupalCon New Orleans Full -Site Launched!</h3>\n<p>In January we also launched the full -site for <a href="https://neworleans2016.drupal.org">DrupalCon New Orleans</a> with registration and the call for papers. As part of this launch, Events.drupal.org now supports multiple, simultaneous event registrations with multiple currencies, payment processors, and invoice formats. This was a significant engineering lift, but has made Events.drupal.org even more robust.\n</p>\n<p>DrupalCon New Orleans is happening from May 9-13th, and will be the first North American DrupalCon after the release of Drupal 8!</p>\n<h3>DrupalCon Dublin </h3>\n<p><img class="right" src="/files/dublin_2016_logo_watercolor.jpg" title="" /></p>\n<p>The next European DrupalCon will also be here before you know it, and we''ve been working with the local community and our designer to update the <a href="https://dublin2016.drupal.org/">DrupalCon Dublin</a> splash page with a new logo that we will carry through into the design for the full-site once that is ready to launch.\n</p>\n<h3>Permissions for Elevated Users</h3>\n<p> In January we also focused on auditing the users with elevated privileges on Drupal.org, both to ensure that they had the permissions they needed, and to enforce our principle of least-access. Users at various levels of elevated privileges were contacted to see if they were still needed, and if not those privileged roles were removed.\n</p>\n<p>The following privileges were also fixed or updated: webmasters can now view a user''s'' public ssh keys; content moderators can administer comments and block spam users without user profile editing privileges. We also fixed taxonomy vocabulary access and now both content moderators and webmasters have access to edit tags in various vocabularies such as Issue tags, giving more community members access to clean those up and fight duplicates or unused tags.\n</p>\n<h3>Updates traffic now redirects to HTTPS</h3>\n<p>SSL is now the default for FTP traffic from Drupal.org and for Updates.drupal.org itself. This helps to enforce a best practice of using SSL wherever possible, and helps to address an oblique attack surface where a man-in-the-middle could potentially hijack an update for someone running their Drupal installation on an unprotected network (i.e. development environments on a personal laptop in a coffee shop).\n</p>\n<h3>Devwww2 Recovery</h3>\n<p>Drupal.org pre-production environments were affected by some instability in January, particulary the devwww2 server. A combination of a hard restart due to losing a NIC on the machine and some file-system level optimizations in the database containers lead to corruption on the dev site databases. Drupal.org infrastructure engineers restored the system and recovered the critical dev sites, and while some instability continues the system has been recovering more cleanly as they work to resolve the issue permanently.\n</p>\n<p>———</p>\n<p>As always, we’d like to say thanks to all the volunteers who work with us, and to the Drupal Association <a href="https://drupal.org/supporters">Supporters</a>, who made it possible for us to work on these projects.</p>\n<p>Follow us on Twitter for regular updates: <a href="https://twitter.com/drupal_org">@drupal_org</a>, <a href="https://twitter.com/drupal_infra">@drupal_infra</a></p>\n</div></div></div>', '1454690473', '2662726 at https://www.drupal.org'),
('75', '1', 'Turning Drupal outside-in', 'https://www.drupal.org/news/turning-drupal-outside-in', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/turning-drupal-outside-in" rel="nofollow">Republished from buytaert.net</a></p>\n<p>There has been a lot of discussion around the future of the Drupal front end both on <a href="http://drupal.org" rel="nofollow">Drupal.org</a> (<a href="https://www.drupal.org/node/2645250" rel="nofollow">#2645250</a>, <a href="https://www.drupal.org/node/2645666" rel="nofollow">#2645666</a>, <a href="https://www.drupal.org/node/2651660" rel="nofollow">#2651660</a>, <a href="https://www.drupal.org/node/2655556" rel="nofollow">#2655556</a>) and on my blog posts about <a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">the future of decoupled Drupal</a>, <a href="http://buytaert.net/should-we-decouple-drupal-with-a-client-side-framework" rel="nofollow">why a standard framework in core is a good idea</a>, and <a href="http://buytaert.net/selecting-a-client-side-framework-for-drupal" rel="nofollow">the process of evaluating frameworks</a>. These all relate to my concept of "progressive decoupling", in which some portions of the page are handed over to client-side logic after Drupal renders the initial page (not to be confused with "full decoupling").</p>\n<p>My blog posts have drawn a variety of reactions. Members of the Drupal community, including <a href="http://lewisnyman.co.uk/blog/should-drupal-add-another-js-framework-into-core-not-in-the-name-of-ux/" rel="nofollow">Lewis Nyman</a>, <a href="http://read.theodoreb.net/2016/drupal-gets-feature-request-out-of-the-blue.html" rel="nofollow">Théodore Biadala</a> and <a href="https://ohthehugemanatee.org/blog/2015/12/08/how-drupal-should-handle-client-side-framework-obsolescence/" rel="nofollow">Campbell Vertesi</a>, have written blog posts with their opinions, as well as <a href="http://eaf4.com/decoupled-drupal-from-an-ember-maintainers-perspective/" rel="nofollow">Ed Faulkner</a> of the <a href="http://emberjs.com" rel="nofollow">Ember community</a>. Last but not least, in response to <a href="http://buytaert.net/selecting-a-client-side-framework-for-drupal" rel="nofollow">my last blog post</a>, Google changed <a href="https://github.com/angular/angular/blob/master/LICENSE" rel="nofollow">Angular 2''s license from Apache to MIT</a> for better compatibility with Drupal. I read all the posts and comments with great interest and wanted to thank everyone for all the feedback; the open discussion around this is nothing short of amazing. This is exactly what I hoped for: community members from around the world brainstorming about the proposal based on their experience, because only with the combined constructive criticism will we arrive at the best solution possible.</p>\n<p>Based on the discussion, rather than selecting a client-side JavaScript framework for progressive decoupling right now, I believe the overarching question the community wants to answer first is: <em>How do we keep Drupal relevant and widen Drupal''s adoption by improving the user experience (UX)?</em></p>\n<p>Improving Drupal''s user experience is a topic near and dear to my heart. Drupal''s user experience challenges led to <a href="http://buytaert.net/mark-boulton-to-help-with-drupal-7" rel="nofollow">my invitation to Mark Boulton to redesign Drupal 7</a>, the creation of the <a href="http://buytaert.net/announcing-spark-authoring-improvements-for-drupal-7-and-drupal-8" rel="nofollow">Spark initiative</a> to improve the authoring experience for Drupal 8, and continued support for usability-related initiatives. In fact, the impetus behind progressive decoupling and adopting a client-side framework is the need to improve Drupal''s user experience.</p>\n<p>It took me a bit longer than planned, but I wanted to take the time to address some of the concerns and share more of my thoughts about improving Drupal''s UX (and JavaScript frameworks).</p>\n<h3>To iterate or to disrupt?</h3>\n<p>In <a href="http://lewisnyman.co.uk/blog/should-drupal-add-another-js-framework-into-core-not-in-the-name-of-ux/" rel="nofollow">his post</a>, Lewis writes that the issues facing Drupal''s UX "go far deeper than code" and that many of <a href="https://www.drupal.org/node/2497361" rel="nofollow">the biggest problems found during the Drupal 8 usability study</a> last year are not resolved with a JavaScript framework. This is true; <a href="https://www.youtube.com/watch?v=E31e5hzHMOE" rel="nofollow">the results of the Drupal 8 usability study</a> show that Drupal can confuse users with its complex mental models and terminology, but it also shows how modern features like real-time previews and in-page block insertion are increasingly assumed to be available.</p>\n<p>To date, much of our UX improvements have been based on an <em>iterative</em> process, meaning it converges on a more refined end state by removing problems in the current state. However, we also require <em>disruptive</em> thinking, which is about introducing entirely new ideas, for true innovation to happen. It''s essentially removing all constraints and imagining what an ideal result would look like.</p>\n<p>I think we need to recognize that while some of the <a href="https://www.drupal.org/node/2497361" rel="nofollow">documented usability problems</a> coming out of the Drupal 8 usability study can be addressed by making incremental changes to Drupal''s user experience (e.g. our terminology), other well-known usability problems most likely require a more disruptive approach (e.g. our complex mental model). I also believe that we must acknowledge that disruptive improvements are possibly more impactful in keeping Drupal relevant and widening Drupal''s adoption.</p>\n<p>At this point, to get ahead and lead, I believe we have to do both. We have to iterate <em>and</em> disrupt.</p>\n<h3>From inside-out to outside-in</h3>\n<p>Let''s forget about Drupal for a second and observe the world around us. Think of all the web applications you use on a regular basis, and consider the interaction patterns you find in them. In popular applications like Slack, the user can perform any number of operations to edit preferences (such as color scheme) and <a href="https://www.youtube.com/watch?v=LFzM4fw8C38" rel="nofollow">modify content</a> (such as in-place editing) without incurring a single full page refresh. Many elements of the page can be changed without the  user''s flow being interrupted. Another example is Trello, in which <a href="https://www.youtube.com/watch?v=xky48zyL9iA" rel="nofollow">users can create new lists on the fly and then add cards to them</a> without ever having to wait for a server response.</p>\n<p>Contrast this with Drupal''s approach, where any complex operation requires the user to have detailed prior knowledge about the system. In our current mental model, everything begins in the administration layer at the most granular level and requires an unmapped process of bottom-up assembly. A user has to make a content type, add fields, create some content, configure a view mode, build a view, and possibly make the view the front page. If each individual step is already this involved, consider how much more difficult it becomes to traverse them in the right order to finally see an end result. While very powerful, the problem is that Drupal''s current model is "inside-out". This is why it would be disruptive to move Drupal towards an "outside-in" mental model. In this model, I should be able to start entering content, click anything on the page, seamlessly edit any aspect of its configuration in-place, and see the change take effect immediately.</p>\n<p>Drupal 8''s in-place editing feature is actually a good start at this; it enables the user to edit what they see without an interrupted workflow, with faster previews and without needing to find what thing it is before they can start editing.</p>\n<h3>Making it real with content modeling</h3>\n<p>Eight years ago in 2007, <a href="http://buytaert.net/dabbledb-cck-views-twelve-duvels" rel="nofollow">I wrote about a database product called DabbleDB</a>. I shared my belief that it was important to move CCK and Views into Drupal''s core and learn from DabbleDB''s integrated approach. DabbleDB was acquired by Twitter in 2010 but you can still find <a href="https://www.youtube.com/watch?v=6wZmYMWKLkY" rel="nofollow">an eight-year-old demo video on YouTube</a>. While the focus of DabbleDB is different, and the UX is obsolete, there is still a lot we can learn from it today: (1) it shows a more integrated experience between content creation, content modeling, and creating views of content, (2) it takes more of an outside-in approach, (3) it uses a lot less intimidating terminology while offering very powerful capabilities, and (4) it uses a lot of in-place editing. At a minimum, DabbleDB could give us some inspiration for what a better, integrated content modeling experience could look like, with the caveat that the UX should be as effortless as possible to match modern standards.</p>\n<p>Other new data modeling approaches with compelling user experiences have recently entered the landscape. These include back end-as-a-service (BEaaS) solutions such as <a href="https://www.backand.com" rel="nofollow">Backand</a>, which provides a visually clean drag-and-drop interface for data modeling and helpful features for JavaScript application developers. Our use cases are not quite the same, but Drupal would benefit immensely from a holistic experience for content modeling and content views that incorporates both the rich feature set of DabbleDB and the intuitive UX of Backand.</p>\n<p>This sort of vision was not possible in 2007 when CCK was a contributed module for Drupal 6. It still wasn''t possible in Drupal 7 when Views existed as a separate contributed module. But now that both CCK and Views are in Drupal 8 core, we can finally start to think about how we can more deeply integrate the two. This kind of integration would be nontrivial but could dramatically simplify Drupal''s UX. This should be really exciting because so many people are attracted to Drupal exactly because of features like CCK and Views. Taking an integrated approach like DabbleDB, paired with a seamless and easy-to-use experience like Slack, Trello and Backand, is exactly the kind of disruptive thinking we should do.</p>\n<p>What most of the examples above have in common are in-place editing, immediate previews, no page refreshes, and non-blocking workflows. The implications on our form and render systems of providing configuration changes directly on the rendered page are significant. To achieve this requires us to have robust state management and rendering on the client side as well as the server side. In my vision, Twig will provide structure for the overall page and non-interactive portions, but more JavaScript will more than likely be necessary for certain parts of the page in order to achieve the UX that all users of the web have come to expect.</p>\n<p>We shouldn''t limit ourselves to this one example, as there are a multitude of Drupal interfaces that could all benefit from both big and small changes. We all want to improve Drupal''s user experience — and we have to. To do so, we have to constantly iterate and disrupt. I hope we can all collaborate on figuring out what that looks like.</p>\n<p><em>Special thanks to <a href="https://www.drupal.org/u/prestonso" rel="nofollow">Preston So</a> and <a href="https://www.drupal.org/u/tkoleary" rel="nofollow">Kevin O''Leary</a> for contributions to this blog post and to <a href="https://www.drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> for feedback.</em></p>\n<p><a href="http://buytaert.net/turning-drupal-outside-in#comments" rel="nofollow">Continue the conversation on buytaert.net</a></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1455130889', '2666370 at https://www.drupal.org'),
('76', '1', 'Thanking Drupal.org Working Group members', 'https://www.drupal.org/drupalorg/blog/thanking-working-group-members', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img src="/files/room-13b.jpg" /></p>\n<p>Drupal.org, the home of the Drupal community, has grown organically for many years. At some point it grew so large that a clear decision making structure became a necessity. The Drupal Association staff was not in the place to provide it at that time: our entire technology team for Drupal.org, including all its sub-sites and services, consisted of only two people, myself and Neil Drumm—so we turned to community for help.</p>\n<p>In the summer of 2013, the three Drupal.org Working Groups <a href="https://assoc.drupal.org/node/18033" rel="nofollow">were announced</a>. Governance committees, consisting of community members and staff, created to act as a collective ''product owner'' for the website. In the following two and a half years, with their guidance and feedback, we implemented many new features, performed user research, developed content strategy, and drastically improved the infrastructure behind Drupal.org.</p>\n<p>At the same time the Drupal Association staff kept growing. We hired our first full-time <a href="https://assoc.drupal.org/node/18993" rel="nofollow">infrastructure staff member</a>, brought in <a href="https://assoc.drupal.org/content/announcing-newest-addition-association-staff-cto-josh-mitchell" rel="nofollow">the CTO</a> and <a href="https://assoc.drupal.org/blog/lizzjoy/helping-customer-service-coordinator" rel="nofollow">customer service coordinator</a> a few months later, then a <a href="https://assoc.drupal.org/blog/leighc/announcing-our-newest-staff-members" rel="nofollow">developer and two more infrastructure team members</a>. And finally, we hired a <a href="https://assoc.drupal.org/blog/leighc/drupal-association-continues-grow" rel="nofollow">project manager, a web designer, and one more Drupal developer</a>. Our communications team grew, too: over the last two years, the Drupal Association brought in a content strategist and a dedicated writer. Overall, our capacity increased and a lot of gaps in skills and experience were filled.</p>\n<p>Having skilled staff working full-time on Drupal.org, we were finally able to provide product direction, set a roadmap, and execute on it. We adopted Scrum as our project management methodology, with a new sprint starting every two weeks. This encourages iteration and pivoting based on the situation, instead of working against a ''set in stone'' year long plan. As our staffing situation changed, we started to realize that the valuable time of dedicated community volunteers can be spent more efficiently than making them sit in countless planning and update meetings with staff. </p>\n<p>At the end of last year, the Drupal Association Board, with the input of several Working Group members, made a decision that it is time for staff to work on Drupal.org improvements directly with the community. This means that the Drupal.org Working Groups will transition into an advisory group, with former Drupal.org Working Groups members available as advisors to provide feedback and input on specific initiatives the team is working on, relevant to their own skills and expertise.</p>\n<p>The only requirement the Board and Drupal.org Working Groups themselves put out before the transition could happen is this: they asked that the Association staff create a clear process for community members to be able to suggest items on the Drupal.org roadmap, and provide a path for those community members to volunteer to help with implementation. With the input from the Working Groups and the Board, we created such a process. It was<br /><a href="https://www.drupal.org/drupalorg/blog/introducing-a-new-community-initiatives-process" rel="nofollow">launched last week</a>.</p>\n<p>As we reach the end of an era, I''d like to personally thank each member who served at various times on Drupal.org Working Groups over the past three years. Your time, skills, and experience you shared with us has been invaluable. </p>\n<p>Gerhard Killesreiter / <a href="https://www.drupal.org/u/killeswww.drop.org" rel="nofollow">killes</a><br />\nNarayan Newton / <a href="https://www.drupal.org/u/nnewton" rel="nofollow">nnewton</a><br />\nMelissa Anderson / <a href="https://www.drupal.org/u/eliza411" rel="nofollow">eliza411</a><br />\nAngela Byron / <a href="https://www.drupal.org/u/webchick" rel="nofollow">webchick</a><br />\nKim Pepper / <a href="https://www.drupal.org/u/kim.pepper" rel="nofollow">kim.pepper</a><br />\nGeorge DeMet / <a href="https://www.drupal.org/u/gdemet" rel="nofollow">gdemet</a><br />\nJeff Eaton / <a href="https://www.drupal.org/u/eaton" rel="nofollow">eaton</a><br />\nRoy Scholten / <a href="https://www.drupal.org/u/yoroy" rel="nofollow">yoroy</a><br />\nDavid Hernandez / <a href="https://www.drupal.org/u/davidhernandez" rel="nofollow">davidhernandez</a><br />\nCathy Theys / <a href="https://www.drupal.org/u/yesct" rel="nofollow">YesCT</a></p>\n<p>Thank you! It''s been a pleasure to share all those moments, conversations, ideas, debates, and workshops.</p>\n<p>While the role of these wonderful people is shifting to a less formal advisory one, we will still be calling on their expertise and help as we continue our work on making Drupal.org a better place.</p>\n<p>--<br />\nImage by <a href="https://www.drupal.org/u/yoroy" rel="nofollow">Roy Scholten</a>.</p></div></div></div>', '1455299511', '2667134 at https://www.drupal.org'),
('77', '1', 'Drupal 8.0.4, 7.43, and 6.38 released, and Drupal 6 reaches its end of life (EOL)', 'https://www.drupal.org/drupal-8.0.4', 'Drupal Security Team', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 8.0.4, Drupal 7.43, and Drupal 6.38, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download. </p>\n<!--break--><p>See the <a href="https://www.drupal.org/drupal-8.0.4-release-notes">Drupal 8.0.4</a>, <a href="https://www.drupal.org/drupal-7.43-release-notes">Drupal 7.43</a>, and <a href="https://www.drupal.org/drupal-6.38-release-notes">Drupal 6.38</a> release notes for further information.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-8.0.4.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 8.0.4</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-7.43.tar.gz" class="link-button"><span>Download Drupal 7.43</span></a><br /><a href="http://ftp.drupal.org/files/projects/drupal-6.38.tar.gz" class="link-button"><span>Download Drupal 6.38</span></a>\n</div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 8, 7, and 6 sites is strongly recommended.</strong> There are no new features nor non-security-related bug fixes in these releases. For more information about the Drupal 8.0.x release series, consult the <a href="https://www.drupal.org/8">Drupal 8 overview</a>. More information on the Drupal 7.x release series can be found in the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>, and more information on the Drupal 6.x release series can be found in the <a href="https://www.drupal.org/drupal-6.0">Drupal 6.0 release announcement</a>.</p>\n<div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>.  We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 8 and 7 include the built-in Update Manager module, which informs you about important updates to your modules and themes.  Drupal 6 has reached its end of life (EOL) and will not get further updates. </p>\n<h2>Bug reports</h2>\n<p>Both Drupal 8.0.x and 7.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.</p>\n<p><a href="https://www.drupal.org/drupal-6-eol">Drupal 6 has reached its end of life (EOL)</a>, so it will not receive further bug fixes or official releases.</p>\n</div>\n<h2>Change log</h2>\n<p>Drupal 8.0.4 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-8.0.4-release-notes">8.0.4 release notes</a>.  A complete list of all changes in the stable 8.0.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=8.0.x">the git commit log</a>.</p>\n<p>Drupal 7.43 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-7.43-release-notes">7.43 release notes</a>.  A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=7.x">the git commit log</a>.</p>\n<p>Drupal 6.38 is a security release only. For more details, see the <a href="https://www.drupal.org/drupal-6.38-release-notes">6.38 release notes</a>.  A complete list of all changes in the end-of-life 6.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=6.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 8.0.4, 7.43, and 6.38 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisories:</p>\n<ul><li><a href="/SA-CORE-2016-001">Drupal Core - Critical - Multiple Vulnerabilities - SA-CORE-2016-001</a></li>\n</ul><p>To fix the security problem, please upgrade to either Drupal 8.0.4, Drupal 7.43, or Drupal 6.38.</p>\n<h2>Update notes</h2>\n<p>See the <a href="http://drupal.org/drupal-8.0.4-release-notes">8.0.4</a>, <a href="http://drupal.org/drupal-7.43-release-notes">7.43</a>, or <a href="http://drupal.org/drupal-6.38-release-notes">6.38</a> release notes for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="http://drupal.org/drupal-8.0.4-release-notes">8.0.4</a>, <a href="http://drupal.org/drupal-7.43-release-notes">7.43</a>, or <a href="http://drupal.org/drupal-6.38-release-notes">6.38</a> release notes for a list of known issues affecting each release.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/102">Drupal 6.x</a></div><div class="field-item odd"><a href="/taxonomy/term/120">Drupal 7.x</a></div><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1456335368', '2674972 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('78', '1', 'The Rise of Drupal in India', 'https://www.drupal.org/news/rise-of-drupal-in-india', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/the-rise-of-drupal-in-india" rel="nofollow">Republished from buytaert.net</a></p>\n<p>Earlier this week I returned from DrupalCon Asia, which took place at IIT Bombay, one of India''s premier engineering universities. I wish I could have bottled up all the energy and excitement to take home with me. From dancing on stage, to posing for what felt like a million selfies, to a motorcycle giveaway, this DrupalCon was unlike any I''ve seen before.</p>\n<p></p>\n<div class="img"><img src="/files/mumbai-2016-drupalcon-group-photo-575x863_0.jpg" alt="Drupalcon group photo" /></div>\n<p>\n</p><p>A little over 1,000 people attended the first DrupalCon in India. For 82% of the attendees, it was their first DrupalCon.  There was also much better gender diversity than at other DrupalCons.</p>\n<p><br /></p>\n<p>The excitement and interest around Drupal has been growing fast <a href="http://buytaert.net/drupal-india-opportunity" rel="nofollow">since I last visited in 2011</a>. DrupalCamp attendance in both Delhi and Mumbai has exceeded 500 participants. There have also been DrupalCamps held in Hyderabad, Bangalore, Pune, Ahmedabad Jaipur, Srinagar, Kerala and other areas.</p>\n<p>Indian Drupal companies like QED42, Axelerant, Srijan and ValueBound have made meaningful contributions to Drupal 8. The reason? Visibility on <a href="http://drupal.org" rel="nofollow">Drupal.org</a> through the <a href="http://buytaert.net/a-method-for-giving-credit-to-organizations-that-contribute-code-to-open-source" rel="nofollow">credit system</a> helps them win deals and hire the best talent. ValueBound said it best when I spoke to them: <em>"With our visibility on drupal.org, we no longer have to explain why we are a great place to work and that we are experts in Drupal."</em>.</p>\n<p>Also present were the large System Integrators (Wipro, TATA Consultancy Services, CapGemini, Accenture, MindTree, etc). TATA Consultancy Services has 400+ Drupalists in India, well ahead of the others who have between 100 and 200 Drupalists each.  Large digital agencies such as Mirum and AKQA also sent people to DrupalCon. They are all expanding their Drupal teams in India to service the needs of growing sales in other offices around the world. The biggest challenge across the board?  Finding Drupal talent.  I was told that TCS allows many of its developers to contribute back to Drupal, which is why they have been able to hire faster. More evidence that the credit system is working in India.</p>\n<p>The government is quickly adopting Drupal. <a href="http://mygov.in" rel="nofollow">MyGov.in</a> is one of many great examples; this portal was established by India''s central government to promote citizen participation in government affairs. The site reached nearly two million registered users in less than a year.  The government''s shifting attitude toward open source is a big deal because historically, the Indian government has pushed back against open source because large organizations like Microsoft were funding many of the educational programs in India. The tide changed in 2015 when the Indian government announced that open source software should be preferred over proprietary software for all e-government projects.  Needless to say, this is great news for Drupal.</p>\n<p>Another initiative that stood out was the <a href="http://www.drupalcap.org" rel="nofollow">Drupal Campus Ambassador Program</a>. The aim of this program is to appoint Drupal ambassadors in every university in India to introduce more students to Drupal and help them with their job search.  It is early days for the program, but I recommend we pay attention to it, and consider scaling it out globally if successful.</p>\n<p>Last but not least there was <a href="http://fossee.in" rel="nofollow">FOSSEE</a> (Free and Open Source Software for Education), a government-funded program that provides affordable computers to Indian students. To date, 2,000 universities participate in the program and nearly 2 million units have been sold. With curriculum translated into 22 local languages, students gain the ability to self-study and foster their education outside of the classroom.  I was excited to hear that FOSSEE plans to add a Drupal course to its offerings.  There is a strong demand for affordable Drupal training and certifications throughout India''s technical colleges, so the idea of encouraging millions of Indian students to take a free Drupal course is very exciting -- even if only 1% of them decides to contribute back this could be a total game changers.</p>\n<p>Open source makes a lot of sense for India''s thriving tech community.  It is difficult to grasp the size of the opportunity for Drupal in India and how fast its adoption has been growing.  I have a feeling I will be back in India more than once to help support this growing commitment to Drupal and open source.</p>\n<p><a href="http://buytaert.net/the-rise-of-drupal-in-india#comments" rel="nofollow">Continue the conversation on buytaert.net</a></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1456516693', '2676728 at https://www.drupal.org'),
('79', '1', 'Introducing Sections on Drupal.org', 'https://www.drupal.org/drupalorg/blog/introducing-sections', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Last year Drupal Association staff—in collaboration with <a href="https://assoc.drupal.org/blog/tvn/forum-one-work-content-strategy-drupal.org" rel="nofollow">Forum One</a>—analyzed the state of content on Drupal.org. We <a href="https://docs.google.com/presentation/d/1ugkgHCVj2qKozrVhgIS4D_B4W4oYmwp6dUhu5k6yS6U/edit#" rel="nofollow">developed a content strategy</a> aimed at improving its quality and findability. Various <a href="https://www.drupal.org/node/1133434" rel="nofollow">recommendations</a> were made for <a href="https://www.drupal.org/node/2481519" rel="nofollow">content structure</a>, <a href="https://www.drupal.org/node/2481515" rel="nofollow">organization</a>, and governance.</p>\n<p>One of the main recommendations was to restructure content around areas of user activity instead of the content type used to create the content. On Drupal.org, content about a topic is often scattered, because some content types are only available in certain areas. But we’d rather have a single place for content on a particular topic, no matter which content types are used to create that content.</p>\n<p>User research gave us a number of general areas of user activity or tasks, which we used as a base for top level content grouping. We’ve called those groupings “sections.” Each section is based around a particular set of common user tasks and has a clear purpose and audience. We started implementing these sections a few weeks ago.</p>\n<p><img src="/files/drupalorg-sections_0.png" /></p>\n<p>Each of them will also have a slightly different governance structure. Some of the sections will have more editorial/curated content, while others will be open to edits by everyone. We wanted the flexibility of having different user roles with different permissions in different sections. We also wanted the flexibility of being able to display a single piece of content in multiple sections if needed, and perhaps even use a different theme per section.</p>\n<p>To meet those requirements we decided to use <a href="https://www.drupal.org/project/og" rel="nofollow">Organic Groups</a>. The work on getting all the modules ready on Drupal.org began in August last year. After a few rounds of performance testing and configuration review, Organic Groups and a few accompanying modules were in place to enable us to work on sections. The first couple of them were launched simultaneously with the Drupal 8 release.</p>\n<h3><a href="https://www.drupal.org/drupalorg" rel="nofollow">Drupal.org section</a></h3>\n<p>At first, we wanted to test out our ideas and assumptions on a less visible area of the site with lower traffic. So, the first section we created was <a href="https://www.drupal.org/drupalorg" rel="nofollow">about Drupal.org itself</a>. It consists of various information about the website, aimed at those who follow or take part in Drupal.org development. Its content is mostly produced by our internal team.</p>\n<h3><a href="https://www.drupal.org/about" rel="nofollow">About section</a></h3>\n<p>The first highly visible section we tackled was <a href="http://drupal.org/about" rel="nofollow">About</a>. It is a source of general information about Drupal and promotional materials. The content is curated and aimed primarily at evaluators, and the Newcomer and Learner personas.</p>\n<p>To create the section, we audited all the content in the old “About Drupal” area (which was using the old book page content type), rewrote most of it, and re-created it using the new content types. While the initial round of work on the section is complete, there are a few more things we want to do, so expect additions to the section throughout the year.</p>\n<p>Because of the curated nature of the content, this section has tight edit permissions, and is managed by the Drupal Association staff. Feedback is always welcome, however, so if you do notice a problem please use the <a href="https://www.drupal.org/project/issues/content?text=&amp;status=Open&amp;priorities=All&amp;categories=All&amp;version=All&amp;component=About+section" rel="nofollow">Content issue queue</a> to report it.</p>\n<p>A big part of the About section is talking about the features of the Drupal software. And specifically with the Drupal 8 launch, we wanted to do it well, which brings us to...</p>\n<h3><a href="https://www.drupal.org/8" rel="nofollow">Drupal 8 section</a></h3>\n<p>It is the <a href="https://www.drupal.org/8" rel="nofollow">landing page</a> for Drupal 8 release, and the main source of high level information about Drupal 8 and its features. And it is a section too, created using Organic Groups and located inside of the About section.</p>\n<p><a href="https://www.drupal.org/8" rel="nofollow"><img src="/files/drupal8-is-here.png" /></a></p>\n<p>This one was created from scratch. All the content was written specifically for it, by the Drupal Association''s communications team with a lot of help, review, and feedback from Core committers team.</p>\n<p>For this section, we went one step further. Not only does it have unique content, it was also designed to look completely different from the rest of Drupal.org. To make it happen, we created a separate theme, based on Omega, and used <a href="/project/og_theme" rel="nofollow">og_theme module</a> to make it possible to use the theme on only one particular section of the site. This worked really well.</p>\n<p>Again, this section has curated content and edit permissions are locked down. If you do find a problem, please report via the <a href="https://www.drupal.org/project/issues/content" rel="nofollow">Content issue queue</a>.</p>\n<h3>What''s next?</h3>\n<p>These new sections don’t only introduce a new governance model and navigation patterns. They also introduce a new way we create dynamic content. I will talk more about this, as well as the sections we are working on right now, in following posts. </p></div></div></div>', '1456754410', '2676488 at https://www.drupal.org'),
('80', '1', 'Drupal 8.0.5 released', 'https://www.drupal.org/drupal-8.0.5', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="position: inherit;">Drupal 8.0.5, a maintenance release with numerous bug fixes (no security fixes), is now available for download. </p>\n<!--break--><p>See the <a href="/drupal-8.0.5-release-notes">Drupal 8.0.5 release notes</a> for a full list of included fixes.</p>\n<div style="float: right; margin: 0 0 1em 1em; text-align: center;">\n<a href="http://ftp.drupal.org/files/projects/drupal-8.0.5.tar.gz" class="link-button" style="margin: 0 0 0.6em 0;"><span>Download Drupal 8.0.5</span></a></div>\n<p style="position: inherit;"><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 8 sites is recommended.</strong> There are no major nor non-backwards-compatible features in this release. For more information about the Drupal 8.x release series, consult the <a href="https://www.drupal.org/8">Drupal 8 overview</a>.</p>\n<div style="float: right; padding: 0 0 2em 1em; margin-left: 2em; width: 35%; border-left: 1px solid #cdcdcd;">\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>. We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 8 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<p>There are no security fixes in this release of Drupal core.</p>\n<h2>Bug reports</h2>\n<p>Drupal 8.0.x is actively maintained, so more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.\n</p></div>\n<h2>Change log</h2>\n<p>Drupal 8.0.5 contains bug fixes and documentation and testing improvements only. The full list of changes between the last 8.0.x patch release and the 8.0.5 release can be found by reading the <a href="/drupal-8.0.5-release-notes">8.0.5 release notes</a>. A complete list of all changes in the stable 8.0.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/8.0.x&amp;nocache=8.0.5">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="/drupal-8.0.5-release-notes">8.0.5 release notes</a> for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="/drupal-8.0.5-release-notes">8.0.5 release notes</a> for known issues.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1456967603', '2679967 at https://www.drupal.org'),
('81', '1', 'Top 10 contributing customers', 'https://www.drupal.org/drupalorg/blog/top-10-contributing-customers', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>We spent a lot of time thinking about how to highlight the organizations in our <a href="https://www.drupal.org/drupal-services" rel="nofollow">Marketplace</a> that are actively contributing to the project. There are some awesome Drupal shops and hosting partners out there that are making a huge difference. </p>\n<p>Service providers that you see in the <a href="https://www.drupal.org/drupal-services" rel="nofollow">marketplace</a> are only part of the story of how Drupal is built.</p>\n<p>Last week, we launched a new <a href="https://www.drupal.org/organizations" rel="nofollow">list of organizations on Drupal.org</a> that shows every profile that has been created for an organization. This includes companies, universities, nonprofits, governments and more. These are our customers and community organizations that use Drupal to power their web experiences. By giving their developers time to contribute code back to the community, they are helping to ensure the project gets the best ideas from the most diverse group of makers and builders.</p>\n<p>While the new view shows all organizations, I was able to pull out the top 10 customers—organizations that do not sell Drupal services or hosting—and community organizations (e.g. community from a region). </p>\n<p>So who have been most active among this type of organization over the last 90 days?</p>\n<ol><li><a href="https://www.drupal.org/examinercom" rel="nofollow">Examiner.com</a> - 56 issue credits</li>\n<li><a href="https://www.drupal.org/pfizer-inc" rel="nofollow">Pfizer</a> - 29 issue credits</li>\n<li><a href="https://www.drupal.org/freitag-lab-ag" rel="nofollow">Freitag</a> - 19 issue credits</li>\n<li><a href="https://www.drupal.org/drupal-ukraine-community" rel="nofollow">Drupal Ukraine Community</a> - 17 issue credits</li>\n<li><a href="https://www.drupal.org/arte-geie" rel="nofollow">ARTE G.E.I.E.</a> - 15 issue credits</li>\n<li><a href="https://www.drupal.org/university-of-waterloo" rel="nofollow">University of Waterloo</a> - 13 issue credits</li>\n<li><a href="https://www.drupal.org/cardcom" rel="nofollow">Card.com</a> - 13 issue credits</li>\n<li><a href="https://www.drupal.org/gemeente-venlo" rel="nofollow">Gemeente Venlo</a> - 11 issue credits</li>\n<li><a href="https://www.drupal.org/dennis-publishing" rel="nofollow">Dennis Publishing</a> - 9 issue credits (and they are <a href="https://assoc.drupal.org/support-project-you-love" rel="nofollow">Drupal Association members</a> to boot!)</li>\n<li><a href="https://www.drupal.org/nbcuniversal" rel="nofollow">NBCUniversal</a> - 7 issue credits</li>\n</ol><p>Check out the full list of every organization with a profile on Drupal.org. Keep in mind, we can only track <a rel="nofollow">issue credits</a> when issue participants credit an organization and when maintainers award those credits.</p>\n<p>Only organizations with a profile on Drupal.org can be credited. <a href="/node/1887616" rel="nofollow">Confirmed users</a> can <a href="/node/add/organization" rel="nofollow">add new  organizations</a>.</p>\n<p>We are all excited to see where this takes us and what we can learn about how organizations that use Drupal are giving back.</p>\n<p>If your company or organization wants to give back in ways other than contributing in the code and issue queues, consider <a href="https://assoc.drupal.org/support-project-you-love" rel="nofollow">becoming an organization member</a>, <a href="https://www.drupal.org/supporters" rel="nofollow">joining one of our supporter programs</a>, or sponsoring a DrupalCon or camp.</p></div></div></div>', '1456959905', '2675020 at https://www.drupal.org'),
('82', '1', 'Richard Burford Community Spotlight', 'https://www.drupal.org/node/2680305', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Richard Burford (<a href="https://www.drupal.org/u/psynaptic" rel="nofollow">psynaptic</a>) was an active contributor in the Drupal community. After he joined the community in late 2006, he actively encouraged, organized, and mentored other community members, while also posting more than 1,100 commits.</p>\n<p>On February 11, Richard unexpectedly passed away while jogging. He’s survived by his wife, Sara, and their three children, William (aged 2), and twins Lucy and Kate (age 1). This spotlight has been a collaborative community project, and showcases just a few of the many qualities and contributions admired most about Richard.</p>\n<p><em><img src="/files/3900267036_ef4e130806_b_0.jpg" alt="Richard Burford at DrupalCon Paris" /><br />\n(<a href="https://www.flickr.com/photos/galooph/3900267036/" rel="nofollow">Photo</a> taken by Dan Smith (<a href="https://www.drupal.org/u/galooph" rel="nofollow">galooph</a>) outside a bar at DrupalCon Paris.)</em></p>\n<p>"I got to know psynaptic through #drupal-uk (back when it was still #drupaluk). He was kind, generous and funny," said James Panton(mcjim). " There were lots of late-night chats on IRC where we talked about Drupal, music, anything really. We were​ all very​ excited when he could make it to Manchester for the UK’s first DrupalCamp. He was even kinder, funnier, and more generous in real life"</p>\n<p>Richard was active both in his local community, and in the wider Drupal world.</p>\n<p>"I first met Richard at DrupalCamp Manchester, my first ever DrupalCamp," said Simon Poulston (soulston). "Richard instantly stood out with his insatiable energy, positivity and that beaming smile we all came to know. That Manchester trip resulted in our trip to DrupalCon Paris where we both made some amazing new friends from the community and had a truly epic time. We worked on projects together over the next few years, roomed at camps together, shared music, and remained friends ever since."</p>\n<p>As it turned out, DrupalCon Paris was an important point in Richard''s Drupal journey: it was there that he made numerous lasting friendships, and it started his journey to multiple DrupalCons around the world. </p>\n<p>"Rich and I both started working with Drupal around the same time and quickly became friends, first on the #drupal-uk IRC channel before actually meeting for real at DrupalCon Paris," said Stella Power (stella). "He was a great guy. Not only was he always willing to help out, but he was also good company, always smiling and great fun to hang out with."</p>\n<p>Alex Pott (alexpott) had a similar story to tell. "I went to DrupalCon Paris knowing nobody in the Drupal community. Richard was the first person I met. How lucky was that? Meeting someone so warm, generous and talented is one of the reasons I haven''t missed a DrupalCon since."</p>\n<p>"I knew how clever, knowledgeable, and helpful Richard was from seeing him online," said Elliot Ward (Eli-T). "But when I shared a room with him at DrupalCon Copenhagen, I found out how much fun he was as well. In that week Richard taught me so much: how to contribute back, how to roll a patch, how to advocate in the issue queues, and what a chicken parmo was. He went out of his way to introduce me to so many people that week, many of whom I''ve worked with since. That was when I realized how important the community is in Drupal—all because of the actions of one man looking out for someone he''d never met before."</p>\n<h2>"Always such a great part of the Drupal community"</h2>\n<p>Even when he wasn''t fostering global connections, Richard was still actively helping out his community. A founding member of England''s Drupal North East group, Richard left his mark on the Drupal community in every way he could.</p>\n<p>"We met at DrupalCons across the world several times, and at DrupalCon Copenhagen we decided that it was ridiculous that we hadn''t actually met back home. That was when we started the Drupal North East group together," said Adam Hill (adshill). In the time since the group was founded, Drupal North East has grown into a thriving community with over 100 members. "Richard has left a legacy of being one of the motivated troopers who rallied the Drupal community in his own area of the world," Hill said. "But he did so much more too, supporting people across the world with his generous nature and amazing spirit."</p>\n<p>"He was always so helpful and such a great part of the Drupal community here in the UK," agreed Mike Bell (mikebell_). "We will miss him dearly."</p>\n<p>Regardless of where he was, Richard''s helpfulness was always on display. Whether he was helping new Drupalers find their feet on IRC, evangelizing Drupal with his local user group, or participate in a DrupalCon, Richard was always an important source of information and good cheer.</p>\n<p>"I first met Richard and his [then] newlywed wife, Sara, at DrupalCon Denver. I was fairly new to Drupal at the time," said Alex Burrows (aburrows). "He welcomed me into the group, and we wound up attending many parties together, having good laughs, and drinking lots of beer. He was down to earth and always lightened up the conversation. It was a pleasure, and meant a lot."</p>\n<p>Mike Carter (budda) agreed. "At DrupalCamps and Cons you couldn''t miss Richard towering above the Drupal crowd, happy to chat with all. On IRC, he was always happy to help others with their Drupal questions. He was dedicated, knowledgeable, and enthusiastic about whatever challenge was brought to him."</p>\n<p>Justine Pocock (wigglykoala) benefited from Richard''s mentoring, and thanks him for some of the best guidance she''s ever received. "When I first started with Drupal, I went into IRC trying to figure out what this CMS thing did. Richard (psynaptic) was one of the first people to help me there and show me the way. He was also one of the first to tell me to shut up and get my head down with learning Drupal—which actually is one of the most valuable pieces of advice I''ve been given! I''ve always (and will always) look up to Richard as a truly dedicated person."</p>\n<p>"Fierce, dedicated, focused, and generous, Richard impressed me as he impressed and helped so many of us in the Drupal community," agreed Jeffrey A. McGuire (horncologne).</p>\n<h2>"He seemed to have near-limitless energy for getting things done ‘the right way’"</h2>\n<p>That fierce dedication helped Richard develop a reputation in the community of being an extremely passionate advocate not only for the project, but for programming and web development in general.</p>\n<p>"I''ll never forget the day that Richard introduced me to Drupal," said his longtime friend Dan Traynor (hitby). "We built a Teacher''s Toolkit (in Drupal 5!) in a few hours and I was a convert. From that point on we attended a few DrupalCons together where he introduced me to many amazing developers. That forged my love for Drupal and the community. I can honestly say that without Rich I''m not sure I''d still be in the web development game."</p>\n<p>"Richard inspired me to take my business forward in the ‘right’ way, by paying attention to detail and expressing my belief in the craft of programming," said Hill (adshill). "He was someone who clearly believed in the pleasure and value of giving, and he gave so much."</p>\n<p>"Richard started contributing to the Textmate project during the pre-PHPStorm era, and he really made it shine," said Moshe Weitzman (moshe-weitzman). "He eventually took it over and maintained it as Drupal core and contrib grew and grew. Maintenance is a non-trivial and often unrewarding task, and it spoke a lot to his character that he would step up like that."</p>\n<p>In addition to maintaining the Textmate project, Richard maintained <a href="http://www.drupalcontrib.org/api/drupal/7" rel="nofollow">Drupal Contrib API</a>, and worked in a variety of technical roles within the Software Development, Web Design, Drupal Training, and Music Production industries. Most recently, Richard worked at Acquia as a senior software engineer.</p>\n<p>"I’ve spoken with many people in recent days about Richard, and many described him as their favourite person in the company," said Alan Evans (alan-evans) of Acquia. "He was hugely popular: always the first person to offer a warm-hearted welcome to newcomers, or help people out with questions. And he had a talent for keeping the team in good spirits with his quick wit and laughter.</p>\n<p>"Richard seemed to have near-limitless energy for getting things done ‘the right way’ and would pursue that goal with enviable zeal. His perfectionism didn’t necessarily agree with everyone all of the time, but he was greatly respected for having the courage to stick to his guns," he added.</p>\n<h2>"He was always there when you needed him"</h2>\n<p>Whether he was helping with code or with housework, Richard''s belief in doing things the right way always shone through. He was always there for those who needed him. Now, the community is paying that love forward.</p>\n<p>Poulston (soulston) said of his friend, "Richard was a shining example to us all of how one person truly can make a difference. He helped me and many other people countless times, and you could tell that genuinely enjoyed helping people be the best they could at whatever they did, be it music or code. That’s not only a talent, but a trait of a beautiful human being."</p>\n<p>"Rich was always there when you needed him," agreed Traynor (hitby). "His need for perfection pushed into every area of his life. He once came to help me wallpaper a room, a task that I imagined would take about a day. Three days later we finished. I''ve never seen wallpaper so smooth! Thinking about it, Rich got me into many things: mountain biking, vaping (yes, I have him to thank for quitting smoking as well), music...the list goes on. The world was a better place with him in it and I''m proud to be able to have called him a friend." He added, "I love you Rich, Sara, William, Lucy, and Kate."</p>\n<p>Hill (adshill) had wishes of peace for Richard''s family as well. "Sara, I only met you twice, and you may not remember us," he said, "but my girlfriend Ieva and I send all our love to you and the kids. We hope you gain strength from knowing that we all saw how special Richard was too —and that he will be missed by friends from across the world."</p>\n<p>"Richard was a good friend, a proud family man, and an excellent developer: a larger-than-life personality that left a lasting impression with those he met," agreed Evans (alan-evans). "I know a visit to a DrupalCon (or even the office) is not going to be the same without him. We all miss him very much."</p>\n<p>But perhaps everyone''s feelings about Richard were best summed up by Pott (alexpott), who said simply: "Richard is one of the brightest stars I''ve ever met. I count myself lucky to have known him."</p>\n<p>Whether you knew Richard personally or were introduced to him for the first time through this spotlight, Richard’s friends would like to encourage you to <a href="https://www.gofundme.com/richardburford" rel="nofollow">consider donating to the GoFundMe page</a> that was set up in Richard''s memory, benefitting his wife and children.</p>\n<p>The Drupal community has lost a valued collaborator and advocate in Richard, but his contributions both to the project and to people’s lives will always live on. </p>\n<p><em>Special thanks to the following Drupal community members for their help with this community spotlight:</em></p>\n<ul><li>Paul Johnson (<a href="https://www.drupal.org/u/pdjohnson" rel="nofollow">pdjohnson</a>)</li>\n<li>Alex Burrows (<a href="https://www.drupal.org/u/aburrows" rel="nofollow">aburrows</a>)</li>\n<li>Simon Poulston (<a href="https://www.drupal.org/u/soulston" rel="nofollow">soulston</a>)</li>\n<li>Mike Carter (<a href="https://www.drupal.org/u/budda" rel="nofollow">budda</a>)</li>\n<li>Elliot Ward (<a href="https://www.drupal.org/u/Eli-T" rel="nofollow">Eli-T</a>)</li>\n<li>Mike Bell (<a href="https://www.drupal.org/u/mikebell_" rel="nofollow">mikebell_</a>)</li>\n<li>Dan Traynor (<a href="https://www.drupal.org/u/hitby" rel="nofollow">hitby</a>)</li>\n<li>Justine Pocock (<a href="https://www.drupal.org/u/wigglykoala" rel="nofollow">wigglykoala</a>)</li>\n<li>James Panton (<a href="https://www.drupal.org/u/mcjim" rel="nofollow">mcjim</a>)</li>\n<li>Adam Hill (<a href="https://www.drupal.org/u/adshill" rel="nofollow">adshill</a>)</li>\n<li>Jeffrey A. McGuire (<a href="https://www.drupal.org/u/horncologne" rel="nofollow">horncologne</a>)</li>\n<li>Alex Pott (<a href="https://www.drupal.org/u/alexpott" rel="nofollow">alexpott</a>)</li>\n<li>Stella Power (<a href="https://www.drupal.org/u/stella" rel="nofollow">stella</a>)</li>\n<li>Moshe Weitzman (<a href="https://www.drupal.org/u/moshe-weitzman" rel="nofollow">moshe-weitzman</a>)</li>\n<li>Alan Evans (<a href="https://www.drupal.org/u/alan-evans" rel="nofollow">alan-evans</a>)</li>\n</ul><p></p></div></div></div>', '1457013193', '2680305 at https://www.drupal.org'),
('83', '1', 'What’s new on Drupal.org? - February 2016', 'https://www.drupal.org/drupalorg/blog/whats-new-on-drupalorg-february-2016', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><small>Read our <a href="https://www.drupal.org/drupalorg/roadmap">Roadmap</a> to understand how this work falls into priorities set by the Drupal Association with direction and collaboration from the Board and community.</small></p>\n<h2>Drupal.org updates</h2>\n<h3>Drupal 6 is now end of life</h3>\n<p><img class="left" width="120px" src="/files/druplicon-small.png" title="" alt="”Druplicon”" /></p>\n<p>As of February 24, 2016, Drupal 6 is at end of life (EOL). To support the end of life process for this version of Drupal, Association staff are ensuring that users are prompted to update to the final version of Drupal 6, and that site owners are made aware of the <a href="https://www.drupal.org/drupal-6-eol">implications of EOL</a>. Because the community at large no longer supports Drupal 6, site owners are encouraged to move to Drupal 7 or 8, or to work with one of the <a href="https://www.drupal.org/about/drupal6-lts">Drupal 6 Long Term Support</a> vendors.\n</p>\n<h3>Our board''s director at-large election</h3>\n<p><img class="right" width="120px" src="/files/raised-hands-elections-drop.png" alt="”Hands" raised="" to="" make="" a="" choice="" title="" /></p>\n<p> In February, self-nominations opened for a single <a href="https://assoc.drupal.org/drupal-association-board-elections">director at-large position</a> on the Association board. This is one of two such seats on the board that are decided by community election.\n</p>\n<p>Now that nominations have closed, you can <a href="https://assoc.drupal.org/election/16/candidates">review candidate profiles and watch the Meet the Candidate webinars.</a> Voting will run from March 7-18, and will be promoted to all eligible voters with a banner on Drupal.org.\n</p>\n<h3>Composer support for Drupal</h3>\n<p>        <a href="https://getcomposer.org/"><img class="left" src="/files/composer-logo-1.png" alt="Logo: WizardCat.com" width="120px" /></a></p>\n<p>In February, we continued the <a href="https://www.drupal.org/node/2576285">community initiative to support Composer</a> on Drupal.org. Over the last several months, we’ve been working closely with members of the community, as well as with the maintainer of Composer and Packagist.org.</p>\n<p>Drupal.org will provide two Composer endpoints: one for Drupal 7 projects, and one for Drupal 8. These separate endpoints will allow Drupal.org to translate Drupal-style contrib version numbers into the true semantic versioning that Composer expects. This will also help support a transparent movement to a more semantic versioning for contrib projects on Drupal.org.</p>\n<p>We hope to provide a beta of this Drupal.org Composer support in March.</p>\n<h3>Manage your Drupal.org notifications</h3>\n<p>In January, we updated Drupal.org to allow users to follow many more content types, including Forum Topics, Posts, Case Studies, and documentation Book Pages. However, now that users are able to receive email notification for activity on a wide variety of content on Drupal.org, we also needed to <a href="https://www.drupal.org/node/2658224">provide some better tools for managing those notifications</a>.</p>\n<p><img src="/files/issues/notifications-ui-copy.png" alt="Follow notifications UI" title="" /></p>\n<p>A new tab now appears on every user''s profile called "Notifications," which allows the user to configure, per content type, whether they want to receive email notifications when following that content, or simply add it to the their tracker (the “Your Posts” part of the Dashboard).</p>\n<h3>More insight into organization contributions</h3>\n<p>For some time now, the Drupal.org Marketplace has displayed recent issue credits attributed to the organizations that provide Drupal services to our ecosystem. However, there’s been no way to see the contributions attributed to non-service providers (that is, organizations that don’t sell Drupal services).</p>\n<p>Until now. The <a href="https://www.drupal.org/organizations">drupal.org/organizations</a> view now shows all organizations ranked by attributed issue credits, whether they’re a Drupal service provider, a customer, or even a community organization like a DrupalCamp. To promote this greater visbility, we''ve also highlighted the <a href="https://www.drupal.org/drupalorg/blog/top-10-contributing-customers">top 10 contributing customers of Drupal</a>. We hope to continue to improve the many ways we track and display user and organization contributions, and would love <a href="https://www.drupal.org/node/2649100">your feedback</a>.</p>\n<h3>Content restructure: Documentation</h3>\n<p>In 2015, we did a tremendous amount of work developing a comprehensive content strategy for Drupal.org. In 2016, we’re making great strides in implementing that strategy through <a href="https://www.drupal.org/drupalorg/blog/introducing-sections ">a content restructure</a>. The main idea behind the content restructure is the reorganization of our content into sections that can each have their own maintainership, governance, and related content. </p>\n<p>Perhaps the most critical new section is <a href="https://www.drupal.org/node/2533684">Documentation</a>. The new Documentation section will bring easier navigation, maintainership of documentation guides, better related content, and more relevant metadata to documentation on Drupal.org. We’re doing usability testing of our prototype of this new section now.</p>\n<h2>Sustaining support and maintenance</h2>\n<h3>DrupalCon Asia: A landmark moment</h3>\n<p><img class="left" width="120px" src="/files/asia-logo-front-1.png" alt="DrupalCon Asia logo" /></p>\n<p>February was also the time for DrupalCon Asia—at last! The event held at IITB in Mumbai hosted over 1,000 attendees, 82% of whom were <a href="http://www.pauldjohnson.co.uk/blog/drupalcon-asia">first-time DrupalCon</a> attendees. With Association staff both in Mumbai and providing remote support it was <a href="https://assoc.drupal.org/blog/holly.ross.drupal/drupalcon-asia-back-future">an incredibly challenging, colorful, rewarding, and enlightening event</a>.\n</p>\n<p>We''re proud to have brought the Asian community the DrupalCon they deserved. As the second largest region of users on Drupal.org, behind only the United States, we expect tremendous things from this vibrant community.</p>\n<h3>Jobs.drupal.org—tweeting the best opportunities in Drupal</h3>\n<p>Fostering and promoting the Drupal ecosystem is an important part of the Association’s mission. Drupal powers the best of the web, from single-installation to large-scale enterprise sites. <a href="https://jobs.drupal.org">Drupal Jobs</a> provides companies a way to find the best Drupal talent, and provides Drupal developers a way to find open source-friendly careers. We recently updated <a href="https://jobs.drupal.org">jobs.drupal.org</a> so that new positions are tweeted from the <a href="http://twitter.com/jobsindrupal">@jobsindrupal</a> handle.</p>\n<h3>DrupalCI: troubleshooting a PHP 5.6 garbage collection bug</h3>\n<p><img class="right" width="120px" src="/files/styles/grid-3/public/project-images/drupalci_0.png" alt="DrupalCI Logo" /></p>\n<p>Our infrastructure team investigated a <a href="https://www.drupal.org/node/2652924">random failure in Core branch tests that happened when testing against PHP 5.6</a>. Whenever a random failure like this appears on our testing infrastructure, it’s important for us to track down the cause. Is it a problem in testbot configuration, an unusual kind of regression introduced in code or in the test itself, or a bug in an underlying part of the stack, like PHP itself? For now, we believe the issue is related to PHP garbage collection, and we’re trying to reproduce it so that we can open a bug for PHP.\n</p>\n<h3>Upgrading Drupal.org servers to PHP 5.4</h3>\n<p>PHP 5.3 limitations may have caused some recent instability (like the outages on the weekend of February 14). Because of this instability, we <a href="https://www.drupal.org/node/2670036&lt;br /&gt;&#10;">upgraded our production and pre-production servers to PHP 5.4</a>. We’d previously held off on this upgrade due to two sub-sites: qa.drupal.org (QA) and groups.drupal.org (GDO). However, we used this opportunity to statically archive QA (now that it is superseded by DrupalCI), and to upgrade outdated parts of GDO to work with PHP 5.4.\n</p>\n<p>———</p>\n<p>As always, we’d like to say thanks to all the volunteers who work with us, and to the Drupal Association <a href="https://drupal.org/supporters">Supporters</a>, who made it possible for us to work on these projects.</p>\n<p>Follow us on Twitter for regular updates: <a href="https://twitter.com/drupal_org">@drupal_org</a>, <a href="https://twitter.com/drupal_infra">@drupal_infra</a></p>\n</div></div></div>', '1457374917', '2682839 at https://www.drupal.org'),
('84', '1', 'How should you decouple Drupal?', 'https://www.drupal.org/blog/how-should-you-decouple-drupal', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/how-should-you-decouple-drupal" rel="nofollow">Republished from buytaert.net</a></p>\n<p>With <a href="https://www.drupal.org/documentation/modules/rest" rel="nofollow">RESTful web services in Drupal 8 core</a>, Drupal can function as an API-first back end serving browser applications, native applications on mobile devices, in-store displays, even in-flight entertainment systems (Lufthansa is doing so in Drupal 8!), and much more. When building a new website or web application in 2016, you may ask yourself: how should I decouple Drupal? Do I build my website with Drupal''s built-in templating layer or do I use a JavaScript framework? Do I need Node.js?</p>\n<p>There is a lot of hype around decoupled architectures, so before embarking on a project, it is important to make a balanced analysis.  Your choice of architecture has implications on your budget, your team, time to launch, the flexibility for content creators, the ongoing maintenance of your website, and more. In this blog post, I''d like to share a flowchart that can help you decide when to use what technology.</p>\n<p></p>\n<div class="img no-resize"><img src="/files/decoupled-decision-flowchart.jpg" alt="Decoupled decision flowchart" /></div>\n<p><br /></p>\n<p>This flowchart shows three things:</p>\n<p>First, using <strong>coupled Drupal</strong> is a perfectly valid option for those who don''t need extensive client-side rendering and state management. In this case, you would use Drupal''s built-in Twig templating system rather than heavily relying on a JavaScript framework. You would use jQuery to take advantage of limited JavaScript where necessary. Also, with <a href="http://buytaert.net/bigpipe-no-longer-just-for-the-top-50-websites" rel="nofollow">BigPipe in Drupal 8.1</a>, certain use cases that typically needed asynchronous JavaScript can now be done in PHP without slowing down the page (i.e. communication with an external web service delaying the display of user-specific real-time data). The advantage of this approach is that content marketers are not blocked by front-end developers as they assemble their user experiences, thus shortening time to market and reducing investment in ongoing developer support.</p>\n<p>Second, if you want all of the benefits of a JavaScript framework without completely bypassing Drupal''s HTML generation and all that you get with it, I recommend using <strong>progressively decoupled Drupal</strong>. With <a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">progressive decoupling</a>, you start with Drupal''s HTML output, and then use a JavaScript framework to add client-side interactivity on the client side. One of the most visited sites in the world, <a href="https://weather.com" rel="nofollow">The Weather Channel</a> (100 million unique visitors per month), does precisely this with Angular 1 layered on top of Drupal 7. In this case, you can enjoy the benefits of having a “decoupled" team made up of both Drupal and JavaScript developers progressing at their own velocities. JavaScript developers can build richly interactive experiences while leaving content marketers free to assemble those experiences without needing a developer''s involvement.</p>\n<p>Third, whereas <strong>fully decoupled Drupal</strong> makes a lot of sense when building native applications, for most websites, the leap to fully decoupling is not strictly necessary, though a growing number of people prefer using JavaScript these days. Advantages include some level of independence on the underlying CMS, the ability to tap into a rich toolset around JavaScript (e.g. Babel, Webpack, etc.) and a community of JavaScript front-end professionals. But if you are using a universal JavaScript approach with Drupal, it''s also important to consider the drawbacks: you need to ask yourself if you''re ready to add more complexity to your technology stack and possibly forgo functionality provided by a more integrated content delivery system, such as layout and display management, user interface localization, <a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">and more</a>. Losing that functionality can be costly, increase your dependence on a developer team, and hinder the end-to-end content assembly experience your marketing team expects, among other things.</p>\n<p>It''s worth noting that over time we are likely to see better integrations between Drupal and the different JavaScript frameworks (e.g. Drupal modules that export their configuration, and SDKs for different JavaScript frameworks that use that configuration on the client-side).  When those integrations mature, I expect more people will move towards fully decoupled Drupal.</p>\n<p>To be performant, fully decoupled websites using JavaScript <a href="http://buytaert.net/a-history-of-javascript-across-the-stack" rel="nofollow">employ Node.js on the server to improve initial performance</a>, but in the case of Drupal this is not necessary, as Drupal can do the server-side pre-rendering for you. Many JavaScript developers opt to use Node.js for the convenience of shared rendering across server and client rather than for the specific things that Node.js excels in, like real-time push, concurrent connections, and bidirectional client-server communication. In other words, most Drupal websites don''t need Node.js.</p>\n<p></p>\n<div class="img no-resize"><img src="/files/decoupled-delivery-architectures.jpg" alt="Decoupled delivery architectures" /></div>\n<p><br /></p>\n<p>In practice, I believe many organizations want to use all of these content delivery options. In certain cases, you want to let your content management system render the experience so you can take full advantage of its features with minimal or no development effort (coupled architecture). But when you need to build a website that needs a much more interactive experience or that integrates with unique devices (i.e. on in-store touch screens), you should be able to use that same content management system''s content API (decoupled architecture).  Fortunately, Drupal allows you to use either. The beauty of choosing from the spectrum of fully decoupled Drupal, progressively decoupled Drupal, and coupled Drupal is that you can do what makes the most sense in each situation.</p>\n<p><em>Special thanks to <a href="https://www.drupal.org/u/prestonso" rel="nofollow">Preston So</a>, <a href="https://www.drupal.org/u/effulgentsia" rel="nofollow">Alex Bronstein</a> and <a href="https://www.drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> for contributions to this blog post.  We created at least 10 versions of this flowchart before settling on this one.</em></p>\n<p><a href="http://buytaert.net/how-should-you-decouple-drupal#comments" rel="nofollow">Continue the conversation on buytaert.net</a></p></div></div></div>', '1458661097', '2692255 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('85', '1', 'How should you decouple Drupal?', 'https://www.drupal.org/node/2696275', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/how-should-you-decouple-drupal" rel="nofollow">Republished from buytaert.net</a></p>\n<p>With <a href="https://www.drupal.org/documentation/modules/rest" rel="nofollow">RESTful web services in Drupal 8 core</a>, Drupal can function as an API-first back end serving browser applications, native applications on mobile devices, in-store displays, even in-flight entertainment systems (Lufthansa is doing so in Drupal 8!), and much more. When building a new website or web application in 2016, you may ask yourself: how should I decouple Drupal? Do I build my website with Drupal''s built-in templating layer or do I use a JavaScript framework? Do I need Node.js?</p>\n<p>There is a lot of hype around decoupled architectures, so before embarking on a project, it is important to make a balanced analysis.  Your choice of architecture has implications on your budget, your team, time to launch, the flexibility for content creators, the ongoing maintenance of your website, and more. In this blog post, I''d like to share a flowchart that can help you decide when to use what technology.</p>\n<p></p>\n<div class="img no-resize"><img src="/files/decoupled-decision-flowchart.jpg" alt="Decoupled decision flowchart" /></div>\n<p><br /></p>\n<p>This flowchart shows three things:</p>\n<p>First, using <strong>coupled Drupal</strong> is a perfectly valid option for those who don''t need extensive client-side rendering and state management. In this case, you would use Drupal''s built-in Twig templating system rather than heavily relying on a JavaScript framework. You would use jQuery to take advantage of limited JavaScript where necessary. Also, with <a href="http://buytaert.net/bigpipe-no-longer-just-for-the-top-50-websites" rel="nofollow">BigPipe in Drupal 8.1</a>, certain use cases that typically needed asynchronous JavaScript can now be done in PHP without slowing down the page (i.e. communication with an external web service delaying the display of user-specific real-time data). The advantage of this approach is that content marketers are not blocked by front-end developers as they assemble their user experiences, thus shortening time to market and reducing investment in ongoing developer support.</p>\n<p>Second, if you want all of the benefits of a JavaScript framework without completely bypassing Drupal''s HTML generation and all that you get with it, I recommend using <strong>progressively decoupled Drupal</strong>. With <a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">progressive decoupling</a>, you start with Drupal''s HTML output, and then use a JavaScript framework to add client-side interactivity on the client side. One of the most visited sites in the world, <a href="https://weather.com" rel="nofollow">The Weather Channel</a> (100 million unique visitors per month), does precisely this with Angular 1 layered on top of Drupal 7. In this case, you can enjoy the benefits of having a “decoupled" team made up of both Drupal and JavaScript developers progressing at their own velocities. JavaScript developers can build richly interactive experiences while leaving content marketers free to assemble those experiences without needing a developer''s involvement.</p>\n<p>Third, whereas <strong>fully decoupled Drupal</strong> makes a lot of sense when building native applications, for most websites, the leap to fully decoupling is not strictly necessary, though a growing number of people prefer using JavaScript these days. Advantages include some level of independence on the underlying CMS, the ability to tap into a rich toolset around JavaScript (e.g. Babel, Webpack, etc.) and a community of JavaScript front-end professionals. But if you are using a universal JavaScript approach with Drupal, it''s also important to consider the drawbacks: you need to ask yourself if you''re ready to add more complexity to your technology stack and possibly forgo functionality provided by a more integrated content delivery system, such as layout and display management, user interface localization, <a href="http://buytaert.net/the-future-of-decoupled-drupal" rel="nofollow">and more</a>. Losing that functionality can be costly, increase your dependence on a developer team, and hinder the end-to-end content assembly experience your marketing team expects, among other things.</p>\n<p>It''s worth noting that over time we are likely to see better integrations between Drupal and the different JavaScript frameworks (e.g. Drupal modules that export their configuration, and SDKs for different JavaScript frameworks that use that configuration on the client-side).  When those integrations mature, I expect more people will move towards fully decoupled Drupal.</p>\n<p>To be performant, fully decoupled websites using JavaScript <a href="http://buytaert.net/a-history-of-javascript-across-the-stack" rel="nofollow">employ Node.js on the server to improve initial performance</a>, but in the case of Drupal this is not necessary, as Drupal can do the server-side pre-rendering for you. Many JavaScript developers opt to use Node.js for the convenience of shared rendering across server and client rather than for the specific things that Node.js excels in, like real-time push, concurrent connections, and bidirectional client-server communication. In other words, most Drupal websites don''t need Node.js.</p>\n<p></p>\n<div class="img no-resize"><img src="/files/decoupled-delivery-architectures.jpg" alt="Decoupled delivery architectures" /></div>\n<p><br /></p>\n<p>In practice, I believe many organizations want to use all of these content delivery options. In certain cases, you want to let your content management system render the experience so you can take full advantage of its features with minimal or no development effort (coupled architecture). But when you need to build a website that needs a much more interactive experience or that integrates with unique devices (i.e. on in-store touch screens), you should be able to use that same content management system''s content API (decoupled architecture).  Fortunately, Drupal allows you to use either. The beauty of choosing from the spectrum of fully decoupled Drupal, progressively decoupled Drupal, and coupled Drupal is that you can do what makes the most sense in each situation.</p>\n<p><em>Special thanks to <a href="https://www.drupal.org/u/prestonso" rel="nofollow">Preston So</a>, <a href="https://www.drupal.org/u/effulgentsia" rel="nofollow">Alex Bronstein</a> and <a href="https://www.drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> for contributions to this blog post.  We created at least 10 versions of this flowchart before settling on this one.</em></p>\n<p><a href="http://buytaert.net/how-should-you-decouple-drupal#comments" rel="nofollow">Continue the conversation on buytaert.net</a></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1458661097', '2696275 at https://www.drupal.org'),
('86', '1', 'Examples of how to make Drupal outside-in', 'https://www.drupal.org/news/examples-of-how-to-make-drupal-outside-in', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/examples-of-how-to-make-drupal-outside-in">Republished from buytaert.net</a></p>\n<p>The authoring experience improvements we made in Drupal 8 appear to be well-received, but that doesn''t mean we are done. With semantic versioning in Drupal 8, we can now make more UX changes in follow-up releases of Drupal 8.  So now is a good time to start moving Drupal''s user experience forward.</p>\n<p>The goal of this post is to advance the conversation we started over a month ago in a blog post talking about the concept of <a href="http://buytaert.net/turning-drupal-outside-in">turning Drupal outside-in</a>. In today''s blog post, we''ll show concrete examples of how we could make site building in Drupal easier by embracing the concept of outside-in. We hope to provide inspiration to designers, core contributors and module maintainers for how we can improve the user experience of Drupal 8.2 and beyond.</p>\n<h3>What is outside-in?</h3>\n<p>In Drupal you often have to build things from the ground up. If you want to make a list of events you need to wade through 20 different menu options to a user interface with configuration options like "boolean" and "float", build a content type, content, and then a view. Essentially you need to <em>understand everything before you can build anything</em>.</p>\n<p>In an "outside-in" experience – or what <a href="https://www.drupal.org/u/tkoleary">Kevin OLeary</a> (Director of Design on <a href="http://buytaert.net/announcing-the-office-of-the-cto-at-acquia">my team at Acquia</a>) calls <a href="http://koleary.github.io/LiteralUI/">Literal UI</a> – you can click anything on the page, edit its configuration in-place, and watch it take effect immediately.</p>\n<p>Over the past few years Drupal has adopted a more outside-in approach, the most obvious example being Drupal 8''s in-place editing. It enables you to edit what you see with an uninterrupted workflow, faster preview, and removes the need to visit the administration backend before you can start editing.</p>\n<p>To evaluate how outside-in can be applied more broadly in order to make Drupal easier to use, Kevin created a few animated gifs.</p>\n<h3>Example #1: editing menu items</h3>\n<h4>The current inside-out experience</h4>\n<p>Editing menu options in Drupal has already become more outside-in with contextual links.  The contextual links take away some of the guesswork of finding the proper administration UI, but once you arrive at the configuration page there is still a lot of stuff to take in, only some of which is relevant to this task.</p>\n\n<p><figure class="figure"><br /><br /><div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/images/blog/outside-in-menu-before.gif" style="display: block;" alt="The current inside-out experience for editing a menu item in Drupal" /></div>\n</figure></p>\n<p><figcaption>The current inside-out experience for editing a menu item: adding a menu link and changing its position involves 2 separate administration pages, 4 page refreshes and more than 400 words of text on the UI.</figcaption></p>\n<p>\n</p>\n<p>Anyone familiar with Drupal will recognize the pattern above; you go to an administration UI, make some changes, than you go back to the page to see if it worked. This context switching creates what UX people call "cognitive load". On an administration page you need to remember what was on the site page and vice-versa.</p>\n<p>To complete this task you need to:</p>\n<ol><li>Find the contextual link for the menu (not simple since it''s on the far side of the page)</li>\n<li>Choose the correct option "edit menu"</li>\n<li>Find and click the "add link" button</li>\n<li>Type the menu link name</li>\n<li>Type the menu link path beginning with a forward slash</li>\n<li>Understand that this change needs to be saved</li>\n<li>Scroll to the bottom of the page</li>\n<li>Save the link</li>\n<li>Find the link in the list of links</li>\n<li>Understand that dragging up/down in this abstraction is equivalent to moving right/left in that actual page</li>\n<li>Scroll to the bottom of the page</li>\n<li>Save the menu</li>\n</ol><p>The problem is not just that there are too many pages, clicks, or words, it''s that each step away from the actual page introduces new opportunities for confusion, error and repetition. In user testing, we have seen users who were unable to find the contextual link, or to understand which option to choose, or to find the "add link" button, or to add a path, or drag-drop links, or to save before leaving the UI. When these things happen in context feedback about whether you are "doing it right" is immediate.</p>\n<h4>The proposed outside-in experience</h4>\n\n<p><figure class="figure"><br /><br /><div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/images/blog/outside-in-menu-after.gif" style="display: block;" alt="The proposed outside-in experience for editing a menu item in Drupal" /></div>\n</figure></p>\n<p><figcaption>The proposed outside-in experience for editing a menu item. Rather than moving out-of-context to an administration page to get the job done, configuration happens right on the page where you see the effect of each action. You start adding a menu item simply by selecting the menu on the page. Both the menu item and the item''s path are in focus to reinforce the connection. As you type a path is proposed from the link text.</figcaption></p>\n<p>\n</p>\n<p>Now all you need to do is:</p>\n<ol><li>Click the menu on the page</li>\n<li>Find and click the "add link" button</li>\n<li>Type the name of the menu item</li>\n<li>Revise the menu item''s path if needed</li>\n<li>Drag the link to its new location</li>\n<li>Close the drawer</li>\n</ol><p>One important aspect of this approach is that all actions that produce a visible change have bi-directional control and bi-directional feedback. In other words, if you can drag something in the configuration drawer you should also be able to drag it on the page, and the changes should happen simultaneously.</p>\n<h3>Example #2: adding a block to a page</h3>\n<h4>The current inside-out experience</h4>\n<p>The process of adding a block can be difficult. Once you discover where to go to add a block, which is in itself a challenge, the experience requires a lot of reading and learning, as well as trial and error.</p>\n\n<p><figure class="figure"><br /><br /><div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/images/blog/outside-in-blocks-before.gif" style="display: block;" alt="The current inside-out experience for adding a block" /></div>\n</figure></p>\n<p><figcaption>The current inside-out experience for adding a block. Not all steps are shown.</figcaption></p>\n<p>\n</p>\n<p>To complete this task you need to:</p>\n<ol><li>Figure out where to go to place a block</li>\n<li>Go to /block-layout</li>\n<li>Go to /display-regions to find out where the region is on the page</li>\n<li>Go back to /block-layout</li>\n<li>Find the region and click "add block"</li>\n<li>Find the block you want to place and click "place block"</li>\n<li>Configure the block</li>\n<li>Read about how blocks can appear on multiple pages and for different content types and roles</li>\n<li>Read what content types are</li>\n<li>Read what roles are</li>\n<li>Read what a "path" is</li>\n<li>Read how to find the path for a page</li>\n<li>Go back to the page and get its path</li>\n<li>Go back to /block-layout and add the path to the visibility settings</li>\n<li>Drag your block to the position where you want it</li>\n<li>If your blocks are arranged horizontally, learn that "up and down" in the block layout UI will mean "left and right" on the actual page</li>\n<li>Find the"back to site" link </li>\n<li>Go back to the page to see if you did it right</li>\n</ol><p>Eventually you''ll use what you just learned, but Drupal makes you learn it first instead of just showing what is immediately necessary. Both the task and the learning can be simplified by bringing the configuration closer to the object you are configuring.</p>\n<h4>The proposed outside-in experience</h4>\n\n<p><figure class="figure"><br /><br /><div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/images/blog/outside-in-blocks-after.gif" style="display: block;" alt="The proposed outside-in experience for adding a block" /></div>\n</figure></p>\n<p><figcaption>The proposed outside-in experience for adding a block. Everything happens on the actual page rather than on an administration page. Places where things can be added appear on hover. On click they show thumbnails that you can filter with autocomplete.</figcaption></p>\n<p>\n</p>\n<p>Now all you need to do is:</p>\n<ol><li>Choose where to place the block</li>\n<li>Find the block you want to place</li>\n<li>Place the block</li>\n<li>Close the drawer</li>\n</ol><p>The "plus" button, the drop target (blue dotted rectangle) and the autocomplete are all commonly understood patterns used by other software.  The task requires no or little explanation as the interactions reveal the process.  By starting with selecting the location of where to place the block, we avoid the need for drag-and-drop and the complexity of dragging a block on a page that requires scrolling.</p>\n<h3>Principles and patterns</h3>\n<p>These examples show the <em>principle</em> that rather than taking the site builder to a separate administration backend, the experience should begin with the actual page and show how the changes will be seen by the end-user. The <em>patterns</em> shown here are less important. For example the animated gifs above show two different approaches to the options panel and there are certainly others. The important thing is not yet where the panel comes from or how it looks, but that the following criteria are met:</p>\n<ul><li>An option panel is triggered by direct interaction.</li>\n<li>When triggered it only shows options for what you selected.</li>\n<li>It primarily shows configuration options that produce a visible change to the page. More complex options could be accessed through an ''Advanced options'' link.</li>\n</ul><p>The ideas in this post are meant to provide some food for thought and become the seed of some patches for Drupal 8.2. Rather than dive right into development, we''re looking to the Drupal community to take these designs as a starting point to prototype and user-test more outside-in experiences in Drupal.</p>\n<p>The next post in this series will cover outside-in experiences with more complex contexts and the problem of "leaky abstractions".  If you don''t want to miss the next blog post, make sure to <a href="http://buytaert.net/subscribe">subscribe</a>.  In the mean time, I''d love to hear what you think!</p>\n<p><em>Special thanks to <a href="https://www.drupal.org/u/tkoleary">Kevin OLeary</a> for advocating outside-in thinking. Thanks to <a href="https://www.drupal.org/u/prestonso">Preston So</a>, <a href="https://drupal.org/u/gabor-hojtsy">Gábor Hojtsy</a>, <a href="https://www.drupal.org/u/webchick">Angie Byron</a>, <a href="https://www.drupal.org/u/bojhan">Bojhan Somers</a> and <a href="https://www.drupal.org/u/yoroy">Roy Scholten</a> for their feedback.</em></p>\n<p><a href="http://buytaert.net/examples-of-how-to-make-drupal-outside-in#comments">Continue the conversation on buytaert.net</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1459371903', '2697217 at https://www.drupal.org'),
('87', '1', 'Launch of the Aaron Winborn Award 2016', 'https://www.drupal.org/news/launch-of-the-aaron-winborn-award-2016', 'adshill', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Last year, in honor of long-time Drupal contributor <a href="https://www.drupal.org/node/2444367" rel="nofollow">Aaron Winborn</a>, whose battle with Amyotrophic lateral sclerosis (ALS) (also referred to as Lou Gehrig''s Disease) came to an end, the <a href="https://www.drupal.org/governance/community-working-group" rel="nofollow">Community Working Group</a>, with the support of the <a href="http://assoc.drupal.org" rel="nofollow">Drupal Association</a> launched the <a href="https://www.drupal.org/aaron-winborn-award" rel="nofollow">Aaron Winborn Award</a>.</p>\n<p><strong>This year the nominations are open until 10th April 2016 (Midnight GMT).</strong></p>\n<p>This annual award recognizes an individual who demonstrates personal integrity, kindness, and above-and-beyond commitment to the Drupal community. It will include a scholarship and stipend to attend DrupalCon and recognition in a plenary session at the event.</p>\n<p>The inaugural Aaron Winborn Award was given to Cathy Theys at DrupalCon Barcelona - see the announcement on the <a href="https://assoc.drupal.org/blog/holly.ross.drupal/cathy-theys-inaugural-aaron-winborn-award-winner" rel="nofollow">Drupal Association blog</a>.</p>\n<p>Thanks to <a href="https://www.drupal.org/u/nonprofit" rel="nofollow">Hans Riemenschneider</a> for the suggestion, and the <a href="http://assoc.drupal.org" rel="nofollow">Drupal Association</a> executive board for backing this idea and the budget. We feel this award is a fitting honor to someone who gave so much to Drupal both on a technical and personal level.</p>\n<p><strong>If you know someone amazing who should benefit from this award you can make your nomination here:</strong></p>\n<p><a href="https://www.drupal.org/aaron-winborn-award" rel="nofollow">https://www.drupal.org/aaron-winborn-award</a></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1459533714', '2698689 at https://www.drupal.org'),
('88', '1', 'Improving Drupal''s content workflow', 'https://www.drupal.org/news/improving-drupal-content-workflow', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/improving-drupal-content-workflow">Republished from Buytaert.net</a></p>\n<p>At <a href="http://buytaert.net/state-of-drupal-presentation-february-2016">DrupalCon Mumbai</a> I sat down for several hours with the Drupal team at Pfizer to understand the work they have been doing on improving Drupal content management features.  They built a set of foundational modules that help advance Drupal''s content workflow capabilities; from content staging, to multi-site content staging, to better auditability, offline support, and several key user experience improvements like full-site preview, and more.  In this post, I want to point a spotlight on some of Pfizer''s modules, and kick-off an initial discussion around the usefulness of including some of these features in core.</p>\n<h3>Use cases</h3>\n<p>Before jumping to the technical details, let''s talk a bit more about the problems these modules are solving.</p>\n<ol><li><strong>Cross-site content staging</strong> — In this case you want to synchronize content from one site to another. The first site may be a staging site where content editors make changes. The second site may be the live production site. Changes are previewed on the stage site and then pushed to the production site. More complex workflows could involve multiple staging environments like multiple sites publishing into a single master site.</li>\n<li><strong>Content branching</strong> — For a new product launch you might want to prepare a version of your site with a new section on the site featuring the new product. The new section would introduce several new pages, updates to existing pages, and new menu items. You want to be able to build out the updated version in a self-contained ''branch'' and merge all the changes as a whole when the product is ready to launch. In an election case scenario, you might want to prepare multiple sections; one for each candidate that could win.</li>\n<li><strong>Preview your site</strong> — When you''re building out a new section on your site for launch, you want to preview your entire site, as it will look on the day it goes live. This is effectively content staging on a single site.</li>\n<li><strong>Offline browse and publish</strong> — Here is a use-case that Pfizer is trying to solve. A sales rep goes to a hospital and needs access to information when there is no wi-fi or a slow connection. The site should be fully functional in offline mode and any changes or forms submitted, should automatically sync and resolve conflicts when the connection is restored.</li>\n<li><strong>Content recovery</strong> — Even with confirmation dialogs, people delete things they didn’t want to delete. This case is about giving users the ability to “undelete” or recover content that has been deleted from their database.</li>\n<li><strong>Audit logs</strong> — For compliance reasons, some organizations need all content revisions to be logged, with the ability to review content that has been deleted and connect each action to a specific user so that employees are accountable for their actions in the CMS.</li>\n</ol><h3>Technical details</h3>\n<p>All these use cases share a few key traits:</p>\n<ol><li>Content needs to be synchronized from one place to another, e.g. from workspace to workspace, from site to site or from frontend to backend</li>\n<li>Full revision history needs to be kept</li>\n<li>Content revision conflicts needs to be tracked</li>\n</ol><p>Much of this started as a single module: <a href="https://www.drupal.org/project/deploy">Deploy</a>.  The Deploy module was first created by <a href="https://www.drupal.org/u/heyrocker">Greg Dunlap</a> for Drupal 6 in 2008.  In 2012, Greg handed over maintainership to <a href="https://www.drupal.org/u/dixon_">Dick Olsson</a> who created the first Drupal 7 version (7.x-2.x) with many big improvements.  Later,  <a href="https://www.drupal.org/u/skwashd">Dave Hall</a> created a second Drupal 7 version (7.x-3.x) which more significant improvements based on feedback from different users.  Today, both Dick and Dave work at Pfizer and have continued to include lessons learned in the Drupal 8 version of the module.  After years of experience working on Deploy module and various redesigns, the team has extracted the functionality in a set of modules:</p>\n<ul><li><a href="https://www.drupal.org/project/deploy">Deploy</a></li>\n<li><a href="https://www.drupal.org/project/multiversion">Multiversion</a></li>\n<li><a href="https://www.drupal.org/project/replication">Replication</a></li>\n<li><a href="https://www.drupal.org/project/workspace">Workspace</a></li>\n<li><a href="https://www.drupal.org/project/relaxed">RELAXed Web Services</a></li>\n<li><a href="https://www.drupal.org/project/trash">Trash</a></li>\n</ul><h4>Multiversion</h4>\n<p>This module does three things: (1) it adds revision support for all content entities in Drupal, not just nodes and block content as provided by core, and (2) it introduces the concept of parent revisions so you can create different branches of your content or site, and (3) it keeps track of conflicts in the revision tree (e.g. when two revisions share the same parent).  Many of these features complement the <a href="https://www.drupal.org/node/2635070">ongoing improvements to Drupal''s Entity API</a>.</p>\n<h4>Replication</h4>\n<p>Built on top of Multiversion module, this lightweight module reads revision information stored by Multiversion, and uses that to determine what revisions are missing from a given location and lets you replicate content between a source and a target location. The next two modules, Workspace and RELAXed Web Services depend on replication module.</p>\n<h4>Workspace</h4>\n<p>This module enables single site content staging and full-site previews. The UI lets you create workspaces and switch between them. With Replication module different workspaces on the same site can behave like different editorial environments.</p>\n<h4>RELAXed Web Services</h4>\n<p>This module facilitates cross-site content staging. It provides a more extensive REST API for Drupal with support for UUIDs, translations, file attachments and parent revisions — all important to solve unique challenges with content staging (e.g. UUID and revision information is needed to resolve merge conflicts). The RELAXed Web Services module extends the Replication module and makes it possible to replicate content from local workspaces to workspaces on remote sites using this API.</p>\n<p>In short, Multiversion provides the "storage plumbing", whereas Replication, Workspace, and RELAXed Web Services, provide the "transport plumbing".</p>\n<h4>Deploy</h4>\n<p>Historically Deploy module has taken care of everything from bottom to top related to content staging. But for Drupal 8 Deploy has been rewritten to just provide a UI on-top of the Workspace and Replication modules. This UI lets you manage content deployments between workspaces on a single site, or between workspaces across sites (if used together with RELAXed Web Services module). The maintainers of the Deploy module have put together a marketing site with more details on what it does: <a href="http://www.drupaldeploy.org">http://www.drupaldeploy.org</a>.</p>\n<h4>Trash</h4>\n<p>To handle use case #5 (content recovery) the Trash module was implemented to restore entities marked as deleted. Much like a desktop trash or recycle bin, the module displays all entities from all supported content types where the default revision is flagged as deleted. Restoring creates a newer revision, which is not flagged as deleted.</p>\n<h4>Synchronizing sites with a battle-tested API</h4>\n<p>When a Drupal site installs and enables RELAXed Web Services it will look and behave like the REST API from <a href="http://couchdb.apache.org">CouchDB</a>. This is a pretty clever trick because it enables us to leverage the CouchDB ecosystem of tools. For example, you can use <a href="https://pouchdb.com/">PouchDB</a>, a JavaScript implementation of CouchDB, to provide a fully-decoupled offline database in the web browser or on a mobile device. Using the same API design as CouchDB also gives you "streaming replication" with instant updates between the backend and frontend. This is how Pfizer implements off-line browse and publish.</p>\n<p><figure class="figure"><br /><div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/images/blog/pfizer-content-workflow-improvements-workspaces.gif" style="display: block;" alt="Switching between multiple workspaces" /></div>\n<p><figcaption>This animated gif shows how a content creator can switch between multiple workspaces and get a full-site preview on a single site. In this example the Live workspace is empty, while there has been a lot of content addition on the Stage workspace in.</figcaption></p></figure></p>\n<p><figure class="figure"><br /><div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/images/blog/pfizer-content-workflow-improvements-deploy.gif" style="display: block;" alt="Deploying a workspace" /></div>\n<p><figcaption>This animated gif shows how a workspace is deployed from ''Stage'' to ''Live'' on a single site. In this example the Live workspace is initially empty.</figcaption></p></figure></p>\n<h3>Conclusion</h3>\n<p>Drupal 8.0 core packed many great improvements, but we didn''t focus much on advancing Drupal''s content workflow capabilities.  As we think about Drupal 8.x and beyond, it might be good to move some of our focus to features like content staging, better audit-ability, off-line support, full-site preview, and more.  If you are a content manager, I''d love to hear what you think about better supporting some or all of these use cases. And if you are a developer, I encourage you to take a look at these modules, try them out and let us know what you think. </p>\n<p><em>Thanks to <a href="https://www.drupal.org/u/timmillwood">Tim Millwood</a>, <a href="https://www.drupal.org/u/dixon_">Dick Olsson</a> and <a href="https://www.drupal.org/u/catch">Nathaniel Catchpole</a> for their feedback on the blog post.  Special thanks to Pfizer for contributing to Drupal.</em></p>\n<p><a href="http://buytaert.net/improving-drupal-content-workflow#comments">Comment on <em>Improving Drupal''s content workflow</em> on Buytaert.net</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1459796848', '2699967 at https://www.drupal.org'),
('89', '1', 'Restructuring Drupal.org', 'https://www.drupal.org/drupalorg/blog/restructuring-drupalorg', 'tvn', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>In this post I''d like to talk about one of our major projects for 2016, which comes as a follow up to the content strategy project of 2015.</p>\n<h2>Content restructure</h2>\n<p>Last year we <a href="https://www.drupal.org/node/1133434" rel="nofollow">presented our findings</a> from the content strategy developed by Drupal Association staff in collaboration with Forum One. This year we''re focusing on bringing as many of those ideas to life as we can. We call this implementation phase ''content restructure''. We''ll look at one area of the site at a time, audit its content, change the way it is created and stored (content type) if needed, redesign the way it looks and reorganize it into a more usable and findable structure, improving content quality and giving content creators better tools to maintain it along the way.</p>\n<p>The backbone of the new content structure are ''sections'' or top level groupings of content. We created infrastructure to make those possible and have already <a href="https://www.drupal.org/drupalorg/blog/introducing-sections" rel="nofollow">launched the first few</a>.</p>\n<p>Together with sections we''ve been rolling out blogs to improve how we communicate about specific topics on Drupal.org. Recently, I <a href="https://www.drupal.org/drupalorg/blog/communicating-better" rel="nofollow">talked in more detail</a> how blogs and sections fit into our overall plan of making it easier to communicate important announcements and news to the Drupal community.</p>\n<p>Our current focus is Documentation area of the site. We''re working on a complete revamp that will change the way documentation looks and works, and will change the way users can navigate and improve documentation. We''re working closely with the Documentation Working Group and performing rounds of usability testing to ensure the changes we are working on will improve the user experience across the board. More details on this can be <a href="https://www.drupal.org/node/2533684" rel="nofollow">found in the issue queue</a>.</p>\n<p>A big part of the content restructure plan is a content audit and migration. This is especially true for documentation revamp, where we have thousands of pages to migrate into the new system. We''ll be turning to the community to help us with this effort. Not only because that''s too many pages for a small team like ours to migrate on our own, but also because we need subject matter experts to look at a lot of the pages and evaluate how accurate they are, whether they should be migrated or archived, and so on.</p>\n<h2>More than just content</h2>\n<p>Along with the content restructure project, we''ll be doing important work that complements and supports it, though each component is not a discrete project on its own.</p>\n<h3>Developing visual design system</h3>\n<p>The current Drupal.org design is based on branding and design work done in 2008 by Mark Boulton Design and Leisa Reichelt. They did a great job, but even the most beautiful site will age. Since more than seven years have elapsed since the last redesign, it''s time to update the site for a more contemporary look.</p>\n<p>Our quest towards updating Drupal.org visually started in 2014 with the <a href="https://assoc.drupal.org/blog/tvn/drupal.org-user-research-results-user-personas" rel="nofollow">user research project</a>, which brought us <a href="https://www.drupal.org/drupalorg/personas" rel="nofollow">user personas</a>. The next big step was the <a href="https://assoc.drupal.org/blog/tvn/drupal.org-content-strategy-announcing-request-proposals" rel="nofollow">content strategy project</a>, which laid the groundwork for the content restructure work discussed above.</p>\n<p>Building on what we learned about our users, and how to structure our content to best serve their needs, this year we''ll be introducing the new visual design system for the site. There will not be a single, comprehensive launch, where you wake up and suddenly Drupal.org looks completely different. We''ll do it iteratively, in parallel with the content restructure, by redesigning the specific area of the site we are focusing on at a given time. This approach lets us introduce visual changes sooner, and iteratively improve and refine them as we go. In fact, you''ve already seen some of the elements of the new visual system appear with the Drupal 8 launch.</p>\n<p>Later this week, our designer <a href="https://www.drupal.org/u/dyannenova" rel="nofollow">DyanneNova</a> will share a bit more details about the work we''ve already done towards the new system and our next steps.</p>\n<h3>Updating content style guide</h3>\n<p>Along with restructuring content we also want to improve the quality of the existing content during migrations, as well as the quality of the content that will be created in the future. To this end, we''ll be taking a look at the <a href="https://www.drupal.org/drupalorg/style-guide/content" rel="nofollow">content style guide</a>, and plan to refresh and update it. We also anticipate expanding the guide to add information about specific <a href="https://www.drupal.org/drupalorg/style-guide/words-phrases/content-types" rel="nofollow">content types</a> and <a href="https://www.drupal.org/drupalorg/style-guide/words-phrases/channels" rel="nofollow">communication channels</a>.</p>\n<h3>Capturing user engagement and contribution</h3>\n<p>Another aspect of our content restructure work will touch on user engagement and contribution. As we go area through area of the site, redesigning it and improving its content, we''ll be looking at what type of user engagement and contributions happen in that area. We''ll be looking for opportunities to better capture them, and subsequently better recognize and display those contributions. For example, right now ''documentation edits'' count on user profiles show the number of edits user has done to ''book page'' content type items, which may or may not be documentation. We''ll make that calculation more precise to display the actual documentation edits. We''ll also be able to display specific parts of documentation a user maintains, similar to projects they maintain.</p>\n<h3>Increasing sustainability</h3>\n<p>An ongoing challenge at the Drupal Association is ensuring we have sustainable revenue to support our work for the community. As we do this work, we will be looking into improving existing revenue opportunities and introducing new ones to make Drupal.org more sustainable. We will also work closely with partners who may be willing to sponsor specific improvements to Drupal.org on behalf of the community.</p>\n<h2>Other initiatives</h2>\n<p>The content restructure is not the only project we are working on right now. Some of the other initiatives will be described in future posts. Check our <a href="https://www.drupal.org/drupalorg/roadmap" rel="nofollow">Roadmap</a> to see all the things in progress.</p>\n<p>And if you happen to be at DrupalCon New Orleans this May, come to <a href="https://events.drupal.org/neworleans2016/sessions/drupalorg-is-changing" rel="nofollow">our session</a> to get further updates on some of the topics discussed in this blog.</p></div></div></div>', '1459960384', '2701269 at https://www.drupal.org'),
('90', '1', 'Drupal 8.1.0 RC1 is available for testing', 'https://www.drupal.org/drupal-8.1.0-rc1', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>The <a href="/drupal-8.1.0-rc1-release-notes">first release candidate for the upcoming Drupal 8.1.0 release</a> is now available for testing. With Drupal 8, we made major changes in our release process, adopting semantic versioning and scheduled releases. This allows us to make significant improvements to Drupal 8 in a timely fashion while still providing backwards compatibility. Drupal 8.1.0 will be the first such update, expected to be released April 20.</p>\n<!--break--><div style="text-align: center; margin: 2em;"><a href="/drupal-8.1.0-rc1-release-notes" class="link-button"><span>Download Drupal-8.1.0-rc1</span></a></div>\n<p>8.1.x includes an experimental user interface for migrating from Drupal 6 and 7, the BigPipe module for increasing perceived site performance, and more. You can read a detailed list of improvements in the announcements of <a href="https://www.drupal.org/drupal-8.1.0-beta1">beta1</a> and <a href="https://www.drupal.org/drupal-8.1.0-beta2">beta2</a>.</p>\n<h2>What does this mean to me?<br /><h2>\n<h3>For Drupal 8 site owners</h3>\n</h2></h2><p>The <a href="/drupal-8.0.6-release-notes">final bugfix release of 8.0.x</a> has been released. <strong>8.0.x will receive no further releases following 8.1.0</strong>, and sites should prepare to <a href="https://www.drupal.org/node/2700999">update from 8.0.x to 8.1.x</a> in order to continue getting bug and security fixes. Use <code class="language-php">update.php</code> to update your 8.0.x sites to the 8.1.x series, just as you would to update from (e.g.) 8.0.4 to 8.0.5. You can use this release candidate to test the update. (Always back up your data before updating sites, and do not test updates in production.)</p>\n<p><img src="/files/8.1.0_phases_0.png" alt="Drupal 8 release cycle diagram, showing the 8.1.x beta and RC phases beginning as 8.0.x nears its end in April, and 8.0.x support ending when 8.1.x is released." /></p>\n<h3>For module and theme authors</h3>\n<p>Drupal 8.1.x is backwards-compatible with 8.0.x. However, it does include <a href="https://www.drupal.org/core/d8-bc-policy">internal API changes</a> and <a href="https://www.drupal.org/core/experimental#alpha">API changes to experimental modules</a>, so some minor updates may be required. <a href="https://www.drupal.org/list-changes/drupal/published?keywords_description=&amp;to_branch=8.1.x&amp;version=&amp;created_op=%3E%3D&amp;created%5Bvalue%5D=&amp;created%5Bmin%5D=&amp;created%5Bmax%5D=">Review the  change records for 8.1.x</a>, and test modules and themes with the release candidate now.</p>\n<h3>For translators</h3>\n<p><a href="https://www.drupal.org/project/issues/search/drupal?project_issue_followers=&amp;issue_tags_op=%3D&amp;issue_tags=String+change+in+8.1.0">Some text changes were made since Drupal 8.0.0</a>. Localize.drupal.org automatically offers these new and modified strings for translation. Strings are frozen with the release candidate, so translators can now update translations.</p>\n<h3>For core developers</h3>\n<p>All outstanding issues filed against 8.0.x are automatically migrated to 8.1.x after the final 8.0.x patch release. Future bug reports should be targeted against the 8.1.x branch. 8.2.x will remain open for new development during the 8.1.x release candidate phase. For more information, <a href="https://groups.drupal.org/node/510057">see the release candidate phase announcement</a>.</p>\n<h3>Your bug reports help make Drupal better!</h3>\n<p>Release candidates are a chance to identify bugs for the upcoming release, so help us by <a href="https://www.drupal.org/project/issues/drupal?version=8.x">searching the issue queue</a> for any bugs you find, and filing a new issue if your bug has not been reported yet. </p>\n<p><strong>Note that there are <a href="https://www.drupal.org/project/issues/search/drupal?project_issue_followers=&amp;status%5B%5D=Open&amp;version%5B%5D=8.x&amp;component%5B%5D=migration+system&amp;issue_tags_op=%3D">known issues with the experimental Migrate module suite</a>, especially the incomplete Drupal 7 to Drupal 8 migration path</strong>. If the bug you find is not covered by one of these issues, your detailed bug report with steps to reproduce is a big help!</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1459979197', '2701423 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('91', '1', 'What’s new on Drupal.org? - March 2016', 'https://www.drupal.org/drupalorg/blog/whats-new-on-drupalorg-march-2016', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Read our <a href="https://www.drupal.org/drupalorg/roadmap" rel="nofollow">Roadmap</a> to understand how this work falls into priorities set by the Drupal Association with direction and collaboration from the Board and community.</p>\n<h2>Drupal.org updates</h2>\n<h3>Syntax Highlighting</h3>\n<p>A WYSIWYG editor(CKEditor) is coming to Drupal.org soon to improve the editorial experience- and to take advantage of the same functionality that made CKEditor the choice for Drupal 8 core. However, as a stepping stone to that goal, we need to ensure that the formatting of <code class="language-php">&lt;code&gt;</code> blocks throughout Drupal.org is preserved. </p>\n<p>This has lead us to using Prism.js for syntax highlighting on Drupal.org. You can see this change in any <code class="language-php">&lt;code&gt;</code> or <code class="language-php">&lt;?php&gt;</code> block throughout the site, such as this example of <code class="language-php">function hook_field_info_alter();</code> below: </p>\n<p></p><pre class="codeblock"><code class="language-php">function hook_field_info_alter(&amp;$info) {\n  // Change the default widget for fields of type ''foo''.\n  if (isset($info[''foo''])) {\n    $info[''foo''][''default widget''] = ''mymodule_widget'';\n  }\n}\n</code></pre>\n<p>This is the first step, but with a better syntax highlighting library in place, we are pushing hard to make CKEditor itself available on Drupal.org. </p>\n<h3>Documentation Usability Testing</h3>\n<p><img class="right" src="/files/documentation-sneak-preview-1.png" documentation="" /></p>\n<p>In March members of the Drupal Association engineering team also spent time doing usability testing with a prototype of our new Documentation content type. This testing, performed with a representative sample of users of different experience levels with Drupal, helped validate our design direction for new Documentation pages and Documentation Guides on Drupal.org, and gave us some valuable feedback for further refining our design as we move into implementation. While we''re not yet ready to share all the details of the new Documentation experience, we''re very excited to share this with the community soon. </p>\n<h3>Release File Hashes</h3>\n<p>A file hash can be used to verify the integrity of a file downloaded from a trusted source. Drupal.org provided an md5 hash on the list of a project''s releases (here''s the <a href="https://www.drupal.org/node/3060/release" rel="nofollow">release listing for Drupal core</a>, for example), but we have expanded the file hash options to include: md5, sha-1, and sha-256. </p>\n<p><img src="/files/file-hashes-on-releases.gif" file="" hash="" /></p>\n<p>Because many users do not use file hashes, these hashes are not displayed by default. Any user who does want to access these file hashes can do so from a toggle on the sidebar of a release page. Your preference for what file hash to view will be saved in your browser''s local storage and displayed on all other release pages. The new sha-1 hashes will also be used in upcoming Composer integration.</p>\n<h3>Communications channels</h3>\n<p>Taking advantage of the new Sections and Blogs on Drupal.org, we''re gradually working on improving our communication channels. It starts with the Drupal blog, and the Drupal.org blog (which you''re reading now!) - but will soon affect all the ways we communicate about Drupal the software and Drupal.org the site. </p>\n<p>You can <a href="https://www.drupal.org/drupalorg/blog/communicating-better" rel="nofollow">learn more about communication channels</a> here. </p>\n<h3>2016 Elections Complete</h3>\n<p><img class="left" width="125px" src="/files/raised-hands-elections-drop.png" alt="”Hands" raised="" to="" make="" a="" title="" /></p>\n<p>Lastly, but certainly not least - the 2016 election for the Drupal Association At-Large board member ended in March. For the first time, we promoted the voting process to all eligible voters with a targeted banner on Drupal.org. This gave us the broadest reach we''ve ever had when electing a board member, and the most ballots submitted. You can <a href="https://assoc.drupal.org/blog/holly.ross.drupal/2016-drupal-association-large-election-winner-announced " rel="nofollow">learn more about the elections process and the final vote here</a>. </p>\n<p>Congratulations <a href="https://www.drupal.org/u/shyamala" rel="nofollow">Shayamala Rajaram</a> - and thank you for supporting the community by joining the board!</p>\n<h2>Sustaining support and maintenance</h2>\n<h3>Drupal.org Outages</h3>\n<p>Unfortunately our work in March was disrupted on several occasions by a particularly tricky series of outages. Seemingly at random one of the Drupal.org webnodes would experience cache corruption and begin serving 500 errors. The issues did not seem to be related to a recent change, a singular area of the site, or an increase in traffic. After some diligent sleuthing we began to see some patterns in the cache corruption. </p>\n<p>In the end, we were able to determine that all the outages were linked to the same <a href="https://www.drupal.org/node/2450533" rel="nofollow">bug in Drupal core''s handling of SchemaCache</a>. Drupal.org has been patched and since then no cache corruption incidents have recurred. With a bit more community review (you can help!), hopefully the fix will be committed to core so other affected sites will not encounter the same issue that we did.</p>\n<h3>More Improvements and Bug Fixes</h3>\n<p>We made a few other infrastructural improvements and bug fixes in March as well. Not the least of these was deploying dedicated beanstalkd queue servers, to improve the reliability of Drupal.org job queues, especially when recovering from disruption. </p>\n<p>We also fixed a regression on groups.drupal.org caused by the upgrade to PHP 5.4 the previous month. A bug in the date chooser caused the date of an event to be reset whenever the event was edited- an issue that we know was frustrating to many in the community who organize local events. </p>\n<p>Lastly, we fixed an issue on jobs.drupal.org to make it easier for companies to renew their featured job listings (without having to reach out to us for manual support). We''re seeing a marked increase in the Drupal Jobs interest since the launch of Drupal 8 and we''ll continue to improve the Drupal Jobs platform to foster the Drupal ecosystem. </p>\n<p>———</p>\n<p>As always, we’d like to say thanks to all the volunteers who work with us, and to the Drupal Association <a href="https://drupal.org/supporters" rel="nofollow">Supporters</a>, who made it possible for us to work on these projects.</p>\n<p>Follow us on Twitter for regular updates: <a href="https://twitter.com/drupal_org" rel="nofollow">@drupal_org</a>, <a href="https://twitter.com/drupal_infra" rel="nofollow">@drupal_infra</a></p></div></div></div>', '1460147537', '2702971 at https://www.drupal.org'),
('92', '1', 'A new design system for Drupal.org', 'https://www.drupal.org/drupalorg/blog/a-new-design-system', 'DyanneNova', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>As mentioned in our <a href="https://www.drupal.org/drupalorg/blog/restructuring-drupalorg">previous post</a>, one of the initiatives we are working on this year is building a new visual system for Drupal.org.</p>\n<p>It has been 7 years since Mark Boulton <a href="http://dc2009.drupalcon.org/session/design-community-redesign-drupalorg.html">worked on a design plan for Drupal.org</a>. Since then the web has come a long way. So has Drupal. Drupal.org needs a modern design, and the Product team at the Drupal Association has been working steadfastly on a plan to make that happen.</p>\n<p>Building on insights from our user research and content strategy work, we have begun laying out a foundation for the future design system for the site.</p>\n<h2>Goal</h2>\n<p>Update Drupal.org to reflect the flexibility, modernity, and community of Drupal itself.</p>\n<h2>Design Principles</h2>\n<p>Before we started work on the design for Drupal.org we needed to iron out our process and the principles we wanted to keep in mind throughout our work.</p>\n<p>To that end, <a href="https://www.drupal.org/u/tvn">tvn</a> and I holed up for a weekend design retreat, which resulted in tons of post-it notes about what Drupal.org design looks like, what it should look like, and what we can learn from others -- to develop the design principles that will move Drupal.org forward.</p>\n<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr" xml:lang="en">Working on design principles for <a href="http://t.co/H0d2MHDCaS">http://t.co/H0d2MHDCaS</a> with <a href="https://twitter.com/DyanneNova">@DyanneNova</a> <a href="http://t.co/XVZ0bgPlTe">pic.twitter.com/XVZ0bgPlTe</a></p>\n<p>— tvn (@tvnweb) <a href="https://twitter.com/tvnweb/status/625022478411132928">July 25, 2015</a></p></blockquote>\n<script async="" src="//platform.twitter.com/widgets.js" charset="utf-8"></script><p>\nAfter much deliberation, condensing, rewriting, and discussion with the wider Engineering and Communication teams, these are the principles we found to be our best guiding mantras:</p>\n<p><strong>Start with user needs.</strong><br />\nWe only design for real people. We verify their needs and let that information be our guide when designing anything.</p>\n<p><strong>Keep it simple. Focus.</strong><br />\nWe do less, but better. We focus on the areas we can have the most impact. Our designs are simple and clean, and our messages are clear. We strive for brevity and avoid clutter.</p>\n<p><strong>Be consistent. Re-use.</strong><br />\nOur designs should be part of a consistent, cohesive system. We don’t introduce new patterns if we can re-use or improve any of the existing ones.</p>\n<p><strong>Be accessible.</strong><br />\nOur designs should be usable by anyone, on any device or screen size, on a high speed connection or a slow network, by people with different native languages, and regardless of their accessibility needs.</p>\n<p><strong>Be relevant. Try new things.</strong><br />\nOur designs are relevant and fresh. We keep up with the latest trends and are not afraid to try something new.</p>\n<p><strong>Iterate quickly.</strong><br />\nWe do small and quick iterations, continuously improving the experience. We experiment and test out different approaches.</p>\n<p><strong>Use Data.</strong><br />\nWe use data to support and drive our decisions. This includes analytics, data from testing and experiments, data gleaned through user research methods including interviews, surveys, and so on.</p>\n<p><strong>Work openly. Be honest.</strong><br />\nOur designs are honest and authentic, and our intentions are transparent. We call things what they are. We respect our community values. We communicate openly and often.</p>\n<p><strong>Engage and empower.</strong><br />\nWe design experiences that unite our users and empower them to collaborate and do great things, because they can.</p>\n<p><strong>Be friendly.</strong><br />\nWe create friendly and welcoming environments. We want our users to feel welcome and supported.</p>\n<h2>Design Vision</h2>\n<p>Once we had our design principles in place we needed to move from those abstract guidelines to actual design plans for the website.</p>\n<p>After DrupalCon Barcelona, we set aside time for another design retreat. This time tvn lost her voice on day 2, so miming and typing became a fun part of the workflow. </p>\n<p>Our first step was to create a <a href="https://projects.invisionapp.com/boards/JBFEMBNH4GKV/">mood board</a> of inspirational user interfaces to give us a beginning design language and a starting point for discussion.</p>\n<p>Then we began our work with <a href="http://styletil.es/">style tiles</a>. I created four first drafts, informed by our mood board. One was softer, with varying shades of blue. At the other extreme was a largely monochrome design, with only tiny hints of the Drupal blue. After a few rounds of reviews and revisions we came up with the following visual system, which we feel matches our goals and gives a general idea of the mood, colors, and visuals we plan to move towards.</p>\n<p><img src="/files/final-style-tile.png" alt="drupal.org style tile" /></p>\n<p>The general mood here was inspired by the idea of builders and makers working together to build something larger. We combine blueprint textures, single-width line icons, and an open typeface to make Drupal.org feel like the home to a continually improving framework.</p>\n<p>We’ve kept the Drupal blue, and tweaked our green to bring it to a cooler shade. We’ve added darker tones for every color to give us more opportunity for high contrast.</p>\n<p>The end goal is to make Drupal.org a useful space for contributors and users alike with a consistent quality of design throughout the site.</p>\n<p>To that end, we’ve started work on a pattern library which will categorize all of the different design patterns used on Drupal.org. As we build out new patterns for new features they will be added to the library as well. The styles will be automatically inherited from the theme, which will make maintenance of the library as simple as adding relevant content to a page.</p>\n<h2>Iterative Approach</h2>\n<p>To support our <a href="https://www.drupal.org/drupalorg/roadmap">current prioritization</a> we knew we would need to use a very iterative process for launching design updates. Our strategy is to make design updates as we can when a new feature is prioritized. As each area of the site is functionally improved, it receives visual improvements as well. You’ve seen some of these updates already in the Drupal 8 launch and in the smaller updates to Drupal.org since last November.</p>\n<p><img src="/files/drupal8-tools.png" alt="drupal 8 landing page" /><br /><br /><img src="/files/drupal8-community.png" alt="drupal 8 landing page" /></p>\n<p>With the Drupal 8 launch came a re-styled header for Drupal.org. </p>\n<p><img src="/files/drupalorg-header.png" alt="drupal 8 header and membership drive" /></p>\n<p>Release pages also received a small update to the download area, with clearer calls to action. </p>\n<p>Shortly after that, we held a membership drive with a banner and a front page region highlighting community members. And just a few weeks ago we set up a new banner for promoting community elections to the Board, which can also be used for any important announcements going forward.</p>\n<h2>Next Steps</h2>\n<p>Our next big project is Documentation. We’ve been toiling away on these features for months now as part of our overall content restructure work. After the first pass of wireframes and design mockups, we collected input from documentation users via usability testing held remotely and in person at the Drupal Association office in Portland, Oregon, and at DrupalCamp London. Based on all the feedback, we''ve done a few revisions on our initial ideas and designs. We''ve spoken with a wide range of community members, from newcomers to masters, and their input was invaluable for arriving at a design that really works for the user.</p>\n<p><img src="/files/docs-page-1.4.0-cropped.png" alt="documentation page" /></p>\n<p>You can see some of the new patterns we’ve begun work on in this mockup, such as the documentation section header and tags. We also have a pattern for related content which isn’t visible in the image. In our usability testing, we found that wayfinders were incredibly important to the experience of documentation, so we spent considerable time on improving the breadcrumbs and menu navigational patterns before arriving at what you see above.</p>\n<h2>How to get involved</h2>\n<p>There are a number of ways to get involved in improving Drupal.org. You can read more about general volunteering <a href="https://assoc.drupal.org/drupal.org-volunteer-proposal">here</a>. </p>\n<p>If you’re interested in joining our usability testing sessions held both remotely and in person at major Drupal events, please <a href="https://assoc.drupal.org/volunteer-drupal.org-usability-testing">fill out this form</a> and we’ll reach out to you when the next session is being planned.</p>\n<p>To post an issue about design on Drupal.org, use the project issue queue at <a href="https://www.drupal.org/project/drupalorg_design">Drupal.org Design</a>. This issue queue will replace the Bluecheese theme queue going forward as a central place to report issues or inconsistencies with Drupal.org design. Meta discussions of design on Drupal.org are also welcome in the queue.</p>\n<p>If you’d like to participate in quick design discussions about Drupal.org and be available to give feedback on upcoming design decisions, <a href="https://drupalslack.herokuapp.com/">join us on Slack</a> at channel #drupalorg-design.</p>\n<p>As we incrementally roll out new features, you’ll see Drupal.org move ever closer to our updated visual system. Thanks for coming along for the ride!</p>\n</div></div></div>', '1460423840', '2704325 at https://www.drupal.org'),
('93', '1', 'State of Drupal 2016 survey', 'https://www.drupal.org/news/state-of-drupal-survey-2016', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/state-of-drupal-2016-survey">Reposted from buytaert.net</a></p>\n<p>I''ve been writing a lot about what I believe is important for the future of Drupal, but now it is your turn.  After every major release of Drupal I do a "product management survey" to get your ideas and data on what to focus on for future releases of Drupal (8.x/9).  </p>\n<p>The last time we had such a survey was after the release of Drupal 7, six months into the development of Drupal 8.  I presented the results at <a href="http://buytaert.net/state-of-drupal-presentation-august-2011">DrupalCon London in 2011</a>. The results informed the Drupal community at large, but were also the basis for <a href="http://buytaert.net/files/state-of-drupal-august-2011.pdf">defining initiatives for Drupal 8</a>. This time around, I''m hoping for similar impact, but also some higher-level strategic thinking about how Drupal should respond to various market trends.</p>\n<p><a href="https://www.surveymonkey.com/r/drupal-2016">Take the State of Drupal 2016 survey now</a></p>\n<p>It shouldn''t take more than 10-15 minutes to fill out the survey. We''d like to hear from everyone who cares about Drupal: content managers, site owners, site builders, module developers, front-end developers, people selling and marketing Drupal, etc.  Whether you are a Drupal expert or just getting started with Drupal, every voice counts!  Best of all, with Drupal 8''s new 6-month release cycle, we can act on the results of this survey much sooner than in the past.</p>\n<p>I will be presenting the results during my DrupalCon New Orleans keynote (the video recording of the keynote, the presentation slides and the survey results will be downloadable on my blog after). Please <a href="https://www.surveymonkey.com/r/drupal-2016">tell us what you think about Drupal</a>; your feedback will shape future versions of Drupal.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1460560892', '2705601 at https://www.drupal.org'),
('94', '1', 'Drupal 8.1.0 is now available', 'https://www.drupal.org/blog/drupal-8-1-0', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="/drupal-8.1.0-release-notes">Drupal 8.1.0</a>, the first minor release of Drupal 8, is now available. With Drupal 8, we made significant changes in our release process, adopting semantic versioning and scheduled feature releases. This allows us to make extensive improvements to Drupal 8 in a timely fashion while still providing backwards compatibility. Drupal 8.1.0 is the first such update.</p>\n<h2>What''s new in Drupal 8.1.x?</h2>\n<p>Drupal 8.1.0 comes with numerous improvements, including CKEditor WYSIWYG enhancements, added APIs, an improved help page, and two new experimental modules. (<a href="https://www.drupal.org/core/experimental">Experimental modules</a> are provided with Drupal core for testing purposes, but are not yet fully supported.)</p>\n<!--break--><div style="text-align: center; margin: 2em;"><a href="/drupal-8.1.0-release-notes" class="link-button"><span>Download Drupal-8.1.0</span></a></div>\n<h3>Experimental UI for migrations from Drupal 6 and 7</h3>\n<p>Drupal 8.1.0 now includes the Migrate Drupal UI module, which provides a user interface for Drupal core migrations. Use it to migrate Drupal 6 or 7 sites to Drupal 8. The <a href="https://www.drupal.org/upgrade/migrate">user guide on migrating from Drupal 6 or 7 to Drupal 8</a> has full documentation. Note that the Drupal 8 Migrate module suite is still experimental and has known issues. Read below for specific information on migrating <a href="#d6">Drupal 6</a> and <a href="#d7">Drupal 7</a> sites with 8.1.0. (Always back up your data before performing a migration and review the results carefully.)</p>\n<p><img src="/files/Migrate810.png" alt="Migration related modules in Drupal 8.1.0" /></p>\n<h3>BigPipe for perceived performance</h3>\n<p>The Drupal 8 BigPipe module provides an advanced implementation of Facebook''s BigPipe page rendering strategy, leading to greatly improved perceived performance for pages with dynamic, personalized, or uncacheable content. See the <a href="https://www.drupal.org/documentation/modules/big_pipe">BigPipe documentation.</a> </p>\n<div style="text-align: center; margin: 2em 0;">\n<iframe width="585" height="329" src="https://www.youtube.com/embed/JwzX0Qv6u3A?rel=0" frameborder="0" allowfullscreen=""></iframe></div>\n<h3>CKEditor WYSIWYG spellchecking and language button</h3>\n<p><img src="/files/CKEditor810.png" alt="New CKEditor features in Drupal 8.1.0" style="float: right; width: 350px; margin: 0 0 1em 1em; " /></p>\n<p>Drupal 8.0.0 included the CKEditor module (a WYSIWYG editor), but it was not previously possible to use your browser''s built-in spell checker with it to check the text. With Drupal 8.1.0, <a href="https://www.drupal.org/node/2307141">spellchecking is now enabled within CKEditor</a> as well. </p>\n<p>Another great improvement is the <a href="https://www.drupal.org/node/1993928">addition of the optional language markup button in CKEditor</a>. When configured to appear in your editing toolbar, it allows you to assign language information to parts of the text, which is useful for accessibility and machine processing. </p>\n<h3>Improved help page with tours</h3>\n<p>Drupal 8.0.0 included a new system for help tutorials called <em>tours</em> with the core Tour module. In Drupal 8.1.0, we made these tours easier to discover by listing them in the administrative help overview at <code class="language-php">/admin/help</code>.</p>\n<p><img src="/files/Help810.png" alt="Improved help page in Drupal 8.1.0" /></p>\n<p>The help overview page is also more flexible now, so contributed modules can add sections to it and themes can override its appearance more easily. You can read more about the new system in the <a href="https://www.drupal.org/node/2669966">change record for the updated help page</a>, or refer to the <a href="https://www.drupal.org/developing/api/tour">Tour API documentation</a> for how to add tours for your modules.</p>\n<h3>Rendered entities in Views fields</h3>\n<p>Drupal 8.1.0 now includes a <a href="https://www.drupal.org/node/2632068">rendered entity field handler</a> for Views, which allows placing a fully rendered entity within a view field. For example, this feature could be used to display a rendered user profile for each node author in a table listing node content. (This feature was provided by the Entity contributed module in Drupal 7, but had not yet been available in Drupal 8.) </p>\n<h3>Support for JavaScript automated testing</h3>\n<p>Drupal 8.1.0 adds support for automated testing of JavaScript, which will mean fewer bugs with Drupal''s JavaScript functionality in the future as we write new tests for it. (Read more about <a href="https://www.chapterthree.com/blog/javascript-testing-comes-to-drupal-8">how to run the JavaScript tests</a>.) There are also other improvements to the testing system, including improved reporting of PHPUnit and other test results.</p>\n<h3>Improved Composer support</h3>\n<p>Starting with Drupal 8.1.x, <a href="https://www.drupal.org/node/2648064">Drupal core and its dependencies are packaged by Composer</a> on Drupal.org. This means that sites and modules can now also use <a href="https://getcomposer.org/">Composer</a> to manage all of their third-party dependencies (rather than having to work around the vendor directory that previously shipped with core). </p>\n<h3>Developer API improvements</h3>\n<p>Minor releases like Drupal 8.1.0 include backwards-compatible API additions for developers as well as new features. Read the <a href="/drupal-8.1.0-release-notes">8.1.0 release notes</a> for more details on the many improvements for developers in this release.</p>\n<h2>What does this mean to me?<br /><h2>\n<h3 id="d8">Drupal 8 site owners</h3>\n</h2></h2><p>Update to 8.1.0 to continue receiving bug and security fixes. The next bugfix release, 8.1.1, is scheduled for May 4, 2016.</p>\n<p><a href="https://www.drupal.org/node/2700999">Updating your site</a> from 8.0.6 to 8.1.0 with update.php is exactly the same as updating from 8.0.5 to 8.0.6. Modules, themes, and translations may need small changes for this minor release, so test the update carefully before updating your production site.</p>\n<h3 id="d6">Drupal 6 site owners</h3>\n<p><a href="https://www.drupal.org/drupal-6-eol">Drupal 6 is not supported anymore</a>. Create a Drupal 8 site and try migrating your data into it as soon as possible. Your Drupal 6 site can still remain up and running while you test migrating your Drupal 6 data into your new Drupal 8 site. <strong>Note that there are <a href="https://www.drupal.org/project/issues/search/drupal?project_issue_followers=&amp;status%5B%5D=Open&amp;version%5B%5D=8.x&amp;component%5B%5D=migration+system&amp;issue_tags_op=%3D">known issues with the experimental Migrate module suite</a></strong>. If you find a new bug not covered by one of these issues, your detailed bug report with steps to reproduce is a big help!</p>\n<h3 id="d7">Drupal 7 site owners</h3>\n<p>Drupal 7 is still fully supported and will continue to receive bug and security fixes throughout all minor releases of Drupal 8. </p>\n<p>The new Migrate Drupal UI for Migrate also allows migrating a Drupal 7 site into a Drupal 8 site, but the migration path from Drupal 7 to 8 is <strong>not complete</strong>, so you may encounter errors or missing migrations when you try to migrate. That said, since your Drupal 7 site can remain up and running while you test migrating into a new Drupal 8 site, you can help us stabilize the Drupal 7 to Drupal 8 migration path! Testing and bug reports from your real-world Drupal 7 sites will help us stabilize this functionality sooner for everyone. (<a href="https://www.drupal.org/project/issues/search/drupal?project_issue_followers=&amp;status%5B%5D=Open&amp;version%5B%5D=8.x&amp;component%5B%5D=migration+system&amp;issue_tags_op=%3D">Search the known issues</a>.)</p>\n<h3>Translation, module, and theme contributors</h3>\n<p>Minor releases like Drupal 8.1.0 are backwards-compatible, so modules, themes, and translations that support Drupal 8.0.x will be compatible with 8.1.x as well. However, the new version does include some string changes, minor UI changes, and <a href="/core/d8-bc-policy">internal API</a> changes (as well as more significant changes to <a href="/core/experimental">experimental modules</a> like the Migrate suite). This means that some small updates may be required for your translations, modules, and themes. See the <a href="/drupal-8.1.0-rc1">announcement of the 8.1.0 release candidate</a> for more background information.</p>\n</div></div></div>', '1461138505', '2709605 at https://www.drupal.org'),
('95', '1', 'Applaud the Drupal Maintainers', 'https://www.drupal.org/news/applaud-the-drupal-maintainers', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/applaud-the-drupal-maintainers" rel="nofollow">Republished from buytaert.net</a></p>\n<p>Today is another big day for Drupal as <a href="https://www.drupal.org/blog/drupal-8-1-0" rel="nofollow">we just released Drupal 8.1.0</a>.  Drupal 8.1.0 is an important milestone as it is a departure from the Drupal 7 release schedule where we couldn''t add significant new features until Drupal 8. Drupal 8.1.0 balances maintenance with innovation.</p>\n<p>On my blog and in presentations, I often talk about the future of Drupal and where we need to innovate. I highlight important developments in the Drupal community, and push my own ideas to disrupt the status quo.  People, myself included, like to talk about the shiny innovations, but it is crucial to understand that innovation is only a piece of how we grow Drupal''s success. What can''t be forgotten is the maintenance, the bug fixing, the work on Drupal.org and our test infrastructure, the documentation writing, the ongoing coordination and the processes that allow us to crank out stable releases.</p>\n<p>We often recognize those who help Drupal innovate or introduce novel things, but today, I''d like us to praise those who maintain and improve what already exists and that was innovated years ago.  So much of what makes Drupal successful is the "daily upkeep".  The seemingly mundane and unglamorous effort that goes into maintaining Drupal has a tremendous impact on the daily life of hundreds of thousands of Drupal developers, millions of Drupal content managers, and <a href="http://buytaert.net/reaching-the-next-billion-with-drupal" rel="nofollow">billions of people that visit Drupal sites</a>.  Without that maintenance, there would be no stability, and without stability, no room for innovation.</p>\n<p><a href="http://buytaert.net/applaud-the-drupal-maintainers#comments" rel="nofollow">Comment on buytaert.net</a></p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1461341929', '2711795 at https://www.drupal.org'),
('96', '1', 'How is Drupal 8 doing?', 'https://www.drupal.org/news/how-is-drupal-8-doing', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="http://buytaert.net/how-is-drupal-8-doing">Republished from buytaert.net</a></p>\n<p>The one big question I get asked over and over these days is: "How is Drupal 8 doing?".  It''s understandable. Drupal 8 is the first new version of Drupal in five years and represents a significant rethinking of Drupal.</p>\n<p>So how is Drupal 8 doing?  With less than half a year since <a href="http://buytaert.net/drupal-8-0-0-released">Drupal 8 was released</a>, I''m happy to answer: outstanding!</p>\n<p>As of late March, Drupal.org counted over 60,000 Drupal 8 sites. Looking back at the first four months of Drupal 7, about 30,000 sites had been counted.  In other words, Drupal 8 is being adopted twice as fast as  Drupal 7 had been in its first four months following the release.</p>\n<p>As we near the six-month mark since releasing Drupal 8, the question "How is Drupal 8 doing?" takes on more urgency for the Drupal community with a stake in its success. For the answer, I can turn to years of experience and say while the number of new Drupal projects typically slows down in the year leading up to the release of a <em>new</em> version; adoption of the newest version takes up to a full year before we see the number of new projects really take off.</p>\n<p>Drupal 8 is the middle of an <a href="http://buytaert.net/the-gartner-hype-cycle-and-drupal">interesting point in its adoption cycle</a>.  This is the phase where customers are looking for budgets to pay for migrations. This is the time when people focus on learning Drupal 8 and its new features. This is when the modules that extend and enhance Drupal need to be ported to Drupal 8; and this is the time when Drupal shops and builders are deep in the three to six month sales cycle it takes to sell Drupal 8 projects.  This is often a phase of uncertainty but all of this is happening now, and every day there is less and less uncertainty.  Based on my past experience, I am confident that Drupal 8 will be adopted at "full-force" by the end of 2016.</p>\n<p>A few weeks ago I launched the <a href="http://buytaert.net/state-of-drupal-2016-survey">Drupal 2016 product survey</a> to take pulse of the Drupal community.  I  plan to talk about the survey results in my DrupalCon keynote in New Orleans on May 10th but in light of this blog post I felt the results to one of the questions is worth sharing and commenting on sooner:</p>\n<p><figure class="figure"></figure></p>\n<div class="img" style="border: 1px solid #ccc; display: inline-block"><img src="http://buytaert.net/sites/buytaert.net/files/cache/drupal-survey-drupal-8-adoption-742x1114.jpg" style="display:block" alt="Survey drupal adoption" /></div>\n<p><figcaption style="font-style: italic; color: #777;"></figcaption><br /></p>\n<p>Over 1,800 people have answered that question so far.  People were allowed to pick up to 3 answers for the single question from a list of answers. As you can see in the graph, the top two reasons people say they haven''t upgraded to Drupal 8 yet are (1) the fact that they are waiting for contributed modules to become available and (2) they are still learning Drupal 8.  The results from the survey confirm what we see every release of Drupal; it takes time for the ecosystem, both the technology and the people, to come along.</p>\n<p>Fortunately, many of the most important modules, such as Rules, Pathauto, Metatag, Field Collection, Token, Panels, Services, and Workbench Moderation, have already been ported and tested for Drupal 8. Combined with the fact that many important modules, like Views and CKEditor, moved to core, I believe we are getting really close to being able to build most websites with Drupal 8.</p>\n<p>The second reason people cited for not jumping onto Drupal 8 yet was that they are still learning Drupal 8. One of the great strengths of Drupal has long been the willingness of the community to share its knowledge and teach others how to work with Drupal. We need to stay committed to educating builders and developers who are new to Drupal 8, and <a href="https://events.drupal.org/neworleans2016">DrupalCon New Orleans</a> is an excellent opportunity to share expertise and learn about Drupal 8.</p>\n<p>What is most exciting to me is that less than 3% answered that they plan to move off Drupal altogether, and therefore won''t upgrade at all.  Non-response bias aside, that is an incredible number as it means the vast majority of Drupal users plan to eventually upgrade.</p>\n<p>Yes, Drupal 8 is a significant rethinking of Drupal from the version we all knew and loved for so long. It will take time for the Drupal community to understand Drupal''s new design and capabilities and how to harness that power but I am confident Drupal 8 is the right technology at the right time, and the adoption numbers so far back that up.  Expect Drupal 8 adoption to start accelerating.</p>\n<p><a href="http://buytaert.net/how-is-drupal-8-doing#comments">Comment on buytaert.net</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1461872786', '2715551 at https://www.drupal.org'),
('97', '1', 'Only one week left to register for DrupalCon New Orleans', 'https://www.drupal.org/news/one-week-to-drupalcon-new-orleans', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p style="text-align:center"><a class="action-button" href="https://events.drupal.org/neworleans2016/registration">Get a DrupalCon Ticket</a></p>\n<p>DrupalCon New Orleans is May 9-13th. The schedule is now available on the website, so you can start planning out your week.</p>\n<p style="text-align:center"><a class="action-button" href="https://events.drupal.org/neworleans2016/schedule/2016-05-09">See the Schedule</a></p>\n<p>With 130 sessions in 13 tracks across 3 days, 88 Birds of a Feather (BOF) roundtable talks, plus keynotes, sprinting opportunities, an expo hall full of exhibitors, and Monday training sessions and summits galore, there’s no shortage of great things to do at DrupalCon New Orleans.</p>\n<p>To view your schedule, just click the “My Schedule” button on the main schedule page. You’ll be able to sort by day, making it easy to see what your plans are every step of the way through the convention.</p>\n<p><img alt="" src="https://events.drupal.org/sites/default/files/Screen%20Shot%202016-04-05%20at%203.11.12%20PM.png" style="width: 697px; height: 265px; border-width: 1px; border-style: solid;" /></p>\n<p>To add an item to your schedule, open the session information and click the “Add to schedule” button visible under the time and location information. You can also remove items from your schedule either under the specific session page or on your schedule.</p>\n<p><img alt="" src="https://events.drupal.org/sites/default/files/Screen%20Shot%202016-04-05%20at%203.05.01%20PM.png" style="line-height: 1.6; width: 276px; height: 205px;" /></p>\n<p>To claim a BOF, select the day and time you’d like to hold your BOF and click on ‘Create a BOF’ button in an available room and add in information about what you’ll be discussing. </p>\n<p><img alt="" src="https://events.drupal.org/sites/default/files/Screen%20Shot%202016-04-05%20at%203.33.22%20PM.png" style="width: 677px; height: 242px; border-width: 1px; border-style: solid;" /></p>\n<p>We have dozens of time slots to choose from, so the sooner you claim a BOF, the more likely it is that you''ll reserve the time and space that''s right for you.</p>\n<p style="text-align:center"><a class="action-button" href="https://events.drupal.org/neworleans2016/birds-feather">See the BOFs</a></p>\n<p>And remember, if you’re attending a training or summit on Monday, it won’t automatically be added to your schedule, so make sure you add it from its unique page on the website.</p>\n<p>We hope you enjoy using the scheduler, and look forward to hearing your feedback when we see you at DrupalCon New Orleans. Just as a reminder, if you haven''t yet <a href="https://events.drupal.org/neworleans2016/registration">purchased your DrupalCon ticket</a>, do so soon -- regular ticket pricing ends in a little over a week!</p>\n<p style="text-align:center"><a class="action-button" href="https://events.drupal.org/neworleans2016/registration">Get a DrupalCon Ticket</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/902">Drupal News</a></div></div></div>', '1461967348', '2716305 at https://www.drupal.org'),
('98', '1', 'What’s new on Drupal.org? - April 2016', 'https://www.drupal.org/drupalorg/blog/whats-new-on-drupalorg-april-2016', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Read our <a href="https://www.drupal.org/drupalorg/roadmap" rel="nofollow">Roadmap</a> to understand how this work falls into priorities set by the Drupal Association with direction and collaboration from the Board and community.</p>\n<h3>We''ll see you at DrupalCon!</h3>\n<p><img class="right" width="120px" src="/files/NOLA-Logo-Purple-crown.png" /></p>\n<p><a href="http://events.drupal.org/neworleans2016/" rel="nofollow">DrupalCon New Orleans</a> is about to get underway next week, and the Drupal Association will be there to talk about some of our recent work, to collaborate with the community, and to present some exciting things that are coming soon. We''ll be giving a variety of presentations as part of the <a href="https://events.drupal.org/neworleans2016/sessions/accepted/drupal-org" rel="nofollow">Drupal.org track</a>, so if you''ll be attending DrupalCon in New Orleans, please join us!</p>\n<p>Laissez les bon temps roulez!</p>\n<h3>Drupal 8.1.0 released</h3>\n<p><img class="left" width="120px" src="/files/drupal 8 logo isolated CMYK 72.png" /></p>\n<p>On April 20th, the Drupal core maintainers <a href="https://www.drupal.org/blog/drupal-8-1-0" rel="nofollow">released Drupal 8.1.0</a>. This is the first release of the new Drupal release cycle in which new features of Drupal will be released much more rapidly than during the Drupal 7 cycle. The Drupal 8.1 release includes: an experimental UI for the Migration module for migrating from Drupal 6 or 7, BigPipe for improving the perceived rendering time of Drupal 8 sites, support for JavaScript automated testing, improved support for Composer, and much more. </p>\n<p>The Drupal Association supported the release in several ways. We updated Drupal.org to use Composer to package Drupal Core''s dependencies. We updated api.drupal.org to reflect the new point release, and the development branch for 8.2.x. We also bulk updated issues opened against Drupal Core 8.1.x to be open against 8.2.x moving forward. Finally, we updated DrupalCI to support JavaScript testing with PhantomJS. As this new, faster Drupal release cycle continues, we''ll continue to refine the process and tools that the core developers use to make this process more efficient. </p>\n<h2>Drupal.org updates</h2>\n<h3>Composer repository alpha</h3>\n<p><img class="right" width="120px" src="/files/styles/grid-3/public/project-images/9769826_0.png" /></p>\n<p>We''re very happy to announce the alpha release of Drupal.org''s Composer repositories. One of our Community Initiatives for 2016, adding Composer repositories to Drupal.org, has been a concerted effort here at the Association for the past several months. Composer is <em>the</em> tool for dependency management in PHP, and by using Drupal.org''s Composer endpoints you can use Composer to manage Drupal modules and themes. </p>\n<p>The Drupal.org Composer façade also handles the translation of Drupal.org versioning into the semver format that Composer needs, which should also allow the community to move forward <a href="https://www.drupal.org/node/1612910" rel="nofollow">choosing a semver format for contrib</a>. For example, we could now fairly easily support a <code class="language-php">Platform.Major.Minor.Patch</code> versioning scheme until the <a href="https://github.com/mojombo/semver/issues/265" rel="nofollow">semver standard itself</a> supports the same. </p>\n<p>As the current release is an alpha, we don’t recommend relying on the Drupal.org Composer repositories in a production environment quite yet. If you would like to help us test the system, you can start with our <a href="https://www.drupal.org/node/2718229" rel="nofollow">documentation for the Drupal.org Composer repositories</a>, and then leave us feedback in the <a href="http://drupal.org/project/project_composer" rel="nofollow">Project Composer issue queue</a>. </p>\n<p>Our work on Composer specifically, like many of the initiatives we undertake, was made possible through the support of our generous sponsors. If you would like to sponsor our work on Drupal.org, please consider our <a href="https://assoc.drupal.org/supporting-partners" rel="nofollow">Supporting Partner Program</a>. </p>\n<h3>PhantomJS testing in DrupalCI</h3>\n<p><img class="left" width="120px" src="/files/styles/grid-3/public/project-images/drupalci_0.png" /></p>\n<p>A key milestone for core developers in Drupal 8.1 was adding the ability to test the front end, by using PhantomJS for JavaScript testing. After some concerted work by <a href="https://www.drupal.org/u/dawehner" rel="nofollow">dawehner</a>, <a href="https://www.drupal.org/u/pfrenssen" rel="nofollow">pfrenssen</a>, <a href="https://www.drupal.org/u/alexpott" rel="nofollow">alexpott</a>, and several others on the Drupal core side, <a href="https://www.drupal.org/u/isntall" rel="nofollow">isntall</a> here at the Drupal Association was able to get PhantomJS properly running on the DrupalCI testbots. </p>\n<p>More work will continue to improve our ability to test the front-end, and Drupal 8 continues to be among the most thoroughly tested open source projects in the ecosystem today. </p>\n<h3>Visual design system for Drupal.org</h3>\n<p>In April, our lead designer, <a href="https://drupal.org/u/DyanneNova" rel="nofollow">DyanneNova</a>, outlined the <a href="https://www.drupal.org/drupalorg/blog/a-new-design-system" rel="nofollow">new design system and principles</a> we’re using in all of our work to improve Drupal.org. Our most significant undertaking is the long term <a href="https://www.drupal.org/drupalorg/blog/restructuring-drupalorg" rel="nofollow">restructuring of Drupal.org</a>, which will be implemented in an iterative way as we work through the many different content areas of Drupal.org. The next area of Drupal.org to receive updates, as previewed in the post above, will be Documentation. </p>\n<h3>Documentation</h3>\n<p>In our March update, we teased some of the upcoming Documentation features, and talked about the usability testing we performed at DrupalCamp London, and in the Drupal Association office here in Portland. In April, we took our observations from the usability testing, and began implementing these new features. We''ll be <a href="https://events.drupal.org/neworleans2016/sessions/documentation-getting-overhaul" rel="nofollow">previewing these upcoming changes</a> in more detail at DrupalCon New Orleans next week, so stay tuned!</p>\n<h2>Sustaining support and maintenance</h2>\n<h3>Infrastructure</h3>\n<p>In April, we began the build-out of a new staging infrastructure for Drupal.org, part of the continual process of upgrading and refining the tools we use to develop Drupal.org. At the same time, we''ve updated several of our management and automation tools to keep our stack running smoothly. Work refining our pre-production environments will continue into May. </p>\n<h3>Maintenance and Bug Fixes</h3>\n<p>No month is complete without a bit of time spent on maintenance and bug fixes. In April, we spent some time cleaning up spam on archived sites of past DrupalCons, <a href="https://www.drupal.org/node/2670780" rel="nofollow">removed unneeded comment render cache code</a>, fixed some bugs with featured job credits on <a href="https://jobs.drupal.org" rel="nofollow">Drupal Jobs</a>, and worked on our payment processor implementation for our European DrupalCons. </p>\n<p>———</p>\n<p>As always, we’d like to say thanks to all the volunteers who work with us, and to the Drupal Association <a href="https://drupal.org/supporters" rel="nofollow">Supporters</a>, who made it possible for us to work on these projects.</p>\n<p>Follow us on Twitter for regular updates: <a href="https://twitter.com/drupal_org" rel="nofollow">@drupal_org</a>, <a href="https://twitter.com/drupal_infra" rel="nofollow">@drupal_infra</a></p></div></div></div>', '1462484690', '2719781 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('99', '1', 'Gábor Hojtsy: Winner of the 2016 Aaron Winborn Award', 'https://www.drupal.org/node/2733769', 'adshill', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>The Aaron Winborn Award was created in 2015 after the loss of one of one of the Drupal community’s most prominent members, Aaron Winborn, to Amyotrophic Lateral Sclerosis (also referred to as Lou Gehrig''s Disease in the US and Motor Neuron Disease in the UK). Aaron’s commitment to the Drupal project and community made him the epitome of our unofficial motto: "Come for the code, stay for the community". The <a href="https://www.drupal.org/governance/community-working-group" rel="nofollow">Community Working Group</a> with the support of the <a href="http://assoc.drupal.org" rel="nofollow">Drupal Association</a> came together to honor Aaron''s memory by establishing the Aaron Winborn Award, which annually recognizes an individual who demonstrates personal integrity, kindness, and above-and-beyond commitment to the Drupal community.</p>\n<p>Nominations were opened in March, giving community members the opportunity to nominate people they believe deserve the award, which were then voted on by the members of the Community Working Group, along with previous winners of the award. </p>\n<p>We are pleased to announce that the 2016 recipient of the Aaron Winborn Award is Gábor Hojtsy. During the closing session of DrupalCon New Orleans, Community Working Group members presented the award to Gábor. The award was accompanied by a free ticket to DrupalCon, which he donated to Bojhan Somers.</p>\n<p>Gábor was described in his nomination as an "amazing community connector" who is passionate about empowering others, stepping aside and allowing others the space and support to lead, and celebrating even the small wins that people who work with him achieve. The stellar work and leadership he displayed on the D8 Multilingual Initiative, managing sprints, Drupal events and setting up <a href="http://localize.drupal.org" rel="nofollow">localize.drupal.org</a> are just a few of the ways that this tireless Drupal contributor has been making an enormous impact in our community for more than a decade.</p>\n<p>We hope you will join us in congratulating Gábor, who has demonstrated personal integrity, kindness, and above-and-beyond commitment to the Drupal community in abundance.</p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div>', '1464213644', '2733769 at https://www.drupal.org'),
('100', '1', 'What’s new on Drupal.org? - May 2016', 'https://www.drupal.org/drupalorg/blog/whats-new-on-drupalorg-may-2016', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Read our <a href="https://www.drupal.org/drupalorg/roadmap" rel="nofollow">Roadmap</a> to understand how this work falls into priorities set by the Drupal Association with direction and collaboration from the Board and community.</p>\n<p><img class="right" alt="DrupalCon New Orleans Logo" src="/files/NOLA-Logo-Purple-crown.png" width="120px" /></p>\n<p>The team is back from New Orleans and thankful for the time we had to spend with the community, attending sessions, presenting <a href="https://events.drupal.org/neworleans2016/sessions/accepted/drupal-org" rel="nofollow">sessions of our own</a>, and sprinting with you throughout the Con. As individuals, we’re all members of the community, and as an organization we''re proud to hold the home of the community in trust.</p>\n<p>Because of DrupalCon North America, May is always a busy month for the Association engineering team. We''re preparing our sessions, ensuring that the testbots will be running smoothly for DrupalCon sprints, and polishing new features and ideas to share with the community. Here''s what''s new:</p>\n<h2>Drupal.org updates</h2>\n<h3>Composer repositories moving towards stable</h3>\n<p><img class="left" alt="Drupal.org Composer Logo" src="/files/styles/grid-3/public/project-images/9769826_0.png" width="120px" /></p>\n<p>At the end of April, we launched the Alpha of our Composer façade, providing Composer repository endpoints on Drupal.org for Drupal 8 and Drupal 7. At DrupalCon New Orleans, we gave a presentation on the architecture of the Composer façade, and our plans for next steps. We also received some great feedback from users who helped us test the alpha release, and in May we''ve focused on moving Composer from an alpha release to a more stable environment suitable for use on production Drupal sites. We''ll be following up soon with a more detailed blog post about Composer, when that more stable release is available.</p>\n<p>If you want to help test the Composer service, you can <a href="https://www.drupal.org/node/2718229" rel="nofollow">learn more about Drupal.org''s Composer repositories</a>.</p>\n<h3>New documentation content types</h3>\n<p>As previewed in our <a href="https://events.drupal.org/neworleans2016/sessions/documentation-getting-overhaul" rel="nofollow">session at DrupalCon New Orleans</a>, we''re modernizing Drupal documentation with two new content types: Guides, and Documentation Pages. Documentation Pages will be organized in Guides, which will be curated by maintainers. We''re also bringing a new visual design to documentation, re-organizing documentation by major version of Drupal, and developing a call-outs feature to help highlight key information like best practices or important changes in minor versions.</p>\n<p>In May, we made an initial deployment of these content types to Drupal.org, though access is presently restricted to administrators while we work with the Documentation Working Group to sort out our initial migration plan. In June, we hope to deploy a migration tool, allowing users to convert existing documentation Book Pages and their children into the new Guides and Documentation Pages.</p>\n<h3>CKEditor</h3>\n<p>We''ve also deployed CKEditor to Drupal.org. The WYSIWYG editor is now available on the Section, Page, and Post content types, as well as the incoming Documentation Guide and Documentation Page types. CKEditor brings a more robust editorial experience to Drupal.org, and as it gets wider use we’ll expand it to additional content types. We also want to allow time for the <a href="https://github.com/unicorn-fail/dreditor/issues" rel="nofollow">Dreditor maintainers to update</a> to support the change. As a long-term goal, we hope that some of the features of Dreditor may be reimplemented as CKEditor plugins and directly available to every Drupal.org user without the use of a 3rd party browser extension.</p>\n<h2>Sustaining support and maintenance</h2>\n<h3>DrupalCon Dublin full site launched</h3>\n<p><img class="right" alt="DrupalCon Dublin Logo" src="/files/DrupalCon-Dublin-Logo.jpg" width="120px" /></p>\n<p>At DrupalCon New Orleans, we launched the full site for <a href="https://events.drupal.org/dublin2016" rel="nofollow">DrupalCon Dublin</a>. The call for papers is open now, as is registration, so <a href="https://events.drupal.org/dublin2016/news/call-papers-drupalcon-dublin-open" rel="nofollow">submit your sessions</a> and <a href="https://events.drupal.org/dublin2016/registration" rel="nofollow">purchase your tickets</a> soon. DrupalCon New Orleans had the most sessions submissions ever for a DrupalCon, and the standard of quality was incredibly high. We''re hoping that DrupalCon Dublin will see just as many wonderful submissions.</p>\n<h3>DrupalCon Baltimore announced!</h3>\n<p><img class="left" alt="DrupalCon Baltimore Logo" src="/files/DrupalCon-Baltimore-Logo.png" width="120px" /></p>\n<p>As is tradition, we also revealed the location of the next DrupalCon North America. In 2017, <a href="http://baltimore2017.drupal.org/" rel="nofollow">DrupalCon will be in Baltimore</a>! At the closing session, the engineering team launched the splash page for the upcoming event, with travel information, hotels, and important dates.</p>\n<p>And if your organization would like to sponsor DrupalCon Baltimore, you can find more information and <a href="https://assoc.drupal.org/drupalcon-sponsorship" rel="nofollow">our prospectus</a> on the site as well.</p>\n<h3>Infrastructure</h3>\n<p>We made several tweaks to Drupal.org infrastructure in May as well. We updated the Git Twisted daemon, which serves as the backend for the Drupal.org Git repositories and packaging process. We rebuilt our staging infrastructure at OSU/OSL. And finally, with the generous support of new Technology Supporting Partner <a href="https://www.drupal.org/opsgenie" rel="nofollow">OpsGenie</a>, we updated our internal pager rotation for infrastructure alerts.</p>\n<p>———</p>\n<p>As always, we’d like to say thanks to all the volunteers who work with us, and to the Drupal Association <a href="https://drupal.org/supporters" rel="nofollow">Supporters</a>, who made it possible for us to work on these projects.</p>\n<p>We also want to say a special thanks to the <a href="https://assoc.drupal.org/blog/megansanicki/reorganizing-for-drupal" rel="nofollow">departing leadership team</a> at the Drupal Association: our <a href="https://assoc.drupal.org/blog/holly.ross.drupal/hello-world-goodbye-drupal-association" rel="nofollow">former executive director, Holly Ross</a>, who is moving on after building an incredible team and a great culture throughout the entire organization; Matt Tsugawa, our CFO; and <a href="https://www.drupal.org/drupalorg/blog/saying-goodbye" rel="nofollow">Josh Mitchell</a>, who has lead and mentored the engineering team.</p>\n<p>Megan Sanicki, our former COO, is <a href="https://assoc.drupal.org/blog/megansanicki/ready-serve" rel="nofollow">taking on the mantle of Executive Director</a> and we''re looking forward to where her leadership will take us</p>\n<p>Follow us on Twitter for regular updates: <a href="https://twitter.com/drupal_org" rel="nofollow">@drupal_org</a>, <a href="https://twitter.com/drupal_infra" rel="nofollow">@drupal_infra</a></p></div></div></div>', '1465244201', '2743677 at https://www.drupal.org'),
('101', '1', 'Matthew Lechleider Community Spotlight', 'https://www.drupal.org/node/2744165', 'leighc', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><img src="/files/2016-matthew_lechleider-stock-01.png" width="200" align="right" alt="Picture of Matthew Lechleider" />Matthew Lechleider (<a href="http://drupal.org/u/slurpee" rel="nofollow">Slurpee</a>) has been active in the Drupal community for over a decade, and his hard work has directly led to an incredible amount of community growth. The founder of a Chicago Drupal User Group and our community’s chief advocate for the Google Summer of Code and Google Code-In programs, Matthew has been a key part of growing the Drupal project and our global community. Here''s his Drupal story.</p>\n<p>“In 2005, I was a full-time university student working at an internet service provider so I could put myself through school,” Matthew said. “I was working as a network/systems person, and since I was at an ISP we had a lot of people calling us and asking the same questions over and over. At the time, I knew bit about web development and programming, and I thought, ‘I bet I could make a website that would answer these people’s questions.’ And that’s how I found Drupal. I proposed it to my boss, and the next thing I knew I was working on a full-time project getting paid to work with Drupal 4. I built the website and it was really popular—  and we noticed that the phone calls went down. We were tracking our support calls at the 24-hour call center, and when people called for help, we would refer them to the website as a resource. So it really was a big help."</p>\n<p>After that, the next steps were logical for Matthew. He put together a Drupal meet-up at his Chicago-based company. The group grew quickly each month, and in no time at all, people were asking about training and “Introduction to Drupal” classes. "I started teaching those classes,” Matthew said, "and then next thing you know, people were asking for private trainings and businesses were asking me to come to their offices and train new Drupal developers. When the people I was training came back with advanced questions, I realized how much money they were making, so in 2008 I went from being a network engineer to focusing on Drupal full-time. Since then, I’ve <a href="http://lechleidermitchell.com/" rel="nofollow">started a Drupal business</a> and worked on some very big projects."</p>\n<p>"I never thought I would be a web developer, but I fell into Drupal, saw how great and easy it was, and decided it was a good thing to be a part of,” Matthew added.</p>\n<p>Over his time in Drupal, Matthew has converted a lot of Chicagoan web developers into Drupal users. “It''s pretty cool to be part of something bigger than yourself,” Matthew said. “It''s like a big tidal wave — I feel like I’ve been riding this Drupal wave for a long time. I didn’t think I’d still be work with Drupal this many years later."</p>\n<h2>Why Slurpee?</h2>\n<p>Many people in the community know Matthew only by his user username, Slurpee. But how did he come by that handle?</p>\n<p>"I was probably eight or nine years old, learning about computers, and I had some nicknames I was playing around with. But it’s like that movie ‘Hackers’: you have to have your handle, you have to have your identity. It was the middle of a hot July in the summer, and as I was figuring out what I should call myself, I realized I had bout 20 empty slurpee cups surrounding my computer. I really do like slurpees. So that’s where that came from."</p>\n<h2>Drupal 8</h2>\n<p>As a long-time Drupal user and evangelist, Matthew is incredibly excited for Drupal 8.</p>\n<p>" I have a traditional programming background in computer science, and Drupal wasn’t always the most professional CMS,” Matthew said.  “Now, I’m very excited about Drupal 8— it’s like Drupal grew up and went to college and got a graduate degree. Drupal 8 is the way Drupal should have been a long time ago. I’ve built some of the biggest Drupal projects in the world, and when you’re talking to those kinds of massive clients, it’s hard to sell systems like Drupal four, five, and six. They’re out paying the big money for the huge enterprise solutions, and Drupal 8 is big. It’s ready to go, and I really think it''s on par with everything else these days."</p>\n<p>When asked about his favorite Drupal 8 feature, Matthew said, “As I work with big sites, it’s been a big struggle to deal with continuous integration, which is resolved in Drupal 8. As a person with a sysadmin background, I think integration is probably the thing that will save the most headaches. It’s going to be a very cool tool to work with."</p>\n<h2>Google Summer of Code and Google Code-In</h2>\n<p>Matthew is also heavily involved in several of Google’s student coding programs, and runs point on keeping Drupal in the Google Summer of Code (GSoC) and Google Code-In (GCI) programs.</p>\n<p>“I’m a bit younger than other people in the community, and I started with Drupal when I was 19 years old or so. I was going to college when I got into Drupal, and I remember talking to people about it at school... and nobody had any clue about it, not even my teachers,” Matthew said. “Fast forward several years: I was working in the community, specifically on the VoIP Drupal module suite. At the time, we had a student come to us about GSoC —this was in 2012— and he said, ‘hey, I want to work on this project for you guys as part of the GSoC. Can you be a mentor?’ I said sure, and that’s all I was that first year. The next year, nobody wanted to organize GSoC for Drupal, so I stepped up and said that I liked the program and would get the ball rolling. I spent a lot of time revamping the things that Drupal does with Google, got us accepted back into the program, and we’ve been participating every year since, both in the Google Summer of Code, which is for university students, and the Google Code-In, which is for students ages 13 through 17.</p>\n<p>“Getting back to what I said earlier about being a student, when nobody knew what Drupal was, it was a bit harder to get involved. Knowing that there’s a program like this in schools around the world, pushing these projects to students, I think it’s critical for us to participate. If we want this project to continue to be successful, we have to focus on younger people. They’re the ones who are adapting and changing the tech as we know it, and if they don’t know about Drupal, they won’t use it. But if we embrace these kids and show them how awesome Drupal can be — we have impressive students doing impressive stuff— it’s great for everyone. That’s why I think it’s super important that we spend so much time on the GSoC and GCI programs."</p>\n<p>For those who are interested in getting involved, there are both <a href="https://groups.drupal.org/google-summer-code" rel="nofollow">GSoC</a> and <a href="https://groups.drupal.org/google-code-in" rel="nofollow">GCI</a> Drupal Groups, a <a href="https://www.drupal.org/node/984014" rel="nofollow">documentation guide for GCI</a>, and <a href="https://www.drupal.org/node/2415225" rel="nofollow">a guide for the GSoC students who are just getting started</a>. There is also a #drupal-google IRC channel on free node.</p>\n<p>“It’s fairly easy to get involved,” Matthew said. “If you’re interested in helping, join the groups — we send out lots of updates — or you can can contact me directly. You can find us on IRC, or if you know of a student who wants to get involved, all they need to do is read the documentation. It covers everything. We spent a lot of time on that documentation,” Matthew said.</p>\n<h2>Being part of something bigger</h2>\n<p>When asked what drives him to participate and organize the community, Matthew’s answer was simple.</p>\n<p>"Honestly, it’s all about being part of something bigger than myself,” he said. "I’ve been participating in computer hacker nerd groups since I was a kid, and back then (in the 90s) it was fairly difficult to find out about these kinds of groups. I attended something called 2600 — does anyone else remember that? — I thought it was so cool to be a part of something like that. I’ve been in IRC every day for over 20 years participating in communities, and it’s so exciting to be part of a huge thing bigger than myself. Now I’m getting recognized for it in Drupal, which is cool,” he added.</p>\n<p>"Drupal is by far the largest community I’ve participated in from that point of view, and it’s been an exciting ride. Honestly, I thought it would have been over by now — I’ve been part of the community for over 10 years and that’s a long time — but I’m excited to see where it goes. For me, Drupal is more of a lifestyle than a career. Technically I’m a web developer, but I spend so much of my time volunteering and going to events. I can go to a DrupalCon in another country and see my friends from all over the world. Seeing how mature our community has become over the past decade continues to excite me, and and I plan to be part of this for as long as possible."</p>\n<p>“The money’s not bad either,” he added. “I live a comfortable life working from home. I like to travel a lot, go to music festivals, or go on Phish tour for weeks at a time, but I can still work. I have a mobile hotspot, and just bring my laptop with me. I can’t tell you how many times I’ve been set up at a camping spot in the middle of nowhere, working on my laptop, or how many times I’ve been in a random country looking for internet so I can get some work done.” </p>\n<p>“Working remotely, or working from home, gives me a lot of freedom. It lets me go to the skate park when all the kids are at school— I skateboard, and bring my board with me when I travel — and there’s time for me to go running every day. It’s actually one of my favorite activities, my running break — halfway through the day, I get up and I go running. It helps me keep my sanity."</p>\n<p>"I also like to snowboard,” Matthew continued. “I’ve been skateboarding since I was 5 — since I could walk and talk I’ve been skateboarding — and I started snowboarding a couple years after that. Going to DrupalCon Denver was exciting, and there was a DrupalCon snowboard trip. Lots of people went to Breckenridge together, and that’s the other cool thing about the community: these people are fun, they like to go out and do things together."</p>\n<h2>Helping camps and communities around the world</h2>\n<p>After a decade in the Drupal community, Matthew has a lot of great memories of traveling, teaching, and sharing.</p>\n<p>“I was invited to organize the <a href="https://groups.drupal.org/files/13_1.jpg" rel="nofollow">first DrupalCamp in Sri Lanka</a> and hold training classes there,” Matthew said. “It’s an island just off the coast of India, and when I went in 2012, they had just finished having a civil war. I was one of the only foreigners there, and there was military presence walking around. I wasn’t allowed to leave my hotel unless the Drupal people came and picked me up, and they were absolutely wonderful. They were so nice and appreciative, and so many people were incredibly smart and really talented. After I did a training or presentation, they all had a million questions and we ended up talking for hours. And that was when I had an ‘aha!’ moment and really felt like I was part of something bigger. It drove home that it’s my responsibility to spread the word of Drupal as much as possible."</p>\n<p>“That was actually one of the trainings that I did when I was traveling a lot” Matthew added. “I literally traveled for years living out of hostels, and couch surfing. I was being contracted at the time to go teach Drupal in Europe, Asia, and Australia."</p>\n<p>And for Matthew, one of his proudest accomplishments is Drupal’s participation in the GSoC and GCI programs.</p>\n<p>"I think it’s cool that I maintain Drupal’s relationship with Google,” he said. "It’s Google. They’re the biggest tech company ever, and I have this relationship with multiple people at their offices. They’re all super nice and it’s great that they’re pushing this open source stuff. They want our community''s feedback, and I think it’s really cool that I can represent Drupal with Google. They’re trying to give us money and get us to do more with the students. It’s something I think is really great."</p>\n<h2>The importance of networking</h2>\n<p>When asked if he had any advice for new Drupal users, Matthew had several thoughts to share.</p>\n<p>“Find your local communities and participate,” he advised. “Go to as many events as you can. If you have to drive a couple of hours to go to a Drupal camp, do it. If there isn’t a local community in your area, start one. If you go to meetup.com and post a similar topic, even if just one other person shows up, that’s cool and the community will grow. Drupal is a software, but it helps to get some face time in with other people. Network. Go out. Have some coffee (or beer). Hang out. Bring your laptop and start sharing ideas— you’ll be surprised at how welcoming the Drupal community is. I can’t tell you how many times I’ve sat at the bar until the bar kicked us out just helping people fix websites and giving free training.</p>\n<p>“If you’re struggling, it’s important to network with other groups — non-Drupal groups — like a web-dev group or an open source group or a Linux group or something. That’s what helped me when I did the first Drupal camp for Chicago 2008. We were thinking 100 people might show up, but we did a lot of networking. I contacted every tech user group in Milwaukee, Detroit, southern Illinois, and Minnesota. I found every group that was related to web or open source or Drupal, and I contacted every one of their organizers. Within a couple weeks we had over 200 registrations, and people were emailing us about hotels and hotel accommodations. It was a big wow moment for us."</p>\n<p>As for those who are involved in the community and want to do more, Matthew has a few tips.</p>\n<p>“If you want to teach training, my advice is not to focus on the curriculum. Everywhere I go, everyone wants me to submit my curriculum. I’ve taught a lot of classes, and I’ve learned that every group of students is going to be different. I can’t tell you how many times I had a curriculum and thought I was going to go through the whole thing, and instead I wind up talking about something else. Make sure you understand your students, and teach them what they want to learn about.</p>\n<p>“And it’s not even all that difficult,” he added. “Here’s what I do for Global Training Days. You know what happens when you make an event that’s free anything? You get all sorts of people registering. So I keep the classes as small as possible — so whenever anybody registers for the event, I don’t give them the address unless they give me their phone number. When someone registers, I call them and ask them, ''what do you want to get from this training,'' ''what is your experience,'' — and I can’t tell you how many people have thanked me for that. Requiring a phone call with the registration helped keep the classes smaller, and limit it to people who were actually new to Drupal and would be in proper context of attending a GTD. So, that’s my advice — know your audience. Don’t assume everyone knows about Drupal. Don’t worry about a set curriculum — go with what you students are actually looking to gain from the experience."</p>\n<p>For those who are looking for more tips, tricks, and knowledge from Matthew, his wisdom will soon be available at your fingertips in paperback form.</p>\n<p>“I’m working with Packt publishing on a collection of ‘Drupal 8 Administration Cookbook Recipes.’ They’re step-by-step tutorials that teach admins to do everything from getting started with Drupal to doing advanced site building stuff, and it''s coming out in later this summer. I’m pretty excited about it! I’ve always read a lot of the Drupal books and I’m excited to make a contribution. I started on my own but have had a Drupal business for several years, and have had several people who have worked for me. The book is literally just a collection of all the same questions every client always asks. It’s almost like a tell-all: here’s step-by-step documentation for how to do everything. Now stop asking us,” he added with a laugh. </p></div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div>', '1465310330', '2744165 at https://www.drupal.org'),
('102', '1', 'DrupalCI: Continuous Integration Testing for Drupal.org', 'https://www.drupal.org/drupalorg/blog/drupalci-continuous-integration-testing-for-drupalorg', 'joshuami', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><h2>Why test?</h2>\n<p>The goal of automated testing is confidence: confidence in application stability, and confidence that new features work as intended. Continuous integration as a philosophy is about speeding the rate of change while keeping stability. As the number of contributing programmers increase, the need to have automated testing as a means to prove stability increases.</p>\n<p>This post is focused on how the automated testing infrastructure on Drupal.org works, not actually writing tests. Much more detail about how to write tests during Drupal development can be found in community documentation:</p>\n<ul><li><a href="https://www.drupal.org/simpletest" rel="nofollow">Testing (D7 and D8) / SimpleTest (D6)</a></li>\n<li><a href="https://www.drupal.org/phpunit" rel="nofollow">Drupal''s implementation of PHPUnit</a></li>\n</ul><h2>Categories of testing</h2>\n<p>DrupalCI essentially runs two categories of tests:</p>\n<p><strong>Functional tests</strong> (also called blackbox testing) are the most common type of test run on DrupalCI hardware. These tests run assertions that test functionality by installing Drupal with a fresh database and then exercising that installation by inserting data and confirming the assertions complete. Front-end tests and behavior driven tests (BDD) tend to be functional. <em>Upgrade tests</em> are a type of functional tests that run a full installation of Drupal, then run upgrade commands.</p>\n<p><strong>Unit tests</strong> run assertions that test a unit of code and do not require a database installation. This means they execute very quickly. Because of its architecture, Drupal 8 has much more unit test coverage than Drupal 7.</p>\n<p>These test categories can be broken down further into more specific test types.</p>\n<h2>What testing means at the scale of Drupal</h2>\n<p>Drupal 8, with its 3,000+ core contributors and 7,288 contrib developers (so far), needs testing as a means to comfortably move forward code that everyone can trust to be stable.</p>\n<p>Between January and May 2016, 90,364 test runs were triggered in DrupalCI. That is about 18,000 test runs requested per month. Maintainers set whether they want tests to run on demand, with every patch submitted, or nightly. They also determine what environments those tests will run on; there are 6 combinations of PHP and database engines available for maintainers to choose from.</p>\n<p>The majority of these test runs are Drupal 8 tests at this point. (19,599 core tests and 47,713 contrib project tests were run during those 5 months.) Each test costs about 12 cents to run on Amazon Web Services. At the time of writing this post, we averaged around $2,000 per month in testing costs for our community. (Thank you <a href="https://www.drupal.org/supporters" rel="nofollow">supporters</a>!)</p>\n<h2>An overly simple history of automated testing for Drupal</h2>\n<p>Automated testing first became a thing for Drupal contributed projects during Drupal version 4.5 with the introduction of the <a href="https://www.drupal.org/project/simpletest" rel="nofollow">SimpleTest module</a>. It was not until Drupal 6 that we started manually building out testbots and running these tests on Drupal.org hardware.</p>\n<p>In Drupal 7, SimpleTest was brought into Drupal Core. (More information about what that took can be reviewed in the <a href="https://groups.drupal.org/node/10099" rel="nofollow">SimpleTest Roadmap for Drupal 7</a>.)</p>\n<p>In Drupal 8, PHPUnit testing was added to Drupal Core. PHPUnit tests are much faster than a full functional test in SimpleTest—though runtest.sh still triggers a combination of these test types in Drupal 8.</p>\n<p>The actual implementation of automated testing was much more complicated than this history suggests. The original testbot infrastructure that ran for 7 years on Drupal.org hardware was manually managed by some fiercely dedicated volunteers. The manual nature of that maintenance led to the architecture of DrupalCI, which was meant to make it easier to test locally at first and later focused on autoscaling on powerful hardware that could plow through tests more quickly.</p>\n<h2>DrupalCI''s basic structure</h2>\n<p>In <a href="https://www.drupal.org/drupalorg/blog/the-drupalorg-complexity" rel="nofollow">The Drupal.org Complexity</a>, we could see the intricate ways that Drupal''s code base interacts with other parts of the system.</p>\n<p><img alt="Representation of the relationships between services and sites in the Drupal.org ecosystem." src="/files/the-drupalorg-complexity.png" /></p>\n<p>We could further break out how systems like DrupalCI are interrelated.<br /><img alt="Highlighted relationships between testing and other services." src="/files/the-drupalorg-complexity-highlight-testing-integrations.png" /></p>\n<p>DrupalCI is a combination of data stored on Drupal.org, cron jobs, drush commands, and most importantly a couple of Jenkins installations to manage all the automation.</p>\n<p>Jenkins is the open source automation server project that makes most of the system possible. We use it for automating our build process and deploying code to our dev, staging and production environments. It automates just about anything and is used by companies small and large to run continuous integration or continuous deployment for their applications. It''s considered a "best practice" solution alongside options like Travis, CircleCI, and Bamboo. They all have slightly different features, but automation is at the core of most of these DevOps tools.</p>\n<p>To provide continuously integrated tests, you need to trigger those tests at a moment when the tests will have the greatest value.</p>\n<p>The three triggers for running a test job are when a patch is added to an issue comment, when code is committed to a repository or daily on a cron. Maintainers can specify which triggers are associated with which branches of their projects and which environments should run those tests.</p>\n<p>For core these settings look something like this:</p>\n<p><img alt="Screenshot of the automated testing settings for Drupal Core." src="/files/drupal-core-automated-testing-settings.png" /></p>\n<p>This detail allows for specific tests to run at specific times per the <em><a href="https://www.drupal.org/node/2696421" rel="nofollow">Drupal.org Testing Policy for DrupalCI</a></em>.</p>\n<p>To make this automation happen, we have an installation of Jenkins (Infrastructure Jenkins below) that is polled by Drupal.org once per minute with testing jobs to be queued.</p>\n<p>These jobs live in a database record alongside Drupal.org.</p>\n<p><img alt="The infrastructure jenkins instance polls Drupal.org once per minute looking for new jobs to queue." src="/files/DrupalCI-step-0-poll-for-jobs.png" /></p>\n<p>Infrastructure Jenkins speaks to the CI Dispatcher (also Jenkins) where the testing queue regularly passes those jobs to available testbots. CI Dispatcher uses an Amazon Web Services EC2 plugin to spin up new testbots when no existing testbot is available. Each testbot can spin up Docker containers with the specific test images defined by the maintainer. Theses containers pull from DockerHub repositories with official combinations of PHP and database engines that Drupal supports.</p>\n<p><img alt="The CI Dispatcher maintains the queue of jobs to run. When a job is ready, it uses an EC2 plugin to use an existing testbot or spin up a new bot as needed." src="/files/DrupalCI-step-1-ci-dispatcher.png" /></p>\n<p>After a testbot is running, the CI Dispatcher is in constant communication with the bots. You can even click through to the console on CI Dispatcher and watch the tests run. (It''s not very exciting—perhaps we should add sound effects to the failures—but it is very handy.)</p>\n<p><img alt="Once the testbot has been spun up, the CI Dispatcher listens to it for results." src="/files/DrupalCI-step-2-listen-for-results.png" /></p>\n<p>Once per minute, Drupal.org polls the CI Dispatcher for test status. It responds with pending, running, failed or passed. Failed and passed tests are then pulled back into Drupal.org for display using the Jenkins JSON API.</p>\n<p><img alt=" pending, running, failed, passed. All the results are pulled back into Drupal.org using the Jenkins'' JSON API." src="/files/DrupalCI-step-3-write-status-to-drupalorg.png" /></p>\n<p>Tests can also be run on demand at the patch, commit or branch level using the handy "add test" and "retest" links.</p>\n<h2>Why did we build this ourselves? Why not use [insert testing platform here]</h2>\n<p>Lot''s of people have asked why we don''t use TravisCI, CircleCI or some other hosted testing solution. The short answer is that most publicly available testing systems require Github authentication and integration.</p>\n<p>Additionally, our testing infrastructure is powerful because of its integration with our issue queues. Read the aforementioned <em><a href="https://www.drupal.org/drupalorg/blog/the-drupalorg-complexity" rel="nofollow">The Drupal.org Complexity</a></em> for more information.</p>\n<p>Another reason to run our own testing is scale. To get through all of the core tests for Drupal 8 in an acceptable amount of time (about 44 mins on average), we run very large testbots. These bots have 2 processors with 8 hardware cores. With hyperthreading, that means we have 32 hardware execution threads—about 88 EC2 compute units. They are not exactly super computers, but they are very performant.</p>\n<p>We average nearly 18,000 test runs per month. During our peak usage we spin up as many as 25 testbot machines—though usually we cap at 15 bots to keep costs under control. This helps us plow through our testing needs during sprints at DrupalCons and large camps.</p>\n<p>We have explored using an enterprise licensed version of either Github or CircleCI with our own hardware to tackle testing. That same consideration has been given to SauceLabs for front-end testing. Right now, there is not a cost savings to tackle this migration, but that does not rule it out in the future. Testing services continues to evolve.</p>\n<h2>Accelerating Drupal 8</h2>\n<p>In my first months as CTO, I was told repeatedly that the most important thing for us to work on was testing for Drupal 8. In those early days as I built out the team, we were mostly focused on catching up from the Drupal 7 upgrade and tackling technical debt issues that cropped up. In DrupalCon Austin, I had members of my team learn how to maintain the testbot infrastructure so that we could take over the process of spinning up bots and dealing with spikes in demand.</p>\n<p>By early 2015, we had optimized the old testbots as much as they were going to be optimized. We moved them to AWS so we could spin up faster machines and more bots, but there were features that were waiting on the new DrupalCI infrastructure that were blocking key development on Drupal 8.</p>\n<p>In March of 2015, we invited all the community developers that had helped with DrupalCI to the Drupal Association offices in Portland and sprinted with them to figure out the remaining implementation needs. The next couple of months involved tweaking DrupalCI''s architecture and cutting out any nice to have features to get something launched as soon as possible.<br />\nIt is no coincidence that from the time of DrupalCI''s launch until the release of Drupal 8, progress was rapidly accelerated.</p>\n<p>I am immensely proud of the work of all the community members and staff that worked directly with core maintainers to unblock Drupal 8 development and make it faster. This work was critical.</p>\n<p>Thank you to <a href="https://www.drupal.org/u/jthorson" rel="nofollow">jthorson</a>, <a href="https://www.drupal.org/u/ricardoamaro" rel="nofollow">ricardoamaro</a>, <a href="https://www.drupal.org/u/nick_schuch" rel="nofollow">nick_schuch</a>, <a href="https://www.drupal.org/u/dasrecht" rel="nofollow">dasrecht</a>, <a href="https://www.drupal.org/u/basic" rel="nofollow">basic</a>, <a href="https://www.drupal.org/u/isntall" rel="nofollow">isntall</a>, <a href="https://www.drupal.org/u/drumm" rel="nofollow">drumm</a>, <a href="https://www.drupal.org/u/mikey_p" rel="nofollow">mikey_p</a>, <a href="https://www.drupal.org/u/mixologic" rel="nofollow">mixologic</a>, <a href="https://www.drupal.org/u/hestenet" rel="nofollow">hestenet</a>, <a href="https://www.drupal.org/u/chx" rel="nofollow">chx</a>, <a href="https://www.drupal.org/u/mile23" rel="nofollow">mile23</a>, <a href="https://www.drupal.org/u/alexpott" rel="nofollow">alexpott</a>, <a href="https://www.drupal.org/u/dawehner" rel="nofollow">dawehner</a>, <a href="https://www.drupal.org/u/Shyamala" rel="nofollow">Shyamala</a>, and <a href="https://www.drupal.org/u/webchick" rel="nofollow">webchick</a>. You all made DrupalCI. (And huge apologies to all those I''m undoubtedly leaving out.) Also thank you to anyone who chimed in on IRC or in the issue queues to help us track down bugs and improve the service.</p>\n<h2>What''s next for testing Drupal</h2>\n<p>Most of the future state of testing is outlined in the <a href="https://www.drupal.org/node/2696421" rel="nofollow">Drupal.org Testing Policy for DrupalCI</a>.</p>\n<p>Key issues that we still need to solve are related to concurrent testing improvements and new test types to support. While we have PhantomJS integrated with the test runner, there are optimizations that need to happen.</p>\n<p>Testing is not an endpoint. Like much of our work, it is an ongoing effort to continuously improve Drupal by providing a tool that improves how we test, what we test, and when we test.</p></div></div></div>', '1465425613', '2745281 at https://www.drupal.org'),
('103', '1', 'Drupal 8.1.3 and 7.44 released', 'https://www.drupal.org/blog/drupal-8-1-3-and-7-44', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Drupal 8.1.3 and 7.44, maintenance releases which contain fixes for <strong>security vulnerabilities</strong>, are now available for download.</p>\n<!--break--><p>See the <a href="https://www.drupal.org/project/drupal/releases/8.1.3">Drupal 8.1.3</a> and <a href="https://www.drupal.org/project/drupal/releases/7.44">Drupal 7.44</a> release notes for further information.</p>\n<div style="text-align: center; margin: 2em 2em 0.5em;"><a href="https://ftp.drupal.org/files/projects/drupal-8.1.3.tar.gz" class="link-button"><span>Download Drupal 8.1.3</span></a></div>\n<div style="text-align: center; margin: 0.5em 2em 2em;"><a href="https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz" class="link-button"><span>Download Drupal 7.44</span></a></div>\n<p><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 8 and 7 sites is strongly recommended.</strong> There are no new features or non-security-related bug fixes in these releases. For more information about the Drupal 8.1.x release series, consult the <a href="https://www.drupal.org/8">Drupal 8 overview</a>. More information on the Drupal 7.x release series can be found in the <a href="https://www.drupal.org/drupal-7.0">Drupal 7.0 release announcement</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 8.1.3 and 7.44 were released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory:</p>\n<ul><li><a href="/SA-CORE-2016-002">Drupal Core - Moderately Critical - Multiple Vulnerabilities - SA-CORE-2016-002</a></li>\n</ul><p>To fix the security vulnerabilities, please upgrade to either Drupal 8.1.3 or Drupal 7.44.</p>\n<h2>Change log</h2>\n<p>Drupal 8.1.3 is a security release only. For more details, see the <a href="https://www.drupal.org/project/drupal/releases/8.1.3">8.1.3 release notes</a>. A complete list of all changes in the stable 8.1.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=8.1.x">the git commit log</a>.</p>\n<p>Drupal 7.44 is a security release only. For more details, see the <a href="https://www.drupal.org/project/drupal/releases/7.44">7.44 release notes</a>. A complete list of all changes in the stable 7.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=7.x">the git commit log</a>.</p>\n<h2>Update notes</h2>\n<p>See the <a href="https://www.drupal.org/project/drupal/releases/8.1.3">8.1.3</a> and <a href="https://www.drupal.org/project/drupal/releases/7.44">7.44</a> release notes for details on important changes in each release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="https://www.drupal.org/project/drupal/releases/8.1.3">8.1.3</a> and <a href="https://www.drupal.org/project/drupal/releases/7.44">7.44</a> release notes for details on known issues affecting each release.</p>\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>. We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 8 and 7 include the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Both Drupal 8.1.x and 7.x are being maintained, so given enough <a href="https://drupal.org/project/issues/search/drupal?status[]=8&amp;categories[]=1">bug fixes</a> (not just <a href="https://drupal.org/project/issues/search/drupal?status[]=1&amp;categories[]=1">bug reports</a>) more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.</p>\n</div></div></div>', '1466019173', '2749367 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('104', '1', 'Drupal is for ambitious digital experiences', 'https://www.drupal.org/blog/drupal-is-for-ambitious-digital-experiences', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>What feelings does the name Drupal evoke? Perceptions vary from person to person; where one may describe it in positive terms as "powerful" and "flexible," another may describe it negatively as "complex." People describe Drupal differently not only as a result of their professional backgrounds, but also based on what they''ve heard and learned.</p>\n<p>If you ask different people what Drupal is for, you''ll get many different answers. This isn''t a surprise, because over the years the answers to this fundamental question have evolved. Drupal started as a tool for hobbyists building community websites, but over time it''s evolved to support large and sophisticated use cases.</p>\n<h2>Perception is everything</h2>\n<p>Perception is everything; it sets expectations and guides actions and inactions. We need to better communicate Drupal''s identity, demonstrate its true value, and manage its perceptions and misconceptions. Words do lead to actions. Spending the time to capture what Drupal is for could energize and empower people to make better decisions when adopting, building, and marketing Drupal.</p>\n<p>Truth be told, I''ve been reluctant to define what Drupal is for, as it requires making trade-offs. I''ve feared that we''d make the wrong choice or limit our growth. Over the years, it''s become clear that <em>not</em> defining what Drupal is used for leaves more people confused, even within our own community.</p>\n<p>For example, because Drupal evolved from a simple tool for hobbyists to a more powerful digital experience platform, many people believe that Drupal is now "for the enterprise." While I agree that Drupal is a great fit for the enterprise, I personally never loved that categorization. It''s not just large organizations that use Drupal. Individuals, small startups, universities, museums, and non-profits can be equally ambitious in what they''d like to accomplish, and Drupal can be an incredible solution for them.</p>\n<h2>Defining what Drupal is for</h2>\n<p>Rather than using "for the enterprise," I thought "for ambitious digital experiences" was a good phrase to describe what people can build using Drupal. I say "digital experiences" because I don''t want to confine this definition to traditional browser-based websites. As I''ve stated in <a href="http://buytaert.net/state-of-drupal-presentation-may-2016" target="_blank" rel="nofollow">my Drupalcon New Orleans keynote</a>, Drupal is used to power mobile applications, digital kiosks, <a href="http://buytaert.net/cross-channel-user-experiences-with-drupal" target="_blank" rel="nofollow">conversational user experiences</a>, and more. Today I really wanted to focus on the word "ambitious."</p>\n<p>"Ambitious" is a good word because it aligns with the flexibility, scalability, speed and creative freedom that Drupal provides. Drupal projects may be ambitious because of the sheer scale (e.g. <a href="http://buytaert.net/weather-com-using-drupal" target="_blank" rel="nofollow">The Weather Channel</a>), their security requirements (e.g. <a href="http://buytaert.net/whitehouse-gov-using-drupal" target="_blank" rel="nofollow">The White House</a>), the number of sites (e.g. Johnson &amp; Johnson manages thousands of Drupal sites), or specialized requirements of the project (e.g. the New York MTA powering digital kiosks with Drupal). Organizations are turning to Drupal because it gives them greater flexibility, better usability, deeper integrations, and faster innovation. Not all Drupal projects need these features on day one—or needs to know about them—but it is good to have them in case you need them later on.</p>\n<p>"Ambitious" also aligns with our community''s culture. Our industry is in constant change (responsive design, web services, social media, IoT), and we never look away. Drupal 8 was a very ambitious release; a reboot that took one-third of Drupal''s lifespan to complete, but maneuvered Drupal to the right place for the future that''s now coming. I''ve always believed that the Drupal community is ambitious, and I believe that attitude remains strong in our community.</p>\n<p>Last but not least, our adopters are also ambitious. They are using Drupal to transform their organizations digitally, leaving established business models and old business processes in the dust.</p>\n<p>I like the position that Drupal is ambitious. Stating that Drupal is for ambitious digital experiences, however, is only a start. It only gives a taste of Drupal''s objectives, scope, target audience, and advantages. I think we''d benefit from being much clearer. I''m curious to know how you feel about the term "for ambitious digital experiences" versus "for the enterprise" versus not specifying anything. Let me know in the comments so we can figure out how to collectively change the perception of Drupal.</p>\n<p>PS: I''m borrowing the term "ambitious" from the <a href="http://emberjs.com/" target="_blank" rel="nofollow">Ember.js community</a>. They use the term in their tagline and slogan on their main page.</p></div></div></div>', '1467183600', '2760987 at https://www.drupal.org'),
('105', '1', 'Drupal 7.50 released', 'https://www.drupal.org/blog/drupal-7-50', 'David_Rothstein', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><a href="https://www.drupal.org/project/drupal/releases/7.50">Drupal 7.50</a>, the next release in the Drupal 7 series, is now available for download. It contains a variety of new features, improvements, and bug fixes (no security fixes).</p>\n<h2>Wait... Drupal 7.50?</h2>\n<p>Yes, there is a version jump compared to the previous <a href="https://www.drupal.org/project/drupal/releases/7.44">7.44 release</a>; this is to indicate that this Drupal 7 point release is a bit larger than past ones and makes a few more changes and new features available than normal.</p>\n<p><a href="https://www.drupal.org/upgrade">Updating</a> your existing Drupal 7 sites is recommended. <a href="https://www.drupal.org/node/1527558">Backwards compatibility</a> is still being maintained, although read on to find out about a couple of changes that might need your attention during the update.</p>\n<div style="text-align: center; margin: 2em;"><a class="link-button" href="https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz"><span>Download Drupal 7.50</span></a></div>\n<h2>Notable changes</h2>\n<p>There are a variety of new features, performance improvements, security-related enhancements (although no fixes for direct security vulnerabilities) and other notable changes in this release. The <a href="https://www.drupal.org/project/drupal/releases/7.50">release notes</a> provide a comprehensive list, but here are some highlights.</p>\n<h3>New "administer fields" permission added for trusted users</h3>\n<p>The administrative interface for adding and configuring fields has always been something that only trusted users should have access to. To make that easier, there is now a dedicated permission which is required (in addition to other existing administrative permissions) to be able to access the field UI.</p>\n<p>For example, you can now assign the "administer taxonomy" permission (but withhold the new "administer fields" permission) to allow low-level administrators to manage taxonomy terms but not change the field structure. Read the <a href="https://www.drupal.org/node/2483307">change record</a> for more information.</p>\n<p><img alt="New administer fields permission" src="https://www.drupal.org/files/administer-fields-permission.png" /></p>\n<h3>Protection against clickjacking enabled by default</h3>\n<p>Clickjacking is a technique a malicious site owner can use to attempt attacks on other sites, by embedding the victim''s site into an iframe on their own site.</p>\n<p>To stop this, Drupal will now prevent your site from being embedded in an iframe on another domain. This is the default behavior, but it can be adjusted if necessary; see the <a href="https://www.drupal.org/node/2735873">change record</a> to find out more.</p>\n<h3>Support for full UTF-8 (emojis, Asian symbols, mathematical symbols) is now possible on MySQL</h3>\n<p>If content creators on your site have been clamoring to use emojis, it''s now possible on Drupal sites running MySQL (it was previously possible on PostgreSQL and SQLite). Turning this capability on requires the database to meet certain requirements, plus editing the site''s settings.php file and potentially other steps, as described in the <a href="https://www.drupal.org/node/2761183">change record</a>.</p>\n<p><img alt="Emojis on a Drupal site" src="https://www.drupal.org/files/emojis-in-drupal-7.50.png" /></p>\n<h3>Improved support for recent PHP versions, including PHP 7</h3>\n<p>Drupal core''s automated test suite is now fully passing on a variety of environments where there were previously some failures (PHP 5.4, 5.5, 5.6, and 7). We have also fixed several bugs affecting those versions. These PHP versions are <a href="https://www.drupal.org/requirements">officially supported by Drupal 7</a> and recommended for use where possible.</p>\n<p>Because PHP 7 is the newest release (and not yet used on many production sites) extra care should still be taken with it, and there are some known bugs, especially in contributed modules (see <a href="https://www.drupal.org/node/2656548">the discussion</a> for more details). However anecdotal evidence from a variety of users suggests that Drupal 7 can be successfully used on PHP 7, both before and after the 7.50 release.</p>\n<h3>Improved performance (and new PHP warnings) when Drupal is trying to find a file that does not exist</h3>\n<p>When Drupal cannot find a file that it expects to be in the filesystem, it will no longer continually search for it on a large number of page requests (previously, this could significantly hurt your site''s performance). Instead, it will record <a href="https://www.drupal.org/node/2487215">a PHP warning</a> about the problem.</p>\n<p>Read the <a href="https://www.drupal.org/node/2581445">change record</a> for more information, and make sure your production site is not configured to show warning messages like this on the screen, since it is not desirable for site visitors to see them. (In order to configure this, go to "Administration" → "Configuration" → "Development" → "Logging and errors" and set the "Error messages to display" option to "None".)</p>\n<h3>Improvements to help search engines index your site''s images/CSS/JavaScript</h3>\n<p>Modern search engine web crawlers read images, CSS and JavaScript (just like a regular web browser) when crawling a site, and they use this information to improve search results.</p>\n<p>Drupal''s default <code class="language-php">robots.txt</code> file now includes rules to allow search engines to access more of these files than it previously allowed them to, which may help certain search engines better index your site. See the <a href="https://www.drupal.org/node/2762251">change record</a> for additional details.</p>\n<h2>More information</h2>\n<ul><li>You can find the full list of changes between the previous 7.44 release and the current 7.50 release by reading the <a href="https://www.drupal.org/project/drupal/releases/7.50">7.50 release notes</a>.</li>\n<li>Also see the release notes for additional update information and known issues discovered after the release.</li>\n<li>You can find a complete list of all changes in the stable 7.x branch in <a href="http://cgit.drupalcode.org/drupal/log/?id=refs/heads/7.x">the git commit log</a>.</li>\n<li>Translators should be aware of a few administrative-facing <a href="https://www.drupal.org/project/issues/search?issue_tags=String+change+in+7.50">translatable string changes and additions</a> in this release.</li>\n</ul><h3>Security information</h3>\n<ul><li>We have a <a href="https://www.drupal.org/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="https://www.drupal.org/security/rss.xml">RSS feed with the most recent security advisories</a>. We <strong>strongly advise Drupal administrators to <a href="https://www.drupal.org/security">sign up</a></strong> for the list.</li>\n<li>Drupal 7 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</li>\n<li>There are no security fixes in this release of Drupal core.</li>\n</ul><h3>Future releases</h3>\n<ul><li>Drupal 7 is being actively maintained, so more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.</li>\n<li>We will consider continuing to do larger Drupal 7 releases like this one every six months or so (where the next larger release will be 7.60, in keeping with Drupal''s new <a href="https://www.drupal.org/core/release-cycle-overview">release cycle</a>) if there is interest and continued contributions from the community. See the ongoing <a href="https://www.drupal.org/node/2598382">discussion</a> for further details.</li>\n</ul><h2>New Drupal 7 co-mainainers</h2>\n<p>In case you missed the news earlier, <strong>we recently added <a href="https://groups.drupal.org/node/512271">two new Drupal 7 co-maintainers</a>: <a href="https://www.drupal.org/u/fabianx">Fabianx</a> (<a href="https://twitter.com/fabianfranz">@fabianfranz</a>) and <a href="https://www.drupal.org/u/stefanr-0">stefan.r</a> (<a href="https://twitter.com/stefan_arrr">@stefan_arrr</a>)</strong>! Despite only having been official maintainers for the past two weeks, they put in an enormous amount of effort and skill into Drupal 7.50, which was essential in getting it out the door with all the improvements mentioned above.</p>\n<h2>Credits</h2>\n<p>Overall, 230 people were credited with helping to fix issues included in this release:</p>\n<p><a href="/u/akoepke">akoepke</a>, <a href="/u/alanburke">alanburke</a>, <a href="/u/alan-d.">Alan D.</a>, <a href="/u/alberto56">alberto56</a>, <a href="/u/albert-volkman">Albert Volkman</a>, <a href="/u/alexmoreno">alexmoreno</a>, <a href="/u/alexpott">alexpott</a>, <a href="/u/amontero">amontero</a>, <a href="/u/andypost">andypost</a>, <a href="/u/ar-jan">ar-jan</a>, <a href="/u/arosboro">arosboro</a>, <a href="/u/askibinski">askibinski</a>, <a href="/u/attiks">attiks</a>, <a href="/u/basvredeling">basvredeling</a>, <a href="/u/beejeebus">beejeebus</a>, <a href="/u/benjy">benjy</a>, <a href="/u/berdir">Berdir</a>, <a href="/u/bmateus">bmateus</a>, <a href="/u/borisson_">borisson_</a>, <a href="/u/botris">botris</a>, <a href="/u/bradjones1">bradjones1</a>, <a href="/u/brianv">brianV</a>, <a href="/u/broeker">broeker</a>, <a href="/u/c960657">c960657</a>, <a href="/u/carsten-müller">Carsten Müller</a>, <a href="/u/catch">catch</a>, <a href="/u/checker">checker</a>, <a href="/u/chintan.vyas">chintan.vyas</a>, <a href="/u/chirhotec">chirhotec</a>, <a href="/u/christian-deloach">Christian DeLoach</a>, <a href="/u/christophweber">ChristophWeber</a>, <a href="/u/chx">chx</a>, <a href="/u/cilefen">cilefen</a>, <a href="/u/ciss">ciss</a>, <a href="/u/ckng">ckng</a>, <a href="/u/colinmccabe">colinmccabe</a>, <a href="/u/corbacho">corbacho</a>, <a href="/u/criz">criz</a>, <a href="/u/cspitzlay">cspitzlay</a>, <a href="/u/cwoky">cwoky</a>, <a href="/u/dagmar">dagmar</a>, <a href="/u/damienmckenna">DamienMcKenna</a>, <a href="/u/damien_vancouver">damien_vancouver</a>, <a href="/u/darol100">darol100</a>, <a href="/u/darren-oh">Darren Oh</a>, <a href="/u/das-peter">das-peter</a>, <a href="/u/dave-reid">Dave Reid</a>, <a href="/u/davic">davic</a>, <a href="/u/david_garcia">david_garcia</a>, <a href="/u/david_rothstein">David_Rothstein</a>, <a href="/u/dawehner">dawehner</a>, <a href="/u/dcam">dcam</a>, <a href="/u/derekl">DerekL</a>, <a href="/u/donutdan4114">donutdan4114</a>, <a href="/u/droplet">droplet</a>, <a href="/u/duaelfr">DuaelFr</a>, <a href="/u/e._s">e._s</a>, <a href="/u/eesquibel">eesquibel</a>, <a href="/u/eiriksm">eiriksm</a>, <a href="/u/elijah-lynn">Elijah Lynn</a>, <a href="/u/emcniece">emcniece</a>, <a href="/u/eric_a">Eric_A</a>, <a href="/u/evanschisler">EvanSchisler</a>, <a href="/u/extexan">ExTexan</a>, <a href="/u/fabianx">Fabianx</a>, <a href="/u/felribeiro">felribeiro</a>, <a href="/u/fgm">fgm</a>, <a href="/u/fietserwin">fietserwin</a>, <a href="/u/forestgardener">forestgardener</a>, <a href="/u/gcardinal">gcardinal</a>, <a href="/u/geerlingguy">geerlingguy</a>, <a href="/u/gielfeldt">gielfeldt</a>, <a href="/u/girish-jerk">Girish-jerk</a>, <a href="/u/greggles">greggles</a>, <a href="/u/grigoriunicolae">GrigoriuNicolae</a>, <a href="/u/gábor-hojtsy">Gábor Hojtsy</a>, <a href="/u/hass">hass</a>, <a href="/u/henrik-opel">Henrik Opel</a>, <a href="/u/heyyo">heyyo</a>, <a href="/u/hgoto">hgoto</a>, <a href="/u/hussainweb">hussainweb</a>, <a href="/u/idebr">idebr</a>, <a href="/u/ifrik">ifrik</a>, <a href="/u/imanol.eguskiza">imanol.eguskiza</a>, <a href="/u/iruslan">IRuslan</a>, <a href="/u/izaaksom">izaaksom</a>, <a href="/u/jackbravo">jackbravo</a>, <a href="/u/jacob.embree">jacob.embree</a>, <a href="/u/jbekker">jbekker</a>, <a href="/u/jbeuckm">jbeuckm</a>, <a href="/u/jduhls">jduhls</a>, <a href="/u/jenlampton">jenlampton</a>, <a href="/u/jeroen.b">jeroen.b</a>, <a href="/u/jhodgdon">jhodgdon</a>, <a href="/u/jibran">jibran</a>, <a href="/u/joachim">joachim</a>, <a href="/u/joegraduate">joegraduate</a>, <a href="/u/joelpittet">joelpittet</a>, <a href="/u/johnpicozzi">johnpicozzi</a>, <a href="/u/joseph.olstad">joseph.olstad</a>, <a href="/u/joshtaylor">joshtaylor</a>, <a href="/u/josh-waihi">Josh Waihi</a>, <a href="/u/jp.stacey">jp.stacey</a>, <a href="/u/jsacksick">jsacksick</a>, <a href="/u/jthorson">jthorson</a>, <a href="/u/jve">JvE</a>, <a href="/u/jweowu">jweowu</a>, <a href="/u/kala4ek">kala4ek</a>, <a href="/u/kars-t">Kars-T</a>, <a href="/u/ken-ficara">Ken Ficara</a>, <a href="/u/kenorb">kenorb</a>, <a href="/u/kevinquillen">kevinquillen</a>, <a href="/u/kgaut">Kgaut</a>, <a href="/u/khaledblah">KhaledBlah</a>, <a href="/u/klausi">klausi</a>, <a href="/u/klokie">klokie</a>, <a href="/u/kristiaanvandeneynde">kristiaanvandeneynde</a>, <a href="/u/kristofferwiklund">kristofferwiklund</a>, <a href="/u/ksenzee">ksenzee</a>, <a href="/u/k_zoltan">k_zoltan</a>, <a href="/u/leschekfm">leschekfm</a>, <a href="/u/liam-morland">Liam Morland</a>, <a href="/u/loggol">lOggOl</a>, <a href="/u/lokapujya">lokapujya</a>, <a href="/u/lowell">Lowell</a>, <a href="/u/lucastockmann">lucastockmann</a>, <a href="/u/lukas-von-blarer">Lukas von Blarer</a>, <a href="/u/maciej.zgadzaj">maciej.zgadzaj</a>, <a href="/u/marcelovani">marcelovani</a>, <a href="/u/mariagwyn">mariagwyn</a>, <a href="/u/mark-theunissen">Mark Theunissen</a>, <a href="/u/marvin_b8">marvin_B8</a>, <a href="/u/maximpodorov">maximpodorov</a>, <a href="/u/mayaz17">mayaz17</a>, <a href="/u/megachriz">MegaChriz</a>, <a href="/u/mfb">mfb</a>, <a href="/u/mgifford">mgifford</a>, <a href="/u/micaelamenara">micaelamenara</a>, <a href="/u/mikeytown2">mikeytown2</a>, <a href="/u/mile23">Mile23</a>, <a href="/u/mimran">mimran</a>, <a href="/u/minax.de">minax.de</a>, <a href="/u/miro_dietiker">miro_dietiker</a>, <a href="/u/mistermoper">mistermoper</a>, <a href="/u/mixologic">Mixologic</a>, <a href="/u/mohit_aghera">mohit_aghera</a>, <a href="/u/mondrake">mondrake</a>, <a href="/u/mpv">mpv</a>, <a href="/u/mr.baileys">mr.baileys</a>, <a href="/u/mustanggb">MustangGB</a>, <a href="/u/neograph734">Neograph734</a>, <a href="/u/nevergone">nevergone</a>, <a href="/u/nicholas.alipaz">nicholas.alipaz</a>, <a href="/u/nicrodgers">nicrodgers</a>, <a href="/u/nikitajain">NikitaJain</a>, <a href="/u/nithinkolekar">nithinkolekar</a>, <a href="/u/nod_">nod_</a>, <a href="/u/noe_">Noe_</a>, <a href="/u/onelittleant">onelittleant</a>, <a href="/u/opdavies">opdavies</a>, <a href="/u/orbmantell">orbmantell</a>, <a href="/u/oriol_e9g">oriol_e9g</a>, <a href="/u/parisliakos">ParisLiakos</a>, <a href="/u/pashupathi-nath-gajawada">pashupathi nath gajawada</a>, <a href="/u/peacog">Peacog</a>, <a href="/u/perignon">Perignon</a>, <a href="/u/peter-bex">Peter Bex</a>, <a href="/u/peterpoe">peterpoe</a>, <a href="/u/pfrenssen">pfrenssen</a>, <a href="/u/pieterdc">PieterDC</a>, <a href="/u/pietmarcus">pietmarcus</a>, <a href="/u/pjcdawkins">pjcdawkins</a>, <a href="/u/pjonckiere">pjonckiere</a>, <a href="/u/polonium">Polonium</a>, <a href="/u/pounard">pounard</a>, <a href="/u/presleyd">presleyd</a>, <a href="/u/pwaterz">pwaterz</a>, <a href="/u/pwolanin">pwolanin</a>, <a href="/u/rafaolf">rafaolf</a>, <a href="/u/rbmboogie">rbmboogie</a>, <a href="/u/realityloop">realityloop</a>, <a href="/u/rhclayto">rhclayto</a>, <a href="/u/rocketeerbkw">rocketeerbkw</a>, <a href="/u/rpayanm">rpayanm</a>, <a href="/u/rupertj">rupertj</a>, <a href="/u/sagar-ramgade">Sagar Ramgade</a>, <a href="/u/sanduhrs">sanduhrs</a>, <a href="/u/scor">scor</a>, <a href="/u/scottalan">scottalan</a>, <a href="/u/scuba_fly">scuba_fly</a>, <a href="/u/sdstyles">sdstyles</a>, <a href="/u/snehi">snehi</a>, <a href="/u/soaratul">soaratul</a>, <a href="/u/socialnicheguru">SocialNicheGuru</a>, <a href="/u/spleshka">Spleshka</a>, <a href="/u/stefan.r">stefan.r</a>, <a href="/u/stovak">stovak</a>, <a href="/u/sun">sun</a>, <a href="/u/sutharsan">Sutharsan</a>, <a href="/u/svanou">svanou</a>, <a href="/u/sweetchuck">Sweetchuck</a>, <a href="/u/swentel">swentel</a>, <a href="/u/sylus">sylus</a>, <a href="/u/s_leu">s_leu</a>, <a href="/u/tadityar">tadityar</a>, <a href="/u/talhaparacha">talhaparacha</a>, <a href="/u/tatisilva">tatisilva</a>, <a href="/u/tbradbury">tbradbury</a>, <a href="/u/therealssj">therealssj</a>, <a href="/u/travelvc">travelvc</a>, <a href="/u/traviscarden">TravisCarden</a>, <a href="/u/travisjohnston">TravisJohnston</a>, <a href="/u/treyhunner">treyhunner</a>, <a href="/u/tsphethean">tsphethean</a>, <a href="/u/tstoeckler">tstoeckler</a>, <a href="/u/tucho">tucho</a>, <a href="/u/tuutti">tuutti</a>, <a href="/u/twistor">twistor</a>, <a href="/u/twod">TwoD</a>, <a href="/u/typhonius">typhonius</a>, <a href="/u/vasi1186">vasi1186</a>, <a href="/u/wim-leers">Wim Leers</a>, <a href="/u/xano">Xano</a>, <a href="/u/xjm">xjm</a>, <a href="/u/yannickoo">yannickoo</a>, <a href="/u/yched">yched</a>, <a href="/u/yesct">YesCT</a>, <a href="/u/zaporylie">zaporylie</a>, <a href="/u/zerdiox">Zerdiox</a>, and <a href="/u/znerol">znerol</a>.</p>\n<p>(This list was auto-generated, so apologies if anyone was left out.)</p>\n<p>Your name could be on a list like this in the future; see the <a href="https://www.drupal.org/contribute">Ways to get involved</a> page to find out how.</p>\n<p>Thank you to everyone who helped with Drupal 7.50!</p>\n</div></div></div>', '1467916097', '2762423 at https://www.drupal.org'),
('106', '1', 'A roadmap for making Drupal more API-first', 'https://www.drupal.org/blog/roadmap-making-drupal-more-api-first', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><em><a href="http://buytaert.net/a-roadmap-for-making-drupal-more-api-first" target="_blank" rel="nofollow">Republished from buytaert.net</a></em></p>\n<p>In one of my recent blog posts, I articulated <a href="http://buytaert.net/advancing-drupal-web-services" target="_blank" rel="nofollow">a vision for the future of Drupal''s web services</a>, and at DrupalCon New Orleans, I announced the <a href="http://buytaert.net/state-of-drupal-presentation-may-2016" target="_blank" rel="nofollow">API-first initiative for Drupal 8</a>. I believe that there is considerable momentum behind driving the web services initiative. As such, I want to provide a progress report, highlight some of the key people driving the work, and map the proposed vision from the previous blog post onto a rough timeline.</p>\n<p>Here is a bird''s-eye view of the plan for the next twelve months:</p>\n<table><tbody><tr><th>8.2 (Q4 2016)</th>\n<th>8.3 (Q2 2017)</th>\n<th>Beyond 8.3 (2017+)</th>\n</tr><tr><td>New REST API capabilities<br />\n			Waterwheel initial release</td>\n<td>New REST API capabilities<br />\n			JSON API module</td>\n<td>GraphQL module?<br />\n			Entity graph iterator?</td>\n</tr></tbody></table><h2>New REST API capabilities</h2>\n<p><a href="https://www.drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> (Acquia) and <a href="https://www.drupal.org/u/dawehner" rel="nofollow">Daniel Wehner</a> (Chapter Three) have produced a comprehensive list of the <a href="https://www.drupal.org/node/2721489" rel="nofollow">top priorities for the REST module</a>. We''re introducing <a href="https://www.drupal.org/list-changes/drupal/published?keywords_description=REST&amp;to_branch=8.2.x&amp;version=&amp;created_op=%3E%3D&amp;created%5Bvalue%5D=&amp;created%5Bmin%5D=&amp;created%5Bmax%5D=" rel="nofollow">significant REST API advancements</a> in Drupal 8.2 and 8.3 in order to improve the developer experience and extend the capabilities of the REST API. We''ve been focused on configuration entity support, simplified REST configuration, translation and file upload support, pagination, and last but not least, support for user login, logout and registration. All this work starts to address differences between core''s REST module and various contributed modules like <a href="https://www.drupal.org/project/services" rel="nofollow">Services</a> and <a href="https://www.drupal.org/project/relaxed" rel="nofollow">RELAXed Web Services</a>. More details are available in <a href="http://buytaert.net/advancing-drupal-web-services" target="_blank" rel="nofollow">my previous blog post</a>.</p>\n<p>Many thanks to <a href="https://www.drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> (Acquia), <a href="https://www.drupal.org/u/dawehner" rel="nofollow">Daniel Wehner</a> (Chapter Three), <a href="https://www.drupal.org/u/tedbow" rel="nofollow">Ted Bowman</a> (Acquia),<a href="https://www.drupal.org/u/alexpott" rel="nofollow">Alex Pott</a> (Chapter Three), and others for their work on Drupal core''s REST modules. Though there is considerable momentum behind efforts in core, we could always benefit from new contributors. Please consider taking a look at the <a href="https://www.drupal.org/project/issues/drupal?component=rest.module" rel="nofollow">REST module issue queue</a> to help!</p>\n<h2>Waterwheel initial release</h2>\n<p>As I mentioned in my previous post, there has been exciting work surrounding <a href="https://github.com/acquia/waterwheel" target="_blank" rel="nofollow">Waterwheel</a>, an SDK for JavaScript developers building Drupal-backed applications. If you want to build decoupled applications using a JavaScript framework (e.g. Angular, Ember, React, etc.) that use Drupal as a content repository, stay tuned for Waterwheel''s initial release later this year.</p>\n<p>Waterwheel aims to facilitate the construction of JavaScript applications that communicate with Drupal. Waterwheel''s JavaScript library allows JavaScript developers to work with Drupal without needing deep knowledge of how requests should be authenticated against Drupal, what request headers should be included, and how responses are molded into particular data structures.</p>\n<p>The <a href="https://www.drupal.org/project/waterwheel" rel="nofollow">Waterwheel Drupal module</a> adds a new endpoint to Drupal''s REST API allowing Waterwheel to discover entity resources and their fields. In other words, Waterwheel intelligently discovers and seamlessly integrates with the content model defined on any particular Drupal 8 site.</p>\n<p>A wider ecosystem around Waterwheel is starting to grow as well. <a href="https://www.drupal.org/u/gabesullice" rel="nofollow">Gabe Sullice</a>, creator of the <a href="https://www.drupal.org/project/entityqueryapi" rel="nofollow">Entity Query API module</a>, has contributed an integration of Waterwheel which opens the door to features such as sorts, conditions and ranges. The Waterwheel team welcomes early adopters as well as those working on other REST modules such as JSON API and RELAXed or using native HTTP clients in JavaScript frameworks to add their own integrations to the mix.</p>\n<p>Waterwheel is the currently the work of <a href="https://www.drupal.org/u/drpal" rel="nofollow">Matt Grill</a> (Acquia) and <a href="https://www.drupal.org/u/prestonso" rel="nofollow">Preston So</a> (Acquia), who are developing the JavaScript library, and <a href="https://www.drupal.org/u/tedbow" rel="nofollow">Ted Bowman</a> (Acquia), who is working on the Drupal module.</p>\n<h2>JSON API module</h2>\n<p>In conjunction with the ongoing efforts in core REST, parallel work is under way to build a <a href="https://www.drupal.org/project/jsonapi" rel="nofollow">JSON API module</a> that embraces the JSON API specification. <a href="http://jsonapi.org/" target="_blank" rel="nofollow">JSON API</a> is a particular implementation of REST that provides conventions for resource relationships, collections, filters, pagination, and sorting, in addition to error handling and full test coverage. These conventions help developers build clients faster and encourages reuse of code.</p>\n<p>Thanks to <a href="https://www.drupal.org/u/e0ipso" rel="nofollow">Mateu Aguiló Bosch</a>, <a href="https://www.drupal.org/u/ef4" rel="nofollow">Ed Faulkner</a> and <a href="https://www.drupal.org/u/gabesullice" rel="nofollow">Gabe Sullice</a>, who are spearheading the JSON API module work. The module could be ready for production use by the end of this year and included as an experimental module in core by 8.3. Contributors to JSON API are meeting weekly to discuss progress moving forward.</p>\n<h2>Beyond 8.3: GraphQL and entity graph iterator</h2>\n<p>While these other milestones are either certain or in the works, there are other projects gathering steam. Chief among these is GraphQL, which is a query language I highlighted in <a href="http://buytaert.net/state-of-drupal-presentation-september-2015" target="_blank" rel="nofollow">my Barcelona keynote</a> and allows for clients to tailor the responses they receive based on the structure of the requests they issue.</p>\n<p>One of the primary outcomes of the New Orleans web services discussion was the importance of a unified approach to iterating Drupal''s entity graph; both GraphQL and JSON API require such an "entity graph iterator." Though much of this is still speculative and needs greater refinement, eventually, such an "entity graph iterator" could enable other functionality such as editable API responses (e.g. aliases for custom field names and timestamp formatters) and a unified versioning strategy for web services. However, more help is needed to keep making progress, and in absence of additional contributors, we do not believe this will land in Drupal until after 8.3.</p>\n<p>Thanks to <a href="https://www.drupal.org/u/fubhy" rel="nofollow">Sebastian Siemssen</a>, who has been leading the effort around this work, which is currently <a href="https://github.com/drupal-http-apis/type-graph" target="_blank" rel="nofollow">available on GitHub</a>.</p>\n<h2>Validating our work and getting involved</h2>\n<p>In order to validate all of the progress we''ve made, we need developers everywhere to test and experiment with what we''re producing. This means stretching the limits of our core REST offerings, trying out JSON API for your own Drupal-backed applications, reporting issues and bugs as you encounter them, and participating in the discussions surrounding this exciting vision. Together, we can build towards a first-class API-first Drupal.</p>\n<p><em>Special thanks to <a href="https://www.drupal.org/u/prestonso" rel="nofollow">Preston So</a> for contributions to this blog post and to <a href="https://www.drupal.org/u/wim-leers" rel="nofollow">Wim Leers</a> for feedback during its writing.</em></p></div></div></div>', '1467900410', '2764395 at https://www.drupal.org'),
('107', '1', 'Drupal contrib - Highly Critical - Remote code execution PSA-2016-001', 'https://www.drupal.org/psa-2016-001', 'Drupal Security Team', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><ul><li>Advisory ID: DRUPAL-PSA-2016-001</li>\n<li>Project: Drupal contributed modules</li>\n<li>Version: 7.x</li>\n<li>Date: 2016-July-12</li>\n<li>Security risk: <a href="https://www.drupal.org/security-team/risk-levels">22/25 (<span style="padding:1px;display:inline-block;background-color:#EC3E40;color:white"> Highly Critical</span>) AC:None/A:None/CI:All/II:All/E:Theoretical/TD:All</a></li>\n<li>Vulnerability: Arbitrary PHP code execution</li>\n</ul><!--break--><h2>Description</h2>\n<p>There will be multiple releases of Drupal contributed modules on Wednesday July 13th 2016 16:00 UTC that will fix highly critical remote code execution vulnerabilities (risk scores up to <a href="https://www.drupal.org/security-team/risk-levels">22/25</a>). These contributed modules are used on between 1,000 and 10,000 sites. The Drupal Security Team urges you to reserve time for module updates at that time because exploits are expected to be developed within hours/days. Release announcements will appear at the <a href="https://www.drupal.org/security/contrib">standard announcement locations.</a></p>\n<p>Drupal core is not affected. Not all sites will be affected. You should review the published advisories on July 13th 2016 to see if any modules you use are affected.</p>\n<h2>Contact and More Information</h2>\n<p>The Drupal security team can be reached at security at drupal.org or via the contact form at <a href="https://www.drupal.org/contact">https://www.drupal.org/contact</a>.</p>\n<p>Learn more about <a href="https://www.drupal.org/security-team">the Drupal Security team and their policies</a>, <a href="https://www.drupal.org/writing-secure-code">writing secure code for Drupal</a>, and  <a href="https://www.drupal.org/security/secure-configuration">securing your site</a>.</p>\n<p>Follow the Drupal Security Team on Twitter at <a href="https://twitter.com/drupalsecurity">https://twitter.com/drupalsecurity</a></p>\n<p><em>Edited to add: approximate usage of the modules</em>.</p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/120">Drupal 7.x</a></div></div></div>', '1468336739', '2764899 at https://www.drupal.org'),
('108', '1', 'What’s new on Drupal.org? - June 2016', 'https://www.drupal.org/drupalorg/blog/whats-new-on-drupalorg-june-2016', 'hestenet', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Read our <a href="https://www.drupal.org/drupalorg/roadmap">Roadmap</a> to understand how this work falls into priorities set by the Drupal Association with direction and collaboration from the Board and community.</p>\n<p>In June the Drupal Association had our annual staff retreat, where the remote team members joined the Portland, OR team for a three day retreat. This year''s retreat was particularly important as we found our feet as a <a href="https://assoc.drupal.org/blog/megansanicki/reorganizing-for-drupal">smaller, leaner team</a>, and focused on our organizational roadmap for the next twelve months.</p>\n<p>For the engineering team in particular, our focus will be on maintaining the critical systems that make project successful: issue queues, updates, testing, packaging, etc, while at the same time finding new ways to support and enable Drupal''s evolution.</p>\n<p>These were some heady days, but even as we worked through the best ways to continue serving the Drupal community on a strategic level in June, we also found the time to keep making Drupal.org a better home.</p>\n<h2>Drupal.org updates</h2>\n<h3>Documentation Migration</h3>\n<p>A long running initiative this year has been the creation of a new Documentation system for Drupal.org, a topic we''ve touched on in many prior updates as it has begun to come online. We are very happy to say that we are moving to the next stage of the documentation project: moving from development to migration.</p>\n<p>In June <a href="https://www.drupal.org/u/tvn">tvn</a> recruited several volunteers to join our documentation migration team, and to become some of the first maintainers for the new Documentation Guides. General documentation, such as Understanding Drupal, Structure Guide, etc. will be migrated first. Documentation for contributed projects will follow in the coming weeks.</p>\n<p><img alt="Documentation Preview" src="/files/documentation-preview.png" /></p>\n<p>Maintainers of contributed projects, who currently have their documentation on Drupal.org, will be added as maintainers to respective documentation guides and are encouraged to clean/tidy up their documentation post-migration.</p>\n<p>if you are interested in helping, or <a href="https://www.drupal.org/node/2682083">sign up as a maintainer</a> for some of the new documentation guides.</p>\n<h3>Composer Repositories are now in Beta</h3>\n<p><img class="right" alt="Drupal.org Composer Logo" src="/files/styles/grid-3/public/project-images/9769826_0.png" width="120px" /></p>\n<p>Drupal.org''s Composer repositories allow developers building sites with Drupal to use the Composer command line tool for dependency management. In June we collected feedback from a variety of users, as well as the community volunteers who assisted us with the Composer Community Initiative.</p>\n<p>We spent the month iterating quickly on the alpha implementation: fixing bugs and rebuilding the meta data to ensure that users get consistent and expected results. Because of those fixes, and after gathering yet more feedback from the community, we were able to move the Drupal.org Composer repositories to beta.</p>\n<p>We encourage you to begin transitioning your composer based workflows to use Drupal.org''s composer facade. Package names are stable, and downtimes will be planned and announced. For more information on how to use Drupal.org''s Composer repositories, <a href="https://www.drupal.org/node/2718229">read our documentation</a>.</p>\n<h3>Better issue credit tools for maintainers</h3>\n<p>The Drupal.org issue credit system is a unique innovation of our community. By allowing users to attribute their contributions as volunteers, to their employers, or to client customers, we have an insight into the contribution ecosystem for Drupal that is unparalleled among open source projects. We''ve also already seen the impact of incentivizing organizations to give back to Drupal, by using the credit system as the basis for organization rankings in the marketplace.</p>\n<p><img alt="Credit Others" src="/files/credit-others.png" /></p>\n<p><img alt="Credit comment generated" src="/files/credit-others-comment.png" /></p>\n<p>In June we added two new tools for maintainers to improve how they grant credit to users. Firstly, maintainers can now deselect the automatic credit attribution for users who have submitted patches. This change was important to prevent gaming the credit system. Secondly, we''ve given the maintainers the ability to credit users who have not commented in the issue. Whether that help was provided in IRC, Slack, on a video call, or in a sprint room, maintainers can now ensure that those users who helped resolve an issue receive credit for their contributions. Any user who is credited this way can edit their credit attribution if they want to extend that attribution to a supporting organization or customer.</p>\n<h3>Friendly path aliases for release nodes</h3>\n<p>We also made a relatively small change that will have a big impact. Path auto is now enabled for project releases, so you for any project a specific release can now be found at:<br /><code class="language-php">drupal.org/project/[project_name]/[version]</code><br />\nAnd you can also find a list of all the releases for a project at:<br /><code class="language-php">drupal.org/project/[project_name]/[version]</code></p>\n<p>Take, for example, the Token module:<br /><code class="language-php">https://drupal.org/project/token/</code></p>\n<p>You can find the complete index of releases for this project at: <a href="https://www.drupal.org/project/token/releases">https://www.drupal.org/project/token/releases</a> and individual releases now have friendly urls, like this one: <a href="https://www.drupal.org/project/token/releases/8.x-1.0-alpha2">https://www.drupal.org/project/token/releases/8.x-1.0-alpha2</a></p>\n<h3>Spam Fighting Improvements</h3>\n<p>Fighting spam on Drupal.org is a never ending battle, but in June we deployed a refinement to our spam fighting tools that helps us to find patterns in registration behavior and prevent spam registrations before they''ve even started. After flipping on our latest iteration of this spam fighting tool we saw an immediate and dramatic drop-off in suspicious account registrations. With the additional data we''ve been able to collect we already see ways to improve this even further, so we hope to continue make Drupal.org a cleaner home for the community.</p>\n<h3>Highlighting Supporting Technologies</h3>\n<p>Drupal is many things to many different people, but one central function of Drupal is to be the hub of interconnected and complementary technologies. Several of the companies that build these technologies have chosen to support the Drupal project by becoming supporters. To better highlight some of these supporting technologies that work well with Drupal, we''ve added a <a href="https://www.drupal.org/supporting-technologies">supporting technologies</a> listing to the marketplace.</p>\n<h2>Sustaining support and maintenance</h2>\n<h3>DrupalCon</h3>\n<p><img class="left" alt="DrupalCon Dublin Logo" src="/files/DrupalCon-Dublin-Logo.jpg" width="120px" /></p>\n<p>DrupalCon Dublin is coming up soon, from September 26 - 30th. This year we smashed all our previous records for session submissions, and the caliber of speakers and topics is higher than ever before.</p>\n<p>In June we opened registration for the event. We encourage you to <a href="https://events.drupal.org/dublin2016/registration">buy your tickets now</a>! Early bird registration will end soon.</p>\n<h3>Infrastructure</h3>\n<p>Infrastructure is the bedrock of Drupal.org - and we''re continuing to tune the infrastructure for efficiency, economy, and performance. Alongside the launch of registration for DrupalCon Dublin, we implemented <a href="https://www.drupal.org/project/apdqc">APDQC</a> to improve the performance of the Events website under heavy load.</p>\n<p>We''ve also been upgrading our configuration management from Puppet 3 to Puppet 4, and continuing to standardize our configuration across all of our environments to make our infrastructure durable, consistent, and portable.</p>\n<p>———</p>\n<p>As always, we’d like to say thanks to all the volunteers who work with us, and to the Drupal Association <a href="https://drupal.org/supporters">Supporters</a>, who made it possible for us to work on these projects.</p>\n<p>If you would like to support our work as an individual or an organization, consider becoming a <a href="https://assoc.drupal.org/membership">member of the Drupal Association</a>.</p>\n<p>Follow us on Twitter for regular updates: <a href="https://twitter.com/drupal_org">@drupal_org</a>, <a href="https://twitter.com/drupal_infra">@drupal_infra</a></p>\n</div></div></div>', '1468596003', '2767133 at https://www.drupal.org'),
('109', '1', 'Drupal 8.x core release on Monday -- PSA-2016-002', 'https://www.drupal.org/PSA-2016-002', 'Drupal Security Team', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><ul><li>Advisory ID: DRUPAL-PSA-2016-002</li>\n<li>Project: Drupal</li>\n<li>Version: 8.x</li>\n<li>Date: 2016-July-17</li>\n<li>Security risk: TBD</li>\n<li>Vulnerability: TBD </li>\n</ul><!--break--><h2>Description</h2>\n<p>\nWe will be doing a Drupal 8 core patch release on Monday, July 18th. This will occur between 14:15 UTC and 19:00 UTC.\n</p>\n<p>There will not be a Drupal 7 release during this window.</p>\n<h2> Why is this release being issued?</h2>\n<p>\nThe Drupal security team has learned that a third-party Drupal 8 dependency will be making a security release on Monday, July 18th and in accordance we will be making a Drupal 8 release soon after. We will not disclose details of the third-party update in advance of that release and cannot respond to requests for further information. This security release is for the dependency only and does not affect Drupal 7 sites. Other mitigating factors will be included with our published SA.</p>\n<h2>What about the regularly scheduled release window on Wednesday, July 20?</h2>\n<p>\nWe are moving the regularly scheduled window two days earlier to provide the third-party dependency update, so this replaces that window.\n</p>\n<p>There will not be another core release on Wednesday, July 20th. </p>\n<h2>Contact and More Information</h2>\n<p>The Drupal security team can be reached at security at drupal.org or via the contact form at <a href="https://www.drupal.org/contact">https://www.drupal.org/contact</a>.</p>\n<p>Learn more about <a href="https://www.drupal.org/security-team">the Drupal Security team and their policies</a>, <a href="https://www.drupal.org/writing-secure-code">writing secure code for Drupal</a>, and  <a href="https://www.drupal.org/security/secure-configuration">securing your site</a>.</p>\n<p>Follow the Drupal Security Team on Twitter at <a href="https://twitter.com/drupalsecurity">https://twitter.com/drupalsecurity</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1468774460', '2767887 at https://www.drupal.org');
INSERT INTO `aggregator_item` VALUES
('110', '1', 'Drupal Core -  Highly Critical - Injection - SA-CORE-2016-003', 'https://www.drupal.org/SA-CORE-2016-003', 'Drupal Security Team', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><ul><li>Advisory ID: DRUPAL-SA-2016-002</li>\n<li>Project: <a href="https://www.drupal.org/project/drupal">Drupal core</a>    </li>\n<li>Version: 8.x</li>\n<li>Date: 2016-July-18</li>\n<li>Security risk: <a href="https://www.drupal.org/security-team/risk-levels">20/25 (<span style="padding:1px;display:inline-block;background-color:#EC3E40;color:white"> Highly Critical</span>) AC:Basic/A:None/CI:All/II:All/E:Proof/TD:Default</a></li>\n<li>Vulnerability: Injection</li>\n</ul><!--break--><h2>Description</h2>\n<p>\nDrupal 8 uses the third-party PHP library Guzzle for making server-side HTTP requests. An attacker can provide a proxy server that Guzzle will use. The details of this are explained at <a href="https://httpoxy.org/">https://httpoxy.org/</a>.\n</p>\n<p><a name="cve-identifiers-issued" id="cve-identifiers-issued" rel="nofollow"></a></p>\n<h2>CVE identifier(s) issued</h2>\n<ul><li>CVE-2016-5385</li>\n</ul><h2>Versions affected</h2>\n<ul><li>Drupal core 8.x versions prior to 8.1.7</li>\n</ul><h2>Solution</h2>\n<p>Install the latest version:</p>\n<ul><li>If you use Drupal 8.x, upgrade to <a href="https://www.drupal.org/project/drupal/releases/8.1.7">Drupal core 8.1.7</a></li>\n<li>If you use Drupal 7.x, Drupal core is not affected.  However you should consider using the mitigation steps at <a href="https://httpoxy.org/">https://httpoxy.org/</a> since you might have modules or other software on your server affected by this issue.  For example, sites using Apache can add the following code to .htaccess:<br /><pre class="codeblock"><code class="language-php">&lt;IfModule mod_headers.c&gt;\n  RequestHeader unset Proxy\n&lt;/IfModule&gt;\n</code></pre></li>\n</ul><p>We also suggest mitigating it as described here: <a href="https://httpoxy.org/">https://httpoxy.org/</a></p>\n<p>Also see the <a href="https://www.drupal.org/project/drupal">Drupal core</a> project page.</p>\n<h2> What if I am running Drupal core 8.0.x?</h2>\n<p> Drupal core 8.0.x is no longer supported. Update to 8.1.7 to get the latest security and bug fixes.</p>\n<h2> Why is this being released Monday rather than Wednesday?</h2>\n<p>The Drupal Security Team usually releases Security Advisories on Wednesdays. However, this vulnerability affects more than Drupal, and the authors of Guzzle and reporters of the issue coordinated to make it public Monday. Therefore, we are issuing a core release to update to the secure version of Guzzle today.\n</p>\n<h2>Contact and More Information</h2>\n<p>The Drupal security team can be reached at security at drupal.org or via the contact form at <a href="https://www.drupal.org/contact">https://www.drupal.org/contact</a>.</p>\n<p>Learn more about <a href="https://www.drupal.org/security-team">the Drupal Security team and their policies</a>, <a href="https://www.drupal.org/writing-secure-code">writing secure code for Drupal</a>, and  <a href="https://www.drupal.org/security/secure-configuration">securing your site</a>.</p>\n<p>Follow the Drupal Security Team on Twitter at <a href="https://twitter.com/drupalsecurity">https://twitter.com/drupalsecurity</a></p>\n</div></div></div><div class="field field-name-taxonomy-vocabulary-34 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Front page news:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/903">Planet Drupal</a></div></div></div><div class="field field-name-taxonomy-vocabulary-5 field-type-taxonomy-term-reference field-label-above"><div class="field-label">Drupal version:&nbsp;</div><div class="field-items"><div class="field-item even"><a href="/taxonomy/term/20236">Drupal 8.x</a></div></div></div>', '1468850002', '2768629 at https://www.drupal.org'),
('111', '1', 'Drupal 8.1.7 released', 'https://www.drupal.org/blog/drupal-8-1-7-released', 'xjm', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p>Drupal 8.1.7, a maintenance release which contains fixes for <strong>security vulnerabilities</strong>, is now available for download.</p>\n<!--break--><p>See the <a href="https://www.drupal.org/project/drupal/releases/8.1.7">Drupal 8.1.7</a> release notes for further information.</p>\n<div style="text align: center; margin: 2em;"><a class="link-button" href="http://ftp.drupal.org/files/projects/drupal-8.1.7.tar.gz"><span>Download Drupal 8.1.7</span></a></div>\n<p><strong><a href="/upgrade/">Upgrading</a> your existing Drupal 8 sites is strongly recommended.</strong> There are no new features nor non-security-related bug fixes in this release. For more information about the Drupal 8.1.x release series, consult the <a href="https://www.drupal.org/8">Drupal 8 overview</a>.</p>\n<h2>Security information</h2>\n<p>We have a <a href="/security">security announcement mailing list and a history of all security advisories</a>, as well as an <a href="/security/rss.xml">RSS feed with the most recent security advisories</a>. We <strong>strongly advise Drupal administrators to <a href="/security">sign up</a></strong> for the list.</p>\n<p>Drupal 8 includes the built-in Update Manager module, which informs you about important updates to your modules and themes.</p>\n<h2>Bug reports</h2>\n<p>Drupal 8.1.x is actively maintained, so more maintenance releases will be made available, according to our <a href="https://www.drupal.org/documentation/version-info#when">monthly release cycle</a>.</p>\n<h2>Change log</h2>\n<p>Drupal 8.1.7 is a security release only. For more details, see the <a href="https://www.drupal.org/project/drupal/releases/8.1.7">8.1.7 release notes</a>. A complete list of all changes in the stable 8.1.x branch can be found in <a href="http://cgit.drupalcode.org/drupal/log/?h=8.1.x">the git commit log</a>.</p>\n<h2>Security vulnerabilities</h2>\n<p>Drupal 8.1.7 was released in response to the discovery of security vulnerabilities. Details can be found in the official security advisories:</p>\n<ul><li><a href="/SA-CORE-2016-003">Drupal Core - Highly Critical - Injection - SA-CORE-2016-003</a></li>\n</ul><p>To fix the security problem, please upgrade to Drupal 8.1.7.</p>\n<h2>Update notes</h2>\n<p>See the <a href="https://www.drupal.org/project/drupal/releases/8.1.7">8.1.7</a> release notes for details on important changes in this release.</p>\n<h2>Known issues</h2>\n<p>See the <a href="https://www.drupal.org/project/drupal/releases/8.1.7">8.1.7 release notes</a> for known issues.</p>\n</div></div></div>', '1468850409', '2768637 at https://www.drupal.org'),
('112', '1', 'City of Boston launches Boston.gov on Drupal', 'https://www.drupal.org/blog/city-of-boston-launches-bostongov-on-drupal', 'Dries', '<div class="field field-name-body field-type-text-with-summary field-label-hidden"><div class="field-items"><div class="field-item even"><p><em><a href="http://buytaert.net/city-of-boston-launches-boston-gov-on-drupal" target="_blank" rel="nofollow">Republished from buytaert.net</a></em></p>\n<p><img alt="Boston.gov homepage, scrolling gif" src="/files/boston-gov-before-and-after-scroll.gif" /></p>\n<p>Yesterday, the City of Boston launched its new website, <a href="http://boston.gov/" target="_blank" rel="nofollow">Boston.gov</a>, on Drupal. Not only is Boston a city well-known around the world, it has also become my home over the past 9 years. That makes it extra exciting to see the city of Boston use Drupal.</p>\n<p>As a company headquartered in Boston, I''m also extremely proud to have Acquia involved with Boston.gov. The site is hosted on Acquia Cloud, and Acquia led a lot of the architecture, development, and coordination. I remember pitching the project in the basement of Boston''s City Hall, so seeing the site launched less than a year later is quite exciting.</p>\n<p>The project was a big undertaking, as the old website was 10 years old and running on Tridion. The city''s digital team, Acquia, IDEO, Genuine Interactive, and others all worked together to reimagine how a government can serve its citizens better digitally. It was an ambitious project as the whole website was redesigned from scratch in 11 months; from creating a new identity, to interviewing citizens, to building, testing and launching the new site.</p>\n<p>Along the way, the project relied heavily on feedback from a wide variety of residents. The openness and transparency of the whole process was refreshing. Even today, the city made its roadmap public at <a href="http://roadmap.boston.gov/" target="_blank" rel="nofollow">http://roadmap.boston.gov</a> and is actively encouraging citizens to submit suggestions. This open process is one of the many reasons why I think Drupal is such a good fit for Boston.gov.</p>\n<p><img alt="Tell Us What You Think form, screenshot" src="/files/boston-gov-tell-us-what-you-think-742x1114.jpg" /></p>\n<p>More than 20,000 web pages and one million words were rewritten in a more human tone to make the site easier to understand and navigate. For example, rather than organize information primarily by department (as is often the case with government websites), the new site is designed around how residents think about an issue, such as moving, starting a business or owning a car. Content is authored, maintained, and updated by more than 20 content authors across 120 city departments and initiatives.</p>\n<p><img alt="Screenshot of Towed Cars page" height="558" src="/files/drupal-boston-gov-tools-and-apps-742x1114.jpg" width="742" /></p>\n<p>The new <a href="http://boston.gov/" target="_blank" rel="nofollow">Boston.gov</a> is absolutely beautiful, welcoming and usable. And, like any great technology endeavor, it will never stop improving. The City of Boston has only just begun its journey with Boston.gov—I’m excited see how it grows and evolves in the years to come. <em>Go Boston!</em></p>\n<p><img alt="Panel on stage at Boston.gov launch" height="495" src="/files/drupal-boston-gov-launch-event-1-742x1114.jpg" width="742" /></p>\n<p><img alt="Dries on stage at Boston.gov launch" height="495" src="/files/drupal-boston-gov-launch-event-2-742x1114.jpg" width="742" /></p>\n<p><img alt="Dries and Boston mayor, Marty Walsh" height="342" src="/files/drupal-boston-gov-launch-event-3-742x1114.jpg" width="742" /></p>\n<p><em>Last night, there was a launch party to celebrate the launch of Boston.gov. It was an honor to give some remarks about this project alongside Boston mayor, Marty Walsh (pictured above), as well as Lauren Lockwood (Chief Digital Officer of the City of Boston) and Jascha Franklin-Hodge (Chief Information Officer of the City of Boston).</em></p></div></div></div>', '1469120400', '2771337 at https://www.drupal.org');
/*!40000 ALTER TABLE aggregator_item ENABLE KEYS */;

--
-- Table structure for table 'authmap'
--

CREATE TABLE IF NOT EXISTS `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.' COMMENT='Stores distributed authentication mapping.';

--
-- Dumping data for table 'authmap'
--

/*!40000 ALTER TABLE authmap DISABLE KEYS */;
/*!40000 ALTER TABLE authmap ENABLE KEYS */;

--
-- Table structure for table 'batch'
--

CREATE TABLE IF NOT EXISTS `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...' COMMENT='Stores details about batches (processes that run in...';

--
-- Dumping data for table 'batch'
--

/*!40000 ALTER TABLE batch DISABLE KEYS */;
INSERT INTO `batch` VALUES
('746', 'dgmttlzvJu8Cbk-ZLIspEvuttPOatW6H9EDID-BZdyw', '1469431770', 'a:13:{s:4:"sets";a:1:{i:0;a:15:{s:7:"sandbox";a:0:{}s:7:"results";a:1:{s:8:"projects";a:1:{s:7:"webform";s:61:"https://ftp.drupal.org/files/projects/webform-7.x-4.13.tar.gz";}}s:7:"success";b:1;s:5:"start";d:1469431773.5347109;s:7:"elapsed";d:3021.1700000000001;s:5:"title";s:19:"Downloading updates";s:12:"init_message";s:49:"Preparing to download selected updates<br/>&nbsp;";s:8:"finished";s:38:"update_manager_download_batch_finished";s:4:"file";s:33:"modules/update/update.manager.inc";s:16:"progress_message";s:29:"Completed @current of @total.";s:13:"error_message";s:22:"An error has occurred.";s:3:"css";a:0:{}s:5:"total";i:1;s:5:"count";i:0;s:5:"queue";a:2:{s:4:"name";s:18:"drupal_batch:746:0";s:5:"class";s:10:"BatchQueue";}}}s:16:"has_form_submits";b:0;s:10:"form_state";a:3:{s:10:"programmed";b:0;s:7:"rebuild";b:0;s:8:"redirect";N;}s:11:"progressive";b:1;s:11:"current_set";i:0;s:3:"url";s:5:"batch";s:11:"url_options";a:0:{}s:10:"source_url";s:20:"admin/modules/update";s:8:"redirect";N;s:5:"theme";s:5:"seven";s:17:"redirect_callback";s:11:"drupal_goto";s:2:"id";s:3:"746";s:13:"error_message";s:90:"Please continue to <a href="/anima/gatsby/batch?id=746&amp;op=finished">the error page</a>";}');
/*!40000 ALTER TABLE batch ENABLE KEYS */;

--
-- Table structure for table 'block'
--

CREATE TABLE IF NOT EXISTS `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the `Pages` block; contains either a list of paths on which to include/exclude the block or PHP code, depending on `visibility` setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=1878 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...' COMMENT='Stores block settings, such as region and visibility...';

--
-- Dumping data for table 'block'
--

/*!40000 ALTER TABLE block DISABLE KEYS */;
INSERT INTO `block` VALUES
('1', 'system', 'main', 'bartik', '1', '0', 'content', '0', '0', '<front>\r\nhome-blog\r\nhome-landing\r\nhome-onepage', '', '-1', ''),
('2', 'search', 'form', 'bartik', '1', '-1', 'sidebar_first', '0', '0', '', '<none>', '-1', 'gt-lineform gt-compressed'),
('3', 'node', 'recent', 'seven', '0', '10', '-1', '0', '0', '', 'Recent content', '-1', ''),
('4', 'user', 'login', 'bartik', '1', '0', 'sidebar_first', '0', '0', '', '', '-1', ''),
('5', 'system', 'navigation', 'bartik', '1', '0', 'sidebar_first', '0', '1', 'sitemap', 'Navigation', '-1', ''),
('6', 'system', 'powered-by', 'bartik', '1', '10', 'footer', '0', '0', '', 'Powered by Drupal', '-1', ''),
('7', 'system', 'help', 'bartik', '1', '0', 'help', '0', '0', '', '', '-1', ''),
('8', 'system', 'main', 'seven', '1', '0', 'content', '0', '0', '<front>\r\nhome-blog\r\nhome-landing\r\nhome-onepage', '', '-1', ''),
('9', 'system', 'help', 'seven', '1', '0', 'help', '0', '0', '', '', '-1', ''),
('10', 'user', 'login', 'seven', '1', '10', 'content', '0', '0', '', '', '-1', ''),
('11', 'user', 'new', 'seven', '0', '0', '-1', '0', '0', '', 'Core: Who''s new', '-1', ''),
('12', 'search', 'form', 'seven', '0', '-10', '-1', '0', '0', '', '<none>', '-1', 'gt-lineform gt-compressed'),
('13', 'comment', 'recent', 'bartik', '0', '1', '-1', '0', '0', '', 'Recent comments', '1', ''),
('14', 'node', 'syndicate', 'bartik', '0', '4', '-1', '0', '0', '', 'Syndicate', '-1', ''),
('15', 'node', 'recent', 'bartik', '0', '2', '-1', '0', '0', '', 'Recent content', '1', ''),
('16', 'shortcut', 'shortcuts', 'bartik', '0', '3', '-1', '0', '0', '', 'Shortcuts', '-1', ''),
('17', 'system', 'management', 'bartik', '0', '-6', '-1', '0', '0', '', 'Management', '-1', ''),
('18', 'system', 'user-menu', 'bartik', '0', '5', '-1', '0', '0', '', '<none>', '-1', ''),
('19', 'system', 'main-menu', 'bartik', '0', '-7', '-1', '0', '0', '', 'Main menu', '-1', ''),
('20', 'user', 'new', 'bartik', '0', '6', '-1', '0', '0', '', 'Core: Who''s new', '1', ''),
('21', 'user', 'online', 'bartik', '0', '7', '-1', '0', '0', '', 'Core: Who''s online', '-1', ''),
('22', 'comment', 'recent', 'seven', '0', '0', '-1', '0', '0', '', 'Recent comments', '1', ''),
('23', 'node', 'syndicate', 'seven', '0', '0', '-1', '0', '0', '', 'Syndicate', '-1', ''),
('24', 'shortcut', 'shortcuts', 'seven', '0', '0', '-1', '0', '0', '', 'Shortcuts', '-1', ''),
('25', 'system', 'powered-by', 'seven', '0', '10', '-1', '0', '0', '', 'Powered by Drupal', '-1', ''),
('26', 'system', 'navigation', 'seven', '0', '0', '-1', '0', '1', 'sitemap', 'Navigation', '-1', ''),
('27', 'system', 'management', 'seven', '0', '0', '-1', '0', '0', '', 'Management', '-1', ''),
('28', 'system', 'user-menu', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('29', 'system', 'main-menu', 'seven', '0', '0', '-1', '0', '0', '', 'Main menu', '-1', ''),
('30', 'user', 'online', 'seven', '0', '0', '-1', '0', '0', '', 'Core: Who''s online', '-1', ''),
('31', 'blog', 'recent', 'bartik', '0', '0', '-1', '0', '0', '', 'Recent blog posts', '1', ''),
('32', 'book', 'navigation', 'bartik', '0', '-13', '-1', '0', '0', '', 'Core: Book navigation', '5', ''),
('33', 'locale', 'language', 'bartik', '0', '-8', '-1', '0', '0', '', '<none>', '-1', ''),
('34', 'poll', 'recent', 'bartik', '0', '-5', '-1', '0', '0', '', '', '1', ''),
('35', 'forum', 'active', 'bartik', '0', '-14', '-1', '0', '1', 'forum\r\nforum/*', 'Active forum topics', '-2', 'grid-4 alpha'),
('36', 'forum', 'new', 'bartik', '0', '-4', '-1', '0', '1', 'forum\r\nforum/*', 'New forum topics', '-2', 'grid-4'),
('37', 'blog', 'recent', 'seven', '0', '0', '-1', '0', '0', '', 'Recent blog posts', '1', ''),
('38', 'book', 'navigation', 'seven', '0', '0', '-1', '0', '0', '', 'Core: Book navigation', '5', ''),
('39', 'locale', 'language', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('40', 'poll', 'recent', 'seven', '0', '0', '-1', '0', '0', '', '', '1', ''),
('41', 'forum', 'active', 'seven', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', 'Active forum topics', '-2', 'grid-4 alpha'),
('42', 'forum', 'new', 'seven', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', 'New forum topics', '-2', 'grid-4'),
('88', 'block', '5', 'bartik', '0', '-9', '-1', '0', '0', '', '<none>', '-1', 'block-copyright float-left'),
('89', 'block', '5', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'block-copyright float-left'),
('128', 'block', '5', 'gatsby', '0', '-22', '-1', '0', '0', '', '<none>', '-1', 'block-copyright float-left'),
('129', 'blog', 'recent', 'gatsby', '0', '-16', '-1', '0', '0', '', 'Recent blog posts', '1', ''),
('130', 'book', 'navigation', 'gatsby', '0', '-23', '-1', '0', '0', '', 'Core: Book navigation', '5', ''),
('131', 'comment', 'recent', 'gatsby', '0', '-15', '-1', '0', '0', '', 'Recent comments', '1', ''),
('133', 'forum', 'active', 'gatsby', '0', '-50', '-1', '0', '1', 'forum\r\nforum/*', 'Active forum topics', '-2', 'grid-4 alpha'),
('134', 'forum', 'new', 'gatsby', '0', '-50', '-1', '0', '1', 'forum\r\nforum/*', 'New forum topics', '-2', 'grid-4'),
('135', 'locale', 'language', 'gatsby', '1', '-33', 'header_right_7', '0', '0', '', '<none>', '-1', ''),
('136', 'node', 'recent', 'gatsby', '0', '-14', '-1', '0', '0', '', 'Recent content', '1', ''),
('137', 'node', 'syndicate', 'gatsby', '0', '-10', '-1', '0', '0', '', 'Syndicate', '-1', ''),
('138', 'poll', 'recent', 'gatsby', '0', '-9', '-1', '0', '0', '', '', '1', ''),
('139', 'search', 'form', 'gatsby', '1', '-13', 'menu', '0', '0', '', '<none>', '-1', 'gt-lineform gt-compressed'),
('140', 'shortcut', 'shortcuts', 'gatsby', '0', '-12', '-1', '0', '0', '', 'Shortcuts', '-1', ''),
('145', 'system', 'help', 'gatsby', '1', '0', 'help', '0', '0', '', '', '-1', ''),
('146', 'system', 'main', 'gatsby', '1', '-44', 'content', '0', '0', '<front>\r\nhome-blog\r\nhome-landing\r\nhome-onepage', '', '-1', ''),
('147', 'system', 'main-menu', 'gatsby', '0', '-48', '-1', '0', '0', '', 'Main menu', '-1', ''),
('148', 'system', 'management', 'gatsby', '0', '-19', '-1', '0', '0', '', 'Management', '-1', ''),
('149', 'system', 'navigation', 'gatsby', '0', '-27', '-1', '0', '1', 'sitemap', 'Navigation', '-1', ''),
('150', 'system', 'powered-by', 'gatsby', '0', '-17', '-1', '0', '0', '', 'Powered by Drupal', '-1', ''),
('151', 'system', 'user-menu', 'gatsby', '1', '-7', 'header_right_3', '0', '0', '', '<none>', '-1', ''),
('152', 'user', 'login', 'gatsby', '0', '-22', '-1', '0', '0', '', '', '-1', ''),
('153', 'user', 'new', 'gatsby', '0', '4', '-1', '0', '0', '', 'Core: Who''s new', '1', ''),
('154', 'user', 'online', 'gatsby', '0', '5', '-1', '0', '0', '', 'Core: Who''s online', '-1', ''),
('723', 'views', 'sldier-block', 'bartik', '1', '0', 'header', '0', '1', 'node', '<none>', '-1', ''),
('736', 'views', 'sldier-block', 'seven', '0', '0', '-1', '0', '1', 'node', '<none>', '-1', ''),
('740', 'views', 'sldier-block', 'gatsby', '1', '-17', 'header', '0', '1', 'node', '<none>', '-1', ''),
('795', 'views', 'archive-block', 'gatsby', '0', '-50', '-1', '0', '1', 'home-blog', 'Archives', '-1', 'grid-3'),
('796', 'views', 'comments_recent-block', 'gatsby', '0', '-48', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 omega'),
('797', 'views', 'archive-block', 'bartik', '0', '0', '-1', '0', '1', 'home-blog', 'Archives', '-1', 'grid-3'),
('798', 'views', 'comments_recent-block', 'bartik', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 omega'),
('823', 'views', 'archive-block', 'seven', '0', '0', '-1', '0', '1', 'home-blog', 'Archives', '-1', 'grid-3'),
('824', 'views', 'comments_recent-block', 'seven', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 omega'),
('1016', 'views', 'our_team-block', 'bartik', '0', '0', '-1', '0', '1', '<front>', '', '-1', 'align-center'),
('1029', 'views', 'our_team-block', 'seven', '0', '0', '-1', '0', '1', '<front>', '', '-1', 'align-center'),
('1032', 'views', 'our_team-block', 'gatsby', '1', '-50', 'content_section_3', '0', '1', '<front>', '', '-1', 'align-center'),
('1118', 'views', 'slider-block', 'gatsby', '1', '0', 'header_section_1', '0', '1', '<front>\r\nhome-onepage\r\nhome-blog', '', '-1', ''),
('1119', 'views', 'slider-block', 'bartik', '0', '0', '-1', '0', '1', '<front>\r\nhome-onepage\r\nhome-blog', '', '-1', ''),
('1120', 'views', 'slider-block', 'seven', '0', '0', '-1', '0', '1', '<front>\r\nhome-onepage\r\nhome-blog', '', '-1', ''),
('1124', 'views', 'categories-block', 'gatsby', '0', '-51', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 alpha'),
('1125', 'views', 'categories-block', 'bartik', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 alpha'),
('1126', 'views', 'categories-block', 'seven', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 alpha'),
('1127', 'views', 'portfolio_filter-block', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1128', 'views', 'portfolio_filter-block', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1129', 'views', 'portfolio_filter-block', 'gatsby', '0', '8', '-1', '0', '0', '', '', '-1', ''),
('1203', 'views', 'testimonials-block', 'bartik', '0', '0', '-1', '0', '1', 'about', '', '-1', 'grid-7 omega'),
('1205', 'views', 'recent_posts-block', 'bartik', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1207', 'views', 'testimonials-block', 'seven', '0', '0', '-1', '0', '1', 'about', '', '-1', 'grid-7 omega'),
('1209', 'views', 'recent_posts-block', 'seven', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1211', 'views', 'testimonials-block', 'gatsby', '0', '-50', '-1', '0', '1', 'about', '', '-1', 'grid-7 omega'),
('1213', 'views', 'recent_posts-block', 'gatsby', '1', '10', 'content_bottom', '0', '1', '<front>', '', '-1', ''),
('1223', 'calendar', 'calendar_legend', 'bartik', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1224', 'views', 'Banners-block', 'bartik', '0', '0', '-1', '0', '1', 'about', '', '-1', ''),
('1225', 'calendar', 'calendar_legend', 'seven', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1226', 'views', 'Banners-block', 'seven', '0', '0', '-1', '0', '1', 'about', '', '-1', ''),
('1227', 'calendar', 'calendar_legend', 'gatsby', '0', '6', '-1', '0', '0', '', '', '1', ''),
('1228', 'views', 'Banners-block', 'gatsby', '0', '-50', '-1', '0', '1', 'about', '', '-1', ''),
('1229', 'cctags', '1', 'gatsby', '0', '-49', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3'),
('1230', 'views', 'Calendar-block_1', 'gatsby', '0', '1', '-1', '0', '0', '', 'Calendar', '-1', ''),
('1231', 'views', 'Calendar-block_2', 'gatsby', '0', '3', '-1', '0', '0', '', '', '-1', ''),
('1232', 'views', 'Calendar-block_1', 'bartik', '0', '0', '-1', '0', '0', '', 'Calendar', '-1', ''),
('1233', 'views', 'Calendar-block_1', 'seven', '0', '0', '-1', '0', '0', '', 'Calendar', '-1', ''),
('1234', 'cctags', '1', 'bartik', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3'),
('1235', 'views', 'Calendar-block_2', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1236', 'cctags', '1', 'seven', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3'),
('1237', 'views', 'Calendar-block_2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1238', 'statistics', 'popular', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1239', 'statistics', 'popular', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1240', 'statistics', 'popular', 'gatsby', '0', '-6', '-1', '0', '0', '', '', '-1', ''),
('1244', 'block', '5', 'garland', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'block-copyright float-left'),
('1245', 'blog', 'recent', 'garland', '0', '0', '-1', '0', '0', '', 'Recent blog posts', '1', ''),
('1246', 'book', 'navigation', 'garland', '0', '0', '-1', '0', '0', '', 'Core: Book navigation', '5', ''),
('1247', 'calendar', 'calendar_legend', 'garland', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1248', 'cctags', '1', 'garland', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3'),
('1249', 'comment', 'recent', 'garland', '0', '0', '-1', '0', '0', '', 'Recent comments', '1', ''),
('1266', 'forum', 'active', 'garland', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', 'Active forum topics', '-2', 'grid-4 alpha'),
('1267', 'forum', 'new', 'garland', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', 'New forum topics', '-2', 'grid-4'),
('1268', 'locale', 'language', 'garland', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1270', 'node', 'recent', 'garland', '0', '10', '-1', '0', '0', '', 'Recent content', '-1', ''),
('1271', 'node', 'syndicate', 'garland', '0', '0', '-1', '0', '0', '', 'Syndicate', '-1', ''),
('1272', 'poll', 'recent', 'garland', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1275', 'search', 'form', 'garland', '0', '-10', '-1', '0', '0', '', '<none>', '-1', 'gt-lineform gt-compressed'),
('1276', 'shortcut', 'shortcuts', 'garland', '0', '0', '-1', '0', '0', '', 'Shortcuts', '-1', ''),
('1278', 'statistics', 'popular', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1283', 'system', 'help', 'garland', '1', '0', 'help', '0', '0', '', '', '-1', ''),
('1284', 'system', 'main', 'garland', '1', '0', 'content', '0', '0', '<front>\r\nhome-blog\r\nhome-landing\r\nhome-onepage', '', '-1', ''),
('1285', 'system', 'main-menu', 'garland', '0', '0', '-1', '0', '0', '', 'Main menu', '-1', ''),
('1286', 'system', 'management', 'garland', '0', '0', '-1', '0', '0', '', 'Management', '-1', ''),
('1287', 'system', 'navigation', 'garland', '0', '0', '-1', '0', '1', 'sitemap', 'Navigation', '-1', ''),
('1288', 'system', 'powered-by', 'garland', '0', '10', '-1', '0', '0', '', 'Powered by Drupal', '-1', ''),
('1289', 'system', 'user-menu', 'garland', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1294', 'user', 'login', 'garland', '1', '10', 'content', '0', '0', '', '', '-1', ''),
('1295', 'user', 'new', 'garland', '0', '0', '-1', '0', '0', '', 'Core: Who''s new', '-1', ''),
('1296', 'user', 'online', 'garland', '0', '0', '-1', '0', '0', '', 'Core: Who''s online', '-1', ''),
('1297', 'views', 'archive-block', 'garland', '0', '0', '-1', '0', '1', 'home-blog', 'Archives', '-1', 'grid-3'),
('1298', 'views', 'Banners-block', 'garland', '0', '0', '-1', '0', '1', 'about', '', '-1', ''),
('1299', 'views', 'Calendar-block_1', 'garland', '0', '0', '-1', '0', '0', '', 'Calendar', '-1', ''),
('1300', 'views', 'Calendar-block_2', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1302', 'views', 'categories-block', 'garland', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 alpha'),
('1303', 'views', 'comments_recent-block', 'garland', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', 'grid-3 omega'),
('1308', 'views', 'our_team-block', 'garland', '0', '0', '-1', '0', '1', '<front>', '', '-1', 'align-center'),
('1309', 'views', 'portfolio_filter-block', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1310', 'views', 'recent_posts-block', 'garland', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1312', 'views', 'slider-block', 'garland', '0', '0', '-1', '0', '1', '<front>\r\nhome-onepage\r\nhome-blog', '', '-1', ''),
('1313', 'views', 'testimonials-block', 'garland', '0', '0', '-1', '0', '1', 'about', '', '-1', 'grid-7 omega'),
('1334', 'views', 'team_grid-block', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1338', 'views', 'our_team-block_1', 'gatsby', '1', '-49', 'content_section_9', '0', '1', 'home-2', '', '-1', ''),
('1339', 'views', 'our_team-block_1', 'bartik', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1340', 'views', 'our_team-block_1', 'garland', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1341', 'views', 'our_team-block_1', 'seven', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1342', 'simple_subscription', 'subscribe', 'bartik', '0', '0', '-1', '0', '0', '', 'Subscribe', '1', ''),
('1343', 'simple_subscription', 'subscribe', 'garland', '0', '0', '-1', '0', '0', '', 'Subscribe', '1', ''),
('1344', 'simple_subscription', 'subscribe', 'seven', '0', '0', '-1', '0', '0', '', 'Subscribe', '1', ''),
('1345', 'simple_subscription', 'subscribe', 'gatsby', '1', '-50', 'footer_triptych_1', '0', '0', '', 'Subscribe', '1', ''),
('1362', 'views', 'Gallery-block_1', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1363', 'views', 'Gallery-block_1', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1364', 'views', 'Gallery-block_1', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1365', 'views', 'Gallery-block_1', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1371', 'tb_megamenu', 'main-menu', 'bartik', '0', '0', '-1', '0', '0', 'home-onepage\r\nhome-landing', '', '-1', ''),
('1372', 'tb_megamenu', 'management', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1373', 'tb_megamenu', 'navigation', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1374', 'tb_megamenu', 'user-menu', 'bartik', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1376', 'tb_megamenu', 'main-menu', 'garland', '0', '0', '-1', '0', '0', 'home-onepage\r\nhome-landing', '', '-1', ''),
('1377', 'tb_megamenu', 'management', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1378', 'tb_megamenu', 'navigation', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1379', 'tb_megamenu', 'user-menu', 'garland', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1381', 'tb_megamenu', 'main-menu', 'seven', '0', '0', '-1', '0', '0', 'home-onepage\r\nhome-landing', '', '-1', ''),
('1382', 'tb_megamenu', 'management', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1383', 'tb_megamenu', 'navigation', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1384', 'tb_megamenu', 'user-menu', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1386', 'tb_megamenu', 'main-menu', 'gatsby', '1', '-48', 'menu', '0', '0', 'home-onepage\r\nhome-landing', '', '-1', ''),
('1387', 'tb_megamenu', 'management', 'gatsby', '0', '-1', '-1', '0', '0', '', '', '-1', ''),
('1388', 'tb_megamenu', 'navigation', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1389', 'tb_megamenu', 'user-menu', 'gatsby', '0', '1', '-1', '0', '0', '', '<none>', '-1', ''),
('1394', 'formblock', 'user_register', 'bartik', '0', '0', '-1', '0', '1', 'home-landing', 'Register now!', '-1', 'grid-4 omega'),
('1395', 'formblock', 'contact_site', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1396', 'formblock', 'user_password_request', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1397', 'formblock', 'user_register', 'garland', '0', '0', '-1', '0', '1', 'home-landing', 'Register now!', '-1', 'grid-4 omega'),
('1398', 'formblock', 'contact_site', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1399', 'formblock', 'user_password_request', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1400', 'formblock', 'user_register', 'seven', '0', '0', '-1', '0', '1', 'home-landing', 'Register now!', '-1', 'grid-4 omega'),
('1401', 'formblock', 'contact_site', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1402', 'formblock', 'user_password_request', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1403', 'formblock', 'user_register', 'gatsby', '0', '2', '-1', '0', '1', 'home-landing', 'Register now!', '-1', 'grid-4 omega'),
('1404', 'formblock', 'contact_site', 'gatsby', '0', '-2', '-1', '0', '0', '', '', '-1', ''),
('1405', 'formblock', 'user_password_request', 'gatsby', '0', '-5', '-1', '0', '0', '', '', '-1', ''),
('1406', 'formblock', 'testimonial', 'gatsby', '0', '-48', '-1', '0', '1', 'testimonials', 'Add testimonial', '-1', ''),
('1407', 'formblock', 'testimonial', 'bartik', '0', '0', '-1', '0', '1', 'testimonials', 'Add testimonial', '-1', ''),
('1408', 'formblock', 'testimonial', 'garland', '0', '0', '-1', '0', '1', 'testimonials', 'Add testimonial', '-1', ''),
('1409', 'formblock', 'testimonial', 'seven', '0', '0', '-1', '0', '1', 'testimonials', 'Add testimonial', '-1', ''),
('1418', 'add_func_follow', 'site', 'bartik', '0', '0', '-1', '0', '0', '', '<none>', '1', 'float-right'),
('1419', 'add_func_follow', 'site', 'garland', '0', '0', '-1', '0', '0', '', '<none>', '1', 'float-right'),
('1420', 'add_func_follow', 'site', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '1', 'float-right'),
('1421', 'add_func_follow', 'site', 'gatsby', '1', '-48', 'footer_1', '0', '0', '', '<none>', '1', 'float-right'),
('1426', 'views', 'author_info-block', 'gatsby', '1', '-28', 'node_bottom', '0', '0', '', '', '-1', ''),
('1427', 'views', 'author_info-block', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1428', 'views', 'author_info-block', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1429', 'views', 'author_info-block', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1430', 'views', 'related_blog_posts-block', 'gatsby', '0', '-27', '-1', '0', '0', '', '', '-1', ''),
('1431', 'views', 'related_blog_posts-block', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1432', 'views', 'related_blog_posts-block', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1433', 'views', 'related_blog_posts-block', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1434', 'aggregator', 'category-1', 'gatsby', '0', '-4', '-1', '0', '0', '', '', '1', ''),
('1435', 'aggregator', 'feed-1', 'gatsby', '0', '-3', '-1', '0', '0', '', '', '1', ''),
('1436', 'aggregator', 'category-1', 'bartik', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1437', 'aggregator', 'feed-1', 'bartik', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1438', 'aggregator', 'category-1', 'garland', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1439', 'aggregator', 'feed-1', 'garland', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1440', 'aggregator', 'category-1', 'seven', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1441', 'aggregator', 'feed-1', 'seven', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1443', 'tb_megamenu', 'menu-pages', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1445', 'tb_megamenu', 'menu-shortcodes', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1447', 'tb_megamenu', 'menu-features', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1451', 'tb_megamenu', 'menu-features', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1452', 'tb_megamenu', 'menu-pages', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1453', 'tb_megamenu', 'menu-shortcodes', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1457', 'tb_megamenu', 'menu-features', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1458', 'tb_megamenu', 'menu-pages', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1459', 'tb_megamenu', 'menu-shortcodes', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1463', 'tb_megamenu', 'menu-features', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1464', 'tb_megamenu', 'menu-pages', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1465', 'tb_megamenu', 'menu-shortcodes', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1471', 'tb_megamenu', 'menu-views-pages', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1476', 'menu', 'menu-sitemap', 'bartik', '0', '0', '-1', '0', '1', 'sitemap', 'Pages', '-1', ''),
('1477', 'tb_megamenu', 'menu-panels-pages', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1478', 'tb_megamenu', 'menu-sitemap', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1479', 'tb_megamenu', 'menu-views-pages', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1481', 'menu', 'menu-sitemap', 'garland', '0', '0', '-1', '0', '1', 'sitemap', 'Pages', '-1', ''),
('1482', 'tb_megamenu', 'menu-panels-pages', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1483', 'tb_megamenu', 'menu-sitemap', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1484', 'tb_megamenu', 'menu-views-pages', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1486', 'menu', 'menu-sitemap', 'seven', '0', '0', '-1', '0', '1', 'sitemap', 'Pages', '-1', ''),
('1487', 'tb_megamenu', 'menu-panels-pages', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1488', 'tb_megamenu', 'menu-sitemap', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1489', 'tb_megamenu', 'menu-views-pages', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1491', 'menu', 'menu-sitemap', 'gatsby', '1', '-43', 'content', '0', '1', 'sitemap', 'Pages', '-1', ''),
('1492', 'tb_megamenu', 'menu-panels-pages', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1493', 'tb_megamenu', 'menu-sitemap', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1494', 'views', 'user_posts-block', 'gatsby', '1', '-39', 'content', '0', '1', 'user/*', '', '-1', ''),
('1495', 'views', 'user_posts-block', 'bartik', '0', '0', '-1', '0', '1', 'user/*', '', '-1', ''),
('1496', 'views', 'user_posts-block', 'garland', '0', '0', '-1', '0', '1', 'user/*', '', '-1', ''),
('1497', 'views', 'user_posts-block', 'seven', '0', '0', '-1', '0', '1', 'user/*', '', '-1', ''),
('1498', 'views', 'user_comments-block', 'gatsby', '1', '-38', 'content', '0', '1', 'user/*', '', '-1', ''),
('1499', 'views', 'user_comments-block', 'bartik', '0', '0', '-1', '0', '1', 'user/*', '', '-1', ''),
('1500', 'views', 'user_comments-block', 'garland', '0', '0', '-1', '0', '1', 'user/*', '', '-1', ''),
('1501', 'views', 'user_comments-block', 'seven', '0', '0', '-1', '0', '1', 'user/*', '', '-1', ''),
('1502', 'views', 'content_displays-block', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1503', 'views', 'content_displays-block_1', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1504', 'views', 'content_displays-block', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1505', 'views', 'content_displays-block_1', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1506', 'views', 'content_displays-block', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1507', 'views', 'content_displays-block_1', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1508', 'views', 'content_displays-block', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1509', 'views', 'content_displays-block_1', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1510', 'views', 'content_displays-block_2', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1511', 'views', 'content_displays-block_2', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1512', 'views', 'content_displays-block_2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1513', 'views', 'content_displays-block_2', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1518', 'fb_likebox', '0', 'bartik', '0', '0', '-1', '0', '0', '', 'Facebook', '-1', ''),
('1519', 'fb_likebox', '0', 'garland', '0', '0', '-1', '0', '0', '', 'Facebook', '-1', ''),
('1520', 'fb_likebox', '0', 'seven', '0', '0', '-1', '0', '0', '', 'Facebook', '-1', ''),
('1521', 'fb_likebox', '0', 'gatsby', '0', '-45', '-1', '0', '0', '', 'Facebook', '-1', ''),
('1522', 'flickr_bricks', 'flickr_bricks', 'bartik', '0', '0', '-1', '0', '0', '', 'Flickr', '8', 'grid-3 omega'),
('1523', 'flickr_bricks', 'flickr_bricks', 'garland', '0', '0', '-1', '0', '0', '', 'Flickr', '8', 'grid-3 omega'),
('1524', 'flickr_bricks', 'flickr_bricks', 'seven', '0', '0', '-1', '0', '0', '', 'Flickr', '8', 'grid-3 omega'),
('1525', 'flickr_bricks', 'flickr_bricks', 'gatsby', '0', '0', '-1', '0', '0', '', 'Flickr', '8', 'grid-3 omega'),
('1538', 'lang_dropdown', 'language', 'bartik', '0', '0', '', '0', '0', '', 'Lamguages', '-1', ''),
('1539', 'lang_dropdown', 'language', 'garland', '0', '0', '', '0', '0', '', 'Lamguages', '-1', ''),
('1540', 'lang_dropdown', 'language', 'seven', '0', '0', '', '0', '0', '', 'Lamguages', '-1', ''),
('1541', 'lang_dropdown', 'language', 'gatsby', '1', '0', 'sidebar_first', '0', '0', '', 'Lamguages', '-1', ''),
('1542', 'views', 'tariff_plans-block', 'bartik', '0', '0', '-1', '0', '1', '<front>', 'Our pricing options', '-1', 'align-center'),
('1543', 'views', 'tariff_plans-block_1', 'bartik', '0', '0', '-1', '0', '1', 'home-landing', 'Our pricing options', '-1', ''),
('1544', 'views', 'tariff_plans-block_2', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1545', 'views', 'tariff_plans-block', 'garland', '0', '0', '-1', '0', '1', '<front>', 'Our pricing options', '-1', 'align-center'),
('1546', 'views', 'tariff_plans-block_1', 'garland', '0', '0', '-1', '0', '1', 'home-landing', 'Our pricing options', '-1', ''),
('1547', 'views', 'tariff_plans-block_2', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1548', 'views', 'tariff_plans-block', 'seven', '0', '0', '-1', '0', '1', '<front>', 'Our pricing options', '-1', 'align-center'),
('1549', 'views', 'tariff_plans-block_1', 'seven', '0', '0', '-1', '0', '1', 'home-landing', 'Our pricing options', '-1', ''),
('1550', 'views', 'tariff_plans-block_2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1551', 'views', 'tariff_plans-block', 'gatsby', '0', '-50', '-1', '0', '1', '<front>', 'Our pricing options', '-1', 'align-center'),
('1552', 'views', 'tariff_plans-block_1', 'gatsby', '0', '0', '-1', '0', '1', 'home-landing', 'Our pricing options', '-1', ''),
('1553', 'views', 'tariff_plans-block_2', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1554', 'addthis', 'addthis_block', 'bartik', '0', '0', '-1', '0', '0', '', 'AddThis: Share', '-1', ''),
('1555', 'addthis', 'addthis_block', 'garland', '0', '0', '-1', '0', '0', '', 'AddThis: Share', '-1', ''),
('1556', 'addthis', 'addthis_block', 'seven', '0', '0', '-1', '0', '0', '', 'AddThis: Share', '-1', ''),
('1557', 'addthis', 'addthis_block', 'gatsby', '0', '0', '-1', '0', '0', '', 'AddThis: Share', '-1', ''),
('1558', 'views', 'content_displays-block_3', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1559', 'views', 'content_displays-block_4', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1560', 'views', 'content_displays-block_5', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1561', 'views', 'content_displays-block_6', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1562', 'views', 'content_displays-block_7', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1563', 'views', 'content_displays-block_8', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1564', 'views', 'content_displays-block_9', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1565', 'views', 'content_displays-block_10', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1566', 'views', 'content_displays-block_11', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1567', 'views', 'content_displays-block_3', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1568', 'views', 'content_displays-block_4', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1569', 'views', 'content_displays-block_5', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1570', 'views', 'content_displays-block_6', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1571', 'views', 'content_displays-block_7', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1572', 'views', 'content_displays-block_8', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1573', 'views', 'content_displays-block_9', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1574', 'views', 'content_displays-block_10', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1575', 'views', 'content_displays-block_11', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1576', 'views', 'content_displays-block_3', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1577', 'views', 'content_displays-block_4', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1578', 'views', 'content_displays-block_5', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1579', 'views', 'content_displays-block_6', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1580', 'views', 'content_displays-block_7', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1581', 'views', 'content_displays-block_8', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1582', 'views', 'content_displays-block_9', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1583', 'views', 'content_displays-block_10', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1584', 'views', 'content_displays-block_11', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1585', 'views', 'content_displays-block_3', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1586', 'views', 'content_displays-block_4', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1587', 'views', 'content_displays-block_5', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1588', 'views', 'content_displays-block_6', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1589', 'views', 'content_displays-block_7', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1590', 'views', 'content_displays-block_8', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1591', 'views', 'content_displays-block_9', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1592', 'views', 'content_displays-block_10', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1593', 'views', 'content_displays-block_11', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1594', 'views', 'services-block', 'gatsby', '1', '-50', 'content', '0', '1', '<front>', '', '-1', 'align-center'),
('1595', 'views', 'services-block', 'bartik', '0', '0', '-1', '0', '1', '<front>', '', '-1', 'align-center'),
('1596', 'views', 'services-block', 'garland', '0', '0', '-1', '0', '1', '<front>', '', '-1', 'align-center'),
('1597', 'views', 'services-block', 'seven', '0', '0', '-1', '0', '1', '<front>', '', '-1', 'align-center'),
('1598', 'block', '7', 'bartik', '0', '0', '-1', '0', '1', 'about', 'Our skills', '-1', 'grid-4 omega'),
('1599', 'block', '7', 'garland', '0', '0', '-1', '0', '1', 'about', 'Our skills', '-1', 'grid-4 omega'),
('1600', 'block', '7', 'seven', '0', '0', '-1', '0', '1', 'about', 'Our skills', '-1', 'grid-4 omega'),
('1601', 'block', '7', 'gatsby', '0', '-41', '-1', '0', '1', 'about', 'Our skills', '-1', 'grid-4 omega'),
('1602', 'views', 'articles-block', 'gatsby', '0', '-42', '-1', '0', '1', 'about', '', '-1', 'grid-8 alpha'),
('1603', 'views', 'articles-block', 'bartik', '0', '0', '-1', '0', '0', 'about', '', '-1', 'grid-8 alpha'),
('1604', 'views', 'articles-block', 'garland', '0', '0', '-1', '0', '0', 'about', '', '-1', 'grid-8 alpha'),
('1605', 'views', 'articles-block', 'seven', '0', '0', '-1', '0', '0', 'about', '', '-1', 'grid-8 alpha'),
('1610', 'views', 'blog-block_1', 'gatsby', '1', '-49', 'content_section_4', '0', '1', '<front>', '', '-1', ''),
('1611', 'views', 'blog-block_1', 'bartik', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1612', 'views', 'blog-block_1', 'garland', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1613', 'views', 'blog-block_1', 'seven', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1614', 'views', 'portfolio-block', 'gatsby', '1', '-50', 'content_section_1', '0', '1', '<front>', '', '-1', ''),
('1615', 'views', 'portfolio-block', 'bartik', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1616', 'views', 'portfolio-block', 'garland', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1617', 'views', 'portfolio-block', 'seven', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1618', 'block', '9', 'bartik', '0', '0', '-1', '0', '1', '<front>', '<none>', '-1', 'block-counters align-center'),
('1619', 'block', '9', 'garland', '0', '0', '-1', '0', '1', '<front>', '<none>', '-1', 'block-counters align-center'),
('1620', 'block', '9', 'seven', '0', '0', '-1', '0', '1', '<front>', '<none>', '-1', 'block-counters align-center'),
('1621', 'block', '9', 'gatsby', '1', '0', 'content_section_2', '0', '1', '<front>', '<none>', '-1', 'block-counters align-center'),
('1626', 'views', 'articles-block_1', 'gatsby', '1', '-37', 'content', '0', '1', 'home-2', '', '-1', ''),
('1627', 'views', 'articles-block_1', 'bartik', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1628', 'views', 'articles-block_1', 'garland', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1629', 'views', 'articles-block_1', 'seven', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1630', 'views', 'articles-block_2', 'gatsby', '0', '-36', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1631', 'views', 'articles-block_2', 'bartik', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1632', 'views', 'articles-block_2', 'garland', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1633', 'views', 'articles-block_2', 'seven', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1634', 'views', 'services-block_1', 'gatsby', '0', '-46', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1635', 'views', 'services-block_1', 'bartik', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1636', 'views', 'services-block_1', 'garland', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1637', 'views', 'services-block_1', 'seven', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1638', 'block', '11', 'bartik', '0', '0', '-1', '0', '1', 'home-onepage\r\nhome-landing', '<none>', '-1', ''),
('1639', 'block', '11', 'garland', '0', '0', '-1', '0', '1', 'home-onepage\r\nhome-landing', '<none>', '-1', ''),
('1640', 'block', '11', 'seven', '0', '0', '-1', '0', '1', 'home-onepage\r\nhome-landing', '<none>', '-1', ''),
('1641', 'block', '11', 'gatsby', '0', '-48', '-1', '0', '1', 'home-onepage\r\nhome-landing', '<none>', '-1', ''),
('1642', 'block', '12', 'bartik', '0', '0', '-1', '0', '1', 'home-onepage', 'Contact us', '-1', ''),
('1643', 'block', '12', 'garland', '0', '0', '-1', '0', '1', 'home-onepage', 'Contact us', '-1', ''),
('1644', 'block', '12', 'seven', '0', '0', '-1', '0', '1', 'home-onepage', 'Contact us', '-1', ''),
('1645', 'block', '12', 'gatsby', '0', '-45', '-1', '0', '1', 'home-onepage', 'Contact us', '-1', ''),
('1647', 'tb_megamenu', 'menu-onepage', 'bartik', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1649', 'tb_megamenu', 'menu-onepage', 'garland', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1651', 'tb_megamenu', 'menu-onepage', 'seven', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1653', 'tb_megamenu', 'menu-onepage', 'gatsby', '0', '-47', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1654', 'views', 'services-block_2', 'gatsby', '1', '0', 'content_top', '0', '1', 'services', '', '-1', ''),
('1655', 'views', 'services-block_2', 'bartik', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1656', 'views', 'services-block_2', 'garland', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1657', 'views', 'services-block_2', 'seven', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1658', 'views', 'services-block_3', 'gatsby', '0', '0', '-1', '0', '1', 'services', '', '-1', ''),
('1659', 'views', 'services-block_3', 'bartik', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1660', 'views', 'services-block_3', 'garland', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1661', 'views', 'services-block_3', 'seven', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1662', 'views', 'services-block_4', 'gatsby', '1', '-50', 'content_bottom', '0', '1', 'services', '', '-1', ''),
('1663', 'views', 'services-block_4', 'bartik', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1664', 'views', 'services-block_4', 'garland', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1665', 'views', 'services-block_4', 'seven', '0', '0', '-1', '0', '0', 'services', '', '-1', ''),
('1666', 'views', 'isotope_example-sorter', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1667', 'views', 'isotope_example-color_filter', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1668', 'views', 'isotope_example-size_filter', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1669', 'views', 'isotope_example-shape_filter', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1670', 'views', 'isotope_example-sorter', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1671', 'views', 'isotope_example-color_filter', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1672', 'views', 'isotope_example-size_filter', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1673', 'views', 'isotope_example-shape_filter', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1674', 'views', 'isotope_example-sorter', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1675', 'views', 'isotope_example-color_filter', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1676', 'views', 'isotope_example-size_filter', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1677', 'views', 'isotope_example-shape_filter', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1678', 'views', 'isotope_example-sorter', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1679', 'views', 'isotope_example-color_filter', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1680', 'views', 'isotope_example-size_filter', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1681', 'views', 'isotope_example-shape_filter', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1682', 'superfish', '1', 'bartik', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1683', 'superfish', '1', 'garland', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1684', 'superfish', '1', 'seven', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1685', 'superfish', '1', 'gatsby', '0', '0', '-1', '0', '1', 'home-onepage', '', '-1', ''),
('1686', 'block', '13', 'bartik', '0', '0', '-1', '0', '0', '', 'About us', '-1', ''),
('1687', 'block', '13', 'garland', '0', '0', '-1', '0', '0', '', 'About us', '-1', ''),
('1688', 'block', '13', 'seven', '0', '0', '-1', '0', '0', '', 'About us', '-1', ''),
('1689', 'block', '13', 'gatsby', '0', '0', '-1', '0', '0', '', 'About us', '-1', ''),
('1690', 'add_func_twitter', 'site', 'bartik', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1691', 'add_func_twitter', 'site', 'garland', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1692', 'add_func_twitter', 'site', 'seven', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1693', 'add_func_twitter', 'site', 'gatsby', '0', '0', '-1', '0', '0', '', '', '1', ''),
('1694', 'add_func_twitter', '0', 'gatsby', '1', '-48', 'footer_triptych_2', '0', '0', '', 'Latest Tweets', '-1', ''),
('1695', 'add_func_twitter', '0', 'bartik', '0', '0', '', '0', '0', '', 'Latest Tweets', '-1', ''),
('1696', 'add_func_twitter', '0', 'garland', '0', '0', '', '0', '0', '', 'Latest Tweets', '-1', ''),
('1697', 'add_func_twitter', '0', 'seven', '0', '0', '-1', '0', '0', '', 'Latest Tweets', '-1', ''),
('1698', 'block', '14', 'bartik', '0', '0', '-1', '0', '0', '', 'About Perfection', '-1', 'grid-3 alpha'),
('1699', 'block', '14', 'garland', '0', '0', '-1', '0', '0', '', 'About Perfection', '-1', 'grid-3 alpha'),
('1700', 'block', '14', 'seven', '0', '0', '-1', '0', '0', '', 'About Perfection', '-1', 'grid-3 alpha'),
('1701', 'block', '14', 'gatsby', '1', '-49', 'footer_top', '0', '0', '', 'About Perfection', '-1', 'grid-3 alpha'),
('1702', 'views', 'blog-block_2', 'gatsby', '1', '-47', 'footer_top', '0', '0', '', '', '-1', 'grid-3'),
('1703', 'views', 'blog-block_2', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', 'grid-3'),
('1704', 'views', 'blog-block_2', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', 'grid-3'),
('1705', 'views', 'blog-block_2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', 'grid-3'),
('1706', 'views', 'comments_recent-block_1', 'gatsby', '0', '-49', '-1', '0', '1', 'forum\r\nforum/*', '', '-1', 'grid-4 omega'),
('1707', 'views', 'comments_recent-block_1', 'bartik', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', '', '-1', 'grid-4 omega'),
('1708', 'views', 'comments_recent-block_1', 'garland', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', '', '-1', 'grid-4 omega'),
('1709', 'views', 'comments_recent-block_1', 'seven', '0', '0', '-1', '0', '1', 'forum\r\nforum/*', '', '-1', 'grid-4 omega'),
('1710', 'views', 'blog-block_3', 'bartik', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1711', 'views', 'blog-block_3', 'garland', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1712', 'views', 'blog-block_3', 'seven', '0', '0', '-1', '0', '1', 'home-2', '', '-1', ''),
('1713', 'views', 'blog-block_3', 'gatsby', '1', '-50', 'content_section_10', '0', '1', 'home-2', '', '-1', ''),
('1714', 'views', 'portfolio-block_1', 'gatsby', '1', '0', 'content_section_7', '0', '1', 'home-2', '', '-1', 'align-center'),
('1715', 'views', 'portfolio-block_1', 'bartik', '0', '0', '-1', '0', '1', 'home-2', '', '-1', 'align-center'),
('1716', 'views', 'portfolio-block_1', 'garland', '0', '0', '-1', '0', '1', 'home-2', '', '-1', 'align-center'),
('1717', 'views', 'portfolio-block_1', 'seven', '0', '0', '-1', '0', '1', 'home-2', '', '-1', 'align-center'),
('1718', 'views', 'blog-block_4', 'gatsby', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', ''),
('1719', 'views', 'blog-block_4', 'bartik', '0', '0', '-1', '0', '0', 'home-blog', '', '-1', ''),
('1720', 'views', 'blog-block_4', 'garland', '0', '0', '-1', '0', '0', 'home-blog', '', '-1', ''),
('1721', 'views', 'blog-block_4', 'seven', '0', '0', '-1', '0', '0', 'home-blog', '', '-1', ''),
('1722', 'views', 'users-block_1', 'gatsby', '1', '-51', 'content_bottom', '0', '1', 'home-blog', '', '-1', ''),
('1723', 'views', 'users-block_1', 'bartik', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', ''),
('1724', 'views', 'users-block_1', 'garland', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', ''),
('1725', 'views', 'users-block_1', 'seven', '0', '0', '-1', '0', '1', 'home-blog', '', '-1', ''),
('1727', 'tb_megamenu', 'menu-landing', 'gatsby', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1728', 'views', 'FAQs-block_1', 'gatsby', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1729', 'views', 'FAQs-block_1', 'bartik', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1730', 'views', 'FAQs-block_1', 'garland', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1731', 'views', 'FAQs-block_1', 'seven', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1732', 'tb_megamenu', 'menu-landing', 'bartik', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1733', 'tb_megamenu', 'menu-landing', 'garland', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1734', 'tb_megamenu', 'menu-landing', 'seven', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1738', 'views', 'testimonials-block_1', 'gatsby', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1739', 'views', 'testimonials-block_1', 'bartik', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1740', 'views', 'testimonials-block_1', 'garland', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1741', 'views', 'testimonials-block_1', 'seven', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1742', 'views', 'articles-block_3', 'gatsby', '0', '0', '-1', '0', '1', 'home-landing', '', '-1', ''),
('1743', 'views', 'articles-block_3', 'bartik', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1744', 'views', 'articles-block_3', 'garland', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1745', 'views', 'articles-block_3', 'seven', '0', '0', '-1', '0', '0', 'home-landing', '', '-1', ''),
('1750', 'add_func_onepage_menu', 'menu', 'bartik', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1751', 'add_func_onepage_menu', 'products_filter', 'bartik', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1752', 'add_func_onepage_menu', 'project_next_prev', 'bartik', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1753', 'add_func_onepage_menu', 'menu', 'garland', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1754', 'add_func_onepage_menu', 'products_filter', 'garland', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1755', 'add_func_onepage_menu', 'project_next_prev', 'garland', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1756', 'add_func_onepage_menu', 'menu', 'seven', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1757', 'add_func_onepage_menu', 'products_filter', 'seven', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1758', 'add_func_onepage_menu', 'project_next_prev', 'seven', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1759', 'add_func_onepage_menu', 'menu', 'gatsby', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1760', 'add_func_onepage_menu', 'products_filter', 'gatsby', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1761', 'add_func_onepage_menu', 'project_next_prev', 'gatsby', '0', '0', '-1', '0', '0', '', '', '4', ''),
('1762', 'webform', 'client-block-173', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1763', 'webform', 'client-block-173', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1764', 'webform', 'client-block-173', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1765', 'webform', 'client-block-173', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1766', 'panels_mini', 'contact_us', 'gatsby', '1', '0', 'content_section_5', '0', '1', '<front>', '', '-1', ''),
('1767', 'panels_mini', 'contact_us', 'bartik', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1768', 'panels_mini', 'contact_us', 'garland', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1769', 'panels_mini', 'contact_us', 'seven', '0', '0', '-1', '0', '1', '<front>', '', '-1', ''),
('1770', 'commerce_cart', 'cart', 'bartik', '0', '0', '-1', '0', '0', 'checkout*', '<none>', '-1', ''),
('1771', 'commerce_multicurrency', 'currency_selector', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1772', 'commerce_multicurrency', 'currency_menu', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1773', 'commerce_cart', 'cart', 'garland', '0', '0', '-1', '0', '0', 'checkout*', '<none>', '-1', ''),
('1774', 'commerce_multicurrency', 'currency_selector', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1775', 'commerce_multicurrency', 'currency_menu', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1776', 'commerce_cart', 'cart', 'gatsby', '1', '0', 'menu', '0', '0', 'checkout*', '<none>', '-1', ''),
('1777', 'commerce_multicurrency', 'currency_selector', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1778', 'commerce_multicurrency', 'currency_menu', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1779', 'commerce_cart', 'cart', 'seven', '0', '0', '-1', '0', '0', 'checkout*', '<none>', '-1', ''),
('1780', 'commerce_multicurrency', 'currency_selector', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1781', 'commerce_multicurrency', 'currency_menu', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', '');
INSERT INTO `block` VALUES
('1782', 'views', 'c117238b5c55f571b4e7a454037d5f6e', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1783', 'views', 'bf5ee37bd60ea98abcb761c967f50021', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1784', 'views', 'c117238b5c55f571b4e7a454037d5f6e', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1785', 'views', 'bf5ee37bd60ea98abcb761c967f50021', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1786', 'views', 'c117238b5c55f571b4e7a454037d5f6e', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1787', 'views', 'bf5ee37bd60ea98abcb761c967f50021', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1788', 'views', 'c117238b5c55f571b4e7a454037d5f6e', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1789', 'views', 'bf5ee37bd60ea98abcb761c967f50021', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1790', 'instagram_block', 'instagram_block', 'bartik', '0', '0', '-1', '0', '0', '', 'Instagram', '8', ''),
('1791', 'instagram_block', 'instagram_block_tag', 'bartik', '0', '0', '-1', '0', '0', '', '', '8', ''),
('1792', 'instagram_block', 'instagram_block', 'garland', '0', '0', '-1', '0', '0', '', 'Instagram', '8', ''),
('1793', 'instagram_block', 'instagram_block_tag', 'garland', '0', '0', '-1', '0', '0', '', '', '8', ''),
('1794', 'instagram_block', 'instagram_block', 'gatsby', '1', '0', 'footer_triptych_3', '0', '0', '', 'Instagram', '8', ''),
('1795', 'instagram_block', 'instagram_block_tag', 'gatsby', '0', '0', '-1', '0', '0', '', '', '8', ''),
('1796', 'instagram_block', 'instagram_block', 'seven', '0', '0', '-1', '0', '0', '', 'Instagram', '8', ''),
('1797', 'instagram_block', 'instagram_block_tag', 'seven', '0', '0', '-1', '0', '0', '', '', '8', ''),
('1798', 'block', '16', 'bartik', '0', '0', '-1', '0', '0', '', 'Gatsby HTML Template', '-1', ''),
('1799', 'block', '16', 'garland', '0', '0', '-1', '0', '0', '', 'Gatsby HTML Template', '-1', ''),
('1800', 'block', '16', 'gatsby', '1', '-50', 'footer_triptych_1', '0', '0', '', 'Gatsby HTML Template', '-1', ''),
('1801', 'block', '16', 'seven', '0', '0', '-1', '0', '0', '', 'Gatsby HTML Template', '-1', ''),
('1802', 'menu', 'menu-footer-menu', 'gatsby', '1', '0', 'footer_1', '0', '0', '', '<none>', '-1', 'float-left gt-hr-list'),
('1803', 'tb_megamenu', 'menu-footer-menu', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1804', 'menu', 'menu-footer-menu', 'bartik', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'float-left gt-hr-list'),
('1805', 'menu', 'menu-footer-menu', 'garland', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'float-left gt-hr-list'),
('1806', 'menu', 'menu-footer-menu', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'float-left gt-hr-list'),
('1807', 'tb_megamenu', 'menu-footer-menu', 'bartik', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1808', 'tb_megamenu', 'menu-footer-menu', 'garland', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1809', 'tb_megamenu', 'menu-footer-menu', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1810', 'multiblock', '1', 'seven', '0', '0', '-1', '0', '0', '', '', '1', 'float-right'),
('1811', 'multiblock', '1', 'gatsby', '1', '0', 'header_top', '0', '0', '', '', '1', 'float-right'),
('1812', 'styleswitcher', 'styleswitcher', 'gatsby', '1', '0', 'header_section_1', '0', '0', '', 'Style switcher', '4', ''),
('1813', 'styleswitcher', 'styleswitcher', 'seven', '0', '0', '', '0', '0', '', 'Style switcher', '4', ''),
('1814', 'multiblock', '2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', 'tb-megamenu'),
('1815', 'multiblock', '2', 'gatsby', '1', '0', 'menu_2', '0', '0', '', '', '-1', 'tb-megamenu'),
('1816', 'commerce_wishlist', 'share', 'gatsby', '1', '0', 'header_right_2', '0', '1', 'user/*/wishlist', '', '1', ''),
('1817', 'commerce_wishlist', 'share', 'seven', '0', '0', '-1', '0', '1', 'user/*/wishlist', '', '1', ''),
('1818', 'multiblock', '3', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', 'block-commerce-cart'),
('1819', 'multiblock', '4', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'block-commerce-cart'),
('1820', 'multiblock', '5', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1821', 'multiblock', '6', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1822', 'multiblock', '7', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1823', 'multiblock', '8', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1824', 'multiblock', '9', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1825', 'multiblock', '10', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1826', 'multiblock', '11', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1827', 'multiblock', '12', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1828', 'multiblock', '3', 'gatsby', '1', '0', 'header_right_2', '0', '0', '', '', '-1', 'block-commerce-cart'),
('1829', 'multiblock', '4', 'gatsby', '1', '0', 'header_right_2', '0', '0', '', '<none>', '-1', 'block-commerce-cart'),
('1830', 'multiblock', '5', 'gatsby', '1', '0', 'menu_3', '0', '0', '', '', '-1', ''),
('1831', 'multiblock', '6', 'gatsby', '1', '0', 'menu_4', '0', '0', '', '', '-1', ''),
('1832', 'multiblock', '7', 'gatsby', '1', '0', 'menu_5', '0', '0', '', '', '-1', ''),
('1833', 'multiblock', '8', 'gatsby', '1', '-50', 'menu_6', '0', '0', '', '', '-1', ''),
('1834', 'multiblock', '9', 'gatsby', '1', '0', 'header_left_4', '0', '0', '', '', '-1', ''),
('1835', 'multiblock', '10', 'gatsby', '1', '0', 'header_right_4', '0', '0', '', '<none>', '-1', ''),
('1836', 'multiblock', '11', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1837', 'multiblock', '12', 'gatsby', '1', '0', 'header_right_5', '0', '0', '', '<none>', '-1', ''),
('1838', 'menu', 'menu-short-user-menu', 'gatsby', '1', '0', 'header_right_5', '0', '0', '', '<none>', '-1', ''),
('1839', 'tb_megamenu', 'menu-short-user-menu', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1840', 'menu', 'menu-short-user-menu', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1841', 'tb_megamenu', 'menu-short-user-menu', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1842', 'block', '17', 'gatsby', '1', '0', 'header_top', '0', '0', '', '<none>', '-1', 'block-contact-info float-left'),
('1843', 'block', '17', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'block-contact-info float-left'),
('1844', 'multiblock', '13', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1845', 'multiblock', '13', 'gatsby', '1', '-50', 'menu_6', '0', '0', '', '<none>', '-1', ''),
('1846', 'block', '18', 'gatsby', '1', '0', 'header_left_7', '0', '0', '', '<none>', '-1', 'block-send-message'),
('1847', 'block', '18', 'seven', '0', '0', '-1', '0', '0', '', '<none>', '-1', 'block-send-message'),
('1848', 'views', 'video-block', 'gatsby', '1', '0', 'header_section_2', '0', '1', 'home-2', '', '-1', 'align-center'),
('1849', 'views', 'video-block', 'seven', '0', '0', '-1', '0', '1', 'home-2', '', '-1', 'align-center'),
('1850', 'menu', 'menu-elemets-col-1', 'gatsby', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1851', 'menu', 'menu-elemets-col-2', 'gatsby', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1852', 'tb_megamenu', 'menu-elemets-col-1', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1853', 'tb_megamenu', 'menu-elemets-col-2', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1854', 'menu', 'menu-elemets-col-3', 'gatsby', '0', '0', '-1', '0', '0', '', '<none>', '-1', ''),
('1855', 'tb_megamenu', 'menu-elemets-col-3', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1856', 'menu', 'menu-elemets-col-1', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1857', 'menu', 'menu-elemets-col-2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1858', 'menu', 'menu-elemets-col-3', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1859', 'tb_megamenu', 'menu-elemets-col-1', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1860', 'tb_megamenu', 'menu-elemets-col-2', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1861', 'tb_megamenu', 'menu-elemets-col-3', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1862', 'views', 'services-block_5', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1863', 'views', 'services-block_5', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1864', 'views', 'services-block_6', 'gatsby', '1', '0', 'content_section_6', '0', '1', 'home-2', '', '-1', 'align-center'),
('1865', 'views', 'services-block_6', 'seven', '0', '0', '-1', '0', '1', 'home-2', '', '-1', 'align-center'),
('1866', 'block', '19', 'gatsby', '1', '-50', 'content_section_8', '0', '1', 'home-2', '<none>', '-1', ''),
('1867', 'block', '19', 'seven', '0', '0', '-1', '0', '1', 'home-2', '<none>', '-1', ''),
('1868', 'views', 'tweets-block', 'gatsby', '1', '0', 'footer_triptych_2', '0', '0', '', 'Latest Tweets', '-1', ''),
('1869', 'views', 'tweets-block', 'seven', '0', '0', '-1', '0', '0', '', 'Latest Tweets', '-1', ''),
('1870', 'webform', 'client-block-181', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1871', 'webform', 'client-block-181', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1872', 'webform', 'client-block-182', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1873', 'webform', 'client-block-182', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1874', 'views', 'tariff_plans-block_3', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1875', 'views', 'tariff_plans-block_4', 'gatsby', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1876', 'views', 'tariff_plans-block_3', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', ''),
('1877', 'views', 'tariff_plans-block_4', 'seven', '0', '0', '-1', '0', '0', '', '', '-1', '');
/*!40000 ALTER TABLE block ENABLE KEYS */;

--
-- Table structure for table 'block_custom'
--

CREATE TABLE IF NOT EXISTS `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.' COMMENT='Stores contents of custom-made blocks.';

--
-- Dumping data for table 'block_custom'
--

/*!40000 ALTER TABLE block_custom DISABLE KEYS */;
INSERT INTO `block_custom` VALUES
('5', '[icon class="fa fa-copyright" ][/icon] Copyright <?php echo date(''Y'') ?> by <a href="<?php echo base_path(); ?>" class="sitename"><?php $site_name =  variable_get(''site_name'', ''Drupal''); print $site_name; ?></a> | <a href="?q=privacy-policy">Privacy Policy</a>', 'Custom: Copyright', 'php_code'),
('7', '[progressbar percent="20" linewidth="3" barcolor="#21c2f8" trackcolor="#cccccc"]Praesent in hendrerit urna[/progressbar]\r\n[progressbar percent="40" linewidth="3" barcolor="#21c2f8" trackcolor="#cccccc"]Quisque pulvinar lacus[/progressbar]\r\n[progressbar percent="60" linewidth="3" barcolor="#21c2f8" trackcolor="#cccccc"]Nam fermentum euismod[/progressbar]\r\n[progressbar percent="80" linewidth="3" barcolor="#21c2f8" trackcolor="#cccccc"]Cras sit amet ultricies[/progressbar]\r\n', 'Custom: Our skills', 'full_html'),
('9', '[grid width="3" class="alpha"]\r\n[counter number="135" time="300"]Successful projects [/counter]\r\n[/grid]\r\n[grid width="3"]\r\n[counter number="12" time="300"]Talanted Professionals[/counter]\r\n[/grid]\r\n[grid width="3"]\r\n[counter number="42" time="300"]Awards Winned[/counter]\r\n[/grid]\r\n[grid width="3" class="omega"]\r\n[counter number="9" time="300"]Years of Hardwork[/counter]\r\n[/grid]', 'Custom: Counters', 'full_html'),
('11', '[gmap lat_coord="41.850033" lng_coord="-87.6500523" zoom_value="15" zoom_wheel="no" marker="<?php echo base_path(); ?>sites/default/files/map-marker.png"][{"featureType":"landscape","stylers":[{"saturation":-100},{"lightness":65},{"visibility":"on"}]},{"featureType":"poi","stylers":[{"saturation":-100},{"lightness":51},{"visibility":"simplified"}]},{"featureType":"road.highway","stylers":[{"saturation":-100},{"visibility":"simplified"}]},{"featureType":"road.arterial","stylers":[{"saturation":-100},{"lightness":30},{"visibility":"on"}]},{"featureType":"road.local","stylers":[{"saturation":-100},{"lightness":40},{"visibility":"on"}]},{"featureType":"transit","stylers":[{"saturation":-100},{"visibility":"simplified"}]},{"featureType":"administrative.province","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"labels","stylers":[{"visibility":"on"},{"lightness":-25},{"saturation":-100}]},{"featureType":"water","elementType":"geometry","stylers":[{"hue":"#ffff00"},{"lightness":-25},{"saturation":-97}]}][/gmap]', 'Custom: Map', 'php_code'),
('12', '<p>Aliquam erat volutpat. Cras consequat condimentum neque, eget bibendum urna efficitur vel. Ut ultrices consequat metus at luctus. Ut finibus scelerisque purus vestibulum laoreet. Nulla vehicula dui ut purus lobortis eleifend. Mauris accumsan purus at dolor pellentesque, quis sodales neque porttitor. Duis sit amet nisi turpis. </p>\r\n<?php module_load_include(''inc'', ''contact'', ''contact.pages'');\r\n$form=drupal_get_form(''contact_site_form'');\r\nprint render($form); ?>', 'Custom: Contact form', 'php_code'),
('13', 'Donec venenatis auctor felis ac malesuada. Vestibulum egestas nunc sed quam tincidunt, quis dapibus felis faucibus. Nullam porttitor gravida tincidunt. Proin commodo fringilla tincidunt. Nunc vehicula est est, et fermentum orci convallis eget.', 'Custom: Menu text block', 'full_html'),
('14', 'Aliquam erat volutpat. Quisque id pharetra erat, cursus vehicula augue. Donec volutpat mi dui. Sed vel metus nibh.\r\n\r\nUt lobortis nec urna ac sagittis. Nullam finibus, sapien in consequat varius, tortor lectus consequat nulla, ut semper lectus arcu non ex. Proin semper tincidunt dapibus. Interdum et malesuada fames ac ante ipsum primis in faucibus.', 'Custom: About Perfection', 'full_html'),
('16', 'Tart soufflé dessert. Muffin biscuit dragée.', 'Gatsby HTML Template', 'full_html'),
('17', '<span class="contact-phone">7 - 345 - 993 - 9455</span> <a href="mailto:mail@gatsby.com" class="contact-email">mail@gatsby.com</a>', 'Contact info', 'full_html'),
('18', '<a href="?q=contacts">Send a Message</a>', 'Send a Message', 'full_html'),
('19', '[callout class="clearfix" bg="<?php echo base_path(); ?>sites/default/files/call_out_bg_7.jpg"]\r\n[grid width="8" class="alpha"]\r\nLooking for an exceptional quality?\r\nYou’ve got it.\r\n[/grid]\r\n[grid width="4" class="omega"]\r\n[button url="#"]Explore now[/button]\r\n[/grid]\r\n[/callout]\r\n', 'Callout:  Looking for an exceptional quality?', 'php_code');
/*!40000 ALTER TABLE block_custom ENABLE KEYS */;

--
-- Table structure for table 'block_node_type'
--

CREATE TABLE IF NOT EXISTS `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types' COMMENT='Sets up display criteria for blocks based on content types';

--
-- Dumping data for table 'block_node_type'
--

/*!40000 ALTER TABLE block_node_type DISABLE KEYS */;
/*!40000 ALTER TABLE block_node_type ENABLE KEYS */;

--
-- Table structure for table 'block_role'
--

CREATE TABLE IF NOT EXISTS `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles' COMMENT='Sets up access permissions for blocks based on user roles';

--
-- Dumping data for table 'block_role'
--

/*!40000 ALTER TABLE block_role DISABLE KEYS */;
/*!40000 ALTER TABLE block_role ENABLE KEYS */;

--
-- Table structure for table 'blocked_ips'
--

CREATE TABLE IF NOT EXISTS `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.' COMMENT='Stores blocked IP addresses.';

--
-- Dumping data for table 'blocked_ips'
--

/*!40000 ALTER TABLE blocked_ips DISABLE KEYS */;
/*!40000 ALTER TABLE blocked_ips ENABLE KEYS */;

--
-- Table structure for table 'book'
--

CREATE TABLE IF NOT EXISTS `book` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The book page’s menu_links.mlid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The book page’s node.nid.',
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The book ID is the book.nid of the top-level page.',
  PRIMARY KEY (`mlid`),
  UNIQUE KEY `nid` (`nid`),
  KEY `bid` (`bid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores book outline information. Uniquely connects each...' COMMENT='Stores book outline information. Uniquely connects each...';

--
-- Dumping data for table 'book'
--

/*!40000 ALTER TABLE book DISABLE KEYS */;
INSERT INTO `book` VALUES
('6059', '127', '127'),
('6060', '128', '127'),
('6061', '129', '127'),
('6062', '130', '127'),
('6063', '131', '127');
/*!40000 ALTER TABLE book ENABLE KEYS */;

--
-- Table structure for table 'cache'
--

CREATE TABLE IF NOT EXISTS `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...' COMMENT='Generic cache table for caching things not separated out...';

--
-- Table structure for table 'cache_admin_menu'
--

CREATE TABLE IF NOT EXISTS `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...' COMMENT='Cache table for Administration menu to store client-side...';

--
-- Table structure for table 'cache_block'
--

CREATE TABLE IF NOT EXISTS `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...' COMMENT='Cache table for the Block module to store already built...';

--
-- Table structure for table 'cache_bootstrap'
--

CREATE TABLE IF NOT EXISTS `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...' COMMENT='Cache table for data required to bootstrap Drupal, may be...';

--
-- Table structure for table 'cache_field'
--

CREATE TABLE IF NOT EXISTS `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...' COMMENT='Generic cache table for caching things not separated out...';

--
-- Table structure for table 'cache_filter'
--

CREATE TABLE IF NOT EXISTS `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...' COMMENT='Cache table for the Filter module to store already...';

--
-- Table structure for table 'cache_form'
--

CREATE TABLE IF NOT EXISTS `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...' COMMENT='Cache table for the form system to store recently built...';

--
-- Table structure for table 'cache_image'
--

CREATE TABLE IF NOT EXISTS `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...' COMMENT='Cache table used to store information about image...';

--
-- Dumping data for table 'cache_image'
--

/*!40000 ALTER TABLE cache_image DISABLE KEYS */;
/*!40000 ALTER TABLE cache_image ENABLE KEYS */;

--
-- Table structure for table 'cache_libraries'
--

CREATE TABLE IF NOT EXISTS `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.' COMMENT='Cache table to store library information.';

--
-- Dumping data for table 'cache_libraries'
--

/*!40000 ALTER TABLE cache_libraries DISABLE KEYS */;
INSERT INTO `cache_libraries` VALUES
('colorbox', 'a:20:{s:4:"name";s:15:"Colorbox plugin";s:10:"vendor url";s:34:"http://www.jacklmoore.com/colorbox";s:12:"download url";s:53:"https://github.com/jackmoore/colorbox/archive/1.x.zip";s:17:"version arguments";a:3:{s:4:"file";s:22:"jquery.colorbox-min.js";s:7:"pattern";s:32:"@(?i:Colorbox)\\sv?([0-9\\.a-z]+)@";s:5:"lines";i:5;}s:5:"files";a:1:{s:2:"js";a:1:{s:22:"jquery.colorbox-min.js";a:0:{}}}s:8:"variants";a:2:{s:8:"minified";a:2:{s:5:"files";a:1:{s:2:"js";a:1:{s:22:"jquery.colorbox-min.js";a:0:{}}}s:9:"installed";b:1;}s:6:"source";a:2:{s:5:"files";a:1:{s:2:"js";a:1:{s:18:"jquery.colorbox.js";a:0:{}}}s:9:"installed";b:1;}}s:9:"info type";s:6:"module";s:6:"module";s:8:"colorbox";s:12:"machine name";s:8:"colorbox";s:17:"download file url";s:0:"";s:4:"path";s:0:"";s:12:"library path";s:28:"sites/all/libraries/colorbox";s:16:"version callback";s:21:"libraries_get_version";s:12:"dependencies";a:0:{}s:8:"versions";a:0:{}s:17:"integration files";a:0:{}s:9:"callbacks";a:6:{s:4:"info";a:1:{i:0;s:23:"libraries_prepare_files";}s:10:"pre-detect";a:0:{}s:11:"post-detect";a:1:{i:0;s:29:"libraries_detect_dependencies";}s:21:"pre-dependencies-load";a:0:{}s:8:"pre-load";a:0:{}s:9:"post-load";a:0:{}}s:27:"post-load integration files";b:0;s:9:"installed";b:1;s:7:"version";s:5:"1.6.4";}', '0', '1469452349', 1),
('easing', 'a:20:{s:4:"name";s:13:"jQuery Easing";s:10:"vendor url";s:40:"http://gsgd.co.uk/sandbox/jquery/easing/";s:12:"download url";s:40:"http://gsgd.co.uk/sandbox/jquery/easing/";s:17:"version arguments";a:2:{s:4:"file";s:16:"jquery.easing.js";s:7:"pattern";s:32:"/jQuery\\s+Easing\\s+v?([0-9\\.]+)/";}s:5:"files";a:1:{s:2:"js";a:1:{s:16:"jquery.easing.js";a:0:{}}}s:9:"info type";s:6:"module";s:6:"module";s:8:"jqeasing";s:12:"machine name";s:6:"easing";s:17:"download file url";s:0:"";s:4:"path";s:0:"";s:12:"library path";s:26:"sites/all/libraries/easing";s:16:"version callback";s:21:"libraries_get_version";s:12:"dependencies";a:0:{}s:8:"variants";a:0:{}s:8:"versions";a:0:{}s:17:"integration files";a:0:{}s:9:"callbacks";a:6:{s:4:"info";a:1:{i:0;s:23:"libraries_prepare_files";}s:10:"pre-detect";a:0:{}s:11:"post-detect";a:1:{i:0;s:29:"libraries_detect_dependencies";}s:21:"pre-dependencies-load";a:0:{}s:8:"pre-load";a:0:{}s:9:"post-load";a:0:{}}s:27:"post-load integration files";b:0;s:9:"installed";b:1;s:7:"version";s:3:"1.3";}', '0', '1469452387', 1),
('flexslider', 'a:20:{s:4:"name";s:10:"FlexSlider";s:10:"vendor url";s:36:"http://www.woothemes.com/flexslider/";s:12:"download url";s:39:"https://github.com/woothemes/FlexSlider";s:17:"version arguments";a:3:{s:4:"file";s:24:"jquery.flexslider-min.js";s:7:"pattern";s:32:"/jQuery FlexSlider v(\\d+\\.+\\d+)/";s:5:"lines";i:2;}s:5:"files";a:2:{s:2:"js";a:1:{s:24:"jquery.flexslider-min.js";a:0:{}}s:3:"css";a:1:{s:14:"flexslider.css";a:0:{}}}s:17:"integration files";a:1:{s:10:"flexslider";a:1:{s:3:"css";a:1:{s:29:"assets/css/flexslider_img.css";a:0:{}}}}s:9:"info type";s:6:"module";s:6:"module";s:10:"flexslider";s:12:"machine name";s:10:"flexslider";s:17:"download file url";s:0:"";s:4:"path";s:0:"";s:12:"library path";s:30:"sites/all/libraries/flexslider";s:16:"version callback";s:21:"libraries_get_version";s:12:"dependencies";a:1:{i:0;s:6:"easing";}s:8:"variants";a:0:{}s:8:"versions";a:0:{}s:9:"callbacks";a:6:{s:4:"info";a:1:{i:0;s:23:"libraries_prepare_files";}s:10:"pre-detect";a:0:{}s:11:"post-detect";a:1:{i:0;s:29:"libraries_detect_dependencies";}s:21:"pre-dependencies-load";a:0:{}s:8:"pre-load";a:0:{}s:9:"post-load";a:0:{}}s:27:"post-load integration files";b:0;s:9:"installed";b:1;s:7:"version";s:3:"2.2";}', '0', '1469452387', 1);
/*!40000 ALTER TABLE cache_libraries ENABLE KEYS */;

--
-- Table structure for table 'cache_media_xml'
--

CREATE TABLE IF NOT EXISTS `cache_media_xml` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the the results of retreived XML...' COMMENT='Cache table for the the results of retreived XML...';

--
-- Dumping data for table 'cache_media_xml'
--

/*!40000 ALTER TABLE cache_media_xml DISABLE KEYS */;
/*!40000 ALTER TABLE cache_media_xml ENABLE KEYS */;

--
-- Table structure for table 'cache_menu'
--

CREATE TABLE IF NOT EXISTS `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...' COMMENT='Cache table for the menu system to store router...';

--
-- Table structure for table 'cache_page'
--

CREATE TABLE IF NOT EXISTS `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...' COMMENT='Cache table used to store compressed pages for anonymous...';

--
-- Table structure for table 'cache_panels'
--

CREATE TABLE IF NOT EXISTS `cache_panels` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...' COMMENT='Generic cache table for caching things not separated out...';

--
-- Dumping data for table 'cache_panels'
--

/*!40000 ALTER TABLE cache_panels DISABLE KEYS */;
/*!40000 ALTER TABLE cache_panels ENABLE KEYS */;

--
-- Table structure for table 'cache_path'
--

CREATE TABLE IF NOT EXISTS `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.' COMMENT='Cache table for path alias lookup.';

--
-- Table structure for table 'cache_rules'
--

CREATE TABLE IF NOT EXISTS `cache_rules` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the rules engine to store configured items.' COMMENT='Cache table for the rules engine to store configured items.';

--
-- Dumping data for table 'cache_rules'
--

/*!40000 ALTER TABLE cache_rules DISABLE KEYS */;
INSERT INTO `cache_rules` VALUES
('data:en', 'a:4:{s:9:"data_info";a:60:{s:25:"commerce_payment_settings";a:3:{s:5:"label";s:16:"Payment settings";s:8:"ui class";s:26:"RulesDataUIPaymentSettings";s:6:"module";s:16:"commerce_payment";}s:14:"commerce_price";a:5:{s:5:"label";s:5:"price";s:8:"ui class";s:24:"RulesDataUICommercePrice";s:4:"wrap";b:1;s:13:"property info";a:4:{s:6:"amount";a:5:{s:5:"label";s:6:"Amount";s:11:"description";s:0:"";s:4:"type";s:7:"decimal";s:15:"getter callback";s:28:"entity_property_verbatim_get";s:15:"setter callback";s:28:"entity_property_verbatim_set";}s:14:"amount_decimal";a:5:{s:5:"label";s:16:"Amount (decimal)";s:11:"description";s:0:"";s:4:"type";s:7:"decimal";s:15:"getter callback";s:33:"commerce_price_amount_decimal_get";s:8:"computed";b:1;}s:13:"currency_code";a:6:{s:5:"label";s:8:"Currency";s:11:"description";s:0:"";s:4:"type";s:4:"text";s:15:"getter callback";s:28:"entity_property_verbatim_get";s:15:"setter callback";s:28:"entity_property_verbatim_set";s:12:"options list";s:35:"commerce_currency_code_options_list";}s:4:"data";a:5:{s:5:"label";s:4:"Data";s:11:"description";s:0:"";s:4:"type";s:6:"struct";s:15:"getter callback";s:28:"entity_property_verbatim_get";s:15:"setter callback";s:28:"entity_property_verbatim_set";}}s:6:"module";s:14:"commerce_price";}s:9:"log_entry";a:4:{s:5:"label";s:18:"watchdog log entry";s:4:"wrap";b:1;s:13:"property info";a:5:{s:4:"type";a:2:{s:4:"type";s:4:"text";s:5:"label";s:42:"The category to which this message belongs";}s:7:"message";a:4:{s:4:"type";s:4:"text";s:5:"label";s:11:"Log message";s:15:"getter callback";s:28:"rules_system_log_get_message";s:9:"sanitized";b:1;}s:8:"severity";a:3:{s:4:"type";s:7:"integer";s:5:"label";s:8:"Severity";s:12:"options list";s:24:"watchdog_severity_levels";}s:11:"request_uri";a:2:{s:4:"type";s:3:"uri";s:5:"label";s:11:"Request uri";}s:4:"link";a:2:{s:4:"type";s:4:"text";s:5:"label";s:34:"An associated, HTML formatted link";}}s:6:"module";s:5:"rules";}s:4:"text";a:4:{s:5:"label";s:4:"text";s:8:"ui class";s:15:"RulesDataUIText";s:10:"token type";s:10:"rules_text";s:6:"module";s:5:"rules";}s:5:"token";a:5:{s:5:"label";s:10:"text token";s:6:"parent";s:4:"text";s:8:"ui class";s:20:"RulesDataUITextToken";s:10:"token type";s:11:"rules_token";s:6:"module";s:5:"rules";}s:14:"text_formatted";a:5:{s:5:"label";s:14:"formatted text";s:8:"ui class";s:24:"RulesDataUITextFormatted";s:4:"wrap";b:1;s:13:"property info";a:3:{s:5:"value";a:7:{s:4:"type";s:4:"text";s:5:"label";s:4:"Text";s:9:"sanitized";b:1;s:15:"getter callback";s:30:"entity_metadata_field_text_get";s:15:"setter callback";s:28:"entity_property_verbatim_set";s:17:"setter permission";s:16:"administer nodes";s:19:"raw getter callback";s:28:"entity_property_verbatim_get";}s:7:"summary";a:7:{s:4:"type";s:4:"text";s:5:"label";s:7:"Summary";s:9:"sanitized";b:1;s:15:"getter callback";s:30:"entity_metadata_field_text_get";s:15:"setter callback";s:28:"entity_property_verbatim_set";s:17:"setter permission";s:16:"administer nodes";s:19:"raw getter callback";s:28:"entity_property_verbatim_get";}s:6:"format";a:6:{s:4:"type";s:5:"token";s:5:"label";s:11:"Text format";s:12:"options list";s:34:"entity_metadata_field_text_formats";s:15:"getter callback";s:28:"entity_property_verbatim_get";s:15:"setter callback";s:28:"entity_property_verbatim_set";s:18:"setter permissions";s:18:"administer filters";}}s:6:"module";s:5:"rules";}s:7:"decimal";a:5:{s:5:"label";s:14:"decimal number";s:6:"parent";s:4:"text";s:8:"ui class";s:18:"RulesDataUIDecimal";s:10:"token type";s:13:"rules_decimal";s:6:"module";s:5:"rules";}s:7:"integer";a:6:{s:5:"label";s:7:"integer";s:5:"class";s:19:"RulesIntegerWrapper";s:6:"parent";s:7:"decimal";s:8:"ui class";s:18:"RulesDataUIInteger";s:10:"token type";s:13:"rules_integer";s:6:"module";s:5:"rules";}s:4:"date";a:4:{s:5:"label";s:4:"date";s:8:"ui class";s:15:"RulesDataUIDate";s:10:"token type";s:10:"rules_date";s:6:"module";s:5:"rules";}s:8:"duration";a:5:{s:5:"label";s:8:"duration";s:6:"parent";s:7:"integer";s:8:"ui class";s:19:"RulesDataUIDuration";s:10:"token type";s:14:"rules_duration";s:6:"module";s:5:"rules";}s:7:"boolean";a:4:{s:5:"label";s:11:"truth value";s:8:"ui class";s:18:"RulesDataUIBoolean";s:10:"token type";s:13:"rules_boolean";s:6:"module";s:5:"rules";}s:3:"uri";a:6:{s:5:"label";s:3:"URI";s:6:"parent";s:4:"text";s:17:"cleaning callback";s:12:"rawurlencode";s:8:"ui class";s:14:"RulesDataUIURI";s:10:"token type";s:9:"rules_uri";s:6:"module";s:5:"rules";}s:4:"list";a:4:{s:5:"label";s:4:"list";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:6:"module";s:5:"rules";}s:10:"list<text>";a:5:{s:5:"label";s:12:"list of text";s:8:"ui class";s:19:"RulesDataUIListText";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:6:"module";s:5:"rules";}s:13:"list<integer>";a:5:{s:5:"label";s:15:"list of integer";s:8:"ui class";s:22:"RulesDataUIListInteger";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:6:"module";s:5:"rules";}s:11:"list<token>";a:5:{s:5:"label";s:19:"list of text tokens";s:8:"ui class";s:20:"RulesDataUIListToken";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:6:"module";s:5:"rules";}s:6:"entity";a:4:{s:5:"label";s:10:"any entity";s:5:"group";s:6:"Entity";s:10:"is wrapped";b:1;s:6:"module";s:5:"rules";}s:10:"ip_address";a:5:{s:5:"label";s:10:"IP Address";s:6:"parent";s:4:"text";s:8:"ui class";s:20:"RulesDataUIIPAddress";s:10:"token type";s:10:"rules_text";s:6:"module";s:5:"rules";}s:7:"comment";a:6:{s:5:"label";s:7:"comment";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:15:"commerce_coupon";a:6:{s:5:"label";s:15:"commerce Coupon";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:20:"commerce_coupon_type";a:6:{s:5:"label";s:20:"commerce Coupon Type";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:23:"RulesDataUIBundleEntity";s:6:"module";s:5:"rules";}s:25:"commerce_customer_profile";a:6:{s:5:"label";s:25:"commerce Customer profile";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:18:"commerce_line_item";a:6:{s:5:"label";s:18:"commerce Line item";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:14:"commerce_order";a:6:{s:5:"label";s:14:"commerce Order";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:28:"commerce_payment_transaction";a:6:{s:5:"label";s:28:"commerce Payment transaction";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:16:"commerce_product";a:6:{s:5:"label";s:16:"commerce Product";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:4:"node";a:6:{s:5:"label";s:4:"node";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:4:"file";a:6:{s:5:"label";s:4:"file";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:13:"taxonomy_term";a:6:{s:5:"label";s:13:"taxonomy term";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:19:"taxonomy_vocabulary";a:7:{s:5:"label";s:19:"taxonomy vocabulary";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:29:"RulesDataUITaxonomyVocabulary";s:13:"wrapper class";s:30:"RulesTaxonomyVocabularyWrapper";s:6:"module";s:5:"rules";}s:4:"user";a:6:{s:5:"label";s:4:"user";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:15:"wysiwyg_profile";a:6:{s:5:"label";s:15:"wysiwyg profile";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:17:"RulesDataUIEntity";s:6:"module";s:5:"rules";}s:12:"rules_config";a:6:{s:5:"label";s:19:"rules configuration";s:6:"parent";s:6:"entity";s:4:"wrap";b:1;s:5:"group";s:6:"Entity";s:8:"ui class";s:27:"RulesDataUIEntityExportable";s:6:"module";s:5:"rules";}s:31:"list<commerce_payment_settings>";a:3:{s:5:"label";s:30:"list of Payment settings items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:20:"list<commerce_price>";a:3:{s:5:"label";s:19:"list of price items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:15:"list<log_entry>";a:3:{s:5:"label";s:32:"list of watchdog log entry items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:20:"list<text_formatted>";a:3:{s:5:"label";s:28:"list of formatted text items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:13:"list<decimal>";a:3:{s:5:"label";s:28:"list of decimal number items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:10:"list<date>";a:3:{s:5:"label";s:18:"list of date items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:14:"list<duration>";a:3:{s:5:"label";s:22:"list of duration items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:13:"list<boolean>";a:3:{s:5:"label";s:25:"list of truth value items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:9:"list<uri>";a:3:{s:5:"label";s:17:"list of URI items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:10:"list<list>";a:3:{s:5:"label";s:18:"list of list items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:12:"list<entity>";a:3:{s:5:"label";s:24:"list of any entity items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:16:"list<ip_address>";a:3:{s:5:"label";s:24:"list of IP Address items";s:4:"wrap";b:1;s:5:"group";s:4:"List";}s:13:"list<comment>";a:4:{s:5:"label";s:21:"list of comment items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:21:"list<commerce_coupon>";a:4:{s:5:"label";s:29:"list of commerce Coupon items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:26:"list<commerce_coupon_type>";a:4:{s:5:"label";s:34:"list of commerce Coupon Type items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:31:"list<commerce_customer_profile>";a:4:{s:5:"label";s:39:"list of commerce Customer profile items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:24:"list<commerce_line_item>";a:4:{s:5:"label";s:32:"list of commerce Line item items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:20:"list<commerce_order>";a:4:{s:5:"label";s:28:"list of commerce Order items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:34:"list<commerce_payment_transaction>";a:4:{s:5:"label";s:42:"list of commerce Payment transaction items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:22:"list<commerce_product>";a:4:{s:5:"label";s:30:"list of commerce Product items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:10:"list<node>";a:4:{s:5:"label";s:18:"list of node items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:10:"list<file>";a:4:{s:5:"label";s:18:"list of file items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:19:"list<taxonomy_term>";a:4:{s:5:"label";s:27:"list of taxonomy term items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:25:"list<taxonomy_vocabulary>";a:4:{s:5:"label";s:33:"list of taxonomy vocabulary items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:10:"list<user>";a:4:{s:5:"label";s:18:"list of user items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:21:"list<wysiwyg_profile>";a:4:{s:5:"label";s:29:"list of wysiwyg profile items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}s:18:"list<rules_config>";a:4:{s:5:"label";s:33:"list of rules configuration items";s:4:"wrap";b:1;s:5:"group";s:4:"List";s:8:"ui class";s:21:"RulesDataUIListEntity";}}s:11:"plugin_info";a:10:{s:9:"condition";a:4:{s:5:"class";s:14:"RulesCondition";s:10:"embeddable";s:23:"RulesConditionContainer";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:15:{s:7:"execute";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:8:"validate";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:7:"process";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:10:"info_alter";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:6:"access";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:12:"dependencies";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:10:"form_alter";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:10:"assertions";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:15:"features_export";a:1:{i:0;s:47:"rules_features_abstract_default_features_export";}s:4:"form";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:13:"form_validate";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:11:"form_submit";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:12:"buildContent";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:4:"help";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:10:"operations";a:1:{i:1;s:21:"RulesAbstractPluginUI";}}i:1;a:0:{}i:2;a:4:{s:24:"RulesPluginImplInterface";s:24:"RulesPluginImplInterface";s:27:"RulesPluginHandlerInterface";s:27:"RulesPluginHandlerInterface";s:38:"RulesPluginFeaturesIntegrationInterace";s:38:"RulesPluginFeaturesIntegrationInterace";s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:6:"action";a:4:{s:5:"class";s:11:"RulesAction";s:10:"embeddable";s:20:"RulesActionContainer";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:15:{s:7:"execute";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:8:"validate";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:7:"process";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:10:"info_alter";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:6:"access";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:12:"dependencies";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:10:"form_alter";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:10:"assertions";a:1:{i:1;s:27:"RulesAbstractPluginDefaults";}s:15:"features_export";a:1:{i:0;s:47:"rules_features_abstract_default_features_export";}s:4:"form";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:13:"form_validate";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:11:"form_submit";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:12:"buildContent";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:4:"help";a:1:{i:1;s:21:"RulesAbstractPluginUI";}s:10:"operations";a:1:{i:1;s:21:"RulesAbstractPluginUI";}}i:1;a:0:{}i:2;a:4:{s:24:"RulesPluginImplInterface";s:24:"RulesPluginImplInterface";s:27:"RulesPluginHandlerInterface";s:27:"RulesPluginHandlerInterface";s:38:"RulesPluginFeaturesIntegrationInterace";s:38:"RulesPluginFeaturesIntegrationInterace";s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:2:"or";a:6:{s:5:"label";s:18:"Condition set (OR)";s:5:"class";s:7:"RulesOr";s:10:"embeddable";s:23:"RulesConditionContainer";s:9:"component";b:1;s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:13:"form_validate";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:11:"form_submit";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:12:"buildContent";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:4:"help";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:10:"operations";a:1:{i:1;s:25:"RulesConditionContainerUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:3:"and";a:6:{s:5:"label";s:19:"Condition set (AND)";s:5:"class";s:8:"RulesAnd";s:10:"embeddable";s:23:"RulesConditionContainer";s:9:"component";b:1;s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:13:"form_validate";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:11:"form_submit";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:12:"buildContent";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:4:"help";a:1:{i:1;s:25:"RulesConditionContainerUI";}s:10:"operations";a:1:{i:1;s:25:"RulesConditionContainerUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:10:"action set";a:6:{s:5:"label";s:10:"Action set";s:5:"class";s:14:"RulesActionSet";s:10:"embeddable";b:0;s:9:"component";b:1;s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:22:"RulesActionContainerUI";}s:13:"form_validate";a:1:{i:1;s:22:"RulesActionContainerUI";}s:11:"form_submit";a:1:{i:1;s:22:"RulesActionContainerUI";}s:12:"buildContent";a:1:{i:1;s:22:"RulesActionContainerUI";}s:4:"help";a:1:{i:1;s:22:"RulesActionContainerUI";}s:10:"operations";a:1:{i:1;s:22:"RulesActionContainerUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:4:"rule";a:6:{s:5:"label";s:4:"Rule";s:5:"class";s:4:"Rule";s:10:"embeddable";s:12:"RulesRuleSet";s:9:"component";b:1;s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:11:"RulesRuleUI";}s:13:"form_validate";a:1:{i:1;s:11:"RulesRuleUI";}s:11:"form_submit";a:1:{i:1;s:11:"RulesRuleUI";}s:12:"buildContent";a:1:{i:1;s:11:"RulesRuleUI";}s:4:"help";a:1:{i:1;s:11:"RulesRuleUI";}s:10:"operations";a:1:{i:1;s:11:"RulesRuleUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:4:"loop";a:4:{s:5:"class";s:9:"RulesLoop";s:10:"embeddable";s:20:"RulesActionContainer";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:11:"RulesLoopUI";}s:13:"form_validate";a:1:{i:1;s:11:"RulesLoopUI";}s:11:"form_submit";a:1:{i:1;s:11:"RulesLoopUI";}s:12:"buildContent";a:1:{i:1;s:11:"RulesLoopUI";}s:4:"help";a:1:{i:1;s:11:"RulesLoopUI";}s:10:"operations";a:1:{i:1;s:11:"RulesLoopUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:13:"reaction rule";a:4:{s:5:"class";s:17:"RulesReactionRule";s:10:"embeddable";b:0;s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:19:"RulesReactionRuleUI";}s:13:"form_validate";a:1:{i:1;s:19:"RulesReactionRuleUI";}s:11:"form_submit";a:1:{i:1;s:19:"RulesReactionRuleUI";}s:12:"buildContent";a:1:{i:1;s:19:"RulesReactionRuleUI";}s:4:"help";a:1:{i:1;s:19:"RulesReactionRuleUI";}s:10:"operations";a:1:{i:1;s:19:"RulesReactionRuleUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}s:9:"event set";a:3:{s:5:"class";s:13:"RulesEventSet";s:10:"embeddable";b:0;s:6:"module";s:5:"rules";}s:8:"rule set";a:6:{s:5:"label";s:8:"Rule set";s:5:"class";s:12:"RulesRuleSet";s:9:"component";b:1;s:10:"embeddable";b:0;s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{i:0;a:6:{s:4:"form";a:1:{i:1;s:14:"RulesRuleSetUI";}s:13:"form_validate";a:1:{i:1;s:14:"RulesRuleSetUI";}s:11:"form_submit";a:1:{i:1;s:14:"RulesRuleSetUI";}s:12:"buildContent";a:1:{i:1;s:14:"RulesRuleSetUI";}s:4:"help";a:1:{i:1;s:14:"RulesRuleSetUI";}s:10:"operations";a:1:{i:1;s:14:"RulesRuleSetUI";}}i:1;a:0:{}i:2;a:1:{s:22:"RulesPluginUIInterface";s:22:"RulesPluginUIInterface";}}}}s:14:"condition_info";a:29:{s:22:"commerce_order_is_cart";a:6:{s:5:"label";s:24:"Order is a shopping cart";s:9:"parameter";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";}}s:5:"group";s:13:"Commerce Cart";s:6:"module";s:13:"commerce_cart";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:33:"commerce_cart_rules_order_is_cart";}}i:1;a:1:{s:7:"execute";s:19:"commerce_cart.rules";}}}}s:30:"commerce_order_compare_address";a:6:{s:5:"label";s:34:"Order address component comparison";s:9:"parameter";a:5:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:11:"description";s:72:"The order containing the profile reference with the address in question.";}s:13:"address_field";a:5:{s:4:"type";s:4:"text";s:5:"label";s:7:"Address";s:12:"options list";s:41:"commerce_order_address_field_options_list";s:11:"description";s:75:"The address associated with this order whose component you want to compare.";s:11:"restriction";s:5:"input";}s:17:"address_component";a:5:{s:4:"type";s:4:"text";s:5:"label";s:17:"Address component";s:12:"options list";s:45:"commerce_order_address_component_options_list";s:11:"description";s:110:"The actual address component you want to compare. Common names of address components are given in parentheses.";s:11:"restriction";s:5:"input";}s:8:"operator";a:7:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:24:"The comparison operator.";s:8:"optional";b:1;s:13:"default value";s:6:"equals";s:12:"options list";s:55:"commerce_order_address_comparison_operator_options_list";s:11:"restriction";s:5:"input";}s:5:"value";a:3:{s:4:"type";s:4:"text";s:5:"label";s:5:"Value";s:11:"description";s:349:"The value to compare against the address component. Bear in mind that addresses using select lists for various components may use a value different from the option you select. For example, countries are selected by name, but the value is the two letter abbreviation. For comparisons with multiple possible values, place separate values on new lines.";}}s:5:"group";s:14:"Commerce Order";s:6:"module";s:14:"commerce_order";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:36:"commerce_order_rules_compare_address";}}i:1;a:1:{s:7:"execute";s:20:"commerce_order.rules";}}}}s:31:"commerce_order_contains_product";a:6:{s:5:"label";s:35:"Order contains a particular product";s:9:"parameter";a:4:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:11:"description";s:171:"The order whose line items should be checked for the specified product. If the specified order does not exist, the comparison will act as if it is against a quantity of 0.";}s:10:"product_id";a:3:{s:4:"type";s:4:"text";s:5:"label";s:11:"Product SKU";s:11:"description";s:48:"The SKU of the product to look for on the order.";}s:8:"operator";a:6:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:110:"The operator used with the quantity value below to compare the quantity of the specified product on the order.";s:13:"default value";s:2:">=";s:12:"options list";s:49:"commerce_numeric_comparison_operator_options_list";s:11:"restriction";s:5:"input";}s:5:"value";a:4:{s:4:"type";s:4:"text";s:5:"label";s:8:"Quantity";s:13:"default value";s:1:"1";s:11:"description";s:80:"The value to compare against the quantity of the specified product on the order.";}}s:5:"group";s:14:"Commerce Order";s:6:"module";s:14:"commerce_order";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:37:"commerce_order_rules_contains_product";}}i:1;a:1:{s:7:"execute";s:20:"commerce_order.rules";}}}}s:36:"commerce_order_contains_product_type";a:6:{s:5:"label";s:51:"Order contains products of particular product types";s:9:"parameter";a:4:{s:14:"commerce_order";a:3:{s:5:"label";s:5:"Order";s:4:"type";s:14:"commerce_order";s:11:"description";s:176:"The order whose line items should be checked for the specified product type. If the specified order does not exist, the comparison will act as if it is against a quantity of 0.";}s:12:"product_type";a:4:{s:5:"label";s:15:"Product type(s)";s:4:"type";s:10:"list<text>";s:11:"description";s:45:"The product type(s) to look for in the order.";s:12:"options list";s:34:"commerce_product_type_options_list";}s:8:"operator";a:6:{s:5:"label";s:8:"Operator";s:4:"type";s:4:"text";s:11:"description";s:144:"The operator used with the quantity value below to compare against the quantity of products matching the specified product type(s) on the order.";s:13:"default value";s:2:">=";s:12:"options list";s:49:"commerce_numeric_comparison_operator_options_list";s:11:"restriction";s:5:"input";}s:5:"value";a:4:{s:5:"label";s:8:"Quantity";s:4:"type";s:4:"text";s:13:"default value";s:1:"1";s:11:"description";s:100:"The value to compare against the quantity of products of the specified product type(s) on the order.";}}s:5:"group";s:14:"Commerce Order";s:6:"module";s:14:"commerce_order";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:42:"commerce_order_rules_contains_product_type";}}i:1;a:1:{s:7:"execute";s:20:"commerce_order.rules";}}}}s:45:"commerce_order_compare_total_product_quantity";a:6:{s:5:"label";s:33:"Total product quantity comparison";s:9:"parameter";a:3:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:11:"description";s:164:"The order whose product line item quantities should be totalled. If the specified order does not exist, the comparison will act as if it is against a quantity of 0.";}s:8:"operator";a:6:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:81:"The comparison operator to use against the total number of products on the order.";s:13:"default value";s:2:">=";s:12:"options list";s:49:"commerce_numeric_comparison_operator_options_list";s:11:"restriction";s:5:"input";}s:5:"value";a:4:{s:4:"type";s:4:"text";s:5:"label";s:8:"Quantity";s:13:"default value";i:1;s:11:"description";s:73:"The value to compare against the total quantity of products on the order.";}}s:5:"group";s:14:"Commerce Order";s:6:"module";s:14:"commerce_order";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:43:"commerce_order_rules_compare_total_quantity";}}i:1;a:1:{s:7:"execute";s:20:"commerce_order.rules";}}}}s:41:"commerce_payment_order_balance_comparison";a:6:{s:5:"label";s:24:"Order balance comparison";s:9:"parameter";a:3:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:11:"description";s:107:"The order whose balance should be compared (calculated as the order total minus completed payment amounts).";}s:8:"operator";a:7:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:24:"The comparison operator.";s:8:"optional";b:1;s:13:"default value";s:2:"<=";s:12:"options list";s:49:"commerce_numeric_comparison_operator_options_list";s:11:"restriction";s:5:"input";}s:5:"value";a:4:{s:4:"type";s:4:"text";s:5:"label";s:5:"Value";s:11:"description";s:160:"Integer representing a value in minor currency units to compare against, such as 1000 for $10. A balance of 0 or less indicates the order has been paid in full.";s:13:"default value";s:1:"0";}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:38:"commerce_payment_rules_compare_balance";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:40:"commerce_payment_selected_payment_method";a:6:{s:5:"label";s:34:"Selected payment method comparison";s:9:"parameter";a:2:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:11:"description";s:103:"The order whose selected payment method (if any) should be compared against the method specified below.";}s:9:"method_id";a:5:{s:4:"type";s:4:"text";s:5:"label";s:14:"Payment method";s:11:"description";s:150:"This condition will perform a simple equivalency check to see if the payment method you specify matches what a customer selected on the checkout form.";s:12:"options list";s:50:"commerce_payment_rules_payment_method_options_list";s:11:"restriction";s:5:"input";}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:54:"commerce_payment_rules_compare_selected_payment_method";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:28:"commerce_price_compare_price";a:6:{s:5:"label";s:16:"Price comparison";s:9:"parameter";a:3:{s:11:"first_price";a:4:{s:4:"type";s:14:"commerce_price";s:5:"label";s:11:"First Price";s:11:"description";s:40:"The price value that should be compared.";s:12:"default mode";s:8:"selector";}s:8:"operator";a:7:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:24:"The comparison operator.";s:8:"optional";b:1;s:13:"default value";s:1:"=";s:12:"options list";s:49:"commerce_numeric_comparison_operator_options_list";s:11:"restriction";s:5:"input";}s:12:"second_price";a:3:{s:4:"type";s:14:"commerce_price";s:5:"label";s:12:"Second Price";s:11:"description";s:62:"The corresponding price value that should be compared against.";}}s:5:"group";s:14:"Commerce Price";s:6:"module";s:14:"commerce_price";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:34:"commerce_price_rules_compare_price";}}i:1;a:1:{s:7:"execute";s:20:"commerce_price.rules";}}}}s:37:"commerce_stock_order_has_out_of_stock";a:6:{s:5:"label";s:40:"Order has products that are out of stock";s:9:"parameter";a:1:{s:5:"order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";}}s:5:"group";s:14:"Commerce Stock";s:6:"module";s:14:"commerce_stock";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:43:"commerce_stock_rules_order_has_out_of_stock";}}i:1;a:1:{s:7:"execute";s:20:"commerce_stock.rules";}}}}s:41:"commerce_stock_stock_enabled_on_line_item";a:6:{s:5:"label";s:73:"Line item has a product of product type that has stock management enabled";s:9:"parameter";a:1:{s:16:"commerce_product";a:2:{s:4:"type";s:16:"commerce_product";s:5:"label";s:7:"product";}}s:5:"group";s:14:"Commerce Stock";s:6:"module";s:14:"commerce_stock";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:40:"commerce_stock_line_item_product_enabled";}}i:1;a:0:{}}}}s:44:"views_bulk_operations_condition_result_count";a:6:{s:5:"label";s:46:"Check number of results returned by a VBO View";s:9:"parameter";a:3:{s:4:"view";a:5:{s:4:"type";s:4:"text";s:5:"label";s:16:"View and display";s:12:"options list";s:32:"views_bulk_operations_views_list";s:11:"description";s:49:"Select the VBO view and display you want to check";s:11:"restriction";s:5:"input";}s:4:"args";a:4:{s:4:"type";s:4:"text";s:5:"label";s:9:"Arguments";s:11:"description";s:98:"Any arguments to pass to the view, one per line.\n          You may use token replacement patterns.";s:8:"optional";b:1;}s:7:"minimum";a:3:{s:4:"type";s:7:"integer";s:5:"label";s:25:"Minimum number of results";s:11:"description";s:91:"This condition returns TRUE if the view has at\n          least the given number of results.";}}s:5:"group";s:21:"Views Bulk Operations";s:6:"module";s:21:"views_bulk_operations";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:44:"views_bulk_operations_condition_result_count";}}i:1;a:1:{s:7:"execute";s:27:"views_bulk_operations.rules";}}}}s:7:"data_is";a:6:{s:5:"label";s:15:"Data comparison";s:9:"parameter";a:3:{s:4:"data";a:4:{s:4:"type";s:1:"*";s:5:"label";s:15:"Data to compare";s:11:"description";s:85:"The data to be compared, specified by using a data selector, e.g. "node:author:name".";s:10:"allow null";b:1;}s:2:"op";a:7:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:24:"The comparison operator.";s:8:"optional";b:1;s:13:"default value";s:2:"==";s:12:"options list";s:40:"rules_condition_data_is_operator_options";s:11:"restriction";s:5:"input";}s:5:"value";a:4:{s:4:"type";s:1:"*";s:5:"label";s:10:"Data value";s:11:"description";s:35:"The value to compare the data with.";s:10:"allow null";b:1;}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:2:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:23:"rules_condition_data_is";}s:10:"info_alter";a:1:{i:0;s:34:"rules_condition_data_is_info_alter";}s:10:"form_alter";a:1:{i:0;s:34:"rules_condition_data_is_form_alter";}s:10:"assertions";a:1:{i:0;s:34:"rules_condition_data_is_assertions";}}i:1;a:4:{s:7:"execute";s:17:"modules/data.eval";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";s:10:"assertions";s:18:"modules/data.rules";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:4:"help";a:1:{i:0;s:28:"rules_condition_data_is_help";}}i:1;a:1:{s:4:"help";s:18:"modules/data.rules";}}}}s:13:"data_is_empty";a:6:{s:5:"label";s:19:"Data value is empty";s:9:"parameter";a:1:{s:4:"data";a:5:{s:4:"type";s:1:"*";s:5:"label";s:13:"Data to check";s:11:"description";s:96:"The data to be checked to be empty, specified by using a data selector, e.g. "node:author:name".";s:10:"allow null";b:1;s:7:"wrapped";b:1;}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:29:"rules_condition_data_is_empty";}}i:1;a:1:{s:7:"execute";s:17:"modules/data.eval";}}}}s:13:"list_contains";a:6:{s:5:"label";s:18:"List contains item";s:9:"parameter";a:2:{s:4:"list";a:3:{s:4:"type";s:4:"list";s:5:"label";s:4:"List";s:11:"restriction";s:8:"selector";}s:4:"item";a:3:{s:4:"type";s:7:"unknown";s:5:"label";s:4:"Item";s:11:"description";s:22:"The item to check for.";}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:3:{s:7:"execute";a:1:{i:0;s:34:"rules_condition_data_list_contains";}s:10:"info_alter";a:1:{i:0;s:26:"rules_data_list_info_alter";}s:10:"form_alter";a:1:{i:0;s:26:"rules_data_list_form_alter";}}i:1;a:3:{s:7:"execute";s:17:"modules/data.eval";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:13:"list_count_is";a:6:{s:5:"label";s:21:"List count comparison";s:9:"parameter";a:3:{s:4:"list";a:3:{s:4:"type";s:4:"list";s:5:"label";s:13:"List to check";s:11:"description";s:112:"A multi value data element to have its count compared, specified by using a data selector, eg node:author:roles.";}s:2:"op";a:7:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:24:"The comparison operator.";s:8:"optional";b:1;s:13:"default value";s:2:"==";s:12:"options list";s:51:"rules_condition_data_list_count_is_operator_options";s:11:"restriction";s:5:"input";}s:5:"value";a:3:{s:4:"type";s:7:"integer";s:5:"label";s:5:"Count";s:11:"description";s:41:"The count to compare the data count with.";}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:34:"rules_condition_data_list_count_is";}}i:1;a:1:{s:7:"execute";s:17:"modules/data.eval";}}}}s:12:"text_matches";a:6:{s:5:"label";s:15:"Text comparison";s:9:"parameter";a:3:{s:4:"text";a:3:{s:4:"type";s:4:"text";s:5:"label";s:4:"Text";s:11:"restriction";s:8:"selector";}s:5:"match";a:2:{s:4:"type";s:4:"text";s:5:"label";s:13:"Matching text";}s:9:"operation";a:7:{s:4:"type";s:4:"text";s:5:"label";s:20:"Comparison operation";s:12:"options list";s:41:"rules_data_text_comparison_operation_list";s:11:"restriction";s:5:"input";s:13:"default value";s:8:"contains";s:8:"optional";b:1;s:11:"description";s:354:"In case the comparison operation regular expression is selected, the matching pattern will be interpreted as a <a href="http://en.wikipedia.org/wiki/Regular_expression">regular expression</a>.  Tip: <a href="http://gskinner.com/RegExr/">RegExr: Online Regular Expression Testing Tool</a> is helpful for learning, writing, and testing Regular Expressions.";}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:26:"rules_data_text_comparison";}}i:1;a:1:{s:7:"execute";s:17:"modules/data.eval";}}}}s:13:"entity_is_new";a:6:{s:5:"label";s:13:"Entity is new";s:9:"parameter";a:1:{s:6:"entity";a:4:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:57:"Specifies the entity for which to evaluate the condition.";s:11:"restriction";s:8:"selector";}}s:5:"group";s:8:"Entities";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:2:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:29:"rules_condition_entity_is_new";}}i:1;a:1:{s:7:"execute";s:19:"modules/entity.eval";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:4:"help";a:1:{i:0;s:34:"rules_condition_entity_is_new_help";}}i:1;a:1:{s:4:"help";s:20:"modules/entity.rules";}}}}s:16:"entity_has_field";a:6:{s:5:"label";s:16:"Entity has field";s:9:"parameter";a:2:{s:6:"entity";a:4:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:57:"Specifies the entity for which to evaluate the condition.";s:11:"restriction";s:8:"selector";}s:5:"field";a:5:{s:4:"type";s:4:"text";s:5:"label";s:5:"Field";s:11:"description";s:35:"The name of the field to check for.";s:12:"options list";s:40:"rules_condition_entity_has_field_options";s:11:"restriction";s:5:"input";}}s:5:"group";s:8:"Entities";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:32:"rules_condition_entity_has_field";}s:10:"assertions";a:1:{i:0;s:43:"rules_condition_entity_has_field_assertions";}}i:1;a:2:{s:7:"execute";s:19:"modules/entity.eval";s:10:"assertions";s:20:"modules/entity.rules";}}}}s:17:"entity_is_of_type";a:6:{s:5:"label";s:17:"Entity is of type";s:9:"parameter";a:2:{s:6:"entity";a:3:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:57:"Specifies the entity for which to evaluate the condition.";}s:4:"type";a:5:{s:4:"type";s:5:"token";s:5:"label";s:11:"Entity type";s:11:"description";s:29:"The entity type to check for.";s:12:"options list";s:32:"rules_entity_action_type_options";s:11:"restriction";s:5:"input";}}s:5:"group";s:8:"Entities";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:33:"rules_condition_entity_is_of_type";}s:10:"assertions";a:1:{i:0;s:44:"rules_condition_entity_is_of_type_assertions";}}i:1;a:2:{s:7:"execute";s:19:"modules/entity.eval";s:10:"assertions";s:20:"modules/entity.rules";}}}}s:19:"entity_is_of_bundle";a:6:{s:5:"label";s:19:"Entity is of bundle";s:9:"parameter";a:3:{s:6:"entity";a:3:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:57:"Specifies the entity for which to evaluate the condition.";}s:4:"type";a:5:{s:4:"type";s:5:"token";s:5:"label";s:11:"Entity type";s:11:"description";s:31:"The type of the checked entity.";s:12:"options list";s:32:"rules_entity_action_type_options";s:11:"restriction";s:5:"input";}s:6:"bundle";a:5:{s:4:"type";s:10:"list<text>";s:5:"label";s:13:"Entity bundle";s:11:"description";s:69:"The condition is met if the entity is of one of the selected bundles.";s:12:"options list";s:27:"rules_entity_bundle_options";s:11:"restriction";s:5:"input";}}s:5:"group";s:8:"Entities";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:35:"rules_condition_entity_is_of_bundle";}s:7:"process";a:1:{i:0;s:43:"rules_condition_entity_is_of_bundle_process";}s:10:"form_alter";a:1:{i:0;s:46:"rules_condition_entity_is_of_bundle_form_alter";}s:10:"assertions";a:1:{i:0;s:46:"rules_condition_entity_is_of_bundle_assertions";}}i:1;a:4:{s:7:"execute";s:19:"modules/entity.eval";s:7:"process";s:20:"modules/entity.rules";s:10:"form_alter";s:20:"modules/entity.rules";s:10:"assertions";s:20:"modules/entity.rules";}}}}s:19:"entity_field_access";a:6:{s:5:"label";s:21:"User has field access";s:9:"parameter";a:4:{s:6:"entity";a:5:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:57:"Specifies the entity for which to evaluate the condition.";s:11:"restriction";s:8:"selector";s:7:"wrapped";b:1;}s:5:"field";a:5:{s:4:"type";s:5:"token";s:5:"label";s:10:"Field name";s:11:"description";s:35:"The name of the field to check for.";s:12:"options list";s:40:"rules_condition_entity_has_field_options";s:11:"restriction";s:5:"input";}s:2:"op";a:6:{s:4:"type";s:4:"text";s:5:"label";s:16:"Access operation";s:12:"options list";s:46:"rules_condition_entity_field_access_op_options";s:11:"restriction";s:5:"input";s:8:"optional";b:1;s:13:"default value";s:4:"view";}s:7:"account";a:6:{s:4:"type";s:4:"user";s:5:"label";s:12:"User account";s:11:"description";s:111:"Specifies the user account for which to check access. If left empty, the currently logged in user will be used.";s:11:"restriction";s:8:"selector";s:8:"optional";b:1;s:13:"default value";N;}}s:5:"group";s:8:"Entities";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:35:"rules_condition_entity_field_access";}}i:1;a:1:{s:7:"execute";s:19:"modules/entity.eval";}}}}s:13:"user_has_role";a:7:{s:5:"label";s:16:"User has role(s)";s:9:"parameter";a:3:{s:7:"account";a:2:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";}s:5:"roles";a:3:{s:4:"type";s:13:"list<integer>";s:5:"label";s:5:"Roles";s:12:"options list";s:29:"rules_user_roles_options_list";}s:9:"operation";a:7:{s:4:"type";s:4:"text";s:5:"label";s:11:"Match roles";s:12:"options list";s:31:"rules_user_condition_operations";s:11:"restriction";s:5:"input";s:8:"optional";b:1;s:13:"default value";s:3:"AND";s:11:"description";s:91:"If matching against all selected roles, the user must have <em>all</em> the roles selected.";}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:2:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:29:"rules_condition_user_has_role";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:4:"help";a:1:{i:0;s:34:"rules_condition_user_has_role_help";}}i:1;a:1:{s:4:"help";s:18:"modules/user.rules";}}}}s:15:"user_is_blocked";a:7:{s:5:"label";s:15:"User is blocked";s:9:"parameter";a:1:{s:7:"account";a:2:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:31:"rules_condition_user_is_blocked";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}}}s:8:"php_eval";a:7:{s:5:"label";s:23:"Execute custom PHP code";s:5:"group";s:3:"PHP";s:9:"parameter";a:1:{s:4:"code";a:4:{s:11:"restriction";s:5:"input";s:4:"type";s:4:"text";s:5:"label";s:8:"PHP code";s:11:"description";s:132:"Enter PHP code without &lt;?php ?&gt; delimiters that returns a boolean value; e.g. <code>return arg(0) == &#039;node&#039;;</code>.";}}s:15:"access callback";s:28:"rules_php_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:22:"rules_execute_php_eval";}s:7:"process";a:1:{i:0;s:30:"rules_execute_php_eval_process";}s:12:"dependencies";a:1:{i:0;s:35:"rules_execute_php_eval_dependencies";}s:10:"form_alter";a:1:{i:0;s:33:"rules_execute_php_eval_form_alter";}}i:1;a:4:{s:7:"execute";s:16:"modules/php.eval";s:7:"process";s:17:"modules/php.rules";s:12:"dependencies";s:17:"modules/php.rules";s:10:"form_alter";s:17:"modules/php.rules";}}}}s:15:"node_is_of_type";a:10:{s:9:"parameter";a:2:{s:4:"node";a:2:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";}s:4:"type";a:5:{s:4:"type";s:10:"list<text>";s:5:"label";s:13:"Content types";s:12:"options list";s:19:"node_type_get_names";s:11:"description";s:33:"The content type(s) to check for.";s:11:"restriction";s:5:"input";}}s:8:"category";s:4:"node";s:15:"access callback";s:29:"rules_node_integration_access";s:4:"name";s:15:"node_is_of_type";s:5:"label";s:18:"Content is of type";s:4:"help";s:79:"Evaluates to TRUE if the given content is of one of the selected content types.";s:5:"class";s:22:"RulesNodeConditionType";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:0:{}}s:17:"node_is_published";a:9:{s:9:"parameter";a:1:{s:4:"node";a:2:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";}}s:8:"category";s:4:"node";s:15:"access callback";s:29:"rules_node_integration_access";s:4:"name";s:17:"node_is_published";s:5:"label";s:20:"Content is published";s:5:"class";s:27:"RulesNodeConditionPublished";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:0:{}}s:14:"node_is_sticky";a:9:{s:9:"parameter";a:1:{s:4:"node";a:2:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";}}s:8:"category";s:4:"node";s:15:"access callback";s:29:"rules_node_integration_access";s:4:"name";s:14:"node_is_sticky";s:5:"label";s:17:"Content is sticky";s:5:"class";s:24:"RulesNodeConditionSticky";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:0:{}}s:16:"node_is_promoted";a:9:{s:9:"parameter";a:1:{s:4:"node";a:2:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";}}s:8:"category";s:4:"node";s:15:"access callback";s:29:"rules_node_integration_access";s:4:"name";s:16:"node_is_promoted";s:5:"label";s:32:"Content is promoted to frontpage";s:5:"class";s:26:"RulesNodeConditionPromoted";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:0:{}}s:13:"entity_exists";a:6:{s:5:"label";s:25:"Entity exists by property";s:9:"parameter";a:3:{s:4:"type";a:5:{s:4:"type";s:4:"text";s:5:"label";s:11:"Entity type";s:12:"options list";s:33:"commerce_entity_type_options_list";s:11:"description";s:56:"Specifies the type of the entity that should be fetched.";s:11:"restriction";s:5:"input";}s:8:"property";a:4:{s:4:"type";s:4:"text";s:5:"label";s:8:"Property";s:11:"description";s:51:"The property by which the entity is to be selected.";s:11:"restriction";s:5:"input";}s:5:"value";a:3:{s:4:"type";s:4:"text";s:5:"label";s:5:"Value";s:11:"description";s:47:"The property value of the entity to be fetched.";}}s:5:"group";s:8:"Entities";s:6:"module";s:8:"commerce";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:32:"commerce_condition_entity_exists";}s:8:"validate";a:1:{i:0;s:41:"commerce_condition_entity_exists_validate";}s:10:"info_alter";a:1:{i:0;s:43:"commerce_condition_entity_exists_info_alter";}s:10:"form_alter";a:1:{i:0;s:28:"rules_action_type_form_alter";}}i:1;a:3:{s:7:"execute";s:14:"commerce.rules";s:8:"validate";s:14:"commerce.rules";s:10:"info_alter";s:14:"commerce.rules";}}}}}s:11:"action_info";a:68:{s:19:"commerce_cart_empty";a:6:{s:5:"label";s:33:"Remove all products from an order";s:9:"parameter";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:14:"Order to empty";}}s:5:"group";s:13:"Commerce Cart";s:6:"module";s:13:"commerce_cart";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:25:"commerce_cart_rules_empty";}}i:1;a:1:{s:7:"execute";s:19:"commerce_cart.rules";}}}}s:33:"commerce_cart_add_to_cart_message";a:6:{s:5:"label";s:42:"Display a translatable Add to Cart message";s:9:"parameter";a:1:{s:16:"commerce_product";a:2:{s:4:"type";s:16:"commerce_product";s:5:"label";s:25:"Product added to the cart";}}s:5:"group";s:13:"Commerce Cart";s:6:"module";s:13:"commerce_cart";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:39:"commerce_cart_rules_add_to_cart_message";}}i:1;a:1:{s:7:"execute";s:19:"commerce_cart.rules";}}}}s:32:"commerce_cart_product_add_by_sku";a:6:{s:5:"label";s:25:"Add a product to the cart";s:9:"parameter";a:4:{s:4:"user";a:3:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";s:11:"description";s:110:"Specify the user whose shopping cart order the product will be added to, typically <em>site:current-user</em>.";}s:3:"sku";a:3:{s:4:"type";s:4:"text";s:5:"label";s:11:"Product SKU";s:11:"description";s:42:"The SKU of the product to add to the cart.";}s:8:"quantity";a:3:{s:4:"type";s:7:"integer";s:5:"label";s:8:"Quantity";s:13:"default value";i:1;}s:7:"combine";a:4:{s:4:"type";s:7:"boolean";s:5:"label";s:33:"Combine similar items in the cart";s:11:"description";s:129:"If checked, the product will be combined added to an existing similar product line item in the cart by incrementing its quantity.";s:13:"default value";b:1;}}s:5:"group";s:13:"Commerce Cart";s:8:"provides";a:1:{s:21:"product_add_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:23:"Added product line item";}}s:6:"module";s:13:"commerce_cart";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:38:"commerce_cart_rules_product_add_by_sku";}}i:1;a:1:{s:7:"execute";s:19:"commerce_cart.rules";}}}}s:18:"send_account_email";a:7:{s:5:"label";s:19:"Send account e-mail";s:9:"parameter";a:2:{s:7:"account";a:2:{s:4:"type";s:4:"user";s:5:"label";s:7:"Account";}s:10:"email_type";a:4:{s:4:"type";s:4:"text";s:5:"label";s:11:"E-mail type";s:11:"description";s:76:"Select the e-mail based on your site''s account settings to send to the user.";s:12:"options list";s:44:"commerce_checkout_account_email_options_list";}}s:5:"group";s:4:"User";s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:17:"commerce_checkout";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:43:"commerce_checkout_action_send_account_email";}}i:1;a:1:{s:7:"execute";s:23:"commerce_checkout.rules";}}}}s:26:"commerce_checkout_complete";a:6:{s:5:"label";s:30:"Complete checkout for an order";s:9:"parameter";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:17:"Order in checkout";}}s:5:"group";s:17:"Commerce Checkout";s:6:"module";s:17:"commerce_checkout";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:41:"commerce_checkout_rules_complete_checkout";}s:6:"access";a:1:{i:0;s:33:"commerce_checkout_complete_access";}}i:1;a:1:{s:7:"execute";s:23:"commerce_checkout.rules";}}}}s:38:"commerce_coupon_action_is_valid_coupon";a:6:{s:5:"label";s:19:"Set coupon as valid";s:9:"parameter";a:1:{s:8:"override";a:3:{s:4:"type";s:7:"boolean";s:5:"label";s:8:"Override";s:11:"description";s:117:"Normaly the validation result is concatenated by an AND operator. Here you can bypass this and set the value to true.";}}s:5:"group";s:15:"Commerce Coupon";s:6:"module";s:15:"commerce_coupon";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:38:"commerce_coupon_action_is_valid_coupon";}}i:1;a:1:{s:7:"execute";s:21:"commerce_coupon.rules";}}}}s:40:"commerce_coupon_action_is_invalid_coupon";a:6:{s:5:"label";s:21:"Set coupon as invalid";s:5:"group";s:15:"Commerce Coupon";s:6:"module";s:15:"commerce_coupon";s:9:"parameter";a:0:{}s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:40:"commerce_coupon_action_is_invalid_coupon";}}i:1;a:1:{s:7:"execute";s:21:"commerce_coupon.rules";}}}}s:46:"commerce_coupon_action_create_coupon_line_item";a:6:{s:5:"label";s:23:"Create coupon line item";s:9:"parameter";a:5:{s:15:"commerce_coupon";a:2:{s:4:"type";s:15:"commerce_coupon";s:5:"label";s:15:"Commerce Coupon";}s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:14:"commerce order";}s:6:"amount";a:2:{s:4:"type";s:7:"decimal";s:5:"label";s:13:"coupon amount";}s:14:"component_name";a:5:{s:4:"type";s:4:"text";s:5:"label";s:20:"Price component type";s:11:"description";s:528:"Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.";s:12:"options list";s:31:"commerce_price_component_titles";s:13:"default value";s:10:"base_price";}s:13:"currency_code";a:2:{s:4:"type";s:4:"text";s:5:"label";s:27:"coupon amount currency code";}}s:8:"provides";a:1:{s:25:"commerce_coupon_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:25:"commerce coupon line item";}}s:5:"group";s:15:"Commerce Coupon";s:6:"module";s:15:"commerce_coupon";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:46:"commerce_coupon_action_create_coupon_line_item";}}i:1;a:1:{s:7:"execute";s:21:"commerce_coupon.rules";}}}}s:44:"commerce_coupon_action_get_coupons_for_order";a:6:{s:5:"label";s:21:"Get coupons for order";s:9:"parameter";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:14:"Commerce order";}}s:8:"provides";a:1:{s:13:"order_coupons";a:2:{s:4:"type";s:21:"list<commerce_coupon>";s:5:"label";s:30:"Coupons attached to this order";}}s:5:"group";s:15:"Commerce Coupon";s:6:"module";s:15:"commerce_coupon";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:44:"commerce_coupon_action_get_coupons_for_order";}}i:1;a:0:{}}}}s:38:"commerce_coupon_action_get_coupon_uses";a:6:{s:5:"label";s:37:"Get the redemption number of a coupon";s:9:"parameter";a:1:{s:15:"commerce_coupon";a:2:{s:4:"type";s:15:"commerce_coupon";s:5:"label";s:15:"Commerce Coupon";}}s:5:"group";s:15:"Commerce Coupon";s:8:"provides";a:1:{s:14:"number_of_uses";a:2:{s:4:"type";s:7:"integer";s:5:"label";s:14:"number of uses";}}s:6:"module";s:15:"commerce_coupon";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:38:"commerce_coupon_action_get_coupon_uses";}}i:1;a:1:{s:7:"execute";s:21:"commerce_coupon.rules";}}}}s:47:"commerce_coupon_action_remove_coupon_from_order";a:6:{s:5:"label";s:29:"Remove a coupon from an order";s:9:"parameter";a:2:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:14:"Commerce Order";}s:15:"commerce_coupon";a:2:{s:4:"type";s:15:"commerce_coupon";s:5:"label";s:15:"Commerce Coupon";}}s:5:"group";s:15:"Commerce Coupon";s:6:"module";s:15:"commerce_coupon";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:47:"commerce_coupon_action_remove_coupon_from_order";}}i:1;a:1:{s:7:"execute";s:21:"commerce_coupon.rules";}}}}s:52:"commerce_coupon_action_remove_all_coupons_from_order";a:6:{s:5:"label";s:32:"Remove all coupons from an order";s:9:"parameter";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:14:"Commerce Order";}}s:5:"group";s:15:"Commerce Coupon";s:6:"module";s:15:"commerce_coupon";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:52:"commerce_coupon_action_remove_all_coupons_from_order";}}i:1;a:1:{s:7:"execute";s:21:"commerce_coupon.rules";}}}}s:33:"commerce_line_item_unit_price_add";a:6:{s:5:"label";s:31:"Add an amount to the unit price";s:9:"parameter";a:4:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:6:"amount";a:3:{s:4:"type";s:7:"decimal";s:5:"label";s:6:"Amount";s:11:"description";s:50:"Specify a numeric amount to add to the unit price.";}s:14:"component_name";a:5:{s:4:"type";s:4:"text";s:5:"label";s:20:"Price component type";s:11:"description";s:528:"Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.";s:12:"options list";s:47:"commerce_line_item_price_component_options_list";s:13:"default value";s:10:"base_price";}s:10:"round_mode";a:5:{s:4:"type";s:7:"integer";s:5:"label";s:19:"Price rounding mode";s:11:"description";s:65:"Round the resulting price amount after performing this operation.";s:12:"options list";s:32:"commerce_round_mode_options_list";s:13:"default value";i:1;}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:33:"commerce_line_item_unit_price_add";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:38:"commerce_line_item_unit_price_subtract";a:6:{s:5:"label";s:38:"Subtract an amount from the unit price";s:9:"parameter";a:4:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:6:"amount";a:3:{s:4:"type";s:7:"decimal";s:5:"label";s:6:"Amount";s:11:"description";s:52:"Specify a numeric amount to subtract from the price.";}s:14:"component_name";a:5:{s:4:"type";s:4:"text";s:5:"label";s:20:"Price component type";s:11:"description";s:528:"Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.";s:12:"options list";s:47:"commerce_line_item_price_component_options_list";s:13:"default value";s:10:"base_price";}s:10:"round_mode";a:5:{s:4:"type";s:7:"integer";s:5:"label";s:19:"Price rounding mode";s:11:"description";s:65:"Round the resulting price amount after performing this operation.";s:12:"options list";s:32:"commerce_round_mode_options_list";s:13:"default value";i:1;}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:38:"commerce_line_item_unit_price_subtract";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:38:"commerce_line_item_unit_price_multiply";a:6:{s:5:"label";s:38:"Multiply the unit price by some amount";s:9:"parameter";a:4:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:6:"amount";a:3:{s:4:"type";s:7:"decimal";s:5:"label";s:6:"Amount";s:11:"description";s:58:"Specify the numeric amount by which to multiply the price.";}s:14:"component_name";a:5:{s:4:"type";s:4:"text";s:5:"label";s:20:"Price component type";s:11:"description";s:528:"Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.";s:12:"options list";s:47:"commerce_line_item_price_component_options_list";s:13:"default value";s:10:"base_price";}s:10:"round_mode";a:5:{s:4:"type";s:7:"integer";s:5:"label";s:19:"Price rounding mode";s:11:"description";s:65:"Round the resulting price amount after performing this operation.";s:12:"options list";s:32:"commerce_round_mode_options_list";s:13:"default value";i:1;}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:38:"commerce_line_item_unit_price_multiply";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:36:"commerce_line_item_unit_price_divide";a:6:{s:5:"label";s:36:"Divide the unit price by some amount";s:9:"parameter";a:4:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:6:"amount";a:3:{s:4:"type";s:7:"decimal";s:5:"label";s:6:"Amount";s:11:"description";s:54:"Specify a numeric amount by which to divide the price.";}s:14:"component_name";a:5:{s:4:"type";s:4:"text";s:5:"label";s:20:"Price component type";s:11:"description";s:528:"Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.";s:12:"options list";s:47:"commerce_line_item_price_component_options_list";s:13:"default value";s:10:"base_price";}s:10:"round_mode";a:5:{s:4:"type";s:7:"integer";s:5:"label";s:19:"Price rounding mode";s:11:"description";s:65:"Round the resulting price amount after performing this operation.";s:12:"options list";s:32:"commerce_round_mode_options_list";s:13:"default value";i:1;}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:36:"commerce_line_item_unit_price_divide";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:36:"commerce_line_item_unit_price_amount";a:6:{s:5:"label";s:39:"Set the unit price to a specific amount";s:9:"parameter";a:4:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:6:"amount";a:3:{s:4:"type";s:7:"decimal";s:5:"label";s:6:"Amount";s:11:"description";s:47:"Specify the numeric amount to set the price to.";}s:14:"component_name";a:5:{s:4:"type";s:4:"text";s:5:"label";s:20:"Price component type";s:11:"description";s:528:"Price components track changes to prices made during the price calculation process, and they are carried over from the unit price to the total price of a line item. When an order total is calculated, it combines all the components of every line item on the order. When the unit price is altered by this action, the selected type of price component will be added to its data array and reflected in the order total display when it is formatted with components showing. Defaults to base price, which displays as the order Subtotal.";s:12:"options list";s:47:"commerce_line_item_price_component_options_list";s:13:"default value";s:10:"base_price";}s:10:"round_mode";a:5:{s:4:"type";s:7:"integer";s:5:"label";s:19:"Price rounding mode";s:11:"description";s:65:"Round the resulting price amount after performing this operation.";s:12:"options list";s:32:"commerce_round_mode_options_list";s:13:"default value";i:1;}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:36:"commerce_line_item_unit_price_amount";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:43:"commerce_line_item_unit_price_currency_code";a:6:{s:5:"label";s:34:"Set the unit price''s currency code";s:9:"parameter";a:2:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:13:"currency_code";a:3:{s:4:"type";s:4:"text";s:5:"label";s:8:"Currency";s:12:"options list";s:26:"commerce_currency_get_code";}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:43:"commerce_line_item_unit_price_currency_code";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:46:"commerce_line_item_unit_price_currency_convert";a:6:{s:5:"label";s:46:"Convert the unit price to a different currency";s:9:"parameter";a:2:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:13:"currency_code";a:3:{s:4:"type";s:4:"text";s:5:"label";s:8:"Currency";s:12:"options list";s:26:"commerce_currency_get_code";}}s:5:"group";s:18:"Commerce Line Item";s:6:"module";s:18:"commerce_line_item";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:46:"commerce_line_item_unit_price_currency_convert";}}i:1;a:1:{s:7:"execute";s:24:"commerce_line_item.rules";}}}}s:45:"commerce_multicurrency_set_user_currency_code";a:6:{s:5:"label";s:28:"Set the user currency to use";s:9:"parameter";a:2:{s:13:"currency_code";a:4:{s:4:"type";s:4:"text";s:5:"label";s:24:"The currency code to use";s:12:"options list";s:35:"commerce_currency_code_options_list";s:4:"save";b:0;}s:16:"overwrite_cookie";a:5:{s:4:"type";s:7:"boolean";s:5:"label";s:46:"Set currency even if it''s defined in a cookie.";s:8:"optional";b:1;s:13:"default value";b:1;s:4:"save";b:0;}}s:5:"group";s:22:"Commerce Multicurrency";s:6:"module";s:22:"commerce_multicurrency";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:45:"commerce_multicurrency_set_user_currency_code";}}i:1;a:0:{}}}}s:27:"commerce_order_update_state";a:6:{s:5:"label";s:22:"Update the order state";s:9:"parameter";a:2:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:15:"Order to update";}s:11:"order_state";a:4:{s:4:"type";s:4:"text";s:5:"label";s:11:"Order state";s:11:"description";s:73:"Select the order state whose default status the order will be updated to.";s:12:"options list";s:33:"commerce_order_state_options_list";}}s:5:"group";s:14:"Commerce Order";s:6:"module";s:14:"commerce_order";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:33:"commerce_order_rules_update_state";}}i:1;a:1:{s:7:"execute";s:20:"commerce_order.rules";}}}}s:28:"commerce_order_update_status";a:6:{s:5:"label";s:23:"Update the order status";s:9:"parameter";a:2:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:15:"Order to update";}s:12:"order_status";a:3:{s:4:"type";s:4:"text";s:5:"label";s:12:"Order status";s:12:"options list";s:34:"commerce_order_status_options_list";}}s:5:"group";s:14:"Commerce Order";s:6:"module";s:14:"commerce_order";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:34:"commerce_order_rules_update_status";}}i:1;a:1:{s:7:"execute";s:20:"commerce_order.rules";}}}}s:48:"commerce_payment_enable_commerce_payment_example";a:6:{s:5:"label";s:38:"Enable payment method: Example payment";s:9:"parameter";a:2:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:9:"skip save";b:1;}s:14:"payment_method";a:4:{s:4:"type";s:25:"commerce_payment_settings";s:11:"restriction";s:5:"input";s:5:"label";s:16:"Payment settings";s:14:"payment_method";s:24:"commerce_payment_example";}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:30:"commerce_payment_enable_method";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:34:"commerce_payment_enable_paypal_wpp";a:6:{s:5:"label";s:47:"Enable payment method: PayPal WPP - Credit Card";s:9:"parameter";a:2:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:9:"skip save";b:1;}s:14:"payment_method";a:4:{s:4:"type";s:25:"commerce_payment_settings";s:11:"restriction";s:5:"input";s:5:"label";s:16:"Payment settings";s:14:"payment_method";s:10:"paypal_wpp";}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:30:"commerce_payment_enable_method";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:34:"commerce_payment_enable_paypal_wps";a:6:{s:5:"label";s:33:"Enable payment method: PayPal WPS";s:9:"parameter";a:2:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:9:"skip save";b:1;}s:14:"payment_method";a:4:{s:4:"type";s:25:"commerce_payment_settings";s:11:"restriction";s:5:"input";s:5:"label";s:16:"Payment settings";s:14:"payment_method";s:10:"paypal_wps";}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:30:"commerce_payment_enable_method";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:44:"commerce_payment_redirect_pane_previous_page";a:6:{s:5:"label";s:42:"Redirect the checkout to the previous pane";s:9:"parameter";a:1:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:9:"skip save";b:1;}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:50:"commerce_payment_rules_redirect_pane_previous_page";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:40:"commerce_payment_redirect_pane_next_page";a:6:{s:5:"label";s:38:"Redirect the checkout to the next pane";s:9:"parameter";a:1:{s:14:"commerce_order";a:3:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";s:9:"skip save";b:1;}}s:5:"group";s:16:"Commerce Payment";s:6:"module";s:16:"commerce_payment";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:46:"commerce_payment_rules_redirect_pane_next_page";}}i:1;a:1:{s:7:"execute";s:22:"commerce_payment.rules";}}}}s:36:"commerce_stock_decrease_by_line_item";a:6:{s:5:"label";s:51:"Decrease the product stock level, given a line item";s:5:"group";s:14:"Commerce Stock";s:9:"parameter";a:1:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}}s:6:"module";s:14:"commerce_stock";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:36:"commerce_stock_decrease_by_line_item";}}i:1;a:1:{s:7:"execute";s:20:"commerce_stock.rules";}}}}s:34:"commerce_stock_adjust_by_line_item";a:6:{s:5:"label";s:41:"(legacy) Decrease the product stock level";s:5:"group";s:14:"Commerce Stock";s:9:"parameter";a:1:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}}s:6:"module";s:14:"commerce_stock";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:34:"commerce_stock_adjust_by_line_item";}}i:1;a:1:{s:7:"execute";s:20:"commerce_stock.rules";}}}}s:36:"commerce_stock_increase_by_line_item";a:6:{s:5:"label";s:51:"Increase the product stock level, given a line item";s:5:"group";s:14:"Commerce Stock";s:9:"parameter";a:1:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}}s:6:"module";s:14:"commerce_stock";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:36:"commerce_stock_increase_by_line_item";}}i:1;a:1:{s:7:"execute";s:20:"commerce_stock.rules";}}}}s:25:"commerce_tax_remove_taxes";a:6:{s:5:"label";s:35:"Remove taxes applied to a line item";s:9:"parameter";a:3:{s:18:"commerce_line_item";a:5:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";s:7:"wrapped";b:1;s:4:"save";b:1;s:11:"restriction";s:8:"selector";}s:19:"increase_base_price";a:5:{s:4:"type";s:7:"boolean";s:5:"label";s:80:"Increase the base price amount by the amount of display inclusive taxes removed.";s:11:"description";s:142:"If left unchecked, a price of £2.95 including £0.49 VAT will be reduced to £2.46. If checked it will be set to £2.95 with no tax included.";s:13:"default value";b:0;s:11:"restriction";s:5:"input";}s:9:"tax_rates";a:6:{s:4:"type";s:10:"list<text>";s:5:"label";s:48:"Limit removal to only a certain set of tax rates";s:11:"description";s:141:"If no tax rates are selected, all tax rates will be removed from the line item. Use ctrl + click (or command + click) to deselect a tax rate.";s:12:"options list";s:24:"commerce_tax_rate_titles";s:8:"optional";b:1;s:11:"restriction";s:5:"input";}}s:5:"group";s:12:"Commerce Tax";s:6:"module";s:12:"commerce_tax";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:25:"commerce_tax_remove_taxes";}}i:1;a:1:{s:7:"execute";s:18:"commerce_tax.rules";}}}}s:30:"commerce_tax_calculate_by_type";a:6:{s:5:"label";s:31:"Calculate taxes for a line item";s:9:"parameter";a:2:{s:18:"commerce_line_item";a:2:{s:4:"type";s:18:"commerce_line_item";s:5:"label";s:9:"Line item";}s:13:"tax_type_name";a:3:{s:4:"type";s:4:"text";s:5:"label";s:8:"Tax type";s:12:"options list";s:24:"commerce_tax_type_titles";}}s:5:"group";s:12:"Commerce Tax";s:6:"module";s:12:"commerce_tax";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:30:"commerce_tax_calculate_by_type";}}i:1;a:1:{s:7:"execute";s:18:"commerce_tax.rules";}}}}s:48:"commerce_wishlist_action_remove_product_for_user";a:6:{s:5:"label";s:28:"Remove product from wishlist";s:5:"group";s:17:"Commerce Wishlist";s:9:"parameter";a:2:{s:7:"product";a:2:{s:4:"type";s:16:"commerce_product";s:5:"label";s:7:"Product";}s:7:"account";a:2:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";}}s:6:"module";s:17:"commerce_wishlist";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:48:"commerce_wishlist_action_remove_product_for_user";}}i:1;a:1:{s:7:"execute";s:23:"commerce_wishlist.rules";}}}}s:38:"views_bulk_operations_action_load_list";a:6:{s:5:"label";s:46:"Load a list of entity objects from a VBO View.";s:9:"parameter";a:2:{s:4:"view";a:5:{s:4:"type";s:4:"text";s:5:"label";s:16:"View and display";s:12:"options list";s:32:"views_bulk_operations_views_list";s:11:"description";s:71:"Select the view and display you want to use to\n          create a list.";s:11:"restriction";s:5:"input";}s:4:"args";a:4:{s:4:"type";s:4:"text";s:5:"label";s:9:"Arguments";s:11:"description";s:98:"Any arguments to pass to the view, one per line.\n          You may use token replacement patterns.";s:8:"optional";b:1;}}s:8:"provides";a:1:{s:11:"entity_list";a:2:{s:4:"type";s:12:"list<entity>";s:5:"label";s:18:"A list of entities";}}s:5:"group";s:21:"Views Bulk Operations";s:6:"module";s:21:"views_bulk_operations";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:38:"views_bulk_operations_action_load_list";}s:10:"info_alter";a:1:{i:0;s:49:"views_bulk_operations_action_load_list_info_alter";}}i:1;a:2:{s:7:"execute";s:27:"views_bulk_operations.rules";s:10:"info_alter";s:27:"views_bulk_operations.rules";}}}}s:41:"views_bulk_operations_action_load_id_list";a:6:{s:5:"label";s:42:"Load a list of entity ids from a VBO View.";s:9:"parameter";a:2:{s:4:"view";a:5:{s:4:"type";s:4:"text";s:5:"label";s:16:"View and display";s:12:"options list";s:32:"views_bulk_operations_views_list";s:11:"description";s:71:"Select the view and display you want to use to\n          create a list.";s:11:"restriction";s:5:"input";}s:4:"args";a:4:{s:4:"type";s:4:"text";s:5:"label";s:9:"Arguments";s:11:"description";s:98:"Any arguments to pass to the view, one per line.\n          You may use token replacement patterns.";s:8:"optional";b:1;}}s:8:"provides";a:1:{s:14:"entity_id_list";a:2:{s:4:"type";s:13:"list<integer>";s:5:"label";s:20:"A list of entity ids";}}s:5:"group";s:21:"Views Bulk Operations";s:6:"module";s:21:"views_bulk_operations";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:41:"views_bulk_operations_action_load_id_list";}}i:1;a:1:{s:7:"execute";s:27:"views_bulk_operations.rules";}}}}s:8:"data_set";a:6:{s:5:"label";s:16:"Set a data value";s:9:"parameter";a:2:{s:4:"data";a:6:{s:4:"type";s:1:"*";s:5:"label";s:4:"Data";s:11:"description";s:81:"Specifies the data to be modified using a data selector, e.g. "node:author:name".";s:11:"restriction";s:8:"selector";s:7:"wrapped";b:1;s:10:"allow null";b:1;}s:5:"value";a:5:{s:4:"type";s:1:"*";s:5:"label";s:5:"Value";s:11:"description";s:44:"The new value to set for the specified data.";s:10:"allow null";b:1;s:8:"optional";b:1;}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:5:{s:7:"execute";a:1:{i:0;s:21:"rules_action_data_set";}s:8:"validate";a:1:{i:0;s:30:"rules_action_data_set_validate";}s:10:"info_alter";a:1:{i:0;s:32:"rules_action_data_set_info_alter";}s:6:"access";a:1:{i:0;s:28:"rules_action_data_set_access";}s:10:"form_alter";a:1:{i:0;s:32:"rules_action_data_set_form_alter";}}i:1;a:5:{s:7:"execute";s:17:"modules/data.eval";s:8:"validate";s:18:"modules/data.rules";s:10:"info_alter";s:17:"modules/data.eval";s:6:"access";s:18:"modules/data.rules";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:9:"data_calc";a:6:{s:5:"label";s:17:"Calculate a value";s:9:"parameter";a:3:{s:7:"input_1";a:3:{s:4:"type";a:2:{i:0;s:7:"decimal";i:1;s:4:"date";}s:5:"label";s:13:"Input value 1";s:11:"description";s:42:"The first input value for the calculation.";}s:2:"op";a:6:{s:4:"type";s:4:"text";s:5:"label";s:8:"Operator";s:11:"description";s:25:"The calculation operator.";s:12:"options list";s:39:"rules_action_data_calc_operator_options";s:11:"restriction";s:5:"input";s:13:"default value";s:1:"+";}s:7:"input_2";a:3:{s:4:"type";s:7:"decimal";s:5:"label";s:13:"Input value 2";s:11:"description";s:23:"The second input value.";}}s:5:"group";s:4:"Data";s:8:"provides";a:1:{s:6:"result";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:18:"Calculation result";}}s:6:"module";s:5:"rules";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:3:{s:7:"execute";a:1:{i:0;s:22:"rules_action_data_calc";}s:10:"info_alter";a:1:{i:0;s:33:"rules_action_data_calc_info_alter";}s:10:"form_alter";a:1:{i:0;s:33:"rules_action_data_calc_form_alter";}}i:1;a:3:{s:7:"execute";s:17:"modules/data.eval";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:8:"list_add";a:6:{s:5:"label";s:21:"Add an item to a list";s:9:"parameter";a:4:{s:4:"list";a:6:{s:4:"type";s:4:"list";s:5:"label";s:4:"List";s:11:"description";s:47:"The data list, to which an item is to be added.";s:11:"restriction";s:8:"selector";s:10:"allow null";b:1;s:4:"save";b:1;}s:4:"item";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:11:"Item to add";}s:6:"unique";a:5:{s:4:"type";s:7:"boolean";s:5:"label";s:18:"Enforce uniqueness";s:11:"description";s:57:"Only add the item to the list if it is not yet contained.";s:8:"optional";b:1;s:13:"default value";b:0;}s:3:"pos";a:5:{s:4:"type";s:4:"text";s:5:"label";s:15:"Insert position";s:8:"optional";b:1;s:13:"default value";s:3:"end";s:12:"options list";s:36:"rules_action_data_list_add_positions";}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:3:{s:7:"execute";a:1:{i:0;s:26:"rules_action_data_list_add";}s:10:"info_alter";a:1:{i:0;s:26:"rules_data_list_info_alter";}s:10:"form_alter";a:1:{i:0;s:26:"rules_data_list_form_alter";}}i:1;a:3:{s:7:"execute";s:17:"modules/data.eval";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:11:"list_remove";a:6:{s:5:"label";s:26:"Remove an item from a list";s:9:"parameter";a:2:{s:4:"list";a:5:{s:4:"type";s:4:"list";s:5:"label";s:4:"List";s:11:"description";s:49:"The data list for which an item is to be removed.";s:11:"restriction";s:8:"selector";s:4:"save";b:1;}s:4:"item";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:14:"Item to remove";}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:3:{s:7:"execute";a:1:{i:0;s:29:"rules_action_data_list_remove";}s:10:"info_alter";a:1:{i:0;s:26:"rules_data_list_info_alter";}s:10:"form_alter";a:1:{i:0;s:26:"rules_data_list_form_alter";}}i:1;a:3:{s:7:"execute";s:17:"modules/data.eval";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:12:"variable_add";a:7:{s:5:"label";s:14:"Add a variable";s:15:"named parameter";b:1;s:9:"parameter";a:2:{s:4:"type";a:5:{s:4:"type";s:4:"text";s:5:"label";s:4:"Type";s:12:"options list";s:38:"rules_data_action_variable_add_options";s:11:"description";s:56:"Specifies the type of the variable that should be added.";s:11:"restriction";s:5:"input";}s:5:"value";a:4:{s:4:"type";s:7:"unknown";s:5:"label";s:5:"Value";s:8:"optional";b:1;s:11:"description";s:54:"Optionally, specify the initial value of the variable.";}}s:8:"provides";a:1:{s:14:"variable_added";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:14:"Added variable";}}s:5:"group";s:4:"Data";s:6:"module";s:5:"rules";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:25:"rules_action_variable_add";}s:8:"validate";a:1:{i:0;s:33:"rules_action_create_type_validate";}s:10:"info_alter";a:1:{i:0;s:36:"rules_action_variable_add_info_alter";}s:10:"form_alter";a:1:{i:0;s:28:"rules_action_type_form_alter";}}i:1;a:4:{s:7:"execute";s:17:"modules/data.eval";s:8:"validate";s:18:"modules/data.rules";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:12:"data_convert";a:7:{s:5:"label";s:17:"Convert data type";s:9:"parameter";a:3:{s:4:"type";a:5:{s:4:"type";s:5:"token";s:5:"label";s:11:"Target type";s:11:"description";s:36:"The data type to convert a value to.";s:12:"options list";s:39:"rules_action_data_convert_types_options";s:11:"restriction";s:5:"input";}s:5:"value";a:3:{s:4:"type";a:4:{i:0;s:7:"decimal";i:1;s:7:"integer";i:2;s:4:"text";i:3;s:5:"token";}s:5:"label";s:16:"Value to convert";s:12:"default mode";s:8:"selector";}s:17:"rounding_behavior";a:7:{s:4:"type";s:5:"token";s:5:"label";s:17:"Rounding behavior";s:11:"description";s:48:"The rounding behavior the conversion should use.";s:12:"options list";s:51:"rules_action_data_convert_rounding_behavior_options";s:11:"restriction";s:5:"input";s:13:"default value";s:5:"round";s:8:"optional";b:1;}}s:8:"provides";a:1:{s:17:"conversion_result";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:17:"Conversion result";}}s:5:"group";s:4:"Data";s:15:"named parameter";b:1;s:6:"module";s:5:"rules";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:3:{s:7:"execute";a:1:{i:0;s:25:"rules_action_data_convert";}s:10:"info_alter";a:1:{i:0;s:36:"rules_action_data_convert_info_alter";}s:10:"form_alter";a:1:{i:0;s:28:"rules_action_type_form_alter";}}i:1;a:3:{s:7:"execute";s:17:"modules/data.eval";s:10:"info_alter";s:17:"modules/data.eval";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:12:"entity_fetch";a:7:{s:5:"label";s:18:"Fetch entity by id";s:9:"parameter";a:2:{s:4:"type";a:5:{s:4:"type";s:4:"text";s:5:"label";s:11:"Entity type";s:12:"options list";s:32:"rules_entity_action_type_options";s:11:"description";s:52:"Specifies the type of entity that should be fetched.";s:11:"restriction";s:5:"input";}s:2:"id";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:10:"Identifier";}}s:8:"provides";a:1:{s:14:"entity_fetched";a:2:{s:4:"type";s:7:"unknown";s:5:"label";s:14:"Fetched entity";}}s:5:"group";s:8:"Entities";s:15:"access callback";s:26:"rules_entity_action_access";s:6:"module";s:5:"rules";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:25:"rules_action_entity_fetch";}s:10:"info_alter";a:1:{i:0;s:36:"rules_action_entity_fetch_info_alter";}s:6:"access";a:1:{i:0;s:38:"rules_action_entity_createfetch_access";}s:10:"form_alter";a:1:{i:0;s:28:"rules_action_type_form_alter";}}i:1;a:4:{s:7:"execute";s:19:"modules/entity.eval";s:10:"info_alter";s:19:"modules/entity.eval";s:6:"access";s:20:"modules/entity.rules";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:12:"entity_query";a:7:{s:5:"label";s:24:"Fetch entity by property";s:9:"parameter";a:4:{s:4:"type";a:5:{s:4:"type";s:4:"text";s:5:"label";s:11:"Entity type";s:12:"options list";s:32:"rules_entity_action_type_options";s:11:"description";s:56:"Specifies the type of the entity that should be fetched.";s:11:"restriction";s:5:"input";}s:8:"property";a:4:{s:4:"type";s:4:"text";s:5:"label";s:8:"Property";s:11:"description";s:51:"The property by which the entity is to be selected.";s:11:"restriction";s:5:"input";}s:5:"value";a:3:{s:4:"type";s:7:"unknown";s:5:"label";s:5:"Value";s:11:"description";s:47:"The property value of the entity to be fetched.";}s:5:"limit";a:5:{s:4:"type";s:7:"integer";s:5:"label";s:18:"Limit result count";s:11:"description";s:45:"Limit the maximum number of fetched entities.";s:8:"optional";b:1;s:13:"default value";s:2:"10";}}s:8:"provides";a:1:{s:14:"entity_fetched";a:2:{s:4:"type";s:4:"list";s:5:"label";s:14:"Fetched entity";}}s:5:"group";s:8:"Entities";s:15:"access callback";s:26:"rules_entity_action_access";s:6:"module";s:5:"rules";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:25:"rules_action_entity_query";}s:10:"info_alter";a:1:{i:0;s:36:"rules_action_entity_query_info_alter";}s:6:"access";a:1:{i:0;s:32:"rules_action_entity_query_access";}s:10:"form_alter";a:1:{i:0;s:28:"rules_action_type_form_alter";}}i:1;a:4:{s:7:"execute";s:19:"modules/entity.eval";s:10:"info_alter";s:19:"modules/entity.eval";s:6:"access";s:20:"modules/entity.rules";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:13:"entity_create";a:8:{s:5:"label";s:19:"Create a new entity";s:15:"named parameter";b:1;s:9:"parameter";a:1:{s:4:"type";a:5:{s:4:"type";s:4:"text";s:5:"label";s:11:"Entity type";s:12:"options list";s:32:"rules_entity_action_type_options";s:11:"description";s:56:"Specifies the type of the entity that should be created.";s:11:"restriction";s:5:"input";}}s:8:"provides";a:1:{s:14:"entity_created";a:3:{s:4:"type";s:7:"unknown";s:5:"label";s:14:"Created entity";s:4:"save";b:1;}}s:5:"group";s:8:"Entities";s:15:"access callback";s:26:"rules_entity_action_access";s:6:"module";s:5:"rules";s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:5:{s:7:"execute";a:1:{i:0;s:26:"rules_action_entity_create";}s:8:"validate";a:1:{i:0;s:33:"rules_action_create_type_validate";}s:10:"info_alter";a:1:{i:0;s:37:"rules_action_entity_create_info_alter";}s:6:"access";a:1:{i:0;s:38:"rules_action_entity_createfetch_access";}s:10:"form_alter";a:1:{i:0;s:28:"rules_action_type_form_alter";}}i:1;a:5:{s:7:"execute";s:19:"modules/entity.eval";s:8:"validate";s:18:"modules/data.rules";s:10:"info_alter";s:19:"modules/entity.eval";s:6:"access";s:20:"modules/entity.rules";s:10:"form_alter";s:18:"modules/data.rules";}}}}s:11:"entity_save";a:7:{s:5:"label";s:11:"Save entity";s:9:"parameter";a:2:{s:4:"data";a:5:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:56:"Specifies the entity, which should be saved permanently.";s:11:"restriction";s:8:"selector";s:7:"wrapped";b:1;}s:9:"immediate";a:6:{s:4:"type";s:7:"boolean";s:5:"label";s:24:"Force saving immediately";s:11:"description";s:157:"Usually saving is postponed till the end of the evaluation, so that multiple saves can be fold into one. If this set, saving is forced to happen immediately.";s:13:"default value";b:0;s:8:"optional";b:1;s:11:"restriction";s:5:"input";}}s:5:"group";s:8:"Entities";s:15:"access callback";s:26:"rules_entity_action_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:24:"rules_action_entity_save";}s:6:"access";a:1:{i:0;s:37:"rules_action_entity_savedelete_access";}}i:1;a:2:{s:7:"execute";s:19:"modules/entity.eval";s:6:"access";s:20:"modules/entity.rules";}}}}s:13:"entity_delete";a:7:{s:5:"label";s:13:"Delete entity";s:9:"parameter";a:1:{s:4:"data";a:5:{s:4:"type";s:6:"entity";s:5:"label";s:6:"Entity";s:11:"description";s:58:"Specifies the entity, which should be deleted permanently.";s:11:"restriction";s:8:"selector";s:7:"wrapped";b:1;}}s:5:"group";s:8:"Entities";s:15:"access callback";s:26:"rules_entity_action_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:26:"rules_action_entity_delete";}s:6:"access";a:1:{i:0;s:37:"rules_action_entity_savedelete_access";}}i:1;a:2:{s:7:"execute";s:19:"modules/entity.eval";s:6:"access";s:20:"modules/entity.rules";}}}}s:12:"node_publish";a:7:{s:9:"parameter";a:1:{s:4:"node";a:3:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";s:4:"save";b:1;}}s:8:"category";s:4:"node";s:15:"access callback";s:23:"rules_node_admin_access";s:5:"label";s:15:"Publish content";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:19:"node_publish_action";}}i:1;a:0:{}}}}s:14:"node_unpublish";a:7:{s:9:"parameter";a:1:{s:4:"node";a:3:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";s:4:"save";b:1;}}s:8:"category";s:4:"node";s:15:"access callback";s:23:"rules_node_admin_access";s:5:"label";s:17:"Unpublish content";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:21:"node_unpublish_action";}}i:1;a:0:{}}}}s:16:"node_make_sticky";a:7:{s:9:"parameter";a:1:{s:4:"node";a:3:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";s:4:"save";b:1;}}s:8:"category";s:4:"node";s:15:"access callback";s:23:"rules_node_admin_access";s:5:"label";s:19:"Make content sticky";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:23:"node_make_sticky_action";}}i:1;a:0:{}}}}s:18:"node_make_unsticky";a:7:{s:9:"parameter";a:1:{s:4:"node";a:3:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";s:4:"save";b:1;}}s:8:"category";s:4:"node";s:15:"access callback";s:23:"rules_node_admin_access";s:5:"label";s:21:"Make content unsticky";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:25:"node_make_unsticky_action";}}i:1;a:0:{}}}}s:12:"node_promote";a:7:{s:9:"parameter";a:1:{s:4:"node";a:3:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";s:4:"save";b:1;}}s:8:"category";s:4:"node";s:15:"access callback";s:23:"rules_node_admin_access";s:5:"label";s:29:"Promote content to front page";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:19:"node_promote_action";}}i:1;a:0:{}}}}s:14:"node_unpromote";a:7:{s:9:"parameter";a:1:{s:4:"node";a:3:{s:4:"type";s:4:"node";s:5:"label";s:7:"Content";s:4:"save";b:1;}}s:8:"category";s:4:"node";s:15:"access callback";s:23:"rules_node_admin_access";s:5:"label";s:30:"Remove content from front page";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:21:"node_unpromote_action";}}i:1;a:0:{}}}}s:14:"drupal_message";a:7:{s:5:"label";s:26:"Show a message on the site";s:5:"group";s:6:"System";s:9:"parameter";a:3:{s:7:"message";a:4:{s:4:"type";s:4:"text";s:5:"label";s:7:"Message";s:8:"sanitize";b:1;s:12:"translatable";b:1;}s:4:"type";a:5:{s:4:"type";s:5:"token";s:5:"label";s:12:"Message type";s:12:"options list";s:33:"rules_action_drupal_message_types";s:13:"default value";s:6:"status";s:8:"optional";b:1;}s:6:"repeat";a:6:{s:4:"type";s:7:"boolean";s:5:"label";s:14:"Repeat message";s:11:"description";s:87:"If disabled and the message has been already shown, then the message won''t be repeated.";s:13:"default value";b:1;s:8:"optional";b:1;s:11:"restriction";s:5:"input";}}s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:27:"rules_action_drupal_message";}}i:1;a:1:{s:7:"execute";s:19:"modules/system.eval";}}}}s:8:"redirect";a:7:{s:5:"label";s:13:"Page redirect";s:5:"group";s:6:"System";s:9:"parameter";a:3:{s:3:"url";a:3:{s:4:"type";s:3:"uri";s:5:"label";s:3:"URL";s:11:"description";s:126:"A Drupal path, path alias, or external URL to redirect to. Enter (optional) queries after "?" and (optional) anchor after "#".";}s:5:"force";a:6:{s:4:"type";s:7:"boolean";s:5:"label";s:14:"Force redirect";s:11:"restriction";s:5:"input";s:11:"description";s:288:"Force the redirect even if another destination parameter is present. Per default Drupal would redirect to the path given as destination parameter, in case it is set. Usually the destination parameter is set by appending it to the URL, e.g. http://example.com/user/login?destination=node/2";s:8:"optional";b:1;s:13:"default value";b:1;}s:11:"destination";a:6:{s:4:"type";s:7:"boolean";s:5:"label";s:28:"Append destination parameter";s:11:"restriction";s:5:"input";s:11:"description";s:125:"Whether to append a destination parameter to the URL, so another redirect issued later on would lead back to the origin page.";s:8:"optional";b:1;s:13:"default value";b:0;}}s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:24:"rules_action_drupal_goto";}}i:1;a:1:{s:7:"execute";s:19:"modules/system.eval";}}}}s:14:"breadcrumb_set";a:7:{s:5:"label";s:14:"Set breadcrumb";s:5:"group";s:6:"System";s:9:"parameter";a:2:{s:6:"titles";a:4:{s:4:"type";s:10:"list<text>";s:5:"label";s:6:"Titles";s:11:"description";s:42:"A list of titles for the breadcrumb links.";s:12:"translatable";b:1;}s:5:"paths";a:3:{s:4:"type";s:10:"list<text>";s:5:"label";s:5:"Paths";s:11:"description";s:82:"A list of Drupal paths for the breadcrumb links, matching the order of the titles.";}}s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:27:"rules_action_breadcrumb_set";}}i:1;a:1:{s:7:"execute";s:19:"modules/system.eval";}}}}s:4:"mail";a:7:{s:5:"label";s:9:"Send mail";s:5:"group";s:6:"System";s:9:"parameter";a:5:{s:2:"to";a:3:{s:4:"type";s:4:"text";s:5:"label";s:2:"To";s:11:"description";s:123:"The e-mail address or addresses where the message will be sent to. The formatting of this string must comply with RFC 2822.";}s:7:"subject";a:4:{s:4:"type";s:4:"text";s:5:"label";s:7:"Subject";s:11:"description";s:19:"The mail''s subject.";s:12:"translatable";b:1;}s:7:"message";a:4:{s:4:"type";s:4:"text";s:5:"label";s:7:"Message";s:11:"description";s:24:"The mail''s message body.";s:12:"translatable";b:1;}s:4:"from";a:4:{s:4:"type";s:4:"text";s:5:"label";s:4:"From";s:11:"description";s:80:"The mail''s from address. Leave it empty to use the site-wide configured address.";s:8:"optional";b:1;}s:8:"language";a:7:{s:4:"type";s:5:"token";s:5:"label";s:8:"Language";s:11:"description";s:73:"If specified, the language used for getting the mail message and subject.";s:12:"options list";s:29:"entity_metadata_language_list";s:8:"optional";b:1;s:13:"default value";s:3:"und";s:12:"default mode";s:8:"selector";}}s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:17:"rules_action_mail";}}i:1;a:1:{s:7:"execute";s:19:"modules/system.eval";}}}}s:21:"mail_to_users_of_role";a:7:{s:5:"label";s:32:"Send mail to all users of a role";s:5:"group";s:6:"System";s:9:"parameter";a:4:{s:5:"roles";a:4:{s:4:"type";s:13:"list<integer>";s:5:"label";s:5:"Roles";s:12:"options list";s:26:"entity_metadata_user_roles";s:11:"description";s:53:"Select the roles whose users should receive the mail.";}s:7:"subject";a:3:{s:4:"type";s:4:"text";s:5:"label";s:7:"Subject";s:11:"description";s:19:"The mail''s subject.";}s:7:"message";a:3:{s:4:"type";s:4:"text";s:5:"label";s:7:"Message";s:11:"description";s:24:"The mail''s message body.";}s:4:"from";a:4:{s:4:"type";s:4:"text";s:5:"label";s:4:"From";s:11:"description";s:80:"The mail''s from address. Leave it empty to use the site-wide configured address.";s:8:"optional";b:1;}}s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:2:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:34:"rules_action_mail_to_users_of_role";}}i:1;a:1:{s:7:"execute";s:19:"modules/system.eval";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:4:"help";a:1:{i:0;s:39:"rules_action_mail_to_users_of_role_help";}}i:1;a:1:{s:4:"help";s:20:"modules/system.rules";}}}}s:8:"block_ip";a:7:{s:5:"label";s:16:"Block IP address";s:5:"group";s:6:"System";s:9:"parameter";a:1:{s:10:"ip_address";a:5:{s:4:"type";s:10:"ip_address";s:5:"label";s:10:"IP address";s:11:"description";s:65:"If not provided, the IP address of the current user will be used.";s:8:"optional";b:1;s:13:"default value";N;}}s:15:"access callback";s:31:"rules_system_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:21:"rules_action_block_ip";}}i:1;a:1:{s:7:"execute";s:19:"modules/system.eval";}}}}s:13:"user_add_role";a:7:{s:9:"parameter";a:2:{s:7:"account";a:4:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";s:11:"description";s:39:"The user whose roles should be changed.";s:4:"save";b:1;}s:5:"roles";a:3:{s:4:"type";s:13:"list<integer>";s:5:"label";s:5:"Roles";s:12:"options list";s:29:"rules_user_roles_options_list";}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_role_change_access";s:5:"label";s:13:"Add user role";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:26:"rules_action_user_add_role";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}}}s:16:"user_remove_role";a:7:{s:9:"parameter";a:2:{s:7:"account";a:4:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";s:11:"description";s:39:"The user whose roles should be changed.";s:4:"save";b:1;}s:5:"roles";a:3:{s:4:"type";s:13:"list<integer>";s:5:"label";s:5:"Roles";s:12:"options list";s:29:"rules_user_roles_options_list";}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_role_change_access";s:5:"label";s:16:"Remove user role";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:29:"rules_action_user_remove_role";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}}}s:10:"user_block";a:7:{s:9:"parameter";a:1:{s:7:"account";a:3:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";s:4:"save";b:1;}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_integration_access";s:5:"label";s:12:"Block a user";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:23:"rules_action_user_block";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}}}s:12:"user_unblock";a:7:{s:9:"parameter";a:1:{s:7:"account";a:3:{s:4:"type";s:4:"user";s:5:"label";s:4:"User";s:4:"save";b:1;}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_integration_access";s:5:"label";s:14:"Unblock a user";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:25:"rules_action_user_unblock";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}}}s:23:"user_send_account_email";a:7:{s:5:"label";s:19:"Send account e-mail";s:9:"parameter";a:2:{s:7:"account";a:2:{s:4:"type";s:4:"user";s:5:"label";s:7:"Account";}s:10:"email_type";a:4:{s:4:"type";s:4:"text";s:5:"label";s:11:"E-mail type";s:11:"description";s:76:"Select the e-mail based on your site''s account settings to send to the user.";s:12:"options list";s:37:"rules_user_account_email_options_list";}}s:5:"group";s:4:"User";s:15:"access callback";s:29:"rules_user_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:1:{s:7:"execute";a:1:{i:0;s:36:"rules_action_user_send_account_email";}}i:1;a:1:{s:7:"execute";s:17:"modules/user.eval";}}}}s:63:"component_commerce_multicurrency_convert_price_to_user_currency";a:9:{s:5:"group";s:10:"Components";s:15:"named parameter";b:1;s:15:"access callback";s:46:"rules_element_invoke_component_access_callback";s:5:"label";s:36:"rule: Convert price to user currency";s:9:"parameter";a:1:{s:18:"commerce_line_item";a:2:{s:5:"label";s:9:"Line Item";s:4:"type";s:18:"commerce_line_item";}}s:8:"provides";a:0:{}s:12:"#config_name";s:53:"commerce_multicurrency_convert_price_to_user_currency";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:30:"rules_element_invoke_component";}s:8:"validate";a:1:{i:0;s:39:"rules_element_invoke_component_validate";}}i:1;a:2:{s:7:"execute";s:23:"modules/rules_core.eval";s:8:"validate";s:24:"modules/rules_core.rules";}}s:38:"RulesPluginFeaturesIntegrationInterace";a:2:{i:0;a:1:{s:15:"features_export";a:1:{i:0;s:46:"rules_element_invoke_component_features_export";}}i:1;a:1:{s:15:"features_export";s:24:"modules/rules_core.rules";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:10:"operations";a:1:{i:0;s:41:"rules_element_invoke_component_operations";}}i:1;a:1:{s:10:"operations";s:24:"modules/rules_core.rules";}}}}s:31:"component_rules_disable_product";a:9:{s:5:"group";s:10:"Components";s:15:"named parameter";b:1;s:15:"access callback";s:46:"rules_element_invoke_component_access_callback";s:5:"label";s:27:"action set: Disable product";s:9:"parameter";a:1:{s:16:"commerce_product";a:2:{s:5:"label";s:16:"Commerce Product";s:4:"type";s:16:"commerce_product";}}s:8:"provides";a:0:{}s:12:"#config_name";s:21:"rules_disable_product";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:30:"rules_element_invoke_component";}s:8:"validate";a:1:{i:0;s:39:"rules_element_invoke_component_validate";}}i:1;a:2:{s:7:"execute";s:23:"modules/rules_core.eval";s:8:"validate";s:24:"modules/rules_core.rules";}}s:38:"RulesPluginFeaturesIntegrationInterace";a:2:{i:0;a:1:{s:15:"features_export";a:1:{i:0;s:46:"rules_element_invoke_component_features_export";}}i:1;a:1:{s:15:"features_export";s:24:"modules/rules_core.rules";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:10:"operations";a:1:{i:0;s:41:"rules_element_invoke_component_operations";}}i:1;a:1:{s:10:"operations";s:24:"modules/rules_core.rules";}}}}s:30:"component_rules_enable_product";a:9:{s:5:"group";s:10:"Components";s:15:"named parameter";b:1;s:15:"access callback";s:46:"rules_element_invoke_component_access_callback";s:5:"label";s:26:"action set: Enable product";s:9:"parameter";a:1:{s:16:"commerce_product";a:2:{s:5:"label";s:16:"Commerce Product";s:4:"type";s:16:"commerce_product";}}s:8:"provides";a:0:{}s:12:"#config_name";s:20:"rules_enable_product";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:30:"rules_element_invoke_component";}s:8:"validate";a:1:{i:0;s:39:"rules_element_invoke_component_validate";}}i:1;a:2:{s:7:"execute";s:23:"modules/rules_core.eval";s:8:"validate";s:24:"modules/rules_core.rules";}}s:38:"RulesPluginFeaturesIntegrationInterace";a:2:{i:0;a:1:{s:15:"features_export";a:1:{i:0;s:46:"rules_element_invoke_component_features_export";}}i:1;a:1:{s:15:"features_export";s:24:"modules/rules_core.rules";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:10:"operations";a:1:{i:0;s:41:"rules_element_invoke_component_operations";}}i:1;a:1:{s:10:"operations";s:24:"modules/rules_core.rules";}}}}s:59:"component_commerce_coupon_validate_uses_of_coupon_component";a:9:{s:5:"group";s:10:"Components";s:15:"named parameter";b:1;s:15:"access callback";s:46:"rules_element_invoke_component_access_callback";s:5:"label";s:79:"rule: Coupon Validation: Set the coupon as invalid if number of uses is reached";s:9:"parameter";a:2:{s:15:"commerce_coupon";a:2:{s:4:"type";s:15:"commerce_coupon";s:5:"label";s:6:"Coupon";}s:21:"number_of_redemptions";a:2:{s:4:"type";s:7:"integer";s:5:"label";s:21:"Number Of Redemptions";}}s:8:"provides";a:0:{}s:12:"#config_name";s:49:"commerce_coupon_validate_uses_of_coupon_component";s:6:"module";s:5:"rules";s:11:"faces_cache";a:3:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:2:{s:7:"execute";a:1:{i:0;s:30:"rules_element_invoke_component";}s:8:"validate";a:1:{i:0;s:39:"rules_element_invoke_component_validate";}}i:1;a:2:{s:7:"execute";s:23:"modules/rules_core.eval";s:8:"validate";s:24:"modules/rules_core.rules";}}s:38:"RulesPluginFeaturesIntegrationInterace";a:2:{i:0;a:1:{s:15:"features_export";a:1:{i:0;s:46:"rules_element_invoke_component_features_export";}}i:1;a:1:{s:15:"features_export";s:24:"modules/rules_core.rules";}}s:22:"RulesPluginUIInterface";a:2:{i:0;a:1:{s:10:"operations";a:1:{i:0;s:41:"rules_element_invoke_component_operations";}}i:1;a:1:{s:10:"operations";s:24:"modules/rules_core.rules";}}}}s:8:"php_eval";a:7:{s:5:"label";s:23:"Execute custom PHP code";s:5:"group";s:3:"PHP";s:9:"parameter";a:1:{s:4:"code";a:4:{s:11:"restriction";s:5:"input";s:4:"type";s:4:"text";s:5:"label";s:8:"PHP code";s:11:"description";s:49:"Enter PHP code without &lt;?php ?&gt; delimiters.";}}s:15:"access callback";s:28:"rules_php_integration_access";s:6:"module";s:5:"rules";s:8:"provides";a:0:{}s:11:"faces_cache";a:1:{s:24:"RulesPluginImplInterface";a:2:{i:0;a:4:{s:7:"execute";a:1:{i:0;s:22:"rules_execute_php_eval";}s:7:"process";a:1:{i:0;s:30:"rules_execute_php_eval_process";}s:12:"dependencies";a:1:{i:0;s:35:"rules_execute_php_eval_dependencies";}s:10:"form_alter";a:1:{i:0;s:33:"rules_execute_php_eval_form_alter";}}i:1;a:4:{s:7:"execute";s:16:"modules/php.eval";s:7:"process";s:17:"modules/php.rules";s:12:"dependencies";s:17:"modules/php.rules";s:10:"form_alter";s:17:"modules/php.rules";}}}}}}', '0', '1469452349', 1);
INSERT INTO `cache_rules` VALUES
('event_commerce_cart_product_add', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:25:"commerce_cart_product_add";s:9:"recursion";b:1;s:11:"\0*\0children";a:2:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"1";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:33:"commerce_cart_add_to_cart_message";s:5:"label";s:30:"Display an Add to Cart message";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:23:"commerce_product:select";s:16:"commerce-product";}s:14:"\0*\0elementName";s:33:"commerce_cart_add_to_cart_message";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:25:"commerce_cart_product_add";}s:16:"\0*\0eventSettings";a:0:{}}i:1;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"2";s:12:"\0*\0elementId";N;s:6:"weight";i:1;s:8:"settings";a:0:{}s:4:"name";s:32:"commerce_cart_order_status_reset";s:5:"label";s:52:"Reset the cart order status on product add or remove";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:48;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:21:"commerce_order:select";s:14:"commerce-order";s:12:"order_status";s:4:"cart";}s:14:"\0*\0elementName";s:28:"commerce_order_update_status";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:48;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:2:{i:0;s:25:"commerce_cart_product_add";i:1;s:28:"commerce_cart_product_remove";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:34:"After adding a product to the cart";s:5:"group";s:13:"Commerce Cart";s:9:"variables";a:5:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:19:"Shopping cart order";}s:16:"commerce_product";a:2:{s:5:"label";s:7:"Product";s:4:"type";s:16:"commerce_product";}s:8:"quantity";a:2:{s:5:"label";s:8:"Quantity";s:4:"type";s:7:"integer";}s:18:"commerce_line_item";a:2:{s:5:"label";s:17:"Product line item";s:4:"type";s:18:"commerce_line_item";}s:28:"commerce_line_item_unchanged";a:4:{s:5:"label";s:27:"Unchanged product line item";s:4:"type";s:18:"commerce_line_item";s:9:"skip save";b:1;s:7:"handler";s:29:"rules_events_entity_unchanged";}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:13:"commerce_cart";}}', '0', '1469452349', 1),
('event_commerce_cart_product_remove', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:28:"commerce_cart_product_remove";s:9:"recursion";b:1;s:11:"\0*\0children";a:2:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"2";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:32:"commerce_cart_order_status_reset";s:5:"label";s:52:"Reset the cart order status on product add or remove";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:21:"commerce_order:select";s:14:"commerce-order";s:12:"order_status";s:4:"cart";}s:14:"\0*\0elementName";s:28:"commerce_order_update_status";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:2:{i:0;s:25:"commerce_cart_product_add";i:1;s:28:"commerce_cart_product_remove";}s:16:"\0*\0eventSettings";a:0:{}}i:1;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"23";s:12:"\0*\0elementId";N;s:6:"weight";i:1;s:8:"settings";a:0:{}s:4:"name";s:47:"commerce_coupon_remove_coupons_from_empty_carts";s:5:"label";s:31:"Remove coupons from empty carts";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:15:"commerce_coupon";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:50;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:21:"commerce_order:select";s:14:"commerce_order";}s:14:"\0*\0elementName";s:52:"commerce_coupon_action_remove_all_coupons_from_order";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:50;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:75;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:13:"entity:select";s:14:"commerce_order";s:8:"operator";s:1:"=";s:5:"value";i:0;}s:14:"\0*\0elementName";s:45:"commerce_order_compare_total_product_quantity";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:28:"commerce_cart_product_remove";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:38:"After removing a product from the cart";s:5:"group";s:13:"Commerce Cart";s:9:"variables";a:5:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:19:"Shopping cart order";}s:16:"commerce_product";a:2:{s:5:"label";s:7:"Product";s:4:"type";s:16:"commerce_product";}s:8:"quantity";a:2:{s:5:"label";s:8:"Quantity";s:4:"type";s:7:"integer";}s:18:"commerce_line_item";a:2:{s:5:"label";s:17:"Product line item";s:4:"type";s:18:"commerce_line_item";}s:28:"commerce_line_item_unchanged";a:4:{s:5:"label";s:27:"Unchanged product line item";s:4:"type";s:18:"commerce_line_item";s:9:"skip save";b:1;s:7:"handler";s:29:"rules_events_entity_unchanged";}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:13:"commerce_cart";}}', '0', '1469452349', 1),
('event_commerce_checkout_complete', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:26:"commerce_checkout_complete";s:9:"recursion";b:1;s:11:"\0*\0children";a:6:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"4";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:43:"commerce_checkout_order_created_date_update";s:5:"label";s:58:"Set the order created date to the checkout completion date";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:22:"commerce-order:created";s:12:"value:select";s:17:"site:current-date";}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}i:1;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"5";s:12:"\0*\0elementId";N;s:6:"weight";i:1;s:8:"settings";a:0:{}s:4:"name";s:37:"commerce_checkout_order_status_update";s:5:"label";s:46:"Update the order status on checkout completion";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:49;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:21:"commerce_order:select";s:14:"commerce-order";s:11:"order_state";s:7:"pending";}s:14:"\0*\0elementName";s:27:"commerce_order_update_state";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:49;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}i:2;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"16";s:12:"\0*\0elementId";N;s:6:"weight";i:2;s:8:"settings";a:0:{}s:4:"name";s:38:"rules_decrement_stock_completing_order";s:5:"label";s:48:"Decrease stock when completing the order process";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:14:"commerce_stock";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:9:"RulesLoop":7:{s:9:"\0*\0parent";r:88;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:8:"item:var";s:9:"list_item";s:10:"item:label";s:17:"Current list item";s:11:"list:select";s:34:"commerce_order:commerce-line-items";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:104;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:25:"commerce_line_item:select";s:9:"list-item";}s:14:"\0*\0elementName";s:36:"commerce_stock_decrease_by_line_item";}}s:7:"\0*\0info";a:0:{}}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:88;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}i:3;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"6";s:12:"\0*\0elementId";N;s:6:"weight";i:3;s:8:"settings";a:0:{}s:4:"name";s:31:"commerce_checkout_order_convert";s:5:"label";s:48:"Assign an anonymous order to a pre-existing user";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:136;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:6:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";s:5:"limit";i:1;s:20:"entity_fetched:label";s:15:"Fetched account";s:18:"entity_fetched:var";s:15:"account_fetched";}s:14:"\0*\0elementName";s:12:"entity_query";}i:1;O:9:"RulesLoop":7:{s:9:"\0*\0parent";r:136;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"list:select";s:15:"account-fetched";s:8:"item:var";s:9:"list_item";s:10:"item:label";s:17:"Current list item";s:9:"item:type";s:4:"user";}s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:166;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:18:"commerce-order:uid";s:12:"value:select";s:13:"list-item:uid";}s:14:"\0*\0elementName";s:8:"data_set";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:166;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:44:"commerce-order:commerce-customer-billing:uid";s:12:"value:select";s:13:"list-item:uid";}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:136;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:3:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:197;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:18:"commerce-order:uid";s:2:"op";s:2:"==";s:5:"value";s:1:"0";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:197;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";}s:14:"\0*\0elementName";s:13:"entity_exists";s:9:"\0*\0negate";b:0;}i:2;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:197;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:19:"commerce-order:type";s:2:"op";s:2:"==";s:5:"value";s:14:"commerce_order";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}i:4;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"7";s:12:"\0*\0elementId";N;s:6:"weight";i:4;s:8:"settings";a:0:{}s:4:"name";s:29:"commerce_checkout_new_account";s:5:"label";s:43:"Create a new account for an anonymous order";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:5:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:242;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:5:{s:4:"type";s:4:"user";s:17:"param_name:select";s:28:"commerce-order:mail-username";s:17:"param_mail:select";s:19:"commerce-order:mail";s:20:"entity_created:label";s:15:"Created account";s:18:"entity_created:var";s:15:"account_created";}s:14:"\0*\0elementName";s:13:"entity_create";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:242;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:22:"account-created:status";s:5:"value";i:1;}s:14:"\0*\0elementName";s:8:"data_set";}i:2;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:242;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:15:"account-created";s:9:"immediate";i:1;}s:14:"\0*\0elementName";s:11:"entity_save";}i:3;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:242;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:6:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";s:5:"limit";i:1;s:20:"entity_fetched:label";s:15:"Fetched account";s:18:"entity_fetched:var";s:15:"account_fetched";}s:14:"\0*\0elementName";s:12:"entity_query";}i:4;O:9:"RulesLoop":7:{s:9:"\0*\0parent";r:242;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"list:select";s:15:"account-fetched";s:8:"item:var";s:9:"list_item";s:10:"item:label";s:17:"Current list item";s:9:"item:type";s:4:"user";}s:11:"\0*\0children";a:3:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:302;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:14:"account:select";s:9:"list-item";s:10:"email_type";s:22:"register_admin_created";}s:14:"\0*\0elementName";s:18:"send_account_email";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:302;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:18:"commerce-order:uid";s:12:"value:select";s:13:"list-item:uid";}s:14:"\0*\0elementName";s:8:"data_set";}i:2;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:302;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:44:"commerce-order:commerce-customer-billing:uid";s:12:"value:select";s:13:"list-item:uid";}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:242;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:3:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:342;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:18:"commerce-order:uid";s:2:"op";s:2:"==";s:5:"value";s:1:"0";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:342;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";}s:14:"\0*\0elementName";s:13:"entity_exists";s:9:"\0*\0negate";b:1;}i:2;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:342;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:19:"commerce-order:type";s:2:"op";s:2:"==";s:5:"value";s:14:"commerce_order";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}i:5;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"8";s:12:"\0*\0elementId";N;s:6:"weight";i:5;s:8:"settings";a:0:{}s:4:"name";s:29:"commerce_checkout_order_email";s:5:"label";s:33:"Send an order notification e-mail";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:387;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:6:{s:9:"to:select";s:19:"commerce-order:mail";s:7:"subject";s:50:"Order [commerce-order:order-number] at [site:name]";s:7:"message";s:412:"Thanks for your order [commerce-order:order-number] at [site:name].\n\nIf this is your first order with us, you will receive a separate e-mail with login instructions. You can view your order history with us at any time by logging into our website at:\n\n[site:login-url]\n\nYou can find the status of your current order at:\n\n[commerce-order:customer-url]\n\nPlease contact us if you have any questions about your order.";s:4:"from";s:0:"";s:15:"subject:process";O:19:"RulesTokenEvaluator":2:{s:10:"\0*\0setting";b:1;s:12:"\0*\0processor";N;}s:15:"message:process";O:19:"RulesTokenEvaluator":2:{s:10:"\0*\0setting";b:1;s:12:"\0*\0processor";N;}}s:14:"\0*\0elementName";s:4:"mail";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:387;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:31:"Completing the checkout process";s:5:"group";s:17:"Commerce Checkout";s:9:"variables";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:15:"Completed order";}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:17:"commerce_checkout";}}', '0', '1469452349', 1),
('event_commerce_coupon_validate', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:24:"commerce_coupon_validate";s:9:"recursion";b:1;s:11:"\0*\0children";a:1:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"22";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:39:"commerce_coupon_validate_uses_of_coupon";s:5:"label";s:50:"Coupon Validation: Check the number of redemptions";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:15:"commerce_coupon";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:0:{}s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:22:"commerce_coupon:select";s:6:"coupon";}s:14:"\0*\0elementName";s:38:"commerce_coupon_action_get_coupon_uses";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:22:"commerce_coupon:select";s:6:"coupon";s:28:"number_of_redemptions:select";s:14:"number-of-uses";}s:14:"\0*\0elementName";s:59:"component_commerce_coupon_validate_uses_of_coupon_component";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:44;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:13:"entity:select";s:6:"coupon";s:5:"field";s:30:"commerce_coupon_number_of_uses";}s:14:"\0*\0elementName";s:16:"entity_has_field";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:24:"commerce_coupon_validate";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:17:"Validate a coupon";s:5:"group";s:15:"Commerce Coupon";s:9:"variables";a:2:{s:6:"coupon";a:2:{s:4:"type";s:15:"commerce_coupon";s:5:"label";s:27:"commerce coupon to validate";}s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:15:"commerce_coupon";}}', '0', '1469452349', 1),
('event_commerce_multicurrency_set_display_price', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:40:"commerce_multicurrency_set_display_price";s:9:"recursion";b:1;s:11:"\0*\0children";a:1:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"11";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:54:"commerce_multicurrency_display_currency_specific_price";s:5:"label";s:31:"Display currency specific price";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:22:"commerce_multicurrency";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";}s:14:"\0*\0elementName";s:63:"component_commerce_multicurrency_convert_price_to_user_currency";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:40:"commerce_multicurrency_set_display_price";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:21:"Set the display price";s:5:"group";s:22:"Commerce Multicurrency";s:9:"variables";a:2:{s:18:"commerce_line_item";a:3:{s:5:"label";s:17:"Product line item";s:4:"type";s:18:"commerce_line_item";s:9:"skip save";b:1;}s:10:"field_name";a:3:{s:4:"type";s:4:"text";s:5:"label";s:36:"The name of the handled price field.";s:9:"skip save";b:1;}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:22:"commerce_multicurrency";}}', '0', '1469452349', 1),
('event_commerce_payment_methods', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:24:"commerce_payment_methods";s:9:"recursion";b:1;s:11:"\0*\0children";a:1:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"12";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:41:"commerce_payment_commerce_payment_example";s:5:"label";s:15:"Example payment";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:16:"commerce_payment";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:16:"Commerce Payment";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:21:"commerce_order:select";s:14:"commerce-order";s:14:"payment_method";s:24:"commerce_payment_example";}s:14:"\0*\0elementName";s:48:"commerce_payment_enable_commerce_payment_example";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:24:"commerce_payment_methods";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:45:"Select available payment methods for an order";s:5:"group";s:16:"Commerce Payment";s:9:"variables";a:1:{s:14:"commerce_order";a:2:{s:4:"type";s:14:"commerce_order";s:5:"label";s:5:"Order";}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:16:"commerce_payment";}}', '0', '1469452349', 1),
('event_commerce_product_calculate_sell_price', 'O:13:"RulesEventSet":9:{s:9:"\0*\0parent";N;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:37:"commerce_product_calculate_sell_price";s:9:"recursion";b:1;s:11:"\0*\0children";a:4:{i:0;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"10";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:41:"commerce_multicurrency_set_currency_price";s:5:"label";s:22:"Set the currency price";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:22:"commerce_multicurrency";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";}s:14:"\0*\0elementName";s:63:"component_commerce_multicurrency_convert_price_to_user_currency";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:10;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}i:1;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"17";s:12:"\0*\0elementId";N;s:6:"weight";i:1;s:8:"settings";a:0:{}s:4:"name";s:27:"commerce_tax_type_sales_tax";s:5:"label";s:26:"Calculate taxes: Sales tax";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:12:"commerce_tax";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:12:"Commerce Tax";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:47;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";s:13:"tax_type_name";s:9:"sales_tax";}s:14:"\0*\0elementName";s:30:"commerce_tax_calculate_by_type";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:47;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}i:2;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:2:"18";s:12:"\0*\0elementId";N;s:6:"weight";i:2;s:8:"settings";a:0:{}s:4:"name";s:21:"commerce_tax_type_vat";s:5:"label";s:20:"Calculate taxes: VAT";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:12:"commerce_tax";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:12:"Commerce Tax";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:86;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";s:13:"tax_type_name";s:3:"vat";}s:14:"\0*\0elementName";s:30:"commerce_tax_calculate_by_type";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:86;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}i:3;O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";r:1;s:2:"id";s:1:"3";s:12:"\0*\0elementId";N;s:6:"weight";i:3;s:8:"settings";a:0:{}s:4:"name";s:37:"commerce_cart_unset_disabled_products";s:5:"label";s:48:"Unset the price of disabled products in the cart";s:6:"active";s:1:"1";s:6:"status";s:1:"2";s:5:"dirty";s:1:"0";s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:14:"access_exposed";s:1:"0";s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:125;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:11:"data:select";s:45:"commerce-line-item:commerce-unit-price:amount";}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:125;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:3:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:151;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:11:"data:select";s:31:"commerce-line-item:line-item-id";}s:14:"\0*\0elementName";s:13:"data_is_empty";s:9:"\0*\0negate";b:1;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:151;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:13:"entity:select";s:18:"commerce-line-item";s:5:"field";s:16:"commerce_product";}s:14:"\0*\0elementName";s:16:"entity_has_field";s:9:"\0*\0negate";b:0;}i:2;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:151;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:42:"commerce-line-item:commerce-product:status";s:2:"op";s:2:"==";s:5:"value";s:1:"0";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}}s:7:"\0*\0info";a:5:{s:5:"label";s:39:"Calculating the sell price of a product";s:5:"group";s:16:"Commerce Product";s:9:"variables";a:2:{s:18:"commerce_line_item";a:3:{s:5:"label";s:17:"Product line item";s:4:"type";s:18:"commerce_line_item";s:9:"skip save";b:1;}s:28:"commerce_line_item_unchanged";a:4:{s:5:"label";s:27:"Unchanged product line item";s:4:"type";s:18:"commerce_line_item";s:9:"skip save";b:1;s:7:"handler";s:29:"rules_events_entity_unchanged";}}s:15:"access callback";s:27:"commerce_order_rules_access";s:6:"module";s:26:"commerce_product_reference";}}', '0', '1469452349', 1),
('rules_event_whitelist', 'a:7:{s:25:"commerce_cart_product_add";i:0;s:28:"commerce_cart_product_remove";i:1;s:37:"commerce_product_calculate_sell_price";i:2;s:26:"commerce_checkout_complete";i:3;s:40:"commerce_multicurrency_set_display_price";i:4;s:24:"commerce_payment_methods";i:5;s:24:"commerce_coupon_validate";i:6;}', '0', '1469452349', 1);
/*!40000 ALTER TABLE cache_rules ENABLE KEYS */;

--
-- Table structure for table 'cache_token'
--

CREATE TABLE IF NOT EXISTS `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.' COMMENT='Cache table for token information.';

--
-- Dumping data for table 'cache_token'
--

/*!40000 ALTER TABLE cache_token DISABLE KEYS */;
INSERT INTO `cache_token` VALUES
('field:info', 'a:66:{s:12:"comment_body";a:5:{s:11:"token types";a:1:{i:0;s:7:"comment";}s:6:"labels";a:17:{i:0;s:7:"Comment";i:1;s:7:"Comment";i:2;s:7:"Comment";i:3;s:7:"Comment";i:4;s:7:"Comment";i:5;s:7:"Comment";i:6;s:7:"Comment";i:7;s:7:"Comment";i:8;s:7:"Comment";i:9;s:7:"Comment";i:10;s:7:"Comment";i:11;s:7:"Comment";i:12;s:7:"Comment";i:13;s:7:"Comment";i:14;s:7:"Comment";i:15;s:7:"Comment";i:16;s:7:"Comment";}s:7:"bundles";a:1:{s:7:"comment";a:17:{s:17:"comment_node_page";s:18:"Basic page comment";s:20:"comment_node_article";s:15:"Article comment";s:17:"comment_node_book";s:17:"Book page comment";s:17:"comment_node_blog";s:18:"Blog entry comment";s:17:"comment_node_poll";s:12:"Poll comment";s:18:"comment_node_forum";s:19:"Forum topic comment";s:16:"comment_node_faq";s:11:"FAQ comment";s:18:"comment_node_slide";s:13:"Slide comment";s:20:"comment_node_project";s:15:"Project comment";s:21:"comment_node_employee";s:16:"Employee comment";s:19:"comment_node_banner";s:14:"Banner comment";s:20:"comment_node_service";s:15:"Service comment";s:24:"comment_node_testimonial";s:19:"Testimonial comment";s:20:"comment_node_webform";s:15:"Webform comment";s:24:"comment_node_tariff_plan";s:19:"Tariff plan comment";s:24:"comment_node_video_entry";s:19:"Video entry comment";s:28:"comment_node_product_display";s:23:"Product display comment";}}s:5:"label";s:7:"Comment";s:11:"description";s:16:"Long text field.";}s:4:"body";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:15:{i:0;s:4:"Body";i:1;s:4:"Body";i:2;s:4:"Body";i:3;s:4:"Body";i:4;s:4:"Body";i:5;s:4:"Body";i:6;s:4:"Body";i:7;s:4:"Body";i:8;s:4:"Body";i:9;s:4:"Body";i:10;s:4:"Body";i:11;s:4:"Body";i:12;s:4:"Body";i:13;s:4:"Body";i:14;s:11:"Description";}s:7:"bundles";a:1:{s:4:"node";a:15:{s:4:"page";s:10:"Basic page";s:7:"article";s:7:"Article";s:4:"book";s:9:"Book page";s:4:"blog";s:10:"Blog entry";s:5:"forum";s:11:"Forum topic";s:3:"faq";s:3:"FAQ";s:5:"slide";s:5:"Slide";s:7:"project";s:7:"Project";s:8:"employee";s:8:"Employee";s:6:"banner";s:6:"Banner";s:7:"service";s:7:"Service";s:11:"testimonial";s:11:"Testimonial";s:11:"tariff_plan";s:11:"Tariff plan";s:11:"video_entry";s:11:"Video entry";s:15:"product_display";s:15:"Product display";}}s:5:"label";s:4:"Body";s:11:"description";s:84:"Long text and summary field. Also known as <em class="placeholder">Description</em>.";}s:10:"field_tags";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:18:"Article categories";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"article";s:7:"Article";}}s:5:"label";s:18:"Article categories";s:11:"description";s:21:"Term reference field.";}s:11:"field_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:13:"Article image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"article";s:7:"Article";}}s:5:"label";s:13:"Article image";s:11:"description";s:12:"Image field.";}s:15:"taxonomy_forums";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:6:"Forums";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:5:"forum";s:11:"Forum topic";}}s:5:"label";s:6:"Forums";s:11:"description";s:21:"Term reference field.";}s:17:"field_slide_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:11:"Slide image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:5:"slide";s:5:"Slide";}}s:5:"label";s:11:"Slide image";s:11:"description";s:12:"Image field.";}s:20:"field_employee_photo";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:14:"Employee photo";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:8:"employee";s:8:"Employee";}}s:5:"label";s:14:"Employee photo";s:11:"description";s:12:"Image field.";}s:19:"field_blog_category";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:15:"Blog categories";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:4:"blog";s:10:"Blog entry";}}s:5:"label";s:15:"Blog categories";s:11:"description";s:21:"Term reference field.";}s:23:"field_testi_author_info";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:13:"Your position";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"testimonial";s:11:"Testimonial";}}s:5:"label";s:13:"Your position";s:11:"description";s:11:"Text field.";}s:17:"field_testi_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:10:"Your photo";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"testimonial";s:11:"Testimonial";}}s:5:"label";s:10:"Your photo";s:11:"description";s:12:"Image field.";}s:18:"field_banner_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:12:"Banner image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:6:"banner";s:6:"Banner";}}s:5:"label";s:12:"Banner image";s:11:"description";s:12:"Image field.";}s:15:"field_blog_tags";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:4:"Tags";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:4:"blog";s:10:"Blog entry";}}s:5:"label";s:4:"Tags";s:11:"description";s:21:"Term reference field.";}s:16:"field_blog_media";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:10:"Blog media";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:4:"blog";s:10:"Blog entry";}}s:5:"label";s:10:"Blog media";s:11:"description";s:11:"File field.";}s:21:"field_banner_site_url";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:8:"Site URL";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:6:"banner";s:6:"Banner";}}s:5:"label";s:8:"Site URL";s:11:"description";s:11:"Link field.";}s:14:"field_user_bio";a:5:{s:11:"token types";a:1:{i:0;s:4:"user";}s:6:"labels";a:1:{i:0;s:3:"Bio";}s:7:"bundles";a:1:{s:4:"user";a:1:{s:4:"user";s:4:"User";}}s:5:"label";s:3:"Bio";s:11:"description";s:16:"Long text field.";}s:25:"field_file_image_alt_text";a:5:{s:11:"token types";a:1:{i:0;s:4:"file";}s:6:"labels";a:1:{i:0;s:8:"Alt Text";}s:7:"bundles";a:1:{s:4:"file";a:1:{s:5:"image";s:5:"Image";}}s:5:"label";s:8:"Alt Text";s:11:"description";s:11:"Text field.";}s:27:"field_file_image_title_text";a:5:{s:11:"token types";a:1:{i:0;s:4:"file";}s:6:"labels";a:1:{i:0;s:10:"Title Text";}s:7:"bundles";a:1:{s:4:"file";a:1:{s:5:"image";s:5:"Image";}}s:5:"label";s:10:"Title Text";s:11:"description";s:11:"Text field.";}s:16:"field_plan_price";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:5:"Price";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"tariff_plan";s:11:"Tariff plan";}}s:5:"label";s:5:"Price";s:11:"description";s:11:"Text field.";}s:17:"field_plan_period";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:6:"Period";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"tariff_plan";s:11:"Tariff plan";}}s:5:"label";s:6:"Period";s:11:"description";s:11:"Text field.";}s:16:"field_blog_share";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:5:"Share";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:4:"blog";s:10:"Blog entry";}}s:5:"label";s:5:"Share";s:11:"description";s:14:"AddThis field.";}s:24:"field_service_categories";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:18:"Service categories";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"service";s:7:"Service";}}s:5:"label";s:18:"Service categories";s:11:"description";s:21:"Term reference field.";}s:23:"field_question_category";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:17:"Question category";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:3:"faq";s:3:"FAQ";}}s:5:"label";s:17:"Question category";s:11:"description";s:21:"Term reference field.";}s:19:"field_service_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:13:"Service image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"service";s:7:"Service";}}s:5:"label";s:13:"Service image";s:11:"description";s:12:"Image field.";}s:23:"field_employee_facebook";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:17:"Employee Facebook";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:8:"employee";s:8:"Employee";}}s:5:"label";s:17:"Employee Facebook";s:11:"description";s:11:"Link field.";}s:18:"field_service_icon";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:12:"Service icon";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"service";s:7:"Service";}}s:5:"label";s:12:"Service icon";s:11:"description";s:11:"Text field.";}s:18:"field_plan_options";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:7:"Options";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"tariff_plan";s:11:"Tariff plan";}}s:5:"label";s:7:"Options";s:11:"description";s:11:"Text field.";}s:22:"field_project_category";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:16:"Project category";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"project";s:7:"Project";}}s:5:"label";s:16:"Project category";s:11:"description";s:21:"Term reference field.";}s:19:"field_project_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:13:"Project image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"project";s:7:"Project";}}s:5:"label";s:13:"Project image";s:11:"description";s:12:"Image field.";}s:27:"views_isotope_example_color";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:0:{}s:7:"bundles";a:0:{}s:5:"label";s:0:"";s:11:"description";s:11:"Text field.";}s:27:"views_isotope_example_shape";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:0:{}s:7:"bundles";a:0:{}s:5:"label";s:0:"";s:11:"description";s:11:"Text field.";}s:26:"views_isotope_example_size";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:0:{}s:7:"bundles";a:0:{}s:5:"label";s:0:"";s:11:"description";s:11:"Text field.";}s:20:"field_slide_category";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:10:"Categories";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:5:"slide";s:5:"Slide";}}s:5:"label";s:10:"Categories";s:11:"description";s:21:"Term reference field.";}s:27:"field_project_masonry_thumb";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:21:"Project masonry thumb";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:7:"project";s:7:"Project";}}s:5:"label";s:21:"Project masonry thumb";s:11:"description";s:12:"Image field.";}s:23:"field_employee_position";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:17:"Employee position";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:8:"employee";s:8:"Employee";}}s:5:"label";s:17:"Employee position";s:11:"description";s:11:"Text field.";}s:23:"field_employee_linkedin";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:17:"Employee Linkedin";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:8:"employee";s:8:"Employee";}}s:5:"label";s:17:"Employee Linkedin";s:11:"description";s:11:"Link field.";}s:15:"field_blog_like";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:4:"Like";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:4:"blog";s:10:"Blog entry";}}s:5:"label";s:4:"Like";s:11:"description";s:19:"Vote Up/Down field.";}s:19:"field_user_linkedin";a:5:{s:11:"token types";a:1:{i:0;s:4:"user";}s:6:"labels";a:1:{i:0;s:8:"Linkedin";}s:7:"bundles";a:1:{s:4:"user";a:1:{s:4:"user";s:4:"User";}}s:5:"label";s:8:"Linkedin";s:11:"description";s:11:"Link field.";}s:17:"field_user_tumblr";a:5:{s:11:"token types";a:1:{i:0;s:4:"user";}s:6:"labels";a:1:{i:0;s:6:"Tumblr";}s:7:"bundles";a:1:{s:4:"user";a:1:{s:4:"user";s:4:"User";}}s:5:"label";s:6:"Tumblr";s:11:"description";s:11:"Link field.";}s:16:"field_user_vimeo";a:5:{s:11:"token types";a:1:{i:0;s:4:"user";}s:6:"labels";a:1:{i:0;s:5:"Vimeo";}s:7:"bundles";a:1:{s:4:"user";a:1:{s:4:"user";s:4:"User";}}s:5:"label";s:5:"Vimeo";s:11:"description";s:11:"Link field.";}s:25:"commerce_customer_address";a:5:{s:11:"token types";a:1:{i:0;s:25:"commerce-customer-profile";}s:6:"labels";a:1:{i:0;s:7:"Address";}s:7:"bundles";a:1:{s:25:"commerce-customer-profile";a:1:{s:7:"billing";s:19:"Billing information";}}s:5:"label";s:7:"Address";s:11:"description";s:21:"Postal address field.";}s:19:"commerce_line_items";a:5:{s:11:"token types";a:1:{i:0;s:14:"commerce-order";}s:6:"labels";a:1:{i:0;s:10:"Line items";}s:7:"bundles";a:1:{s:14:"commerce-order";a:1:{s:14:"commerce_order";s:5:"Order";}}s:5:"label";s:10:"Line items";s:11:"description";s:26:"Line item reference field.";}s:20:"commerce_order_total";a:5:{s:11:"token types";a:1:{i:0;s:14:"commerce-order";}s:6:"labels";a:1:{i:0;s:11:"Order total";}s:7:"bundles";a:1:{s:14:"commerce-order";a:1:{s:14:"commerce_order";s:5:"Order";}}s:5:"label";s:11:"Order total";s:11:"description";s:12:"Price field.";}s:25:"commerce_customer_billing";a:5:{s:11:"token types";a:1:{i:0;s:14:"commerce-order";}s:6:"labels";a:1:{i:0;s:19:"Billing information";}s:7:"bundles";a:1:{s:14:"commerce-order";a:1:{s:14:"commerce_order";s:5:"Order";}}s:5:"label";s:19:"Billing information";s:11:"description";s:33:"Customer profile reference field.";}s:19:"commerce_unit_price";a:5:{s:11:"token types";a:1:{i:0;s:18:"commerce-line-item";}s:6:"labels";a:2:{i:0;s:10:"Unit price";i:1;s:10:"Unit price";}s:7:"bundles";a:1:{s:18:"commerce-line-item";a:2:{s:7:"product";s:7:"Product";s:15:"commerce_coupon";s:6:"Coupon";}}s:5:"label";s:10:"Unit price";s:11:"description";s:12:"Price field.";}s:14:"commerce_total";a:5:{s:11:"token types";a:1:{i:0;s:18:"commerce-line-item";}s:6:"labels";a:2:{i:0;s:5:"Total";i:1;s:5:"Total";}s:7:"bundles";a:1:{s:18:"commerce-line-item";a:2:{s:7:"product";s:7:"Product";s:15:"commerce_coupon";s:6:"Coupon";}}s:5:"label";s:5:"Total";s:11:"description";s:12:"Price field.";}s:16:"commerce_product";a:5:{s:11:"token types";a:1:{i:0;s:18:"commerce-line-item";}s:6:"labels";a:1:{i:0;s:7:"Product";}s:7:"bundles";a:1:{s:18:"commerce-line-item";a:1:{s:7:"product";s:7:"Product";}}s:5:"label";s:7:"Product";s:11:"description";s:24:"Product reference field.";}s:21:"commerce_display_path";a:5:{s:11:"token types";a:1:{i:0;s:18:"commerce-line-item";}s:6:"labels";a:1:{i:0;s:12:"Display path";}s:7:"bundles";a:1:{s:18:"commerce-line-item";a:1:{s:7:"product";s:7:"Product";}}s:5:"label";s:12:"Display path";s:11:"description";s:11:"Text field.";}s:14:"commerce_price";a:5:{s:11:"token types";a:1:{i:0;s:16:"commerce-product";}s:6:"labels";a:1:{i:0;s:5:"Price";}s:7:"bundles";a:1:{s:16:"commerce-product";a:1:{s:7:"product";s:7:"Product";}}s:5:"label";s:5:"Price";s:11:"description";s:12:"Price field.";}s:31:"commerce_coupon_order_reference";a:5:{s:11:"token types";a:1:{i:0;s:14:"commerce-order";}s:6:"labels";a:1:{i:0;s:6:"Coupon";}s:7:"bundles";a:1:{s:14:"commerce-order";a:1:{s:14:"commerce_order";s:5:"Order";}}s:5:"label";s:6:"Coupon";s:11:"description";s:23:"Entity Reference field.";}s:25:"commerce_coupon_reference";a:5:{s:11:"token types";a:1:{i:0;s:18:"commerce-line-item";}s:6:"labels";a:1:{i:0;s:6:"Coupon";}s:7:"bundles";a:1:{s:18:"commerce-line-item";a:1:{s:15:"commerce_coupon";s:6:"Coupon";}}s:5:"label";s:6:"Coupon";s:11:"description";s:23:"Entity Reference field.";}s:28:"commerce_wishlist_visibility";a:5:{s:11:"token types";a:1:{i:0;s:14:"commerce-order";}s:6:"labels";a:1:{i:0;s:19:"Wishlist visibility";}s:7:"bundles";a:1:{s:14:"commerce-order";a:1:{s:14:"commerce_order";s:5:"Order";}}s:5:"label";s:19:"Wishlist visibility";s:11:"description";s:21:"List (integer) field.";}s:17:"field_video_media";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:5:"Media";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"video_entry";s:11:"Video entry";}}s:5:"label";s:5:"Media";s:11:"description";s:11:"File field.";}s:22:"field_video_categories";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:10:"Categories";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"video_entry";s:11:"Video entry";}}s:5:"label";s:10:"Categories";s:11:"description";s:21:"Term reference field.";}s:21:"field_employee_tumblr";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:15:"Employee Tumblr";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:8:"employee";s:8:"Employee";}}s:5:"label";s:15:"Employee Tumblr";s:11:"description";s:11:"Link field.";}s:20:"commerce_coupon_code";a:5:{s:11:"token types";a:1:{i:0;s:15:"commerce_coupon";}s:6:"labels";a:1:{i:0;s:11:"Coupon Code";}s:7:"bundles";a:1:{s:15:"commerce_coupon";a:1:{s:14:"save_5_dollars";s:14:"Save 5 Dollars";}}s:5:"label";s:11:"Coupon Code";s:11:"description";s:11:"Text field.";}s:30:"commerce_coupon_number_of_uses";a:5:{s:11:"token types";a:1:{i:0;s:15:"commerce_coupon";}s:6:"labels";a:1:{i:0;s:22:"Maximum number of Uses";}s:7:"bundles";a:1:{s:15:"commerce_coupon";a:1:{s:14:"save_5_dollars";s:14:"Save 5 Dollars";}}s:5:"label";s:22:"Maximum number of Uses";s:11:"description";s:14:"Integer field.";}s:14:"commerce_stock";a:5:{s:11:"token types";a:1:{i:0;s:16:"commerce-product";}s:6:"labels";a:1:{i:0;s:5:"Stock";}s:7:"bundles";a:1:{s:16:"commerce-product";a:1:{s:7:"product";s:7:"Product";}}s:5:"label";s:5:"Stock";s:11:"description";s:14:"Integer field.";}s:23:"field_product_reference";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:7:"Product";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:15:"product_display";s:15:"Product display";}}s:5:"label";s:7:"Product";s:11:"description";s:24:"Product reference field.";}s:24:"field_product_categories";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:18:"Product categories";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:15:"product_display";s:15:"Product display";}}s:5:"label";s:18:"Product categories";s:11:"description";s:21:"Term reference field.";}s:19:"field_product_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:13:"Product image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:15:"product_display";s:15:"Product display";}}s:5:"label";s:13:"Product image";s:11:"description";s:12:"Image field.";}s:18:"field_product_tags";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:12:"Product tags";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:15:"product_display";s:15:"Product display";}}s:5:"label";s:12:"Product tags";s:11:"description";s:21:"Term reference field.";}s:19:"field_product_share";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:5:"Share";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:15:"product_display";s:15:"Product display";}}s:5:"label";s:5:"Share";s:11:"description";s:14:"AddThis field.";}s:12:"field_rating";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:6:"Rating";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:15:"product_display";s:15:"Product display";}}s:5:"label";s:6:"Rating";s:11:"description";s:22:"Fivestar Rating field.";}s:19:"field_plan_category";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:8:"Category";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"tariff_plan";s:11:"Tariff plan";}}s:5:"label";s:8:"Category";s:11:"description";s:21:"Term reference field.";}s:16:"field_plan_image";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:5:"Image";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"tariff_plan";s:11:"Tariff plan";}}s:5:"label";s:5:"Image";s:11:"description";s:12:"Image field.";}s:22:"field_plan_best_choice";a:5:{s:11:"token types";a:1:{i:0;s:4:"node";}s:6:"labels";a:1:{i:0;s:11:"Best choice";}s:7:"bundles";a:1:{s:4:"node";a:1:{s:11:"tariff_plan";s:11:"Tariff plan";}}s:5:"label";s:11:"Best choice";s:11:"description";s:14:"Boolean field.";}}', '0', '1469452349', 1);
INSERT INTO `cache_token` VALUES
('info:en', 'a:2:{s:6:"tokens";a:52:{s:4:"node";a:115:{s:10:"field-tags";a:4:{s:4:"name";s:18:"Article categories";s:11:"description";s:19:"Field "field_tags".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:10:"field_tags";a:3:{s:4:"name";s:18:"Article categories";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:11:"field_image";a:3:{s:4:"name";s:13:"Article image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:11:"field-image";a:5:{s:4:"name";s:13:"Article image";s:11:"description";s:140:"Field "field_image". The following properties may be appended to the token: file (The image file.), alt (The &quot;Alt&quot; attribute text)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:6:"author";a:3:{s:4:"name";s:6:"Author";s:11:"description";s:23:"The author of the node.";s:4:"type";s:4:"user";}s:18:"field-banner-image";a:5:{s:4:"name";s:12:"Banner image";s:11:"description";s:147:"Field "field_banner_image". The following properties may be appended to the token: file (The image file.), alt (The &quot;Alt&quot; attribute text)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:18:"field_banner_image";a:3:{s:4:"name";s:12:"Banner image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:22:"field-plan-best-choice";a:4:{s:4:"name";s:11:"Best choice";s:11:"description";s:31:"Field "field_plan_best_choice".";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:22:"field_plan_best_choice";a:3:{s:4:"name";s:11:"Best choice";s:11:"description";s:14:"Boolean field.";s:6:"module";s:5:"token";}s:19:"field_blog_category";a:3:{s:4:"name";s:15:"Blog categories";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:19:"field-blog-category";a:4:{s:4:"name";s:15:"Blog categories";s:11:"description";s:28:"Field "field_blog_category".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:16:"field-blog-media";a:5:{s:4:"name";s:10:"Blog media";s:11:"description";s:97:"Field "field_blog_media". The following properties may be appended to the token: file (The file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:16:"field_blog_media";a:3:{s:4:"name";s:10:"Blog media";s:11:"description";s:11:"File field.";s:6:"module";s:5:"token";}s:4:"body";a:3:{s:4:"name";s:4:"Body";s:11:"description";s:140:"The main body text of the node. The following properties may be appended to the token: value (Text), summary (Summary), format (Text format)";s:7:"dynamic";b:1;}s:22:"field-video-categories";a:4:{s:4:"name";s:10:"Categories";s:11:"description";s:31:"Field "field_video_categories".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:20:"field_slide_category";a:3:{s:4:"name";s:10:"Categories";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:20:"field-slide-category";a:4:{s:4:"name";s:10:"Categories";s:11:"description";s:29:"Field "field_slide_category".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:22:"field_video_categories";a:3:{s:4:"name";s:10:"Categories";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:19:"field_plan_category";a:3:{s:4:"name";s:8:"Category";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:19:"field-plan-category";a:4:{s:4:"name";s:8:"Category";s:11:"description";s:28:"Field "field_plan_category".";s:4:"type";s:4:"term";s:12:"entity-token";b:1;}s:27:"views-isotope-example-color";a:4:{s:4:"name";s:5:"Color";s:11:"description";s:36:"Field "views_isotope_example_color".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:13:"comment-count";a:2:{s:4:"name";s:13:"Comment count";s:11:"description";s:40:"The number of comments posted on a node.";}s:8:"comments";a:4:{s:4:"name";s:8:"Comments";s:11:"description";s:18:"The node comments.";s:4:"type";s:13:"list<comment>";s:12:"entity-token";b:1;}s:7:"comment";a:4:{s:4:"name";s:16:"Comments allowed";s:11:"description";s:97:"Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:3:"nid";a:2:{s:4:"name";s:10:"Content ID";s:11:"description";s:45:"The unique ID of the content item, or "node".";}s:12:"content-type";a:3:{s:4:"name";s:12:"Content type";s:11:"description";s:29:"The content type of the node.";s:4:"type";s:12:"content-type";}s:8:"revision";a:4:{s:4:"name";s:16:"Creates revision";s:11:"description";s:48:"Whether saving this node creates a new revision.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:7:"changed";a:3:{s:4:"name";s:12:"Date changed";s:11:"description";s:44:"The date the node was most recently updated.";s:4:"type";s:4:"date";}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:29:"The date the node was posted.";s:4:"type";s:4:"date";}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:32:"The URL of the node''s edit page.";}s:23:"field-employee-facebook";a:5:{s:4:"name";s:17:"Employee Facebook";s:11:"description";s:188:"Field "field_employee_facebook". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:23:"field_employee_facebook";a:3:{s:4:"name";s:17:"Employee Facebook";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:23:"field-employee-linkedin";a:5:{s:4:"name";s:17:"Employee Linkedin";s:11:"description";s:188:"Field "field_employee_linkedin". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:23:"field_employee_linkedin";a:3:{s:4:"name";s:17:"Employee Linkedin";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:21:"field_employee_tumblr";a:3:{s:4:"name";s:15:"Employee Tumblr";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:21:"field-employee-tumblr";a:5:{s:4:"name";s:15:"Employee Tumblr";s:11:"description";s:186:"Field "field_employee_tumblr". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:20:"field_employee_photo";a:3:{s:4:"name";s:14:"Employee photo";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:20:"field-employee-photo";a:5:{s:4:"name";s:14:"Employee photo";s:11:"description";s:149:"Field "field_employee_photo". The following properties may be appended to the token: file (The image file.), alt (The &quot;Alt&quot; attribute text)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:23:"field_employee_position";a:3:{s:4:"name";s:17:"Employee position";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:23:"field-employee-position";a:4:{s:4:"name";s:17:"Employee position";s:11:"description";s:32:"Field "field_employee_position".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:15:"taxonomy_forums";a:3:{s:4:"name";s:6:"Forums";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:15:"taxonomy-forums";a:4:{s:4:"name";s:6:"Forums";s:11:"description";s:24:"Field "taxonomy_forums".";s:4:"type";s:4:"term";s:12:"entity-token";b:1;}s:16:"field-plan-image";a:5:{s:4:"name";s:5:"Image";s:11:"description";s:103:"Field "field_plan_image". The following properties may be appended to the token: file (The image file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:16:"field_plan_image";a:3:{s:4:"name";s:5:"Image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:6:"is-new";a:4:{s:4:"name";s:6:"Is new";s:11:"description";s:58:"Whether the node is new and not saved to the database yet.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:8:"language";a:2:{s:4:"name";s:8:"Language";s:11:"description";s:36:"The language the node is written in.";}s:9:"last-view";a:3:{s:4:"name";s:9:"Last view";s:11:"description";s:47:"The date on which a visitor last read the node.";s:4:"type";s:4:"date";}s:15:"field_blog_like";a:3:{s:4:"name";s:4:"Like";s:11:"description";s:19:"Vote Up/Down field.";s:6:"module";s:5:"token";}s:17:"field-video-media";a:5:{s:4:"name";s:5:"Media";s:11:"description";s:98:"Field "field_video_media". The following properties may be appended to the token: file (The file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:17:"field_video_media";a:3:{s:4:"name";s:5:"Media";s:11:"description";s:11:"File field.";s:6:"module";s:5:"token";}s:9:"menu-link";a:3:{s:4:"name";s:9:"Menu link";s:11:"description";s:28:"The menu link for this node.";s:4:"type";s:9:"menu-link";}s:17:"comment-count-new";a:2:{s:4:"name";s:17:"New comment count";s:11:"description";s:72:"The number of comments posted on a node since the reader last viewed it.";}s:5:"views";a:4:{s:4:"name";s:15:"Number of views";s:11:"description";s:46:"The number of visitors who have read the node.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:11:"total-count";a:2:{s:4:"name";s:15:"Number of views";s:11:"description";s:46:"The number of visitors who have read the node.";}s:18:"field_plan_options";a:3:{s:4:"name";s:7:"Options";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:18:"field-plan-options";a:4:{s:4:"name";s:7:"Options";s:11:"description";s:27:"Field "field_plan_options".";s:4:"type";s:10:"list<text>";s:12:"entity-token";b:1;}s:8:"original";a:4:{s:4:"name";s:13:"Original node";s:11:"description";s:61:"The original node data if the node is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:4:"node";}s:17:"field-plan-period";a:4:{s:4:"name";s:6:"Period";s:11:"description";s:26:"Field "field_plan_period".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:17:"field_plan_period";a:3:{s:4:"name";s:6:"Period";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:13:"poll-duration";a:2:{s:4:"name";s:13:"Poll duration";s:11:"description";s:42:"The length of time the poll is set to run.";}s:10:"poll-votes";a:2:{s:4:"name";s:10:"Poll votes";s:11:"description";s:50:"The number of votes that have been cast on a poll.";}s:11:"poll-winner";a:2:{s:4:"name";s:11:"Poll winner";s:11:"description";s:24:"The winning poll answer.";}s:19:"poll-winner-percent";a:2:{s:4:"name";s:19:"Poll winner percent";s:11:"description";s:60:"The percentage of votes received by the winning poll answer.";}s:17:"poll-winner-votes";a:2:{s:4:"name";s:17:"Poll winner votes";s:11:"description";s:56:"The number of votes received by the winning poll answer.";}s:16:"field-plan-price";a:4:{s:4:"name";s:5:"Price";s:11:"description";s:25:"Field "field_plan_price".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:16:"field_plan_price";a:3:{s:4:"name";s:5:"Price";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:23:"field-product-reference";a:4:{s:4:"name";s:7:"Product";s:11:"description";s:32:"Field "field_product_reference".";s:4:"type";s:22:"list<commerce-product>";s:12:"entity-token";b:1;}s:23:"field_product_reference";a:3:{s:4:"name";s:7:"Product";s:11:"description";s:24:"Product reference field.";s:6:"module";s:5:"token";}s:24:"field-product-categories";a:4:{s:4:"name";s:18:"Product categories";s:11:"description";s:33:"Field "field_product_categories".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:24:"field_product_categories";a:3:{s:4:"name";s:18:"Product categories";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:19:"field_product_image";a:3:{s:4:"name";s:13:"Product image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:19:"field-product-image";a:5:{s:4:"name";s:13:"Product image";s:11:"description";s:106:"Field "field_product_image". The following properties may be appended to the token: file (The image file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:18:"field-product-tags";a:4:{s:4:"name";s:12:"Product tags";s:11:"description";s:27:"Field "field_product_tags".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:18:"field_product_tags";a:3:{s:4:"name";s:12:"Product tags";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:22:"field_project_category";a:3:{s:4:"name";s:16:"Project category";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:22:"field-project-category";a:4:{s:4:"name";s:16:"Project category";s:11:"description";s:31:"Field "field_project_category".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:19:"field_project_image";a:3:{s:4:"name";s:13:"Project image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:19:"field-project-image";a:5:{s:4:"name";s:13:"Project image";s:11:"description";s:106:"Field "field_project_image". The following properties may be appended to the token: file (The image file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:27:"field_project_masonry_thumb";a:3:{s:4:"name";s:21:"Project masonry thumb";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:27:"field-project-masonry-thumb";a:5:{s:4:"name";s:21:"Project masonry thumb";s:11:"description";s:114:"Field "field_project_masonry_thumb". The following properties may be appended to the token: file (The image file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:7:"promote";a:4:{s:4:"name";s:21:"Promoted to frontpage";s:11:"description";s:46:"Whether the node is promoted to the frontpage.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:23:"field_question_category";a:3:{s:4:"name";s:17:"Question category";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:23:"field-question-category";a:4:{s:4:"name";s:17:"Question category";s:11:"description";s:32:"Field "field_question_category".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:12:"field_rating";a:3:{s:4:"name";s:6:"Rating";s:11:"description";s:22:"Fivestar Rating field.";s:6:"module";s:5:"token";}s:12:"field-rating";a:5:{s:4:"name";s:6:"Rating";s:11:"description";s:171:"Field "field_rating". The following properties may be appended to the token: average_rating (Average Rating), user_rating (User&#039;s Rating), rating_count (Rating count)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:3:"vid";a:2:{s:4:"name";s:11:"Revision ID";s:11:"description";s:44:"The unique ID of the node''s latest revision.";}s:3:"log";a:2:{s:4:"name";s:20:"Revision log message";s:11:"description";s:60:"The explanation of the most recent changes made to the node.";}s:24:"field_service_categories";a:3:{s:4:"name";s:18:"Service categories";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:24:"field-service-categories";a:4:{s:4:"name";s:18:"Service categories";s:11:"description";s:33:"Field "field_service_categories".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:18:"field_service_icon";a:3:{s:4:"name";s:12:"Service icon";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:18:"field-service-icon";a:5:{s:4:"name";s:12:"Service icon";s:11:"description";s:117:"Field "field_service_icon". The following properties may be appended to the token: value (Text), format (Text format)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:19:"field_service_image";a:3:{s:4:"name";s:13:"Service image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:19:"field-service-image";a:5:{s:4:"name";s:13:"Service image";s:11:"description";s:106:"Field "field_service_image". The following properties may be appended to the token: file (The image file.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:27:"views-isotope-example-shape";a:4:{s:4:"name";s:5:"Shape";s:11:"description";s:36:"Field "views_isotope_example_shape".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:16:"field_blog_share";a:3:{s:4:"name";s:5:"Share";s:11:"description";s:14:"AddThis field.";s:6:"module";s:5:"token";}s:19:"field_product_share";a:3:{s:4:"name";s:5:"Share";s:11:"description";s:14:"AddThis field.";s:6:"module";s:5:"token";}s:21:"field_banner_site_url";a:3:{s:4:"name";s:8:"Site URL";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:21:"field-banner-site-url";a:5:{s:4:"name";s:8:"Site URL";s:11:"description";s:154:"Field "field_banner_site_url". The following properties may be appended to the token: url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:26:"views-isotope-example-size";a:4:{s:4:"name";s:4:"Size";s:11:"description";s:35:"Field "views_isotope_example_size".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:17:"field_slide_image";a:3:{s:4:"name";s:11:"Slide image";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:17:"field-slide-image";a:5:{s:4:"name";s:11:"Slide image";s:11:"description";s:146:"Field "field_slide_image". The following properties may be appended to the token: file (The image file.), alt (The &quot;Alt&quot; attribute text)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:45:"Whether the node is published or unpublished.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:6:"sticky";a:4:{s:4:"name";s:15:"Sticky in lists";s:11:"description";s:70:"Whether the node is displayed at the top of lists in which it appears.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:7:"summary";a:2:{s:4:"name";s:7:"Summary";s:11:"description";s:41:"The summary of the node''s main body text.";}s:15:"field_blog_tags";a:3:{s:4:"name";s:4:"Tags";s:11:"description";s:21:"Term reference field.";s:6:"module";s:5:"token";}s:15:"field-blog-tags";a:4:{s:4:"name";s:4:"Tags";s:11:"description";s:24:"Field "field_blog_tags".";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:5:"title";a:2:{s:4:"name";s:5:"Title";s:11:"description";s:22:"The title of the node.";}s:6:"source";a:3:{s:4:"name";s:23:"Translation source node";s:11:"description";s:56:"The source node for this current node''s translation set.";s:4:"type";s:4:"node";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:20:"The URL of the node.";s:4:"type";s:3:"url";}s:9:"day-views";a:4:{s:4:"name";s:11:"Views today";s:11:"description";s:52:"The number of visitors who have read the node today.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:9:"day-count";a:2:{s:4:"name";s:11:"Views today";s:11:"description";s:52:"The number of visitors who have read the node today.";}s:17:"field-testi-image";a:5:{s:4:"name";s:10:"Your photo";s:11:"description";s:146:"Field "field_testi_image". The following properties may be appended to the token: file (The image file.), alt (The &quot;Alt&quot; attribute text)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:17:"field_testi_image";a:3:{s:4:"name";s:10:"Your photo";s:11:"description";s:12:"Image field.";s:6:"module";s:5:"token";}s:23:"field-testi-author-info";a:4:{s:4:"name";s:13:"Your position";s:11:"description";s:32:"Field "field_testi_author_info".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:23:"field_testi_author_info";a:3:{s:4:"name";s:13:"Your position";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}}s:12:"content-type";a:5:{s:11:"description";a:2:{s:4:"name";s:11:"Description";s:11:"description";s:45:"The optional description of the content type.";}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:40:"The URL of the content type''s edit page.";}s:12:"machine-name";a:2:{s:4:"name";s:21:"Machine-readable name";s:11:"description";s:53:"The unique machine-readable name of the content type.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:29:"The name of the content type.";}s:10:"node-count";a:2:{s:4:"name";s:10:"Node count";s:11:"description";s:50:"The number of nodes belonging to the content type.";}}s:4:"term";a:13:{s:11:"parents-all";a:4:{s:4:"name";s:16:"All parent terms";s:11:"description";s:65:"Ancestors of the term, i.e. parent of all above hierarchy levels.";s:4:"type";s:10:"list<term>";s:12:"entity-token";b:1;}s:11:"description";a:2:{s:4:"name";s:11:"Description";s:11:"description";s:46:"The optional description of the taxonomy term.";}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:41:"The URL of the taxonomy term''s edit page.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:30:"The name of the taxonomy term.";}s:10:"node-count";a:2:{s:4:"name";s:10:"Node count";s:11:"description";s:50:"The number of nodes tagged with the taxonomy term.";}s:8:"original";a:4:{s:4:"name";s:22:"Original taxonomy term";s:11:"description";s:79:"The original taxonomy term data if the taxonomy term is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:4:"term";}s:7:"parents";a:3:{s:4:"name";s:7:"Parents";s:11:"description";s:59:"An array of all the term''s parents, starting with the root.";s:4:"type";s:5:"array";}s:6:"parent";a:3:{s:4:"name";s:11:"Parent term";s:11:"description";s:52:"The parent term of the taxonomy term, if one exists.";s:4:"type";s:4:"term";}s:4:"root";a:3:{s:4:"name";s:9:"Root term";s:11:"description";s:35:"The root term of the taxonomy term.";s:4:"type";s:4:"term";}s:3:"tid";a:2:{s:4:"name";s:7:"Term ID";s:11:"description";s:35:"The unique ID of the taxonomy term.";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:29:"The URL of the taxonomy term.";s:4:"type";s:3:"url";}s:10:"vocabulary";a:3:{s:4:"name";s:10:"Vocabulary";s:11:"description";s:44:"The vocabulary the taxonomy term belongs to.";s:4:"type";s:10:"vocabulary";}s:6:"weight";a:4:{s:4:"name";s:6:"Weight";s:11:"description";s:72:"The weight of the term, which is used for ordering terms during display.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}}s:10:"vocabulary";a:8:{s:11:"description";a:2:{s:4:"name";s:11:"Description";s:11:"description";s:52:"The optional description of the taxonomy vocabulary.";}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:38:"The URL of the vocabulary''s edit page.";}s:12:"machine-name";a:2:{s:4:"name";s:21:"Machine-readable name";s:11:"description";s:51:"The unique machine-readable name of the vocabulary.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:36:"The name of the taxonomy vocabulary.";}s:10:"node-count";a:2:{s:4:"name";s:10:"Node count";s:11:"description";s:75:"The number of nodes tagged with terms belonging to the taxonomy vocabulary.";}s:8:"original";a:4:{s:4:"name";s:28:"Original taxonomy vocabulary";s:11:"description";s:91:"The original taxonomy vocabulary data if the taxonomy vocabulary is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:10:"vocabulary";}s:10:"term-count";a:2:{s:4:"name";s:10:"Term count";s:11:"description";s:57:"The number of terms belonging to the taxonomy vocabulary.";}s:3:"vid";a:2:{s:4:"name";s:13:"Vocabulary ID";s:11:"description";s:41:"The unique ID of the taxonomy vocabulary.";}}s:4:"file";a:16:{s:25:"field-file-image-alt-text";a:4:{s:4:"name";s:8:"Alt Text";s:11:"description";s:34:"Field "field_file_image_alt_text".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:25:"field_file_image_alt_text";a:3:{s:4:"name";s:8:"Alt Text";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:8:"basename";a:2:{s:4:"name";s:9:"Base name";s:11:"description";s:26:"The base name of the file.";}s:9:"extension";a:2:{s:4:"name";s:9:"Extension";s:11:"description";s:26:"The extension of the file.";}s:3:"fid";a:2:{s:4:"name";s:7:"File ID";s:11:"description";s:35:"The unique ID of the uploaded file.";}s:8:"size-raw";a:2:{s:4:"name";s:14:"File byte size";s:11:"description";s:31:"The size of the file, in bytes.";}s:4:"name";a:2:{s:4:"name";s:9:"File name";s:11:"description";s:29:"The name of the file on disk.";}s:4:"size";a:2:{s:4:"name";s:9:"File size";s:11:"description";s:21:"The size of the file.";}s:4:"mime";a:2:{s:4:"name";s:9:"MIME type";s:11:"description";s:26:"The MIME type of the file.";}s:8:"original";a:4:{s:4:"name";s:13:"Original file";s:11:"description";s:61:"The original file data if the file is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:4:"file";}s:5:"owner";a:3:{s:4:"name";s:5:"Owner";s:11:"description";s:42:"The user who originally uploaded the file.";s:4:"type";s:4:"user";}s:4:"path";a:2:{s:4:"name";s:4:"Path";s:11:"description";s:49:"The location of the file relative to Drupal root.";}s:9:"timestamp";a:3:{s:4:"name";s:9:"Timestamp";s:11:"description";s:44:"The date the file was most recently changed.";s:4:"type";s:4:"date";}s:27:"field-file-image-title-text";a:4:{s:4:"name";s:10:"Title Text";s:11:"description";s:36:"Field "field_file_image_title_text".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:27:"field_file_image_title_text";a:3:{s:4:"name";s:10:"Title Text";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:3:"url";a:2:{s:4:"name";s:3:"URL";s:11:"description";s:36:"The web-accessible URL for the file.";}}s:4:"user";a:24:{s:10:"cancel-url";a:3:{s:4:"name";s:24:"Account cancellation URL";s:11:"description";s:56:"The URL of the confirm delete page for the user account.";s:10:"restricted";b:1;}s:14:"field-user-bio";a:4:{s:4:"name";s:3:"Bio";s:11:"description";s:23:"Field "field_user_bio".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:14:"field_user_bio";a:3:{s:4:"name";s:3:"Bio";s:11:"description";s:16:"Long text field.";s:6:"module";s:5:"token";}s:7:"created";a:3:{s:4:"name";s:7:"Created";s:11:"description";s:38:"The date the user account was created.";s:4:"type";s:4:"date";}s:5:"theme";a:4:{s:4:"name";s:13:"Default theme";s:11:"description";s:25:"The user''s default theme.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:33:"The URL of the account edit page.";}s:4:"mail";a:2:{s:4:"name";s:5:"Email";s:11:"description";s:38:"The email address of the user account.";}s:11:"last-access";a:4:{s:4:"name";s:11:"Last access";s:11:"description";s:41:"The date the user last accessed the site.";s:4:"type";s:4:"date";s:12:"entity-token";b:1;}s:10:"last-login";a:3:{s:4:"name";s:10:"Last login";s:11:"description";s:45:"The date the user last logged in to the site.";s:4:"type";s:4:"date";}s:19:"field_user_linkedin";a:3:{s:4:"name";s:8:"Linkedin";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:19:"field-user-linkedin";a:5:{s:4:"name";s:8:"Linkedin";s:11:"description";s:184:"Field "field_user_linkedin". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:35:"The login name of the user account.";}s:18:"one-time-login-url";a:3:{s:4:"name";s:18:"One-time login URL";s:11:"description";s:56:"The URL of the one-time login page for the user account.";s:10:"restricted";b:1;}s:8:"original";a:4:{s:4:"name";s:13:"Original user";s:11:"description";s:61:"The original user data if the user is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:4:"user";}s:7:"picture";a:3:{s:4:"name";s:7:"Picture";s:11:"description";s:24:"The picture of the user.";s:4:"type";s:4:"file";}s:5:"roles";a:3:{s:4:"name";s:5:"Roles";s:11:"description";s:48:"The user roles associated with the user account.";s:4:"type";s:5:"array";}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:38:"Whether the user is active or blocked.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:22:"commerce-currency-code";a:2:{s:4:"name";s:17:"The user currency";s:11:"description";s:62:"The currence code of the currency to use for the current user.";}s:17:"field_user_tumblr";a:3:{s:4:"name";s:6:"Tumblr";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:17:"field-user-tumblr";a:5:{s:4:"name";s:6:"Tumblr";s:11:"description";s:182:"Field "field_user_tumblr". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:36:"The URL of the account profile page.";s:4:"type";s:3:"url";}s:3:"uid";a:2:{s:4:"name";s:7:"User ID";s:11:"description";s:34:"The unique ID of the user account.";}s:16:"field_user_vimeo";a:3:{s:4:"name";s:5:"Vimeo";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:16:"field-user-vimeo";a:5:{s:4:"name";s:5:"Vimeo";s:11:"description";s:181:"Field "field_user_vimeo". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}}s:12:"current-user";a:25:{s:10:"cancel-url";a:3:{s:4:"name";s:24:"Account cancellation URL";s:11:"description";s:56:"The URL of the confirm delete page for the user account.";s:10:"restricted";b:1;}s:14:"field_user_bio";a:3:{s:4:"name";s:3:"Bio";s:11:"description";s:16:"Long text field.";s:6:"module";s:5:"token";}s:14:"field-user-bio";a:4:{s:4:"name";s:3:"Bio";s:11:"description";s:23:"Field "field_user_bio".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:7:"created";a:3:{s:4:"name";s:7:"Created";s:11:"description";s:38:"The date the user account was created.";s:4:"type";s:4:"date";}s:5:"theme";a:4:{s:4:"name";s:13:"Default theme";s:11:"description";s:25:"The user''s default theme.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:33:"The URL of the account edit page.";}s:4:"mail";a:2:{s:4:"name";s:5:"Email";s:11:"description";s:38:"The email address of the user account.";}s:10:"ip-address";a:2:{s:4:"name";s:10:"IP address";s:11:"description";s:35:"The IP address of the current user.";}s:11:"last-access";a:4:{s:4:"name";s:11:"Last access";s:11:"description";s:41:"The date the user last accessed the site.";s:4:"type";s:4:"date";s:12:"entity-token";b:1;}s:10:"last-login";a:3:{s:4:"name";s:10:"Last login";s:11:"description";s:45:"The date the user last logged in to the site.";s:4:"type";s:4:"date";}s:19:"field-user-linkedin";a:5:{s:4:"name";s:8:"Linkedin";s:11:"description";s:184:"Field "field_user_linkedin". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:19:"field_user_linkedin";a:3:{s:4:"name";s:8:"Linkedin";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:35:"The login name of the user account.";}s:18:"one-time-login-url";a:3:{s:4:"name";s:18:"One-time login URL";s:11:"description";s:56:"The URL of the one-time login page for the user account.";s:10:"restricted";b:1;}s:8:"original";a:4:{s:4:"name";s:13:"Original user";s:11:"description";s:61:"The original user data if the user is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:4:"user";}s:7:"picture";a:3:{s:4:"name";s:7:"Picture";s:11:"description";s:24:"The picture of the user.";s:4:"type";s:4:"file";}s:5:"roles";a:3:{s:4:"name";s:5:"Roles";s:11:"description";s:48:"The user roles associated with the user account.";s:4:"type";s:5:"array";}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:38:"Whether the user is active or blocked.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:22:"commerce-currency-code";a:2:{s:4:"name";s:17:"The user currency";s:11:"description";s:62:"The currence code of the currency to use for the current user.";}s:17:"field_user_tumblr";a:3:{s:4:"name";s:6:"Tumblr";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:17:"field-user-tumblr";a:5:{s:4:"name";s:6:"Tumblr";s:11:"description";s:182:"Field "field_user_tumblr". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:36:"The URL of the account profile page.";s:4:"type";s:3:"url";}s:3:"uid";a:2:{s:4:"name";s:7:"User ID";s:11:"description";s:34:"The unique ID of the user account.";}s:16:"field_user_vimeo";a:3:{s:4:"name";s:5:"Vimeo";s:11:"description";s:11:"Link field.";s:6:"module";s:5:"token";}s:16:"field-user-vimeo";a:5:{s:4:"name";s:5:"Vimeo";s:11:"description";s:181:"Field "field_user_vimeo". The following properties may be appended to the token: title (The title of the link.), url (The URL of the link.), attributes (The attributes of the link.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}}s:9:"menu-link";a:8:{s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:37:"The URL of the menu link''s edit page.";}s:4:"mlid";a:2:{s:4:"name";s:7:"Link ID";s:11:"description";s:31:"The unique ID of the menu link.";}s:4:"menu";a:3:{s:4:"name";s:4:"Menu";s:11:"description";s:26:"The menu of the menu link.";s:4:"type";s:4:"menu";}s:6:"parent";a:3:{s:4:"name";s:6:"Parent";s:11:"description";s:23:"The menu link''s parent.";s:4:"type";s:9:"menu-link";}s:7:"parents";a:3:{s:4:"name";s:7:"Parents";s:11:"description";s:64:"An array of all the menu link''s parents, starting with the root.";s:4:"type";s:5:"array";}s:4:"root";a:3:{s:4:"name";s:4:"Root";s:11:"description";s:21:"The menu link''s root.";s:4:"type";s:9:"menu-link";}s:5:"title";a:2:{s:4:"name";s:5:"Title";s:11:"description";s:27:"The title of the menu link.";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:25:"The URL of the menu link.";s:4:"type";s:3:"url";}}s:12:"current-page";a:4:{s:11:"page-number";a:2:{s:4:"name";s:11:"Page number";s:11:"description";s:61:"The page number of the current page when viewing paged lists.";}s:5:"query";a:3:{s:4:"name";s:18:"Query string value";s:11:"description";s:63:"The value of a specific query string field of the current page.";s:7:"dynamic";b:1;}s:5:"title";a:2:{s:4:"name";s:5:"Title";s:11:"description";s:30:"The title of the current page.";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:28:"The URL of the current page.";s:4:"type";s:3:"url";}}s:3:"url";a:6:{s:8:"absolute";a:2:{s:4:"name";s:12:"Absolute URL";s:11:"description";s:17:"The absolute URL.";}s:4:"args";a:3:{s:4:"name";s:9:"Arguments";s:11:"description";s:90:"The specific argument of the current page (e.g. ''arg:1'' on the page ''node/1'' returns ''1'').";s:4:"type";s:5:"array";}s:5:"brief";a:2:{s:4:"name";s:9:"Brief URL";s:11:"description";s:52:"The URL without the protocol and trailing backslash.";}s:4:"path";a:2:{s:4:"name";s:4:"Path";s:11:"description";s:30:"The path component of the URL.";}s:8:"relative";a:2:{s:4:"name";s:12:"Relative URL";s:11:"description";s:17:"The relative URL.";}s:9:"unaliased";a:3:{s:4:"name";s:13:"Unaliased URL";s:11:"description";s:18:"The unaliased URL.";s:4:"type";s:3:"url";}}s:5:"array";a:7:{s:5:"count";a:2:{s:4:"name";s:5:"Count";s:11:"description";s:36:"The number of elements in the array.";}s:5:"first";a:2:{s:4:"name";s:5:"First";s:11:"description";s:31:"The first element of the array.";}s:4:"join";a:3:{s:4:"name";s:8:"Imploded";s:11:"description";s:83:"The values of the array joined together with a custom string in-between each value.";s:7:"dynamic";b:1;}s:4:"keys";a:3:{s:4:"name";s:4:"Keys";s:11:"description";s:31:"The array of keys of the array.";s:4:"type";s:5:"array";}s:4:"last";a:2:{s:4:"name";s:4:"Last";s:11:"description";s:30:"The last element of the array.";}s:8:"reversed";a:3:{s:4:"name";s:8:"Reversed";s:11:"description";s:19:"The array reversed.";s:4:"type";s:5:"array";}s:5:"value";a:3:{s:4:"name";s:5:"Value";s:11:"description";s:32:"The specific value of the array.";s:7:"dynamic";b:1;}}s:6:"random";a:2:{s:4:"hash";a:3:{s:4:"name";s:4:"Hash";s:11:"description";s:483:"A random hash. The possible hashing algorithms are: md2, md4, md5, sha1, sha224, sha256, sha384, sha512, ripemd128, ripemd160, ripemd256, ripemd320, whirlpool, tiger128,3, tiger160,3, tiger192,3, tiger128,4, tiger160,4, tiger192,4, snefru, snefru256, gost, adler32, crc32, crc32b, fnv132, fnv164, joaat, haval128,3, haval160,3, haval192,3, haval224,3, haval256,3, haval128,4, haval160,4, haval192,4, haval224,4, haval256,4, haval128,5, haval160,5, haval192,5, haval224,5, haval256,5.";s:7:"dynamic";b:1;}s:6:"number";a:2:{s:4:"name";s:6:"Number";s:11:"description";s:37:"A random number from 0 to 2147483647.";}}s:10:"submission";a:11:{s:12:"access-token";a:2:{s:4:"name";s:12:"Access token";s:11:"description";s:66:"The security token used to gain access to this webform submission.";}s:14:"completed_date";a:3:{s:4:"name";s:14:"Date completed";s:11:"description";s:53:"The date the webform was first completed (not draft).";s:4:"type";s:4:"date";}s:13:"modified_date";a:3:{s:4:"name";s:13:"Date modified";s:11:"description";s:57:"The date the webform was last saved (draft or completed).";s:4:"type";s:4:"date";}s:4:"date";a:3:{s:4:"name";s:14:"Date submitted";s:11:"description";s:58:"The date the webform was first save as draft or completed.";s:4:"type";s:4:"date";}s:8:"edit-url";a:3:{s:4:"name";s:8:"Edit URL";s:11:"description";s:52:"Webform tokens related to the submission''s Edit URL.";s:4:"type";s:3:"url";}s:10:"ip-address";a:2:{s:4:"name";s:10:"IP address";s:11:"description";s:57:"The IP address that was used when submitting the webform.";}s:6:"serial";a:2:{s:4:"name";s:13:"Serial number";s:11:"description";s:45:"The serial number of this webform submission.";}s:3:"sid";a:2:{s:4:"name";s:13:"Submission ID";s:11:"description";s:50:"The unique indentifier for the webform submission.";}s:4:"user";a:3:{s:4:"name";s:9:"Submitter";s:11:"description";s:43:"The user that submitted the webform result.";s:4:"type";s:4:"user";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:47:"Webform tokens related to the submission''s URL.";s:4:"type";s:3:"url";}s:6:"values";a:3:{s:4:"name";s:25:"Webform submission values";s:11:"description";s:600:"<div>Webform tokens from submitted data. Replace the "?" with the "field key", including any parent field keys separated by colons. You can append:</div><ul><li>the question key for just that one question (grid components).</li><li>the option key for just that one option (grid and select components).</li><li><code>:nolabel</code> for the value without the label (the default).</li><li><code>:label</code> for just the label.</li><li><code>:withlabel</code> for both the label and value together.</li><li><code>:key</code> for just the key in a key|label pair (grid and select components).</li></ul>";s:7:"dynamic";b:1;}}s:13:"address-field";a:14:{s:16:"format-mailchimp";a:2:{s:4:"name";s:31:"Address formatted for MailChimp";s:11:"description";s:53:"The full address formatted for import into MailChimp.";}s:19:"administrative-area";a:2:{s:4:"name";s:41:"Administrative area (i.e. State/Province)";s:11:"description";s:71:"The administrative area value, expanded to the full name if applicable.";}s:23:"administrative-area-raw";a:2:{s:4:"name";s:31:"Administrative area (raw value)";s:11:"description";s:34:"The raw administrative area value.";}s:12:"country-code";a:2:{s:4:"name";s:12:"Country code";s:11:"description";s:32:"The two letter ISO country code.";}s:7:"country";a:2:{s:4:"name";s:12:"Country name";s:11:"description";s:29:"The full name of the country.";}s:10:"first-name";a:2:{s:4:"name";s:10:"First name";s:11:"description";s:21:"The first name value.";}s:9:"name-line";a:2:{s:4:"name";s:9:"Full name";s:11:"description";s:35:"The name line value of the address.";}s:9:"last-name";a:2:{s:4:"name";s:9:"Last name";s:11:"description";s:20:"The last name value.";}s:8:"locality";a:2:{s:4:"name";s:20:"Locality (i.e. City)";s:11:"description";s:19:"The locality value.";}s:12:"organisation";a:2:{s:4:"name";s:12:"Organisation";s:11:"description";s:28:"The organisation name value.";}s:11:"postal-code";a:2:{s:4:"name";s:11:"Postal code";s:11:"description";s:22:"The postal code value.";}s:7:"premise";a:2:{s:4:"name";s:29:"Premise (i.e. Street address)";s:11:"description";s:18:"The premise value.";}s:11:"sub_premise";a:2:{s:4:"name";s:52:"Sub Premise (i.e. Suite, Apartment, Floor, Unknown.)";s:11:"description";s:22:"The sub premise value.";}s:12:"thoroughfare";a:2:{s:4:"name";s:34:"Thoroughfare (i.e. Street address)";s:11:"description";s:23:"The thoroughfare value.";}}s:7:"comment";a:18:{s:6:"author";a:3:{s:4:"name";s:6:"Author";s:11:"description";s:50:"The author of the comment, if they were logged in.";s:4:"type";s:4:"user";}s:3:"cid";a:2:{s:4:"name";s:10:"Comment ID";s:11:"description";s:29:"The unique ID of the comment.";}s:4:"body";a:2:{s:4:"name";s:7:"Content";s:11:"description";s:44:"The formatted content of the comment itself.";}s:7:"changed";a:3:{s:4:"name";s:12:"Date changed";s:11:"description";s:47:"The date the comment was most recently updated.";s:4:"type";s:4:"date";}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:32:"The date the comment was posted.";s:4:"type";s:4:"date";}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:35:"The URL of the comment''s edit page.";}s:4:"mail";a:2:{s:4:"name";s:13:"Email address";s:11:"description";s:45:"The email address left by the comment author.";}s:8:"homepage";a:2:{s:4:"name";s:9:"Home page";s:11:"description";s:45:"The home page URL left by the comment author.";}s:8:"hostname";a:2:{s:4:"name";s:10:"IP Address";s:11:"description";s:59:"The IP address of the computer the comment was posted from.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:36:"The name left by the comment author.";}s:4:"node";a:3:{s:4:"name";s:4:"Node";s:11:"description";s:35:"The node the comment was posted to.";s:4:"type";s:4:"node";}s:8:"original";a:4:{s:4:"name";s:16:"Original comment";s:11:"description";s:67:"The original comment data if the comment is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:7:"comment";}s:6:"parent";a:3:{s:4:"name";s:6:"Parent";s:11:"description";s:53:"The comment''s parent, if comment threading is active.";s:4:"type";s:7:"comment";}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:48:"Whether the comment is published or unpublished.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:7:"subject";a:4:{s:4:"name";s:7:"Subject";s:11:"description";s:27:"The subject of the comment.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:12:"comment-body";a:5:{s:4:"name";s:18:"The main body text";s:11:"description";s:108:"The main body text The following properties may be appended to the token: value (Text), format (Text format)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:5:"title";a:2:{s:4:"name";s:5:"Title";s:11:"description";s:25:"The title of the comment.";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:23:"The URL of the comment.";s:4:"type";s:3:"url";}}s:25:"commerce-customer-profile";a:15:{s:25:"commerce_customer_address";a:4:{s:4:"name";s:7:"Address";s:11:"description";s:21:"Postal address field.";s:6:"module";s:5:"token";s:4:"type";s:13:"address-field";}s:25:"commerce-customer-address";a:5:{s:4:"name";s:7:"Address";s:11:"description";s:595:"Field "commerce_customer_address". The following properties may be appended to the token: country (Country), name_line (Full name), first_name (First name), last_name (Last name), organisation_name (Company), administrative_area (Administrative area (i.e. State / Province)), sub_administrative_area (Sub administrative area), locality (Locality (i.e. City)), dependent_locality (Dependent locality), postal_code (Postal code), thoroughfare (Thoroughfare (i.e. Street address)), premise (Premise (i.e. Apartment / Suite number)), sub_premise (Sub Premise (i.e. Suite, Apartment, Floor, Unknown.)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:19:"customer-profile-id";a:2:{s:4:"name";s:19:"Customer profile ID";s:11:"description";s:46:"The unique numeric ID of the customer profile.";}s:5:"owner";a:3:{s:4:"name";s:22:"Customer profile owner";s:11:"description";s:41:"The user the customer profile belongs to.";s:4:"type";s:4:"user";}s:4:"type";a:2:{s:4:"name";s:21:"Customer profile type";s:11:"description";s:33:"The type of the customer profile.";}s:9:"type-name";a:2:{s:4:"name";s:26:"Customer profile type name";s:11:"description";s:38:"The type name of the customer profile.";}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:42:"The date the customer profile was created.";s:4:"type";s:4:"date";}s:7:"changed";a:3:{s:4:"name";s:12:"Date updated";s:11:"description";s:47:"The date the customer profile was last updated.";s:4:"type";s:4:"date";}s:8:"original";a:4:{s:4:"name";s:34:"Original commerce customer profile";s:11:"description";s:103:"The original commerce customer profile data if the commerce customer profile is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:25:"commerce-customer-profile";}s:10:"profile-id";a:4:{s:4:"name";s:10:"Profile ID";s:11:"description";s:48:"The internal numeric ID of the customer profile.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:11:"revision-id";a:2:{s:4:"name";s:11:"Revision ID";s:11:"description";s:56:"The unique ID of the customer profile''s latest revision.";}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:46:"Whether or not the customer profile is active.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:3:"url";a:4:{s:4:"name";s:3:"URL";s:11:"description";s:41:"The URL of the commerce customer profile.";s:6:"module";s:5:"token";s:4:"type";s:3:"url";}s:4:"user";a:4:{s:4:"name";s:4:"User";s:11:"description";s:41:"The user the customer profile belongs to.";s:4:"type";s:4:"user";s:12:"entity-token";b:1;}s:3:"uid";a:4:{s:4:"name";s:7:"User ID";s:11:"description";s:58:"The unique ID of the user the customer profile belongs to.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}}s:18:"commerce-line-item";a:20:{s:25:"commerce-coupon-reference";a:4:{s:4:"name";s:6:"Coupon";s:11:"description";s:34:"Field "commerce_coupon_reference".";s:4:"type";s:15:"commerce_coupon";s:12:"entity-token";b:1;}s:25:"commerce_coupon_reference";a:3:{s:4:"name";s:6:"Coupon";s:11:"description";s:23:"Entity Reference field.";s:6:"module";s:5:"token";}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:35:"The date the line item was created.";s:4:"type";s:4:"date";}s:7:"changed";a:3:{s:4:"name";s:12:"Date updated";s:11:"description";s:40:"The date the line item was last updated.";s:4:"type";s:4:"date";}s:21:"commerce-display-path";a:4:{s:4:"name";s:12:"Display path";s:11:"description";s:30:"Field "commerce_display_path".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:21:"commerce_display_path";a:3:{s:4:"name";s:12:"Display path";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:12:"line-item-id";a:2:{s:4:"name";s:12:"Line item ID";s:11:"description";s:39:"The unique numeric ID of the line item.";}s:15:"line-item-label";a:2:{s:4:"name";s:15:"Line item label";s:11:"description";s:39:"The label displayed with the line item.";}s:4:"type";a:2:{s:4:"name";s:14:"Line item type";s:11:"description";s:26:"The type of the line item.";}s:9:"type-name";a:2:{s:4:"name";s:19:"Line item type name";s:11:"description";s:46:"The human-readable name of the line item type.";}s:5:"order";a:3:{s:4:"name";s:5:"Order";s:11:"description";s:35:"Order associated with the line item";s:4:"type";s:14:"commerce-order";}s:8:"order-id";a:4:{s:4:"name";s:8:"Order ID";s:11:"description";s:52:"The unique ID of the order the line item belongs to.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:8:"original";a:4:{s:4:"name";s:27:"Original commerce line item";s:11:"description";s:89:"The original commerce line item data if the commerce line item is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:18:"commerce-line-item";}s:16:"commerce-product";a:4:{s:4:"name";s:7:"Product";s:11:"description";s:25:"Field "commerce_product".";s:4:"type";s:16:"commerce-product";s:12:"entity-token";b:1;}s:16:"commerce_product";a:3:{s:4:"name";s:7:"Product";s:11:"description";s:24:"Product reference field.";s:6:"module";s:5:"token";}s:8:"quantity";a:2:{s:4:"name";s:8:"Quantity";s:11:"description";s:30:"The quantity of the line item.";}s:14:"commerce-total";a:5:{s:4:"name";s:5:"Total";s:11:"description";s:168:"Field "commerce_total". The following properties may be appended to the token: amount (Amount), amount_decimal (Amount (decimal)), currency_code (Currency), data (Data)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:14:"commerce_total";a:3:{s:4:"name";s:5:"Total";s:11:"description";s:12:"Price field.";s:6:"module";s:5:"token";}s:19:"commerce_unit_price";a:3:{s:4:"name";s:10:"Unit price";s:11:"description";s:12:"Price field.";s:6:"module";s:5:"token";}s:19:"commerce-unit-price";a:5:{s:4:"name";s:10:"Unit price";s:11:"description";s:173:"Field "commerce_unit_price". The following properties may be appended to the token: amount (Amount), amount_decimal (Amount (decimal)), currency_code (Currency), data (Data)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}}s:14:"commerce-order";a:36:{s:25:"commerce_customer_billing";a:3:{s:4:"name";s:19:"Billing information";s:11:"description";s:33:"Customer profile reference field.";s:6:"module";s:5:"token";}s:25:"commerce-customer-billing";a:4:{s:4:"name";s:19:"Billing information";s:11:"description";s:34:"Field "commerce_customer_billing".";s:4:"type";s:25:"commerce-customer-profile";s:12:"entity-token";b:1;}s:31:"commerce-coupon-order-reference";a:4:{s:4:"name";s:6:"Coupon";s:11:"description";s:40:"Field "commerce_coupon_order_reference".";s:4:"type";s:21:"list<commerce_coupon>";s:12:"entity-token";b:1;}s:31:"commerce_coupon_order_reference";a:3:{s:4:"name";s:6:"Coupon";s:11:"description";s:23:"Entity Reference field.";s:6:"module";s:5:"token";}s:7:"changed";a:3:{s:4:"name";s:12:"Date changed";s:11:"description";s:36:"The date the order was last updated.";s:4:"type";s:4:"date";}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:31:"The date the order was created.";s:4:"type";s:4:"date";}s:8:"edit-url";a:4:{s:4:"name";s:8:"Edit URL";s:11:"description";s:33:"The URL of the order''s edit page.";s:4:"type";s:3:"uri";s:12:"entity-token";b:1;}s:8:"hostname";a:4:{s:4:"name";s:9:"Host name";s:11:"description";s:39:"The IP address that created this order.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:19:"commerce-line-items";a:4:{s:4:"name";s:10:"Line items";s:11:"description";s:28:"Field "commerce_line_items".";s:4:"type";s:24:"list<commerce-line-item>";s:12:"entity-token";b:1;}s:19:"commerce_line_items";a:3:{s:4:"name";s:10:"Line items";s:11:"description";s:26:"Line item reference field.";s:6:"module";s:5:"token";}s:8:"order-id";a:2:{s:4:"name";s:8:"Order ID";s:11:"description";s:35:"The unique numeric ID of the order.";}s:4:"mail";a:2:{s:4:"name";s:12:"Order e-mail";s:11:"description";s:45:"The e-mail address associated with the order.";}s:13:"mail-username";a:4:{s:4:"name";s:40:"Order e-mail prepared for username usage";s:11:"description";s:93:"The e-mail address associated with this order with illegal characters for usernames replaced.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:12:"order-number";a:2:{s:4:"name";s:12:"Order number";s:11:"description";s:43:"The order number displayed to the customer.";}s:5:"state";a:2:{s:4:"name";s:11:"Order state";s:11:"description";s:31:"The current state of the order.";}s:11:"state-title";a:2:{s:4:"name";s:17:"Order state title";s:11:"description";s:44:"The human-readable title of the order state.";}s:6:"status";a:2:{s:4:"name";s:12:"Order status";s:11:"description";s:32:"The current status of the order.";}s:12:"status-title";a:2:{s:4:"name";s:18:"Order status title";s:11:"description";s:45:"The human-readable title of the order status.";}s:20:"commerce_order_total";a:3:{s:4:"name";s:11:"Order total";s:11:"description";s:12:"Price field.";s:6:"module";s:5:"token";}s:20:"commerce-order-total";a:5:{s:4:"name";s:11:"Order total";s:11:"description";s:174:"Field "commerce_order_total". The following properties may be appended to the token: amount (Amount), amount_decimal (Amount (decimal)), currency_code (Currency), data (Data)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:4:"type";a:2:{s:4:"name";s:10:"Order type";s:11:"description";s:22:"The type of the order.";}s:9:"type-name";a:2:{s:4:"name";s:15:"Order type name";s:11:"description";s:42:"The human-readable name of the order type.";}s:8:"original";a:4:{s:4:"name";s:23:"Original commerce order";s:11:"description";s:81:"The original commerce order data if the commerce order is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:14:"commerce-order";}s:5:"owner";a:3:{s:4:"name";s:5:"Owner";s:11:"description";s:23:"The owner of the order.";s:4:"type";s:4:"user";}s:3:"uid";a:4:{s:4:"name";s:8:"Owner ID";s:11:"description";s:33:"The unique ID of the order owner.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:14:"payment-method";a:2:{s:4:"name";s:14:"Payment method";s:11:"description";s:77:"The method_id of the payment method selected by the customer during checkout.";}s:28:"payment-method-display-title";a:2:{s:4:"name";s:28:"Payment method display title";s:11:"description";s:91:"The checkout form oriented display title of the payment method for the payment transaction.";}s:26:"payment-method-short-title";a:2:{s:4:"name";s:26:"Payment method short title";s:11:"description";s:97:"The customer oriented short title of the payment method selected by the customer during checkout.";}s:20:"payment-method-title";a:2:{s:4:"name";s:20:"Payment method title";s:11:"description";s:88:"The administrative title of the payment method selected by the customer during checkout.";}s:11:"revision-id";a:2:{s:4:"name";s:11:"Revision ID";s:11:"description";s:45:"The unique ID of the order''s latest revision.";}s:12:"customer-url";a:2:{s:4:"name";s:3:"URL";s:11:"description";s:40:"The URL for customers to view the order.";}s:9:"admin-url";a:2:{s:4:"name";s:3:"URL";s:11:"description";s:45:"The URL for administrators to view the order.";}s:3:"url";a:2:{s:4:"name";s:3:"URL";s:11:"description";s:21:"The URL of the order.";}s:8:"view-url";a:4:{s:4:"name";s:8:"View URL";s:11:"description";s:47:"The URL a customer can visit to view the order.";s:4:"type";s:3:"uri";s:12:"entity-token";b:1;}s:28:"commerce_wishlist_visibility";a:3:{s:4:"name";s:19:"Wishlist visibility";s:11:"description";s:21:"List (integer) field.";s:6:"module";s:5:"token";}s:28:"commerce-wishlist-visibility";a:4:{s:4:"name";s:19:"Wishlist visibility";s:11:"description";s:37:"Field "commerce_wishlist_visibility".";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}}s:28:"commerce-payment-transaction";a:24:{s:6:"amount";a:4:{s:4:"name";s:6:"Amount";s:11:"description";s:32:"The amount for this transaction.";s:4:"type";s:7:"decimal";s:12:"entity-token";b:1;}s:7:"creator";a:3:{s:4:"name";s:7:"Creator";s:11:"description";s:39:"The creator of the payment transaction.";s:4:"type";s:4:"user";}s:13:"currency-code";a:2:{s:4:"name";s:13:"Currency code";s:11:"description";s:34:"The currency code for the payment.";}s:15:"currency-symbol";a:2:{s:4:"name";s:15:"Currency symbol";s:11:"description";s:36:"The currency symbol for the payment.";}s:7:"changed";a:3:{s:4:"name";s:12:"Date changed";s:11:"description";s:50:"The date the payment transaction was last updated.";s:4:"type";s:4:"date";}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:45:"The date the payment transaction was created.";s:4:"type";s:4:"date";}s:16:"amount-formatted";a:2:{s:4:"name";s:16:"Formatted amount";s:11:"description";s:48:"The formatted amount of the payment transaction.";}s:7:"message";a:2:{s:4:"name";s:7:"Message";s:11:"description";s:65:"The human-readable message associated to the payment transaction.";}s:5:"order";a:3:{s:4:"name";s:5:"Order";s:11:"description";s:45:"The order related to the payment transaction.";s:4:"type";s:14:"commerce-order";}s:8:"order-id";a:4:{s:4:"name";s:8:"Order ID";s:11:"description";s:54:"The unique ID of the order the transaction belongs to.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:8:"original";a:4:{s:4:"name";s:37:"Original commerce payment transaction";s:11:"description";s:109:"The original commerce payment transaction data if the commerce payment transaction is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:28:"commerce-payment-transaction";}s:14:"payment-method";a:2:{s:4:"name";s:14:"Payment method";s:11:"description";s:57:"The payment method method_id for the payment transaction.";}s:28:"payment-method-display-title";a:2:{s:4:"name";s:28:"Payment method display title";s:11:"description";s:91:"The checkout form oriented display title of the payment method for the payment transaction.";}s:26:"payment-method-short-title";a:2:{s:4:"name";s:26:"Payment method short title";s:11:"description";s:84:"The customer oriented short title of the payment method for the payment transaction.";}s:20:"payment-method-title";a:2:{s:4:"name";s:20:"Payment method title";s:11:"description";s:75:"The administrative title of the payment method for the payment transaction.";}s:10:"amount-raw";a:2:{s:4:"name";s:10:"Raw amount";s:11:"description";s:42:"The raw amount of the payment transaction.";}s:9:"remote-id";a:2:{s:4:"name";s:9:"Remote ID";s:11:"description";s:50:"The remote identifier for the payment transaction.";}s:13:"remote-status";a:2:{s:4:"name";s:13:"Remote status";s:11:"description";s:54:"The status of the transaction at the payment provider.";}s:11:"revision-id";a:2:{s:4:"name";s:11:"Revision ID";s:11:"description";s:63:"The unique ID for the latest revision of a payment transaction.";}s:6:"status";a:2:{s:4:"name";s:6:"Status";s:11:"description";s:62:"The status of this transaction (pending, success, or failure).";}s:14:"transaction-id";a:2:{s:4:"name";s:14:"Transaction ID";s:11:"description";s:49:"The primary identifier for a payment transaction.";}s:3:"url";a:4:{s:4:"name";s:3:"URL";s:11:"description";s:44:"The URL of the commerce payment transaction.";s:6:"module";s:5:"token";s:4:"type";s:3:"url";}s:4:"user";a:4:{s:4:"name";s:4:"User";s:11:"description";s:37:"The user who created the transaction.";s:4:"type";s:4:"user";s:12:"entity-token";b:1;}s:3:"uid";a:4:{s:4:"name";s:7:"User ID";s:11:"description";s:54:"The unique ID of the user who created the transaction.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}}s:16:"commerce-product";a:17:{s:7:"creator";a:3:{s:4:"name";s:7:"Creator";s:11:"description";s:27:"The creator of the product.";s:4:"type";s:4:"user";}s:3:"uid";a:4:{s:4:"name";s:10:"Creator ID";s:11:"description";s:37:"The unique ID of the product creator.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:7:"created";a:3:{s:4:"name";s:12:"Date created";s:11:"description";s:33:"The date the product was created.";s:4:"type";s:4:"date";}s:7:"changed";a:3:{s:4:"name";s:12:"Date updated";s:11:"description";s:38:"The date the product was last updated.";s:4:"type";s:4:"date";}s:8:"edit-url";a:4:{s:4:"name";s:8:"Edit URL";s:11:"description";s:35:"The URL of the product''s edit page.";s:4:"type";s:3:"uri";s:12:"entity-token";b:1;}s:8:"original";a:4:{s:4:"name";s:25:"Original commerce product";s:11:"description";s:85:"The original commerce product data if the commerce product is being updated or saved.";s:6:"module";s:5:"token";s:4:"type";s:16:"commerce-product";}s:14:"commerce-price";a:5:{s:4:"name";s:5:"Price";s:11:"description";s:168:"Field "commerce_price". The following properties may be appended to the token: amount (Amount), amount_decimal (Amount (decimal)), currency_code (Currency), data (Data)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:14:"commerce_price";a:3:{s:4:"name";s:5:"Price";s:11:"description";s:12:"Price field.";s:6:"module";s:5:"token";}s:10:"product-id";a:2:{s:4:"name";s:10:"Product ID";s:11:"description";s:39:"The internal numeric ID of the product.";}s:3:"sku";a:2:{s:4:"name";s:3:"SKU";s:11:"description";s:31:"The human readable product SKU.";}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:61:"Boolean indicating whether the product is active or disabled.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:14:"commerce_stock";a:3:{s:4:"name";s:5:"Stock";s:11:"description";s:14:"Integer field.";s:6:"module";s:5:"token";}s:14:"commerce-stock";a:4:{s:4:"name";s:5:"Stock";s:11:"description";s:23:"Field "commerce_stock".";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:5:"title";a:2:{s:4:"name";s:5:"Title";s:11:"description";s:25:"The title of the product.";}s:4:"type";a:2:{s:4:"name";s:4:"Type";s:11:"description";s:37:"The machine name of the product type.";}s:9:"type-name";a:2:{s:4:"name";s:9:"Type name";s:11:"description";s:44:"The human readable name of the product type.";}s:3:"url";a:4:{s:4:"name";s:3:"URL";s:11:"description";s:32:"The URL of the commerce product.";s:6:"module";s:5:"token";s:4:"type";s:3:"url";}}s:16:"date-field-value";a:2:{s:4:"date";a:3:{s:4:"name";s:4:"Date";s:11:"description";s:15:"The date value.";s:4:"type";s:4:"date";}s:7:"to-date";a:3:{s:4:"name";s:8:"End Date";s:11:"description";s:19:"The End date value.";s:4:"type";s:4:"date";}}s:4:"menu";a:5:{s:11:"description";a:2:{s:4:"name";s:11:"Description";s:11:"description";s:37:"The optional description of the menu.";}s:8:"edit-url";a:2:{s:4:"name";s:8:"Edit URL";s:11:"description";s:32:"The URL of the menu''s edit page.";}s:12:"machine-name";a:2:{s:4:"name";s:21:"Machine-readable name";s:11:"description";s:45:"The unique machine-readable name of the menu.";}s:15:"menu-link-count";a:2:{s:4:"name";s:15:"Menu link count";s:11:"description";s:47:"The number of menu links belonging to the menu.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:21:"The name of the menu.";}}s:19:"simple-subscription";a:1:{s:5:"email";a:2:{s:4:"name";s:23:"Submitted email address";s:11:"description";s:69:"Email address submitted using the <em>Simple subscription</em> block.";}}s:4:"site";a:11:{s:12:"current-date";a:4:{s:4:"name";s:12:"Current date";s:11:"description";s:26:"The current date and time.";s:4:"type";s:4:"date";s:12:"entity-token";b:1;}s:12:"current-page";a:5:{s:4:"name";s:12:"Current page";s:11:"description";s:194:"Information related to the current page request. The following properties may be appended to the token: path (Path), url (URL), language (Interface language), language_content (Content language)";s:4:"type";s:6:"struct";s:12:"entity-token";b:1;s:7:"dynamic";b:1;}s:4:"mail";a:2:{s:4:"name";s:5:"Email";s:11:"description";s:46:"The administrative email address for the site.";}s:12:"current-user";a:4:{s:4:"name";s:14:"Logged in user";s:11:"description";s:29:"The currently logged in user.";s:4:"type";s:4:"user";s:12:"entity-token";b:1;}s:9:"login-url";a:2:{s:4:"name";s:10:"Login page";s:11:"description";s:33:"The URL of the site''s login page.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:21:"The name of the site.";}s:6:"slogan";a:2:{s:4:"name";s:6:"Slogan";s:11:"description";s:23:"The slogan of the site.";}s:3:"url";a:2:{s:4:"name";s:3:"URL";s:11:"description";s:33:"The URL of the site''s front page.";}s:9:"url-brief";a:2:{s:4:"name";s:11:"URL (brief)";s:11:"description";s:54:"The URL of the site''s front page without the protocol.";}s:17:"commerce-currency";a:4:{s:4:"name";s:15:"User''s currency";s:11:"description";s:41:"The currency to use for the current user.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:18:"current-cart-order";a:4:{s:4:"name";s:26:"User''s shopping cart order";s:11:"description";s:54:"The shopping cart order belonging to the current user.";s:4:"type";s:14:"commerce-order";s:12:"entity-token";b:1;}}s:4:"date";a:6:{s:6:"custom";a:3:{s:4:"name";s:13:"Custom format";s:11:"description";s:122:"A date in a custom format. See <a href="http://php.net/manual/en/function.date.php">the PHP documentation</a> for details.";s:7:"dynamic";b:1;}s:4:"long";a:2:{s:4:"name";s:11:"Long format";s:11:"description";s:85:"A date in ''long'' format. (<em class="placeholder">Monday, July 25, 2016 - 16:12</em>)";}s:6:"medium";a:2:{s:4:"name";s:13:"Medium format";s:11:"description";s:77:"A date in ''medium'' format. (<em class="placeholder">July 25, 2016 16:07</em>)";}s:3:"raw";a:2:{s:4:"name";s:13:"Raw timestamp";s:11:"description";s:73:"A date in UNIX timestamp format (<em class="placeholder">1469452349</em>)";}s:5:"short";a:2:{s:4:"name";s:12:"Short format";s:11:"description";s:67:"A date in ''short'' format. (<em class="placeholder">25.07.2016</em>)";}s:5:"since";a:2:{s:4:"name";s:10:"Time-since";s:11:"description";s:79:"A date in ''time-since'' format. (<em class="placeholder">46 years 7 months</em>)";}}s:4:"view";a:5:{s:11:"description";a:2:{s:4:"name";s:11:"Description";s:11:"description";s:28:"The description of the view.";}s:12:"machine-name";a:2:{s:4:"name";s:12:"Machine name";s:11:"description";s:38:"The machine-readable name of the view.";}s:4:"name";a:2:{s:4:"name";s:4:"Name";s:11:"description";s:36:"The human-readable name of the view.";}s:5:"title";a:2:{s:4:"name";s:5:"Title";s:11:"description";s:41:"The title of current display of the view.";}s:3:"url";a:3:{s:4:"name";s:3:"URL";s:11:"description";s:20:"The URL of the view.";s:4:"type";s:3:"url";}}s:10:"rules_text";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:13:"rules_integer";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:9:"rules_uri";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:11:"rules_token";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:13:"rules_decimal";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:10:"rules_date";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:14:"rules_duration";a:1:{s:5:"value";a:2:{s:4:"name";s:5:"Value";s:11:"description";s:26:"The value of the variable.";}}s:15:"commerce_coupon";a:9:{s:20:"commerce-coupon-code";a:4:{s:4:"name";s:11:"Coupon Code";s:11:"description";s:29:"Field "commerce_coupon_code".";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:20:"commerce_coupon_code";a:3:{s:4:"name";s:11:"Coupon Code";s:11:"description";s:11:"Text field.";s:6:"module";s:5:"token";}s:9:"coupon-id";a:4:{s:4:"name";s:9:"Coupon ID";s:11:"description";s:38:"The internal numeric ID of the coupon.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:7:"created";a:4:{s:4:"name";s:12:"Date created";s:11:"description";s:32:"The date the coupon was created.";s:4:"type";s:4:"date";s:12:"entity-token";b:1;}s:7:"changed";a:4:{s:4:"name";s:12:"Date updated";s:11:"description";s:46:"The date the coupon was most recently updated.";s:4:"type";s:4:"date";s:12:"entity-token";b:1;}s:9:"is-active";a:4:{s:4:"name";s:9:"Is active";s:11:"description";s:60:"Boolean indicating whether the coupon is active or disabled.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}s:30:"commerce_coupon_number_of_uses";a:3:{s:4:"name";s:22:"Maximum number of Uses";s:11:"description";s:14:"Integer field.";s:6:"module";s:5:"token";}s:30:"commerce-coupon-number-of-uses";a:4:{s:4:"name";s:22:"Maximum number of Uses";s:11:"description";s:39:"Field "commerce_coupon_number_of_uses".";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:4:"type";a:4:{s:4:"name";s:4:"Type";s:11:"description";s:43:"The human readable name of the coupon type.";s:4:"type";s:20:"commerce_coupon_type";s:12:"entity-token";b:1;}}s:20:"commerce_coupon_type";a:2:{s:5:"label";a:4:{s:4:"name";s:17:"Coupon type label";s:11:"description";s:43:"The human readable name of the coupon type.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:6:"status";a:4:{s:4:"name";s:18:"Coupon type status";s:11:"description";s:26:"Status of the coupon type.";s:4:"type";s:7:"boolean";s:12:"entity-token";b:1;}}s:12:"rules_config";a:10:{s:14:"access-exposed";a:4:{s:4:"name";s:14:"Access_exposed";s:11:"description";s:46:"Rules configuration "access_exposed" property.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:6:"active";a:4:{s:4:"name";s:6:"Active";s:11:"description";s:38:"Rules configuration "active" property.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:5:"dirty";a:4:{s:4:"name";s:5:"Dirty";s:11:"description";s:37:"Rules configuration "dirty" property.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:2:"id";a:4:{s:4:"name";s:40:"Internal, numeric rules configuration ID";s:11:"description";s:60:"The ID used to identify this rules configuration internally.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:5:"label";a:4:{s:4:"name";s:5:"Label";s:11:"description";s:25:"The human readable label.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:6:"module";a:4:{s:4:"name";s:6:"Module";s:11:"description";s:38:"Rules configuration "module" property.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:5:"owner";a:4:{s:4:"name";s:5:"Owner";s:11:"description";s:37:"Rules configuration "owner" property.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:6:"plugin";a:4:{s:4:"name";s:6:"Plugin";s:11:"description";s:38:"Rules configuration "plugin" property.";s:4:"type";s:4:"text";s:12:"entity-token";b:1;}s:6:"status";a:4:{s:4:"name";s:6:"Status";s:11:"description";s:38:"Rules configuration "status" property.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}s:6:"weight";a:4:{s:4:"name";s:6:"Weight";s:11:"description";s:38:"Rules configuration "weight" property.";s:4:"type";s:7:"integer";s:12:"entity-token";b:1;}}s:13:"list<comment>";a:4:{i:0;a:3:{s:4:"name";s:21:"Comments with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:7:"comment";}i:1;a:3:{s:4:"name";s:21:"Comments with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:7:"comment";}i:2;a:3:{s:4:"name";s:21:"Comments with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:7:"comment";}i:3;a:3:{s:4:"name";s:21:"Comments with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:7:"comment";}}s:21:"list<commerce_coupon>";a:4:{i:0;a:3:{s:4:"name";s:28:"Commerce Coupon with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:15:"commerce_coupon";}i:1;a:3:{s:4:"name";s:28:"Commerce Coupon with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:15:"commerce_coupon";}i:2;a:3:{s:4:"name";s:28:"Commerce Coupon with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:15:"commerce_coupon";}i:3;a:3:{s:4:"name";s:28:"Commerce Coupon with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:15:"commerce_coupon";}}s:26:"list<commerce_coupon_type>";a:4:{i:0;a:3:{s:4:"name";s:33:"Commerce Coupon Type with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:20:"commerce_coupon_type";}i:1;a:3:{s:4:"name";s:33:"Commerce Coupon Type with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:20:"commerce_coupon_type";}i:2;a:3:{s:4:"name";s:33:"Commerce Coupon Type with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:20:"commerce_coupon_type";}i:3;a:3:{s:4:"name";s:33:"Commerce Coupon Type with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:20:"commerce_coupon_type";}}s:31:"list<commerce-customer-profile>";a:4:{i:0;a:3:{s:4:"name";s:30:"Customer profiles with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:25:"commerce-customer-profile";}i:1;a:3:{s:4:"name";s:30:"Customer profiles with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:25:"commerce-customer-profile";}i:2;a:3:{s:4:"name";s:30:"Customer profiles with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:25:"commerce-customer-profile";}i:3;a:3:{s:4:"name";s:30:"Customer profiles with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:25:"commerce-customer-profile";}}s:24:"list<commerce-line-item>";a:4:{i:0;a:3:{s:4:"name";s:23:"Line items with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:18:"commerce-line-item";}i:1;a:3:{s:4:"name";s:23:"Line items with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:18:"commerce-line-item";}i:2;a:3:{s:4:"name";s:23:"Line items with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:18:"commerce-line-item";}i:3;a:3:{s:4:"name";s:23:"Line items with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:18:"commerce-line-item";}}s:20:"list<commerce-order>";a:4:{i:0;a:3:{s:4:"name";s:19:"Orders with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:14:"commerce-order";}i:1;a:3:{s:4:"name";s:19:"Orders with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:14:"commerce-order";}i:2;a:3:{s:4:"name";s:19:"Orders with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:14:"commerce-order";}i:3;a:3:{s:4:"name";s:19:"Orders with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:14:"commerce-order";}}s:34:"list<commerce-payment-transaction>";a:4:{i:0;a:3:{s:4:"name";s:33:"Payment transactions with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:28:"commerce-payment-transaction";}i:1;a:3:{s:4:"name";s:33:"Payment transactions with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:28:"commerce-payment-transaction";}i:2;a:3:{s:4:"name";s:33:"Payment transactions with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:28:"commerce-payment-transaction";}i:3;a:3:{s:4:"name";s:33:"Payment transactions with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:28:"commerce-payment-transaction";}}s:22:"list<commerce-product>";a:4:{i:0;a:3:{s:4:"name";s:21:"Products with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:16:"commerce-product";}i:1;a:3:{s:4:"name";s:21:"Products with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:16:"commerce-product";}i:2;a:3:{s:4:"name";s:21:"Products with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:16:"commerce-product";}i:3;a:3:{s:4:"name";s:21:"Products with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:16:"commerce-product";}}s:10:"list<node>";a:4:{i:0;a:3:{s:4:"name";s:18:"Nodes with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"node";}i:1;a:3:{s:4:"name";s:18:"Nodes with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"node";}i:2;a:3:{s:4:"name";s:18:"Nodes with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"node";}i:3;a:3:{s:4:"name";s:18:"Nodes with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"node";}}s:10:"list<file>";a:4:{i:0;a:3:{s:4:"name";s:18:"Files with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"file";}i:1;a:3:{s:4:"name";s:18:"Files with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"file";}i:2;a:3:{s:4:"name";s:18:"Files with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"file";}i:3;a:3:{s:4:"name";s:18:"Files with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"file";}}s:10:"list<term>";a:4:{i:0;a:3:{s:4:"name";s:27:"Taxonomy terms with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"term";}i:1;a:3:{s:4:"name";s:27:"Taxonomy terms with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"term";}i:2;a:3:{s:4:"name";s:27:"Taxonomy terms with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"term";}i:3;a:3:{s:4:"name";s:27:"Taxonomy terms with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"term";}}s:16:"list<vocabulary>";a:4:{i:0;a:3:{s:4:"name";s:25:"Vocabularies with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:10:"vocabulary";}i:1;a:3:{s:4:"name";s:25:"Vocabularies with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:10:"vocabulary";}i:2;a:3:{s:4:"name";s:25:"Vocabularies with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:10:"vocabulary";}i:3;a:3:{s:4:"name";s:25:"Vocabularies with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:10:"vocabulary";}}s:10:"list<user>";a:4:{i:0;a:3:{s:4:"name";s:18:"Users with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"user";}i:1;a:3:{s:4:"name";s:18:"Users with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"user";}i:2;a:3:{s:4:"name";s:18:"Users with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"user";}i:3;a:3:{s:4:"name";s:18:"Users with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"user";}}s:18:"list<rules_config>";a:4:{i:0;a:3:{s:4:"name";s:32:"Rules configuration with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:12:"rules_config";}i:1;a:3:{s:4:"name";s:32:"Rules configuration with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:12:"rules_config";}i:2;a:3:{s:4:"name";s:32:"Rules configuration with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:12:"rules_config";}i:3;a:3:{s:4:"name";s:32:"Rules configuration with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:12:"rules_config";}}s:10:"list<date>";a:4:{i:0;a:3:{s:4:"name";s:18:"Dates with delta 0";s:11:"description";s:95:"The list item with delta 0. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"date";}i:1;a:3:{s:4:"name";s:18:"Dates with delta 1";s:11:"description";s:95:"The list item with delta 1. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"date";}i:2;a:3:{s:4:"name";s:18:"Dates with delta 2";s:11:"description";s:95:"The list item with delta 2. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"date";}i:3;a:3:{s:4:"name";s:18:"Dates with delta 3";s:11:"description";s:95:"The list item with delta 3. Delta values start from 0 and are incremented by one per list item.";s:4:"type";s:4:"date";}}s:12:"current-date";a:6:{s:6:"custom";a:3:{s:4:"name";s:13:"Custom format";s:11:"description";s:122:"A date in a custom format. See <a href="http://php.net/manual/en/function.date.php">the PHP documentation</a> for details.";s:7:"dynamic";b:1;}s:4:"long";a:2:{s:4:"name";s:11:"Long format";s:11:"description";s:85:"A date in ''long'' format. (<em class="placeholder">Monday, July 25, 2016 - 16:12</em>)";}s:6:"medium";a:2:{s:4:"name";s:13:"Medium format";s:11:"description";s:77:"A date in ''medium'' format. (<em class="placeholder">July 25, 2016 16:07</em>)";}s:3:"raw";a:2:{s:4:"name";s:13:"Raw timestamp";s:11:"description";s:73:"A date in UNIX timestamp format (<em class="placeholder">1469452349</em>)";}s:5:"short";a:2:{s:4:"name";s:12:"Short format";s:11:"description";s:67:"A date in ''short'' format. (<em class="placeholder">25.07.2016</em>)";}s:5:"since";a:2:{s:4:"name";s:10:"Time-since";s:11:"description";s:79:"A date in ''time-since'' format. (<em class="placeholder">46 years 7 months</em>)";}}}s:5:"types";a:52:{s:13:"address-field";a:5:{s:4:"name";s:13:"Address field";s:11:"description";s:60:"Tokens related to address field values and their components.";s:10:"needs-data";s:13:"address-field";s:5:"field";b:1;s:4:"type";s:13:"address-field";}s:5:"array";a:4:{s:4:"name";s:5:"Array";s:11:"description";s:36:"Tokens related to arrays of strings.";s:10:"needs-data";s:5:"array";s:4:"type";s:5:"array";}s:7:"comment";a:4:{s:4:"name";s:8:"Comments";s:11:"description";s:39:"Tokens for comments posted on the site.";s:10:"needs-data";s:7:"comment";s:4:"type";s:7:"comment";}s:15:"commerce_coupon";a:4:{s:4:"name";s:15:"Commerce Coupon";s:11:"description";s:49:"Tokens related to the "Commerce Coupon" entities.";s:10:"needs-data";s:15:"commerce_coupon";s:4:"type";s:15:"commerce_coupon";}s:20:"commerce_coupon_type";a:4:{s:4:"name";s:20:"Commerce Coupon Type";s:11:"description";s:54:"Tokens related to the "Commerce Coupon Type" entities.";s:10:"needs-data";s:20:"commerce_coupon_type";s:4:"type";s:20:"commerce_coupon_type";}s:12:"content-type";a:4:{s:4:"name";s:13:"Content types";s:11:"description";s:32:"Tokens related to content types.";s:10:"needs-data";s:9:"node_type";s:4:"type";s:12:"content-type";}s:12:"current-date";a:3:{s:4:"name";s:12:"Current date";s:11:"description";s:44:"Tokens related to the current date and time.";s:4:"type";s:4:"date";}s:12:"current-page";a:3:{s:4:"name";s:12:"Current page";s:11:"description";s:43:"Tokens related to the current page request.";s:4:"type";s:12:"current-page";}s:12:"current-user";a:3:{s:4:"name";s:12:"Current user";s:11:"description";s:47:"Tokens related to the currently logged in user.";s:4:"type";s:4:"user";}s:25:"commerce-customer-profile";a:4:{s:4:"name";s:17:"Customer profiles";s:11:"description";s:36:"Tokens related to customer profiles.";s:10:"needs-data";s:25:"commerce-customer-profile";s:4:"type";s:25:"commerce-customer-profile";}s:16:"date-field-value";a:5:{s:4:"name";s:17:"Date field values";s:11:"description";s:36:"Tokens related to date field values.";s:10:"needs-data";s:16:"date-field-value";s:11:"field-value";b:1;s:4:"type";s:16:"date-field-value";}s:4:"date";a:4:{s:4:"name";s:5:"Dates";s:11:"description";s:34:"Tokens related to times and dates.";s:10:"needs-data";s:4:"date";s:4:"type";s:4:"date";}s:4:"file";a:4:{s:4:"name";s:5:"Files";s:11:"description";s:33:"Tokens related to uploaded files.";s:10:"needs-data";s:4:"file";s:4:"type";s:4:"file";}s:18:"commerce-line-item";a:4:{s:4:"name";s:10:"Line items";s:11:"description";s:40:"Tokens related to individual line items.";s:10:"needs-data";s:18:"commerce-line-item";s:4:"type";s:18:"commerce-line-item";}s:13:"list<comment>";a:4:{s:4:"name";s:16:"List of Comments";s:11:"description";s:41:"Tokens related to the "Comment" entities.";s:10:"needs-data";s:13:"list<comment>";s:4:"type";s:13:"list<comment>";}s:26:"list<commerce_coupon_type>";a:4:{s:4:"name";s:29:"List of Commerce Coupon Types";s:11:"description";s:54:"Tokens related to the "Commerce Coupon Type" entities.";s:10:"needs-data";s:26:"list<commerce_coupon_type>";s:4:"type";s:26:"list<commerce_coupon_type>";}s:21:"list<commerce_coupon>";a:4:{s:4:"name";s:24:"List of Commerce Coupons";s:11:"description";s:49:"Tokens related to the "Commerce Coupon" entities.";s:10:"needs-data";s:21:"list<commerce_coupon>";s:4:"type";s:21:"list<commerce_coupon>";}s:31:"list<commerce-customer-profile>";a:4:{s:4:"name";s:34:"List of Commerce Customer profiles";s:11:"description";s:59:"Tokens related to the "Commerce Customer profile" entities.";s:10:"needs-data";s:31:"list<commerce-customer-profile>";s:4:"type";s:31:"list<commerce-customer-profile>";}s:24:"list<commerce-line-item>";a:4:{s:4:"name";s:27:"List of Commerce Line items";s:11:"description";s:52:"Tokens related to the "Commerce Line item" entities.";s:10:"needs-data";s:24:"list<commerce-line-item>";s:4:"type";s:24:"list<commerce-line-item>";}s:20:"list<commerce-order>";a:4:{s:4:"name";s:23:"List of Commerce Orders";s:11:"description";s:48:"Tokens related to the "Commerce Order" entities.";s:10:"needs-data";s:20:"list<commerce-order>";s:4:"type";s:20:"list<commerce-order>";}s:34:"list<commerce-payment-transaction>";a:4:{s:4:"name";s:37:"List of Commerce Payment transactions";s:11:"description";s:62:"Tokens related to the "Commerce Payment transaction" entities.";s:10:"needs-data";s:34:"list<commerce-payment-transaction>";s:4:"type";s:34:"list<commerce-payment-transaction>";}s:22:"list<commerce-product>";a:4:{s:4:"name";s:25:"List of Commerce Products";s:11:"description";s:50:"Tokens related to the "Commerce Product" entities.";s:10:"needs-data";s:22:"list<commerce-product>";s:4:"type";s:22:"list<commerce-product>";}s:10:"list<file>";a:4:{s:4:"name";s:13:"List of Files";s:11:"description";s:38:"Tokens related to the "File" entities.";s:10:"needs-data";s:10:"list<file>";s:4:"type";s:10:"list<file>";}s:10:"list<node>";a:4:{s:4:"name";s:13:"List of Nodes";s:11:"description";s:38:"Tokens related to the "Node" entities.";s:10:"needs-data";s:10:"list<node>";s:4:"type";s:10:"list<node>";}s:18:"list<rules_config>";a:4:{s:4:"name";s:28:"List of Rules configurations";s:11:"description";s:53:"Tokens related to the "Rules configuration" entities.";s:10:"needs-data";s:18:"list<rules_config>";s:4:"type";s:18:"list<rules_config>";}s:10:"list<term>";a:4:{s:4:"name";s:22:"List of Taxonomy terms";s:11:"description";s:47:"Tokens related to the "Taxonomy term" entities.";s:10:"needs-data";s:10:"list<term>";s:4:"type";s:10:"list<term>";}s:16:"list<vocabulary>";a:4:{s:4:"name";s:29:"List of Taxonomy vocabularies";s:11:"description";s:53:"Tokens related to the "Taxonomy vocabulary" entities.";s:10:"needs-data";s:16:"list<vocabulary>";s:4:"type";s:16:"list<vocabulary>";}s:10:"list<user>";a:4:{s:4:"name";s:13:"List of Users";s:11:"description";s:38:"Tokens related to the "User" entities.";s:10:"needs-data";s:10:"list<user>";s:4:"type";s:10:"list<user>";}s:10:"list<date>";a:4:{s:4:"name";s:19:"List of date values";s:11:"description";s:32:"Tokens for lists of date values.";s:10:"needs-data";s:10:"list<date>";s:4:"type";s:10:"list<date>";}s:9:"menu-link";a:4:{s:4:"name";s:10:"Menu links";s:11:"description";s:29:"Tokens related to menu links.";s:10:"needs-data";s:9:"menu-link";s:4:"type";s:9:"menu-link";}s:4:"menu";a:4:{s:4:"name";s:5:"Menus";s:11:"description";s:24:"Tokens related to menus.";s:10:"needs-data";s:4:"menu";s:4:"type";s:4:"menu";}s:4:"node";a:4:{s:4:"name";s:5:"Nodes";s:11:"description";s:55:"Tokens related to individual content items, or "nodes".";s:10:"needs-data";s:4:"node";s:4:"type";s:4:"node";}s:14:"commerce-order";a:4:{s:4:"name";s:6:"Orders";s:11:"description";s:36:"Tokens related to individual orders.";s:10:"needs-data";s:14:"commerce-order";s:4:"type";s:14:"commerce-order";}s:28:"commerce-payment-transaction";a:4:{s:4:"name";s:20:"Payment transactions";s:11:"description";s:39:"Tokens related to payment transactions.";s:10:"needs-data";s:28:"commerce-payment-transaction";s:4:"type";s:28:"commerce-payment-transaction";}s:16:"commerce-product";a:4:{s:4:"name";s:8:"Products";s:11:"description";s:38:"Tokens related to individual products.";s:10:"needs-data";s:16:"commerce-product";s:4:"type";s:16:"commerce-product";}s:6:"random";a:3:{s:4:"name";s:6:"Random";s:11:"description";s:30:"Tokens related to random data.";s:4:"type";s:6:"random";}s:12:"rules_config";a:4:{s:4:"name";s:19:"Rules configuration";s:11:"description";s:53:"Tokens related to the "Rules configuration" entities.";s:10:"needs-data";s:12:"rules_config";s:4:"type";s:12:"rules_config";}s:19:"simple-subscription";a:4:{s:4:"name";s:19:"Simple subscription";s:11:"description";s:29:"Simple subscription form data";s:10:"needs-data";s:19:"simple-subscription";s:4:"type";s:19:"simple-subscription";}s:4:"site";a:3:{s:4:"name";s:16:"Site information";s:11:"description";s:59:"Tokens for site-wide settings and other global information.";s:4:"type";s:4:"site";}s:10:"submission";a:4:{s:4:"name";s:10:"Submission";s:11:"description";s:38:"Tokens related to webform submissions.";s:10:"needs-data";s:18:"webform-submission";s:4:"type";s:10:"submission";}s:4:"term";a:4:{s:4:"name";s:14:"Taxonomy terms";s:11:"description";s:33:"Tokens related to taxonomy terms.";s:10:"needs-data";s:4:"term";s:4:"type";s:4:"term";}s:9:"rules_uri";a:4:{s:4:"name";s:3:"URI";s:11:"description";s:67:"Tokens related to <em class="placeholder">URI</em> Rules variables.";s:10:"needs-data";s:9:"rules_uri";s:4:"type";s:9:"rules_uri";}s:3:"url";a:4:{s:4:"name";s:3:"URL";s:11:"description";s:23:"Tokens related to URLs.";s:10:"needs-data";s:4:"path";s:4:"type";s:3:"url";}s:4:"user";a:4:{s:4:"name";s:5:"Users";s:11:"description";s:43:"Tokens related to individual user accounts.";s:10:"needs-data";s:4:"user";s:4:"type";s:4:"user";}s:4:"view";a:4:{s:4:"name";s:4:"View";s:11:"description";s:24:"Tokens related to views.";s:10:"needs-data";s:4:"view";s:4:"type";s:4:"view";}s:10:"vocabulary";a:4:{s:4:"name";s:12:"Vocabularies";s:11:"description";s:40:"Tokens related to taxonomy vocabularies.";s:10:"needs-data";s:10:"vocabulary";s:4:"type";s:10:"vocabulary";}s:10:"rules_date";a:4:{s:4:"name";s:4:"date";s:11:"description";s:68:"Tokens related to <em class="placeholder">date</em> Rules variables.";s:10:"needs-data";s:10:"rules_date";s:4:"type";s:10:"rules_date";}s:13:"rules_decimal";a:4:{s:4:"name";s:14:"decimal number";s:11:"description";s:78:"Tokens related to <em class="placeholder">decimal number</em> Rules variables.";s:10:"needs-data";s:13:"rules_decimal";s:4:"type";s:13:"rules_decimal";}s:14:"rules_duration";a:4:{s:4:"name";s:8:"duration";s:11:"description";s:72:"Tokens related to <em class="placeholder">duration</em> Rules variables.";s:10:"needs-data";s:14:"rules_duration";s:4:"type";s:14:"rules_duration";}s:13:"rules_integer";a:4:{s:4:"name";s:7:"integer";s:11:"description";s:71:"Tokens related to <em class="placeholder">integer</em> Rules variables.";s:10:"needs-data";s:13:"rules_integer";s:4:"type";s:13:"rules_integer";}s:10:"rules_text";a:4:{s:4:"name";s:4:"text";s:11:"description";s:68:"Tokens related to <em class="placeholder">text</em> Rules variables.";s:10:"needs-data";s:10:"rules_text";s:4:"type";s:10:"rules_text";}s:11:"rules_token";a:4:{s:4:"name";s:10:"text token";s:11:"description";s:74:"Tokens related to <em class="placeholder">text token</em> Rules variables.";s:10:"needs-data";s:11:"rules_token";s:4:"type";s:11:"rules_token";}}}', '0', '1469452349', 1);
/*!40000 ALTER TABLE cache_token ENABLE KEYS */;

--
-- Table structure for table 'cache_update'
--

CREATE TABLE IF NOT EXISTS `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...' COMMENT='Cache table for the Update module to store information...';

--
-- Table structure for table 'cache_views'
--

CREATE TABLE IF NOT EXISTS `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...' COMMENT='Generic cache table for caching things not separated out...';

--
-- Table structure for table 'cache_views_data'
--

CREATE TABLE IF NOT EXISTS `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...' COMMENT='Cache table for views to store pre-rendered queries,...';

--
-- Table structure for table 'cctags'
--

CREATE TABLE IF NOT EXISTS `cctags` (
  `cctid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `block` int(11) NOT NULL DEFAULT '0',
  `block_name` varchar(128) NOT NULL,
  `page` int(11) NOT NULL DEFAULT '0',
  `page_title` varchar(255) NOT NULL,
  `page_path` varchar(255) NOT NULL,
  `page_level` int(11) NOT NULL DEFAULT '6',
  `page_amount` int(11) NOT NULL DEFAULT '0',
  `page_sort` varchar(16) NOT NULL DEFAULT 'title,asc',
  `page_mode` varchar(16) NOT NULL DEFAULT 'mixed',
  `page_vocname` int(11) NOT NULL DEFAULT '0',
  `page_extra_class` varchar(64) NOT NULL DEFAULT '',
  `item_data` text NOT NULL,
  PRIMARY KEY (`cctid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'cctags'
--

/*!40000 ALTER TABLE cctags DISABLE KEYS */;
INSERT INTO `cctags` VALUES
('1', 'Tags', '1', 'Tags', '0', '', '', '5', '0', 'title,asc', 'mixed', '0', '', 'a:2:{s:4:"vocs";a:5:{i:2;i:0;i:3;i:0;i:5;i:1;i:4;i:0;i:1;i:0;}s:5:"level";a:5:{i:2;a:2:{i:0;i:0;i:1;i:0;}i:3;a:1:{i:0;i:0;}i:5;a:1:{i:0;i:1;}i:4;a:2:{i:0;i:0;i:1;i:0;}i:1;a:1:{i:0;i:0;}}}');
/*!40000 ALTER TABLE cctags ENABLE KEYS */;

--
-- Table structure for table 'comment'
--

CREATE TABLE IF NOT EXISTS `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`),
  KEY `comment_status_pid` (`pid`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.' COMMENT='Stores comments and associated data.';

--
-- Dumping data for table 'comment'
--

/*!40000 ALTER TABLE comment DISABLE KEYS */;
INSERT INTO `comment` VALUES
('1', '0', '12', '1', 'Fusce porttitor porta tortor', '192.168.9.7', '1305117336', '1305117335', '1', '01/', 'admin', '', '', 'und'),
('2', '0', '12', '1', 'Suspendisse potenti. Fusce', '192.168.9.7', '1305117342', '1305117342', '1', '02/', 'admin', '', '', 'und'),
('3', '2', '12', '1', 'Lorem ipsum dolor sit amet,', '192.168.9.7', '1305117353', '1305117353', '1', '02.00/', 'admin', '', '', 'und'),
('4', '0', '13', '1', 'Quisque nec libero eu urna', '192.168.9.7', '1305117437', '1305117437', '1', '01/', 'admin', '', '', 'und'),
('5', '0', '14', '1', 'Etiam ornare, tellus quis', '192.168.9.7', '1305117499', '1305117499', '1', '01/', 'admin', '', '', 'und'),
('6', '0', '14', '1', 'Fusce gravida consectetur mi', '192.168.9.7', '1305117505', '1305117505', '1', '02/', 'admin', '', '', 'und'),
('7', '6', '14', '1', 'Lorem ipsum dolor sit amet,', '192.168.9.7', '1305117512', '1305117512', '1', '02.00/', 'admin', '', '', 'und'),
('8', '7', '14', '1', 'Etiam ornare, tellus quis', '192.168.9.7', '1305117521', '1305117521', '1', '02.00.00/', 'admin', '', '', 'und'),
('9', '0', '14', '1', 'Sed ornare ipsum id libero', '192.168.9.7', '1305117530', '1305117530', '1', '03/', 'admin', '', '', 'und'),
('10', '0', '16', '1', 'Suspendisse convallis, risus', '192.168.9.7', '1305117597', '1305117597', '1', '01/', 'admin', '', '', 'und'),
('11', '0', '16', '1', 'Cum sociis natoque penatibus', '192.168.9.7', '1305117601', '1305117601', '1', '02/', 'admin', '', '', 'und'),
('16', '0', '41', '1', 'Lorem ipsum dolor', '127.0.0.1', '1374076609', '1374076608', '1', '01/', 'admin', '', '', 'und'),
('17', '16', '41', '1', 'Lorem ipsum dolor sit amet,', '127.0.0.1', '1383577176', '1383577176', '1', '01.00/', 'admin', '', '', 'und'),
('19', '0', '105', '1', 'Etiam aliquet neque massa, eu', '127.0.0.1', '1399473275', '1399473274', '1', '01/', 'admin', '', '', 'und'),
('21', '19', '105', '1', 'Vestibulum quis nibh et', '127.0.0.1', '1399473342', '1399473341', '1', '01.00/', 'admin', '', '', 'und');
/*!40000 ALTER TABLE comment ENABLE KEYS */;

--
-- Table structure for table 'commerce_calculated_price'
--

CREATE TABLE IF NOT EXISTS `commerce_calculated_price` (
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module performing the calculation.',
  `module_key` mediumtext NOT NULL COMMENT 'A module specific key useful for indicating the context of a particular calculation, e.g. the IDs of Rules evaluated to produce the calculated price.',
  `entity_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The type of entity this price belongs to.',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The entity ID of the object this price belongs to.',
  `field_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of the field the calculated price relates to.',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The languages.language of the entity.',
  `delta` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sequence number for this data item, used for multi-value fields',
  `amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `data` longtext COMMENT 'A serialized array of additional price data.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the price was calculated.',
  KEY `module` (`module`),
  KEY `entity_type` (`entity_type`),
  KEY `entity_id` (`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores pre-calculated dynamic prices.' COMMENT='Stores pre-calculated dynamic prices.';

--
-- Dumping data for table 'commerce_calculated_price'
--

/*!40000 ALTER TABLE commerce_calculated_price DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_calculated_price ENABLE KEYS */;

--
-- Table structure for table 'commerce_checkout_pane'
--

CREATE TABLE IF NOT EXISTS `commerce_checkout_pane` (
  `pane_id` varchar(255) NOT NULL COMMENT 'The machine readable name of the order state.',
  `page` varchar(255) NOT NULL DEFAULT '1' COMMENT 'The ID of the checkout page on which this pane appears.',
  `fieldset` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value indicating whether or not the pane should appear in a fieldset.',
  `collapsible` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating whether or not the pane should appear collapsed.',
  `collapsed` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating whether or not the pane should appear collapsed.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The sorting weight of the status for lists of statuses.',
  `enabled` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value indicating whether or not the pane is enabled.',
  `review` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value indicating whether or not the pane should appear on the checkout review.',
  PRIMARY KEY (`pane_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Checkout pane configuration data.' COMMENT='Checkout pane configuration data.';

--
-- Dumping data for table 'commerce_checkout_pane'
--

/*!40000 ALTER TABLE commerce_checkout_pane DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_checkout_pane ENABLE KEYS */;

--
-- Table structure for table 'commerce_coupon'
--

CREATE TABLE IF NOT EXISTS `commerce_coupon` (
  `coupon_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for the coupon.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The commerce_coupon_type.type of this coupon.',
  `is_active` int(11) NOT NULL DEFAULT '0' COMMENT 'Indicates if this coupon is active or not.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the coupon was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the coupon was most recently saved.',
  `data` longblob COMMENT 'Everything else, serialized.',
  PRIMARY KEY (`coupon_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='The base table for coupons.' COMMENT='The base table for coupons.';

--
-- Dumping data for table 'commerce_coupon'
--

/*!40000 ALTER TABLE commerce_coupon DISABLE KEYS */;
INSERT INTO `commerce_coupon` VALUES
('1', 'save_5_dollars', '1', '1468238507', '1468238507', NULL);
/*!40000 ALTER TABLE commerce_coupon ENABLE KEYS */;

--
-- Table structure for table 'commerce_coupon_type'
--

CREATE TABLE IF NOT EXISTS `commerce_coupon_type` (
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The machine-readable name of this coupon type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this coupon type.',
  `weight` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The weight of this coupon type in relation to others.',
  `data` longtext COMMENT 'A serialized array of additional data related to this coupon type.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The exportable status of the entity.',
  `module` varchar(255) DEFAULT NULL COMMENT 'The name of the providing module if the entity has been defined in code.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined coupon types.' COMMENT='Stores information about all defined coupon types.';

--
-- Dumping data for table 'commerce_coupon_type'
--

/*!40000 ALTER TABLE commerce_coupon_type DISABLE KEYS */;
INSERT INTO `commerce_coupon_type` VALUES
('save_5_dollars', 'Save 5 Dollars', '0', NULL, '1', NULL);
/*!40000 ALTER TABLE commerce_coupon_type ENABLE KEYS */;

--
-- Table structure for table 'commerce_customer_profile'
--

CREATE TABLE IF NOT EXISTS `commerce_customer_profile` (
  `profile_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a customer profile.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_customer_profile_revision.revision_id version identifier.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The commerce_customer_profile_type.type of this profile.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that this profile belongs to.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the profile is active or not.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the profile was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the profile was most recently saved.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`profile_id`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `uid` (`uid`),
  KEY `customer_profile_type` (`type`),
  KEY `uid_by_type` (`uid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The base table for customer profiles.' COMMENT='The base table for customer profiles.';

--
-- Dumping data for table 'commerce_customer_profile'
--

/*!40000 ALTER TABLE commerce_customer_profile DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_customer_profile ENABLE KEYS */;

--
-- Table structure for table 'commerce_customer_profile_revision'
--

CREATE TABLE IF NOT EXISTS `commerce_customer_profile_revision` (
  `profile_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_customer_profile.customer_id of the profile this revision belongs to.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this revision.',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this profile at this revision.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the profile is active or not.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`revision_id`),
  KEY `profile_id` (`profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...' COMMENT='Saves information about each saved revision of a commerce...';

--
-- Dumping data for table 'commerce_customer_profile_revision'
--

/*!40000 ALTER TABLE commerce_customer_profile_revision DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_customer_profile_revision ENABLE KEYS */;

--
-- Table structure for table 'commerce_line_item'
--

CREATE TABLE IF NOT EXISTS `commerce_line_item` (
  `line_item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a line item.',
  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT 'The unique ID of the order the line item belongs to.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module defined type of this line item.',
  `line_item_label` varchar(255) NOT NULL COMMENT 'The merchant defined label for a line item.',
  `quantity` decimal(10,2) NOT NULL DEFAULT '0.00',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the line item was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the line item was most recently saved.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`line_item_id`),
  KEY `order_id` (`order_id`),
  KEY `line_item_type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The base table for line items.' COMMENT='The base table for line items.';

--
-- Dumping data for table 'commerce_line_item'
--

/*!40000 ALTER TABLE commerce_line_item DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_line_item ENABLE KEYS */;

--
-- Table structure for table 'commerce_order'
--

CREATE TABLE IF NOT EXISTS `commerce_order` (
  `order_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an order.',
  `order_number` varchar(255) DEFAULT NULL COMMENT 'The order number displayed to the customer.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_order_revision.revision_id version identifier.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The type of this order.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this order.',
  `mail` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail address associated with the order.',
  `status` varchar(255) NOT NULL COMMENT 'The status name of this order.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the order was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the order was most recently saved.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that created this order.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`order_id`),
  UNIQUE KEY `order_number` (`order_number`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The base table for orders.' COMMENT='The base table for orders.';

--
-- Dumping data for table 'commerce_order'
--

/*!40000 ALTER TABLE commerce_order DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_order ENABLE KEYS */;

--
-- Table structure for table 'commerce_order_revision'
--

CREATE TABLE IF NOT EXISTS `commerce_order_revision` (
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_order.order_id of the order this revision belongs to.',
  `order_number` varchar(255) DEFAULT NULL COMMENT 'The order number displayed to the customer for this revision.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this revision.',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns the order at this revision.',
  `mail` varchar(255) NOT NULL COMMENT 'The e-mail address associated with the order at this revision.',
  `status` varchar(255) NOT NULL COMMENT 'The status name of this revision.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `revision_hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that created this order.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`revision_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...' COMMENT='Saves information about each saved revision of a commerce...';

--
-- Dumping data for table 'commerce_order_revision'
--

/*!40000 ALTER TABLE commerce_order_revision DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_order_revision ENABLE KEYS */;

--
-- Table structure for table 'commerce_payment_transaction'
--

CREATE TABLE IF NOT EXISTS `commerce_payment_transaction` (
  `transaction_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a transaction.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_payment_transaction_revision.revision_id version identifier.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this transaction.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_order.order_id of the order this payment is for.',
  `payment_method` varchar(128) NOT NULL COMMENT 'The payment method method_id for this transaction.',
  `instance_id` varchar(255) NOT NULL COMMENT 'The payment method instance ID for this transaction.',
  `remote_id` varchar(255) NOT NULL COMMENT 'The remote identifier for this transaction.',
  `message` longtext NOT NULL COMMENT 'The human-readable message associated to this transaction.',
  `message_variables` longblob NOT NULL COMMENT 'The variables associated with the human-readable message.',
  `amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The amount of this transaction.',
  `currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `status` varchar(128) NOT NULL COMMENT 'The status of this transaction (pending, success, or failure).',
  `remote_status` varchar(128) NOT NULL COMMENT 'The status of the transaction at the payment provider.',
  `payload` longblob NOT NULL COMMENT 'The payment-gateway specific payload associated with this transaction.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this transaction was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this transaction was last changed.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`transaction_id`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `payment_method` (`payment_method`),
  KEY `uid` (`uid`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Transaction information for every attempted payment.' COMMENT='Transaction information for every attempted payment.';

--
-- Dumping data for table 'commerce_payment_transaction'
--

/*!40000 ALTER TABLE commerce_payment_transaction DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_payment_transaction ENABLE KEYS */;

--
-- Table structure for table 'commerce_payment_transaction_revision'
--

CREATE TABLE IF NOT EXISTS `commerce_payment_transaction_revision` (
  `transaction_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary identifier for a transaction.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The current commerce_payment_transaction_revision.revision_id version identifier.',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this revision.',
  `remote_id` varchar(255) NOT NULL COMMENT 'The remote identifier for this transaction.',
  `message` longtext NOT NULL COMMENT 'The human-readable message associated to this transaction.',
  `message_variables` longblob NOT NULL COMMENT 'The variables associated with the human-readable message.',
  `amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The amount of this transaction.',
  `currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `status` varchar(128) NOT NULL COMMENT 'The status of this transaction (pending, success, or failure).',
  `remote_status` varchar(128) NOT NULL COMMENT 'The status of the transaction at the payment provider.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`revision_id`),
  KEY `transaction_id` (`transaction_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...' COMMENT='Saves information about each saved revision of a commerce...';

--
-- Dumping data for table 'commerce_payment_transaction_revision'
--

/*!40000 ALTER TABLE commerce_payment_transaction_revision DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_payment_transaction_revision ENABLE KEYS */;

--
-- Table structure for table 'commerce_paypal_ipn'
--

CREATE TABLE IF NOT EXISTS `commerce_paypal_ipn` (
  `ipn_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Serial numeric ID of the IPN in the local database.',
  `txn_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The PayPal transaction ID.',
  `txn_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The PayPal transaction type.',
  `receiver_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail of the payment receiever.',
  `payer_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The e-mail of the payer.',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The order ID the payment belongs to.',
  `transaction_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The payment transaction ID the payment belongs to.',
  `mc_gross` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'The gross payment amount.',
  `mc_currency` varchar(255) NOT NULL DEFAULT '' COMMENT 'The currency code of the payment.',
  `mc_fee` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'The amount of fees collected by PayPal for this payment.',
  `payment_status` varchar(255) NOT NULL DEFAULT '' COMMENT 'The status of the payment at PayPal.',
  `payment_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The type of the payment.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the IPN was received.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the IPN was last updated.',
  `test_ipn` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this was a test IPN sent by the Sandbox.',
  PRIMARY KEY (`ipn_id`),
  KEY `txn_id` (`txn_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores processed IPNs.' COMMENT='Stores processed IPNs.';

--
-- Dumping data for table 'commerce_paypal_ipn'
--

/*!40000 ALTER TABLE commerce_paypal_ipn DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_paypal_ipn ENABLE KEYS */;

--
-- Table structure for table 'commerce_product'
--

CREATE TABLE IF NOT EXISTS `commerce_product` (
  `product_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a product, used internally only.',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The current commerce_product_revision.revision_id version identifier.',
  `sku` varchar(255) NOT NULL COMMENT 'The unique, human-readable identifier for a product.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this product, always treated as non-markup plain text.',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The commerce_product_type.type of this product.',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The languages.language of this product.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this product.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether or not the product appears in lists and may be added to orders.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the product was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the product was most recently saved.',
  `data` longblob COMMENT 'A serialized array of additional data.',
  PRIMARY KEY (`product_id`),
  UNIQUE KEY `sku` (`sku`),
  UNIQUE KEY `revision_id` (`revision_id`),
  KEY `product_type` (`type`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='The base table for products.' COMMENT='The base table for products.';

--
-- Dumping data for table 'commerce_product'
--

/*!40000 ALTER TABLE commerce_product DISABLE KEYS */;
INSERT INTO `commerce_product` VALUES
('1', '1', 'N01', 'Timberland Icon 6 Inch Leather Premium Boots', 'product', 'und', '1', '1', '1468241380', '1468241380', NULL);
/*!40000 ALTER TABLE commerce_product ENABLE KEYS */;

--
-- Table structure for table 'commerce_product_revision'
--

CREATE TABLE IF NOT EXISTS `commerce_product_revision` (
  `product_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The commerce_product.product_id of the product this revision belongs to.',
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this revision.',
  `sku` varchar(255) NOT NULL COMMENT 'The unique, human-readable identifier of a product for this revision.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this product for this revision',
  `revision_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns the product at this revision.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The status of this revision.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `revision_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this revision was created.',
  `data` longblob COMMENT 'A serialized array of additional data for this revision.',
  PRIMARY KEY (`revision_id`),
  KEY `product_id` (`product_id`),
  KEY `revision_uid` (`revision_uid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Saves information about each saved revision of a commerce...' COMMENT='Saves information about each saved revision of a commerce...';

--
-- Dumping data for table 'commerce_product_revision'
--

/*!40000 ALTER TABLE commerce_product_revision DISABLE KEYS */;
INSERT INTO `commerce_product_revision` VALUES
('1', '1', 'N01', 'Timberland Icon 6 Inch Leather Premium Boots', '1', '1', '', '1468241380', NULL);
/*!40000 ALTER TABLE commerce_product_revision ENABLE KEYS */;

--
-- Table structure for table 'commerce_product_type'
--

CREATE TABLE IF NOT EXISTS `commerce_product_type` (
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a commerce_product of this type.',
  `revision` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Determine whether to create a new revision when a product of this type is updated.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about commerce_product types created...' COMMENT='Stores information about commerce_product types created...';

--
-- Dumping data for table 'commerce_product_type'
--

/*!40000 ALTER TABLE commerce_product_type DISABLE KEYS */;
INSERT INTO `commerce_product_type` VALUES
('product', 'Product', 'A basic product type.', '', '1');
/*!40000 ALTER TABLE commerce_product_type ENABLE KEYS */;

--
-- Table structure for table 'commerce_tax_rate'
--

CREATE TABLE IF NOT EXISTS `commerce_tax_rate` (
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'The machine-name of this rate.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The administrative title of this rate.',
  `display_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The front end display title of this rate.',
  `description` mediumtext COMMENT 'A brief description of this rate.',
  `rate` varchar(64) NOT NULL DEFAULT '0' COMMENT 'The percentage used to calculate this tax expressed as a decimal.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The machine-name of the rate’s commerce_tax_type.',
  `default_rules_component` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this rate should have a default Rules component for applying it to products.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that defines this tax type.',
  PRIMARY KEY (`name`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about tax rates created via Tax UI.' COMMENT='Stores information about tax rates created via Tax UI.';

--
-- Dumping data for table 'commerce_tax_rate'
--

/*!40000 ALTER TABLE commerce_tax_rate DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_tax_rate ENABLE KEYS */;

--
-- Table structure for table 'commerce_tax_type'
--

CREATE TABLE IF NOT EXISTS `commerce_tax_type` (
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'The machine-name of this type.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The administrative title of this type.',
  `display_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The front end display title of this type.',
  `description` mediumtext COMMENT 'A brief description of this type.',
  `display_inclusive` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not taxes of this type display inclusively in product prices.',
  `round_mode` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Integer indicating what type of rounding (if any) should be done for taxes of this type.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that defines this tax type.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about tax types created via Tax UI.' COMMENT='Stores information about tax types created via Tax UI.';

--
-- Dumping data for table 'commerce_tax_type'
--

/*!40000 ALTER TABLE commerce_tax_type DISABLE KEYS */;
INSERT INTO `commerce_tax_type` VALUES
('sales_tax', 'Sales tax', 'Sales tax', 'A basic type for taxes that do not display inclusive with product prices.', '0', '0', 'commerce_tax_ui'),
('vat', 'VAT', 'VAT', 'A basic type for taxes that display inclusive with product prices.', '1', '1', 'commerce_tax_ui');
/*!40000 ALTER TABLE commerce_tax_type ENABLE KEYS */;

--
-- Table structure for table 'commerce_wishlist_share'
--

CREATE TABLE IF NOT EXISTS `commerce_wishlist_share` (
  `order_id` int(10) unsigned NOT NULL COMMENT 'Order ID',
  `url_hash` varchar(64) NOT NULL DEFAULT '' COMMENT 'Hash used in the URL to identify this wish list.',
  PRIMARY KEY (`order_id`),
  UNIQUE KEY `url_hash` (`url_hash`(8))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds URL hashes for shared, protected wish lists.' COMMENT='Holds URL hashes for shared, protected wish lists.';

--
-- Dumping data for table 'commerce_wishlist_share'
--

/*!40000 ALTER TABLE commerce_wishlist_share DISABLE KEYS */;
/*!40000 ALTER TABLE commerce_wishlist_share ENABLE KEYS */;

--
-- Table structure for table 'contact'
--

CREATE TABLE IF NOT EXISTS `contact` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',
  `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',
  `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',
  `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',
  `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `category` (`category`),
  KEY `list` (`weight`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.' COMMENT='Contact form category settings.';

--
-- Dumping data for table 'contact'
--

/*!40000 ALTER TABLE contact DISABLE KEYS */;
INSERT INTO `contact` VALUES
('1', 'Website feedback', 'admin@admin.com', '', '0', '1');
/*!40000 ALTER TABLE contact ENABLE KEYS */;

--
-- Table structure for table 'ctools_css_cache'
--

CREATE TABLE IF NOT EXISTS `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.' COMMENT='A special cache used to store CSS that must be non-volatile.';

--
-- Dumping data for table 'ctools_css_cache'
--

/*!40000 ALTER TABLE ctools_css_cache DISABLE KEYS */;
INSERT INTO `ctools_css_cache` VALUES
('flexiblev2:26', 'public://ctools/css/24212bd5f05d1248cc15524d4e725e13.css', '.panels-flexible-26 .panels-flexible-region {\n  padding: 0;\n}\n\n.panels-flexible-26 .panels-flexible-region-inside {\n  padding-right: 0.5em;\n  padding-left: 0.5em;\n}\n\n.panels-flexible-26 .panels-flexible-region-inside-first {\n  padding-left: 0;\n}\n\n.panels-flexible-26 .panels-flexible-region-inside-last {\n  padding-right: 0;\n}\n\n.panels-flexible-26 .panels-flexible-column {\n  padding: 0;\n}\n\n.panels-flexible-26 .panels-flexible-column-inside {\n  padding-right: 0.5em;\n  padding-left: 0.5em;\n}\n\n.panels-flexible-26 .panels-flexible-column-inside-first {\n  padding-left: 0;\n}\n\n.panels-flexible-26 .panels-flexible-column-inside-last {\n  padding-right: 0;\n}\n\n.panels-flexible-26 .panels-flexible-row {\n  padding: 0 0 0.5em 0;\n  margin: 0;\n}\n\n.panels-flexible-26 .panels-flexible-row-last {\n  padding-bottom: 0;\n}\n\n.panels-flexible-column-26-main {\n  float: left;\n  width: 100.0000%;\n}\n\n.panels-flexible-26-inside {\n  padding-right: 0px;\n}\n\n.panels-flexible-26 {\n  width: auto;\n}\n\n.panels-flexible-region-26-center {\n  float: left;\n  width: 100.0000%;\n}\n\n.panels-flexible-row-26-main-row-inside {\n  padding-right: 0px;\n}\n\n', '0'),
('flexiblev2:35', 'public://ctools/css/d6221a25020f9c749ca2c6ee96095ee8.css', '.panels-flexible-35 .panels-flexible-region {\n  padding: 0;\n}\n\n.panels-flexible-35 .panels-flexible-region-inside {\n  padding-right: 0.5em;\n  padding-left: 0.5em;\n}\n\n.panels-flexible-35 .panels-flexible-region-inside-first {\n  padding-left: 0;\n}\n\n.panels-flexible-35 .panels-flexible-region-inside-last {\n  padding-right: 0;\n}\n\n.panels-flexible-35 .panels-flexible-column {\n  padding: 0;\n}\n\n.panels-flexible-35 .panels-flexible-column-inside {\n  padding-right: 0.5em;\n  padding-left: 0.5em;\n}\n\n.panels-flexible-35 .panels-flexible-column-inside-first {\n  padding-left: 0;\n}\n\n.panels-flexible-35 .panels-flexible-column-inside-last {\n  padding-right: 0;\n}\n\n.panels-flexible-35 .panels-flexible-row {\n  padding: 0 0 0.5em 0;\n  margin: 0;\n}\n\n.panels-flexible-35 .panels-flexible-row-last {\n  padding-bottom: 0;\n}\n\n.panels-flexible-column-35-main {\n  float: left;\n  width: 100.0000%;\n}\n\n.panels-flexible-35-inside {\n  padding-right: 0px;\n}\n\n.panels-flexible-35 {\n  width: auto;\n}\n\n.panels-flexible-region-35-center {\n  float: left;\n  width: 100.0000%;\n}\n\n.panels-flexible-row-35-main-row-inside {\n  padding-right: 0px;\n}\n\n', '0');
/*!40000 ALTER TABLE ctools_css_cache ENABLE KEYS */;

--
-- Table structure for table 'ctools_object_cache'
--

CREATE TABLE IF NOT EXISTS `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...' COMMENT='A special cache used to store objects that are being...';

--
-- Table structure for table 'date_format_locale'
--

CREATE TABLE IF NOT EXISTS `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.' COMMENT='Stores configured date formats for each locale.';

--
-- Dumping data for table 'date_format_locale'
--

/*!40000 ALTER TABLE date_format_locale DISABLE KEYS */;
/*!40000 ALTER TABLE date_format_locale ENABLE KEYS */;

--
-- Table structure for table 'date_format_type'
--

CREATE TABLE IF NOT EXISTS `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.' COMMENT='Stores configured date format types.';

--
-- Dumping data for table 'date_format_type'
--

/*!40000 ALTER TABLE date_format_type DISABLE KEYS */;
INSERT INTO `date_format_type` VALUES
('long', 'Long', '1'),
('medium', 'Medium', '1'),
('short', 'Short', '1');
/*!40000 ALTER TABLE date_format_type ENABLE KEYS */;

--
-- Table structure for table 'date_formats'
--

CREATE TABLE IF NOT EXISTS `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.' COMMENT='Stores configured date formats.';

--
-- Dumping data for table 'date_formats'
--

/*!40000 ALTER TABLE date_formats DISABLE KEYS */;
INSERT INTO `date_formats` VALUES
('1', 'Y-m-d H:i', 'short', '1'),
('2', 'm/d/Y - H:i', 'short', '1'),
('3', 'd/m/Y - H:i', 'short', '1'),
('4', 'Y/m/d - H:i', 'short', '1'),
('5', 'd.m.Y - H:i', 'short', '1'),
('6', 'm/d/Y - g:ia', 'short', '1'),
('7', 'd/m/Y - g:ia', 'short', '1'),
('8', 'Y/m/d - g:ia', 'short', '1'),
('9', 'M j Y - H:i', 'short', '1'),
('10', 'j M Y - H:i', 'short', '1'),
('11', 'Y M j - H:i', 'short', '1'),
('12', 'M j Y - g:ia', 'short', '1'),
('13', 'j M Y - g:ia', 'short', '1'),
('14', 'Y M j - g:ia', 'short', '1'),
('15', 'D, Y-m-d H:i', 'medium', '1'),
('16', 'D, m/d/Y - H:i', 'medium', '1'),
('17', 'D, d/m/Y - H:i', 'medium', '1'),
('18', 'D, Y/m/d - H:i', 'medium', '1'),
('19', 'F j, Y - H:i', 'medium', '1'),
('20', 'j F, Y - H:i', 'medium', '1'),
('21', 'Y, F j - H:i', 'medium', '1'),
('22', 'D, m/d/Y - g:ia', 'medium', '1'),
('23', 'D, d/m/Y - g:ia', 'medium', '1'),
('24', 'D, Y/m/d - g:ia', 'medium', '1'),
('25', 'F j, Y - g:ia', 'medium', '1'),
('26', 'j F Y - g:ia', 'medium', '1'),
('27', 'Y, F j - g:ia', 'medium', '1'),
('28', 'j. F Y - G:i', 'medium', '1'),
('29', 'l, F j, Y - H:i', 'long', '1'),
('30', 'l, j F, Y - H:i', 'long', '1'),
('31', 'l, Y,  F j - H:i', 'long', '1'),
('32', 'l, F j, Y - g:ia', 'long', '1'),
('33', 'l, j F Y - g:ia', 'long', '1'),
('34', 'l, Y,  F j - g:ia', 'long', '1'),
('35', 'l, j. F Y - G:i', 'long', '1'),
('36', 'F d, Y', 'custom', '0'),
('37', 'd.m.Y', 'custom', '0'),
('38', 'F d, Y H:m', 'custom', '0');
/*!40000 ALTER TABLE date_formats ENABLE KEYS */;

--
-- Table structure for table 'field_config'
--

CREATE TABLE IF NOT EXISTS `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=129 DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'field_config'
--

/*!40000 ALTER TABLE field_config DISABLE KEYS */;
INSERT INTO `field_config` VALUES
('1', 'comment_body', 'text_long', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:1:{i:0;s:7:"comment";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}', '1', '0', '0'),
('2', 'body', 'text_with_summary', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"entity_types";a:1:{i:0;s:4:"node";}s:12:"translatable";s:1:"1";s:8:"settings";a:0:{}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:15:"field_data_body";a:3:{s:5:"value";s:10:"body_value";s:7:"summary";s:12:"body_summary";s:6:"format";s:11:"body_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:19:"field_revision_body";a:3:{s:5:"value";s:10:"body_value";s:7:"summary";s:12:"body_summary";s:6:"format";s:11:"body_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:1:"2";}', '1', '1', '0'),
('3', 'field_tags', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:4:"tags";s:6:"parent";i:0;}}}s:12:"entity_types";a:0:{}s:12:"translatable";s:1:"0";s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:21:"field_data_field_tags";a:1:{s:3:"tid";s:14:"field_tags_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:25:"field_revision_field_tags";a:1:{s:3:"tid";s:14:"field_tags_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:1:"3";}', '-1', '0', '0'),
('4', 'field_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"1";s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:22:"field_data_field_image";a:5:{s:3:"fid";s:15:"field_image_fid";s:3:"alt";s:15:"field_image_alt";s:5:"title";s:17:"field_image_title";s:5:"width";s:17:"field_image_width";s:6:"height";s:18:"field_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:26:"field_revision_field_image";a:5:{s:3:"fid";s:15:"field_image_fid";s:3:"alt";s:15:"field_image_alt";s:5:"title";s:17:"field_image_title";s:5:"width";s:17:"field_image_width";s:6:"height";s:18:"field_image_height";}}}}}s:12:"entity_types";a:0:{}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:2:"id";s:1:"4";}', '1', '1', '0'),
('5', 'taxonomy_forums', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:6:"forums";s:6:"parent";i:0;}}}s:12:"entity_types";a:0:{}s:12:"translatable";b:0;s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}}', '1', '0', '0'),
('7', 'field_slide_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"1";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:28:"field_data_field_slide_image";a:5:{s:3:"fid";s:21:"field_slide_image_fid";s:3:"alt";s:21:"field_slide_image_alt";s:5:"title";s:23:"field_slide_image_title";s:5:"width";s:23:"field_slide_image_width";s:6:"height";s:24:"field_slide_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:32:"field_revision_field_slide_image";a:5:{s:3:"fid";s:21:"field_slide_image_fid";s:3:"alt";s:21:"field_slide_image_alt";s:5:"title";s:23:"field_slide_image_title";s:5:"width";s:23:"field_slide_image_width";s:6:"height";s:24:"field_slide_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:1:"7";}', '1', '1', '0'),
('11', 'field_employee_photo', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"1";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:31:"field_data_field_employee_photo";a:5:{s:3:"fid";s:24:"field_employee_photo_fid";s:3:"alt";s:24:"field_employee_photo_alt";s:5:"title";s:26:"field_employee_photo_title";s:5:"width";s:26:"field_employee_photo_width";s:6:"height";s:27:"field_employee_photo_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:35:"field_revision_field_employee_photo";a:5:{s:3:"fid";s:24:"field_employee_photo_fid";s:3:"alt";s:24:"field_employee_photo_alt";s:5:"title";s:26:"field_employee_photo_title";s:5:"width";s:26:"field_employee_photo_width";s:6:"height";s:27:"field_employee_photo_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"11";}', '1', '1', '0'),
('18', 'field_blog_category', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:13:"blog_cetogory";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_blog_category";a:1:{s:3:"tid";s:23:"field_blog_category_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_blog_category";a:1:{s:3:"tid";s:23:"field_blog_category_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:2:"18";}', '-1', '0', '0'),
('21', 'field_testi_author_info', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:34:"field_data_field_testi_author_info";a:2:{s:5:"value";s:29:"field_testi_author_info_value";s:6:"format";s:30:"field_testi_author_info_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:38:"field_revision_field_testi_author_info";a:2:{s:5:"value";s:29:"field_testi_author_info_value";s:6:"format";s:30:"field_testi_author_info_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"21";}', '1', '0', '0'),
('22', 'field_testi_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:28:"field_data_field_testi_image";a:5:{s:3:"fid";s:21:"field_testi_image_fid";s:3:"alt";s:21:"field_testi_image_alt";s:5:"title";s:23:"field_testi_image_title";s:5:"width";s:23:"field_testi_image_width";s:6:"height";s:24:"field_testi_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:32:"field_revision_field_testi_image";a:5:{s:3:"fid";s:21:"field_testi_image_fid";s:3:"alt";s:21:"field_testi_image_alt";s:5:"title";s:23:"field_testi_image_title";s:5:"width";s:23:"field_testi_image_width";s:6:"height";s:24:"field_testi_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"22";}', '1', '0', '0'),
('24', 'field_banner_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:29:"field_data_field_banner_image";a:5:{s:3:"fid";s:22:"field_banner_image_fid";s:3:"alt";s:22:"field_banner_image_alt";s:5:"title";s:24:"field_banner_image_title";s:5:"width";s:24:"field_banner_image_width";s:6:"height";s:25:"field_banner_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:33:"field_revision_field_banner_image";a:5:{s:3:"fid";s:22:"field_banner_image_fid";s:3:"alt";s:22:"field_banner_image_alt";s:5:"title";s:24:"field_banner_image_title";s:5:"width";s:24:"field_banner_image_width";s:6:"height";s:25:"field_banner_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"24";}', '1', '0', '0'),
('25', 'field_blog_tags', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:9:"blog_tags";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:26:"field_data_field_blog_tags";a:1:{s:3:"tid";s:19:"field_blog_tags_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:30:"field_revision_field_blog_tags";a:1:{s:3:"tid";s:19:"field_blog_tags_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:2:"25";}', '-1', '0', '0'),
('30', 'field_blog_media', 'file', 'file', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:3:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:27:"field_data_field_blog_media";a:3:{s:3:"fid";s:20:"field_blog_media_fid";s:7:"display";s:24:"field_blog_media_display";s:11:"description";s:28:"field_blog_media_description";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:31:"field_revision_field_blog_media";a:3:{s:3:"fid";s:20:"field_blog_media_fid";s:7:"display";s:24:"field_blog_media_display";s:11:"description";s:28:"field_blog_media_description";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"30";}', '1', '0', '0'),
('40', 'field_banner_site_url', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:32:"field_data_field_banner_site_url";a:3:{s:3:"url";s:25:"field_banner_site_url_url";s:5:"title";s:27:"field_banner_site_url_title";s:10:"attributes";s:32:"field_banner_site_url_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:36:"field_revision_field_banner_site_url";a:3:{s:3:"url";s:25:"field_banner_site_url_url";s:5:"title";s:27:"field_banner_site_url_title";s:10:"attributes";s:32:"field_banner_site_url_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"40";}', '1', '0', '0'),
('47', 'field_user_bio', 'text_long', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:0:{}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:25:"field_data_field_user_bio";a:2:{s:5:"value";s:20:"field_user_bio_value";s:6:"format";s:21:"field_user_bio_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:29:"field_revision_field_user_bio";a:2:{s:5:"value";s:20:"field_user_bio_value";s:6:"format";s:21:"field_user_bio_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"47";}', '1', '0', '0'),
('48', 'field_file_image_alt_text', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:0:{}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:12:"translatable";s:1:"0";s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}}', '1', '0', '0'),
('49', 'field_file_image_title_text', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:0:{}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:12:"translatable";s:1:"0";s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}}', '1', '0', '0'),
('52', 'field_plan_price', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:27:"field_data_field_plan_price";a:2:{s:5:"value";s:22:"field_plan_price_value";s:6:"format";s:23:"field_plan_price_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:31:"field_revision_field_plan_price";a:2:{s:5:"value";s:22:"field_plan_price_value";s:6:"format";s:23:"field_plan_price_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"52";}', '1', '0', '0'),
('65', 'field_plan_period', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:28:"field_data_field_plan_period";a:2:{s:5:"value";s:23:"field_plan_period_value";s:6:"format";s:24:"field_plan_period_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:32:"field_revision_field_plan_period";a:2:{s:5:"value";s:23:"field_plan_period_value";s:6:"format";s:24:"field_plan_period_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"65";}', '1', '0', '0'),
('66', 'field_blog_share', 'addthis', 'addthis', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:27:"field_data_field_blog_share";a:1:{s:5:"value";s:22:"field_blog_share_value";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:31:"field_revision_field_blog_share";a:1:{s:5:"value";s:22:"field_blog_share_value";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"66";}', '1', '0', '0'),
('67', 'field_service_categories', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:19:"services_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:35:"field_data_field_service_categories";a:1:{s:3:"tid";s:28:"field_service_categories_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:39:"field_revision_field_service_categories";a:1:{s:3:"tid";s:28:"field_service_categories_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:2:"67";}', '-1', '0', '0'),
('69', 'field_question_category', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:14:"faq_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:34:"field_data_field_question_category";a:1:{s:3:"tid";s:27:"field_question_category_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:38:"field_revision_field_question_category";a:1:{s:3:"tid";s:27:"field_question_category_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:2:"69";}', '-1', '0', '0'),
('70', 'field_service_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_service_image";a:5:{s:3:"fid";s:23:"field_service_image_fid";s:3:"alt";s:23:"field_service_image_alt";s:5:"title";s:25:"field_service_image_title";s:5:"width";s:25:"field_service_image_width";s:6:"height";s:26:"field_service_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_service_image";a:5:{s:3:"fid";s:23:"field_service_image_fid";s:3:"alt";s:23:"field_service_image_alt";s:5:"title";s:25:"field_service_image_title";s:5:"width";s:25:"field_service_image_width";s:6:"height";s:26:"field_service_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"70";}', '1', '0', '0'),
('78', 'field_employee_facebook', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:34:"field_data_field_employee_facebook";a:3:{s:3:"url";s:27:"field_employee_facebook_url";s:5:"title";s:29:"field_employee_facebook_title";s:10:"attributes";s:34:"field_employee_facebook_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:38:"field_revision_field_employee_facebook";a:3:{s:3:"url";s:27:"field_employee_facebook_url";s:5:"title";s:29:"field_employee_facebook_title";s:10:"attributes";s:34:"field_employee_facebook_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"78";}', '1', '0', '0'),
('85', 'field_service_icon', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:29:"field_data_field_service_icon";a:2:{s:5:"value";s:24:"field_service_icon_value";s:6:"format";s:25:"field_service_icon_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:33:"field_revision_field_service_icon";a:2:{s:5:"value";s:24:"field_service_icon_value";s:6:"format";s:25:"field_service_icon_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"85";}', '1', '0', '0'),
('86', 'field_plan_options', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:29:"field_data_field_plan_options";a:2:{s:5:"value";s:24:"field_plan_options_value";s:6:"format";s:25:"field_plan_options_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:33:"field_revision_field_plan_options";a:2:{s:5:"value";s:24:"field_plan_options_value";s:6:"format";s:25:"field_plan_options_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"86";}', '-1', '0', '0'),
('87', 'field_project_category', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:18:"project_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:33:"field_data_field_project_category";a:1:{s:3:"tid";s:26:"field_project_category_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:37:"field_revision_field_project_category";a:1:{s:3:"tid";s:26:"field_project_category_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:2:"87";}', '-1', '0', '0'),
('88', 'field_project_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_project_image";a:5:{s:3:"fid";s:23:"field_project_image_fid";s:3:"alt";s:23:"field_project_image_alt";s:5:"title";s:25:"field_project_image_title";s:5:"width";s:25:"field_project_image_width";s:6:"height";s:26:"field_project_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_project_image";a:5:{s:3:"fid";s:23:"field_project_image_fid";s:3:"alt";s:23:"field_project_image_alt";s:5:"title";s:25:"field_project_image_title";s:5:"width";s:25:"field_project_image_width";s:6:"height";s:26:"field_project_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"88";}', '1', '0', '0'),
('89', 'views_isotope_example_color', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:0:{}s:12:"translatable";b:0;s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}', '1', '0', '0'),
('90', 'views_isotope_example_shape', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:0:{}s:12:"translatable";b:0;s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}', '1', '0', '0'),
('91', 'views_isotope_example_size', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:0:{}s:12:"translatable";b:0;s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}', '1', '0', '0'),
('92', 'field_slide_category', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:16:"slide_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:31:"field_data_field_slide_category";a:1:{s:3:"tid";s:24:"field_slide_category_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:35:"field_revision_field_slide_category";a:1:{s:3:"tid";s:24:"field_slide_category_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:2:"92";}', '-1', '0', '0'),
('93', 'field_project_masonry_thumb', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:38:"field_data_field_project_masonry_thumb";a:5:{s:3:"fid";s:31:"field_project_masonry_thumb_fid";s:3:"alt";s:31:"field_project_masonry_thumb_alt";s:5:"title";s:33:"field_project_masonry_thumb_title";s:5:"width";s:33:"field_project_masonry_thumb_width";s:6:"height";s:34:"field_project_masonry_thumb_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:42:"field_revision_field_project_masonry_thumb";a:5:{s:3:"fid";s:31:"field_project_masonry_thumb_fid";s:3:"alt";s:31:"field_project_masonry_thumb_alt";s:5:"title";s:33:"field_project_masonry_thumb_title";s:5:"width";s:33:"field_project_masonry_thumb_width";s:6:"height";s:34:"field_project_masonry_thumb_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:2:"93";}', '1', '0', '0'),
('94', 'field_employee_position', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";s:3:"255";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:34:"field_data_field_employee_position";a:2:{s:5:"value";s:29:"field_employee_position_value";s:6:"format";s:30:"field_employee_position_format";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:38:"field_revision_field_employee_position";a:2:{s:5:"value";s:29:"field_employee_position_value";s:6:"format";s:30:"field_employee_position_format";}}}}}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}s:2:"id";s:2:"94";}', '1', '0', '0'),
('95', 'field_employee_linkedin', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:34:"field_data_field_employee_linkedin";a:3:{s:3:"url";s:27:"field_employee_linkedin_url";s:5:"title";s:29:"field_employee_linkedin_title";s:10:"attributes";s:34:"field_employee_linkedin_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:38:"field_revision_field_employee_linkedin";a:3:{s:3:"url";s:27:"field_employee_linkedin_url";s:5:"title";s:29:"field_employee_linkedin_title";s:10:"attributes";s:34:"field_employee_linkedin_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"95";}', '1', '0', '0'),
('96', 'field_blog_like', 'vud_field', 'vud_field', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"vud_widget";s:6:"updown";s:13:"votingapi_tag";s:4:"vote";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:26:"field_data_field_blog_like";a:2:{s:10:"vud_widget";s:26:"field_blog_like_vud_widget";s:13:"votingapi_tag";s:29:"field_blog_like_votingapi_tag";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:30:"field_revision_field_blog_like";a:2:{s:10:"vud_widget";s:26:"field_blog_like_vud_widget";s:13:"votingapi_tag";s:29:"field_blog_like_votingapi_tag";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"96";}', '1', '0', '0'),
('97', 'field_user_linkedin', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_user_linkedin";a:3:{s:3:"url";s:23:"field_user_linkedin_url";s:5:"title";s:25:"field_user_linkedin_title";s:10:"attributes";s:30:"field_user_linkedin_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_user_linkedin";a:3:{s:3:"url";s:23:"field_user_linkedin_url";s:5:"title";s:25:"field_user_linkedin_title";s:10:"attributes";s:30:"field_user_linkedin_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"97";}', '1', '0', '0'),
('98', 'field_user_tumblr', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:28:"field_data_field_user_tumblr";a:3:{s:3:"url";s:21:"field_user_tumblr_url";s:5:"title";s:23:"field_user_tumblr_title";s:10:"attributes";s:28:"field_user_tumblr_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:32:"field_revision_field_user_tumblr";a:3:{s:3:"url";s:21:"field_user_tumblr_url";s:5:"title";s:23:"field_user_tumblr_title";s:10:"attributes";s:28:"field_user_tumblr_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"98";}', '1', '0', '0'),
('99', 'field_user_vimeo', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:27:"field_data_field_user_vimeo";a:3:{s:3:"url";s:20:"field_user_vimeo_url";s:5:"title";s:22:"field_user_vimeo_title";s:10:"attributes";s:27:"field_user_vimeo_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:31:"field_revision_field_user_vimeo";a:3:{s:3:"url";s:20:"field_user_vimeo_url";s:5:"title";s:22:"field_user_vimeo_title";s:10:"attributes";s:27:"field_user_vimeo_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:2:"99";}', '1', '0', '0'),
('100', 'commerce_customer_address', 'addressfield', 'addressfield', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:1:{i:0;s:25:"commerce_customer_profile";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}}', '1', '0', '0'),
('101', 'commerce_line_items', 'commerce_line_item_reference', 'commerce_line_item', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:14:"commerce_order";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:12:"line_item_id";a:2:{s:5:"table";s:18:"commerce_line_item";s:7:"columns";a:1:{s:12:"line_item_id";s:12:"line_item_id";}}}s:7:"indexes";a:1:{s:12:"line_item_id";a:1:{i:0;s:12:"line_item_id";}}}', '-1', '0', '0'),
('102', 'commerce_order_total', 'commerce_price', 'commerce_price', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:14:"commerce_order";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:14:"currency_price";a:2:{i:0;s:6:"amount";i:1;s:13:"currency_code";}}}', '1', '0', '0'),
('103', 'commerce_customer_billing', 'commerce_customer_profile_reference', 'commerce_customer', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:1:{i:0;s:14:"commerce_order";}s:12:"translatable";b:0;s:8:"settings";a:2:{s:12:"profile_type";s:7:"billing";s:18:"options_list_limit";i:50;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:10:"profile_id";a:2:{s:5:"table";s:25:"commerce_customer_profile";s:7:"columns";a:1:{s:10:"profile_id";s:10:"profile_id";}}}s:7:"indexes";a:1:{s:10:"profile_id";a:1:{i:0;s:10:"profile_id";}}}', '1', '0', '0'),
('104', 'commerce_unit_price', 'commerce_price', 'commerce_price', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:18:"commerce_line_item";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:14:"currency_price";a:2:{i:0;s:6:"amount";i:1;s:13:"currency_code";}}}', '1', '0', '0'),
('105', 'commerce_total', 'commerce_price', 'commerce_price', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:18:"commerce_line_item";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:14:"currency_price";a:2:{i:0;s:6:"amount";i:1;s:13:"currency_code";}}}', '1', '0', '0'),
('106', 'commerce_product', 'commerce_product_reference', 'commerce_product_reference', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:18:"commerce_line_item";}s:12:"translatable";b:0;s:8:"settings";a:1:{s:18:"options_list_limit";N;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:10:"product_id";a:2:{s:5:"table";s:16:"commerce_product";s:7:"columns";a:1:{s:10:"product_id";s:10:"product_id";}}}s:7:"indexes";a:1:{s:10:"product_id";a:1:{i:0;s:10:"product_id";}}}', '1', '0', '0'),
('107', 'commerce_display_path', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:18:"commerce_line_item";}s:12:"translatable";b:0;s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}', '1', '0', '0'),
('108', 'commerce_price', 'commerce_price', 'commerce_price', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:16:"commerce_product";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:14:"currency_price";a:2:{i:0;s:6:"amount";i:1;s:13:"currency_code";}}}', '1', '0', '0'),
('109', 'commerce_coupon_order_reference', 'entityreference', 'entityreference', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:2:{i:0;s:14:"commerce_order";i:1;s:18:"commerce_line_item";}s:12:"translatable";b:0;s:8:"settings";a:3:{s:11:"target_type";s:15:"commerce_coupon";s:7:"handler";s:4:"base";s:16:"handler_settings";a:0:{}}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}}', '-1', '0', '0'),
('110', 'commerce_coupon_reference', 'entityreference', 'entityreference', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:2:{i:0;s:14:"commerce_order";i:1;s:18:"commerce_line_item";}s:12:"translatable";b:0;s:8:"settings";a:3:{s:11:"target_type";s:15:"commerce_coupon";s:7:"handler";s:4:"base";s:16:"handler_settings";a:0:{}}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:9:"target_id";a:1:{i:0;s:9:"target_id";}}}', '1', '0', '0'),
('111', 'commerce_wishlist_visibility', 'list_integer', 'list', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:14:"allowed_values";a:3:{i:0;s:7:"Private";i:1;s:9:"Protected";i:2;s:6:"Public";}s:23:"allowed_values_function";s:0:"";}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}}', '1', '0', '0'),
('112', 'field_video_media', 'file', 'file', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:3:{s:13:"display_field";i:0;s:15:"display_default";i:0;s:10:"uri_scheme";s:6:"public";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:28:"field_data_field_video_media";a:3:{s:3:"fid";s:21:"field_video_media_fid";s:7:"display";s:25:"field_video_media_display";s:11:"description";s:29:"field_video_media_description";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:32:"field_revision_field_video_media";a:3:{s:3:"fid";s:21:"field_video_media_fid";s:7:"display";s:25:"field_video_media_display";s:11:"description";s:29:"field_video_media_description";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:3:"112";}', '1', '0', '0'),
('113', 'field_video_categories', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:24:"video_entries_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:33:"field_data_field_video_categories";a:1:{s:3:"tid";s:26:"field_video_categories_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:37:"field_revision_field_video_categories";a:1:{s:3:"tid";s:26:"field_video_categories_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:3:"113";}', '-1', '0', '0'),
('114', 'field_employee_tumblr', 'link_field', 'link', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:7:{s:10:"attributes";a:3:{s:6:"target";s:7:"default";s:5:"class";s:0:"";s:3:"rel";s:0:"";}s:3:"url";i:0;s:5:"title";s:8:"optional";s:11:"title_value";s:0:"";s:15:"title_maxlength";i:128;s:13:"enable_tokens";i:1;s:7:"display";a:1:{s:10:"url_cutoff";i:80;}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:32:"field_data_field_employee_tumblr";a:3:{s:3:"url";s:25:"field_employee_tumblr_url";s:5:"title";s:27:"field_employee_tumblr_title";s:10:"attributes";s:32:"field_employee_tumblr_attributes";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:36:"field_revision_field_employee_tumblr";a:3:{s:3:"url";s:25:"field_employee_tumblr_url";s:5:"title";s:27:"field_employee_tumblr_title";s:10:"attributes";s:32:"field_employee_tumblr_attributes";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:3:"114";}', '1', '0', '0'),
('115', 'commerce_coupon_code', 'text', 'text', '1', 'field_sql_storage', 'field_sql_storage', '1', '1', 'a:6:{s:12:"entity_types";a:1:{i:0;s:15:"commerce_coupon";}s:12:"translatable";b:0;s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:1:{s:6:"format";a:2:{s:5:"table";s:13:"filter_format";s:7:"columns";a:1:{s:6:"format";s:6:"format";}}}s:7:"indexes";a:1:{s:6:"format";a:1:{i:0;s:6:"format";}}}', '1', '0', '0'),
('116', 'commerce_coupon_number_of_uses', 'number_integer', 'number', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:1:{i:0;s:15:"commerce_coupon";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}}', '1', '0', '0'),
('117', 'commerce_stock', 'number_integer', 'number', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:6:{s:12:"entity_types";a:1:{i:0;s:16:"commerce_product";}s:12:"translatable";b:0;s:8:"settings";a:0:{}s:7:"storage";a:4:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";i:1;}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}}', '1', '0', '0'),
('118', 'field_product_reference', 'commerce_product_reference', 'commerce_product_reference', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:18:"options_list_limit";s:0:"";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:34:"field_data_field_product_reference";a:1:{s:10:"product_id";s:34:"field_product_reference_product_id";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:38:"field_revision_field_product_reference";a:1:{s:10:"product_id";s:34:"field_product_reference_product_id";}}}}}s:12:"foreign keys";a:1:{s:10:"product_id";a:2:{s:5:"table";s:16:"commerce_product";s:7:"columns";a:1:{s:10:"product_id";s:10:"product_id";}}}s:7:"indexes";a:1:{s:10:"product_id";a:1:{i:0;s:10:"product_id";}}s:2:"id";s:3:"118";}', '-1', '0', '0');
INSERT INTO `field_config` VALUES
('119', 'field_product_categories', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:19:"products_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:35:"field_data_field_product_categories";a:1:{s:3:"tid";s:28:"field_product_categories_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:39:"field_revision_field_product_categories";a:1:{s:3:"tid";s:28:"field_product_categories_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:3:"119";}', '-1', '0', '0'),
('121', 'field_product_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_product_image";a:5:{s:3:"fid";s:23:"field_product_image_fid";s:3:"alt";s:23:"field_product_image_alt";s:5:"title";s:25:"field_product_image_title";s:5:"width";s:25:"field_product_image_width";s:6:"height";s:26:"field_product_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_product_image";a:5:{s:3:"fid";s:23:"field_product_image_fid";s:3:"alt";s:23:"field_product_image_alt";s:5:"title";s:25:"field_product_image_title";s:5:"width";s:25:"field_product_image_width";s:6:"height";s:26:"field_product_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:3:"121";}', '-1', '0', '0'),
('122', 'field_product_tags', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:13:"products_tags";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:29:"field_data_field_product_tags";a:1:{s:3:"tid";s:22:"field_product_tags_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:33:"field_revision_field_product_tags";a:1:{s:3:"tid";s:22:"field_product_tags_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:3:"122";}', '-1', '0', '0'),
('123', 'field_product_share', 'addthis', 'addthis', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:10:"max_length";i:255;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_product_share";a:1:{s:5:"value";s:25:"field_product_share_value";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_product_share";a:1:{s:5:"value";s:25:"field_product_share_value";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:3:"123";}', '1', '0', '0'),
('125', 'field_rating', 'fivestar', 'fivestar', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:4:"axis";s:4:"vote";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:23:"field_data_field_rating";a:2:{s:6:"rating";s:19:"field_rating_rating";s:6:"target";s:19:"field_rating_target";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:27:"field_revision_field_rating";a:2:{s:6:"rating";s:19:"field_rating_rating";s:6:"target";s:19:"field_rating_target";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:0:{}s:2:"id";s:3:"125";}', '1', '0', '0'),
('126', 'field_plan_category', 'taxonomy_term_reference', 'taxonomy', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:1:{s:14:"allowed_values";a:1:{i:0;a:2:{s:10:"vocabulary";s:21:"tarif_plan_categories";s:6:"parent";s:1:"0";}}}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:30:"field_data_field_plan_category";a:1:{s:3:"tid";s:23:"field_plan_category_tid";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:34:"field_revision_field_plan_category";a:1:{s:3:"tid";s:23:"field_plan_category_tid";}}}}}s:12:"foreign keys";a:1:{s:3:"tid";a:2:{s:5:"table";s:18:"taxonomy_term_data";s:7:"columns";a:1:{s:3:"tid";s:3:"tid";}}}s:7:"indexes";a:1:{s:3:"tid";a:1:{i:0;s:3:"tid";}}s:2:"id";s:3:"126";}', '1', '0', '0'),
('127', 'field_plan_image', 'image', 'image', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:10:"uri_scheme";s:6:"public";s:13:"default_image";i:0;}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:27:"field_data_field_plan_image";a:5:{s:3:"fid";s:20:"field_plan_image_fid";s:3:"alt";s:20:"field_plan_image_alt";s:5:"title";s:22:"field_plan_image_title";s:5:"width";s:22:"field_plan_image_width";s:6:"height";s:23:"field_plan_image_height";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:31:"field_revision_field_plan_image";a:5:{s:3:"fid";s:20:"field_plan_image_fid";s:3:"alt";s:20:"field_plan_image_alt";s:5:"title";s:22:"field_plan_image_title";s:5:"width";s:22:"field_plan_image_width";s:6:"height";s:23:"field_plan_image_height";}}}}}s:12:"foreign keys";a:1:{s:3:"fid";a:2:{s:5:"table";s:12:"file_managed";s:7:"columns";a:1:{s:3:"fid";s:3:"fid";}}}s:7:"indexes";a:1:{s:3:"fid";a:1:{i:0;s:3:"fid";}}s:2:"id";s:3:"127";}', '1', '0', '0'),
('128', 'field_plan_best_choice', 'list_boolean', 'list', '1', 'field_sql_storage', 'field_sql_storage', '1', '0', 'a:7:{s:12:"translatable";s:1:"0";s:12:"entity_types";a:0:{}s:8:"settings";a:2:{s:14:"allowed_values";a:2:{i:0;s:0:"";i:1;s:11:"Best choice";}s:23:"allowed_values_function";s:0:"";}s:7:"storage";a:5:{s:4:"type";s:17:"field_sql_storage";s:8:"settings";a:0:{}s:6:"module";s:17:"field_sql_storage";s:6:"active";s:1:"1";s:7:"details";a:1:{s:3:"sql";a:2:{s:18:"FIELD_LOAD_CURRENT";a:1:{s:33:"field_data_field_plan_best_choice";a:1:{s:5:"value";s:28:"field_plan_best_choice_value";}}s:19:"FIELD_LOAD_REVISION";a:1:{s:37:"field_revision_field_plan_best_choice";a:1:{s:5:"value";s:28:"field_plan_best_choice_value";}}}}}s:12:"foreign keys";a:0:{}s:7:"indexes";a:1:{s:5:"value";a:1:{i:0;s:5:"value";}}s:2:"id";s:3:"128";}', '1', '0', '0');
/*!40000 ALTER TABLE field_config ENABLE KEYS */;

--
-- Table structure for table 'field_config_instance'
--

CREATE TABLE IF NOT EXISTS `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=171 DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'field_config_instance'
--

/*!40000 ALTER TABLE field_config_instance DISABLE KEYS */;
INSERT INTO `field_config_instance` VALUES
('1', '1', 'comment_body', 'comment', 'comment_node_page', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('2', '2', 'body', 'node', 'page', 'a:7:{s:5:"label";s:4:"Body";s:11:"widget_type";s:26:"text_textarea_with_summary";s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";i:-4;s:6:"module";s:4:"text";}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('3', '1', 'comment_body', 'comment', 'comment_node_article', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('4', '2', 'body', 'node', 'article', 'a:7:{s:5:"label";s:4:"Body";s:11:"widget_type";s:26:"text_textarea_with_summary";s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"0";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:2:"-4";s:6:"module";s:4:"text";}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('5', '3', 'field_tags', 'node', 'article', 'a:7:{s:5:"label";s:18:"Article categories";s:11:"description";s:63:"Enter a comma-separated list of words to describe your content.";s:6:"widget";a:5:{s:6:"weight";s:2:"-4";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:2:"10";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:2:"10";s:8:"settings";a:0:{}}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:8:"required";i:0;s:13:"default_value";N;}', '0'),
('6', '4', 'field_image', 'node', 'article', 'a:6:{s:5:"label";s:13:"Article image";s:11:"description";s:40:"Upload an image to go with this article.";s:8:"required";i:0;s:8:"settings";a:9:{s:14:"file_directory";s:11:"field/image";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";b:1;s:11:"title_field";s:0:"";s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:6:"widget";a:5:{s:6:"weight";s:2:"-1";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:2:"-1";s:8:"settings";a:2:{s:11:"image_style";s:9:"full_post";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:2:"-1";s:8:"settings";a:2:{s:11:"image_style";s:10:"blog_image";s:10:"image_link";s:7:"content";}s:6:"module";s:5:"image";}}}', '0'),
('7', '1', 'comment_body', 'comment', 'comment_node_book', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('8', '2', 'body', 'node', 'book', 'a:7:{s:5:"label";s:4:"Body";s:11:"widget_type";s:26:"text_textarea_with_summary";s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";i:-4;s:6:"module";s:4:"text";}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('9', '1', 'comment_body', 'comment', 'comment_node_blog', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('10', '1', 'comment_body', 'comment', 'comment_node_poll', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('11', '2', 'body', 'node', 'blog', 'a:7:{s:5:"label";s:4:"Body";s:11:"widget_type";s:26:"text_textarea_with_summary";s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:4:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:11:"trim_length";s:3:"600";}s:6:"module";s:4:"text";}s:4:"full";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:5:"print";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:1:"3";s:6:"module";s:4:"text";}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('12', '5', 'taxonomy_forums', 'node', 'forum', 'a:6:{s:5:"label";s:6:"Forums";s:8:"required";b:1;s:6:"widget";a:4:{s:4:"type";s:14:"options_select";s:8:"settings";a:0:{}s:6:"weight";i:0;s:6:"module";s:7:"options";}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:2:"10";s:8:"settings";a:0:{}}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:11:"description";s:0:"";}', '0'),
('13', '1', 'comment_body', 'comment', 'comment_node_forum', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('14', '2', 'body', 'node', 'forum', 'a:7:{s:5:"label";s:4:"Body";s:11:"widget_type";s:26:"text_textarea_with_summary";s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:2:"11";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";i:1;s:6:"module";s:4:"text";}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('15', '1', 'comment_body', 'comment', 'comment_node_faq', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('16', '2', 'body', 'node', 'faq', 'a:7:{s:5:"label";s:4:"Body";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:26:"text_textarea_with_summary";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:2:{s:4:"rows";s:2:"20";s:12:"summary_rows";i:5;}}s:8:"settings";a:3:{s:15:"text_processing";s:1:"1";s:15:"display_summary";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('18', '1', 'comment_body', 'comment', 'comment_node_slide', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('19', '2', 'body', 'node', 'slide', 'a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:2:"-4";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('20', '7', 'field_slide_image', 'node', 'slide', 'a:6:{s:5:"label";s:11:"Slide image";s:6:"widget";a:5:{s:6:"weight";s:2:"-3";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:3:{s:6:"public";s:6:"public";s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:1;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:9:"full_post";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:10:"blog_image";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('21', '1', 'comment_body', 'comment', 'comment_node_quotes', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('22', '2', 'body', 'node', 'quotes', 'a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";i:-4;s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('23', '1', 'comment_body', 'comment', 'comment_node_panel', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('24', '1', 'comment_body', 'comment', 'comment_node_project', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('25', '2', 'body', 'node', 'project', 'a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:1:"3";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('31', '1', 'comment_body', 'comment', 'comment_node_employee', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('32', '2', 'body', 'node', 'employee', 'a:7:{s:5:"label";s:4:"Body";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:26:"text_textarea_with_summary";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:2:{s:4:"rows";s:2:"20";s:12:"summary_rows";i:5;}}s:8:"settings";a:3:{s:15:"text_processing";s:1:"1";s:15:"display_summary";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"5";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('33', '11', 'field_employee_photo', 'node', 'employee', 'a:6:{s:5:"label";s:14:"Employee photo";s:6:"widget";a:5:{s:6:"weight";s:1:"7";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:1;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:13:"medium_retina";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:10:"blog_image";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('34', '1', 'comment_body', 'comment', 'comment_node_banner', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('35', '2', 'body', 'node', 'banner', 'a:7:{s:5:"label";s:4:"Body";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:26:"text_textarea_with_summary";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:2:{s:4:"rows";s:2:"20";s:12:"summary_rows";i:5;}}s:8:"settings";a:3:{s:15:"text_processing";s:1:"1";s:15:"display_summary";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('37', '1', 'comment_body', 'comment', 'comment_node_service', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('38', '2', 'body', 'node', 'service', 'a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:1:"2";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('42', '14', 'field_map', 'node', 'map', 'a:7:{s:5:"label";s:3:"Map";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:19:"getlocations_fields";s:6:"module";s:19:"getlocations_fields";s:6:"active";i:0;s:8:"settings";a:32:{s:7:"country";s:0:"";s:20:"use_country_dropdown";i:1;s:21:"province_autocomplete";i:0;s:17:"city_autocomplete";i:0;s:11:"use_address";i:1;s:19:"input_address_width";i:40;s:16:"input_name_width";i:40;s:18:"input_street_width";i:40;s:22:"input_additional_width";i:40;s:16:"input_city_width";i:40;s:20:"input_province_width";i:40;s:23:"input_postal_code_width";i:40;s:19:"input_country_width";i:40;s:20:"input_latitude_width";i:20;s:21:"input_longitude_width";i:20;s:17:"input_name_weight";i:0;s:19:"input_street_weight";i:0;s:23:"input_additional_weight";i:0;s:17:"input_city_weight";i:0;s:21:"input_province_weight";i:0;s:24:"input_postal_code_weight";i:0;s:20:"input_country_weight";i:0;s:21:"input_latitude_weight";i:0;s:22:"input_longitude_weight";i:0;s:19:"input_name_required";i:0;s:21:"input_street_required";i:0;s:25:"input_additional_required";i:0;s:19:"input_city_required";i:0;s:23:"input_province_required";i:0;s:26:"input_postal_code_required";i:0;s:22:"input_country_required";i:0;s:15:"per_item_marker";i:0;}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:27:"getlocations_fields_default";s:6:"weight";s:1:"0";s:8:"settings";a:46:{s:15:"display_showmap";i:1;s:15:"display_maplink";i:1;s:16:"display_mapwidth";s:4:"100%";s:17:"display_mapheight";s:5:"300px";s:15:"display_latlong";i:0;s:11:"display_dms";i:0;s:14:"display_onemap";i:0;s:12:"display_name";i:0;s:14:"display_street";i:0;s:18:"display_additional";i:0;s:12:"display_city";i:0;s:16:"display_province";i:0;s:19:"display_postal_code";i:0;s:15:"display_country";i:0;s:12:"country_full";i:0;s:8:"nodezoom";s:2:"12";s:11:"controltype";s:5:"small";s:10:"pancontrol";i:1;s:3:"mtc";s:8:"standard";s:7:"maptype";s:3:"Map";s:10:"baselayers";a:4:{s:3:"Map";i:1;s:9:"Satellite";i:1;s:6:"Hybrid";i:0;s:8:"Physical";i:0;}s:8:"behavior";a:4:{s:5:"scale";i:0;s:8:"overview";i:0;s:15:"overview_opened";i:0;s:11:"scrollwheel";i:0;}s:9:"draggable";i:1;s:15:"streetview_show";i:0;s:11:"trafficinfo";i:0;s:17:"trafficinfo_state";i:0;s:11:"bicycleinfo";i:0;s:17:"bicycleinfo_state";i:0;s:11:"transitinfo";i:0;s:17:"transitinfo_state";i:0;s:8:"poi_show";i:1;s:12:"transit_show";i:1;s:16:"markeractiontype";s:1:"1";s:12:"markeraction";s:1:"2";s:14:"panoramio_show";i:0;s:15:"panoramio_state";i:0;s:10:"map_marker";s:6:"drupal";s:15:"node_map_marker";s:6:"drupal";s:15:"user_map_marker";s:6:"drupal";s:21:"vocabulary_map_marker";s:6:"drupal";s:18:"comment_map_marker";s:6:"drupal";s:12:"weather_show";i:0;s:13:"weather_state";i:0;s:13:"weather_cloud";i:1;s:19:"weather_cloud_state";i:0;s:15:"per_item_marker";i:0;}s:6:"module";s:19:"getlocations_fields";}}s:8:"required";i:1;s:11:"description";s:0:"";s:13:"default_value";a:1:{i:0;a:11:{s:4:"name";s:0:"";s:6:"street";s:0:"";s:10:"additional";s:0:"";s:4:"city";s:0:"";s:8:"province";s:0:"";s:11:"postal_code";s:0:"";s:7:"country";s:2:"US";s:6:"marker";s:0:"";s:8:"latitude";s:0:"";s:9:"longitude";s:0:"";s:6:"active";b:0;}}}', '1'),
('46', '18', 'field_blog_category', 'node', 'blog', 'a:7:{s:5:"label";s:15:"Blog categories";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:1;s:8:"settings";a:11:{s:15:"start_minimized";i:0;s:11:"leaves_only";i:0;s:14:"select_parents";i:1;s:19:"cascading_selection";i:1;s:11:"filter_view";s:0:"";s:13:"token_display";s:0:"";s:10:"track_list";i:0;s:9:"max_depth";s:0:"";s:14:"parent_term_id";s:0:"";s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:3:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:4:"full";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"4";s:8:"settings";a:0:{}}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"5";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('48', '1', 'comment_body', 'comment', 'comment_node_testimonial', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('49', '2', 'body', 'node', 'testimonial', 'a:7:{s:5:"label";s:4:"Body";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:26:"text_textarea_with_summary";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:2:{s:4:"rows";s:1:"7";s:12:"summary_rows";i:5;}}s:8:"settings";a:3:{s:15:"text_processing";s:1:"0";s:15:"display_summary";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:6:"weight";s:1:"0";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";}}s:8:"required";i:1;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('51', '21', 'field_testi_author_info', 'node', 'testimonial', 'a:7:{s:5:"label";s:13:"Your position";s:6:"widget";a:5:{s:6:"weight";s:1:"3";s:4:"type";s:14:"text_textfield";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"size";s:2:"60";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('52', '22', 'field_testi_image', 'node', 'testimonial', 'a:6:{s:5:"label";s:10:"Your photo";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:11:"image_image";s:6:"module";s:5:"image";s:6:"active";i:1;s:8:"settings";a:2:{s:18:"progress_indicator";s:8:"throbber";s:19:"preview_image_style";s:9:"thumbnail";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:1;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"1";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('54', '24', 'field_banner_image', 'node', 'banner', 'a:6:{s:5:"label";s:12:"Banner image";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:1;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:12:"banner_image";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('55', '25', 'field_blog_tags', 'node', 'blog', 'a:7:{s:5:"label";s:4:"Tags";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:3:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:4:"full";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('60', '30', 'field_blog_media', 'node', 'blog', 'a:6:{s:5:"label";s:10:"Blog media";s:6:"widget";a:5:{s:6:"weight";s:1:"4";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"video";s:5:"video";s:5:"audio";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:5:"vimeo";s:5:"vimeo";s:7:"youtube";s:7:"youtube";s:6:"public";s:6:"public";s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:5:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:57:"jpg jpeg gif png mov m4v mp4 mpeg avi ogg oga ogv wmv flv";s:12:"max_filesize";s:0:"";s:17:"description_field";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:3:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:13:"file_rendered";s:6:"weight";s:1:"1";s:8:"settings";a:1:{s:14:"file_view_mode";s:15:"full_post_image";}s:6:"module";s:11:"file_entity";}s:4:"full";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:13:"file_rendered";s:6:"weight";s:1:"0";s:8:"settings";a:1:{s:14:"file_view_mode";s:15:"full_post_image";}s:6:"module";s:11:"file_entity";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:13:"file_rendered";s:6:"weight";s:1:"0";s:8:"settings";a:1:{s:14:"file_view_mode";s:10:"blog_image";}s:6:"module";s:11:"file_entity";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('71', '1', 'comment_body', 'comment', 'comment_node_webform', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('73', '40', 'field_banner_site_url', 'node', 'banner', 'a:7:{s:5:"label";s:8:"Site URL";s:6:"widget";a:5:{s:6:"weight";s:1:"3";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"validate_url";i:1;s:3:"url";i:0;s:5:"title";s:4:"none";s:11:"title_value";s:0:"";s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:5:{s:6:"target";s:7:"default";s:3:"rel";s:0:"";s:5:"class";s:0:"";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:13:"enable_tokens";i:1;s:18:"user_register_form";b:0;s:27:"title_label_use_field_label";b:0;s:12:"absolute_url";i:1;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:8:"link_url";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('80', '47', 'field_user_bio', 'user', 'user', 'a:7:{s:5:"label";s:3:"Bio";s:6:"widget";a:5:{s:6:"weight";s:1:"0";s:4:"type";s:13:"text_textarea";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"rows";s:1:"5";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";i:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:4:"full";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('81', '48', 'field_file_image_alt_text', 'file', 'image', 'a:7:{s:13:"default_value";N;s:11:"description";s:173:"Alternative text is used by screen readers, search engines, and when the image cannot be loaded. By adding alt text you improve accessibility and search engine optimization.";s:7:"display";a:8:{s:7:"default";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:4:"full";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:7:"preview";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:10:"media_link";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:14:"media_original";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:18:"blog_masonry_image";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:19:"blog_carousel_image";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}}s:5:"label";s:8:"Alt Text";s:8:"required";i:0;s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:6:"widget";a:5:{s:6:"active";i:1;s:6:"module";s:4:"text";s:8:"settings";a:1:{s:4:"size";s:2:"60";}s:4:"type";s:14:"text_textfield";s:6:"weight";s:2:"-4";}}', '0'),
('82', '49', 'field_file_image_title_text', 'file', 'image', 'a:7:{s:13:"default_value";N;s:11:"description";s:177:"Title text is used in the tool tip when a user hovers their mouse over the image. Adding title text makes it easier to understand the context of an image and improves usability.";s:7:"display";a:8:{s:7:"default";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:1;}s:4:"full";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:7:"preview";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:10:"media_link";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:14:"media_original";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:0;}s:18:"blog_masonry_image";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:1;}s:19:"blog_carousel_image";a:4:{s:5:"label";s:5:"above";s:8:"settings";a:0:{}s:4:"type";s:6:"hidden";s:6:"weight";i:1;}}s:5:"label";s:10:"Title Text";s:8:"required";i:0;s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:6:"widget";a:5:{s:6:"active";i:1;s:6:"module";s:4:"text";s:8:"settings";a:1:{s:4:"size";s:2:"60";}s:4:"type";s:14:"text_textfield";s:6:"weight";s:2:"-3";}}', '0'),
('85', '1', 'comment_body', 'comment', 'comment_node_tariff_plan', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('86', '2', 'body', 'node', 'tariff_plan', 'a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:1:"4";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('87', '52', 'field_plan_price', 'node', 'tariff_plan', 'a:7:{s:5:"label";s:5:"Price";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:14:"text_textfield";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"size";s:2:"60";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('100', '65', 'field_plan_period', 'node', 'tariff_plan', 'a:7:{s:5:"label";s:6:"Period";s:6:"widget";a:5:{s:6:"weight";s:1:"3";s:4:"type";s:14:"text_textfield";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"size";s:2:"60";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('101', '66', 'field_blog_share', 'node', 'blog', 'a:7:{s:5:"label";s:5:"Share";s:6:"widget";a:5:{s:6:"weight";s:1:"5";s:4:"type";s:21:"addthis_button_widget";s:6:"module";s:7:"addthis";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:21:"addthis_basic_toolbox";s:6:"weight";s:1:"4";s:8:"settings";a:4:{s:14:"share_services";s:52:"linkedin,twitter,google_plusone_share,facebook,email";s:12:"buttons_size";s:19:"addthis_16x16_style";s:19:"counter_orientation";s:10:"horizontal";s:9:"extra_css";s:0:"";}s:6:"module";s:16:"addthis_displays";}s:6:"teaser";a:4:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"4";s:8:"settings";a:0:{}}}s:8:"required";b:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('102', '67', 'field_service_categories', 'node', 'service', 'a:7:{s:5:"label";s:18:"Service categories";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('104', '69', 'field_question_category', 'node', 'faq', 'a:7:{s:5:"label";s:17:"Question category";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:15:"options_buttons";s:6:"module";s:7:"options";s:6:"active";i:1;s:8:"settings";a:0:{}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('105', '70', 'field_service_image', 'node', 'service', 'a:6:{s:5:"label";s:13:"Service image";s:6:"widget";a:5:{s:6:"weight";s:1:"3";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:0;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"1";s:8:"settings";a:2:{s:11:"image_style";s:9:"full_post";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}s:6:"teaser";a:5:{s:5:"label";s:5:"above";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:10:"blog_image";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('113', '78', 'field_employee_facebook', 'node', 'employee', 'a:7:{s:5:"label";s:17:"Employee Facebook";s:6:"widget";a:5:{s:6:"weight";s:1:"6";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"absolute_url";i:1;s:12:"validate_url";i:0;s:3:"url";i:0;s:5:"title";s:5:"value";s:11:"title_value";s:36:"<span class="fa fa-facebook"></span>";s:27:"title_label_use_field_label";i:0;s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:6:{s:6:"target";s:6:"_blank";s:3:"rel";s:0:"";s:18:"configurable_class";i:0;s:5:"class";s:11:"social-link";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:13:"enable_tokens";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"link_default";s:6:"weight";s:1:"4";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('120', '85', 'field_service_icon', 'node', 'service', 'a:7:{s:5:"label";s:12:"Service icon";s:6:"widget";a:5:{s:6:"weight";s:1:"4";s:4:"type";s:14:"text_textfield";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"size";s:2:"60";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"1";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"0";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:106:"Ex., &lt;span class="fa fa-cog"&gt;&lt;/span&gt;\r\n<a href="http://fontawesome.io/icons/">See all icons</a>";s:13:"default_value";N;}', '0'),
('121', '86', 'field_plan_options', 'node', 'tariff_plan', 'a:7:{s:5:"label";s:7:"Options";s:6:"widget";a:5:{s:6:"weight";s:1:"5";s:4:"type";s:14:"text_textfield";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"size";s:2:"60";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"4";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('122', '87', 'field_project_category', 'node', 'project', 'a:7:{s:5:"label";s:16:"Project category";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:19:"term_reference_tree";s:6:"module";s:19:"term_reference_tree";s:6:"active";i:1;s:8:"settings";a:9:{s:15:"start_minimized";i:0;s:11:"leaves_only";i:0;s:14:"select_parents";i:1;s:19:"cascading_selection";i:1;s:11:"filter_view";s:0:"";s:13:"token_display";s:0:"";s:10:"track_list";i:0;s:9:"max_depth";s:0:"";s:14:"parent_term_id";s:0:"";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"inline";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"4";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('123', '88', 'field_project_image', 'node', 'project', 'a:6:{s:5:"label";s:13:"Project image";s:6:"widget";a:5:{s:6:"weight";s:1:"5";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:0;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:10:"flexslider";s:6:"weight";s:1:"1";s:8:"settings";a:3:{s:9:"optionset";s:7:"gallery";s:11:"image_style";s:9:"full_post";s:7:"caption";i:0;}s:6:"module";s:17:"flexslider_fields";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:10:"blog_image";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('124', '89', 'views_isotope_example_color', 'node', 'views_isotope_example', 'a:7:{s:5:"label";s:5:"Color";s:4:"type";s:4:"text";s:6:"widget";a:4:{s:4:"type";s:14:"text_textfield";s:8:"settings";a:1:{s:4:"size";i:60;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:8:"settings";a:2:{s:15:"text_processing";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('125', '90', 'views_isotope_example_shape', 'node', 'views_isotope_example', 'a:7:{s:5:"label";s:5:"Shape";s:4:"type";s:4:"text";s:6:"widget";a:4:{s:4:"type";s:14:"text_textfield";s:8:"settings";a:1:{s:4:"size";i:60;}s:6:"weight";i:1;s:6:"module";s:4:"text";}s:8:"settings";a:2:{s:15:"text_processing";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:1;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('126', '91', 'views_isotope_example_size', 'node', 'views_isotope_example', 'a:7:{s:5:"label";s:4:"Size";s:4:"type";s:4:"text";s:6:"widget";a:4:{s:4:"type";s:14:"text_textfield";s:8:"settings";a:1:{s:4:"size";i:60;}s:6:"weight";i:2;s:6:"module";s:4:"text";}s:8:"settings";a:2:{s:15:"text_processing";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:2;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('127', '1', 'comment_body', 'comment', 'comment_node_views_isotope_example', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0');
INSERT INTO `field_config_instance` VALUES
('128', '92', 'field_slide_category', 'node', 'slide', 'a:7:{s:5:"label";s:10:"Categories";s:6:"widget";a:5:{s:6:"weight";s:2:"-2";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:4:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('129', '93', 'field_project_masonry_thumb', 'node', 'project', 'a:6:{s:5:"label";s:21:"Project masonry thumb";s:6:"widget";a:5:{s:6:"weight";s:1:"6";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:0;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"5";s:8:"settings";a:0:{}}s:6:"teaser";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('130', '94', 'field_employee_position', 'node', 'employee', 'a:7:{s:5:"label";s:17:"Employee position";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:14:"text_textfield";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:1:{s:4:"size";s:2:"60";}}s:8:"settings";a:2:{s:15:"text_processing";s:1:"0";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('131', '95', 'field_employee_linkedin', 'node', 'employee', 'a:7:{s:5:"label";s:17:"Employee Linkedin";s:6:"widget";a:5:{s:6:"weight";s:1:"3";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"absolute_url";i:1;s:12:"validate_url";i:0;s:3:"url";i:0;s:5:"title";s:5:"value";s:11:"title_value";s:39:"<span class="fa fa fa-linkedin"></span>";s:27:"title_label_use_field_label";i:0;s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:6:{s:6:"target";s:6:"_blank";s:3:"rel";s:0:"";s:18:"configurable_class";i:0;s:5:"class";s:11:"social-link";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:13:"enable_tokens";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"link_default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('132', '96', 'field_blog_like', 'node', 'blog', 'a:7:{s:5:"label";s:4:"Like";s:6:"widget";a:5:{s:6:"weight";s:1:"6";s:4:"type";s:24:"vud_field_default_widget";s:6:"module";s:9:"vud_field";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:3:{s:10:"vud_widget";s:9:"alternate";s:13:"votingapi_tag";s:4:"vote";s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"default";s:6:"weight";s:1:"5";s:8:"settings";a:0:{}s:6:"module";s:9:"vud_field";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:7:"default";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}s:6:"module";s:9:"vud_field";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";a:1:{i:0;a:2:{s:10:"vud_widget";s:6:"updown";s:13:"votingapi_tag";s:4:"vote";}}}', '0'),
('133', '97', 'field_user_linkedin', 'user', 'user', 'a:7:{s:5:"label";s:8:"Linkedin";s:6:"widget";a:5:{s:6:"weight";s:1:"8";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"absolute_url";i:1;s:12:"validate_url";i:0;s:3:"url";i:0;s:5:"title";s:5:"value";s:11:"title_value";s:39:"<span class="fa fa fa-linkedin"></span>";s:27:"title_label_use_field_label";i:0;s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:6:{s:6:"target";s:6:"_blank";s:3:"rel";s:0:"";s:18:"configurable_class";i:0;s:5:"class";s:11:"social-link";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:18:"user_register_form";i:0;s:13:"enable_tokens";i:1;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"link_default";s:6:"weight";s:1:"7";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('134', '98', 'field_user_tumblr', 'user', 'user', 'a:7:{s:5:"label";s:6:"Tumblr";s:6:"widget";a:5:{s:6:"weight";s:1:"9";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"absolute_url";i:1;s:12:"validate_url";i:0;s:3:"url";i:0;s:5:"title";s:5:"value";s:11:"title_value";s:37:"<span class="fa fa fa-tumblr"></span>";s:27:"title_label_use_field_label";i:0;s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:6:{s:6:"target";s:6:"_blank";s:3:"rel";s:0:"";s:18:"configurable_class";i:0;s:5:"class";s:11:"social-link";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:18:"user_register_form";i:0;s:13:"enable_tokens";i:1;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"link_default";s:6:"weight";s:1:"8";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('135', '99', 'field_user_vimeo', 'user', 'user', 'a:7:{s:5:"label";s:5:"Vimeo";s:6:"widget";a:5:{s:6:"weight";s:2:"10";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"absolute_url";i:1;s:12:"validate_url";i:0;s:3:"url";i:0;s:5:"title";s:5:"value";s:11:"title_value";s:36:"<span class="fa fa fa-vimeo"></span>";s:27:"title_label_use_field_label";i:0;s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:6:{s:6:"target";s:6:"_blank";s:3:"rel";s:0:"";s:18:"configurable_class";i:0;s:5:"class";s:11:"social-link";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:18:"user_register_form";i:0;s:13:"enable_tokens";i:1;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"link_default";s:6:"weight";s:1:"9";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('136', '100', 'commerce_customer_address', 'commerce_customer_profile', 'billing', 'a:6:{s:5:"label";s:7:"Address";s:8:"required";b:1;s:6:"widget";a:4:{s:4:"type";s:21:"addressfield_standard";s:6:"weight";i:-10;s:8:"settings";a:3:{s:15:"format_handlers";a:2:{i:0;s:7:"address";i:1;s:12:"name-oneline";}s:19:"available_countries";a:0:{}s:15:"default_country";s:12:"site_default";}s:6:"module";s:12:"addressfield";}s:7:"display";a:3:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:20:"addressfield_default";s:6:"weight";i:-10;s:8:"settings";a:2:{s:19:"use_widget_handlers";i:1;s:15:"format_handlers";a:1:{i:0;s:7:"address";}}s:6:"module";s:12:"addressfield";}s:8:"customer";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:20:"addressfield_default";s:6:"weight";i:-10;s:8:"settings";a:2:{s:19:"use_widget_handlers";i:1;s:15:"format_handlers";a:1:{i:0;s:7:"address";}}s:6:"module";s:12:"addressfield";}s:13:"administrator";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:20:"addressfield_default";s:6:"weight";i:-10;s:8:"settings";a:2:{s:19:"use_widget_handlers";i:1;s:15:"format_handlers";a:1:{i:0;s:7:"address";}}s:6:"module";s:12:"addressfield";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:11:"description";s:0:"";}', '0'),
('137', '101', 'commerce_line_items', 'commerce_order', 'commerce_order', 'a:6:{s:5:"label";s:10:"Line items";s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:26:"commerce_line_item_manager";s:6:"weight";i:-10;s:8:"settings";a:0:{}s:6:"module";s:18:"commerce_line_item";}s:7:"display";a:3:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:33:"commerce_line_item_reference_view";s:6:"weight";i:-10;s:8:"settings";a:1:{s:4:"view";s:32:"commerce_line_item_table|default";}s:6:"module";s:18:"commerce_line_item";}s:8:"customer";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:33:"commerce_line_item_reference_view";s:6:"weight";i:-10;s:8:"settings";a:1:{s:4:"view";s:32:"commerce_line_item_table|default";}s:6:"module";s:18:"commerce_line_item";}s:13:"administrator";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:33:"commerce_line_item_reference_view";s:6:"weight";i:-10;s:8:"settings";a:1:{s:4:"view";s:32:"commerce_line_item_table|default";}s:6:"module";s:18:"commerce_line_item";}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('138', '102', 'commerce_order_total', 'commerce_order', 'commerce_order', 'a:6:{s:5:"label";s:11:"Order total";s:8:"required";b:1;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:19:"commerce_price_full";s:6:"weight";i:-8;s:8:"settings";a:1:{s:13:"currency_code";s:7:"default";}s:6:"module";s:14:"commerce_price";}s:7:"display";a:4:{s:13:"administrator";a:5:{s:4:"type";s:35:"commerce_price_formatted_components";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:-8;s:6:"module";s:14:"commerce_price";}s:8:"customer";a:5:{s:4:"type";s:35:"commerce_price_formatted_components";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:-8;s:6:"module";s:14:"commerce_price";}s:7:"default";a:5:{s:4:"type";s:35:"commerce_price_formatted_components";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:-8;s:6:"module";s:14:"commerce_price";}s:11:"node_teaser";a:5:{s:4:"type";s:35:"commerce_price_formatted_components";s:5:"label";s:6:"hidden";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:-8;s:6:"module";s:14:"commerce_price";}}s:11:"description";s:0:"";}', '0'),
('139', '103', 'commerce_customer_billing', 'commerce_order', 'commerce_order', 'a:6:{s:5:"label";s:19:"Billing information";s:6:"widget";a:4:{s:4:"type";s:33:"commerce_customer_profile_manager";s:6:"weight";i:-5;s:8:"settings";a:0:{}s:6:"module";s:17:"commerce_customer";}s:7:"display";a:3:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:43:"commerce_customer_profile_reference_display";s:6:"weight";i:-5;s:8:"settings";a:0:{}s:6:"module";s:17:"commerce_customer";}s:8:"customer";a:5:{s:5:"label";s:5:"above";s:4:"type";s:43:"commerce_customer_profile_reference_display";s:6:"weight";i:-5;s:8:"settings";a:0:{}s:6:"module";s:17:"commerce_customer";}s:13:"administrator";a:5:{s:5:"label";s:5:"above";s:4:"type";s:43:"commerce_customer_profile_reference_display";s:6:"weight";i:-5;s:8:"settings";a:0:{}s:6:"module";s:17:"commerce_customer";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('140', '104', 'commerce_unit_price', 'commerce_line_item', 'product', 'a:6:{s:5:"label";s:10:"Unit price";s:8:"required";b:1;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:19:"commerce_price_full";s:6:"weight";i:0;s:8:"settings";a:1:{s:13:"currency_code";s:7:"default";}s:6:"module";s:14:"commerce_price";}s:7:"display";a:3:{s:7:"display";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:11:"node_teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}}s:11:"description";s:0:"";}', '0'),
('141', '105', 'commerce_total', 'commerce_line_item', 'product', 'a:6:{s:5:"label";s:5:"Total";s:8:"required";b:1;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:19:"commerce_price_full";s:6:"weight";i:1;s:8:"settings";a:1:{s:13:"currency_code";s:7:"default";}s:6:"module";s:14:"commerce_price";}s:7:"display";a:3:{s:7:"display";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:1;s:6:"module";s:14:"commerce_price";}s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:1;s:6:"module";s:14:"commerce_price";}s:11:"node_teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:1;s:6:"module";s:14:"commerce_price";}}s:11:"description";s:0:"";}', '0'),
('142', '106', 'commerce_product', 'commerce_line_item', 'product', 'a:6:{s:5:"label";s:7:"Product";s:8:"required";b:1;s:8:"settings";a:3:{s:19:"referenceable_types";a:0:{}s:15:"field_injection";b:1;s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:39:"commerce_product_reference_autocomplete";s:6:"weight";i:0;s:8:"settings";a:3:{s:18:"autocomplete_match";s:8:"contains";s:4:"size";i:60;s:17:"autocomplete_path";s:29:"commerce_product/autocomplete";}s:6:"module";s:26:"commerce_product_reference";}s:7:"display";a:2:{s:7:"display";a:5:{s:5:"label";s:6:"hidden";s:6:"weight";i:0;s:4:"type";s:30:"commerce_cart_add_to_cart_form";s:8:"settings";a:5:{s:13:"show_quantity";b:0;s:16:"default_quantity";i:1;s:7:"combine";b:1;s:30:"show_single_product_attributes";b:0;s:14:"line_item_type";s:7:"product";}s:6:"module";s:13:"commerce_cart";}s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:30:"commerce_cart_add_to_cart_form";s:8:"settings";a:5:{s:13:"show_quantity";b:0;s:16:"default_quantity";i:1;s:7:"combine";b:1;s:30:"show_single_product_attributes";b:0;s:14:"line_item_type";s:7:"product";}s:6:"module";s:13:"commerce_cart";s:6:"weight";i:2;}}s:11:"description";s:0:"";}', '0'),
('143', '107', 'commerce_display_path', 'commerce_line_item', 'product', 'a:6:{s:5:"label";s:12:"Display path";s:8:"required";b:1;s:8:"settings";a:2:{s:15:"text_processing";i:0;s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:14:"text_textfield";s:6:"weight";i:0;s:8:"settings";a:1:{s:4:"size";i:60;}s:6:"module";s:4:"text";}s:7:"display";a:2:{s:7:"display";a:5:{s:5:"label";s:6:"hidden";s:6:"weight";i:0;s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:3;}}s:11:"description";s:0:"";}', '0'),
('144', '108', 'commerce_price', 'commerce_product', 'product', 'a:6:{s:5:"label";s:5:"Price";s:8:"required";b:1;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:19:"commerce_price_full";s:6:"weight";s:1:"2";s:8:"settings";a:1:{s:13:"currency_code";s:7:"default";}s:6:"module";s:14:"commerce_price";}s:7:"display";a:5:{s:4:"full";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";s:21:"calculated_sell_price";}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:9:"line_item";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";s:21:"calculated_sell_price";}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:26:"commerce_line_item_display";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";s:21:"calculated_sell_price";}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";s:21:"calculated_sell_price";}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:11:"node_teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";s:21:"calculated_sell_price";}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}}s:11:"description";s:0:"";}', '0'),
('145', '109', 'commerce_coupon_order_reference', 'commerce_order', 'commerce_order', 'a:6:{s:5:"label";s:6:"Coupon";s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:28:"entityreference_autocomplete";s:6:"module";s:15:"entityreference";s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:4:"path";s:0:"";}s:6:"weight";i:-4;}s:7:"display";a:3:{s:7:"default";a:4:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"hidden";s:8:"settings";a:0:{}s:6:"weight";i:-4;}s:8:"customer";a:4:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"hidden";s:8:"settings";a:0:{}s:6:"weight";i:-4;}s:13:"administrator";a:4:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"hidden";s:8:"settings";a:0:{}s:6:"weight";i:-4;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('146', '104', 'commerce_unit_price', 'commerce_line_item', 'commerce_coupon', 'a:6:{s:5:"label";s:10:"Unit price";s:8:"required";b:1;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:19:"commerce_price_full";s:6:"weight";i:0;s:8:"settings";a:1:{s:13:"currency_code";s:7:"default";}s:6:"module";s:14:"commerce_price";}s:7:"display";a:3:{s:7:"display";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}s:11:"node_teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:0;s:6:"module";s:14:"commerce_price";}}s:11:"description";s:0:"";}', '0'),
('147', '105', 'commerce_total', 'commerce_line_item', 'commerce_coupon', 'a:6:{s:5:"label";s:5:"Total";s:8:"required";b:1;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:6:"widget";a:4:{s:4:"type";s:19:"commerce_price_full";s:6:"weight";i:1;s:8:"settings";a:1:{s:13:"currency_code";s:7:"default";}s:6:"module";s:14:"commerce_price";}s:7:"display";a:3:{s:7:"display";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:1;s:6:"module";s:14:"commerce_price";}s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:1;s:6:"module";s:14:"commerce_price";}s:11:"node_teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:31:"commerce_price_formatted_amount";s:8:"settings";a:1:{s:11:"calculation";b:0;}s:6:"weight";i:1;s:6:"module";s:14:"commerce_price";}}s:11:"description";s:0:"";}', '0'),
('148', '110', 'commerce_coupon_reference', 'commerce_line_item', 'commerce_coupon', 'a:6:{s:5:"label";s:6:"Coupon";s:8:"required";b:0;s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:21:"entityreference_label";s:8:"settings";a:1:{s:4:"link";b:0;}s:6:"module";s:15:"entityreference";s:6:"weight";i:2;}}s:6:"widget";a:4:{s:4:"type";s:28:"entityreference_autocomplete";s:6:"module";s:15:"entityreference";s:8:"settings";a:3:{s:14:"match_operator";s:8:"CONTAINS";s:4:"size";i:60;s:4:"path";s:0:"";}s:6:"weight";i:2;}s:11:"description";s:0:"";}', '0'),
('149', '111', 'commerce_wishlist_visibility', 'commerce_order', 'commerce_order', 'a:7:{s:5:"label";s:19:"Wishlist visibility";s:6:"widget";a:5:{s:6:"weight";s:3:"-10";s:4:"type";s:14:"options_select";s:6:"module";s:7:"options";s:6:"active";i:1;s:8:"settings";a:0:{}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:3:"-10";s:8:"settings";a:0:{}}}s:8:"required";i:1;s:11:"description";s:166:"Public means that anyone can see it. Protected wish lists can be shared, but are only available via a special URL. Private wishlists are only accessible to the owner.";s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}}', '0'),
('150', '1', 'comment_body', 'comment', 'comment_node_video_entry', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('151', '2', 'body', 'node', 'video_entry', 'a:6:{s:5:"label";s:4:"Body";s:6:"widget";a:4:{s:4:"type";s:26:"text_textarea_with_summary";s:8:"settings";a:2:{s:4:"rows";i:20;s:12:"summary_rows";i:5;}s:6:"weight";s:2:"-4";s:6:"module";s:4:"text";}s:8:"settings";a:3:{s:15:"display_summary";b:1;s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"1";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";b:0;s:11:"description";s:0:"";}', '0'),
('152', '112', 'field_video_media', 'node', 'video_entry', 'a:6:{s:5:"label";s:5:"Media";s:6:"widget";a:5:{s:6:"weight";s:2:"-3";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"video";s:5:"video";s:5:"audio";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:5:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:57:"jpg jpeg gif png mov m4v mp4 mpeg avi ogg oga ogv wmv flv";s:12:"max_filesize";s:0:"";s:17:"description_field";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:13:"file_rendered";s:6:"weight";s:1:"0";s:8:"settings";a:1:{s:14:"file_view_mode";s:15:"full_post_image";}s:6:"module";s:11:"file_entity";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('153', '113', 'field_video_categories', 'node', 'video_entry', 'a:7:{s:5:"label";s:10:"Categories";s:6:"widget";a:5:{s:6:"weight";s:2:"-2";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:4:{s:5:"label";s:6:"hidden";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"2";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('154', '114', 'field_employee_tumblr', 'node', 'employee', 'a:7:{s:5:"label";s:15:"Employee Tumblr";s:6:"widget";a:5:{s:6:"weight";s:1:"5";s:4:"type";s:10:"link_field";s:6:"module";s:4:"link";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:12:{s:12:"absolute_url";i:1;s:12:"validate_url";i:0;s:3:"url";i:0;s:5:"title";s:5:"value";s:11:"title_value";s:37:"<span class="fa fa fa-tumblr"></span>";s:27:"title_label_use_field_label";i:0;s:15:"title_maxlength";s:3:"128";s:7:"display";a:1:{s:10:"url_cutoff";s:2:"80";}s:10:"attributes";a:6:{s:6:"target";s:6:"_blank";s:3:"rel";s:0:"";s:18:"configurable_class";i:0;s:5:"class";s:11:"social-link";s:18:"configurable_title";i:0;s:5:"title";s:0:"";}s:10:"rel_remove";s:7:"default";s:13:"enable_tokens";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"link_default";s:6:"weight";s:1:"3";s:8:"settings";a:0:{}s:6:"module";s:4:"link";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('155', '115', 'commerce_coupon_code', 'commerce_coupon', 'save_5_dollars', 'a:6:{s:5:"label";s:11:"Coupon Code";s:8:"required";b:0;s:8:"settings";a:2:{s:15:"text_processing";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:6:"widget";a:4:{s:4:"type";s:14:"text_textfield";s:8:"settings";a:1:{s:4:"size";i:60;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('156', '116', 'commerce_coupon_number_of_uses', 'commerce_coupon', 'save_5_dollars', 'a:7:{s:5:"label";s:22:"Maximum number of Uses";s:11:"description";s:102:"Number of times that coupon code can be used by any customer on the site, before it is set to inactive";s:8:"required";b:0;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:14:"number_integer";s:8:"settings";a:4:{s:18:"thousand_separator";s:0:"";s:17:"decimal_separator";s:1:".";s:5:"scale";i:0;s:13:"prefix_suffix";b:1;}s:6:"module";s:6:"number";s:6:"weight";i:1;}}s:8:"settings";a:5:{s:3:"min";s:1:"0";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:18:"user_register_form";b:0;}s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:1;}}s:6:"widget";a:4:{s:4:"type";s:6:"number";s:8:"settings";a:0:{}s:6:"weight";i:1;s:6:"module";s:6:"number";}}', '0'),
('157', '117', 'commerce_stock', 'commerce_product', 'product', 'a:7:{s:5:"label";s:5:"Stock";s:8:"required";b:1;s:8:"settings";a:5:{s:3:"min";s:0:"";s:3:"max";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:5:"above";s:4:"type";s:14:"number_integer";s:8:"settings";a:4:{s:18:"thousand_separator";s:0:"";s:17:"decimal_separator";s:1:".";s:5:"scale";i:0;s:13:"prefix_suffix";b:1;}s:6:"module";s:6:"number";s:6:"weight";i:1;}}s:11:"description";N;s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:1:"0";}}s:6:"widget";a:4:{s:4:"type";s:6:"number";s:8:"settings";a:0:{}s:6:"weight";s:1:"5";s:6:"module";s:6:"number";}}', '0'),
('158', '1', 'comment_body', 'comment', 'comment_node_product_display', 'a:6:{s:5:"label";s:7:"Comment";s:8:"settings";a:2:{s:15:"text_processing";i:1;s:18:"user_register_form";b:0;}s:8:"required";b:1;s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";i:0;s:8:"settings";a:0:{}s:6:"module";s:4:"text";}}s:6:"widget";a:4:{s:4:"type";s:13:"text_textarea";s:8:"settings";a:1:{s:4:"rows";i:5;}s:6:"weight";i:0;s:6:"module";s:4:"text";}s:11:"description";s:0:"";}', '0'),
('159', '2', 'body', 'node', 'product_display', 'a:7:{s:5:"label";s:11:"Description";s:6:"widget";a:5:{s:6:"weight";s:2:"-4";s:4:"type";s:26:"text_textarea_with_summary";s:6:"module";s:4:"text";s:6:"active";i:1;s:8:"settings";a:2:{s:4:"rows";s:2:"20";s:12:"summary_rows";i:5;}}s:8:"settings";a:3:{s:15:"text_processing";s:1:"1";s:15:"display_summary";i:1;s:18:"user_register_form";b:0;}s:7:"display";a:2:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:12:"text_default";s:6:"weight";s:1:"9";s:8:"settings";a:0:{}s:6:"module";s:4:"text";}s:6:"teaser";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";i:600;}s:6:"module";s:4:"text";s:6:"weight";i:0;}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('160', '118', 'field_product_reference', 'node', 'product_display', 'a:7:{s:5:"label";s:7:"Product";s:6:"widget";a:5:{s:6:"weight";s:2:"-3";s:4:"type";s:14:"options_select";s:6:"module";s:7:"options";s:6:"active";i:1;s:8:"settings";a:0:{}}s:8:"settings";a:3:{s:15:"field_injection";i:1;s:19:"referenceable_types";a:1:{s:7:"product";s:7:"product";}s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:30:"commerce_cart_add_to_cart_form";s:6:"weight";s:1:"3";s:8:"settings";a:5:{s:13:"show_quantity";i:1;s:16:"default_quantity";s:1:"1";s:7:"combine";i:1;s:30:"show_single_product_attributes";i:0;s:14:"line_item_type";s:7:"product";}s:6:"module";s:13:"commerce_cart";}}s:8:"required";i:1;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('161', '119', 'field_product_categories', 'node', 'product_display', 'a:7:{s:5:"label";s:18:"Product categories";s:6:"widget";a:5:{s:6:"weight";s:2:"-2";s:4:"type";s:19:"term_reference_tree";s:6:"module";s:19:"term_reference_tree";s:6:"active";i:1;s:8:"settings";a:9:{s:15:"start_minimized";i:1;s:11:"leaves_only";i:0;s:14:"select_parents";i:1;s:19:"cascading_selection";i:0;s:11:"filter_view";s:0:"";s:13:"token_display";s:0:"";s:10:"track_list";i:0;s:9:"max_depth";s:0:"";s:14:"parent_term_id";s:0:"";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"5";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}}s:8:"required";i:1;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('163', '121', 'field_product_image', 'node', 'product_display', 'a:6:{s:5:"label";s:13:"Product image";s:6:"widget";a:5:{s:6:"weight";s:2:"-1";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:0;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('164', '122', 'field_product_tags', 'node', 'product_display', 'a:7:{s:5:"label";s:12:"Product tags";s:6:"widget";a:5:{s:6:"weight";s:1:"0";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:28:"taxonomy_term_reference_link";s:6:"weight";s:1:"6";s:8:"settings";a:0:{}s:6:"module";s:8:"taxonomy";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('165', '123', 'field_product_share', 'node', 'product_display', 'a:7:{s:5:"label";s:5:"Share";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:21:"addthis_button_widget";s:6:"module";s:7:"addthis";s:6:"active";i:0;s:8:"settings";a:0:{}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:16:"addthis_disabled";s:6:"weight";s:1:"7";s:8:"settings";a:0:{}s:6:"module";s:7:"addthis";}}s:8:"required";b:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('167', '125', 'field_rating', 'node', 'product_display', 'a:7:{s:5:"label";s:6:"Rating";s:6:"widget";a:5:{s:6:"weight";s:1:"2";s:4:"type";s:7:"exposed";s:6:"module";s:8:"fivestar";s:6:"active";i:1;s:8:"settings";a:0:{}}s:8:"settings";a:6:{s:5:"stars";s:1:"5";s:11:"allow_clear";i:1;s:12:"allow_revote";i:1;s:13:"allow_ownvote";i:1;s:6:"target";s:4:"none";s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:26:"fivestar_formatter_default";s:6:"weight";s:1:"2";s:8:"settings";a:4:{s:6:"widget";a:1:{s:15:"fivestar_widget";N;}s:5:"style";s:7:"average";s:4:"text";s:7:"average";s:6:"expose";b:1;}s:6:"module";s:8:"fivestar";}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('168', '126', 'field_plan_category', 'node', 'tariff_plan', 'a:7:{s:5:"label";s:8:"Category";s:6:"widget";a:5:{s:6:"weight";s:1:"1";s:4:"type";s:21:"taxonomy_autocomplete";s:6:"module";s:8:"taxonomy";s:6:"active";i:0;s:8:"settings";a:2:{s:4:"size";i:60;s:17:"autocomplete_path";s:21:"taxonomy/autocomplete";}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"5";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";N;}', '0'),
('169', '127', 'field_plan_image', 'node', 'tariff_plan', 'a:6:{s:5:"label";s:5:"Image";s:6:"widget";a:5:{s:6:"weight";s:1:"6";s:4:"type";s:13:"media_generic";s:6:"module";s:5:"media";s:6:"active";i:1;s:8:"settings";a:3:{s:13:"allowed_types";a:4:{s:5:"image";s:5:"image";s:5:"audio";i:0;s:5:"video";i:0;s:7:"default";i:0;}s:15:"allowed_schemes";a:4:{s:6:"public";s:6:"public";s:5:"vimeo";i:0;s:7:"youtube";i:0;s:7:"private";i:0;}s:18:"progress_indicator";s:8:"throbber";}}s:8:"settings";a:9:{s:14:"file_directory";s:0:"";s:15:"file_extensions";s:16:"png gif jpg jpeg";s:12:"max_filesize";s:0:"";s:14:"max_resolution";s:0:"";s:14:"min_resolution";s:0:"";s:9:"alt_field";i:0;s:11:"title_field";i:0;s:13:"default_image";i:0;s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:5:{s:5:"label";s:6:"hidden";s:4:"type";s:5:"image";s:6:"weight";s:1:"0";s:8:"settings";a:2:{s:11:"image_style";s:9:"full_post";s:10:"image_link";s:0:"";}s:6:"module";s:5:"image";}}s:8:"required";i:0;s:11:"description";s:0:"";}', '0'),
('170', '128', 'field_plan_best_choice', 'node', 'tariff_plan', 'a:7:{s:5:"label";s:11:"Best choice";s:6:"widget";a:5:{s:6:"weight";s:1:"7";s:4:"type";s:13:"options_onoff";s:6:"module";s:7:"options";s:6:"active";i:1;s:8:"settings";a:1:{s:13:"display_label";i:0;}}s:8:"settings";a:1:{s:18:"user_register_form";b:0;}s:7:"display";a:1:{s:7:"default";a:4:{s:5:"label";s:5:"above";s:4:"type";s:6:"hidden";s:6:"weight";s:1:"6";s:8:"settings";a:0:{}}}s:8:"required";i:0;s:11:"description";s:0:"";s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";i:0;}}}', '0');
/*!40000 ALTER TABLE field_config_instance ENABLE KEYS */;

--
-- Table structure for table 'field_data_body'
--

CREATE TABLE IF NOT EXISTS `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)' COMMENT='Data storage for field 2 (body)';

--
-- Dumping data for table 'field_data_body'
--

/*!40000 ALTER TABLE field_data_body DISABLE KEYS */;
INSERT INTO `field_data_body` VALUES
('node', 'forum', '0', '12', '12', 'en', '0', '<div id="lipsum"><p>Aenean aliquet leo non enim finibus, quis lacinia nisi venenatis. Nunc at dolor tristique, viverra libero ac, varius lectus. Suspendisse velit eros, consequat quis velit non, tempus mollis nibh. Mauris euismod augue sit amet augue posuere condimentum. Duis ultrices, dui eu vestibulum dapibus, risus lorem viverra dui, a dapibus odio erat at sem. Integer consequat orci sed sapien finibus, tincidunt imperdiet diam bibendum. Aliquam sit amet augue id justo ultricies maximus scelerisque sit amet sem. Aenean et sem magna. Etiam aliquet nisl id pharetra rhoncus. Integer in tortor porta, accumsan leo sit amet, blandit ex. Quisque fringilla dignissim odio, in pulvinar lacus semper et. Nulla feugiat quam in est aliquam, vel tincidunt ante tincidunt. Fusce tincidunt cursus nibh at hendrerit. Donec consequat nulla eget ullamcorper posuere. Donec egestas metus eu eros gravida dapibus. Duis id bibendum lacus, ac sodales erat.</p><p>Aenean cursus malesuada sodales. Mauris laoreet, purus a lobortis malesuada, purus leo dignissim leo, a aliquet arcu arcu maximus lacus. Curabitur ultricies nec nunc mattis luctus. Duis efficitur venenatis nisi eu elementum. Etiam in nunc nec metus sagittis eleifend quis ac ligula. Aliquam id suscipit lorem, id facilisis purus. Vestibulum gravida ornare aliquet. Integer at elit vel dolor dignissim condimentum id et erat.</p><p>Vivamus ipsum metus, tristique id feugiat in, rhoncus a lectus. Morbi vitae tincidunt quam. Nam dapibus risus eget purus tempus, tincidunt sollicitudin leo ultricies. Nulla sodales risus diam, blandit eleifend tellus placerat sit amet. Vestibulum vitae nunc gravida orci cursus porttitor a in lectus. Integer viverra posuere tortor, commodo gravida magna scelerisque id. In luctus lobortis mi, nec facilisis augue pharetra sed. Quisque mi massa, tempus ut dolor nec, lacinia egestas magna. Duis convallis nulla sit amet nibh mattis, vitae eleifend urna elementum. Sed sed sapien sit amet libero pretium accumsan ut et neque. In arcu justo, aliquet vel felis et, luctus dictum arcu. Fusce eu elit suscipit, porttitor quam id, posuere orci. Nullam tempor justo et lorem posuere pretium. Suspendisse mattis, tortor id ornare iaculis, dolor leo sodales quam, at tempor nisi magna tristique neque. Pellentesque fringilla sollicitudin porttitor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '13', '13', 'en', '0', '<div id="lipsum"><p>Ut vitae velit molestie, tincidunt lectus ac, pellentesque metus. Sed sodales lacus at purus pellentesque, nec malesuada lacus malesuada. In iaculis urna eget erat cursus facilisis. Sed cursus sagittis ligula. Sed ullamcorper enim quis massa facilisis, a commodo elit facilisis. Curabitur sagittis velit ante. Nullam nibh tortor, congue et diam sit amet, fermentum condimentum justo. Aliquam feugiat tincidunt arcu, a vulputate libero tincidunt sit amet. Aenean a tellus nec dui dignissim ultrices vitae sed lacus. Vestibulum cursus orci dapibus ante luctus, vel vehicula sem volutpat. Phasellus sed tristique sem, vel bibendum diam.</p><p>Etiam vitae ipsum nunc. Nulla ullamcorper pretium blandit. Quisque tincidunt nunc ut sem varius gravida. Fusce pretium, lacus vel aliquet dignissim, mi tellus vulputate sapien, et molestie mauris risus eu mi. Nam ornare pharetra tincidunt. Phasellus ultricies lectus non ligula malesuada, ac porta velit eleifend. Vestibulum ullamcorper nec odio sit amet cursus. Duis urna arcu, pretium sed ornare tincidunt, imperdiet vel risus. Etiam dictum venenatis imperdiet.</p><p>Morbi ullamcorper feugiat est, id lobortis ligula auctor non. Phasellus faucibus turpis et libero maximus bibendum. Maecenas eu lacinia risus. Pellentesque enim lacus, malesuada et euismod ut, rutrum nec orci. Nulla id congue felis, non venenatis velit. Praesent ultricies at ex eget posuere. Donec suscipit faucibus pharetra. Suspendisse consectetur dapibus mauris, vitae interdum metus suscipit eu. Quisque a scelerisque dolor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '14', '14', 'en', '0', '<div id="lipsum"><p>Ut id efficitur lacus. Duis eros est, rutrum eu eleifend in, scelerisque sit amet elit. Integer vitae semper arcu. Nulla nisl odio, tincidunt at convallis ut, auctor ut dui. Vestibulum pulvinar dolor nibh, vitae condimentum neque dictum a. Curabitur eget diam odio. Nam tortor erat, facilisis eu lorem ut, sagittis ultricies felis. Sed volutpat lectus eu tortor eleifend, sit amet egestas neque gravida. Vivamus mi diam, tincidunt sit amet ex cursus, convallis semper ligula. Aenean eu ante et turpis fermentum tincidunt. Etiam efficitur odio sit amet risus malesuada sagittis. Phasellus urna sapien, volutpat vitae ultricies eu, dictum quis mi.</p><p>In id hendrerit purus. Nam sem leo, ornare nec dignissim ut, mattis ut dolor. Pellentesque vehicula ligula convallis nulla malesuada, ut pellentesque sapien ornare. Quisque vitae dui finibus, tincidunt odio in, maximus lacus. Proin nec tincidunt eros, ut ornare felis. Nunc consequat metus eu massa vehicula interdum. Mauris facilisis id ex eget dapibus. Suspendisse potenti. Proin facilisis non nulla in pretium. Vestibulum dictum, nunc vel eleifend cursus, odio sem condimentum urna, eu ornare arcu erat eu magna. Suspendisse sed auctor magna, quis commodo odio. Donec tortor est, congue sit amet ipsum a, pretium tempus justo. In nisi tellus, interdum suscipit elit vel, feugiat auctor nibh. Sed et elit sodales, malesuada odio non, dictum urna. Fusce viverra elementum viverra.</p><p>Integer a arcu semper, aliquet nibh sed, sagittis justo. Praesent sit amet erat ullamcorper, consectetur lectus eu, iaculis magna. Donec bibendum, dui in tincidunt condimentum, dolor ante hendrerit dui, congue rutrum est purus blandit ex. Donec quis feugiat tortor. Quisque blandit cursus velit. Praesent dignissim orci lacus, auctor viverra tortor maximus vitae. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec pharetra non nisl vitae auctor. Nullam nec ex sed nibh lobortis tempor ut ut dui. Aenean sed nibh efficitur, fringilla risus et, bibendum leo. Quisque ac dapibus odio, quis pulvinar sapien. Nulla facilisi. Suspendisse et enim ut lacus feugiat facilisis at vitae mi. Praesent euismod at ligula vitae egestas.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '15', '15', 'en', '0', '<div id="lipsum"><p>Etiam placerat dui quis quam gravida interdum. Nam odio erat, molestie laoreet suscipit non, porta nec felis. Vivamus id diam ac est porttitor pharetra eget ac tortor. Nam rutrum orci fringilla est faucibus, sit amet eleifend diam rutrum. Integer id porta erat. Quisque vel tristique lectus. Nulla volutpat mi id venenatis vehicula. Sed ac lobortis libero. Integer ut sapien sit amet leo faucibus facilisis hendrerit sed tortor. Ut commodo blandit massa sit amet congue. Nullam sit amet cursus lorem. In hac habitasse platea dictumst. Aliquam sit amet lectus sed eros eleifend ultrices. Suspendisse porttitor suscipit erat, sed scelerisque neque hendrerit at.</p><p>Aliquam ac turpis eget dolor mattis tincidunt ut non tortor. Sed ut urna ac dui dapibus ultrices. Mauris at lectus faucibus, blandit dui in, pellentesque odio. Fusce dictum velit a scelerisque sollicitudin. Donec sodales imperdiet lectus, laoreet bibendum metus finibus in. Proin pulvinar a libero eu dictum. Cras aliquam nisi vel scelerisque porttitor. Curabitur consequat sem erat, eu placerat tortor pulvinar in. Nulla nunc mauris, pretium sit amet euismod volutpat, fermentum eget lacus. Curabitur a arcu sem. Fusce purus diam, viverra in varius quis, finibus in odio.</p><p>Nullam facilisis, velit in imperdiet facilisis, tortor turpis eleifend justo, quis porta odio augue vel nibh. Etiam porttitor laoreet neque ac mattis. Phasellus non velit a mauris pulvinar rutrum. Cras dictum scelerisque mauris, id mattis urna gravida quis. Sed quis malesuada ligula. Aenean feugiat ante ac orci bibendum semper. Aenean placerat sapien in dignissim pretium. Proin suscipit tortor ac pellentesque vestibulum. Maecenas laoreet, quam id pharetra mattis, velit nisl sagittis orci, ac pulvinar sem ex in leo. Donec posuere convallis lorem, ultrices dignissim lacus tincidunt id.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '16', '16', 'en', '0', '<div id="lipsum"><p>Vivamus interdum condimentum turpis, facilisis fringilla quam interdum a. Integer nec dictum purus, eu sollicitudin magna. Praesent in gravida velit. Sed sodales justo in mi porta, sed facilisis turpis ultrices. Ut sed lacus sapien. Cras pharetra, mauris sit amet placerat pretium, risus dui facilisis ex, at mattis turpis turpis vel metus. Integer cursus erat id sapien gravida, vel aliquet diam venenatis. Nulla orci ex, cursus facilisis ligula ac, consectetur scelerisque nibh.</p><p>Maecenas sit amet mi ut mauris imperdiet interdum. Vestibulum sit amet purus pulvinar tellus venenatis tempor. Integer ante dolor, molestie non odio sit amet, luctus hendrerit elit. Suspendisse aliquam feugiat leo non iaculis. Donec eleifend aliquet dolor, id congue arcu sodales at. Fusce porta cursus diam id placerat. Nunc tincidunt auctor orci id aliquam. Vestibulum egestas porta sem, sit amet consectetur felis ultrices ac. Mauris commodo felis vitae venenatis imperdiet. Praesent vel tellus fermentum, mollis lectus ut, consectetur eros. Sed consectetur ante sit amet erat semper ullamcorper.</p><p>Phasellus venenatis eleifend felis, vel lobortis nibh consectetur a. Fusce purus augue, condimentum in neque et, suscipit porttitor diam. Vivamus tincidunt, ligula eu commodo ullamcorper, lorem libero fringilla quam, sit amet sodales leo libero eget dolor. Nam vel tellus lorem. Nunc porta porta risus, a vehicula ipsum ultricies non. Nullam tempor, quam ac elementum auctor, dui erat facilisis sapien, eget elementum dui quam ut dolor. Suspendisse et ex sit amet enim vestibulum malesuada. Donec massa velit, interdum eu auctor nec, tincidunt quis nunc. Aenean orci sapien, vulputate id dapibus eget, vehicula sodales lacus. Mauris pretium posuere odio, et pulvinar libero viverra a. Aliquam erat volutpat. Mauris faucibus velit id elit pulvinar aliquet.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '17', '17', 'en', '0', '<div id="lipsum"><p>Proin porttitor, nunc accumsan condimentum euismod, risus tellus mollis nibh, ac consequat nunc leo sit amet lacus. Donec ut mattis ante. Vivamus quis urna sed felis auctor eleifend. Fusce luctus arcu tortor, ut vestibulum ante ullamcorper sed. Vivamus lacinia mi ut magna varius pulvinar. Nullam vitae luctus libero. Mauris elementum eros id enim volutpat, semper vestibulum massa dignissim. Sed porta vestibulum purus at hendrerit. Cras ante nulla, tincidunt a lobortis eu, vehicula quis turpis.</p><p>Donec aliquet tellus in neque eleifend molestie. Integer interdum vel mi non porttitor. Sed dapibus ante at feugiat ultricies. Vestibulum facilisis ac erat in bibendum. Nulla maximus luctus ex, a efficitur est volutpat quis. Quisque rhoncus nibh mauris, nec mollis nunc vehicula id. Donec ullamcorper condimentum justo sed tincidunt. Nulla sit amet lectus iaculis, tincidunt sem in, dapibus augue. Quisque congue libero elit, sed tincidunt augue efficitur vitae. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque viverra ac erat eu lacinia. Nunc eu elit a leo faucibus tincidunt at sit amet turpis. Suspendisse dapibus sapien ut bibendum maximus. Fusce vitae nunc placerat, rhoncus nulla ac, ullamcorper lacus. Phasellus molestie ut elit eget euismod.</p><p>Donec dapibus massa turpis, in convallis ante aliquam ut. Nunc ac vestibulum turpis. Cras sed diam metus. Morbi ullamcorper, lorem eget ultrices dapibus, tellus magna tincidunt nulla, vestibulum efficitur mauris sem ac eros. Quisque sed lacinia enim. Nunc ligula sem, aliquet sit amet feugiat eu, mattis ac orci. Morbi finibus velit tellus, quis pellentesque lacus pulvinar id. Sed eget posuere velit, in tristique odio. Fusce aliquet ut dolor quis tincidunt. Etiam quis ante semper, rhoncus felis ac, imperdiet metus. Etiam pulvinar dapibus nunc sit amet scelerisque. In laoreet blandit arcu, in ornare tortor tempor eu. Maecenas vel suscipit tortor, ut congue diam. Aliquam tempor dolor sed vestibulum laoreet.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '18', '18', 'en', '0', '<div id="lipsum"><p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed porttitor molestie purus, fringilla convallis risus porta sed. Pellentesque molestie in ipsum sit amet sagittis. Ut consequat massa vel libero convallis dictum. Maecenas et sagittis nibh. Etiam in pretium augue, nec pretium augue. Fusce pulvinar tortor vitae nulla interdum mollis. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Mauris lectus ligula, ullamcorper sit amet libero sed, aliquet sollicitudin eros. Pellentesque sem eros, mattis nec ultrices sed, pellentesque ut dui. Etiam consectetur sed massa ut vestibulum. Sed eget fermentum purus. Nam vestibulum mauris sit amet elit maximus cursus. Vestibulum venenatis a magna eu suscipit. Mauris velit ipsum, tempus vitae arcu blandit, tempor commodo elit. In suscipit odio sit amet quam tempor volutpat.</p><p>Nulla facilisi. In accumsan accumsan faucibus. Sed vestibulum imperdiet tortor ullamcorper posuere. Phasellus congue pellentesque lectus at venenatis. Fusce leo neque, lobortis tempor porta id, viverra eu lorem. Aenean volutpat tempor massa id dignissim. Donec id leo vel magna sollicitudin blandit. Morbi congue posuere tincidunt. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec cursus neque ac odio fermentum sagittis. Integer non velit ligula. Fusce libero massa, ornare et ligula nec, feugiat scelerisque mi.</p><p>Nulla facilisi. Aenean congue mauris ut ligula fermentum, ac tincidunt tortor iaculis. Vestibulum sed pellentesque mi. Morbi in auctor dui. Praesent non odio vitae nisl hendrerit varius. Sed lacinia aliquet lacus at laoreet. Donec vulputate nulla vitae erat viverra, quis ultricies arcu blandit. Suspendisse sed erat nisi. Vestibulum vitae dignissim ex. Mauris a arcu eget est ultrices interdum. Donec tincidunt turpis non rhoncus suscipit. Integer enim urna, tempor a mi eu, tristique lobortis nulla. Vivamus vitae felis accumsan, sagittis lorem non, interdum elit. Aliquam risus arcu, lobortis eu ultrices vel, bibendum id est.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '19', '19', 'en', '0', '<div id="lipsum"><p>Fusce lectus nulla, dignissim in finibus vel, eleifend at lorem. Integer in convallis velit, maximus commodo nibh. Mauris condimentum sed lacus et rhoncus. Etiam vel elit sed ipsum tempus aliquam. Curabitur aliquam condimentum ipsum, et porta elit sodales eu. Maecenas sodales vestibulum eros sit amet fermentum. Vivamus iaculis lectus dui, in semper lacus vehicula in. Nunc varius suscipit porta. Duis fringilla arcu ex, in tincidunt metus malesuada id. Nam in rhoncus elit, quis maximus mauris. Suspendisse augue nisl, convallis accumsan massa quis, lobortis pharetra leo. Praesent vitae vestibulum tellus. Donec et ex nec eros tempus sollicitudin.</p><p>Vivamus sapien ligula, viverra non tortor et, finibus vehicula diam. Nunc sed blandit lorem, quis semper orci. Donec euismod ultricies augue, in imperdiet nulla venenatis eget. Vestibulum tincidunt varius sapien, vitae convallis mi lacinia et. Quisque ultrices semper magna, in sagittis ex porta laoreet. Pellentesque in ornare lorem. Duis ac nulla fermentum, faucibus justo vitae, feugiat justo.</p><p>Donec consequat velit quis erat pretium, vitae luctus diam eleifend. Quisque aliquam dui vel aliquet accumsan. Pellentesque massa dolor, pellentesque vitae feugiat ut, egestas quis purus. Donec quam ante, sollicitudin id risus a, viverra elementum mauris. Nam facilisis risus orci, vitae suscipit dolor malesuada eget. Sed sollicitudin sodales pulvinar. Vestibulum lectus nibh, gravida ac odio quis, posuere fringilla augue.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '20', '20', 'en', '0', '<div id="lipsum"><p>Morbi eu ex id justo fringilla sollicitudin a sollicitudin diam. In placerat posuere scelerisque. Sed tincidunt magna cursus ligula facilisis, sit amet bibendum purus rutrum. Quisque efficitur malesuada orci, vitae vestibulum lorem tristique consequat. In a ex malesuada, varius dolor eu, suscipit neque. Morbi vel odio iaculis, scelerisque augue vitae, sollicitudin elit. Vivamus non pulvinar sapien, a pharetra massa. Pellentesque tincidunt, elit suscipit scelerisque feugiat, magna dolor tristique velit, id tempus justo quam quis odio. Fusce eget tempor odio. Sed quam sem, cursus vitae lorem quis, bibendum dignissim lorem. Integer rutrum erat dui, sed facilisis eros efficitur efficitur.</p><p>Sed pellentesque justo tellus, a dapibus libero pharetra eget. Aenean varius vehicula eros, vel dignissim velit cursus ac. Donec a ultricies arcu. Curabitur vitae interdum leo. Maecenas congue lectus ut leo molestie, ut volutpat risus suscipit. Proin porta vel diam et pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p><p>Fusce accumsan, eros at dictum dapibus, risus enim dapibus nulla, at dignissim velit nunc sed mauris. Vestibulum at augue finibus, suscipit sapien eu, consequat augue. Praesent eget pretium dolor, vel pellentesque nulla. Nam lacinia quam eu justo pellentesque, eget malesuada justo ornare. In nisi sapien, lobortis vitae dignissim eu, dapibus in purus. Nullam eget dolor posuere erat rutrum consequat et placerat est. Proin leo erat, rhoncus sit amet tortor eget, luctus tristique est.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '21', '21', 'en', '0', '<div id="lipsum"><p>Sed quis sapien malesuada, finibus lorem ut, tempor lorem. Nullam quis dolor vitae neque facilisis suscipit. Mauris faucibus id nisl eu mollis. Nulla mi lacus, finibus ac eros eu, facilisis auctor leo. Vestibulum elementum, enim id rutrum congue, ante nisi efficitur augue, sit amet luctus leo mi vitae nisl. Nunc ac faucibus mauris, in dignissim nisi. Duis fermentum odio non sagittis cursus.</p><p>Donec aliquet ipsum in dolor consectetur mollis. Proin vitae accumsan risus. Nam ante urna, malesuada ultrices libero in, fringilla semper metus. Duis in odio vehicula dolor posuere commodo eu ut lectus. Quisque varius pretium mauris, vel vulputate urna viverra a. Quisque ornare erat nunc, id ornare libero bibendum vel. Phasellus quis mi pulvinar, condimentum erat eu, ultricies lacus. Integer vitae pretium orci. Sed molestie sollicitudin enim et rutrum. Morbi sit amet arcu maximus, interdum est ut, lacinia eros. Vestibulum accumsan leo a pretium molestie. Ut tincidunt imperdiet scelerisque. Donec vitae venenatis lorem, in finibus lacus.</p><p>Suspendisse ut felis ac arcu tristique posuere. Cras eu euismod nibh, in efficitur nibh. Praesent tincidunt laoreet urna sit amet sagittis. Suspendisse potenti. Maecenas luctus metus ut tellus fermentum, at fringilla elit iaculis. Suspendisse pulvinar lectus massa, sed pretium tortor porta sed. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam suscipit mauris quis sapien dignissim, quis volutpat nunc pulvinar.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '22', '22', 'en', '0', '<div id="lipsum"><p>Nullam efficitur venenatis ipsum quis pulvinar. Nunc dictum nulla id condimentum vulputate. Proin scelerisque, tellus sed suscipit sollicitudin, diam metus malesuada eros, vel vulputate leo justo ac lorem. Etiam malesuada eros ac ligula ornare viverra. Vivamus vitae mauris velit. Nulla egestas arcu et justo luctus aliquam. Vivamus vestibulum sem eu urna aliquam, quis imperdiet urna pulvinar. Maecenas imperdiet diam elementum suscipit hendrerit. Donec a erat feugiat, blandit nunc quis, euismod sapien. Sed cursus nibh justo, id ultrices libero pulvinar pretium. Fusce porta tellus ut dolor ullamcorper blandit.</p><p>Sed tempus turpis consequat imperdiet tincidunt. Praesent laoreet cursus arcu. Aliquam erat volutpat. In condimentum, ante quis dictum suscipit, nulla urna faucibus tellus, in tincidunt velit justo eleifend neque. Curabitur efficitur tristique ante, a tincidunt diam pharetra accumsan. In hac habitasse platea dictumst. Ut eget ultricies dolor.</p><p>Ut finibus quis justo quis egestas. Vestibulum ornare purus ipsum, in vehicula nibh tempor eget. Cras tincidunt orci dapibus nibh placerat, elementum pretium turpis facilisis. Cras ac risus euismod, posuere ligula non, malesuada tellus. Sed accumsan dictum justo, nec finibus felis ultrices ac. Mauris vel blandit ante. Nam porttitor nunc non mauris efficitur, a placerat odio consectetur. Pellentesque eget sapien et metus pretium posuere. Ut at leo rhoncus, sodales nulla sit amet, euismod elit.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '23', '23', 'en', '0', '<div id="lipsum"><p>Proin odio diam, scelerisque quis porta ac, dictum dignissim augue. Nam vel gravida erat. Ut dolor ante, congue quis blandit in, pretium non quam. Sed sit amet dui sollicitudin, cursus odio ac, convallis mauris. Curabitur porta dictum odio, at dictum mi luctus non. Duis euismod dapibus aliquet. Sed mattis vestibulum purus nec facilisis. Vestibulum vitae rhoncus justo, ac pellentesque tortor. Ut pharetra semper dui ut lobortis. Fusce fermentum tincidunt metus sed scelerisque.</p><p>Sed gravida, nulla sit amet cursus hendrerit, sapien tortor viverra eros, ac pellentesque metus risus vitae sem. Nulla pellentesque orci ipsum, quis bibendum ante pharetra non. Praesent eu mauris a quam vulputate tincidunt ac vitae risus. Vestibulum sem turpis, posuere nec pulvinar et, porttitor vel urna. Donec aliquam odio et tortor blandit luctus. Mauris bibendum massa eget interdum congue. Etiam sollicitudin porta lacus, vel interdum diam semper at. Mauris semper nisl in consectetur convallis. Integer convallis, ante non finibus tristique, nibh nisl congue lectus, id cursus purus sem ac massa. Fusce cursus ex sit amet accumsan volutpat. Nulla et sagittis enim.</p><p>Nullam facilisis luctus lacinia. Etiam tincidunt orci et felis fringilla fermentum. Etiam vitae vulputate sem, at tempor urna. Etiam pulvinar eros at lorem egestas, vel mollis orci pellentesque. In vel elit ipsum. Ut ac mauris a velit convallis dapibus. Nunc ut vehicula quam. Mauris molestie fermentum est, posuere iaculis ex fringilla vel. Mauris id velit id ante fringilla cursus at id neque. Suspendisse nec mauris orci.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '24', '24', 'en', '0', '<div id="lipsum"><p>Pellentesque tincidunt in arcu a pulvinar. Cras fringilla dui eget tellus bibendum, placerat pulvinar neque porta. Interdum et malesuada fames ac ante ipsum primis in faucibus. Morbi eget risus neque. Aenean imperdiet justo libero, sit amet sodales justo commodo eu. Nam mauris nisi, posuere ac dictum et, tempus viverra nulla. Vivamus sit amet rutrum erat, ac placerat odio. Nulla pellentesque, lacus in dictum sollicitudin, arcu justo lacinia mauris, sed facilisis nisl est sit amet erat. In purus neque, dapibus non dolor et, finibus finibus dolor. Nulla facilisi. Phasellus ultrices semper tellus at efficitur. Ut maximus, massa malesuada pulvinar molestie, velit odio viverra leo, eget ornare turpis mi id ipsum. Aliquam viverra, enim a tempor aliquam, augue erat vulputate risus, non tempus ligula justo at sem. Proin interdum magna sit amet efficitur auctor. In faucibus sapien mi, nec laoreet nisi dapibus vitae. Aliquam tempor commodo mauris at dignissim.</p><p>Pellentesque id dignissim diam. Curabitur a nulla non ligula aliquam feugiat auctor quis urna. Nullam euismod sem quis leo consequat sollicitudin. Mauris porttitor consectetur sem quis porttitor. Proin ultrices augue et erat porttitor, quis laoreet libero sollicitudin. Donec ornare consectetur neque pretium fermentum. Duis porttitor lobortis scelerisque. Nulla placerat ut dolor vitae sagittis. Aenean gravida convallis lorem, quis mollis felis pellentesque ut.</p><p>Donec commodo lacus diam. Vivamus ut justo sit amet augue ultricies rutrum vitae ac sem. Mauris dapibus lectus eu posuere laoreet. Sed a nisi lacinia, placerat felis eget, tincidunt nibh. Nam ornare massa velit, quis faucibus risus tempus eu. Curabitur enim est, euismod sit amet quam quis, pulvinar pharetra justo. Phasellus laoreet sit amet nisl elementum suscipit. Nulla sed sem felis. Mauris sed ligula non tellus consectetur rutrum. Aliquam erat volutpat. In hac habitasse platea dictumst. Sed vulputate enim orci, et ullamcorper tortor faucibus id. Aenean volutpat mattis magna, et porta orci viverra a.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '25', '25', 'en', '0', '<div id="lipsum"><p>Aliquam eu aliquam sem, id ornare mi. Nullam et ligula aliquet, ultricies est sed, hendrerit risus. Nam a diam nulla. Proin sit amet tincidunt augue. Mauris eu ex ligula. Nunc malesuada purus a ullamcorper tincidunt. Pellentesque dapibus tortor sit amet lectus varius, eu hendrerit sem dictum. Curabitur euismod ornare finibus. Aliquam sed tincidunt mauris, eu molestie ante.</p><p>Vestibulum mattis ultrices dui id dignissim. Donec nec tellus iaculis, vestibulum arcu scelerisque, suscipit sem. Sed non risus interdum, vehicula nulla nec, placerat lorem. Maecenas tempus nisl sit amet sapien condimentum rhoncus. Proin eu nulla ac nunc ornare fermentum eget nec nibh. Duis at odio lobortis, facilisis nisl dapibus, porttitor nisl. Vestibulum non posuere magna. Praesent fermentum ipsum finibus odio vestibulum, ut sodales urna malesuada.</p><p>Sed tincidunt nisi sit amet ultrices varius. Proin et porttitor neque, quis suscipit odio. Maecenas pulvinar arcu sed orci commodo pharetra. Quisque id leo sit amet ante vehicula luctus rhoncus quis augue. Sed eget varius orci. In pretium purus vel ex pharetra, sed posuere orci fringilla. Nunc sapien augue, sollicitudin vel eros at, ornare mollis dui. Integer malesuada, massa ac condimentum vulputate, massa nisi commodo nisi, in vestibulum sapien urna vitae turpis. Morbi venenatis, nibh eget sodales commodo, diam sem fermentum diam, nec lobortis nulla velit pulvinar arcu. Duis vitae leo vitae eros aliquet scelerisque a vel sem. Ut facilisis arcu sed velit aliquet volutpat.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '26', '26', 'en', '0', '<div id="lipsum"><p>Ut sit amet odio vulputate, blandit quam non, vehicula dui. Nulla rutrum enim eu felis volutpat maximus id ut sem. Suspendisse hendrerit lorem convallis elit sagittis laoreet. Donec at sollicitudin augue. Fusce dictum sem at leo tincidunt, eget euismod lorem iaculis. Vestibulum vitae mattis magna, ornare imperdiet eros. Nunc sodales luctus odio, vitae maximus lectus venenatis vel. Suspendisse nec vestibulum ipsum. Praesent sed pharetra velit. Nunc augue dui, pharetra at euismod non, efficitur vel lacus. Suspendisse fermentum tristique ipsum blandit varius. Quisque ullamcorper pharetra feugiat. Integer tellus sem, commodo sit amet elit vitae, tempor maximus enim. Suspendisse potenti. Proin placerat sit amet diam eget ultricies. Vivamus ac pulvinar erat.</p><p>Donec venenatis urna tellus, vehicula dapibus turpis pulvinar sit amet. Pellentesque ut nisi purus. Phasellus ligula metus, porta nec pellentesque a, tempor nec tellus. Fusce auctor gravida tempor. In gravida porttitor augue, quis interdum orci. Donec faucibus risus at mauris lacinia, sed facilisis magna venenatis. Nullam scelerisque erat in ultrices varius. Nullam pharetra, ante ut sollicitudin suscipit, sapien ligula facilisis ante, eget molestie dui orci non enim. Aliquam erat volutpat. In sagittis suscipit tempor. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p><p>Duis a lorem eu ante consequat mattis. Fusce posuere nibh ac mattis sagittis. Praesent convallis ipsum ac augue facilisis, faucibus tincidunt purus interdum. Maecenas vestibulum rhoncus vulputate. Fusce quam libero, porttitor sed sollicitudin ut, dapibus eget eros. Aenean maximus dignissim ipsum, nec aliquam nunc venenatis et. Phasellus ornare lectus quis neque ullamcorper, vel laoreet diam eleifend. Etiam eu turpis dui. Ut vitae ex lobortis, elementum orci sed, mattis urna. Vestibulum consectetur elit ex, et iaculis justo lacinia molestie. Nunc vitae urna nisl. Duis ornare, lacus non porta rhoncus, turpis quam ullamcorper augue, in varius orci nisl vel libero. Duis id viverra tortor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '27', '27', 'en', '0', '<div id="lipsum"><p>Sed convallis dolor nulla, et consequat nibh tempor non. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus congue, neque id dictum dapibus, mauris velit sollicitudin est, sit amet gravida sem velit id erat. Cras orci metus, accumsan ut ex sit amet, fermentum ultrices justo. Sed velit dolor, iaculis ac feugiat eget, bibendum quis velit. Vestibulum in sapien in metus imperdiet venenatis. Phasellus ullamcorper, lorem eget rutrum euismod, purus lacus accumsan nunc, in semper diam orci vel metus. Fusce egestas convallis libero nec aliquam. Fusce cursus nunc vel metus vulputate lobortis. Suspendisse potenti. Nulla quis lorem eget orci consectetur varius in sit amet sem. Ut vestibulum mi vel est euismod pretium.</p><p>Cras tempus orci sit amet velit accumsan, non commodo mi vestibulum. Ut aliquam molestie purus ac elementum. Maecenas ac ligula mauris. Quisque ullamcorper augue ac quam commodo, ut consectetur nulla ultrices. Aliquam at imperdiet mi. Morbi non facilisis libero. Ut a quam lectus. Etiam a elementum sem, eu tempor nisl. Praesent posuere dolor vitae nibh pulvinar, at maximus nulla placerat. Suspendisse nisl odio, auctor id eros non, fermentum aliquet felis.</p><p>Praesent lorem elit, fringilla quis tempus vel, consectetur vel nisl. Nulla ut diam iaculis, lobortis dui vel, viverra est. Nulla vel scelerisque ligula. Proin consectetur erat ipsum, eget elementum metus suscipit non. Interdum et malesuada fames ac ante ipsum primis in faucibus. Proin tempus tristique dictum. Vestibulum porta arcu vitae ex fermentum porttitor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '28', '28', 'en', '0', '<div id="lipsum"><p>Phasellus facilisis ipsum et dui interdum, in aliquam tortor iaculis. Curabitur lobortis viverra velit, non cursus elit efficitur sit amet. Donec laoreet cursus mi at ultricies. Aliquam vulputate mi et ipsum eleifend dictum. Cras fringilla laoreet imperdiet. Ut efficitur consequat leo. Cras eget aliquam nulla, eu imperdiet nunc. Vestibulum eu pharetra nulla. Praesent in urna et odio efficitur consectetur. Praesent bibendum ullamcorper sapien. Donec ut ultricies sapien. Aliquam erat volutpat. Duis aliquet a magna nec pretium.</p><p>Praesent non tortor rhoncus, consectetur neque in, euismod nunc. Phasellus non arcu id eros lacinia porttitor a vel ipsum. In molestie ut lacus et gravida. Quisque sem libero, dignissim sed nulla at, pharetra fringilla leo. Donec velit tortor, maximus fringilla dui sit amet, semper aliquam magna. Morbi eu volutpat diam. Sed ullamcorper nisl at diam ultricies, quis pulvinar lorem facilisis.</p><p>Nulla in ipsum sit amet urna iaculis semper a a nunc. Aenean varius varius tortor id lacinia. Nullam tempus volutpat hendrerit. Duis malesuada libero leo, non scelerisque est euismod ac. Proin feugiat nulla id metus mollis, nec finibus nulla vulputate. Nullam sed ipsum ut tellus facilisis tincidunt vel feugiat leo. Donec vel elit id odio porttitor tempor. Aenean blandit tortor vel pharetra lobortis. Ut accumsan metus sed massa facilisis, eget placerat ante euismod. Sed et feugiat ex. Nullam eu vestibulum ex. Mauris in augue eu purus molestie lobortis. Duis arcu sapien, malesuada ac diam ac, mattis porttitor elit.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '29', '29', 'en', '0', '<div id="lipsum"><p>Nam purus sem, aliquet sed scelerisque eu, laoreet ac arcu. Donec sem mauris, blandit imperdiet dapibus vel, semper sit amet tortor. Aliquam erat volutpat. Vestibulum mattis ex sit amet diam volutpat tincidunt. Mauris consectetur finibus bibendum. Nullam consectetur arcu nunc. Aliquam suscipit suscipit aliquam. Quisque dictum venenatis leo, vel varius tortor congue in.</p><p>Aenean venenatis convallis risus ac aliquam. Aenean sit amet justo ex. Cras dapibus ipsum ut diam sagittis consequat in vel neque. Nunc vel gravida augue. Nulla interdum luctus massa, et porttitor tellus tristique et. Donec nec egestas est. Fusce pellentesque, elit eu finibus consectetur, ipsum nibh vestibulum sapien, vitae tempor mauris risus ut magna. Morbi lorem ligula, tincidunt ut luctus eget, consequat varius nibh. Phasellus ut orci rhoncus, dignissim nibh at, aliquam est. Duis vel erat augue. Aliquam nulla nulla, scelerisque et vehicula id, interdum quis quam. Nunc faucibus purus ut ligula eleifend vehicula.</p><p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum a porttitor nibh. Quisque ornare pretium scelerisque. Cras quis semper urna. Pellentesque ornare commodo sem quis semper. Quisque ullamcorper tellus ac diam iaculis, nec tempor elit mollis. Quisque id augue quis arcu sodales facilisis vitae in neque. Mauris euismod ipsum et tellus commodo, at semper nisl ullamcorper. Curabitur in bibendum diam, in pretium odio. Fusce at rutrum dui. Etiam dapibus metus velit, posuere rhoncus ante rhoncus sit amet. Vestibulum rutrum at est ac interdum. Sed sed mollis felis, a ultricies dui.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '30', '30', 'en', '0', '<div id="lipsum"><p>Phasellus vulputate ex facilisis vulputate posuere. Donec tincidunt laoreet felis, vitae maximus urna feugiat mattis. Proin sollicitudin massa ultrices, commodo enim vel, mollis nisl. Cras sed leo sed massa interdum ultricies et id felis. Nunc bibendum ultrices magna nec ultrices. Phasellus congue nunc felis, id condimentum dui tincidunt non. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur libero dolor, ultrices sed malesuada vitae, porttitor id massa. Etiam turpis risus, rhoncus a hendrerit ut, placerat ut est. Fusce sit amet viverra quam. Duis quis ante sem. Nunc ac accumsan metus. Nunc ut nisi rutrum, ornare felis eget, hendrerit risus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Ut pretium id justo at finibus. Mauris iaculis odio neque, eu congue arcu molestie sed.</p><p>Nam id leo eget libero lobortis auctor. Sed scelerisque pretium mi quis eleifend. Nulla ultrices blandit tincidunt. Donec vulputate tortor vitae magna mollis, euismod efficitur ante semper. Mauris eget accumsan lacus. Pellentesque auctor erat vestibulum orci porta posuere. Donec sit amet luctus ipsum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed porta sem. Phasellus ultricies cursus nulla et commodo. Sed aliquet sed lorem non ultrices. Fusce molestie mi risus, non accumsan mi placerat consectetur. In hac habitasse platea dictumst. Integer mollis nunc dapibus orci finibus dignissim. Etiam et semper leo. Praesent felis ligula, tincidunt at massa eu, blandit gravida quam.</p><p>Donec viverra, eros eget pellentesque blandit, arcu nibh aliquet odio, ac lobortis dui quam nec leo. Mauris malesuada risus ac odio hendrerit pretium. Cras elementum consectetur dictum. Aliquam vel velit malesuada, tristique erat et, lacinia magna. In purus ipsum, pretium at urna eu, sagittis ultrices augue. Sed eros ligula, auctor sed facilisis id, interdum a dui. Etiam id purus et nisl pharetra malesuada quis eu dui. Proin condimentum nisl tortor, eget consequat lectus pretium eget. Ut ut erat quis est vestibulum convallis. Proin eu cursus ex. Nunc laoreet magna vel sodales viverra. Nulla at efficitur sapien. Maecenas auctor ex non interdum ornare. In hac habitasse platea dictumst.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '31', '31', 'en', '0', '<div id="lipsum"><p>Nam lorem lectus, scelerisque in lectus nec, ultricies luctus sapien. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Duis maximus mauris non urna porta, vel pulvinar diam dignissim. Proin et rutrum diam. Nullam iaculis mi ac massa lobortis, a imperdiet augue vehicula. Integer lacus turpis, efficitur euismod justo laoreet, pulvinar volutpat metus. Nullam in rutrum libero, facilisis porttitor ante. Quisque id erat quis lacus euismod mollis. Duis a purus ut erat tincidunt interdum. Fusce mauris ex, pulvinar ac pretium vitae, porttitor id nisi. Curabitur quis sodales massa.</p><p>Mauris eget eros sagittis, semper risus vitae, tincidunt metus. Morbi eu turpis purus. Quisque quis mi sagittis, gravida arcu sed, tempus quam. Nullam tincidunt nulla in diam hendrerit, sed scelerisque nisl fringilla. Etiam ultrices gravida condimentum. In at diam porta, semper metus sit amet, eleifend sapien. Sed ut quam iaculis, eleifend est in, tincidunt felis. Maecenas a tellus venenatis, dapibus massa et, consectetur eros. Sed fermentum tellus in est iaculis ullamcorper. Praesent et sem ullamcorper, efficitur ante ac, sollicitudin dui. In consectetur elementum dui ac egestas. Quisque laoreet fermentum elit sit amet consequat. Suspendisse eu condimentum mauris.</p><p>Sed cursus, felis vel commodo interdum, mi libero sagittis ipsum, et laoreet orci felis quis ipsum. Vivamus imperdiet magna nisl, et mollis mauris elementum id. Cras quis magna nec neque maximus ullamcorper. Mauris vulputate sem nunc, ac fermentum libero posuere et. Morbi molestie lectus sit amet nisl efficitur rutrum. Aenean porttitor ipsum ac mi feugiat lobortis. Proin imperdiet sem quam, ut pharetra justo scelerisque eget. Ut nibh purus, blandit at tortor in, laoreet sodales purus. Fusce facilisis metus eros, id dapibus quam elementum non.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '32', '32', 'en', '0', '<div id="lipsum"><p>Maecenas blandit ullamcorper ex, quis pellentesque risus feugiat suscipit. Nullam semper interdum commodo. Ut pulvinar, nunc eget convallis venenatis, magna dui ornare mauris, et pharetra libero lacus sit amet nibh. Duis semper mollis felis, eget gravida sem bibendum a. Quisque convallis ex eu dui dignissim vulputate quis sed sem. Fusce rhoncus risus tortor, eu laoreet ex aliquet sed. Nam ullamcorper erat vitae risus dictum imperdiet. Donec auctor, massa in euismod porttitor, est nulla lacinia est, sed mollis neque sem vitae erat. Cras vitae felis auctor lorem tincidunt iaculis eleifend at ligula. Nunc tempus vestibulum diam, at auctor magna eleifend eu. Phasellus sed dolor rhoncus, pharetra nulla quis, commodo orci. Nulla condimentum rutrum justo, eu suscipit justo lacinia eu. Aliquam vitae augue sit amet quam pharetra aliquam vel vitae ex. Curabitur porttitor, eros sed faucibus fermentum, odio ante blandit nisi, ut laoreet mauris nunc in metus. Integer nec dui maximus, ornare ligula lobortis, ornare nulla.</p><p>Aliquam ullamcorper turpis et congue facilisis. Fusce vestibulum dictum arcu vitae rutrum. Donec lobortis metus vitae consectetur volutpat. Ut lectus nisl, tincidunt sed elit ut, mattis convallis augue. Proin et blandit est, non lacinia justo. Nunc egestas nec felis vel bibendum. Nulla facilisi. Mauris tempor mollis rutrum. Nam ullamcorper nec dui at aliquet. Praesent sit amet eros odio. Etiam nec est fringilla, imperdiet dolor eu, dictum mauris. Donec nec scelerisque neque. Donec pretium turpis ut lectus lobortis dictum. Cras gravida non dui et mollis. In hac habitasse platea dictumst. Nunc condimentum quam a posuere sagittis.</p><p>Nullam arcu erat, mattis quis finibus quis, sodales et tellus. Aliquam posuere eu purus at venenatis. Integer tempor felis sed iaculis euismod. Praesent dapibus maximus dui, ac aliquet lorem volutpat a. Proin luctus nec libero et condimentum. Quisque interdum lacus nec tortor placerat semper. Fusce non leo sit amet quam viverra imperdiet. Curabitur congue augue quis interdum tincidunt.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '33', '33', 'en', '0', '<div id="lipsum"><p>Donec fringilla ante at nisi suscipit tincidunt. Vivamus a purus scelerisque, posuere nisl nec, semper neque. Pellentesque in eleifend ipsum, in convallis velit. Curabitur vehicula consequat libero, vel mollis felis interdum ac. Morbi accumsan pretium aliquet. Aliquam volutpat sit amet erat id tempor. Integer aliquam, nulla sit amet fermentum ultrices, ante metus placerat mauris, eget consequat mi nisl quis sem. Ut ac blandit leo, et lacinia urna. Nullam in justo placerat, ultrices orci id, porta nisi. Donec at mollis nisl, nec molestie nisl. Vestibulum risus lacus, lobortis sed purus ac, euismod scelerisque quam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed tristique mi eget augue luctus lacinia.</p><p>Phasellus et pulvinar risus. Morbi faucibus imperdiet fringilla. Nulla quis enim et augue ultricies vehicula eu non dolor. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla venenatis condimentum diam, nec vulputate orci tempor a. Duis finibus, arcu quis tincidunt facilisis, nibh odio suscipit est, nec elementum turpis ex in urna. Nulla rutrum pellentesque ligula quis eleifend. Quisque eu odio euismod, lobortis magna in, aliquet velit. Sed nec felis et lacus hendrerit tristique eu quis leo. Aenean tincidunt turpis ac sagittis ultrices. Nulla lacinia diam dui, quis ullamcorper dui fringilla sit amet. Aliquam a commodo leo. Mauris erat tortor, commodo in convallis vitae, mattis convallis justo. Nulla placerat justo auctor ex viverra condimentum.</p><p>Sed semper cursus risus, in condimentum erat finibus ultricies. In hac habitasse platea dictumst. Praesent nisi arcu, convallis eget odio et, rhoncus accumsan ex. Vivamus consectetur nibh risus, nec aliquam eros laoreet et. Pellentesque consequat rutrum congue. Suspendisse consequat mi euismod ex condimentum hendrerit. Proin nisl sapien, tristique in faucibus congue, laoreet at ligula. Curabitur at sollicitudin ligula. Nunc a tortor luctus, feugiat lorem eu, molestie arcu. Sed non risus in neque scelerisque semper. Nulla sit amet purus quis risus volutpat varius. Fusce lacinia dolor ac elit euismod scelerisque. Ut at eleifend libero, quis mattis odio. Maecenas tristique sit amet risus a auctor. Donec vulputate eros nunc, ac suscipit velit gravida at.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '34', '34', 'en', '0', '<div id="lipsum"><p>Mauris lobortis orci in sollicitudin laoreet. Integer mattis, tellus ut volutpat iaculis, magna quam faucibus nisi, sed rhoncus massa elit ut dolor. Donec rhoncus ex a metus commodo, eu varius ipsum dapibus. Fusce quis consectetur erat. Aenean eu nulla efficitur, venenatis ex a, viverra neque. Sed luctus vitae felis eget mollis. Curabitur eleifend erat mauris, a convallis ante facilisis vel. Mauris rutrum dolor eu elementum sodales. Phasellus et orci mauris. In dapibus mauris enim, quis tempor ligula varius eget. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Quisque leo sapien, luctus porta sollicitudin vitae, pellentesque quis leo. Pellentesque tellus velit, accumsan eu tortor ac, feugiat suscipit lacus. Mauris a elit nec erat cursus auctor.</p><p>Fusce a ex aliquam, tempor mi a, iaculis nunc. Fusce nec quam tempus, fringilla dolor sed, hendrerit velit. Phasellus lobortis at metus in mollis. Sed iaculis tortor malesuada vehicula tempus. Mauris et lacus sapien. Aenean ut mi eget ligula semper molestie. Proin nec neque eget mi interdum varius sit amet at lorem. Nullam eget leo at nisl efficitur accumsan. Fusce consequat purus sed consequat dictum. Ut tristique justo quis odio luctus, vitae tristique dolor ullamcorper. Donec ut mi lacinia, posuere justo sit amet, ultrices neque. Phasellus tortor tortor, posuere sit amet imperdiet in, faucibus eu sapien. Nulla tempus porta ipsum sed ullamcorper. Sed enim sem, blandit nec mauris sit amet, cursus sollicitudin dui. Proin eget finibus eros.</p><p>Mauris nec lacus ut augue porttitor elementum. Cras dignissim nibh quam, at tincidunt quam porttitor eu. Proin semper odio sit amet risus cursus, sed sodales purus pretium. Maecenas lobortis tortor ac mi dignissim, vitae dapibus tortor pharetra. Nulla laoreet mattis erat, a mollis neque condimentum vel. Donec quis nisi posuere, elementum lectus eget, laoreet odio. Duis ut ultricies risus.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '35', '35', 'en', '0', '<div id="lipsum"><p>Nullam et velit nunc. Sed suscipit leo dui, id vehicula felis iaculis eget. Integer mattis libero nec lectus scelerisque gravida. In ac bibendum eros. Etiam sodales, massa et elementum laoreet, nibh orci sodales mauris, ac suscipit purus nulla sit amet augue. Phasellus porttitor enim ut ante mattis, sed elementum tellus tempus. Nullam molestie pellentesque orci ornare luctus. Praesent in tortor sit amet metus gravida tempus ut eget lectus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque hendrerit congue tellus, quis imperdiet neque varius eu. Donec hendrerit ex vel mauris gravida, eget mattis neque consectetur. Sed eu libero vitae quam pellentesque convallis. Mauris non sem eu nunc rhoncus tristique. Quisque commodo, ligula quis fermentum sagittis, urna leo ultricies erat, at lobortis elit eros ut arcu. Curabitur auctor, justo ut vestibulum viverra, augue nisl sodales nunc, a imperdiet tortor sem ac lacus. Phasellus ut enim est.</p><p>Sed volutpat aliquet pretium. Nam sit amet ligula libero. Nulla vel risus sit amet justo aliquam elementum sit amet eu augue. Duis blandit semper condimentum. Curabitur vel tristique sapien. Fusce lobortis nisi et turpis tincidunt blandit. Nullam volutpat odio quis neque pellentesque, non congue nibh congue. Sed at commodo ante. Suspendisse venenatis nec quam non eleifend.</p><p>Nunc fringilla venenatis faucibus. Sed aliquam porttitor est, id tempor sapien blandit vitae. Pellentesque sodales iaculis nibh quis lacinia. Pellentesque viverra leo quis libero commodo mattis. Etiam quis dignissim quam. Etiam vel nulla congue, lobortis velit at, euismod erat. Vivamus pretium dignissim nunc in luctus. Morbi et neque a ante consequat pellentesque. Praesent fermentum eleifend consequat. Vestibulum ullamcorper nisi nec dignissim eleifend. Nunc pretium quis urna nec cursus.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '37', '37', 'en', '0', '<div id="lipsum"><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec lobortis mi ex, id interdum elit vestibulum at. Mauris a finibus dui. In et mattis felis. Aenean tincidunt erat eu eros ullamcorper, et porttitor mi cursus. Phasellus tortor ipsum, eleifend vel sapien rhoncus, congue commodo ex. Ut vehicula fringilla venenatis. Cras ullamcorper eget ligula vel congue. Ut turpis nibh, lobortis ut porta pharetra, efficitur sit amet tellus. Aliquam rhoncus at ante id ultricies. Curabitur eget quam condimentum, egestas orci id, ultricies nibh. Praesent nec turpis viverra, congue est sit amet, molestie odio. Nulla sit amet aliquam nisi, vel hendrerit lectus. Curabitur neque nulla, sagittis ac tellus a, mollis tempus sem. Integer bibendum vehicula laoreet.</p><p>Quisque at neque imperdiet, feugiat enim id, egestas nunc. Etiam hendrerit, metus ac pellentesque bibendum, magna mi ornare neque, eget ornare quam nisl at nibh. Curabitur dignissim lacus id fringilla eleifend. Ut fermentum ante eu molestie varius. Aliquam convallis aliquam lectus. Praesent non posuere felis, sit amet tempus est. Mauris eleifend pulvinar nibh, id condimentum ipsum eleifend eu. Aliquam consequat pharetra volutpat. In aliquam dui ac ipsum egestas, nec luctus mauris pretium.</p><p>Proin lacinia dui a urna hendrerit, quis tincidunt lectus sagittis. Pellentesque ac molestie metus. Nulla non porttitor sem, sed varius arcu. Pellentesque et erat eleifend, eleifend nibh quis, congue metus. Donec pellentesque non dui at imperdiet. Morbi tincidunt aliquam tincidunt. Integer ac erat nunc. Morbi sed risus in odio ultrices varius. Nullam vulputate tortor ornare turpis ultricies condimentum. Suspendisse id porttitor erat. Maecenas porttitor, ex nec molestie fermentum, nunc sapien varius sem, nec eleifend erat purus vitae ipsum. Nullam sit amet nunc quis nisi bibendum semper eget et mauris.</p></div>', '', 'filtered_html');
INSERT INTO `field_data_body` VALUES
('node', 'blog', '0', '38', '38', 'en', '0', '<div id="lipsum"><p>Mauris ex augue, congue ut nisi ut, aliquam pulvinar dolor. Suspendisse potenti. Suspendisse ac erat a tellus iaculis malesuada eget vitae lectus. Aliquam pretium, nisl non maximus pharetra, orci lacus consectetur enim, eu ornare quam nibh vitae magna. Nunc rutrum eu arcu et rutrum. Etiam ut sapien at tellus mollis molestie quis sed ex. Cras vitae hendrerit dui. Cras sit amet lacus vel lectus dignissim suscipit eu nec leo. Donec maximus, turpis in elementum pellentesque, turpis enim varius erat, non malesuada augue mauris nec sem. Donec interdum ante at tellus ullamcorper facilisis. Ut fringilla varius ex a sodales. Quisque dapibus felis at mauris aliquet mollis. Donec luctus semper ante nec volutpat.</p><p>Ut dui purus, cursus eget dolor a, elementum cursus ligula. Aenean tempus posuere purus ac sodales. Cras in faucibus ipsum, ut semper lectus. Cras maximus convallis urna, ut consectetur risus luctus nec. Integer ac feugiat dolor. Quisque hendrerit ipsum nec turpis pulvinar feugiat. Quisque et metus aliquam, consequat velit condimentum, pharetra odio. Suspendisse condimentum laoreet dapibus. Integer consectetur ex nec arcu consectetur, a fermentum massa pretium. Praesent vitae lacus et dolor scelerisque consectetur. Integer enim lacus, finibus id bibendum nec, molestie consectetur neque. Morbi faucibus felis est, eu laoreet ipsum molestie at. Curabitur ut nisi in libero iaculis efficitur.</p><p>Nunc luctus metus eu eros cursus semper. Etiam eget eros venenatis orci ultricies viverra. Morbi vitae feugiat ante, nec dictum dui. Aenean ullamcorper sit amet urna in aliquet. Duis mollis eros risus, nec pharetra lectus facilisis sit amet. Pellentesque accumsan libero in lorem auctor, vitae venenatis nisi consectetur. Fusce dictum lectus felis, a auctor quam lacinia ut. Ut hendrerit mi neque, et elementum mauris euismod sed. Nulla posuere porta odio vel suscipit. Curabitur commodo sit amet massa vel fermentum. Ut congue tincidunt ante. Mauris vestibulum, sem sed dictum gravida, tortor tellus vulputate odio, vel commodo diam lorem nec neque. Quisque dictum malesuada nunc, sit amet dapibus neque suscipit sed. Proin tortor nunc, accumsan non vulputate vel, bibendum vel diam. Aliquam scelerisque eget elit vitae vulputate. Donec sit amet semper ligula.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '39', '39', 'en', '0', '<div id="lipsum"><p>Morbi sit amet ex at risus egestas egestas vel non neque. Suspendisse eu faucibus purus. Duis sem nibh, facilisis at scelerisque eget, dignissim ut odio. In vel elit et sapien interdum auctor. Vivamus at cursus libero. Phasellus gravida non urna sed fermentum. Nam leo lacus, efficitur a felis a, molestie lobortis enim. In eget fermentum orci, et laoreet sapien. Pellentesque fringilla sollicitudin libero. Morbi neque dolor, lacinia at orci nec, convallis pharetra libero. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed efficitur lectus vel accumsan feugiat.</p><p>Integer varius nunc ut elit lobortis varius. Donec id euismod dolor. Suspendisse potenti. Cras finibus turpis sit amet laoreet ullamcorper. Pellentesque pulvinar magna quis facilisis tincidunt. Fusce dui quam, eleifend ut ultricies ut, posuere quis lacus. Integer vulputate ullamcorper dictum. Nam id feugiat nisl. Nam dolor felis, mattis maximus eros eu, lacinia semper nibh.</p><p>Praesent non aliquet risus. In interdum sit amet ante sit amet tempus. Vestibulum convallis id leo eget consequat. Nam ornare consequat justo ut ornare. Nunc id pellentesque nisl, vitae maximus orci. Suspendisse elementum dignissim mauris vel sagittis. Sed ut volutpat arcu. Quisque fermentum felis vel diam dictum tristique. Mauris fringilla eget quam sed elementum. Vivamus vestibulum tellus ac magna maximus convallis. Donec dui orci, commodo volutpat convallis in, iaculis nec lorem. Vestibulum nec imperdiet erat. Vivamus finibus ante ac fringilla scelerisque.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '40', '40', 'en', '0', '<div id="lipsum"><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus eu venenatis ipsum, ut efficitur augue. Nunc tincidunt porttitor velit fringilla finibus. In vel orci quis dui aliquet imperdiet sed sed massa. Integer at turpis eget nisi tincidunt venenatis. Vestibulum faucibus erat vitae libero feugiat, a gravida leo tincidunt. Nulla convallis dictum ipsum vitae ultrices. Donec quis libero ante. Praesent imperdiet velit eu eleifend varius. Morbi imperdiet est lorem, vitae dictum turpis tincidunt imperdiet. Ut in condimentum ipsum, in viverra risus.</p><p>Donec interdum magna et erat vestibulum, at pellentesque lorem tristique. Maecenas suscipit erat sed augue dapibus fermentum. Integer fringilla placerat turpis, vel pharetra nulla lacinia vitae. Vestibulum id sapien felis. Etiam convallis purus lectus, vestibulum fringilla felis ullamcorper volutpat. Mauris tempus euismod orci eget tincidunt. Integer ultrices, velit in vulputate facilisis, lectus metus fringilla est, tempor sollicitudin libero erat nec turpis. Praesent non dui pharetra, maximus nisi nec, molestie ante.</p><p>Aliquam et tempus justo, eget lacinia tortor. Aliquam turpis lorem, efficitur quis viverra non, elementum sed enim. Nunc ullamcorper mattis suscipit. Integer sed dolor est. Cras consequat justo sed tristique lacinia. Morbi dictum vulputate eros, quis elementum risus eleifend in. Vestibulum purus risus, hendrerit nec congue sed, porta a est. Donec nec facilisis risus. Donec sollicitudin eros sit amet ipsum scelerisque, sed consequat erat cursus. Nam commodo nisl lectus, at placerat nisl ultrices quis. Praesent nec velit eros. Aenean quis facilisis nulla.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '41', '41', 'en', '0', '<p>Donec mollis tempus quam non porta. Proin commodo et tortor id maximus. Sed ipsum nisl, ultrices at augue vitae, blandit tincidunt risus. Integer lorem turpis, venenatis id ultrices vulputate, venenatis et odio. Aliquam fringilla massa ut fermentum ornare. Nullam non venenatis ante. Duis nunc justo, interdum quis enim et, ornare iaculis nibh. Proin hendrerit id leo non feugiat. Interdum et malesuada fames ac ante ipsum primis in faucibus. In sit amet pulvinar leo. Vestibulum placerat arcu sed tristique porttitor. Suspendisse tempus nulla ut orci cursus rutrum.</p>\r\n<p>Morbi eget scelerisque eros, sit amet faucibus libero. Curabitur eu dui non orci tempus condimentum. Donec a nisi pretium, iaculis erat in, commodo ex. Maecenas non arcu maximus, tincidunt sem nec, cursus augue. In quam sapien, efficitur sagittis orci nec, auctor suscipit tellus. Etiam finibus eget justo sit amet mattis. Phasellus id volutpat nisi. Duis hendrerit laoreet augue in tristique. Nam pellentesque libero eu diam tempus, molestie faucibus ex eleifend. Nulla efficitur pulvinar fringilla.</p><p>In eu sapien dui. Cras accumsan justo eget accumsan bibendum. Sed condimentum finibus tortor, vel commodo nisl tristique non. Donec interdum at magna at laoreet. Curabitur porttitor diam vitae rhoncus consequat. Quisque iaculis convallis arcu. Curabitur sit amet nulla nulla. Mauris imperdiet eget nisi at mollis. Mauris placerat malesuada arcu, ut semper metus rutrum consectetur. Phasellus ac fringilla elit, id convallis mi. Duis ante dolor, lobortis vitae turpis non, luctus faucibus ex. Phasellus elit augue, viverra nec tortor eget, varius viverra lacus. Nullam auctor sed diam sit amet facilisis. Donec nec cursus risus.</p>', '', 'filtered_html'),
('node', 'faq', '0', '42', '42', 'en', '0', '<div id="lipsum"><p>Aliquam nunc ligula, rhoncus sit amet erat vel, scelerisque pharetra eros. Donec finibus sem nec nunc venenatis tempus varius et dui. Donec tempor elementum felis, at ultricies est pellentesque sed. In lacinia elit at velit malesuada, id commodo ligula molestie. Praesent finibus sed lorem ac pretium. Donec ut hendrerit nibh. Aenean ligula nisi, mattis in scelerisque nec, pulvinar sed dui.</p><p>Integer gravida est ante, ut elementum quam condimentum sit amet. Nam quis pellentesque dui, imperdiet pretium nisl. Pellentesque rutrum accumsan tortor, vel tempor diam bibendum at. Pellentesque laoreet nisi purus, quis porta lorem placerat eu. Nam ut ligula sed massa varius auctor nec vitae justo. Nunc non finibus tortor. Suspendisse potenti. Curabitur dapibus turpis mi, lobortis rhoncus ipsum scelerisque in. Suspendisse cursus malesuada quam, eget accumsan diam porta sed. Nunc blandit purus congue ante rutrum semper. Ut mollis dolor tortor, non rutrum tortor egestas at. Sed euismod molestie lacus. Quisque vel sapien et turpis euismod rhoncus ac sit amet nulla. Nam lacinia dapibus elit quis suscipit.</p><p>Praesent sagittis blandit orci in porta. Nulla volutpat mauris nunc, eget molestie nunc porta nec. Aliquam non facilisis lacus. Cras luctus est ante, ac aliquam tellus placerat a. Vivamus facilisis consectetur lobortis. Proin sagittis ipsum tincidunt nibh feugiat, et tincidunt urna pulvinar. Etiam vestibulum leo sit amet lectus scelerisque tempus. Curabitur iaculis tellus mauris, non interdum ante sagittis eu. Ut eu ipsum lectus. Nam laoreet arcu luctus lacinia mollis. Maecenas vestibulum lobortis hendrerit.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '43', '43', 'en', '0', '<div id="lipsum"><p>Morbi mauris purus, semper quis purus ac, vehicula accumsan massa. Morbi ac pharetra felis. Mauris tristique fringilla orci, in consectetur nunc efficitur non. Cras varius metus ipsum, sit amet dignissim arcu convallis eget. Donec augue nisi, laoreet non egestas in, iaculis non est. Praesent magna massa, vehicula in auctor vitae, interdum non augue. Maecenas posuere id dui ut vulputate. Vivamus et lorem sagittis, ullamcorper eros at, facilisis ante. Vivamus convallis blandit metus at ornare. Etiam a cursus lacus. Phasellus sit amet velit lectus.</p><p>Mauris mattis est sit amet ex molestie tempor. Integer accumsan nisl sit amet felis scelerisque maximus. Aenean facilisis venenatis mattis. Aliquam viverra lorem dui, eu ultrices neque condimentum sed. Quisque metus est, faucibus vitae est nec, posuere molestie metus. Pellentesque maximus ligula vitae augue efficitur, vel laoreet nibh tincidunt. Duis consectetur lectus non nulla vehicula, et posuere augue malesuada. Nunc aliquet pretium augue tempus interdum. Curabitur suscipit ligula eget ex egestas, nec pulvinar lectus placerat. Proin ac gravida nisl, nec congue ante. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed vestibulum fermentum nunc, et vestibulum ipsum pellentesque sit amet. Fusce vitae vestibulum magna.</p><p>Vestibulum auctor, erat et convallis vehicula, urna nulla semper urna, ac maximus lorem nibh eu magna. Curabitur sed diam ut turpis mattis ultrices. Sed blandit nulla sit amet arcu sollicitudin imperdiet. Suspendisse potenti. Mauris iaculis lacus id vulputate tristique. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque eu justo a risus gravida vehicula non non ligula. Ut placerat libero nec eros egestas, vitae sollicitudin orci consequat. Fusce mollis sem sit amet nisl egestas imperdiet.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '44', '44', 'en', '0', '<div id="lipsum"><p>Pellentesque vitae tincidunt tellus, in auctor purus. Suspendisse condimentum accumsan massa vitae aliquet. Pellentesque aliquam, erat id volutpat maximus, lectus ante pretium dolor, vitae feugiat dui nisi at sem. Duis scelerisque auctor enim, sit amet semper nisl tincidunt luctus. Nunc auctor scelerisque est, vel hendrerit ex semper in. Curabitur luctus fermentum orci non finibus. Nam viverra, lectus quis rhoncus pellentesque, ligula justo condimentum nisi, elementum molestie magna metus nec velit. Aenean viverra accumsan semper. Nulla a pretium ligula. Fusce id consequat quam. Sed dapibus massa in diam varius tempus. Suspendisse a massa in orci pellentesque lacinia non non arcu. Proin est lorem, semper quis pulvinar eu, eleifend eu est. Sed gravida urna hendrerit metus molestie rutrum. Vestibulum egestas felis a dui semper, sed maximus velit finibus. Aenean rutrum, est vitae sodales cursus, nibh metus faucibus urna, quis ultricies nunc nibh maximus nibh.</p><p>Fusce maximus orci est. Maecenas finibus augue et sem cursus ultrices. Nam vitae odio nisi. Morbi tristique odio velit, vitae sagittis tortor vulputate vel. Praesent laoreet eu augue ac viverra. Quisque est quam, accumsan et ex a, vehicula luctus mauris. Quisque vel leo arcu. Pellentesque in risus risus.</p><p>Sed sed nulla quis nibh fermentum pellentesque at sed elit. Donec egestas efficitur finibus. In ac feugiat magna, quis fermentum neque. Nullam cursus ullamcorper felis, id pellentesque metus semper vel. Nulla facilisi. Suspendisse vestibulum nulla orci, ac egestas orci volutpat ac. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam euismod sodales feugiat. Vivamus sed nibh euismod sapien facilisis mattis nec eu nunc. Sed consectetur aliquet massa, sed accumsan enim facilisis nec.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '45', '45', 'en', '0', '<div id="lipsum"><p>Praesent facilisis dapibus diam, ornare dignissim turpis luctus in. Phasellus eleifend sed enim ut sagittis. Maecenas lacus ligula, pharetra quis magna ut, gravida vulputate ipsum. In hac habitasse platea dictumst. Donec ut eros quis lacus aliquet ultricies. Nullam egestas, odio sed lobortis imperdiet, enim sem vulputate sapien, vel tincidunt elit metus eu diam. Aliquam nibh risus, viverra eget purus sit amet, lobortis consectetur leo. Etiam augue ante, viverra id placerat pretium, porta ac odio. Aliquam ultricies maximus lorem vel porta. Donec eget leo felis. Nunc auctor eu tellus eu hendrerit.</p><p>In at pellentesque erat, ut faucibus arcu. Proin nisl dui, fringilla quis odio ut, pulvinar scelerisque urna. Maecenas lobortis, magna nec rhoncus pulvinar, nisl massa mattis nulla, sit amet semper leo velit non magna. Praesent laoreet semper aliquet. Quisque sed accumsan arcu, id posuere turpis. Vestibulum pellentesque consequat tellus sed rutrum. Aenean vestibulum, nisl eget imperdiet ultricies, neque dolor finibus felis, a convallis dui purus sed metus. Phasellus sed velit nec ex aliquam cursus sed ut metus. Nunc nec tristique arcu.</p><p>Etiam pretium venenatis ipsum, finibus fringilla urna fringilla eu. Cras aliquam iaculis odio, eu vulputate nibh. Sed hendrerit pharetra eros in malesuada. In ultrices lacus vel neque rutrum, vitae consectetur tortor ullamcorper. Donec commodo nulla id cursus fringilla. Vestibulum tellus leo, iaculis in tincidunt eu, tincidunt non ligula. Integer convallis felis ac nisi sagittis, sed congue orci dapibus. Aenean placerat purus at bibendum congue. Duis mattis, risus ac sagittis pretium, ligula quam varius purus, imperdiet finibus nisi orci sit amet leo. Integer id aliquet arcu. Etiam et augue erat. Etiam quis ante molestie, rutrum nunc eu, facilisis odio. Etiam a neque id turpis sollicitudin bibendum. Vestibulum ut dictum massa. Aenean tempor pulvinar nunc, sed aliquet ipsum laoreet lobortis. Morbi ullamcorper posuere ligula ac varius.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '46', '46', 'en', '0', '<div id="lipsum"><p>Sed metus lectus, rutrum id volutpat nec, aliquet sed lacus. Sed pulvinar tempus odio non lacinia. In hac habitasse platea dictumst. Donec non lectus blandit, placerat enim id, ultrices turpis. Quisque posuere ornare eros sed euismod. Aenean posuere purus nibh, ut fermentum arcu rhoncus sit amet. Suspendisse eu elementum nisl. Donec sed dolor ac mi cursus rhoncus sit amet id ante. Etiam euismod ante vitae massa congue finibus et vel lectus. Quisque massa nulla, finibus quis iaculis nec, dignissim ac libero.</p><p>Pellentesque ac viverra velit. Phasellus justo justo, placerat sit amet augue commodo, vestibulum maximus nisl. Nullam auctor vel libero vitae blandit. Nulla lectus tortor, dictum a mattis in, blandit ut magna. Donec laoreet pellentesque leo id feugiat. Nullam faucibus eros ac accumsan interdum. Maecenas id blandit mauris, non congue est. In blandit id justo id tincidunt. Mauris vitae quam nec magna lacinia molestie id quis mauris. Nunc vehicula arcu a purus venenatis, vitae placerat ante aliquet.</p><p>Curabitur ac nisl lacinia mi vulputate pretium et sit amet risus. Cras eget mattis lacus. Aliquam erat volutpat. Sed fringilla nisl non justo tincidunt sodales. Nullam at elit ullamcorper ipsum iaculis varius eu vel nisi. Pellentesque volutpat lacus id mollis sodales. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum maximus ut metus a efficitur. Nunc ut lacus sed augue elementum rutrum quis ac enim. Pellentesque bibendum, tellus quis facilisis scelerisque, enim justo aliquet quam, sed rhoncus purus nibh ut enim. Sed euismod turpis velit, eget fermentum risus euismod at. Donec ac purus dolor. In tincidunt tempor auctor. Maecenas massa erat, lacinia nec pretium vel, vulputate eu nisl. Proin eu pharetra lorem.</p></div>', '', 'filtered_html'),
('node', 'slide', '0', '47', '47', 'en', '0', 'Aliquam dapibus vestibulum malesuada. Mauris blandit efficitur scelerisque. Morbi suscipit euismod tellus vitae rutrum. Vestibulum ornare imperdiet tortor, ut fermentum justo venenatis id. Nunc blandit hendrerit malesuada. Curabitur non sollicitudin mauris, nec tincidunt ligula. Maecenas a tellus non metus commodo ultrices eget in justo. Pellentesque quis nibh vel erat facilisis gravida eget id elit. Fusce at consequat neque. Suspendisse ipsum est, dignissim nec sagittis sit amet, commodo id justo. Duis eget risus justo. Cras suscipit nulla lacus, eu imperdiet mauris vehicula sed.\r\n\r\nSed ornare sit amet nulla ut ornare. In maximus eros purus, et placerat augue blandit nec. Nullam vel lobortis orci. In tortor nibh, sodales non bibendum id, euismod vel diam. Donec ultrices egestas nisi, ut hendrerit sem placerat a. Fusce turpis nisi, malesuada sit amet tincidunt a, pellentesque ut nisi. Morbi tristique dapibus dapibus. Aenean vestibulum finibus luctus. Aliquam erat volutpat. Ut tincidunt, sapien ac aliquam iaculis, orci erat euismod leo, ut vulputate lorem odio ut elit.\r\n\r\nDonec sed accumsan magna. Proin laoreet, odio a suscipit faucibus, velit lectus malesuada nibh, a vulputate sapien justo sit amet velit. Quisque mollis ipsum non leo dapibus aliquam. Morbi pharetra nisl in metus rutrum tincidunt. Donec suscipit nulla risus, non mollis orci fermentum dictum. Nam facilisis luctus velit in gravida. Etiam non pretium libero, faucibus scelerisque urna. Aenean eget pulvinar ipsum. Suspendisse quis nunc risus. Quisque ante nunc, varius a lacus quis, consectetur convallis est. ', 'Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna.', 'full_html'),
('node', 'slide', '0', '50', '50', 'en', '0', 'Donec iaculis lacus tincidunt, sodales nisl sed, ultricies risus. Nulla ac risus ex. Integer fringilla felis quis ullamcorper eleifend. In rutrum ultricies arcu eu scelerisque. Nunc vehicula diam id magna interdum, ac aliquet ipsum fermentum. Ut ac orci porttitor tortor varius tincidunt nec in massa. Vestibulum nisl nibh, rutrum at ipsum quis, viverra vulputate erat. Sed tincidunt hendrerit tellus, molestie sodales urna convallis sit amet. Nam eu sodales mauris. Proin diam diam, porta at cursus nec, convallis in metus. Donec elementum ligula luctus ligula rutrum sagittis. Nulla aliquet orci non mollis elementum. Ut a ipsum blandit, hendrerit erat ac, convallis dolor. Morbi ornare eleifend est, ac condimentum sapien volutpat id. Curabitur quis tortor sagittis, porttitor libero eu, scelerisque ligula.\r\n\r\nVestibulum posuere hendrerit ipsum id malesuada. Pellentesque eu nisi facilisis, convallis libero non, efficitur mi. Etiam arcu magna, rutrum sed faucibus vel, faucibus a quam. Nulla facilisi. Donec vulputate ante suscipit nulla mattis ultricies. Etiam vulputate varius commodo. Donec in mollis nisi. Nunc blandit luctus velit sed fermentum. Mauris mattis id dolor a dignissim. Fusce est purus, consequat in dui vel, convallis auctor odio. Nullam tristique maximus finibus. Etiam aliquam justo nec ligula iaculis accumsan. Curabitur feugiat ex vitae vestibulum ultrices. Sed vitae mi tellus. Aliquam ut iaculis metus.\r\n\r\nDonec at tincidunt velit. Curabitur malesuada quam in pellentesque blandit. Aliquam euismod est at orci maximus, et consectetur metus aliquet. Nulla efficitur quam ut dui scelerisque, non tempus libero aliquam. Pellentesque condimentum, tortor ac consectetur mattis, turpis velit accumsan eros, et scelerisque libero justo vitae elit. Nunc lacinia est eget nulla blandit maximus. Vestibulum id turpis id metus ultricies egestas sed eget nulla. Vivamus semper maximus dolor ac sollicitudin. Nunc euismod malesuada arcu, a consectetur odio ultricies et. Donec magna purus, ornare quis vulputate nec, dignissim at velit. Nulla iaculis turpis tellus, nec pellentesque sem rhoncus a. Nunc ac erat eu mi aliquet sagittis. Etiam sed tortor lectus. ', '', 'full_html'),
('node', 'project', '0', '52', '52', 'en', '0', 'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec tempor sit amet odio et efficitur. Cras ut ornare massa, in imperdiet turpis. Fusce facilisis nec ex quis vehicula. Curabitur commodo rutrum malesuada. Aliquam at orci eget metus varius rhoncus a a velit. Phasellus tristique blandit est, vitae aliquam magna pharetra sed. Morbi ultricies, nulla vel efficitur faucibus, leo metus tincidunt leo, id mattis est purus vel ipsum. Suspendisse semper odio ut malesuada interdum. Proin semper venenatis nisi, eu malesuada tellus sollicitudin sodales.\r\n\r\nDuis ultrices ante at odio molestie fermentum. Aenean ipsum leo, molestie non ullamcorper ut, condimentum ultrices lectus. In eget vehicula lectus. Morbi felis arcu, mattis at turpis eu, sagittis feugiat risus. Aenean finibus sollicitudin turpis ac sollicitudin. Cras id elementum metus, a malesuada orci. Sed aliquam, est ut tincidunt condimentum, tortor erat gravida justo, ultrices pharetra odio erat quis tortor. Proin sem dui, porttitor non ante nec, tempus mattis eros. Integer et nulla iaculis, porttitor tortor eget, hendrerit ipsum. Cras nec neque odio. Mauris at dictum eros, porttitor suscipit leo. Praesent quis arcu pretium, porta dui eu, vulputate nisi. Aenean sed euismod eros, rutrum sodales ligula. In bibendum porta neque, vel pulvinar nunc hendrerit ac. Fusce sollicitudin ultricies nulla quis mollis.\r\n\r\nNam non elit faucibus, gravida justo eget, egestas dolor. Vestibulum vel tristique tellus. Nam imperdiet odio quis venenatis egestas. Fusce sed quam nec mi congue dapibus. Vestibulum rutrum ipsum felis, a volutpat ipsum varius et. Ut eu posuere ligula. Donec varius cursus convallis. Sed ornare, sapien et tincidunt efficitur, eros risus aliquet magna, a scelerisque enim mauris vel elit. Maecenas magna arcu, semper vel justo eu, maximus congue elit. In vehicula nulla at lacinia euismod. Cras vulputate, mauris vel rutrum cursus, mi ante tincidunt nisl, ut vestibulum libero lectus et mauris. Nullam dictum, sapien ac accumsan bibendum, justo urna porttitor felis, sit amet molestie diam nisi vitae orci. Mauris sit amet purus augue. Integer sodales commodo efficitur. Praesent ullamcorper quam non nisi vestibulum, ac gravida quam molestie. ', '', 'full_html'),
('node', 'project', '0', '53', '53', 'en', '0', 'Aenean volutpat quis urna nec commodo. Mauris vulputate urna facilisis fermentum sagittis. Fusce tincidunt interdum neque et dapibus. Mauris nisl est, gravida sodales lacinia ac, vulputate et ligula. Nunc id suscipit nunc. Proin dictum tincidunt risus, sed bibendum sem volutpat dictum. Morbi et volutpat mi.\r\n\r\nDuis aliquam tellus at mollis luctus. Cras molestie odio vitae volutpat sodales. Proin auctor egestas libero, lacinia vehicula odio pellentesque quis. Proin sed dui ut purus finibus dignissim id eu massa. Mauris dapibus eu justo sed volutpat. Ut dignissim nisl nec urna luctus, quis porttitor est ultricies. Sed tristique dolor eu risus consectetur feugiat.\r\n\r\nProin ut dui nunc. Nullam felis velit, fringilla commodo augue id, imperdiet feugiat dui. Aliquam sit amet lobortis erat. Quisque non lectus ut ante tristique euismod. Phasellus ultricies magna eget quam venenatis condimentum. In vehicula urna vel dui imperdiet sollicitudin. Etiam ac nisl sed justo iaculis condimentum sit amet id mi. In luctus sapien quis nulla tincidunt tristique ac quis arcu. Aliquam ligula nisl, semper varius eleifend ut, commodo laoreet massa. Etiam elementum rhoncus enim varius ultrices. Mauris at lorem consequat, pharetra ex at, mollis massa. Vivamus scelerisque arcu semper ligula aliquam, gravida eleifend enim dignissim. Integer aliquam eleifend diam, ut malesuada ipsum commodo et. Phasellus erat justo, euismod vitae volutpat nec, mattis sit amet magna. Sed quis interdum leo, at suscipit felis. Mauris tellus turpis, gravida ac tincidunt vitae, imperdiet id lacus. ', '', 'full_html'),
('node', 'project', '0', '54', '54', 'en', '0', 'Aliquam quis augue mauris. Pellentesque ipsum lectus, ultricies quis congue id, aliquet vitae nulla. Vestibulum semper iaculis egestas. Nunc vel gravida metus. Nulla posuere vestibulum ipsum sed eleifend. Nulla bibendum risus euismod, interdum massa at, consectetur ex. Duis sem sem, convallis eu erat eu, elementum lobortis augue. Vivamus tincidunt ipsum et nisi malesuada ultrices. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam sodales pulvinar nisl sit amet elementum. Aliquam feugiat nec massa quis efficitur. Phasellus pretium dolor velit, a dignissim quam cursus at. Fusce id libero consectetur, pharetra felis in, consectetur enim.\r\n\r\nMaecenas condimentum risus vel est imperdiet, ac pellentesque nulla gravida. Nulla vulputate, lectus sed tristique aliquam, sapien lacus cursus ex, vel rutrum ipsum libero eget elit. Aenean aliquet pharetra tincidunt. Vivamus sit amet eros ipsum. Nulla eleifend ullamcorper laoreet. Quisque dapibus porttitor elit id tempus. Praesent ultrices leo at nibh dapibus, in venenatis magna tincidunt. Maecenas lacinia suscipit enim, ut condimentum sem luctus sed. Proin nisl mauris, tempor et tellus eget, venenatis fringilla felis. Donec vel lectus quis mi commodo semper. Quisque id vehicula libero. Pellentesque laoreet velit diam, eget dapibus urna vestibulum sed. Nam venenatis fringilla volutpat.\r\n\r\nVestibulum fermentum nulla id sem bibendum venenatis. Fusce nec convallis dui. Etiam eget hendrerit purus. Integer tempor ultricies felis, nec luctus nibh semper rhoncus. In nec diam eu quam cursus mollis. Cras varius a tortor vitae convallis. Praesent gravida ligula at lectus ornare, vel commodo odio lobortis. Sed lobortis sapien et odio semper ultrices. Aliquam rhoncus sapien ac nunc imperdiet, non dapibus nisi gravida. Curabitur sed venenatis elit, quis ultrices metus. ', '', 'full_html'),
('node', 'project', '0', '55', '55', 'en', '0', 'Mauris mollis ac mauris sit amet tincidunt. Integer molestie, neque et elementum ornare, erat magna accumsan ipsum, ut malesuada arcu lectus id leo. Duis hendrerit tincidunt nisi, vel fermentum augue molestie in. Vivamus non laoreet mi. Aenean feugiat aliquam arcu sit amet rhoncus. Donec at mi nulla. Maecenas convallis vehicula nisl, non lacinia mauris tempor a. Quisque porttitor nisi ut dui malesuada mollis. Pellentesque tristique est at nunc tincidunt porttitor.\r\n\r\nVestibulum elit turpis, lobortis hendrerit felis ut, ultrices eleifend nunc. Vivamus ac suscipit quam, non sagittis nisi. Phasellus lacinia tortor in ultricies eleifend. Sed id elit ut tellus ultrices congue sed eu ante. Vestibulum viverra mauris eget imperdiet euismod. Donec eu facilisis neque, et consequat ante. Praesent hendrerit nunc lacus, id aliquet nisl sollicitudin non. Nam porta urna nunc, vitae efficitur orci efficitur et. Ut faucibus fermentum est, id tempor lectus pulvinar a. Nullam rhoncus, sem nec ultrices pharetra, justo turpis fermentum risus, non ultricies justo nulla at lacus. Integer vitae lectus cursus massa aliquet egestas. Sed nec porta elit. Sed imperdiet sem augue, vel auctor lacus pellentesque eget.\r\n\r\nNunc bibendum nisl sed turpis iaculis dictum. Donec ut lorem libero. Nullam congue condimentum maximus. Donec rutrum libero non ligula fermentum cursus. Pellentesque at varius eros. Praesent vehicula at nibh nec finibus. Suspendisse at porttitor justo. In rutrum velit metus, ut congue nisi pretium ac. Etiam suscipit est ut enim aliquam euismod. Duis aliquam, massa sit amet lobortis luctus, dui felis imperdiet justo, vel tempus sem massa eget orci. ', '', 'full_html'),
('node', 'project', '0', '56', '56', 'en', '0', 'Suspendisse potenti. Proin vulputate massa at porttitor aliquet. Sed ex arcu, porta vitae efficitur quis, porttitor vitae quam. Mauris vel massa orci. Quisque in ullamcorper turpis, vitae lobortis ligula. Curabitur pretium, turpis a vestibulum viverra, velit leo porta enim, imperdiet auctor lectus magna non turpis. Proin eu sapien scelerisque, efficitur elit quis, dictum nisl. Pellentesque cursus, urna sit amet semper pretium, felis ligula molestie metus, a sagittis ligula nisi id felis. Nullam tincidunt ut arcu eget feugiat. Duis non arcu orci.\r\n\r\nSed at dolor semper ligula volutpat consequat. Nam facilisis tempor libero, vel pretium leo dignissim at. In et ex ac velit volutpat placerat. Vivamus elementum massa at neque lacinia, ac blandit urna sollicitudin. Nullam semper dolor non turpis faucibus, tincidunt viverra erat tincidunt. Nunc eget eleifend sem. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam volutpat lacinia quam, id pretium libero condimentum et. Quisque diam velit, tincidunt a sodales ut, scelerisque nec dui. Morbi vel vehicula ligula. Cras vel magna sed urna placerat euismod. Sed massa dolor, pellentesque vitae interdum sed, venenatis vitae metus. Duis a velit vulputate, pulvinar diam id, consequat dolor. Proin tincidunt augue non ullamcorper pulvinar. Maecenas massa ligula, mollis mollis massa at, lacinia suscipit justo. Sed molestie quam ac neque euismod, quis tempus neque faucibus.\r\n\r\nDonec molestie lobortis ex, in consequat justo iaculis vitae. Donec rutrum felis in pulvinar sagittis. Donec condimentum, massa eu imperdiet aliquam, dolor magna tincidunt est, quis posuere turpis libero ut mauris. Morbi condimentum consectetur ipsum sit amet sagittis. Phasellus cursus, sapien at bibendum accumsan, lectus felis sodales libero, a egestas nulla sapien a nisl. Phasellus eget magna lectus. Donec sit amet molestie diam. Nulla id arcu sit amet nisi iaculis tincidunt. Nam sodales in nibh tristique imperdiet. Vivamus dignissim varius erat, vitae placerat dui consequat fringilla. Mauris id tellus magna. Mauris sit amet mollis lectus. Maecenas pulvinar tincidunt dignissim. Ut a mollis urna. ', '', 'full_html'),
('node', 'project', '0', '57', '57', 'en', '0', 'Nunc semper pretium ornare. Pellentesque tristique, nisi vel mattis lobortis, justo nisl efficitur odio, ac euismod dolor lorem at urna. Aenean quis erat in nulla tincidunt porttitor vitae vitae urna. Vestibulum sodales congue est non lobortis. Sed suscipit eu magna in elementum. Aliquam maximus est quis faucibus tempus. Maecenas condimentum dui leo, posuere sagittis massa gravida ac.\r\n\r\nPhasellus augue velit, malesuada non urna in, consequat bibendum tellus. Fusce vitae mauris nunc. Aliquam rhoncus ligula tellus, nec maximus sem consectetur at. Duis a justo lorem. Proin pellentesque eu orci et feugiat. Phasellus non felis turpis. Nulla facilisi.\r\n\r\nQuisque viverra suscipit est, id venenatis est faucibus quis. Mauris at ex augue. Donec in eleifend nisl, eget feugiat dui. Maecenas ac neque rutrum, porta nunc eu, aliquam leo. Nam sagittis dolor diam, porta sagittis purus viverra sit amet. Vivamus maximus rhoncus diam, ut consectetur tellus faucibus vitae. Fusce scelerisque sagittis enim nec interdum. Maecenas et massa laoreet, bibendum nibh quis, venenatis est. Aliquam ornare, nulla sed blandit mollis, dui nisl cursus ligula, id pretium leo quam et ante. Morbi faucibus, enim non tempor tincidunt, urna tellus consequat turpis, ut egestas velit erat ac augue. Aenean mattis eget diam at auctor. Duis vel accumsan erat. Vestibulum vel eros et ipsum fermentum vulputate non ut mauris. ', '', 'full_html'),
('node', 'project', '0', '58', '58', 'en', '0', 'In placerat ultrices arcu, sed dapibus nisi sagittis at. Donec magna odio, elementum vitae sem ut, cursus ultricies erat. Fusce consequat ligula in felis tempus bibendum. Integer nec felis erat. Vivamus vitae justo eros. Pellentesque sodales viverra ante, ac porta enim venenatis ut. Praesent quis aliquam lacus. Maecenas id maximus erat. Fusce et tellus sem.\r\n\r\nQuisque mattis risus at congue ullamcorper. Vivamus vehicula porta augue nec convallis. Nam magna augue, mollis nec tincidunt sit amet, vehicula sed ipsum. Aenean lectus orci, tincidunt nec nisi eget, imperdiet convallis nibh. Quisque a nibh nec massa sagittis imperdiet. Nunc ipsum nisi, venenatis egestas rutrum id, varius ac ante. Proin mollis at arcu et ultrices.\r\n\r\nSed interdum aliquet ornare. Integer tincidunt felis eu magna ultrices pellentesque. Curabitur vitae libero et nisl interdum sodales ut at nisi. Mauris urna metus, pretium at nulla in, elementum congue magna. Nunc id dapibus sapien. Nulla suscipit quis quam eu bibendum. Proin fringilla magna risus, vel interdum elit posuere nec. Nulla facilisi. Aliquam sed felis tincidunt, rutrum sem id, ultrices nisl. Curabitur ultrices nisl vitae magna pharetra, eu pellentesque ligula consectetur. In efficitur, dui et aliquet vestibulum, tortor sapien euismod arcu, vel convallis lorem elit sed ipsum. Proin metus quam, egestas sed augue eget, malesuada vulputate lacus. Ut eleifend commodo dui sit amet rutrum. Maecenas vel lobortis libero. Integer euismod turpis sodales commodo cursus. ', '', 'full_html'),
('node', 'employee', '0', '65', '65', 'en', '0', 'Praesent sed congue ante. Nullam ligula justo, consectetur nec mauris nec, aliquam elementum tortor. Integer libero tellus, iaculis a urna ac, cursus consectetur mauris. In ut feugiat leo. Aliquam erat volutpat. Nunc at nulla non nisl tempor varius nec nec ex. Donec eu hendrerit nulla, non dignissim justo. Nam tellus erat, gravida egestas sem sit amet, vulputate dapibus ligula. Maecenas blandit dictum odio vitae vestibulum.\r\n\r\nMorbi sapien erat, tristique id tellus nec, aliquet gravida erat. Ut sed diam non lacus ullamcorper bibendum sit amet in elit. Ut dui sapien, cursus quis viverra et, tempus sed erat. Donec sit amet bibendum arcu. Fusce pellentesque lorem enim, at pellentesque leo ultricies ultrices. Quisque sit amet urna finibus lacus placerat efficitur sed id nisl. Nam convallis rutrum sapien nec iaculis. Fusce placerat finibus sapien.\r\n\r\nVestibulum vel lectus purus. Sed sed metus ac magna facilisis varius sed consectetur lorem. Donec mauris neque, laoreet nec velit eu, scelerisque egestas orci. Nullam imperdiet tristique elit, nec porta urna placerat non. Vivamus vel eros quis neque tristique consectetur ut vitae turpis. Etiam posuere lacus dictum rutrum congue. Donec vulputate ante erat. In tincidunt luctus neque, et mollis erat ultrices in. Mauris sit amet tortor nec leo gravida scelerisque id ut diam. Integer fringilla lobortis porttitor. ', '', 'full_html'),
('node', 'employee', '0', '67', '67', 'en', '0', 'In eget erat sit amet ligula fermentum scelerisque. Donec pulvinar mi nec turpis fermentum, vitae aliquam sapien tincidunt. Fusce vitae urna suscipit, faucibus mi ullamcorper, facilisis purus. Proin fringilla mauris ac nibh dapibus scelerisque. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed mauris enim, ultrices vel faucibus sit amet, semper nec lectus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Fusce tellus magna, sagittis ut velit eu, pulvinar gravida nisi. Suspendisse eu accumsan risus. Pellentesque faucibus, velit aliquet facilisis volutpat, ante lectus scelerisque elit, et elementum est magna id nibh. Pellentesque metus sem, eleifend id lacinia sed, accumsan eu libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed sed pretium dui. Nulla facilisi. Praesent nec arcu sit amet nisl convallis semper.\r\n\r\nMorbi finibus odio a orci tincidunt consectetur. Donec ac luctus tellus. Nunc dictum placerat turpis non egestas. Curabitur placerat eu mi ut ultricies. Suspendisse sit amet dui vestibulum dui scelerisque ultricies. Quisque et euismod orci, vel aliquet lacus. Quisque id ornare sem. Nulla scelerisque ante in justo scelerisque tincidunt. Morbi convallis et libero ut tincidunt. Curabitur in dignissim tortor, sit amet tempor nibh. Sed volutpat turpis nulla, id scelerisque arcu volutpat vel. Duis at mauris molestie, iaculis ante eget, vehicula lorem.\r\n\r\nProin dolor tortor, volutpat pharetra placerat et, pharetra vel leo. Proin sollicitudin arcu venenatis turpis finibus, at aliquam mauris fermentum. Quisque eget erat eu magna tempor sollicitudin. Curabitur arcu neque, malesuada et feugiat quis, sodales nec quam. Nulla nec urna luctus, blandit magna non, aliquet tortor. Proin et eros orci. Sed nec ante sit amet metus consectetur aliquet non non risus. Mauris facilisis dictum libero, eu efficitur ex maximus in. Pellentesque sagittis sem ipsum, vel dictum justo euismod eget. Proin venenatis leo orci, vel accumsan mauris fermentum quis. Etiam in ornare elit. Donec ut turpis neque. ', '', 'full_html'),
('node', 'employee', '0', '68', '68', 'en', '0', 'Duis luctus quam eu tellus commodo, eu pretium felis egestas. Ut justo nunc, luctus eget venenatis et, lacinia ultrices metus. Etiam ut tempus elit. Suspendisse aliquam tortor et magna interdum bibendum. Praesent quis tellus ut diam auctor hendrerit. Nam cursus diam vitae volutpat ullamcorper. Fusce mattis, magna ac consectetur lobortis, ex est convallis felis, et tincidunt turpis ante nec tellus. Nam eget risus viverra, imperdiet neque sit amet, lacinia magna.\r\n\r\nCurabitur arcu ligula, tincidunt ac lacinia eget, porttitor non magna. Nullam scelerisque leo eu tempor pretium. Quisque lorem nibh, mattis sodales tempor sed, pharetra a magna. Integer odio ex, pulvinar eget sem eu, consequat mattis nisl. Nam cursus pharetra diam eu molestie. Etiam quis nibh ipsum. Cras suscipit ultricies arcu ut blandit. Donec fringilla faucibus justo, non consequat lorem posuere sit amet. Maecenas in justo ut mi cursus varius ac nec magna. Suspendisse vestibulum accumsan purus, at pharetra lorem hendrerit sed. Vivamus in molestie mi, ut feugiat magna. Mauris malesuada eu arcu ac hendrerit. Donec sed tortor ullamcorper, iaculis dui id, pellentesque velit. Nulla ac erat mi.\r\n\r\nMauris facilisis sem in sapien luctus, quis maximus leo pulvinar. Suspendisse a pretium odio, faucibus sodales odio. Donec hendrerit fermentum libero, et elementum mauris malesuada sed. Proin eget feugiat velit. Donec ut ante lacus. Proin finibus, dolor eu varius viverra, augue risus pellentesque nunc, a viverra urna lacus in nunc. Donec vestibulum viverra velit a consequat. ', '', 'full_html'),
('node', 'employee', '0', '69', '69', 'en', '0', 'Donec mollis turpis felis. Sed vitae purus quis turpis pellentesque facilisis. Ut euismod magna consectetur placerat convallis. Phasellus mi sem, laoreet consectetur ultricies a, lobortis sed libero. Vestibulum a feugiat risus. Morbi et ante urna. Etiam suscipit purus lectus, sit amet bibendum arcu vestibulum quis.\r\n\r\nInteger libero orci, vulputate vel molestie vel, dictum tincidunt quam. Donec non convallis libero. Ut bibendum commodo mattis. Maecenas vestibulum vestibulum turpis id dictum. Sed eleifend odio eu volutpat sollicitudin. Mauris ornare libero et pharetra viverra. Aliquam erat volutpat.\r\n\r\nCurabitur nisi elit, dictum non purus id, interdum rutrum velit. Pellentesque metus nunc, cursus eu nulla et, pulvinar suscipit nibh. Nam vitae libero laoreet, euismod elit eu, ullamcorper tortor. Phasellus commodo eros quis molestie mollis. In aliquam gravida nisl, non rutrum leo laoreet eu. Aliquam erat volutpat. In vel suscipit nisl. ', '', 'full_html'),
('node', 'employee', '0', '71', '71', 'en', '0', 'Curabitur eget tincidunt tellus, sit amet volutpat ex. Sed elementum, enim sed posuere ornare, augue felis porttitor lorem, quis semper erat neque non diam. Nullam tempor purus non libero dignissim, a maximus quam vehicula. Sed vitae semper tortor. Nulla eu malesuada risus. Suspendisse dapibus venenatis est vitae euismod. Suspendisse mollis nec lacus eu congue. Duis sit amet ex in dolor maximus vestibulum. Maecenas non nibh id dolor aliquam commodo vel eget turpis.\r\n\r\nIn pretium ex nunc, sed congue ante dignissim in. Sed sollicitudin luctus vulputate. Sed a posuere velit, nec porta nulla. Donec tincidunt purus nec metus aliquam ultricies. Phasellus ac faucibus mauris. Nunc feugiat enim id placerat ornare. Sed ultricies pellentesque magna vel vehicula. Nam eget ligula maximus, varius mi eget, efficitur libero. Donec efficitur vitae libero eu varius. Praesent a erat turpis. Phasellus sed porttitor urna. Fusce blandit lacus sed libero euismod, ac porttitor nulla sodales. Nulla facilisi. Nulla porta sed leo eget malesuada. Duis eu tortor nibh. Vestibulum orci nulla, accumsan ullamcorper egestas congue, malesuada vitae nunc.\r\n\r\nProin convallis et nunc ac mattis. Aenean maximus dolor ligula, sit amet mattis enim condimentum pretium. Aliquam erat volutpat. Nam aliquet dictum tellus eget commodo. Etiam quis leo in augue lacinia sagittis. Morbi semper mauris ac libero dictum dignissim. Curabitur purus augue, fringilla mollis diam eu, finibus viverra dolor. Donec tempor eu nulla malesuada cursus. Sed tempor suscipit ex a hendrerit. Mauris id pharetra nunc. Etiam facilisis eu dolor vitae facilisis. Vestibulum pharetra mollis urna, nec varius enim hendrerit in. Donec vitae ex sed elit dignissim pharetra. ', '', 'full_html'),
('node', 'employee', '0', '73', '73', 'en', '0', 'Integer quis maximus nibh. Aliquam maximus accumsan velit, ac bibendum ipsum elementum ac. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus ante ligula, pretium eu lacinia imperdiet, dictum nec dolor. Aenean interdum consectetur enim eu venenatis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi feugiat, augue nec fermentum ultricies, arcu leo tempor leo, id blandit tellus erat et orci. Donec auctor eget orci id blandit. Vestibulum dui enim, vestibulum et enim eget, pretium posuere lorem. Integer eu nisi vitae felis gravida tincidunt et sed nisl. Donec et rhoncus ligula, id pellentesque nunc.\r\n\r\nVestibulum eget diam luctus tellus consequat commodo ac nec enim. Nulla eros quam, dictum eu justo ac, scelerisque gravida diam. Vestibulum et ligula non nibh vehicula commodo vel id lacus. Nam in nisi nunc. Ut a metus eget augue eleifend feugiat. Phasellus et consectetur nunc. Vivamus sit amet sagittis libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam libero metus, scelerisque eu nisi vitae, luctus dignissim metus. Vestibulum porta aliquet enim sit amet ultricies. Ut placerat finibus turpis. Mauris ut fringilla lectus. Vestibulum vitae efficitur felis, tristique dictum odio. Donec ultrices turpis ac neque gravida iaculis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce sem eros, dapibus nec pulvinar sit amet, sodales eu lectus.\r\n\r\nEtiam viverra ante sed eros fermentum pellentesque in eget mauris. Aliquam erat volutpat. Vivamus posuere maximus quam feugiat venenatis. Vivamus a pulvinar velit. Morbi eu mattis lacus. Fusce finibus sodales nunc quis varius. Cras pretium vulputate nisl. Aliquam rhoncus, orci ac pellentesque ultrices, sapien sem porttitor magna, ut rhoncus leo libero et arcu. Morbi luctus vehicula vulputate. Suspendisse viverra metus vel tortor mollis eleifend. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed diam eros, eleifend vel tortor id, pulvinar tristique mi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. ', '', 'full_html'),
('node', 'project', '0', '82', '82', 'en', '0', 'Vestibulum a dui vitae tellus scelerisque mattis. Suspendisse velit ipsum, faucibus ut lacus non, vehicula efficitur felis. Pellentesque consequat blandit nisi. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi eu posuere lectus. Nam semper id mi quis blandit. Nulla sit amet leo eget nisi dictum cursus. Vestibulum malesuada interdum arcu sit amet malesuada. Phasellus velit tellus, porttitor feugiat finibus in, sollicitudin vitae tortor. Aliquam a turpis placerat, aliquet ante sit amet, sagittis tortor.\r\n\r\nDonec ac urna gravida, pellentesque mi sit amet, dictum tortor. Mauris tempus rutrum sapien. Donec nulla erat, laoreet ut odio quis, laoreet tincidunt arcu. Morbi non est elit. Praesent sit amet auctor augue. Ut et ipsum ex. Phasellus congue nibh at risus venenatis, eu luctus metus semper. Nulla nec fringilla nisi, sed placerat sapien. Curabitur eget tincidunt libero.\r\n\r\nPraesent quis nunc sodales, rutrum mauris vel, fringilla augue. In vehicula id erat eleifend finibus. Mauris aliquam enim ligula, ac tempor felis placerat et. Cras porttitor odio vel ex dapibus, et porta tellus consequat. Sed vel nisi sit amet dui facilisis viverra eu eu quam. Vestibulum vestibulum feugiat nisi ac laoreet. Donec vitae augue ut sem vehicula tincidunt. Nulla nec augue tempor, blandit ipsum nec, mattis enim. Integer efficitur arcu nec mauris placerat finibus. Duis quis odio ut diam condimentum semper. ', '', 'full_html'),
('node', 'article', '0', '83', '83', 'en', '0', 'In et arcu at dolor efficitur eleifend eget ac justo. Pellentesque non ex aliquam, aliquet orci eget, venenatis orci. Fusce sit amet facilisis metus. Suspendisse potenti. Vestibulum pellentesque massa sed felis fermentum elementum. Maecenas elementum justo felis, non molestie sapien tristique non. Mauris eu fringilla ligula, nec auctor justo. Vivamus justo velit, sodales nec felis vel, accumsan aliquet leo. Cras quis lectus neque. Donec ultrices posuere enim, nec varius enim suscipit ut. Praesent tincidunt libero non pretium commodo.\r\n\r\nProin a arcu aliquam, pretium urna tincidunt, pellentesque turpis. Nullam scelerisque lacus et egestas efficitur. Maecenas facilisis fringilla quam imperdiet eleifend. Nulla facilisi. Maecenas auctor a purus at hendrerit. Vestibulum nunc ligula, molestie vitae tortor at, facilisis vehicula lacus. Vestibulum tincidunt justo in felis ullamcorper facilisis. Pellentesque eget justo eu risus auctor gravida. Nunc tempor vestibulum enim ac porttitor. Aliquam faucibus est nec felis malesuada aliquet.\r\n\r\nDonec pretium libero velit, accumsan malesuada nunc viverra et. Sed vitae interdum leo, et scelerisque ex. Phasellus hendrerit finibus purus, sed porttitor arcu varius lacinia. Donec bibendum ex nibh, vitae pharetra lorem vulputate quis. Ut leo ligula, elementum nec consequat id, tempus eu sem. Nullam non sem tincidunt justo tempus tempus sagittis auctor nunc. Donec tincidunt aliquet metus id congue. Donec dignissim, ipsum ornare condimentum volutpat, eros nulla consectetur magna, et laoreet mauris orci in ipsum. Sed tempus neque at ante hendrerit aliquam. Etiam varius odio sit amet sodales gravida. Sed bibendum tortor ut diam laoreet pharetra. ', '', 'full_html'),
('node', 'testimonial', '0', '84', '84', 'en', '0', 'Proin ut dignissim ex. Quisque rhoncus, massa vitae vehicula ornare, dui nisi pulvinar nisl, ac malesuada mi lectus pretium nisi. In sit amet neque gravida, consectetur felis sit amet, luctus ex. Phasellus commodo efficitur consectetur. Cras porta fermentum est quis sodales. Maecenas vehicula, dolor molestie dignissim auctor, lacus turpis ultrices odio, aliquam cursus odio felis id dui. Nunc condimentum fermentum ex, ut malesuada justo efficitur porta. Morbi at ex eget est aliquam viverra. In id neque massa.\r\n\r\nNam urna urna, ornare a justo eget, convallis rutrum urna. Etiam maximus nisi vitae lacus facilisis, sed facilisis ligula dignissim. Fusce eu nibh sem. Curabitur eros ipsum, cursus sit amet rhoncus ut, condimentum non arcu. Vestibulum faucibus gravida volutpat. Vivamus ac mollis quam. Nam tincidunt lorem venenatis, dictum tellus sed, tincidunt eros. Nulla interdum viverra varius.\r\n\r\nVivamus aliquet diam vel quam facilisis ornare. Morbi id maximus est. Donec sagittis quam a mi volutpat tincidunt non vitae elit. Quisque sit amet lacus ut risus convallis convallis sit amet sed erat. Nam est lectus, rhoncus ac venenatis in, imperdiet ut eros. Curabitur molestie mattis lectus et rhoncus. Phasellus sollicitudin turpis quis lectus fermentum, eu vulputate est hendrerit. Praesent sed consectetur dolor. Sed sollicitudin lacus eu purus semper, in scelerisque mi condimentum. ', '', 'full_html');
INSERT INTO `field_data_body` VALUES
('node', 'testimonial', '0', '85', '85', 'en', '0', 'Ut mollis bibendum molestie. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas vitae leo ultricies, volutpat odio nec, fringilla ex. Donec aliquet nisl in fermentum pellentesque. Proin eget nisl nulla. Duis eu semper tortor. Praesent hendrerit dapibus lectus, ut dignissim massa interdum consequat. Sed ac enim nisl. Duis malesuada varius libero ut pretium. Nam vehicula malesuada enim et tincidunt.\r\n\r\nProin facilisis molestie elit, eu iaculis sem dapibus blandit. Vestibulum hendrerit, velit lacinia interdum ultrices, ipsum massa facilisis massa, quis tincidunt ante dolor ut enim. Integer pellentesque justo et turpis dignissim dictum. Fusce scelerisque, dolor ac sollicitudin facilisis, sapien lacus iaculis purus, a efficitur dui augue vel arcu. Mauris dictum eget nibh suscipit ultricies. Nullam et pharetra tellus. Quisque non dui ut orci lobortis efficitur ut non est. Etiam vitae lectus ut turpis pharetra imperdiet in et nunc. Pellentesque aliquet tortor quis ullamcorper dictum.\r\n\r\nVestibulum odio risus, tincidunt in semper vitae, eleifend eu purus. Suspendisse vulputate sit amet dui id hendrerit. Donec pharetra interdum diam ut venenatis. Morbi ullamcorper placerat leo, et ultrices arcu egestas a. Morbi placerat egestas faucibus. In nulla dolor, aliquam eu massa sed, egestas blandit felis. Ut nisl augue, cursus nec mi vitae, luctus hendrerit dui. Vivamus aliquet tristique lectus, luctus imperdiet leo malesuada ac. ', '', 'full_html'),
('node', 'testimonial', '0', '86', '86', 'en', '0', 'Quisque egestas condimentum magna condimentum tempor. Vestibulum sodales, nisi nec molestie vestibulum, sem dui cursus odio, non blandit purus nibh vitae tellus. Vestibulum rhoncus, justo eget eleifend dapibus, felis felis maximus diam, sed auctor nulla ligula a quam. Curabitur consequat nunc nec nisi convallis scelerisque. Pellentesque elit arcu, porttitor nec hendrerit sed, ultrices vitae magna. Maecenas rhoncus felis sit amet magna maximus mattis. Nulla facilisis lacus consequat magna consequat feugiat. Sed felis sapien, rhoncus ac ex eu, maximus venenatis diam. Curabitur ex diam, lobortis vel accumsan eu, tristique eu tortor. Quisque eu felis quis nunc blandit consequat. Fusce purus quam, lobortis sit amet fermentum semper, consectetur viverra nisi.\r\n\r\nCras scelerisque nibh vel tortor semper mollis. Fusce blandit ac tellus at gravida. Sed a felis sapien. Nam a justo ipsum. In est quam, efficitur non tellus nec, mollis tincidunt eros. Quisque non sapien eleifend, convallis sapien at, laoreet lacus. Nullam pulvinar at turpis vel elementum. Cras bibendum mi magna, efficitur bibendum odio fringilla eget. Mauris risus est, faucibus venenatis velit ut, fringilla volutpat turpis.\r\n\r\nDonec egestas ex maximus, aliquet felis eget, efficitur risus. Curabitur ac rutrum diam, ac vulputate tortor. Fusce nec mattis nulla. Pellentesque a lacus in tellus consequat pretium vitae vitae enim. Curabitur ultricies tristique pharetra. Donec auctor tincidunt elementum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam nunc ligula, gravida et nisi sed, faucibus suscipit velit. In sit amet porta augue. Nunc imperdiet mi et aliquam semper. In id dui tortor. ', '', 'full_html'),
('node', 'testimonial', '0', '87', '87', 'en', '0', ' Pellentesque in sollicitudin tortor, in mattis lorem. Proin porta lectus sed massa euismod, non placerat elit vestibulum. Sed pellentesque viverra diam, auctor luctus tortor aliquam eget. Sed sagittis orci quis lacus aliquet vulputate at et nibh. Nam et ligula lobortis dui condimentum luctus. Nam finibus molestie finibus. Aenean euismod ac libero ut venenatis. Cras aliquam, odio porttitor elementum lacinia, nisl leo mollis purus, quis mattis mauris enim ac odio.\r\n\r\nQuisque at metus lectus. Vestibulum tempus augue ut tellus vulputate iaculis. Pellentesque porttitor id lorem quis sodales. Sed facilisis elit sagittis, mollis libero eget, euismod felis. Vivamus convallis nunc odio, non tristique ante gravida sed. Donec nec enim in est rhoncus ullamcorper. Aenean mollis sapien sit amet felis consequat placerat. In pretium, nunc eu dignissim tincidunt, odio nisl dignissim ligula, et gravida dui turpis nec ex. Nam eleifend, arcu a suscipit tempor, dolor nisi feugiat dolor, vitae dignissim eros dolor in nulla.\r\n\r\nIn ligula quam, sodales a tristique ac, feugiat in sapien. Mauris maximus metus in est pellentesque, quis cursus risus tempus. Vestibulum interdum vestibulum congue. Mauris et justo vehicula, gravida ligula in, convallis lorem. Integer blandit enim justo, et consectetur massa malesuada ut. Maecenas a lectus tortor. Aenean id tempus est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.', '', 'full_html'),
('node', 'testimonial', '0', '88', '88', 'en', '0', 'Donec nunc felis, interdum finibus dictum vel, aliquam sagittis orci. In molestie pulvinar mi in luctus. Aenean ultricies sem at leo scelerisque pulvinar. Phasellus elementum felis sed mi ultricies auctor. Aenean pulvinar ligula nisl, et pulvinar turpis euismod vel. Ut fringilla ultricies condimentum. Integer vitae massa ut tortor tincidunt porta quis vitae ligula.\r\n\r\nSed hendrerit, purus ac blandit venenatis, quam mauris imperdiet nunc, non posuere leo diam ut augue. Etiam convallis leo quis fermentum lobortis. Nulla placerat nulla sit amet augue gravida, id ultrices nulla tristique. Donec non lorem feugiat, lobortis arcu nec, luctus turpis. Nam congue sed libero non viverra. Phasellus in mi ligula. Duis elementum fringilla fermentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris vitae nisl lobortis, consectetur arcu eget, luctus est. Sed sed dui ultrices, tempus erat vitae, tincidunt magna. Ut a dignissim dui. Fusce tristique urna purus, sit amet lobortis ligula lobortis nec. Phasellus finibus leo et iaculis aliquam.\r\n\r\nPhasellus luctus ultricies fringilla. Suspendisse id magna lacus. Vivamus et scelerisque orci. Mauris ligula mi, lobortis sit amet consequat et, malesuada sed nibh. Fusce a dolor in massa lacinia pulvinar at eu urna. In eget volutpat ante, sit amet scelerisque nunc. Etiam nec nulla facilisis, congue neque eu, viverra mi. Quisque efficitur finibus diam, id sagittis lectus imperdiet sed. Etiam in urna viverra, consequat justo eu, maximus diam. Sed eros lorem, interdum ac elementum sit amet, facilisis ac mi. Vestibulum augue ligula, pretium sed magna nec, aliquam dictum arcu. Morbi mollis purus id leo tincidunt blandit. Aliquam commodo venenatis aliquet. Donec suscipit orci a dolor ornare laoreet. Sed at vestibulum urna. ', '', 'full_html'),
('node', 'slide', '0', '89', '89', 'en', '0', 'Aliquam sem dolor, tempor ac magna eget, pulvinar interdum neque. Ut suscipit enim nulla, nec dictum nisl blandit sed. Fusce convallis, odio vel pharetra imperdiet, quam tellus sollicitudin lacus, quis pulvinar purus odio at massa. In lectus diam, faucibus et dapibus vel, porta nec arcu. Morbi arcu eros, laoreet nec leo in, vulputate bibendum leo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Mauris gravida quam et nisl pulvinar, eu sagittis elit commodo. Nulla lacinia est nec mi faucibus consequat quis sed nulla. Quisque id neque diam. Pellentesque tempus neque vitae diam mollis lobortis. Sed gravida vitae mi a faucibus.\r\n\r\nIn malesuada enim sed velit facilisis, ut cursus sem semper. Quisque in fringilla mi, ac aliquet risus. Phasellus luctus nec neque congue ultrices. Fusce eget lacus sapien. Nullam et nulla tempus, pellentesque risus quis, viverra tortor. Suspendisse et massa commodo, congue est nec, efficitur lacus. Nullam vel quam blandit, ornare purus at, mollis libero. Proin a luctus elit, eu dignissim lacus.\r\n\r\nEtiam magna erat, aliquam non nisl quis, ullamcorper condimentum tellus. Vestibulum venenatis vitae turpis a accumsan. Sed faucibus non mauris et luctus. Ut purus nisl, pulvinar nec lacinia nec, porta vitae libero. Cras neque felis, fringilla quis lorem non, dignissim ultrices odio. Nunc dictum pellentesque risus, vitae iaculis odio finibus id. Praesent eu neque eu eros fermentum ornare et nec arcu. ', 'One morning, when Gregor Samsa woke from troubled dreams, he found himself transformed in his bed into a horrible vermin.', 'full_html'),
('node', 'slide', '0', '90', '90', 'en', '0', 'In molestie urna imperdiet mi commodo, eu faucibus velit porttitor. Aliquam erat volutpat. Morbi velit nibh, lobortis nec risus vel, feugiat volutpat arcu. In a neque enim. Vestibulum ultrices tincidunt eros, sit amet aliquam mauris. Suspendisse sagittis nisl vitae ultrices cursus. Maecenas auctor elit eleifend nisl aliquam eleifend. Integer tempus, purus nec fringilla consectetur, mauris purus commodo nisi, id eleifend tortor eros nec arcu. Aliquam hendrerit purus turpis, at volutpat urna pulvinar et. Aenean condimentum nec augue at blandit. Nullam lacinia faucibus diam, sed vehicula ipsum semper id. Sed id nulla at metus cursus pharetra in quis ligula. Cras laoreet ultricies porta.\r\n\r\nProin non ullamcorper est, ac blandit lectus. Proin suscipit sapien non interdum consectetur. Nunc ex leo, dictum eu feugiat vitae, scelerisque sed velit. Praesent at lobortis quam. Cras gravida leo nec mi cursus, ac mattis neque luctus. Nam malesuada maximus nulla eget laoreet. Aliquam ultrices consectetur justo. Nunc sagittis dolor at commodo eleifend. Cras eleifend, nulla quis bibendum molestie, metus dolor placerat dui, eu ullamcorper massa elit et ipsum. Mauris vulputate eleifend lobortis.\r\n\r\nProin sit amet eleifend velit, ac suscipit ligula. Nam sed commodo nulla. Etiam eget dui purus. Aenean placerat in purus id venenatis. In hac habitasse platea dictumst. Ut eros mi, tempor a dictum in, porttitor id lorem. Nullam ut nisi vel mauris tristique luctus. Aenean neque orci, blandit vitae mi sit amet, cursus ornare mi. Aenean tincidunt tellus ac pellentesque venenatis. Maecenas et odio urna. Aliquam a molestie velit. Integer vitae gravida massa, in sodales augue. Proin id nisi rhoncus, malesuada metus nec, tincidunt turpis. Maecenas eros enim, scelerisque quis dolor ut, venenatis aliquam dui. Cras quam nibh, suscipit euismod euismod nec, dapibus vel velit. ', 'That’s the guiding principle behind our design philosophy', 'full_html'),
('node', 'article', '0', '91', '91', 'en', '0', 'Curabitur vel condimentum est. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Fusce dignissim elit vel ex malesuada vulputate. In fringilla facilisis efficitur. Nunc tempor condimentum congue. Fusce congue augue a diam condimentum, ac gravida nisi ultricies. Nulla efficitur fringilla consectetur.\r\n\r\nAenean dignissim ut orci sed aliquet. Mauris ut dui eget nibh iaculis porta. Praesent eget ex augue. Proin a eros vel nulla pharetra sodales. Cras nec consequat neque, a vehicula sapien. Donec a ante venenatis, aliquet tellus nec, suscipit sem. Aenean nec sollicitudin nulla, nec lobortis mi. Suspendisse aliquet ut metus vel lobortis. Praesent nec vehicula lorem. Aliquam tortor nisl, pharetra quis molestie placerat, malesuada eget dolor. Nulla placerat sollicitudin metus in faucibus. Donec hendrerit neque dictum turpis bibendum volutpat. Phasellus elementum lorem ut urna venenatis, sed mollis felis finibus.\r\n\r\nSed sagittis orci in mi pellentesque, at interdum nunc porta. Vestibulum tempor eleifend dignissim. Nulla facilisi. Quisque eu urna eget neque tempus rutrum vitae ultrices velit. Integer turpis magna, eleifend in fermentum quis, venenatis a odio. Aliquam ornare iaculis metus, vel egestas dolor gravida sed. Aliquam erat volutpat. Fusce malesuada vulputate ornare. Pellentesque volutpat tempus nibh eget iaculis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. ', '', 'full_html'),
('node', 'article', '0', '92', '92', 'en', '0', 'Cras aliquet dui nunc, non eleifend ligula ultrices sed. Praesent hendrerit a nibh a mattis. Nullam lacinia maximus dapibus. Duis ipsum elit, venenatis ullamcorper convallis vitae, efficitur vestibulum sapien. Aenean eu mauris odio. Sed ac venenatis justo. Sed malesuada velit sit amet iaculis varius. Maecenas sollicitudin nunc in lorem rutrum molestie. Morbi molestie non elit sed mattis. Phasellus magna est, lobortis in mi sed, lobortis sodales urna.\r\n\r\nSed et velit sit amet nulla fringilla hendrerit a ac risus. In sodales, metus ut interdum euismod, justo neque sodales risus, at rhoncus dui felis id nunc. Cras laoreet eros vel rutrum ultrices. Duis facilisis volutpat porttitor. Aliquam blandit semper mauris ac efficitur. Nulla gravida augue in vehicula tincidunt. Nam elit sapien, scelerisque eget rutrum vel, eleifend eget est. Donec pharetra diam felis, vitae pulvinar sapien volutpat sit amet.\r\n\r\nPellentesque in elit quis sapien sagittis scelerisque at vel dui. Maecenas vitae felis non urna tincidunt vulputate. Proin eu odio enim. Sed sed accumsan leo. Morbi eu auctor nisi, at faucibus augue. Etiam malesuada est vel sapien dapibus, sagittis laoreet tortor aliquet. Vestibulum lacinia, ante ut egestas maximus, mauris magna volutpat urna, malesuada consequat lorem dui eget turpis. Phasellus tempor nunc sed volutpat dictum. Vestibulum quis placerat dui, nec mollis mi. Suspendisse laoreet ac metus eu vestibulum. Cras tellus arcu, faucibus elementum purus non, consectetur euismod nunc. Nulla a sapien dolor. Phasellus vehicula felis vitae massa cursus, vulputate pharetra ligula vehicula. ', '', 'full_html'),
('node', 'article', '0', '93', '93', 'en', '0', 'Aliquam mattis augue ante, a bibendum risus finibus eget. Cras rutrum arcu id mollis rhoncus. Cras varius, neque maximus porta feugiat, justo nisl porta quam, quis dictum velit orci ut arcu. Morbi tincidunt pellentesque mollis. Sed quis justo magna. Mauris convallis posuere sapien quis dignissim. Integer lorem velit, fringilla quis lacus et, faucibus ultrices ligula. In sit amet mauris convallis, ullamcorper lorem nec, ullamcorper odio. Cras massa ligula, iaculis sed justo non, rhoncus hendrerit lectus. Donec ac semper justo, quis tempor sem. Morbi ipsum mi, rhoncus vitae leo non, gravida fringilla ipsum. Cras porttitor nisi et odio tristique, eu hendrerit metus elementum. Pellentesque condimentum pellentesque nulla. Curabitur mollis nisi vitae consequat elementum.\r\n\r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque eros ipsum, lacinia facilisis porta sagittis, venenatis non massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent a hendrerit libero. Aenean iaculis nunc non nulla tempus vulputate nec commodo purus. Aenean a leo quis nisi aliquam mattis vitae at dui. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam eget ante nec augue tincidunt faucibus. Nunc et iaculis lacus. Cras eleifend quam neque, id imperdiet dolor pulvinar nec. Praesent vitae magna sit amet ligula commodo auctor tristique nec ligula. Nam eget mi sit amet urna rutrum placerat.\r\n\r\nVestibulum sed justo sit amet quam suscipit vulputate. Praesent convallis pretium nibh, ac consectetur mauris lobortis non. Donec tempus vehicula nisi, nec accumsan neque cursus vitae. Phasellus ac porta elit. Ut placerat malesuada enim id porta. Proin varius suscipit sem, nec efficitur tortor dictum eu. Nam lacinia egestas dui, sit amet varius erat vulputate eu. ', '', 'full_html'),
('node', 'article', '0', '94', '94', 'en', '0', 'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus a neque urna. Ut sapien nisl, imperdiet at imperdiet quis, commodo vitae dolor. Sed dapibus rhoncus turpis quis suscipit. Cras lectus erat, dictum vel velit a, commodo tristique magna. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed commodo neque in hendrerit vehicula. Morbi dignissim neque nec ultricies consectetur. Morbi vitae fermentum purus. Nunc egestas tempor nisl, nec ultricies ipsum pretium vitae. Mauris aliquam tortor sit amet mi blandit pellentesque. Curabitur sollicitudin rutrum sapien, sed dapibus sem.\r\n\r\nVivamus sollicitudin augue ac nisi viverra tincidunt. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas dignissim elementum metus, et aliquam nisi vulputate eu. Suspendisse molestie hendrerit quam. Nulla facilisi. Vivamus blandit elit tortor, et vehicula ipsum consectetur id. Nullam non ipsum massa. Nam ante orci, auctor eu condimentum vitae, faucibus vitae ipsum. Cras et bibendum sem. Nunc cursus eros nibh. Ut et lectus sit amet lacus fringilla porttitor non sit amet tortor. Donec semper, leo id imperdiet mollis, massa augue imperdiet diam, ut congue sem tellus eget magna. Praesent ut ipsum nunc.\r\n\r\nMauris nec ultricies justo. Nullam id purus sit amet arcu vehicula ultrices. Duis fermentum augue vel velit egestas finibus. Aliquam eget convallis nisi. Duis aliquet euismod elit sit amet ornare. Integer congue nec velit a malesuada. Ut elementum at velit eget condimentum. Quisque at erat tortor. Mauris pretium pellentesque arcu, ut mattis risus commodo vel. Sed imperdiet nisl in elit luctus bibendum. Morbi aliquet tortor diam, non posuere mauris fringilla ut. Mauris vulputate ante fringilla, vehicula metus eu, ultricies arcu. In congue vel erat in condimentum. Fusce ut lectus ut purus venenatis sodales. Maecenas id dolor nec diam vehicula tristique et vitae velit. Nulla ac nunc tellus. ', '', 'full_html'),
('node', 'banner', '0', '95', '95', 'en', '0', 'Vestibulum eleifend, magna id feugiat dignissim, nisi urna vehicula metus, eget fermentum ex ex quis dui. Ut congue sollicitudin turpis, ac euismod est ultrices ac. Pellentesque ac purus vel enim blandit lobortis. Sed eu pharetra nisi, et ornare nulla. Morbi vitae auctor lorem. Donec efficitur condimentum sem vel luctus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus consequat, arcu et gravida vulputate, justo lacus volutpat ex, sed aliquam lorem tellus aliquam justo.\r\n\r\nProin malesuada pharetra orci, non scelerisque nisi luctus a. Phasellus in orci quis ante lobortis pharetra mollis sit amet ligula. Duis nec libero magna. Nulla facilisi. Integer ac cursus nisi. In id enim semper, rutrum massa eget, luctus odio. Etiam vel dui eget eros ultricies sodales a ut mauris. Etiam eget purus eleifend, finibus ex quis, convallis neque. Donec mattis, ligula vitae laoreet ornare, erat metus faucibus tellus, sed ullamcorper quam diam nec ligula. Aliquam id pharetra elit. Mauris erat felis, mollis eget elit et, tempus pulvinar dolor. Donec dui urna, porttitor quis velit a, rhoncus volutpat turpis. Sed tincidunt a nisl eget pretium.\r\n\r\nPhasellus laoreet urna ante, eu malesuada purus commodo sed. Etiam viverra dolor urna, eu mattis mauris ornare sit amet. Vestibulum neque arcu, iaculis eu massa eget, feugiat tristique urna. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec elementum eros quis erat pulvinar elementum. Nullam quis dolor finibus, congue est vitae, consequat enim. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Ut sollicitudin ut est non elementum. ', '', 'full_html'),
('node', 'banner', '0', '96', '96', 'en', '0', '\r\nIn molestie massa orci, eget sodales ligula ultrices vitae. Mauris ultricies varius odio. Etiam tellus mauris, consectetur eu iaculis in, ornare non nunc. Morbi sollicitudin libero nec massa condimentum, porta feugiat magna bibendum. Donec porttitor odio in ultricies volutpat. Nullam luctus feugiat sapien nec feugiat. Donec nisi enim, viverra id orci quis, rutrum gravida nibh. Proin ultrices erat sit amet odio aliquet accumsan.\r\n\r\nFusce venenatis magna non augue consequat, ut sodales mi hendrerit. Vestibulum laoreet eros non ex molestie vulputate. Quisque libero erat, posuere nec congue sed, ullamcorper vel odio. Duis sit amet justo id diam auctor eleifend a non risus. Donec mollis augue sem, ac pellentesque velit semper in. Nulla sagittis imperdiet dolor at placerat. Nullam at magna orci. Curabitur ac arcu urna. In a consequat arcu. Nulla ac est quis nulla consequat lacinia.\r\n\r\nNunc nisi urna, vehicula quis turpis vel, varius hendrerit metus. Sed id massa nulla. Integer faucibus, diam vitae aliquam gravida, mi nibh semper dui, quis accumsan nulla justo quis nulla. Donec varius enim malesuada, faucibus quam tincidunt, pharetra felis. Nullam vehicula, neque ut viverra rhoncus, diam nibh porta odio, sit amet molestie nibh risus in diam. Suspendisse convallis enim non tortor imperdiet, blandit viverra tellus sagittis. Duis et odio at tortor eleifend pulvinar. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.', '', 'full_html'),
('node', 'banner', '0', '97', '97', 'en', '0', 'Curabitur ut mauris sed erat commodo suscipit nec euismod lorem. Nulla quis commodo nunc. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed porta quam ut sem varius, quis dictum eros blandit. Fusce vel facilisis felis. Vivamus ultricies ac sem id ultrices. Etiam placerat nisl sed venenatis venenatis. Pellentesque feugiat velit in feugiat tempus. Integer eleifend turpis orci, ut hendrerit odio finibus eget. Duis purus leo, dignissim a arcu eu, accumsan hendrerit justo. Vivamus porta sem enim, ut finibus lectus scelerisque sed.\r\n\r\nCras vitae tellus urna. Nulla neque velit, viverra id rutrum eu, ultricies ac justo. Donec bibendum eleifend est sed vulputate. Vestibulum sed massa pellentesque, feugiat nisl sed, commodo purus. Integer consequat leo risus, id congue tortor laoreet vitae. Quisque eget consequat dui. Aenean fermentum non nisi vel commodo. Mauris blandit id ligula quis faucibus. Suspendisse in velit a neque placerat viverra sit amet et odio. Nam lobortis magna quis sapien tincidunt aliquam. Vestibulum sed dictum purus. Nullam hendrerit leo in urna condimentum ultricies. Morbi tristique eu mi non egestas. Vestibulum turpis purus, ornare a porttitor a, aliquam fermentum leo.\r\n\r\nSuspendisse ac tincidunt lectus. In consectetur, odio et pretium facilisis, nibh nibh ullamcorper sem, in hendrerit erat odio a lorem. Praesent venenatis metus vitae nulla laoreet, vitae luctus magna fringilla. Ut tincidunt mollis pulvinar. Integer in ullamcorper est. Aliquam volutpat ante et lobortis volutpat. Aenean hendrerit quam sit amet molestie posuere. Donec semper, arcu in volutpat hendrerit, tellus odio cursus libero, ut ultrices ante ante ut odio. Pellentesque ac est sit amet neque ornare sagittis. Vestibulum rutrum at sapien ut sollicitudin. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sem elit, sodales non efficitur id, feugiat at massa. Pellentesque posuere orci nec nisi efficitur finibus. Aenean ultricies tempor iaculis. ', '', 'full_html'),
('node', 'banner', '0', '98', '98', 'en', '0', 'Cras maximus dolor eget ex suscipit molestie. Pellentesque eros nunc, fringilla ut ultrices vel, eleifend sed orci. Cras sed purus eget ipsum tristique egestas eget id arcu. Integer hendrerit nisl posuere pulvinar porta. Praesent feugiat ipsum quis auctor volutpat. Integer laoreet ligula metus, sit amet lacinia velit pretium quis. Vestibulum nibh arcu, gravida vitae nibh interdum, lobortis imperdiet mauris. Aenean commodo turpis justo. Phasellus fringilla non mauris vel tempor. Praesent lobortis convallis venenatis. Nullam mattis tortor et orci eleifend ullamcorper et in elit. Nam porta semper nunc in sodales. Aenean et ornare erat, sit amet volutpat lorem. Praesent in purus in urna tempus dapibus eu at sapien. Fusce fermentum lobortis ultrices. Etiam ante mi, rutrum vel mauris eget, dapibus malesuada erat.\r\n\r\nQuisque maximus odio nulla, ut mattis sem sollicitudin nec. Donec pharetra facilisis egestas. Vestibulum accumsan sed mauris eu laoreet. Phasellus porttitor ante turpis, a scelerisque elit malesuada eu. Donec sodales congue mi, quis bibendum magna hendrerit at. Nunc ullamcorper rhoncus tincidunt. Duis pellentesque erat massa, quis aliquet ante laoreet quis. Mauris enim elit, tincidunt quis est eu, pretium faucibus purus. Integer feugiat a purus sit amet pellentesque. Nunc porttitor urna vel ligula porta, eu sodales orci vehicula. Curabitur quis condimentum turpis. Praesent gravida urna sed purus accumsan, ac ultricies sapien blandit. Duis consectetur, erat non pharetra condimentum, enim ipsum semper eros, ut pretium mauris ante at purus. Cras id lectus scelerisque, molestie urna sit amet, iaculis nisl. Suspendisse tristique vitae mi eget gravida.\r\n\r\nProin elementum efficitur nisl, vitae sollicitudin leo tempus mattis. Donec sagittis elementum velit. Nunc auctor nibh lorem, nec mollis orci volutpat sed. Nulla sed malesuada dolor. Vivamus erat est, blandit mattis metus sed, ultrices semper dolor. Suspendisse potenti. In rutrum lorem et sapien interdum, id molestie odio sodales. Etiam tincidunt mollis elit ut venenatis. Quisque tristique laoreet turpis aliquet ornare. Nam et semper quam. Quisque sed magna aliquet, pretium ipsum et, consequat quam. ', '', 'full_html'),
('node', 'banner', '0', '99', '99', 'en', '0', 'Duis eu nibh lorem. Aenean pellentesque auctor fermentum. Mauris vel eleifend massa, at auctor massa. Suspendisse potenti. Donec dignissim, nibh at tempor congue, odio lacus dignissim magna, non rutrum mi nibh vitae metus. Proin ac enim pellentesque neque accumsan consequat. Curabitur vulputate neque placerat, porttitor ipsum nec, mattis nisl. Nam nec nunc laoreet, maximus ante id, fermentum eros. Mauris a nisl faucibus, efficitur ligula vel, facilisis sem. Phasellus ac felis quis elit condimentum cursus. Vestibulum mi arcu, tempus quis sapien sed, ornare tincidunt libero. Vivamus luctus fermentum eros, eu congue elit lacinia ut. Nullam ut nulla ligula. Nam id metus ac dui rhoncus tempus. Fusce sed dapibus lectus. Vivamus id lacus purus.\r\n\r\nSuspendisse magna mi, rhoncus vitae pulvinar vitae, vulputate a ante. Donec velit quam, auctor eget congue et, faucibus at velit. Curabitur tincidunt, arcu non fermentum aliquet, mi massa ultrices lectus, vel euismod nunc arcu nec lectus. Morbi gravida porta consequat. Nullam vitae ante sollicitudin, dignissim turpis tristique, interdum elit. Etiam et gravida neque, sit amet tristique massa. Nam ut justo in nisl convallis fermentum. Maecenas malesuada mattis condimentum. Phasellus faucibus ante dui, vel aliquet ex rhoncus vel. Proin risus nulla, consequat vitae dapibus eu, lobortis sit amet leo. Cras tincidunt a ante non sollicitudin. Mauris lobortis sollicitudin porta. Maecenas scelerisque vestibulum arcu sit amet gravida. Pellentesque et nulla pretium, tincidunt ex tristique, consequat enim. Pellentesque rhoncus lacus eu lorem molestie, ut volutpat augue bibendum. Fusce suscipit lacinia ex, vestibulum rutrum lacus volutpat ut.\r\n\r\nMauris id convallis metus. Vestibulum porta elit odio, sit amet dictum nunc eleifend semper. Donec dapibus magna odio. Nunc ipsum lorem, posuere sit amet vehicula sed, interdum sit amet nibh. Fusce tempor facilisis erat, a malesuada dolor sollicitudin at. Phasellus nec nisl porttitor, bibendum lacus quis, pulvinar quam. Donec tempus vestibulum volutpat. Proin porta turpis neque, non faucibus ex fermentum a. Aenean elementum turpis sed lacus bibendum lacinia. ', '', 'full_html'),
('node', 'banner', '0', '100', '100', 'en', '0', 'Maecenas vulputate nec nulla at pulvinar. Vivamus accumsan elementum vehicula. Etiam ultrices diam sapien, ac faucibus nulla commodo at. Cras id nisl est. Proin bibendum purus et mauris aliquam sagittis. Curabitur sed lacinia elit, eu pellentesque lectus. Proin sollicitudin luctus lacus, non elementum lectus pharetra et. Ut magna lectus, pharetra et fermentum at, pretium eget nisl. Maecenas ac facilisis est. Sed sollicitudin, turpis sit amet ullamcorper hendrerit, odio massa finibus tortor, eu volutpat mauris metus in urna. Sed tincidunt lectus eget semper varius. Phasellus ac ex vel leo pulvinar aliquam. Mauris ut eleifend libero. Cras consequat lacus eget risus sagittis, eu rhoncus urna suscipit. Sed cursus ante non purus vehicula, eget volutpat purus malesuada. Sed viverra enim felis, eget iaculis orci rutrum quis.\r\n\r\nDuis a purus nisi. Nam ipsum odio, gravida vel justo lobortis, sodales elementum quam. Maecenas fringilla tortor sed risus cursus, sagittis efficitur diam iaculis. Morbi pharetra sem et sagittis viverra. Nunc tincidunt tempor fermentum. Quisque ornare luctus finibus. Phasellus laoreet eleifend leo. Fusce convallis faucibus massa quis egestas. Proin dapibus erat auctor nisi sodales finibus. Pellentesque at nunc augue. Duis dignissim nibh risus, sed condimentum neque faucibus quis.\r\n\r\nInteger eu urna dapibus, tempus nibh nec, finibus dui. Morbi vitae tempor enim. Ut mollis faucibus massa vitae tristique. Aliquam ultricies congue dolor suscipit suscipit. Fusce vel porta felis. Etiam id imperdiet nibh. Pellentesque iaculis dui eget iaculis condimentum. Vestibulum suscipit rhoncus urna, ut consectetur sem venenatis eu. Mauris nec augue id quam ornare placerat. In vitae augue varius ligula tempus condimentum et et felis. Proin id dui tincidunt, iaculis mauris id, posuere mi. Quisque pulvinar, ligula non accumsan ullamcorper, nisi leo convallis odio, eu dignissim leo nunc quis nibh. ', '', 'full_html'),
('node', 'banner', '0', '101', '101', 'en', '0', 'Quisque varius urna a est varius malesuada. Vivamus mollis enim lectus, at vulputate neque rutrum id. Pellentesque et massa convallis, elementum urna feugiat, pretium odio. Proin consequat arcu at nibh vehicula, iaculis fringilla mi viverra. Aenean sed leo luctus diam cursus posuere a sed massa. Vestibulum iaculis mi at nulla convallis, vitae congue ligula auctor. Morbi fringilla porta dui, et bibendum erat laoreet ut. Donec lorem nisi, accumsan eget quam a, eleifend vehicula leo. Mauris eu volutpat diam. Nunc metus nunc, placerat eget orci sed, facilisis condimentum arcu. Suspendisse dapibus sem viverra consequat sagittis. Vestibulum lacinia, lectus quis ultrices ultrices, sem nisi iaculis eros, sit amet vestibulum magna nunc et neque. Curabitur ante enim, mollis quis ante sit amet, euismod interdum nisi.\r\n\r\nSuspendisse hendrerit dictum mauris. Praesent vitae nisi eu massa bibendum facilisis. Aenean sagittis mauris ante, id tempor lacus tempor sit amet. Nulla egestas, elit quis blandit ornare, tortor lectus vulputate sem, eu ornare magna turpis et neque. Proin tincidunt quam a pretium tempor. Fusce fringilla aliquam porttitor. Nunc nec porta risus, quis placerat odio. Duis quis mi blandit, hendrerit dui nec, aliquam turpis. Integer eget purus tincidunt, pellentesque nibh a, iaculis sem. Duis a diam congue, posuere nibh vel, consectetur erat. In vitae tellus erat. Etiam ut est auctor, auctor quam sed, egestas metus. Etiam dignissim vestibulum sagittis.\r\n\r\nIn ultrices pellentesque nibh ut consequat. Suspendisse mi dui, rhoncus sed tristique lobortis, condimentum quis nulla. Vestibulum nec mi non felis cursus tempor. Sed sollicitudin elit eget nisi rutrum varius. Maecenas gravida libero ut elit sodales, id vulputate leo elementum. Nam ex nisi, laoreet sit amet imperdiet non, egestas in ligula. Morbi vel malesuada purus. Sed volutpat, lacus vel semper semper, justo urna iaculis erat, a imperdiet turpis lacus eget lectus. Donec sed hendrerit augue. Aliquam fermentum metus libero, et consectetur dolor pellentesque sit amet. Vestibulum sit amet dolor auctor, sollicitudin nibh non, volutpat metus. Sed nibh eros, ullamcorper ac nulla eu, tempus elementum lectus. ', '', 'full_html'),
('node', 'banner', '0', '102', '102', 'en', '0', 'Integer lorem odio, commodo in volutpat nec, semper et turpis. Sed venenatis eros vitae lorem imperdiet viverra. Maecenas lacus urna, consequat ac ex quis, mattis eleifend odio. Vivamus suscipit velit nisi, et interdum erat eleifend nec. Fusce non nunc quis ligula pharetra pulvinar. Curabitur fermentum sem neque, et pellentesque arcu condimentum quis. Phasellus faucibus lacus neque, et semper velit ultrices et. Sed sit amet feugiat elit. Nulla euismod bibendum ante, vehicula suscipit purus tincidunt et. Aliquam dui ligula, hendrerit sed rutrum vitae, congue sed leo. Nullam hendrerit, nulla id euismod ornare, odio enim ultrices turpis, ac bibendum urna neque sed nunc. Ut vel faucibus libero.\r\n\r\nUt tristique magna ac porta tincidunt. Ut sodales fringilla turpis ac consectetur. Sed aliquam fermentum vestibulum. Phasellus euismod rhoncus euismod. Curabitur in faucibus quam. Curabitur sit amet convallis elit, eu convallis mauris. Suspendisse eget justo sed dui commodo blandit. Quisque eu luctus urna. Sed finibus felis eu urna elementum, a hendrerit est blandit. Duis in mauris sapien. Duis commodo, odio eget viverra tincidunt, turpis arcu iaculis eros, et vestibulum leo dui in turpis. Vestibulum a condimentum diam. Mauris id luctus tortor, ut feugiat justo.\r\n\r\nCras facilisis nisl id odio sollicitudin, eget rutrum sapien scelerisque. Ut mauris sem, imperdiet ac posuere quis, scelerisque sed erat. Sed dignissim euismod libero sed lacinia. Donec sit amet metus efficitur, dapibus tellus eget, feugiat lectus. Nunc sapien nunc, congue et dapibus vitae, rutrum et odio. Integer bibendum nec nulla sit amet rhoncus. Aenean venenatis hendrerit libero sit amet auctor. Phasellus ante diam, tristique id dictum congue, semper in erat. Mauris gravida erat id ipsum iaculis, vitae dignissim ante imperdiet. Aenean cursus turpis sem, ut euismod ante elementum ut. Cras eu augue eget velit eleifend aliquet. ', '', 'full_html'),
('node', 'project', '0', '103', '103', 'en', '0', 'Phasellus quis ex non massa lacinia accumsan interdum sed mauris. Morbi porttitor venenatis eros eget vulputate. Quisque congue ligula eu malesuada lacinia. In ultricies nunc sapien. Morbi id lectus nec lorem tincidunt lacinia. Phasellus bibendum enim vel ante lacinia, et lacinia leo ornare. Mauris aliquam massa enim, aliquet convallis orci sodales sit amet. Suspendisse vitae massa id lacus molestie molestie. Sed pretium sollicitudin nisi ac commodo. Vivamus tempus pellentesque viverra. Vivamus faucibus erat quis nunc euismod, non ultricies odio tincidunt. Vestibulum commodo porta congue. Ut dictum sollicitudin metus at venenatis. Proin eget ex velit. Sed lorem leo, ullamcorper eget massa sit amet, ultrices viverra tellus.\r\n\r\nVestibulum molestie, libero quis dapibus vulputate, urna nisl blandit tellus, a maximus velit tellus et velit. Praesent suscipit finibus est id ultricies. Nunc id orci condimentum nisl auctor convallis nec vitae risus. Nam justo ante, ultricies eu sagittis ac, sodales ut nisi. Donec pellentesque tellus sit amet turpis gravida, non vulputate neque ullamcorper. Cras id turpis massa. Nam pulvinar neque eu augue ultricies hendrerit. Integer interdum et ante sed vehicula. Vestibulum consequat velit elit, et aliquam tortor convallis vel. Maecenas sapien diam, sollicitudin eu odio a, interdum porttitor justo. Proin nec nisl at orci faucibus eleifend in ut quam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas sit amet ligula eleifend, euismod mauris a, bibendum ante. Proin ornare vitae massa a tincidunt.\r\n\r\nInteger varius euismod dui, non molestie purus mattis eu. Sed vel mauris quis tortor molestie feugiat a sed eros. Etiam aliquet mauris quis leo blandit pellentesque. Suspendisse eu cursus elit. Praesent varius est at dolor tempus, at scelerisque est ornare. Nunc ipsum risus, blandit eget mattis et, cursus in justo. Phasellus egestas rutrum dolor eu auctor. Proin porta ligula quis lacinia interdum. Vestibulum dapibus urna nec nibh blandit, non pellentesque nisl finibus. Phasellus dignissim sed arcu vitae accumsan. Pellentesque tempus faucibus nunc. Etiam quis feugiat urna. Integer ut ipsum eu justo mattis elementum. Aenean efficitur, libero non sagittis scelerisque, nunc urna finibus dui, id tincidunt tellus massa et nisl. Morbi hendrerit purus ut ipsum tempus sodales. Fusce finibus, augue ac hendrerit rhoncus, neque odio rutrum massa, id suscipit urna neque non ex. ', '', 'full_html'),
('node', 'project', '0', '104', '104', 'en', '0', 'Morbi egestas molestie eros vel tincidunt. Morbi sit amet leo odio. Sed eget pulvinar nisl, sed dictum ipsum. Nulla dolor dui, vestibulum tempus lacinia in, pharetra quis nisi. Ut ut dignissim enim. Suspendisse maximus, dolor aliquam luctus dapibus, nunc augue consequat orci, at euismod massa nulla id sapien. Nunc sagittis pulvinar vehicula. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam vel tincidunt sem. Vestibulum ut elit id ipsum venenatis feugiat vitae eu sem. Donec eget faucibus lectus, in placerat velit. Aenean dui quam, dapibus sed tellus id, vulputate aliquet sem. Cras ac nunc leo. Mauris elementum tortor dolor.\r\n\r\nSuspendisse sollicitudin orci vehicula nunc dapibus, commodo vestibulum ipsum semper. Praesent imperdiet semper iaculis. Integer venenatis vitae leo vitae auctor. Etiam vitae sodales nisi, non auctor libero. Sed rhoncus sodales mauris, quis elementum mi suscipit vitae. Phasellus orci tortor, malesuada sit amet varius quis, vehicula non lorem. Morbi consectetur est sapien, id hendrerit mi venenatis ut. Donec sodales posuere erat sed commodo.\r\n\r\nNam dignissim dolor ut ultricies interdum. Sed imperdiet tortor magna, a accumsan odio euismod in. Vivamus consequat vitae nisi at ornare. Vestibulum vitae lectus nisi. Proin eget finibus dolor, vitae dignissim turpis. Donec faucibus, orci eget placerat commodo, justo mauris mollis tellus, quis imperdiet turpis odio ac tortor. Aenean pretium risus nec mi pulvinar, vel ornare arcu efficitur. Aliquam leo enim, sodales vitae dictum at, pulvinar at lacus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed dictum dictum luctus. Suspendisse turpis nibh, sollicitudin non nisi ac, imperdiet accumsan ipsum. Integer auctor porttitor dolor, ac placerat mauris. Maecenas id quam pellentesque, feugiat velit ut, pharetra ligula. ', '', 'full_html'),
('node', 'blog', '0', '105', '105', 'en', '0', 'Praesent auctor, tellus dignissim congue mollis, lorem augue consequat nisl, feugiat laoreet elit nisi vitae nisl. Nam justo lorem, venenatis et iaculis eu, commodo a lorem. Maecenas fermentum augue eget arcu sodales elementum. Phasellus varius lorem sed est efficitur dapibus. Donec ornare fringilla scelerisque. Aliquam erat volutpat. Sed eu lacinia magna, vitae ultricies ipsum. Sed a ullamcorper eros.\r\n\r\nProin quis tortor urna. Duis malesuada nisl eu pellentesque tristique. Sed a nunc sollicitudin diam varius vulputate sit amet id dolor. Praesent vitae nunc felis. Curabitur placerat id urna a euismod. Suspendisse porttitor velit malesuada sem rhoncus finibus. Cras nec dignissim eros. Mauris gravida massa ut hendrerit dignissim. Sed posuere auctor metus sit amet tincidunt. Donec gravida laoreet tortor.\r\n\r\nCras et mattis est, in dapibus nisi. Maecenas vulputate nibh congue scelerisque hendrerit. Morbi lacus tortor, laoreet ut enim id, finibus dictum diam. Aliquam placerat erat ligula, a aliquet nisl eleifend et. Ut tellus metus, consectetur eu nulla in, sollicitudin porta risus. Suspendisse in nibh non enim volutpat sodales. Nunc eget lectus tempus, imperdiet tortor eu, tincidunt purus. Mauris eleifend cursus dui, nec pellentesque nunc. Suspendisse dapibus quam eu lorem facilisis vestibulum. Phasellus molestie ante lectus, at fringilla quam commodo non. ', '', 'full_html'),
('node', 'banner', '0', '121', '121', 'en', '0', 'In aliquet augue at ante mattis, ac feugiat nisi efficitur. Cras sed suscipit elit, vel sollicitudin elit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vivamus ac aliquam lorem. Duis mi lorem, volutpat eu sapien eget, fermentum lacinia odio. Phasellus ac sodales diam. Nullam ullamcorper vitae lacus sit amet dictum. Vestibulum eget urna ut elit iaculis euismod. Fusce vitae dignissim eros. Ut a arcu tincidunt, imperdiet eros sit amet, aliquet massa. Nam ornare risus eget eros ornare pretium vel congue ante. Integer vitae lacus dapibus, mollis ante vitae, tincidunt nisi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris vitae mauris mattis, varius metus ut, ornare neque. Nam massa magna, sollicitudin id diam ac, pulvinar eleifend erat. Etiam viverra lorem eu est dictum accumsan.\r\n\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi erat purus, imperdiet non fringilla sed, aliquet in nisl. Aenean quis purus pellentesque arcu mollis congue a non nibh. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec non ultricies diam. Nulla et erat quis mauris tempus varius et eu magna. Vivamus quis urna at ipsum euismod sagittis nec a diam. Fusce ut metus nec purus semper bibendum vel sit amet est. Integer dapibus, libero vel vestibulum venenatis, nulla odio accumsan velit, in dignissim tortor diam id arcu. Mauris a metus quis nisl tempor feugiat vitae et tortor. Integer tincidunt condimentum vehicula. Aenean tincidunt rutrum malesuada. Proin et augue vel mi auctor tincidunt sed sit amet ligula. Praesent porttitor faucibus feugiat.\r\n\r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent ornare dui enim, a efficitur mauris condimentum eu. Etiam mauris nisl, commodo et erat et, rhoncus tincidunt tortor. Sed venenatis lorem ut lobortis condimentum. Sed egestas magna augue, eget imperdiet tellus commodo ac. Aenean vitae dictum nisi, tristique imperdiet tortor. Duis lacinia leo ut augue tristique, ac congue nisi placerat. Maecenas hendrerit elementum cursus. Sed lobortis tempus neque et porta. Quisque ac scelerisque nisl, at feugiat libero. Donec enim dolor, ornare at metus ut, facilisis condimentum sapien. Donec eros magna, fermentum sit amet nisi eu, finibus placerat mauris. Vestibulum vitae nunc maximus nisl commodo dictum. Cras quis ullamcorper diam, in sollicitudin velit. Sed dictum leo eu finibus vulputate. ', '', 'full_html'),
('node', 'banner', '0', '122', '122', 'en', '0', 'Maecenas quis congue velit. Quisque fermentum mi sit amet elit auctor rhoncus. Cras viverra eros tortor, ac finibus nulla accumsan ut. Aliquam bibendum quam non est facilisis elementum. Ut ac tristique libero, non faucibus lacus. In sollicitudin egestas mi vel maximus. In mollis auctor risus, eu consectetur arcu. Phasellus ut nisi suscipit, aliquam dui ut, malesuada nisl. Mauris ultrices euismod tellus, ac fringilla mauris. Vivamus nec fringilla velit. Duis et odio non massa sagittis pharetra pellentesque at eros. Nunc fringilla lorem et vestibulum fringilla. Phasellus dapibus mollis sapien id commodo. Duis semper, justo quis egestas faucibus, nulla turpis commodo odio, eu dignissim magna massa a lorem.\r\n\r\nFusce at ante sit amet tortor maximus rutrum. Sed gravida elementum libero et molestie. Sed blandit sem ac pellentesque varius. Maecenas tempus eu elit sit amet convallis. Cras et aliquam velit, et varius metus. Sed posuere, est eget pulvinar sollicitudin, tellus sem ullamcorper sapien, ultrices feugiat ex dui sed mi. Sed eleifend maximus arcu, eu lobortis lorem pretium id. Nunc ultrices, arcu eu rutrum fermentum, est tellus fermentum nisi, at malesuada massa purus ut ligula. Donec malesuada ultricies malesuada. Mauris euismod rutrum urna id sagittis. Phasellus tempus tellus nec tincidunt vehicula. Mauris convallis maximus quam, quis scelerisque sapien maximus ut.\r\n\r\nNulla vel leo id sem scelerisque lacinia eget sed augue. Ut lobortis dignissim nunc, porttitor tincidunt dui lobortis in. Quisque pretium neque feugiat, tincidunt felis sit amet, suscipit quam. Nulla et nulla ante. Aliquam erat volutpat. Quisque id eros varius libero tempus auctor sed dictum purus. Cras non cursus enim, sed placerat tellus. Praesent tellus velit, pretium a ante nec, viverra scelerisque neque. Sed iaculis leo vel lorem porta laoreet vitae eu nulla. Sed euismod nulla pellentesque ex pellentesque pulvinar. Nullam gravida dignissim nisl eget lobortis. Mauris a ex vitae nulla tempor cursus eget sagittis massa. Sed blandit metus non leo consequat ultricies. Curabitur congue, tellus hendrerit sollicitudin cursus, enim nulla commodo ligula, id mattis magna ipsum sit amet mauris. Nullam venenatis lectus et malesuada lobortis. ', '', 'full_html'),
('node', 'blog', '0', '123', '123', 'en', '0', 'Proin in magna pretium, hendrerit libero ut, consequat risus. Maecenas molestie ullamcorper interdum. Praesent vulputate lorem quis mattis ultricies. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer in fermentum nunc. Maecenas eu lorem sed ipsum iaculis luctus at vel ipsum. Proin tincidunt non neque a ornare. Nullam a faucibus eros. Fusce neque neque, accumsan quis rutrum eget, sagittis vitae est. Nunc pellentesque, mi fringilla cursus accumsan, ante diam vulputate felis, malesuada porttitor ipsum orci eu dolor. Proin enim ex, lobortis a augue ornare, finibus porttitor nisl. Etiam malesuada faucibus enim nec ultricies. Cras malesuada posuere dolor, sit amet placerat orci sodales nec.\r\n\r\nPellentesque imperdiet neque et massa dapibus tristique. Maecenas sagittis orci euismod nisl ultricies, eu fringilla nisl mollis. Proin et odio dolor. Aenean at enim vel eros dictum tincidunt at quis sapien. Nunc eu ex posuere eros mollis venenatis. Integer id mi sit amet lorem cursus pulvinar. Curabitur lacinia orci et posuere aliquam.\r\n\r\nNullam ultricies sem maximus cursus mattis. Donec rhoncus tincidunt convallis. Cras vel turpis lorem. Vivamus pharetra, orci a lacinia scelerisque, leo purus placerat nunc, sed mattis massa ipsum eu tellus. Nulla neque eros, dapibus sit amet pretium sed, faucibus nec elit. Nulla facilisi. Maecenas erat risus, euismod non pellentesque quis, tincidunt at felis. Donec ultrices sit amet tellus in efficitur. Suspendisse volutpat, leo vitae rhoncus pellentesque, dolor turpis laoreet nibh, at dapibus lectus libero convallis justo. In non leo non nibh volutpat bibendum. ', '', 'full_html'),
('node', 'blog', '0', '124', '124', 'en', '0', 'Praesent posuere tristique libero, eget imperdiet magna egestas id. Fusce pellentesque ut metus vitae faucibus. Nunc in feugiat metus. Ut tempor ligula sed rhoncus rhoncus. Suspendisse lobortis, metus sed placerat scelerisque, dui libero elementum nibh, a tempor libero risus sit amet velit. Mauris lectus arcu, commodo sit amet placerat id, cursus sed nisl. Nullam eu dolor placerat diam lacinia aliquet. Aenean accumsan nibh ut cursus interdum. Quisque non pellentesque dui. Donec urna arcu, cursus quis molestie vitae, fringilla vitae nibh. Nullam urna metus, consequat ut eleifend at, tristique eget ligula. Integer posuere, lorem in varius venenatis, risus lectus pulvinar felis, ut volutpat justo dui nec sem. Vestibulum libero orci, suscipit in tellus eu, consequat ullamcorper lectus. Suspendisse porta justo a lacus scelerisque pulvinar id ac orci. Praesent sit amet egestas arcu, et faucibus tortor.\r\n\r\nCras vel aliquet orci. In vel blandit nibh. Morbi fermentum viverra mauris. Phasellus consectetur vehicula quam, eget vulputate lectus efficitur non. Donec id dignissim nunc. Mauris dictum laoreet erat id semper. Nunc sit amet bibendum augue. Praesent in velit vestibulum, imperdiet risus sed, elementum ex. Duis scelerisque diam eu lobortis vestibulum.\r\n\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam vel dolor vel sapien bibendum eleifend. Donec sodales lacus ut sapien gravida mollis. Suspendisse efficitur arcu sit amet lorem mollis, nec euismod odio mollis. Cras facilisis lorem sed commodo pretium. Maecenas eget turpis eget diam tincidunt pretium. Sed euismod sem posuere nunc bibendum varius ac sit amet orci. Curabitur pretium, lacus vitae eleifend pretium, augue sem bibendum quam, ac vehicula tortor urna id augue. Vestibulum tempor odio quis libero cursus, eu malesuada ipsum bibendum. Donec sit amet semper purus, a porta elit. Aliquam id velit malesuada, maximus nibh sit amet, suscipit velit. Sed sed elementum tortor, vel volutpat justo. Sed vel dictum neque. Phasellus aliquam est sit amet pellentesque euismod. Aenean quis neque felis. ', '', 'full_html');
INSERT INTO `field_data_body` VALUES
('node', 'blog', '0', '125', '125', 'en', '0', 'Vestibulum bibendum lacus metus, nec tincidunt lacus iaculis id. Morbi feugiat odio vitae ipsum ullamcorper congue. Vivamus urna ipsum, gravida ut diam nec, convallis molestie enim. Sed pharetra, ante et iaculis facilisis, tortor nunc fermentum nisi, non tincidunt quam orci vel nisl. Nunc eros tellus, bibendum vel ultricies et, porttitor faucibus metus. Curabitur et ullamcorper nulla, vitae fringilla dolor. Nulla lacus nibh, sollicitudin vel elementum sed, viverra fringilla metus. Pellentesque at nibh ultrices purus porta ornare id quis eros. Donec et magna diam. Etiam gravida vel erat in convallis. Duis ex libero, finibus nec vestibulum ut, molestie in est. Duis ut diam imperdiet erat commodo suscipit.\r\n\r\nVestibulum volutpat ultrices porttitor. Morbi efficitur imperdiet dignissim. Duis elit eros, mattis aliquet consequat sed, accumsan et elit. Duis facilisis, orci non vehicula rhoncus, eros nulla suscipit ante, id efficitur augue neque non ligula. Maecenas molestie fermentum urna, ut tristique neque varius eget. Nulla ultricies dictum libero, in venenatis sem luctus non. Aenean consectetur tellus sed eros porta condimentum. Sed nunc quam, maximus vel fringilla nec, eleifend in elit. Ut porta sed metus feugiat posuere. Integer a mi tortor.\r\n\r\nDonec venenatis sem sed velit gravida ultrices. Phasellus mi tellus, tincidunt sed pharetra ac, tincidunt ac sem. Quisque pellentesque sollicitudin augue. Curabitur laoreet, quam non tempus gravida, diam nibh viverra magna, sed commodo sem ligula lacinia ligula. Vivamus cursus lectus nec consectetur fermentum. Integer viverra augue ut faucibus consequat. Maecenas mollis erat at sodales hendrerit. Duis a justo ut arcu congue auctor euismod non ante. Proin maximus urna sapien, at lobortis orci accumsan a. Nullam viverra lorem vel porttitor consequat. Nunc facilisis non magna ut ultricies. Fusce fermentum, metus quis hendrerit malesuada, diam orci sollicitudin nunc, non vulputate mi erat at nulla. Aenean nec ligula vel tellus porttitor posuere et eget odio. ', '', 'full_html'),
('node', 'blog', '0', '126', '126', 'en', '0', 'Pellentesque sit amet nisl volutpat, vehicula neque sit amet, tincidunt lorem. Integer accumsan pellentesque tempor. Etiam nec metus nec ipsum maximus porta. Morbi id elit ac orci efficitur tristique. Duis malesuada facilisis lacus vel mattis. Aliquam commodo sagittis justo, in sagittis turpis luctus non. Duis ornare urna eget arcu vestibulum rhoncus. Sed rutrum enim urna, a facilisis enim laoreet in. Curabitur vehicula libero vestibulum, vehicula mi eu, fermentum metus.\r\n\r\nDonec varius auctor quam at tincidunt. Curabitur aliquam porttitor eros, sed aliquet diam interdum porta. Duis maximus tincidunt mauris, non cursus metus vulputate sollicitudin. In hac habitasse platea dictumst. Quisque volutpat vestibulum dolor, vel efficitur justo dignissim nec. Donec eget faucibus purus. Proin sed dignissim nisl. Morbi egestas consequat metus, quis scelerisque nulla sagittis vitae. Nunc ullamcorper sit amet ligula ut eleifend. In imperdiet nibh ultrices nisl lacinia, sit amet faucibus leo maximus. Aenean viverra eu risus pellentesque lobortis. Aliquam aliquet congue justo ut consectetur. Quisque urna ligula, pharetra a sapien vitae, tincidunt pretium augue.\r\n\r\nFusce eu sem quis ante aliquet condimentum at at nisl. Sed rhoncus dapibus lacinia. Quisque rutrum purus viverra, pulvinar augue ac, gravida mi. Maecenas luctus enim ac lorem consectetur fermentum. In porta porta ullamcorper. Sed feugiat fringilla magna vestibulum ullamcorper. Phasellus vitae orci nulla. Praesent sagittis rhoncus enim, non finibus ex vulputate at. Suspendisse purus velit, sollicitudin quis dignissim nec, gravida quis diam. Duis pellentesque efficitur ex et tempor. Suspendisse faucibus turpis volutpat neque maximus laoreet. Proin porttitor nunc eu ligula commodo egestas. Aliquam erat volutpat. ', '', 'full_html'),
('node', 'book', '0', '127', '127', 'en', '0', 'Praesent quis libero id metus gravida porta. Aenean volutpat eu nisi vitae vulputate. Duis a eros quis ipsum auctor faucibus cursus non libero. Maecenas in ipsum dolor. Suspendisse accumsan commodo sem eget volutpat. Suspendisse sollicitudin mauris id elementum tincidunt. Vestibulum eros est, consectetur vel maximus ac, bibendum nec lectus. Ut non lorem vel lectus tristique congue. Curabitur rutrum ipsum et est accumsan, et vulputate tortor ultricies. Etiam et orci lacus. Phasellus ac eleifend diam, a ultricies velit. Proin fringilla velit eu varius cursus. Nam pretium tincidunt urna ac vehicula. Phasellus hendrerit sit amet arcu nec mollis.\r\n\r\nDuis a nunc vulputate, suscipit leo et, condimentum enim. Sed in metus sollicitudin, luctus neque at, bibendum tortor. Integer sit amet velit at ipsum egestas imperdiet eget eu magna. Curabitur in enim mi. Phasellus sit amet dolor vel turpis cursus vestibulum ut quis enim. Suspendisse potenti. Pellentesque vulputate, lorem eu tincidunt interdum, ex quam scelerisque quam, eget scelerisque massa justo ac lectus.\r\n\r\nCurabitur urna orci, bibendum sit amet scelerisque at, egestas quis lorem. Maecenas nec mauris eget dui blandit egestas malesuada ut ligula. Nunc eget fringilla erat. Aenean sed interdum nulla. Aenean aliquam lectus massa, ac rhoncus ligula feugiat ac. Nulla fermentum venenatis lacus sit amet efficitur. Vivamus lacus erat, sagittis eu purus ut, sagittis rutrum turpis. Mauris mollis luctus sem a semper. Proin rutrum lorem sed dolor tincidunt hendrerit vel ac dui. Duis ornare mi sapien, non bibendum arcu finibus eu. ', '', 'full_html'),
('node', 'book', '0', '128', '128', 'en', '0', 'Curabitur leo lacus, auctor vitae lobortis at, vehicula eget erat. Duis in purus non sapien sodales blandit et sit amet tellus. Nulla semper neque quis efficitur dictum. Morbi vel bibendum libero. Nam tempor, tortor non interdum aliquet, purus ipsum consectetur eros, sed ornare magna est nec diam. Pellentesque varius tempor feugiat. Phasellus sit amet finibus turpis. Quisque iaculis et nibh sed tempus. Integer id efficitur ipsum, at hendrerit massa. Nunc dolor est, laoreet sed dolor at, lacinia consectetur mauris. Nam dignissim, nibh placerat convallis commodo, augue eros eleifend ipsum, eget ultricies nisi velit non urna. Maecenas vel bibendum turpis. Integer interdum leo a metus sagittis, quis facilisis urna hendrerit. Nam volutpat est ut ipsum lacinia dictum. Mauris elementum mauris sagittis risus scelerisque pellentesque. Vestibulum maximus bibendum nibh, non dapibus justo bibendum a.\r\n\r\nInteger eros libero, mattis vitae suscipit at, cursus vitae nisi. Nullam aliquam efficitur efficitur. Aenean facilisis vehicula consequat. Suspendisse tempus est sit amet volutpat placerat. Sed sollicitudin lectus facilisis purus vulputate sagittis. Aliquam erat volutpat. Vivamus id egestas erat, eu egestas sem. Nulla justo lacus, auctor at lacus ornare, vehicula vestibulum sem.\r\n\r\nPhasellus vestibulum turpis ac fringilla mollis. Quisque vitae nisi sit amet dolor porta vehicula a nec magna. Suspendisse at ligula non massa volutpat blandit eu eget mi. Aenean ultrices lacinia diam, sed suscipit dolor aliquam vel. Praesent non accumsan tellus. Nam eu dui facilisis, pretium nibh sit amet, pretium justo. Maecenas sollicitudin quis lorem quis porttitor. Sed et semper est. Morbi laoreet diam velit, eget ullamcorper libero volutpat sed. Pellentesque pretium nisi urna, sed pharetra dui congue ut. Praesent tristique nisl vitae justo facilisis volutpat. Aliquam convallis non leo id semper. Pellentesque risus neque, blandit eget nisi in, imperdiet viverra urna. ', '', 'full_html'),
('node', 'book', '0', '129', '129', 'en', '0', 'Proin a nunc porta, blandit nisl et, semper est. Vivamus interdum iaculis ex eu tempor. Vivamus luctus nulla dui, sit amet scelerisque ipsum hendrerit vel. Cras id ipsum sit amet libero elementum luctus. Quisque ut nibh accumsan, mattis quam nec, tincidunt est. Donec vel maximus risus. Duis sit amet libero et sem malesuada molestie. Phasellus placerat, libero in maximus pulvinar, risus velit venenatis nisi, in venenatis est lectus ac nunc. Cras non maximus metus. Sed commodo dignissim quam ac venenatis. Sed a nulla lacus. Ut ut nisi sit amet urna accumsan dignissim ut vitae nunc. Nunc sed mi quam. Nunc libero lorem, blandit vitae urna quis, convallis iaculis nisl.\r\n\r\nFusce iaculis nisi eu lobortis faucibus. Duis lorem erat, venenatis et neque in, aliquam auctor felis. Nulla facilisi. Aliquam erat volutpat. Pellentesque nisl ex, tempus quis dolor bibendum, tristique imperdiet metus. Aliquam scelerisque scelerisque lectus. Pellentesque at tempus nisi. Nullam ut sollicitudin elit, eu dignissim eros. Aliquam blandit arcu ipsum, nec aliquet sem volutpat porta. Fusce sapien orci, pellentesque eu ultricies ac, ultricies eu velit. Pellentesque feugiat vulputate dolor, sed sodales ex tempus a.\r\n\r\nPraesent mollis arcu vel ante condimentum luctus. Nam eu porta urna. Maecenas dui urna, tempor sed lacus vitae, consequat molestie felis. Sed id orci faucibus, congue nisi id, lobortis mi. Phasellus ut justo fermentum, iaculis ipsum sed, pharetra erat. Aenean at eros et dolor tincidunt sollicitudin eleifend vel leo. Morbi egestas imperdiet metus eu pretium. Mauris pretium non erat quis condimentum. Pellentesque rutrum, lorem ac sollicitudin luctus, risus quam dictum nisl, sed accumsan enim nibh nec neque. ', '', 'full_html'),
('node', 'book', '0', '130', '130', 'en', '0', 'Quisque eget rhoncus lectus. Nulla facilisi. Sed nisi ligula, consequat id quam et, efficitur cursus ligula. Praesent a enim eget libero porta porta eu sit amet leo. Mauris tristique felis ac lorem venenatis, at dictum nisi laoreet. Curabitur a maximus sem. Suspendisse luctus risus eget ligula mollis, ac egestas augue dictum.\r\n\r\nUt vel augue erat. Integer ut leo rhoncus, viverra dolor non, aliquam augue. Aenean mauris neque, placerat sit amet dolor tincidunt, maximus ullamcorper felis. Etiam vitae facilisis orci. Fusce id turpis aliquet diam pulvinar mollis. In hac habitasse platea dictumst. Phasellus a efficitur urna. Nullam bibendum turpis quis nulla tincidunt, ornare tincidunt quam vulputate. Mauris at orci id mi facilisis elementum sit amet a turpis. Mauris nec est eu enim luctus pellentesque. Donec eu mauris id sapien laoreet luctus ac eu sem. Nunc vel ante eu risus tincidunt rhoncus.\r\n\r\nAliquam erat volutpat. Etiam elit neque, semper malesuada suscipit eu, eleifend in ligula. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec semper eget nisi mattis faucibus. Fusce iaculis bibendum massa, nec tincidunt justo porta quis. Duis dignissim ex et nunc congue blandit. Suspendisse et enim eu magna dapibus aliquet non nec leo. Etiam metus ante, gravida eget tincidunt eu, egestas ac nibh. Cras accumsan turpis a porttitor accumsan. Integer malesuada eu nibh auctor viverra. Vestibulum vitae lacus a odio ullamcorper mollis posuere vel enim. Praesent sollicitudin turpis vel imperdiet volutpat. Maecenas dictum massa id porta maximus. In imperdiet maximus risus eget posuere. Suspendisse rutrum sodales augue, sed sodales augue vestibulum non. Phasellus vitae lacinia mauris. ', '', 'full_html'),
('node', 'book', '0', '131', '131', 'en', '0', 'Sed condimentum egestas elementum. Praesent sollicitudin turpis in pretium egestas. Nunc hendrerit feugiat urna ac volutpat. Etiam ac ante est. In hac habitasse platea dictumst. Nullam euismod lacinia convallis. Sed purus enim, congue at diam sed, tristique molestie nunc. Sed a consequat mi. Integer sollicitudin leo ultricies nisi mattis, semper hendrerit est bibendum. Morbi tincidunt sit amet est at consequat. Etiam vitae nisi vel ex semper sollicitudin. Nullam dictum, odio quis ullamcorper ultrices, ante neque luctus ligula, eu suscipit nisi libero id enim. Fusce et sapien vel lacus viverra suscipit. Integer aliquet ornare elit, nec volutpat massa auctor eget.\r\n\r\nCras interdum libero turpis, ac lacinia nunc vulputate a. Donec quis orci vestibulum neque ornare dignissim. Mauris eget dictum elit. Proin ac rhoncus eros. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras leo nisi, mollis et auctor eu, egestas quis risus. Morbi accumsan sodales lectus, vitae hendrerit leo luctus ut. Vestibulum lobortis accumsan purus, sed sodales purus. Nunc non velit ut nisi dictum luctus id vitae justo. Aenean magna quam, fringilla quis dignissim at, viverra eu nisl. Mauris scelerisque dui ipsum, a scelerisque libero rutrum eu. Aliquam nec feugiat tellus. Nunc enim tellus, laoreet ut pulvinar ac, gravida vitae urna. Aliquam enim massa, dapibus id iaculis in, aliquam ut risus. Suspendisse at molestie ligula, ac mollis nisl.\r\n\r\nNulla facilisi. Suspendisse sollicitudin augue tincidunt metus sagittis porta. Pellentesque sollicitudin orci ac imperdiet imperdiet. Donec vehicula ligula at felis molestie interdum. Duis nibh sem, efficitur non condimentum ac, ultricies a nunc. Nulla nec finibus nibh. Fusce accumsan ex a dapibus commodo. Ut pretium, lectus sit amet fermentum mattis, mi elit vulputate massa, sit amet tincidunt odio erat vel nunc. Proin tincidunt, ante quis molestie lobortis, neque eros eleifend ipsum, id pulvinar magna massa ut massa. Etiam at velit quis lorem scelerisque efficitur. Quisque ac arcu ut augue bibendum bibendum at vitae dolor. Etiam ut lacinia ipsum, non tincidunt ligula. Fusce finibus arcu est, in tristique turpis dignissim quis. Donec scelerisque in nisi id varius. Proin eget pharetra tellus, nec tincidunt mauris. ', '', 'full_html'),
('node', 'employee', '0', '132', '132', 'en', '0', 'Mauris eget sollicitudin augue. Maecenas id varius ante. Pellentesque gravida, mi eget feugiat semper, diam neque maximus eros, eu volutpat magna leo quis est. Donec consequat sollicitudin odio, vitae dapibus justo cursus sed. Quisque ac ipsum quis nunc aliquet ornare et a urna. Aenean id ex eget sapien pretium elementum eu in turpis. Nulla pharetra sagittis malesuada. Curabitur maximus consequat vestibulum. Aenean sit amet ipsum vitae justo interdum hendrerit. Duis varius magna dui, nec accumsan lectus varius vitae. Suspendisse ac consectetur ligula.\r\n\r\nIn aliquam pharetra enim, eu vestibulum mi cursus a. Fusce tempus mi nec metus varius suscipit. Sed hendrerit justo at sapien commodo consequat. Suspendisse vitae faucibus augue, eget viverra eros. Fusce est eros, vulputate in semper a, pretium at justo. Duis mollis aliquet ante ut dapibus. Nam id faucibus ante. Pellentesque sollicitudin, leo quis iaculis semper, neque massa pretium leo, eget pellentesque erat eros id arcu. Maecenas quis mi odio. Morbi nibh nunc, consectetur vitae tristique id, rhoncus at purus. Sed tristique velit justo, in egestas felis vestibulum et. Proin risus lacus, dictum et aliquet ut, lobortis ut velit. Phasellus id nunc vehicula magna posuere varius vitae sit amet dolor.\r\n\r\nDuis in neque ut libero varius ornare a ut ligula. Phasellus eget placerat eros. Suspendisse ut risus sit amet eros laoreet fringilla eu sed massa. Cras condimentum non augue vitae mollis. Aliquam porttitor ipsum mauris, in viverra velit fringilla at. Sed et lectus velit. Integer porta rhoncus arcu eu lobortis. Integer consectetur neque quis dui ullamcorper vulputate. Integer posuere tellus orci, vel luctus mauris dictum at. Donec iaculis id erat et vulputate. Nullam eros nisl, congue sed scelerisque non, iaculis non metus. ', '', 'full_html'),
('node', 'employee', '0', '133', '133', 'en', '0', 'Integer vel leo at libero ultricies fringilla eget in augue. Sed porta nibh dolor, ac auctor arcu iaculis sit amet. Donec eu varius neque, vel malesuada lacus. Aliquam ex arcu, rutrum vel sapien nec, euismod dignissim tellus. Vestibulum leo dui, dictum sed tincidunt et, imperdiet sit amet augue. Aliquam vulputate orci at elit ullamcorper, sit amet blandit nisl laoreet. Proin et pharetra orci. Cras commodo tellus et massa tincidunt, quis pretium risus condimentum. Aliquam ullamcorper, dolor ultrices lobortis euismod, mi libero luctus ante, vitae imperdiet arcu quam id purus. Nunc lobortis vehicula dapibus. Sed dapibus tempus dui, sed ullamcorper lacus. Fusce finibus eu mi non tincidunt. Pellentesque dignissim ornare diam, dictum consequat neque ultricies ac.\r\n\r\nAliquam facilisis, nisi vel tristique consequat, lorem nulla tincidunt nisl, quis auctor nibh odio id felis. Nunc molestie accumsan magna, vel auctor orci finibus tincidunt. Vestibulum suscipit aliquet nisl ut condimentum. Morbi eu odio sodales, malesuada orci id, volutpat tortor. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed at quam quis augue pretium ultricies et ac augue. Nullam massa orci, euismod non iaculis et, faucibus at ligula. Proin et risus sem. Mauris fermentum ligula lorem, eu porttitor metus pretium et.\r\n\r\nEtiam aliquam sed eros quis auctor. Aliquam iaculis nibh ut mauris dignissim lobortis. Donec imperdiet mauris eu risus mollis, id sodales tortor bibendum. Nam egestas sapien eu dolor imperdiet euismod. Fusce ornare erat sagittis faucibus laoreet. Aliquam suscipit efficitur ex non egestas. Suspendisse egestas luctus felis ac luctus. Ut ac urna nec nisi convallis blandit at id ligula. Suspendisse quis dictum sapien, nec suscipit ante. Integer ac consectetur massa. ', '', 'full_html'),
('node', 'employee', '0', '134', '134', 'en', '0', 'Sed sagittis gravida interdum. Integer sit amet congue odio. Sed eget magna non justo suscipit eleifend at at felis. Praesent feugiat dapibus aliquet. Duis commodo quis dui facilisis vulputate. Fusce egestas nisi ac condimentum volutpat. Proin scelerisque pretium nibh dictum pretium.\r\n\r\nSuspendisse vel risus dignissim, lobortis tellus eget, dictum urna. Donec varius sagittis nisi, quis iaculis erat rutrum eu. Nunc vel mi elit. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus feugiat sit amet odio eget blandit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi lacinia dui id dignissim imperdiet. Nam fermentum, eros in rhoncus consectetur, orci purus sodales ipsum, accumsan tempor dolor mauris ac eros. In vel sapien nunc. Etiam nec mi est. Aliquam ac nibh ut ligula condimentum vehicula. Donec id volutpat enim, id congue justo. Integer nec lorem sit amet risus vulputate mollis.\r\n\r\nPellentesque ac bibendum tellus. Suspendisse nunc ligula, ultrices at tincidunt in, placerat tempor nisl. Nullam ut posuere elit. Morbi feugiat turpis eu orci mattis blandit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc sed consectetur nisi, non pulvinar nisl. Maecenas elit mi, sollicitudin in lectus et, aliquam hendrerit libero. Maecenas ut tincidunt ante. Curabitur vel scelerisque leo. ', '', 'full_html'),
('node', 'employee', '0', '135', '135', 'en', '0', 'Phasellus fermentum arcu urna, non porttitor tortor convallis vitae. Nam eu est mattis, vulputate nisi a, ornare nibh. Mauris vulputate, ex nec mattis tristique, lorem libero facilisis lorem, ut pellentesque risus metus suscipit urna. Suspendisse ut est non elit accumsan tempus. Maecenas est diam, gravida nec ultrices id, tincidunt nec metus. Pellentesque nec sapien sit amet felis facilisis fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In at consequat orci. Phasellus condimentum maximus ligula, ut sollicitudin dui lacinia nec. Vestibulum mattis convallis laoreet. Vivamus non diam commodo, vestibulum turpis ac, vulputate tortor. Vivamus aliquam lectus quis mi accumsan, eget ornare neque facilisis. Morbi volutpat sit amet lectus a dignissim. Curabitur ac dui libero.\r\n\r\nVestibulum hendrerit et lacus at dictum. Sed rutrum massa eget lorem varius tempor nec at ante. Sed dignissim massa aliquam magna interdum, quis dictum turpis tempus. Praesent et pharetra nulla. Aliquam ac scelerisque elit. Suspendisse a tristique libero, et tempor risus. Praesent risus purus, molestie vitae nunc id, sagittis efficitur lectus.\r\n\r\nDonec porttitor justo vitae sem imperdiet dictum. Praesent iaculis facilisis rhoncus. In hac habitasse platea dictumst. Duis quis rhoncus nulla. Sed tempus massa eu pellentesque faucibus. Duis bibendum nisi sit amet eros condimentum euismod. Fusce sit amet vehicula quam. Sed neque sem, pharetra ac aliquet at, pulvinar vel dui. Ut sit amet magna a metus hendrerit maximus. Vivamus et porttitor nibh, nec interdum velit. ', '', 'full_html'),
('node', 'faq', '0', '136', '136', 'en', '0', 'Aliquam eget nisi accumsan, rutrum ipsum at, tristique velit. Integer magna nisl, tincidunt id velit nec, eleifend condimentum magna. Maecenas id tempor turpis. Nulla suscipit malesuada vestibulum. Sed efficitur elit turpis, sit amet lacinia nisl aliquet ac. Curabitur ac neque vestibulum, porta ante et, vulputate urna. Mauris rutrum velit in tempor consequat. Etiam eget nulla nec augue imperdiet iaculis. Suspendisse non dui a tellus ornare mattis ac et sem. Nunc eget aliquam tortor.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vivamus ut molestie massa, vitae pharetra purus. Cras a arcu quis ante tincidunt egestas. Donec ut purus ornare, viverra lectus eu, auctor ipsum. Quisque sodales efficitur quam, id fermentum risus vestibulum a. Ut interdum metus at elementum pharetra. In quis sapien id urna varius efficitur eu et mauris. Nullam pretium eget dolor ut pulvinar. Phasellus viverra enim ac arcu facilisis, sit amet cursus quam maximus. Aliquam id fermentum sem.\r\n\r\nMaecenas in leo neque. In hac habitasse platea dictumst. Suspendisse nibh metus, sodales ac velit sit amet, efficitur sodales lectus. Sed non dolor id lacus rutrum vehicula. Donec ullamcorper diam ligula, sit amet pellentesque arcu rhoncus vel. Curabitur convallis mauris eget varius efficitur. Donec lobortis pretium porta. Duis sollicitudin et eros ut blandit. Ut vitae pellentesque odio. ', '', 'full_html'),
('node', 'faq', '0', '137', '137', 'en', '0', 'Aenean dignissim leo a ornare blandit. Nullam vestibulum volutpat lorem, in hendrerit turpis gravida sed. Pellentesque id accumsan turpis, a blandit orci. In nec viverra nunc. Proin condimentum nulla ac aliquet vehicula. Sed quis metus quis massa vehicula blandit eu at nulla. Fusce id ultricies felis. Cras non neque non nisl consectetur ornare. Proin condimentum nunc diam, quis posuere risus elementum ac.\r\n\r\nSed euismod, arcu in posuere auctor, ligula quam facilisis tellus, sit amet aliquet justo leo id nibh. Curabitur gravida metus ut pharetra venenatis. Aenean et dui vitae eros vestibulum venenatis vitae a enim. Duis maximus cursus lacus, ut malesuada nibh aliquam ac. Integer nec mi sodales, posuere lacus at, viverra nisi. Integer finibus bibendum lorem, varius aliquam erat faucibus a. Curabitur eget ante felis. Aliquam nisl metus, rutrum in mauris aliquam, rutrum faucibus elit. Nulla sollicitudin fringilla ligula eget tincidunt. Nulla mollis mauris in porttitor euismod. Sed eget metus in augue egestas interdum. Duis eget tellus gravida, porta mi ut, lobortis leo. Fusce lorem arcu, porttitor at tellus vulputate, auctor tincidunt metus. Curabitur non arcu sed nulla dignissim viverra.\r\n\r\nVivamus dapibus turpis ac condimentum auctor. Mauris non felis vulputate, elementum ex id, consectetur nisl. Interdum et malesuada fames ac ante ipsum primis in faucibus. Proin sit amet erat justo. Donec eleifend nulla nec sem pellentesque, ac auctor felis tempus. Praesent fringilla eros erat, dapibus aliquet nibh egestas id. Aenean fringilla nunc sem, at sodales tellus sollicitudin sed. In fermentum, arcu et aliquam vestibulum, justo ex ullamcorper lacus, sit amet condimentum libero leo nec ante. Pellentesque scelerisque iaculis dui vitae semper. Praesent hendrerit dapibus nibh at feugiat. Aenean ex lacus, tempor non risus a, gravida mattis libero. Donec ultricies magna sit amet risus blandit vestibulum. Mauris vitae lobortis dui. Nam pretium mi enim. Cras id scelerisque magna, in venenatis leo. Sed id egestas nulla, nec mollis mauris. ', '', 'full_html'),
('node', 'faq', '0', '138', '138', 'en', '0', 'Integer cursus congue urna ut posuere. Pellentesque non sodales felis. Proin cursus viverra feugiat. Donec dictum condimentum quam sed facilisis. Suspendisse ac elit magna. Sed mi velit, tincidunt id venenatis vitae, aliquet sed justo. Vivamus maximus dictum diam et pulvinar. Nunc commodo ante euismod odio tempor ullamcorper. Vestibulum tincidunt nisl non ex eleifend, non posuere nunc efficitur. Sed blandit ut quam nec vestibulum. Sed id odio ut mauris tristique rutrum at ac sem.\r\n\r\nInteger in volutpat mi. Nunc quis dolor lobortis, porttitor metus vel, ultricies nisi. Quisque semper, justo at pulvinar feugiat, dolor nibh laoreet ex, non mattis lacus dui sed erat. Maecenas vitae erat at lorem tincidunt congue vel et nisi. Nullam porttitor accumsan suscipit. Sed felis velit, ultricies ut dictum nec, commodo vel purus. Donec accumsan sapien sed purus eleifend fringilla.\r\n\r\nAenean vulputate at ipsum a faucibus. Phasellus ut gravida turpis. Nunc sapien magna, tincidunt non leo a, dictum porttitor lectus. Nullam viverra odio auctor tortor molestie malesuada. Praesent tincidunt ornare sapien, id egestas diam sodales a. Praesent lacus mauris, suscipit sed laoreet sit amet, tempus et mi. Pellentesque mollis odio sed ante fermentum, id fringilla elit dignissim. Duis egestas leo nec fringilla sollicitudin. Mauris at urna venenatis, convallis velit eget, tempus urna. Pellentesque id porttitor felis, a aliquam dolor. Ut nec diam tellus. ', '', 'full_html'),
('node', 'faq', '0', '139', '139', 'en', '0', 'Curabitur lobortis convallis mi, vitae bibendum augue auctor vitae. Donec vulputate varius elit. Sed vel lorem nec ligula tincidunt eleifend. Maecenas turpis nunc, ultrices a volutpat eget, finibus mattis arcu. Vivamus faucibus fringilla turpis volutpat ullamcorper. Sed interdum est libero, id iaculis est euismod quis. Nulla volutpat lacinia nunc. Vivamus vitae mi ut dolor egestas tristique. Nunc auctor, sem eu convallis porttitor, dolor turpis ullamcorper nulla, eget feugiat lorem est eget magna. In egestas nisi et ipsum malesuada facilisis. Cras dictum risus id iaculis fermentum. Curabitur finibus nulla eros, tincidunt feugiat nisl suscipit vel. Morbi et erat ut arcu venenatis condimentum vitae faucibus magna. In posuere eros eu scelerisque pharetra.\r\n\r\nInteger accumsan imperdiet erat, ac aliquam ligula congue a. In pharetra est at bibendum lobortis. Ut faucibus lectus ac tellus luctus, at bibendum justo condimentum. Donec et placerat urna, quis eleifend metus. Suspendisse id diam luctus, sagittis ligula non, vulputate lectus. Quisque consectetur, arcu a consectetur finibus, dui ante congue elit, ullamcorper cursus nunc erat non ante. Nullam iaculis blandit finibus. Nulla congue erat non pellentesque viverra.\r\n\r\nInteger in rhoncus nulla. Fusce vehicula massa quis pellentesque consectetur. Nunc commodo, lorem ac dignissim ornare, nibh augue commodo massa, eget pulvinar lectus turpis tincidunt erat. Suspendisse pellentesque eros in porta pulvinar. Nulla ultrices scelerisque diam, vitae congue felis laoreet id. Ut non tempus massa. Aliquam consequat est vel tellus scelerisque consectetur. ', '', 'full_html'),
('node', 'tariff_plan', '0', '142', '142', 'en', '0', 'Aliquam interdum turpis at quam luctus, vitae maximus mauris laoreet. Nullam convallis est nec dui consequat, ut faucibus quam fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque ac ultrices metus. Vivamus iaculis nunc eu justo consectetur, ac blandit erat tincidunt. Nulla eget sapien eleifend, viverra ipsum at, iaculis ex. Phasellus at nisl in nulla aliquet molestie a in ex. Aenean sit amet nisl ipsum. Interdum et malesuada fames ac ante ipsum primis in faucibus. Suspendisse potenti. Praesent eget lacus viverra, maximus ex a, accumsan magna. Aliquam neque dui, semper pellentesque congue quis, semper quis nisi. Curabitur velit velit, elementum vitae dolor eu, tempor consectetur elit. Curabitur et tortor tortor. In hac habitasse platea dictumst. Aenean quis nulla sagittis, facilisis eros non, pellentesque dui.', '', 'full_html'),
('node', 'tariff_plan', '0', '143', '143', 'en', '0', 'Proin porta ligula aliquet imperdiet fringilla. Cras dui turpis, mollis vitae facilisis vitae, aliquam molestie enim. Fusce urna ex, sollicitudin eget mauris sed, porta dignissim est. Pellentesque dignissim tellus vehicula elit varius laoreet. Fusce vitae urna dapibus, scelerisque augue et, porttitor mauris. Etiam consequat elementum tortor vitae hendrerit. Suspendisse varius ante metus, id aliquam est tincidunt id. Aliquam egestas urna non orci aliquam hendrerit non sed tellus. Quisque ac ligula eu est tincidunt tincidunt in eu purus. Suspendisse dui urna, maximus vitae ligula vel, laoreet facilisis elit. Nunc ullamcorper, sem sit amet rutrum pellentesque, nisi libero varius dui, in bibendum purus mi nec nibh. Proin mattis augue eget lorem interdum, eu posuere ipsum rutrum. Ut tristique dictum dignissim. Nunc scelerisque metus tortor, nec vehicula sem aliquet non. ', '', 'full_html'),
('node', 'tariff_plan', '0', '144', '144', 'en', '0', 'Donec finibus vitae turpis a varius. Suspendisse erat nisi, pretium id accumsan ac, vulputate non orci. Nulla sed odio aliquet, scelerisque mi et, sagittis arcu. Fusce sagittis ligula lorem, eu ultrices ipsum volutpat egestas. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec vel tincidunt quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce pellentesque nisl vel auctor aliquet. Praesent eget tempus sapien. ', '', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'en', '0', 'Nulla luctus maximus massa, quis gravida nunc tristique et. Donec vulputate elementum mollis. Fusce rutrum fringilla enim quis tincidunt. Sed a tincidunt diam. Ut ornare, justo eu posuere commodo, nunc est aliquet ante, iaculis luctus purus felis et erat. Nunc egestas tristique quam quis congue. Nullam at eros eu sapien varius consequat. Fusce pellentesque mauris a neque fringilla, eu mollis metus rutrum. Suspendisse non ullamcorper ante. Nulla tristique ex id orci mattis, eu blandit justo maximus. Nulla maximus purus ut lectus pharetra bibendum. Quisque eget viverra nulla. ', '', 'full_html'),
('node', 'tariff_plan', '0', '146', '146', 'en', '0', 'Cras in pulvinar orci. Vestibulum magna mauris, malesuada eu bibendum quis, pulvinar vitae libero. Cras ac varius magna, sed tristique est. Interdum et malesuada fames ac ante ipsum primis in faucibus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam tincidunt odio id hendrerit iaculis. Donec luctus maximus eros, eget porttitor enim ornare in. Phasellus sapien nibh, luctus sit amet sapien eget, rhoncus fringilla elit. Nullam vulputate metus et tortor malesuada scelerisque. Maecenas sed finibus justo. Ut a tincidunt libero, in luctus ante. Pellentesque euismod pellentesque placerat. Nam neque turpis, fermentum id dignissim eu, varius ut sapien. ', '', 'full_html'),
('node', 'article', '0', '147', '147', 'en', '0', 'In leo erat, pellentesque id elit in, cursus consequat nibh. Vivamus id metus efficitur, interdum massa sit amet, fringilla sapien. Nunc mi nibh, pellentesque posuere pulvinar at, mollis id ligula. In nec bibendum nisi, quis pharetra justo. Duis ut egestas risus, sed congue nisi. In hac habitasse platea dictumst. Pellentesque vestibulum non dui eget finibus. Sed sagittis, purus et malesuada sollicitudin, mi tellus aliquam magna, suscipit luctus lectus nisi non purus. Praesent maximus lacinia blandit. Mauris semper sodales sem, ut consectetur sem tristique tincidunt. Vivamus nec hendrerit velit. Nam fermentum suscipit dictum. Donec in lectus ut libero malesuada blandit. Aliquam feugiat ante at eros efficitur, eu ultrices leo dictum. Etiam non pretium dui. Interdum et malesuada fames ac ante ipsum primis in faucibus.\r\n\r\nSed mollis sapien non quam gravida vulputate. Sed a libero magna. In varius nibh quis placerat eleifend. In hac habitasse platea dictumst. Suspendisse potenti. Nullam volutpat erat id ligula feugiat, ut ornare est suscipit. Cras ultricies augue id magna laoreet pharetra. Integer vitae enim et urna faucibus convallis sed vel velit. Nulla id risus vitae lacus pellentesque tempus ac a est.\r\n\r\nIn euismod porttitor libero id lobortis. Mauris nec imperdiet felis, hendrerit lobortis dui. Suspendisse vel sapien convallis turpis facilisis rhoncus eu vel erat. Quisque velit mi, cursus a gravida non, lobortis non est. Phasellus et elit egestas purus ornare pellentesque. Ut in ultricies neque. Sed eget enim et turpis cursus condimentum. Maecenas convallis ante diam, nec ullamcorper lacus congue nec. Curabitur tristique massa dignissim dui lacinia semper. Maecenas volutpat semper mi, mattis fermentum libero ornare rutrum.\r\n\r\nDonec eleifend felis a purus condimentum hendrerit sit amet nec sapien. Nulla orci augue, facilisis eget finibus vel, dictum et felis. Praesent pretium aliquam suscipit. Nam semper ac arcu quis ultrices. Aliquam erat volutpat. Ut id nunc nibh. Donec lectus ex, fringilla et risus ac, molestie ultricies ex. Nulla a imperdiet eros. In a erat viverra, vulputate nisi vehicula, ultrices dolor. Duis nec odio velit.\r\n\r\nMorbi aliquet, ex in pharetra aliquet, urna justo euismod augue, non semper nulla nibh eget velit. Vestibulum sed hendrerit mi, sit amet maximus tortor. Nullam scelerisque augue id ex dictum luctus. Nulla enim erat, tristique nec magna ut, laoreet euismod nisl. Mauris euismod, leo quis scelerisque pretium, augue nulla mollis odio, nec ornare augue metus nec nisl. Donec dictum dapibus nunc et aliquam. Mauris varius commodo dignissim. Fusce lobortis mi sit amet est dapibus, eget eleifend sem condimentum. Etiam eget laoreet metus, quis lacinia sem. Mauris vel turpis eget neque facilisis efficitur. Aenean eget metus semper, imperdiet sem vitae, tristique ipsum. Curabitur at urna vel tellus ultricies tincidunt. Duis mi diam, dignissim sit amet mollis at, interdum sit amet velit. Donec vel ex cursus, faucibus ligula non, rhoncus urna. In elementum tortor ex, a condimentum nunc lacinia eget. ', '', 'full_html'),
('node', 'article', '0', '148', '148', 'en', '0', 'Mauris a massa id purus pellentesque commodo a et dolor. Maecenas dictum pellentesque nisi, et blandit orci volutpat nec. Curabitur quis suscipit metus. Mauris ac arcu at arcu molestie sagittis vel et lorem. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec quis ante dictum, tempor neque et, dictum magna. Suspendisse sit amet lacus vel turpis dignissim blandit. Nulla et placerat lacus, ut suscipit nunc. Cras sed accumsan magna. Cras sit amet dictum nunc, vitae suscipit purus. Nam in lacus at ex venenatis lacinia sit amet eget felis. Proin convallis mauris a posuere semper. Suspendisse potenti. Nunc pretium ipsum at suscipit egestas. Etiam vitae viverra risus, ut ornare augue. Maecenas venenatis non enim eget lacinia.\r\n\r\nIn mollis tincidunt felis vitae imperdiet. Curabitur in eros ullamcorper ipsum sodales gravida vitae a erat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Proin rhoncus urna fermentum, elementum elit at, gravida eros. Quisque sagittis suscipit sapien, id mollis nisl bibendum et. Quisque sem ante, consequat eget nulla eu, convallis euismod mauris. In eget feugiat mi. Nunc quam enim, hendrerit ac aliquet nec, dignissim at erat. Suspendisse potenti. Cras consectetur posuere vehicula.\r\n\r\nFusce pellentesque placerat tortor, ac placerat sem ornare ut. Aliquam semper eleifend est, quis pharetra nunc rutrum eget. Etiam dictum dolor et lacus vulputate, et vehicula leo venenatis. Aenean vehicula magna in ex luctus consequat. Proin porta, lacus ac ornare sollicitudin, massa ligula maximus tellus, sed venenatis tortor velit ac velit. Maecenas maximus tempus odio et varius. Vestibulum vehicula felis in tellus commodo scelerisque. Sed luctus nisl eu nisl imperdiet, ut porttitor est laoreet. Suspendisse potenti. Aenean vel fringilla nibh, et ullamcorper quam.\r\n\r\nProin rutrum suscipit turpis imperdiet fringilla. Pellentesque ultrices fermentum lectus nec pretium. In porta eu magna et fermentum. Fusce vel velit a turpis commodo pretium sed non dolor. Nulla facilisis maximus pellentesque. Quisque pellentesque tempus dui id euismod. Nunc convallis arcu ac tincidunt hendrerit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla elit est, rutrum sed facilisis nec, sodales ac leo. Proin eu tempus mauris. Integer nibh massa, scelerisque faucibus augue ut, congue convallis nulla. Phasellus tempus aliquet leo, eget varius arcu volutpat non. Nullam quis libero metus. Duis ullamcorper urna lectus, in cursus nisl pharetra et.\r\n\r\nPraesent at eleifend nibh, ut mollis orci. Quisque aliquam at ex fermentum consectetur. Sed porttitor, ligula sed iaculis vulputate, turpis tellus imperdiet libero, sed suscipit augue neque eget mauris. Aenean pretium ornare nulla pretium facilisis. Sed facilisis fringilla dapibus. Integer suscipit metus quam, eget suscipit sapien ornare et. Aenean leo lacus, consectetur et eros et, laoreet commodo mi. Nulla tincidunt lorem sit amet viverra hendrerit. Suspendisse lectus nibh, faucibus a lobortis sit amet, luctus vitae augue. Curabitur vel purus lacus. Fusce ut elementum dolor. Phasellus imperdiet tincidunt aliquet. Aenean aliquet ac nisl ac aliquam. Duis vulputate finibus ullamcorper. Maecenas nisi felis, tempus tincidunt lacus eu, pretium egestas risus. ', '<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\r\n\r\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>', 'full_html'),
('node', 'article', '0', '150', '150', 'en', '0', 'Vestibulum tristique vel dolor nec facilisis. Nam urna nisl, luctus non magna eget, consequat vestibulum justo. Proin lobortis dui a ligula sollicitudin luctus. Nulla facilisi. Vestibulum rhoncus rhoncus ornare. Mauris tincidunt eu velit ac dictum. Vivamus lectus dui, dignissim ac sapien pellentesque, tempus blandit lacus. Sed cursus id metus sed feugiat. Suspendisse ac erat molestie, vulputate mi pellentesque, imperdiet lorem. Nam blandit non mi in faucibus. Quisque pellentesque euismod purus. Sed accumsan libero in odio interdum iaculis. Vivamus et quam magna. Duis nisl lacus, vestibulum vitae bibendum ac, rhoncus sit amet turpis. Curabitur sit amet fringilla tellus. Proin purus ex, auctor non fringilla sed, sagittis sit amet leo.\r\n\r\nDonec aliquet libero eu velit iaculis condimentum. Aenean aliquet et tellus facilisis sodales. Morbi at est congue, tempus dolor ac, sodales justo. Duis ut aliquam odio. Suspendisse eget lorem et lectus viverra pharetra non eu elit. Mauris aliquet placerat ante sed euismod. Phasellus vel neque dapibus, accumsan enim in, feugiat quam. Mauris nec quam nulla. Quisque enim leo, ornare nec massa ac, dapibus sagittis nunc. Nunc ut malesuada libero, sed pretium velit. Aenean vel mollis massa, sit amet tempor libero. Aenean non lectus commodo urna venenatis aliquam eget ac nulla. Nullam sit amet suscipit quam.\r\n\r\nVivamus mollis id massa ac dapibus. Praesent in eleifend purus. Vestibulum metus tellus, auctor et felis quis, ultricies tempus sem. Cras consequat, ligula non elementum placerat, nulla ligula porta nisl, ac maximus nunc ligula eget metus. Sed non congue turpis. Nullam mi justo, fringilla et mollis egestas, vestibulum sed ante. Mauris posuere faucibus dolor, quis iaculis felis porttitor non. Vivamus a lectus vulputate, ultricies tortor nec, tincidunt nulla. Nulla facilisi. Curabitur nec leo sed urna varius aliquam nec eu mi. Morbi fringilla porttitor tempor. Morbi congue molestie facilisis.\r\n\r\nDonec blandit justo sit amet est rhoncus, vel accumsan urna sodales. In laoreet, nisl ultrices venenatis molestie, justo metus gravida elit, nec hendrerit nisl ipsum a eros. Suspendisse luctus arcu at est egestas euismod. Suspendisse pharetra sit amet massa id ullamcorper. Aliquam efficitur tempor libero, vestibulum luctus dui. Nullam vestibulum sodales velit, vel cursus diam. Sed interdum eros in dui venenatis, at dapibus erat ullamcorper. Sed vitae erat bibendum, interdum leo non, mollis nunc.\r\n\r\nSed tempus tempus eros quis fringilla. Nulla at ante eu leo ornare imperdiet. In hac habitasse platea dictumst. Mauris euismod massa in elit fermentum, et vehicula ligula aliquet. Aliquam faucibus pharetra augue non vulputate. Quisque et bibendum mi. Pellentesque at imperdiet felis, quis accumsan risus. In elit augue, ullamcorper a pretium ac, interdum quis diam. Cras at maximus ipsum, cursus euismod risus. Ut consequat ligula vitae felis malesuada ullamcorper. Praesent ac sapien nisl. Praesent nunc eros, maximus id orci in, condimentum pretium felis. ', '', 'full_html'),
('node', 'article', '0', '151', '151', 'en', '0', 'In id turpis a dui ultrices faucibus. Cras ante ipsum, aliquet sed ligula pharetra, volutpat congue justo. Mauris feugiat pulvinar lobortis. Nulla bibendum interdum arcu ac lobortis. Fusce tincidunt venenatis purus ac rhoncus. Donec commodo, erat et consectetur malesuada, neque justo elementum ipsum, ac vestibulum ex lacus eu augue. Proin congue ex tortor, sed sodales ipsum luctus in.\r\n\r\nNunc sed dapibus libero, id aliquet nibh. Nunc eget sodales elit. Vestibulum metus metus, tempus ut urna eu, ullamcorper egestas leo. Donec condimentum felis et est convallis, vulputate condimentum quam consectetur. Nullam pretium sit amet neque eget pulvinar. Phasellus nisl turpis, egestas et dictum eu, dictum eu libero. Donec vitae venenatis dui, sed interdum massa. Ut auctor nulla id suscipit venenatis. Sed ac nunc id orci tristique varius. Vestibulum molestie elementum molestie. Ut varius lectus ac viverra tempus. Mauris felis purus, tincidunt eu lorem ac, pellentesque aliquet enim.\r\n\r\nAliquam finibus non diam in consectetur. Etiam sagittis efficitur augue, et mattis sem aliquet tincidunt. Proin tristique tellus nisi, vitae viverra quam rhoncus non. Nullam tincidunt ut ipsum non semper. In mollis est quis diam aliquet, non rhoncus nunc laoreet. Aliquam accumsan ac quam nec placerat. Aliquam pulvinar lorem vitae augue porta, vitae vulputate enim maximus. Vestibulum non interdum nisl, ut egestas felis. In imperdiet pretium tortor in sodales.\r\n\r\nNullam porta dui sit amet ipsum accumsan, nec egestas ipsum volutpat. Nulla facilisi. Fusce pharetra massa est, et ornare turpis volutpat ac. Vivamus ac tincidunt dui. Aenean non ex eget tortor ullamcorper cursus eget sed mauris. Praesent nec mollis nisl, eu fringilla enim. Pellentesque massa nibh, interdum ut tincidunt vitae, auctor ac lorem.\r\n\r\nProin eget ipsum imperdiet, finibus metus sit amet, auctor arcu. Vivamus non purus quis dui commodo feugiat. Nulla et velit lectus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin a posuere orci, id luctus orci. In malesuada libero eget sem dignissim, in tincidunt velit iaculis. Praesent sollicitudin ex ipsum, at placerat lectus gravida vel. Suspendisse ultricies, risus quis placerat ullamcorper, enim nunc semper dolor, quis viverra velit nibh ut justo. Ut sit amet tempor turpis. Aenean imperdiet felis non molestie congue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas et condimentum eros. ', '', 'full_html'),
('node', 'service', '0', '152', '152', 'en', '0', 'Nullam ut posuere turpis. Maecenas ultricies, massa scelerisque vehicula ultrices, mi mauris congue ligula, id tempor enim turpis eget risus. Nulla egestas ante vel eros iaculis, id ultricies nisl lacinia. Vivamus luctus diam quis turpis viverra, a convallis quam iaculis. Curabitur dictum mollis massa eu placerat. Integer quis diam facilisis, egestas lorem vitae, semper quam. Quisque sit amet metus sit amet tortor lacinia ultricies. Sed nisl nisl, dictum ut velit id, dignissim iaculis nisi. Aliquam dictum nunc eros, in efficitur mi sodales et. Cras et eros vel urna ultrices lacinia. Nam nec tempus orci. Mauris commodo diam eget molestie lacinia. Nulla consectetur est sed lectus vehicula consequat.\r\n\r\nPhasellus nisi ipsum, interdum a enim ac, scelerisque sagittis risus. Vivamus nec semper sem, luctus viverra nisl. Sed dignissim libero sit amet purus aliquet commodo. Nam cursus vel augue nec dignissim. Morbi et eros nisl. Nunc varius convallis justo eget porta. Suspendisse blandit pharetra elit, ac faucibus ligula fringilla in. Donec eget nisl mollis, facilisis ipsum id, mollis justo. Duis ullamcorper neque vitae ligula efficitur, sed commodo enim sagittis. Integer et mattis purus, ac porttitor lectus. Nunc luctus, augue a sagittis posuere, nisi mauris malesuada elit, sit amet porttitor dui mauris sit amet eros. Sed ultricies dolor nec diam pellentesque cursus. Nulla at ultricies nisl. Aliquam erat volutpat.\r\n\r\nPellentesque quis ligula tempus, consequat magna vitae, euismod sem. Sed et mi erat. In id leo justo. Maecenas lacinia ex eu felis sagittis tincidunt. Aenean id facilisis nunc. Etiam sagittis justo a justo ullamcorper, ut interdum nunc malesuada. Donec viverra lacus interdum felis elementum, ut dapibus sem pellentesque. Nulla nulla diam, venenatis sed sem sit amet, porttitor suscipit ligula. Maecenas lacinia, augue ac dictum tristique, erat metus luctus risus, et rutrum neque tellus sed arcu. Suspendisse consequat felis ut lacinia mattis.\r\n\r\nPraesent laoreet lectus nec augue imperdiet maximus. Mauris iaculis lacus ut imperdiet elementum. Phasellus risus lectus, rhoncus eget pharetra quis, ultrices semper magna. Donec consequat elementum sollicitudin. Nulla eget ligula vel lacus ultricies placerat ut ac lorem. Nunc metus dolor, maximus vel neque in, sollicitudin fermentum est. Nunc neque dui, laoreet at felis et, commodo bibendum nibh. Sed ut aliquet erat.\r\n\r\nPellentesque ligula elit, rhoncus ut dui eleifend, malesuada mollis elit. Aliquam semper vel diam nec porta. Nam suscipit dictum tellus, tempor luctus nisl egestas in. Nulla condimentum volutpat dui, nec ullamcorper dolor vestibulum ac. Etiam porttitor leo risus, non dictum purus dictum non. Nam vulputate tincidunt efficitur. Curabitur lobortis metus ligula, non ultrices justo convallis eu. Nullam ut molestie nulla. Sed ligula sem, fringilla ac sagittis nec, imperdiet vel nunc. Nulla sapien magna, consequat a ultricies in, consequat sed sem. In ut ipsum nibh. Praesent sit amet lectus sit amet turpis consectetur placerat. ', '', 'full_html');
INSERT INTO `field_data_body` VALUES
('node', 'service', '0', '153', '153', 'en', '0', 'Mauris ac pulvinar neque. Suspendisse eu rhoncus erat, in congue diam. Nulla at posuere mauris. Nulla vitae nulla lacinia, luctus sem sit amet, dignissim mi. Integer mollis, ipsum vel euismod eleifend, ex nulla suscipit odio, a gravida lectus est nec nibh. Donec ac fermentum dui. Integer in purus gravida turpis commodo finibus. Proin semper laoreet orci, vel suscipit lacus porta nec. Vestibulum et vehicula ante. Phasellus eget justo mi.\r\n\r\nDonec pretium tincidunt feugiat. Curabitur vel mi mauris. Nam quis imperdiet elit. Pellentesque consectetur maximus diam eget auctor. Proin volutpat ligula at purus posuere, maximus sagittis libero feugiat. In hac habitasse platea dictumst. Aenean sed velit elementum, fringilla nisi in, maximus arcu. Sed eget ligula imperdiet elit efficitur fringilla at eget dui. Aenean id commodo ante. Proin odio libero, cursus in vestibulum a, eleifend quis mauris. Vivamus quis sem lacinia, bibendum nibh ac, euismod diam. Proin tincidunt iaculis diam, ut rutrum dolor volutpat sed. Etiam auctor ullamcorper dui in porta. Sed interdum eget eros ut eleifend.\r\n\r\nSed facilisis urna vel quam rhoncus sodales. In hac habitasse platea dictumst. Etiam ullamcorper ornare risus in convallis. Donec finibus quis nisi sit amet viverra. Suspendisse malesuada dolor finibus tellus porttitor, non sollicitudin odio rhoncus. Vestibulum sed nulla in tellus pretium porta. Suspendisse potenti.\r\n\r\nFusce vitae vehicula arcu, nec mollis ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam pharetra, mauris at ullamcorper hendrerit, turpis orci laoreet purus, non tempus nisl diam eget lorem. Phasellus eu dolor id dui fermentum malesuada eu non mauris. Quisque non ante diam. Nulla facilisi. Suspendisse iaculis felis placerat nisi hendrerit porttitor. Sed laoreet augue ligula, ut pellentesque sapien accumsan a. Praesent id felis sapien. In hendrerit est sit amet efficitur cursus. Mauris luctus suscipit quam, at pellentesque ipsum sagittis et. In eu mollis ante. Mauris fringilla mi sed laoreet scelerisque.\r\n\r\nVivamus volutpat quam quam, ut eleifend velit malesuada ut. Pellentesque pretium purus a sapien mollis gravida. Praesent id luctus sem, sit amet semper nulla. Quisque sed nibh velit. Etiam pretium purus ut pulvinar efficitur. Fusce convallis tempor neque, eget porttitor felis gravida quis. Praesent elit ante, molestie ut lacus a, dictum aliquam nunc. Quisque et nunc malesuada, facilisis nulla ut, pulvinar ex. Nunc lacinia accumsan porttitor. Phasellus sed laoreet elit. Donec tempus lacus nec risus laoreet dapibus. Nullam vel aliquam lacus, vitae facilisis lacus. ', '', 'full_html'),
('node', 'service', '0', '154', '154', 'en', '0', 'Nulla venenatis pulvinar neque, vitae dignissim est ultrices vitae. Duis vel diam at augue tincidunt maximus. Sed gravida et ligula eu ultricies. Donec maximus maximus nisi, et dapibus est venenatis id. Sed molestie at nibh rutrum ornare. Sed vestibulum nulla in tortor porta, a viverra metus ultricies. Curabitur pharetra, tortor eu sollicitudin varius, enim metus laoreet massa, eu maximus neque sem vitae mi. Nulla sollicitudin orci et leo viverra imperdiet. Proin et justo nec mi porta suscipit sit amet sed eros. Nulla eu libero diam. Aenean id vestibulum diam, eget iaculis eros. Aenean nec enim a nisi viverra consectetur at nec mauris. Maecenas sed lectus quis quam eleifend iaculis. Nulla vitae quam nec purus lobortis rutrum vel sed elit.\r\n\r\nIn luctus fermentum mauris sit amet vestibulum. Donec maximus facilisis diam, vitae vehicula odio euismod a. Suspendisse ut mollis massa, vel rhoncus ipsum. Nam et tellus pulvinar, suscipit sapien non, vestibulum magna. Sed et dolor imperdiet, fringilla purus vitae, volutpat orci. Duis nulla orci, sagittis quis eleifend non, hendrerit a turpis. Ut consectetur ornare tortor eget malesuada. Curabitur quis dui gravida lectus pretium hendrerit vel nec nisi.\r\n\r\nNam et vestibulum ex, laoreet placerat elit. Vivamus sit amet libero dui. Donec posuere sem nec mi accumsan, eget eleifend ex vulputate. Curabitur venenatis ut nisi vel vehicula. Pellentesque nec iaculis urna. Integer a elit ac quam sollicitudin hendrerit quis at tellus. Vestibulum sed nulla eget turpis faucibus consequat eleifend non mauris. Aenean tellus felis, tincidunt non elit id, vestibulum tristique purus. Integer congue sodales urna. Proin sagittis nibh in est blandit, a consequat arcu consectetur.\r\n\r\nNulla nec nunc ac erat mattis consequat. Suspendisse posuere, urna a mollis feugiat, purus nisl mattis tortor, vel condimentum nisl nulla laoreet mi. In venenatis lacus quis orci sodales sodales. Phasellus feugiat consequat cursus. Nullam nulla magna, hendrerit id ligula in, rutrum sagittis ante. Morbi sed malesuada nisl. Etiam tincidunt lacinia lacinia. Sed vitae lorem eget enim dignissim vehicula. Sed bibendum nec dolor eget placerat. Integer fermentum interdum est ut posuere.\r\n\r\nVivamus eget aliquet neque. Vestibulum maximus odio vel lectus efficitur, nec dictum ipsum vestibulum. Aliquam varius tincidunt dui vel hendrerit. Nam condimentum sodales diam ut posuere. Integer pretium at nisi non pharetra. Aliquam at rutrum ligula. Aliquam viverra ornare tellus, elementum tempus sem sollicitudin at. Morbi eleifend erat nec placerat faucibus. Donec eget odio turpis. Mauris in est eu ante dignissim sollicitudin eget non urna. Ut purus sapien, eleifend eu dictum vitae, convallis vel justo. Mauris molestie nibh vitae est euismod maximus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nulla tincidunt nisi et orci molestie, quis pharetra dui egestas. ', '', 'full_html'),
('node', 'service', '0', '155', '155', 'en', '0', 'Mauris maximus, est vel congue pharetra, ante diam bibendum tortor, nec rutrum elit nisl et tellus. Maecenas egestas nisi sit amet nibh fermentum mollis. Maecenas quam libero, lacinia eu rutrum ut, imperdiet vitae justo. Vivamus et nulla a quam viverra aliquet quis a lorem. Mauris purus lacus, aliquam iaculis arcu ut, luctus aliquam purus. Nulla egestas est sagittis placerat placerat. Nunc odio orci, aliquam ut tristique in, eleifend a tellus. Nam euismod odio eget turpis facilisis tristique. Pellentesque pulvinar, justo sed fermentum luctus, justo justo tristique massa, eu blandit purus magna semper risus. Ut vitae leo auctor, eleifend nisl vitae, fermentum arcu. In rhoncus, neque vel dapibus aliquet, dolor tortor convallis sem, luctus consectetur nulla enim eu ex. Aenean vitae vehicula lectus. Pellentesque ac lacinia dolor. Integer nunc ligula, accumsan a hendrerit volutpat, commodo dignissim lectus. Nunc tempor sem ac risus iaculis feugiat.\r\n\r\nMauris ultrices ex nibh, at lacinia magna finibus et. Quisque vulputate nisi ut faucibus scelerisque. Ut blandit felis vel ullamcorper faucibus. Maecenas aliquet neque vel odio convallis, eget tristique lectus tincidunt. Nullam dictum dignissim congue. Quisque a viverra risus, nec ultricies lacus. Phasellus elementum felis nibh, non ultrices quam interdum at. Mauris porta ipsum ut sapien laoreet aliquam. Ut pellentesque, felis commodo facilisis ultrices, massa sapien placerat odio, sit amet vehicula enim metus non enim. Aenean ac sem rutrum, cursus nisi nec, mattis urna. Aenean non massa a risus ultrices volutpat non sed lacus. In placerat faucibus diam at vulputate. Fusce tincidunt suscipit urna, et blandit eros semper non. Praesent malesuada neque et aliquam cursus.\r\n\r\nPellentesque interdum arcu ut nulla semper, vitae consequat erat pellentesque. Sed ex orci, mattis sodales semper vel, ultricies nec sem. Maecenas eget blandit felis. Suspendisse non magna non nulla interdum pellentesque id vitae felis. Curabitur in ligula quis risus feugiat ullamcorper eu sit amet massa. Donec tincidunt vel elit id efficitur. Vestibulum vulputate lacus ut nunc condimentum, et molestie enim facilisis. Phasellus interdum a lorem elementum faucibus. Quisque cursus semper interdum. Donec auctor, ex sit amet pretium aliquam, orci dui rutrum risus, vitae elementum nunc nunc vel ex. In interdum felis lectus, quis eleifend lorem cursus in. Cras consectetur, nisl quis tempor maximus, mauris eros sodales leo, ac congue velit odio quis lorem. Fusce nibh augue, viverra ultrices volutpat in, viverra sed erat. Morbi ultricies venenatis justo, et imperdiet massa. Nunc eu tincidunt lacus, eget cursus quam. ', '', 'full_html'),
('node', 'service', '0', '156', '156', 'en', '0', 'Maecenas porttitor mi nec vulputate vestibulum. Donec pretium, libero in rutrum ullamcorper, tellus lacus pulvinar urna, at maximus diam velit quis neque. Nullam semper ornare est quis elementum. Pellentesque rhoncus mattis diam, sed dignissim libero rhoncus eget. In sed justo tincidunt, fringilla metus id, congue lorem. Phasellus vitae consectetur arcu. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed sit amet interdum dolor. Quisque non odio consectetur, commodo tellus eget, rutrum ipsum. Vivamus sed enim sed augue tincidunt porta vel eu nunc.\r\n\r\nSuspendisse mollis pellentesque augue, et viverra quam. Proin a est urna. Praesent efficitur nulla tortor, in facilisis ante ultrices vitae. Nam maximus at nisi nec rhoncus. Praesent fringilla at dui ac accumsan. Vivamus tempus tempor erat eget volutpat. Nulla dignissim lorem nec rutrum dignissim. Nunc purus ex, semper sit amet nibh vel, malesuada scelerisque eros. Vestibulum quis ante non felis mattis congue at et enim. Sed at dui cursus, maximus velit ac, facilisis quam. Sed non ex pretium, vehicula elit vel, lacinia felis. Maecenas tempus imperdiet sollicitudin.\r\n\r\nFusce quis hendrerit ante, a vehicula erat. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam varius tellus sit amet eros lobortis pellentesque. Sed elementum tellus enim, sit amet bibendum turpis varius nec. Sed consectetur, ex quis vulputate commodo, nibh arcu fringilla est, sed eleifend quam sem eget nisl. Ut accumsan ante sem, id euismod urna bibendum ac. ', '', 'full_html'),
('node', 'service', '0', '157', '157', 'en', '0', 'Nunc eleifend velit sed nisi varius pharetra. Cras tincidunt varius porta. Cras interdum neque eget iaculis pellentesque. Vivamus et sem laoreet, pretium lacus at, elementum justo. Phasellus luctus, risus quis pellentesque tempus, nulla purus tristique velit, eget facilisis nunc massa vitae libero. Donec ultrices malesuada massa a dictum. Aliquam facilisis tellus ut turpis varius, in facilisis odio pharetra. Sed eu nunc placerat lacus blandit sollicitudin eu eget mauris. Mauris at arcu mattis, congue massa eget, condimentum tellus. Etiam vel semper neque. Donec eu dui at libero posuere condimentum. Ut id blandit velit. Morbi finibus ante eget nunc elementum rutrum vitae quis enim. Sed ut efficitur metus. Aenean mollis quam dignissim metus malesuada accumsan. Morbi purus dui, suscipit id elit et, faucibus pharetra ligula.\r\n\r\nMaecenas at risus vel massa pretium rutrum vehicula ut nulla. Cras malesuada blandit ante a auctor. Cras luctus facilisis iaculis. Curabitur quis dui metus. Quisque fermentum mauris vitae eleifend pharetra. Vestibulum convallis quis nulla rhoncus placerat. Phasellus ut molestie dolor. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi lectus mauris, pellentesque tempus enim et, ornare congue dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer at nibh ut nunc porta tempor. Morbi convallis tempus libero dignissim sodales. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\nNam erat diam, mollis dapibus consequat et, volutpat vitae eros. Suspendisse ut lorem vel justo sodales facilisis. Quisque eu scelerisque augue. Nunc ultricies at mauris sed aliquam. Curabitur venenatis lacus vitae aliquet volutpat. In eget pharetra ex, non scelerisque lectus. Nullam dapibus malesuada cursus. Phasellus consectetur nunc enim, facilisis pretium risus cursus ut. ', '', 'full_html'),
('node', 'service', '0', '158', '158', 'en', '0', 'Nunc faucibus massa ac egestas porta. Nullam rhoncus iaculis nisi, at bibendum erat ultrices sed. Vivamus eu fringilla eros. Phasellus pretium gravida nibh, non tempor enim bibendum eget. Suspendisse tincidunt, mauris vel pretium placerat, velit ligula lacinia dolor, eget efficitur magna nibh scelerisque risus. Pellentesque placerat eleifend massa. Nulla ultrices, lectus ac elementum tincidunt, justo libero congue nunc, nec fermentum massa massa id velit. Proin sit amet metus id velit interdum rhoncus. In quis neque feugiat nisi malesuada tristique. Donec congue magna vitae malesuada maximus. Vivamus sit amet justo vel ex tempor pharetra quis lobortis arcu. Donec egestas feugiat fermentum. Ut nec tortor malesuada, condimentum mi quis, maximus nunc.\r\n\r\nVivamus varius neque ut urna cursus dignissim. Etiam eleifend orci lacinia ex imperdiet porta. Sed varius viverra suscipit. Nam sit amet tellus eu elit efficitur blandit. Phasellus sed aliquam neque. Morbi consequat turpis vitae cursus hendrerit. Duis ullamcorper nulla pharetra orci tincidunt, nec tempor dui scelerisque. Vivamus quis odio finibus, pharetra dui in, euismod mi. Aliquam sit amet fringilla velit. In ut posuere orci. Duis augue erat, faucibus id maximus nec, venenatis id tortor. Morbi vestibulum odio quis sapien mattis pharetra. Praesent ligula nisi, efficitur in iaculis id, auctor id justo. Nam id rhoncus enim. Etiam egestas ac ante ac tincidunt.\r\n\r\nQuisque non congue libero. Donec in massa eget libero malesuada ornare ut nec erat. Proin convallis nisi pellentesque, viverra urna eget, scelerisque elit. Integer semper consequat ex, eget lacinia enim congue at. Integer sollicitudin posuere turpis, aliquam pretium augue condimentum quis. Nunc pellentesque leo non enim tempor, in maximus tellus finibus. Mauris at volutpat urna. Aenean ut ex eu tellus mattis malesuada. Curabitur pulvinar nisi eu nibh venenatis accumsan. Nulla a eleifend augue. ', '', 'full_html'),
('node', 'service', '0', '159', '159', 'en', '0', 'Nunc faucibus massa ac egestas porta. Nullam rhoncus iaculis nisi, at bibendum erat ultrices sed. Vivamus eu fringilla eros. Phasellus pretium gravida nibh, non tempor enim bibendum eget. Suspendisse tincidunt, mauris vel pretium placerat, velit ligula lacinia dolor, eget efficitur magna nibh scelerisque risus. Pellentesque placerat eleifend massa. Nulla ultrices, lectus ac elementum tincidunt, justo libero congue nunc, nec fermentum massa massa id velit. Proin sit amet metus id velit interdum rhoncus. In quis neque feugiat nisi malesuada tristique. Donec congue magna vitae malesuada maximus. Vivamus sit amet justo vel ex tempor pharetra quis lobortis arcu. Donec egestas feugiat fermentum. Ut nec tortor malesuada, condimentum mi quis, maximus nunc.\r\n\r\nVivamus varius neque ut urna cursus dignissim. Etiam eleifend orci lacinia ex imperdiet porta. Sed varius viverra suscipit. Nam sit amet tellus eu elit efficitur blandit. Phasellus sed aliquam neque. Morbi consequat turpis vitae cursus hendrerit. Duis ullamcorper nulla pharetra orci tincidunt, nec tempor dui scelerisque. Vivamus quis odio finibus, pharetra dui in, euismod mi. Aliquam sit amet fringilla velit. In ut posuere orci. Duis augue erat, faucibus id maximus nec, venenatis id tortor. Morbi vestibulum odio quis sapien mattis pharetra. Praesent ligula nisi, efficitur in iaculis id, auctor id justo. Nam id rhoncus enim. Etiam egestas ac ante ac tincidunt.\r\n\r\nQuisque non congue libero. Donec in massa eget libero malesuada ornare ut nec erat. Proin convallis nisi pellentesque, viverra urna eget, scelerisque elit. Integer semper consequat ex, eget lacinia enim congue at. Integer sollicitudin posuere turpis, aliquam pretium augue condimentum quis. Nunc pellentesque leo non enim tempor, in maximus tellus finibus. Mauris at volutpat urna. Aenean ut ex eu tellus mattis malesuada. Curabitur pulvinar nisi eu nibh venenatis accumsan. Nulla a eleifend augue. ', '', 'full_html'),
('node', 'service', '0', '160', '160', 'en', '0', 'Mauris eu sagittis est, vel fringilla mauris. Pellentesque molestie dolor sagittis orci ultrices euismod. Duis ullamcorper justo urna, sit amet semper tellus suscipit ac. Ut ut pharetra nisl. Vestibulum euismod ac est in congue. Integer nec mollis leo. Mauris at ante tortor. Aenean varius diam quis nulla dapibus, eget euismod tellus faucibus. Sed fringilla accumsan eros et accumsan. Ut et est lectus. Proin laoreet in nulla quis interdum. In eros magna, rutrum eu laoreet id, faucibus sit amet risus. Sed iaculis mi arcu, sit amet feugiat ante porttitor eu.\r\n\r\nMorbi ac suscipit massa, in porta massa. Fusce nulla ante, dapibus sed tortor in, eleifend facilisis sapien. Pellentesque neque felis, gravida id magna quis, malesuada sagittis tellus. Vestibulum rhoncus, nulla id rutrum interdum, augue dui luctus libero, sed consectetur dolor quam sed lectus. Pellentesque efficitur varius augue, vel facilisis massa pretium at. Proin vel sapien rutrum, rhoncus orci sit amet, accumsan magna. Suspendisse potenti. Praesent ipsum mauris, iaculis in dapibus ut, mollis ut augue. Sed sit amet erat odio. Donec accumsan, ipsum at dapibus mollis, orci ante luctus eros, cursus eleifend justo tellus ut nisl. Cras in enim mi. Donec sodales venenatis justo, sed gravida tellus laoreet tempus. Pellentesque sodales sed diam eu pellentesque. Fusce posuere aliquet volutpat. Cras sed elementum risus. Maecenas faucibus vulputate fermentum.\r\n\r\nSuspendisse scelerisque condimentum elit non ullamcorper. Nunc porttitor vestibulum ante. Suspendisse sed odio lorem. Aenean semper consequat diam eget rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque id efficitur turpis, eu sodales nunc. Nam cursus gravida libero vitae molestie. Aliquam ullamcorper eros vitae turpis pellentesque, rhoncus rhoncus nibh dignissim. Mauris congue vestibulum magna vitae posuere. Aenean convallis risus sed pellentesque placerat. Nullam euismod viverra lectus. Praesent quis congue lorem, vel pulvinar ex. Ut gravida urna sed porta blandit. ', '', 'full_html'),
('node', 'service', '0', '161', '161', 'en', '0', 'Cras sed lobortis nibh, vitae interdum erat. Curabitur nec risus risus. Mauris vulputate quam efficitur sem commodo viverra a non libero. Phasellus efficitur ornare ante eget tincidunt. Mauris viverra leo ex, in auctor est pulvinar congue. Maecenas id viverra est, id tempor leo. Mauris faucibus augue et euismod dignissim. Sed ligula dolor, sollicitudin consectetur volutpat sed, fermentum vitae ligula. Nullam a nibh vel purus pulvinar iaculis.\r\n\r\nMauris massa tortor, fringilla ac lacus malesuada, viverra lacinia augue. Curabitur ac ex dapibus tellus dignissim interdum quis nec libero. Maecenas imperdiet blandit volutpat. Vestibulum augue felis, facilisis quis velit ac, bibendum interdum neque. Mauris id est quis justo finibus vestibulum vel vitae ligula. Maecenas elit tellus, tempor quis aliquet id, ultricies eu purus. Fusce egestas posuere turpis, eu dictum quam eleifend nec. Etiam mauris arcu, finibus ac leo in, sagittis hendrerit tortor. Duis a tincidunt odio. Pellentesque nec varius nulla. Aliquam odio sem, hendrerit id pellentesque vitae, laoreet in nulla. Nam nisi velit, vestibulum et ultrices quis, imperdiet ut risus. Nullam egestas vehicula urna, ut cursus augue hendrerit a. Sed rhoncus eleifend orci a pretium. Donec placerat nisl a tortor posuere, at faucibus dolor consequat. In blandit lectus at risus pretium vehicula.\r\n\r\nInteger at sem non justo ultrices condimentum. Ut eget tristique risus. Pellentesque diam sem, viverra eget efficitur vitae, faucibus quis nisl. Nullam metus est, sollicitudin ut pharetra ac, maximus id tortor. Maecenas et magna odio. Donec porta suscipit nisi. Maecenas id laoreet justo. Integer iaculis leo ipsum, a laoreet libero varius sed. In luctus rhoncus eros eget porta. Cras ornare faucibus diam. Nam lectus dolor, feugiat a nisl ut, consequat condimentum neque. Aliquam placerat dignissim tincidunt. Phasellus quis euismod lorem. Phasellus pretium nisi velit, quis iaculis nisi consectetur nec. Duis et sapien nulla. Vestibulum tortor nisi, volutpat nec faucibus vel, rutrum non odio. ', '', 'full_html'),
('node', 'service', '0', '162', '162', 'en', '0', 'Nullam maximus feugiat arcu, vitae varius augue dictum sit amet. Curabitur aliquam leo ac ipsum euismod, a convallis elit sollicitudin. In leo dui, fringilla vitae nulla sed, tempor sagittis nibh. Donec sed venenatis tellus. In tincidunt maximus sem, vitae cursus leo. Pellentesque est odio, imperdiet sit amet mauris nec, convallis tempor justo. Morbi et placerat lacus, quis pulvinar felis. Fusce vel ex ut magna tristique accumsan. Etiam dignissim felis eu ornare lacinia. Cras sed dolor lacus. Proin viverra nunc quis massa euismod, ut ullamcorper ante malesuada. Nullam enim leo, lobortis id risus in, tristique sodales mauris. Duis lobortis diam risus, eget elementum tellus maximus non. Proin a enim ac tellus rhoncus elementum eget in orci. Suspendisse ut lobortis metus. Duis at scelerisque augue.\r\n\r\nInterdum et malesuada fames ac ante ipsum primis in faucibus. Nulla mollis aliquam tellus, at rhoncus orci aliquet a. Etiam vulputate nulla nec justo tincidunt iaculis. Morbi dignissim urna sit amet turpis ultricies vulputate. Proin convallis eros hendrerit orci pellentesque hendrerit sed posuere tellus. Curabitur nisl ex, rhoncus a venenatis vitae, placerat luctus dui. Nullam ac blandit quam. Sed luctus ut purus posuere aliquam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Praesent in facilisis elit, ut aliquet enim. Phasellus eleifend quam sit amet efficitur bibendum. Duis in neque vel purus rutrum lobortis. Aliquam sodales urna eu cursus semper.\r\n\r\nPhasellus facilisis eget risus eu venenatis. Maecenas gravida elementum pulvinar. Nullam quis tellus tempus, tincidunt tortor sit amet, dignissim risus. Morbi malesuada aliquet nisi, non molestie justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed rhoncus eu dolor vitae vestibulum. Ut in metus id lacus posuere viverra. Maecenas a mi vel neque viverra laoreet. Nunc lobortis ut metus et auctor. Nunc sit amet porttitor metus. Aliquam orci massa, placerat vel consequat non, finibus vel tortor. ', '', 'full_html'),
('node', 'service', '0', '163', '163', 'en', '0', 'Aliquam porttitor fringilla nulla, nec blandit magna facilisis eget. Vivamus sit amet dapibus odio. Nunc luctus risus ac venenatis aliquet. Morbi ultricies nisi quam, at blandit ligula lacinia id. Phasellus at purus nec urna bibendum blandit. Integer vitae erat feugiat, accumsan libero in, sagittis urna. Phasellus id rutrum ex. Maecenas a magna eget massa ultrices facilisis. Praesent maximus tortor in gravida aliquet. Vivamus suscipit libero velit, a molestie ante ultricies ac. Mauris pulvinar nisi ullamcorper venenatis eleifend. Aliquam efficitur justo nec neque lobortis, eu pulvinar leo fringilla. Etiam a massa nunc.\r\n\r\nAliquam egestas odio nec lorem sodales, non aliquet tortor laoreet. Curabitur ultrices dolor nec sem faucibus rutrum. Mauris vel pulvinar ex. Cras dui enim, mollis et accumsan quis, eleifend a erat. Curabitur ac interdum lorem, eu volutpat felis. Morbi mattis odio at neque porttitor fermentum. Sed massa tellus, bibendum ac consectetur eu, molestie nec dolor. Suspendisse vitae odio ac neque egestas rhoncus in vel diam. Maecenas vehicula velit id ligula sagittis volutpat. Cras commodo orci enim, eu placerat lectus gravida a. Nam fermentum dolor nisl, euismod interdum ipsum auctor eget. Cras sapien quam, malesuada vel tristique a, ornare id est. Integer tellus turpis, aliquet eu efficitur molestie, lobortis non leo. Curabitur vel egestas lorem. Donec commodo vitae urna in eleifend.\r\n\r\nInteger eu elit pretium velit convallis euismod. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque auctor ipsum ac massa efficitur, vel tempor nunc interdum. Pellentesque quis sagittis dolor. In risus tortor, tempor pellentesque sodales eu, varius vel est. Nam et leo lectus. Aliquam ac mauris tempus, congue mi sed, dapibus leo. Aliquam erat volutpat. ', '', 'full_html'),
('node', 'service', '0', '164', '164', 'en', '0', 'Curabitur et ultricies est. Vivamus erat neque, tempus sit amet gravida a, commodo pellentesque purus. Phasellus nibh odio, auctor a varius vitae, sodales sit amet sapien. Praesent vitae lacus dictum, tincidunt turpis venenatis, egestas metus. Curabitur metus quam, venenatis vitae rutrum nec, efficitur a urna. In nec magna malesuada, sagittis turpis eget, posuere risus. Proin volutpat vestibulum nulla non convallis. Praesent nec lobortis elit. Suspendisse ac aliquet mi. In hac habitasse platea dictumst. Aenean sem enim, ullamcorper quis sagittis eget, maximus non massa. Aliquam scelerisque, urna in suscipit pulvinar, leo elit luctus risus, at sodales neque lorem a nulla. Pellentesque finibus posuere porta.\r\n\r\nPraesent volutpat libero magna, vitae aliquam enim placerat vel. Phasellus erat nulla, tincidunt nec rhoncus vitae, suscipit ac leo. Pellentesque bibendum tempor risus quis faucibus. Aliquam ultricies augue vel vestibulum feugiat. Integer malesuada sollicitudin faucibus. Nunc facilisis risus a pharetra convallis. Fusce vel pretium arcu.\r\n\r\nNam vehicula enim nec arcu aliquet molestie. Duis maximus nisi ac tincidunt consectetur. Morbi nec ipsum ut tortor ullamcorper posuere quis nec diam. Sed scelerisque interdum convallis. Suspendisse potenti. Quisque dapibus arcu eget nulla eleifend, sed ornare urna euismod. Aliquam convallis nulla leo, vel eleifend ipsum porttitor at. Sed rhoncus ante a turpis ultricies vehicula. Pellentesque blandit, est quis malesuada vehicula, neque eros placerat nulla, ut bibendum erat ipsum eget tortor. Suspendisse diam lacus, viverra vel vestibulum vel, elementum at massa. Donec ut diam euismod, cursus sem mollis, mollis justo. Integer euismod feugiat quam vel tristique. ', '', 'full_html'),
('node', 'service', '0', '165', '165', 'en', '0', 'Praesent luctus eleifend orci, vitae posuere ex aliquet sed. In eleifend, lorem eu rhoncus pulvinar, orci tellus sagittis augue, ut mollis neque eros sed mauris. Aliquam pretium consequat fermentum. Fusce tortor nulla, efficitur eu facilisis ut, tincidunt a ipsum. Vestibulum vestibulum lacus vitae felis aliquet maximus. Sed non ex vel orci pretium convallis. Etiam laoreet, turpis at tempus viverra, metus lorem elementum diam, ut imperdiet mi neque id felis. Duis sed elementum erat. Mauris nunc felis, congue in iaculis sed, rhoncus id tortor.\r\n\r\nMaecenas nec tellus dapibus, eleifend tellus eget, pretium dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam aliquam, tortor ac efficitur rutrum, lectus lectus rutrum lacus, eu maximus arcu quam at massa. Etiam sodales nibh ac justo interdum faucibus. Integer iaculis placerat posuere. Nulla tempus tellus dictum rhoncus consectetur. Aenean a leo fermentum, dictum risus vel, dapibus neque. Cras quis facilisis velit. Suspendisse cursus sollicitudin pharetra. Morbi varius, massa nec efficitur malesuada, erat ex mattis lacus, sed tristique sapien lorem sed ex. Pellentesque euismod nunc vel nunc suscipit, nec sollicitudin lectus tincidunt. Curabitur lobortis, urna non volutpat varius, ligula velit maximus enim, egestas ultrices lacus nulla eget tortor. Proin lacus ante, vulputate in varius sit amet, congue nec nulla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed porttitor dictum metus, sed sagittis leo faucibus et.\r\n\r\nQuisque sit amet auctor dui. Sed eget fermentum turpis, vitae fermentum ligula. Vestibulum luctus vel diam sed elementum. Aenean maximus varius massa, et lobortis urna facilisis ac. Suspendisse nec tincidunt justo. Pellentesque enim massa, ultricies a eros vel, ornare malesuada sem. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quis lorem eleifend, ornare mi id, viverra ante. ', '', 'full_html'),
('node', 'service', '0', '166', '166', 'en', '0', 'Cras odio ante, commodo lobortis facilisis nec, rhoncus id felis. Nulla at sollicitudin mi. Nulla ac finibus lorem, sed consequat orci. Nunc consectetur ex et aliquet lacinia. Morbi ultrices laoreet ligula quis ultrices. Mauris a velit molestie, ultricies diam ut, iaculis metus. Fusce a placerat nunc. Aliquam erat volutpat. Duis non nulla a risus sodales gravida. Vivamus ipsum dui, pulvinar vitae tempor fermentum, laoreet consequat mi. Aliquam id velit vel ex eleifend aliquam nec quis enim. Nunc sed tellus sed urna sagittis lacinia non at nulla. Curabitur vitae venenatis tortor. Sed consectetur, leo vitae semper rutrum, enim ipsum commodo enim, quis semper tortor diam sed leo.\r\n\r\nAliquam aliquam at orci vitae vulputate. Cras nec consequat nisl, at pellentesque quam. Aenean consequat nibh nisi, ut varius libero tristique id. Quisque et congue urna. Vestibulum eu velit pellentesque, ultricies dolor quis, cursus leo. Proin euismod lorem vel suscipit convallis. Nunc tincidunt iaculis rutrum. In lobortis lectus purus. Aenean at accumsan ligula, egestas pharetra elit. Phasellus ornare sed orci eget vehicula. Sed sed pulvinar urna. Duis iaculis pellentesque ligula id vestibulum. Proin nunc diam, viverra quis volutpat volutpat, vehicula vitae dui. Duis arcu massa, euismod ac mi id, euismod aliquam neque. Phasellus malesuada fermentum mauris. Donec rhoncus accumsan nibh in eleifend.\r\n\r\nVivamus vel venenatis dolor. Nam at blandit mauris, eu auctor nibh. Praesent ornare erat arcu, eu tempus nisi maximus ac. Quisque bibendum aliquam libero a lacinia. Ut egestas elit nisl, eu consequat tellus ullamcorper vitae. Sed laoreet urna felis, in cursus elit efficitur ac. Sed fermentum leo ac dapibus laoreet. Nunc diam dolor, eleifend ac vestibulum ac, volutpat vitae neque. Curabitur porta ultricies vulputate. Nullam lobortis eros et feugiat ornare. Maecenas lobortis purus nisl. Sed commodo maximus viverra. ', '', 'full_html'),
('node', 'service', '0', '167', '167', 'en', '0', 'Integer turpis sapien, molestie et odio nec, interdum sollicitudin metus. Praesent convallis risus eu congue semper. Maecenas accumsan purus vel condimentum tempus. Integer varius metus nec ex interdum, sit amet tincidunt diam dignissim. Nullam tellus quam, hendrerit a dui nec, ullamcorper malesuada ipsum. Integer in pretium ligula. Vivamus pellentesque, risus vel imperdiet efficitur, leo nisl convallis ipsum, non semper augue dolor vel est. Vivamus lectus orci, placerat ac lacinia non, sollicitudin nec velit. Integer molestie, velit vitae iaculis cursus, ipsum ligula malesuada metus, in tristique eros orci ut augue.\r\n\r\nIn venenatis hendrerit mi. Nunc consequat eros sollicitudin ultricies lobortis. Nulla facilisi. Donec lacinia sapien a massa maximus aliquam. Donec sit amet augue sed tortor porttitor finibus ac ut erat. Sed efficitur ligula malesuada, gravida enim id, lobortis dui. Nullam tempor lacus nec nisi ultrices auctor. Nulla gravida vestibulum arcu, at condimentum felis rutrum sed. Curabitur porta felis non cursus ultricies. Proin non vulputate magna, eu rhoncus risus. Praesent vulputate, enim at rhoncus venenatis, metus ante consectetur lacus, et porta odio mauris ut leo.\r\n\r\nPraesent eu mauris non velit finibus auctor a et est. Proin vel neque ac sem pharetra gravida. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc ornare ligula eget purus iaculis aliquet. In ante diam, molestie eu risus eu, imperdiet lobortis velit. Vivamus ac hendrerit nulla. Suspendisse sagittis lorem vitae dolor fringilla tincidunt. Nam sit amet nisl porta lorem malesuada sollicitudin. Sed at semper orci. Duis commodo vitae velit nec luctus. Suspendisse felis sapien, cursus ut commodo et, malesuada et lacus. Mauris eleifend dui placerat nibh commodo semper. Duis ut placerat nunc. In auctor leo mauris, ut venenatis felis tempus eget. Aliquam blandit, tellus ut rhoncus placerat, quam augue convallis libero, scelerisque vulputate ante lacus eget lectus. ', '', 'full_html'),
('node', 'service', '0', '168', '168', 'en', '0', 'Curabitur tristique eu turpis nec sagittis. Quisque ac malesuada nunc, laoreet cursus sapien. Vivamus quis eros a tortor interdum mattis. Nunc et massa quam. Integer at iaculis urna, vel pulvinar tellus. Aenean egestas mattis nulla, malesuada eleifend erat aliquet eu. Aenean mi ipsum, semper a accumsan quis, tincidunt a eros. Duis fermentum massa sit amet ante porta, ac sodales nisi tristique. Suspendisse interdum consequat hendrerit. Nullam id suscipit mauris.\r\n\r\nVestibulum sit amet leo eget est maximus euismod. Suspendisse volutpat consectetur fringilla. Nullam rutrum quis arcu et laoreet. Nulla finibus porttitor est, ut tempus ligula facilisis vitae. Quisque risus felis, gravida non velit congue, molestie euismod purus. Quisque condimentum eleifend tincidunt. Donec vitae magna congue, aliquet magna ac, luctus justo. Quisque ac erat metus. Donec luctus et purus eget ultricies. Suspendisse cursus molestie tincidunt.\r\n\r\nFusce mattis sollicitudin nibh, volutpat suscipit ipsum ullamcorper id. Aenean lobortis euismod orci nec viverra. Vestibulum sit amet pellentesque diam. Fusce nisl massa, tincidunt in posuere sed, commodo quis nisl. Nullam molestie diam in gravida faucibus. Duis efficitur vel metus non egestas. In ullamcorper ligula nisl, in cursus ante vulputate at. Phasellus venenatis interdum tellus, id accumsan turpis volutpat et. Sed faucibus erat quis posuere malesuada. Mauris vestibulum leo quis massa ultrices, quis aliquet orci tempor. Cras et tortor ut mi egestas cursus ullamcorper dapibus massa. Curabitur ut magna feugiat, porttitor urna laoreet, dapibus lacus. Aliquam a justo leo. Mauris ac condimentum turpis. Maecenas pulvinar at leo vel interdum. Integer gravida lectus sit amet dolor ornare eleifend. ', '', 'full_html'),
('node', 'service', '0', '169', '169', 'en', '0', 'Pellentesque vitae fringilla ante. Cras aliquam feugiat volutpat. Vivamus dapibus id purus at venenatis. Suspendisse ut commodo libero. Praesent in luctus purus, vel scelerisque dui. Aliquam erat volutpat. Vivamus sed odio malesuada, placerat justo ac, congue lectus.\r\n\r\nQuisque lobortis elit urna, sed rutrum nibh congue ac. Nunc auctor, elit et pretium finibus, ex velit porttitor nulla, in tempor quam purus nec quam. Vestibulum vel consectetur felis. Sed lorem urna, pulvinar vel gravida nec, dignissim vel velit. Fusce aliquet venenatis odio ac fringilla. Fusce efficitur eros quis blandit finibus. Cras eu justo nisl. Donec ac fringilla sapien, eget euismod velit.\r\n\r\nAliquam erat ex, scelerisque id fringilla rhoncus, mollis eget ante. Pellentesque a urna viverra, sollicitudin libero eu, interdum ex. Mauris et fermentum neque. Nam malesuada egestas imperdiet. Nam tempus sagittis arcu, at consequat nunc gravida eget. Nullam pharetra dictum porta. Aliquam tempor nisl eu felis egestas, at tincidunt justo convallis. Mauris at consectetur tortor. Sed vel nibh velit. ', '', 'full_html'),
('node', 'service', '0', '170', '170', 'en', '0', 'Aenean sit amet blandit metus. In mattis ut tortor ut condimentum. Aenean viverra interdum elit, eu condimentum ex ullamcorper sed. Aliquam vitae tristique lacus, posuere maximus erat. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec dictum, turpis nec auctor molestie, ante metus porta elit, quis feugiat dui nibh sit amet sapien. Donec congue orci condimentum, euismod enim non, dapibus libero. Vestibulum consectetur, ex eu facilisis varius, enim lorem egestas ex, a volutpat ex est vitae massa. In eget diam sit amet ligula dignissim condimentum. Vivamus imperdiet et arcu eget eleifend. Maecenas id sem non felis molestie condimentum dictum nec orci. Fusce consequat sem risus, faucibus sodales turpis mattis et. Donec risus libero, semper ut sodales nec, interdum et velit.\r\n\r\nFusce tempus, tortor non fermentum sollicitudin, nibh arcu porttitor velit, vitae laoreet ipsum quam in massa. Cras nisl nisi, semper nec aliquet sit amet, rhoncus eget massa. Sed et ultricies ante. In venenatis nulla sed erat feugiat, ut dignissim tortor rhoncus. Maecenas vestibulum lobortis sem tempor ultricies. Nullam a interdum dolor, sed congue mauris. Maecenas fermentum purus elit, tincidunt consectetur elit ultrices vel. Sed in lacus at ante efficitur euismod.\r\n\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi sollicitudin lectus quis tortor auctor ullamcorper. Interdum et malesuada fames ac ante ipsum primis in faucibus. Fusce ornare, erat a ullamcorper convallis, odio felis sollicitudin nunc, in auctor enim quam vel ipsum. Donec vel quam in diam faucibus consequat eget vel libero. Quisque sit amet justo eu magna bibendum pretium vel at diam. Phasellus fermentum odio sed vulputate eleifend. Nam dolor enim, sagittis quis scelerisque eu, tincidunt ac leo. Integer iaculis rhoncus dolor ac viverra. ', '', 'full_html'),
('node', 'service', '0', '171', '171', 'en', '0', 'Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla imperdiet ante vel quam fermentum, quis tristique erat porttitor. Vivamus vehicula, libero at blandit sollicitudin, arcu lacus dapibus elit, non mollis metus nisi commodo augue. Nulla facilisi. Proin bibendum vel massa eu malesuada. Curabitur at nisi et massa laoreet pretium. Praesent elementum ultricies mauris vitae pellentesque. Nullam ullamcorper ante sed enim aliquam fermentum. Phasellus commodo neque orci, quis elementum nisi cursus eu. Pellentesque quis lobortis leo, in porttitor quam. Nullam scelerisque felis ac ante eleifend, et condimentum arcu placerat. Aliquam at nulla in felis eleifend tristique.\r\n\r\nSed ullamcorper sit amet ex eget lacinia. Quisque mollis sapien ex, et semper dolor pretium at. Nulla ac risus sed nunc gravida auctor vel at velit. Duis molestie egestas lectus, id congue dui vehicula at. Donec molestie urna vel lorem pellentesque blandit. Cras consectetur, ipsum sed viverra fringilla, sapien diam scelerisque dolor, at semper tellus quam et augue. In placerat purus et quam auctor blandit. Mauris varius a tortor non iaculis. Integer volutpat accumsan tortor vitae pulvinar. Integer cursus, tellus vitae accumsan blandit, velit nulla efficitur ante, sit amet tempus metus turpis id purus.\r\n\r\nFusce viverra orci nec ante ullamcorper ultricies eu sit amet metus. Mauris nec tellus quis magna ullamcorper scelerisque vitae et lectus. Nulla id eros eu mauris malesuada rhoncus. Donec semper ligula mattis, finibus sapien sed, sagittis urna. Etiam euismod, erat facilisis sodales rutrum, orci nulla tincidunt lacus, in vehicula sem nibh sed ante. In blandit ipsum non rutrum molestie. Nullam rhoncus in diam id dignissim. Aenean in urna eros. Ut quis blandit sapien. Morbi auctor magna id lorem semper iaculis. Maecenas id augue a mi vehicula ultricies. In id orci tincidunt, pellentesque ligula eget, accumsan tellus. In hac habitasse platea dictumst. Donec ac pellentesque enim. ', '', 'full_html'),
('node', 'article', '0', '172', '172', 'en', '0', 'Fusce nibh ligula, porta et sem at, vehicula hendrerit dui. Mauris semper placerat est id pretium. Aliquam nec ultrices nibh. Nunc rutrum pellentesque enim, vitae placerat ipsum sollicitudin ut. Mauris malesuada magna at dui porttitor tempor. Etiam lobortis sem eget aliquam vehicula. Curabitur a libero sollicitudin, convallis neque id, aliquam metus. Nullam justo sem, varius nec ligula eget, varius pharetra neque. Vestibulum consequat magna libero, in placerat neque eleifend sed. Fusce vehicula, risus vel iaculis molestie, eros est convallis nunc, et elementum nunc odio quis est. Pellentesque scelerisque egestas convallis. Donec vitae mauris orci. Sed gravida nibh purus, sed ultricies est auctor eu. Nulla metus sem, sodales vel malesuada quis, maximus sit amet mauris. Vestibulum euismod, quam a efficitur interdum, orci ligula mattis lacus, quis tristique nunc neque sit amet magna. Etiam blandit porttitor dolor nec congue.\r\n\r\nAliquam lectus enim, vehicula ut magna a, fringilla pharetra sem. Vivamus lacinia arcu elementum purus tristique ornare. Maecenas non porta urna. Aenean iaculis lorem ut ligula egestas mollis. Fusce hendrerit pharetra turpis, in aliquam urna consectetur quis. Sed faucibus est eget arcu blandit, sit amet aliquet ipsum posuere. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas ullamcorper erat sit amet nisl tempus consectetur id a nunc. Nulla sollicitudin arcu ut mollis laoreet. Sed ultricies diam id nisi condimentum, eget fermentum erat fermentum. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam quis dolor id dui tincidunt rhoncus quis nec enim.\r\n\r\nPraesent et tortor quis lorem convallis volutpat et vitae dui. In nec nisl vitae mauris vehicula porttitor. Morbi at facilisis diam. Nunc sed lectus quis ipsum vestibulum interdum. Praesent placerat quis metus et lacinia. Vivamus vel congue erat, volutpat vestibulum nulla. Pellentesque aliquam ullamcorper posuere.\r\n\r\nVivamus hendrerit odio vitae iaculis porttitor. Phasellus mollis massa sapien. Aliquam fringilla sem nec tellus interdum, in lacinia dolor iaculis. Suspendisse a magna eleifend, suscipit justo eget, hendrerit ligula. Vivamus auctor pharetra dolor, ac sodales lorem sollicitudin in. Sed pretium nisl erat, sed ultricies sem porttitor nec. Curabitur malesuada diam et nunc aliquam, eget facilisis orci interdum. Nam placerat faucibus tempus. Nulla libero neque, bibendum vel ligula sit amet, condimentum volutpat quam. Donec viverra gravida neque, et ornare nibh posuere consequat. Donec fringilla felis eu ornare porta. Pellentesque et nulla diam. Vestibulum mattis et odio sit amet consequat.\r\n\r\nAliquam erat lorem, accumsan nec turpis non, finibus feugiat nulla. Vivamus semper arcu vel elementum euismod. Sed porttitor sagittis arcu, eget auctor arcu tempor ac. Aenean porta sodales nisl, vitae auctor orci porta in. Donec eros libero, vehicula id pulvinar sed, dignissim sodales nibh. Curabitur vehicula eu nibh id bibendum. Donec aliquet, massa et faucibus varius, lectus leo euismod lectus, non facilisis metus orci fringilla felis. Proin ut ipsum vitae purus pellentesque maximus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras ac sapien ultricies elit tempus fringilla vel id purus. Sed vestibulum faucibus facilisis. Donec sed tellus eget nisl tincidunt volutpat. Sed condimentum consequat odio, at euismod massa. Maecenas leo dolor, egestas ut magna id, gravida fringilla ante. ', '', 'full_html'),
('node', 'video_entry', '0', '174', '174', 'en', '0', 'Nullam tempor massa metus, a elementum mauris interdum ac. Phasellus mi nisi, varius vel rutrum id, fermentum sit amet diam. Aliquam finibus viverra mauris, ac elementum mauris ornare vel. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam ac velit ac ligula pharetra fermentum non et dolor. Etiam sem eros, sodales in feugiat sit amet, sodales ac felis. Etiam rutrum, felis eu convallis elementum, metus leo rhoncus lectus, ac placerat neque nisl sed augue. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Etiam id magna rutrum, porta purus eget, accumsan ante. In nec nibh ultrices, consequat ligula quis, scelerisque elit. Cras faucibus dolor non aliquet consequat. In vel pretium erat, at tristique lectus. Cras eu arcu sit amet mauris pulvinar dignissim non eu risus.\r\n\r\nMaecenas neque turpis, rhoncus et massa at, cursus commodo mi. Suspendisse sit amet ipsum convallis, fermentum ante a, gravida tortor. Aenean sit amet viverra urna. In molestie gravida sem, eget blandit nibh consequat a. Nam eget quam malesuada, elementum urna in, elementum urna. Vivamus vestibulum interdum nibh ac consectetur. Etiam tortor justo, sagittis quis aliquam vitae, ultricies nec libero. Integer sed efficitur sem. Etiam metus dui, semper at lacus laoreet, laoreet ornare mi.\r\n\r\nCurabitur fringilla consectetur est id ultricies. Pellentesque sit amet mauris vel nibh sagittis sodales. Integer lacinia elit sed semper porttitor. Donec dolor tellus, imperdiet non sem et, consequat pharetra nibh. Proin a pretium mauris. Aliquam luctus mollis mi. Morbi maximus, diam sit amet lacinia tempus, purus massa varius odio, quis dapibus urna justo non neque. Donec convallis enim eu eros eleifend molestie. In suscipit ipsum sit amet ligula hendrerit, non feugiat nisl egestas. Praesent imperdiet leo et pulvinar fringilla. Sed scelerisque eros eget arcu aliquet, quis consectetur risus condimentum. Pellentesque placerat ligula a mauris imperdiet, eu dictum lorem posuere. Pellentesque bibendum non elit ut vehicula. Etiam at rutrum quam.\r\n\r\nNunc viverra diam et ante venenatis auctor in eget justo. Integer nec odio porta, scelerisque tellus vitae, tempor lacus. Pellentesque maximus risus vitae nulla vehicula aliquet. Mauris interdum, odio eu efficitur scelerisque, arcu leo vestibulum elit, sed ullamcorper ligula diam eget tellus. Donec eget urna mauris. Nunc ut erat volutpat, malesuada turpis eu, pharetra mauris. Cras eu dui nec sapien dignissim molestie eu sed libero. Nulla porta euismod blandit. Nam facilisis dapibus quam quis porttitor.\r\n\r\nMaecenas in sapien vitae neque venenatis ornare ac et massa. Duis vel orci tortor. Maecenas vel tincidunt tellus. Aliquam imperdiet nibh egestas nunc ultrices porta. Vivamus blandit turpis non metus iaculis suscipit. Vestibulum lobortis risus in ante cursus, sit amet interdum lectus lacinia. Fusce molestie nisl ligula, ut gravida risus ornare eget. Vivamus sed cursus sem. Fusce accumsan mollis ipsum sit amet cursus. ', '', 'full_html'),
('node', 'project', '0', '175', '175', 'en', '0', 'Duis facilisis felis ac dui interdum, sit amet efficitur felis sollicitudin. Vestibulum fermentum lobortis iaculis. Sed vestibulum pretium ante, efficitur porta justo rutrum at. Nam nec tortor lectus. Ut sem sem, volutpat a ex vel, lobortis auctor leo. Vestibulum sagittis placerat diam sed gravida. Fusce vel efficitur dui. Maecenas nunc nibh, molestie quis pellentesque et, suscipit elementum velit. Donec finibus iaculis euismod. Proin ornare hendrerit neque ut porttitor.\r\n\r\nMorbi in urna auctor neque convallis volutpat. Morbi felis ipsum, rutrum a metus sit amet, mattis vestibulum lorem. Aliquam feugiat, magna sed gravida dictum, ante diam posuere tortor, eu dapibus ante quam non ante. Phasellus ut iaculis odio, quis auctor nisl. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc vehicula id odio et scelerisque. Duis mollis felis id neque pellentesque hendrerit. Pellentesque pulvinar viverra neque. Vivamus quis consectetur dolor. Etiam vehicula vitae neque ac dictum.\r\n\r\nVivamus dictum nisl ut augue mollis convallis. Etiam tristique auctor tortor. Sed ante odio, congue vel augue id, gravida sagittis felis. Mauris venenatis lobortis elit, ac porttitor tellus placerat eu. Pellentesque viverra consectetur pharetra. Quisque libero quam, feugiat id erat in, bibendum consectetur tortor. Aenean sodales dolor non mi imperdiet volutpat. Integer et vestibulum lorem. Pellentesque at ligula vitae dui commodo maximus.\r\n\r\nFusce rhoncus mollis lectus vitae ultricies. Nulla quis vulputate nibh, in condimentum diam. Proin odio ipsum, pulvinar rutrum elit sed, consectetur bibendum diam. Aenean vel neque lacinia, ultrices lorem nec, cursus quam. Praesent convallis ipsum sed scelerisque pulvinar. Quisque a leo nibh. Morbi accumsan at odio nec mollis. Duis scelerisque accumsan felis, vitae faucibus turpis porttitor vitae. Duis placerat consequat euismod. Nam malesuada mauris felis, ut tempus est imperdiet id. Morbi consequat sem vitae urna eleifend aliquam. Vivamus ut efficitur turpis, at efficitur massa. Phasellus semper luctus diam, ut lobortis mauris venenatis nec. Etiam et ex sit amet massa iaculis euismod in a erat. Phasellus ultricies viverra bibendum. Maecenas ac feugiat nisl, vitae varius purus.\r\n\r\nEtiam ut mauris sed purus pulvinar dapibus. Phasellus finibus tellus nec blandit lobortis. Sed porta lorem sed nisl lobortis viverra ac quis risus. Cras vitae neque nisi. Donec ac egestas eros. Quisque hendrerit vulputate est a tristique. Ut cursus eget ante sit amet ultrices. Fusce nec turpis vitae purus sodales congue. Etiam viverra neque et rhoncus gravida. Nulla euismod felis et augue congue, id fringilla ligula auctor. Vivamus eget magna laoreet, vestibulum dolor in, commodo massa. ', '', 'full_html');
INSERT INTO `field_data_body` VALUES
('node', 'project', '0', '176', '176', 'en', '0', 'Aliquam magna felis, sagittis nec interdum sed, volutpat sit amet libero. Suspendisse quis est dui. Pellentesque sed porta mi, ut varius magna. Donec at molestie nibh, et posuere dolor. Duis mauris sapien, tincidunt porttitor sollicitudin eu, posuere vel dui. Phasellus eget erat nec erat pretium pharetra. Nam vestibulum id felis non commodo. Nunc vitae odio sagittis, laoreet dolor eget, iaculis est. Nullam ullamcorper urna vel nisi malesuada, et accumsan ipsum vulputate. Aenean rhoncus velit vitae leo mattis venenatis.\r\n\r\nDonec finibus imperdiet viverra. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla magna lectus, tempor consectetur vestibulum semper, sodales vitae mi. Nam suscipit condimentum orci, vitae consectetur ligula euismod in. Cras ultricies lorem leo, in consequat odio dapibus non. Donec in ex at est vehicula semper. Cras varius gravida nunc, vitae faucibus turpis consectetur non. Pellentesque condimentum iaculis mauris eget auctor. Donec at luctus turpis. Vivamus eleifend dui vitae molestie laoreet. Proin ut est tellus. Suspendisse elementum molestie arcu. Ut tincidunt rhoncus sapien vitae aliquet.\r\n\r\nSuspendisse dapibus enim non dignissim semper. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Curabitur ultricies ex vel erat mattis, vitae vulputate elit pulvinar. Praesent volutpat luctus tortor, semper varius lectus. Vestibulum ultrices arcu diam, quis maximus massa cursus sit amet. Phasellus vehicula luctus ipsum, vel elementum ex viverra in. Phasellus vel magna id risus bibendum condimentum. Fusce feugiat neque non erat tincidunt mollis. Phasellus lobortis tortor in ex aliquam, et efficitur magna commodo. Morbi sit amet porttitor nisi, vel vestibulum tortor. Integer mattis nisi quis ultricies facilisis.\r\n\r\nMaecenas sodales in sapien ac pretium. Nam efficitur mauris magna, at interdum nibh pellentesque lobortis. Donec mattis nec est in egestas. Praesent magna mi, pulvinar sit amet euismod at, pharetra id ante. Donec et sollicitudin purus. Etiam tristique odio eu consequat lacinia. Donec diam urna, pulvinar in nisi at, dapibus ultrices metus. Nullam et interdum lorem. Sed nec posuere magna, in porta felis. Phasellus massa turpis, ullamcorper sit amet consequat id, ultrices a nulla. Aliquam erat volutpat. Morbi convallis turpis nisi, quis pellentesque felis pretium ac. Vestibulum tincidunt porttitor metus, non maximus urna. Vestibulum elementum malesuada tristique. Mauris ut nunc eget ex porttitor volutpat.\r\n\r\nIn at justo at risus eleifend malesuada vitae ac justo. Morbi tincidunt tincidunt tempus. Sed a augue interdum, fermentum leo et, posuere ex. Nullam felis eros, imperdiet nec magna tristique, semper vulputate enim. Nullam sagittis facilisis velit, a lobortis eros vehicula sed. Nulla urna dolor, tempor ac dui id, sagittis pretium nisl. Nunc vel nibh a urna ullamcorper tempor ut non leo. In sed felis sagittis, imperdiet odio eu, egestas enim. Pellentesque consequat, purus non pellentesque congue, ipsum velit feugiat metus, nec pharetra leo dui sed dui. Curabitur lacinia facilisis velit, vel semper ante aliquam vel. Nulla tempus dui nec dolor bibendum tincidunt. Donec vel feugiat libero. ', '', 'full_html'),
('node', 'project', '0', '177', '177', 'en', '0', 'Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed sem risus, sagittis finibus tincidunt at, sagittis a mi. Aenean nunc tellus, ultricies quis mauris et, commodo varius quam. Ut cursus enim nec ex tincidunt fermentum. Vivamus tempor consequat tortor, eu feugiat est mattis id. Ut elementum elit quam, luctus rhoncus arcu euismod a. Etiam sit amet quam a nisi congue accumsan in eget magna. Nulla nec ex eget nisi hendrerit convallis ut at nulla. Ut scelerisque urna tortor, nec malesuada elit suscipit quis. Vestibulum vitae elit at justo dictum tempor. Suspendisse potenti.\r\n\r\nSed quis mauris a quam feugiat tempor. Pellentesque non condimentum metus. Maecenas nec ipsum volutpat, ornare nunc a, elementum urna. Ut ut ipsum ante. Proin venenatis mollis elit. Mauris vitae finibus lorem. Nunc dictum rutrum eros quis vestibulum. Quisque bibendum nunc at tincidunt pharetra. Nunc faucibus lectus vestibulum dictum bibendum. Mauris in mauris et ligula pharetra pulvinar vitae ac lorem. Cras accumsan elit diam. Nunc at elementum ex.\r\n\r\nMaecenas ligula ex, varius in pretium id, mattis in enim. Pellentesque egestas sollicitudin turpis condimentum molestie. Etiam sit amet augue id lorem venenatis aliquet. Proin interdum, tortor vitae volutpat accumsan, libero turpis sollicitudin magna, nec faucibus nibh turpis ut turpis. Donec tristique suscipit nunc ut venenatis. Integer fermentum molestie suscipit. Pellentesque ac tortor ac tortor suscipit semper. Aenean sed sem non nulla vulputate tristique eget non felis. Nulla tempus non dolor sit amet mollis.\r\n\r\nFusce fermentum velit eget lorem ornare semper. Fusce sagittis, eros sed commodo tempus, ipsum velit tempus arcu, eget porttitor lectus odio sit amet lorem. Mauris sit amet euismod nisl. Fusce sed metus id ligula cursus sodales quis sit amet dolor. Donec vel mattis tellus, a commodo nisl. Quisque sed nisi a purus dignissim eleifend nec faucibus ipsum. Fusce urna enim, cursus ac interdum in, mollis in lectus.\r\n\r\nMaecenas vel dolor non sem vehicula bibendum. Morbi blandit risus vitae eros tristique ultricies. Vestibulum vitae tincidunt libero. Donec at ultrices sapien. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris vitae nisl in leo iaculis egestas. Sed viverra, nisl ut porttitor tristique, metus magna tristique erat, ultrices viverra mauris turpis nec ipsum. Aliquam vestibulum porta dolor, eget sollicitudin lacus blandit et. Proin id erat vitae turpis varius facilisis nec ut erat. ', '', 'full_html'),
('node', 'project', '0', '178', '178', 'en', '0', 'Aliquam erat volutpat. Aenean consequat odio sit amet nunc lobortis gravida. Nullam velit tortor, suscipit convallis dolor bibendum, iaculis porttitor sem. Sed at dapibus lectus. Cras vitae velit pulvinar, rhoncus magna non, egestas magna. Nullam ullamcorper consequat ex, vitae faucibus ex ullamcorper eget. Integer cursus eleifend convallis. Nunc ac nulla a arcu lacinia lacinia. Nulla dictum, orci ut interdum rutrum, dolor velit posuere est, in aliquet quam mi id velit.\r\n\r\nVivamus feugiat varius malesuada. Etiam vitae eros ac erat porttitor bibendum nec sit amet velit. Proin egestas nisi ipsum, vel aliquet nisi hendrerit non. Vivamus posuere id arcu tincidunt bibendum. In in augue vel sapien posuere mollis non at lectus. Sed maximus turpis eu lacus tristique aliquam. Sed egestas porttitor tincidunt. Aliquam diam eros, facilisis id sagittis eget, eleifend et velit. Sed vitae ultrices nunc. Mauris mattis nunc eu leo tincidunt scelerisque. Vivamus lobortis posuere euismod. Integer vitae semper erat. Vivamus id nisl at tellus egestas vestibulum. Nullam ut lobortis turpis, ut fermentum massa. Cras eget dui nibh. Sed non diam sapien.\r\n\r\nDonec sit amet consequat neque. Aenean ac sollicitudin urna, ac congue massa. Aliquam quis suscipit nulla, quis dignissim velit. Pellentesque lacinia cursus risus sit amet pellentesque. Praesent at volutpat tortor, quis consequat nibh. Suspendisse sit amet risus ut ex porta dignissim dictum sed sem. Curabitur vel feugiat libero. Nam laoreet sagittis lacinia. Nam commodo ultricies malesuada. In hac habitasse platea dictumst. Interdum et malesuada fames ac ante ipsum primis in faucibus. Aenean ultrices vulputate sapien, quis fringilla urna.\r\n\r\nEtiam id massa non purus finibus porttitor tincidunt a urna. Mauris dapibus viverra eros, vel rutrum est auctor sit amet. Nam non dolor nec metus molestie finibus. Pellentesque quis tincidunt justo. Nunc a facilisis diam. Integer finibus eros sit amet cursus luctus. Suspendisse non luctus diam. Curabitur sagittis eu leo vitae porta. Phasellus facilisis hendrerit diam et mollis. Etiam quis aliquam dolor, a imperdiet nisi. Duis ut ultrices nibh. Nullam ultricies, lacus in porta maximus, nunc velit porttitor est, ac elementum tellus libero nec tellus. Sed dignissim lacus sem, eget efficitur justo pharetra a.\r\n\r\nDonec rutrum non erat at eleifend. Morbi ac neque ac lorem volutpat lacinia vitae in sem. Aliquam erat volutpat. Quisque tortor neque, rutrum in porta sed, condimentum vel nibh. Curabitur varius laoreet justo, a cursus tellus lacinia ut. Praesent eget metus mauris. Nulla tincidunt justo id nulla condimentum euismod. ', '', 'full_html'),
('node', 'project', '0', '179', '179', 'en', '0', 'Donec tempus erat quis nunc porta consequat. Quisque sed pretium ex, eu vestibulum arcu. Curabitur lacus ex, congue in viverra volutpat, hendrerit id dolor. Quisque faucibus neque nec auctor ornare. Praesent sodales orci at lectus dignissim facilisis. Curabitur dui velit, ultricies quis mi vel, commodo placerat orci. Pellentesque at sollicitudin magna. In gravida sodales nibh, sit amet tempus diam aliquet sed. Curabitur blandit tellus quis sem maximus, ut gravida ligula venenatis. Donec aliquet velit quis magna aliquet malesuada. Aenean sodales iaculis vehicula. Proin placerat pretium aliquet. Nam in pulvinar erat. Vivamus accumsan justo eget neque scelerisque, quis faucibus nisi dictum. Integer ac consectetur est, ut efficitur felis.\r\n\r\nCurabitur ut mollis turpis. Sed sit amet lectus sit amet leo fermentum mattis ut ac ante. Nam enim justo, faucibus in erat ac, laoreet maximus massa. Nulla a nibh odio. Donec mattis augue in lorem viverra scelerisque. Morbi vitae mi in felis feugiat commodo. Nulla scelerisque auctor diam, eget hendrerit metus vestibulum nec. Donec maximus commodo leo vitae porta.\r\n\r\nNunc risus mauris, sodales iaculis aliquam eget, dignissim a tortor. Nulla molestie tincidunt urna, eget ullamcorper odio vulputate quis. Quisque magna ipsum, rutrum ut velit a, sagittis lacinia nibh. Nam ut eros a justo ullamcorper venenatis. Etiam nec rutrum neque. Vestibulum dictum ligula in urna convallis fringilla. Duis lacinia velit neque, in feugiat sem lacinia ac. Donec fringilla, leo et placerat venenatis, ligula lorem maximus risus, at malesuada tortor lacus sed est. Nam a purus quis massa efficitur viverra sit amet non erat. Curabitur nec lobortis tortor, sed pretium nisi. Mauris dui justo, tristique at lectus eget, interdum vehicula arcu.\r\n\r\nSed mattis fringilla tortor, quis commodo odio commodo in. Nam rutrum turpis turpis, non venenatis justo interdum non. Nulla risus erat, tristique ut dolor quis, vulputate consequat nibh. Fusce placerat elementum odio cursus lacinia. Curabitur a tristique lacus. Morbi vitae enim sit amet massa tempor finibus. Nunc laoreet iaculis mi in sagittis.\r\n\r\nPraesent laoreet, urna eu pellentesque porttitor, enim augue finibus erat, at pharetra elit elit ut lacus. Integer malesuada enim in dignissim varius. Integer iaculis maximus purus, ac maximus erat eleifend non. Vestibulum aliquam nisi ac ipsum rutrum lobortis. Nulla non tincidunt felis. Nam ornare auctor nunc, eget lobortis lorem rutrum at. Aenean eu sodales leo, commodo viverra dui. Morbi sodales et arcu non venenatis. Suspendisse potenti. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum vel felis eget mauris laoreet tincidunt. Proin tincidunt nec libero ut elementum. Integer sapien lorem, elementum id consectetur commodo, mattis eu orci. Suspendisse pharetra, metus ut interdum scelerisque, arcu ex vulputate justo, at volutpat neque risus eu tortor. Duis aliquam erat quam, eu luctus nibh varius luctus. ', '', 'full_html'),
('node', 'tariff_plan', '0', '183', '183', 'en', '0', 'Nulla sem libero, consectetur nec tellus semper, maximus auctor lectus. Pellentesque sed velit eros. Curabitur aliquet viverra diam non vestibulum. Pellentesque lobortis lacus ac turpis convallis, id tempor tortor imperdiet. Duis ut mi suscipit, varius elit sed, venenatis enim. Ut dignissim lectus vitae metus ornare, vitae fringilla leo convallis. Cras nisi nibh, faucibus in gravida a, dignissim ut dui. Maecenas in commodo velit, a consequat neque. Morbi at dui vitae dolor pretium dictum. ', '', 'full_html'),
('node', 'tariff_plan', '0', '184', '184', 'en', '0', 'Nulla sollicitudin at felis eu imperdiet. Morbi tincidunt enim at diam malesuada, in varius velit posuere. Quisque iaculis hendrerit pretium. Donec mollis ex ipsum, nec feugiat urna posuere ut. Integer sem nisl, lacinia id magna nec, gravida tempor dui. Nulla tristique congue nulla. Vestibulum ultricies magna nunc, at semper neque dictum id. Proin mollis augue in dolor hendrerit volutpat. Fusce consequat euismod libero vitae efficitur. Aenean libero massa, pellentesque quis lobortis non, pellentesque et ligula. Vestibulum nec finibus lectus. ', '', 'full_html');
/*!40000 ALTER TABLE field_data_body ENABLE KEYS */;

--
-- Table structure for table 'field_data_comment_body'
--

CREATE TABLE IF NOT EXISTS `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)' COMMENT='Data storage for field 1 (comment_body)';

--
-- Dumping data for table 'field_data_comment_body'
--

/*!40000 ALTER TABLE field_data_comment_body DISABLE KEYS */;
INSERT INTO `field_data_comment_body` VALUES
('comment', 'comment_node_forum', '0', '1', '1', 'und', '0', 'Fusce porttitor porta tortor pulvinar iaculis. Nulla facilisi. Etiam semper hendrerit lectus, sit amet ultricies augue porta ut. Praesent vitae dolor vitae felis congue mollis. Nulla fermentum augue sit amet sem luctus dignissim. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In dignissim tincidunt mollis. Sed sed massa lorem, sed laoreet est. Pellentesque sit amet orci sed arcu euismod posuere id in nisl. Aenean in quam tortor. Curabitur consequat metus ut nulla viverra tincidunt. In hac habitasse platea dictumst. Suspendisse hendrerit, quam a dignissim pellentesque, turpis risus bibendum massa, quis lacinia sem sem eget est. Praesent magna nisi, dignissim laoreet hendrerit lobortis, gravida non velit. Nullam ut velit augue. Mauris mattis tellus elit, et vehicula purus. Nulla eros libero, pretium id elementum id, euismod non risus. Donec enim nisi, luctus quis vestibulum eu, dapibus quis nisi. Cras porttitor sem sit amet metus fermentum pretium.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '2', '2', 'und', '0', 'Suspendisse potenti. Fusce diam risus, mattis sit amet pretium in, feugiat sed purus. Vivamus in lectus tellus. Nam justo leo, placerat sit amet imperdiet ut, accumsan quis nulla. Donec tristique tristique massa at malesuada. Nulla eleifend ultricies tempus. Nulla dapibus tempus pulvinar. Nullam urna sem, vestibulum ac porttitor sit amet, semper ut dui. Etiam at turpis sed risus auctor molestie eget quis lectus. Donec lacus tortor, condimentum nec pharetra et, adipiscing a sapien. Nulla ac ante diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus bibendum euismod lobortis. Phasellus semper elementum quam a iaculis. Morbi tristique diam id ante sagittis rutrum.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '3', '3', 'und', '0', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut egestas ante ac nunc dignissim vitae blandit lectus vulputate. Aliquam ultrices cursus scelerisque. Nullam interdum facilisis eros ut dignissim. Morbi luctus ultrices eros, vel varius urna facilisis nec. Aliquam vulputate placerat velit id semper. Fusce nisi ante, pulvinar rutrum semper non, imperdiet quis urna. Duis blandit, lacus eget pretium blandit, justo orci molestie turpis, sit amet tincidunt justo lacus eget augue. Etiam sodales egestas tincidunt. Quisque et est tellus, eu commodo eros. Phasellus sed est nisl, vel posuere massa. Fusce eu diam nec eros elementum congue a a augue. Donec tempus velit id leo vestibulum luctus. Quisque mattis, orci eget feugiat volutpat, dui orci lobortis metus, quis elementum leo urna quis urna. Nullam et dolor urna. Praesent tincidunt velit at mauris pharetra sit amet rhoncus enim sollicitudin. Morbi non aliquet nisl.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '4', '4', 'und', '0', 'Quisque nec libero eu urna volutpat cursus. Quisque elit velit, consequat at fringilla quis, tincidunt ac nisi. Donec consequat nisl nec leo vulputate nec fermentum sapien porttitor. Aliquam hendrerit faucibus diam, at dictum quam euismod at. Sed luctus tempus libero, vitae viverra est laoreet sit amet. Duis sit amet neque dui, eu rutrum urna. Nunc purus urna, hendrerit id suscipit nec, pulvinar quis justo. Pellentesque id purus vel nibh iaculis iaculis. Suspendisse non ante eros. Duis condimentum tempor nulla at venenatis. Quisque tristique dui sit amet lorem vulputate eget eleifend ipsum sodales.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '5', '5', 'und', '0', 'Etiam ornare, tellus quis facilisis eleifend, sem enim ultrices sem, ut convallis eros massa sed mauris. Nulla facilisi. Quisque eu neque eu erat bibendum pharetra a sit amet tortor. Fusce a augue ante. In hac habitasse platea dictumst. Aliquam eu purus eu lorem placerat aliquam. Proin in ante vitae diam cursus condimentum. Donec commodo nunc eu enim placerat ut tempor tortor feugiat. In porttitor lacinia mi sed condimentum. Nam imperdiet sapien fringilla felis auctor faucibus. Morbi feugiat dui vel mi facilisis eu molestie nisl sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent nisl nisi, bibendum pulvinar blandit non, pretium vitae metus. Quisque turpis justo, facilisis in semper at, semper in urna. Vivamus pellentesque sollicitudin erat at iaculis. Quisque ullamcorper nunc at enim convallis vehicula. Fusce vel mi ante. Aenean quam libero, elementum et varius in, eleifend hendrerit eros.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '6', '6', 'und', '0', 'Fusce gravida consectetur mi non tincidunt. Sed dictum lacinia mauris, sed tempus ligula blandit ac. Nam et posuere quam. Integer dui orci, vulputate et pulvinar lobortis, lacinia vel elit. Duis accumsan scelerisque arcu, sit amet lacinia urna faucibus sit amet. Pellentesque sed est mollis purus ornare gravida. Pellentesque interdum justo vel urna pretium tempor. Maecenas sed sapien arcu, sit amet tempus eros. Pellentesque cursus tempus facilisis. Cras auctor mauris a sem vestibulum fermentum.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '7', '7', 'und', '0', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam euismod viverra volutpat. Praesent orci neque, pellentesque tempus pharetra quis, laoreet eget dolor. Ut adipiscing auctor dignissim. Nam eu odio sit amet lacus accumsan congue. Ut tempor est condimentum urna posuere porttitor. Mauris orci purus, adipiscing non cursus at, lacinia et quam. Integer ullamcorper leo sit amet nulla venenatis sit amet vehicula diam pulvinar. In hac habitasse platea dictumst. Suspendisse ante sapien, gravida semper pretium sit amet, sollicitudin id eros. Donec eget tellus sit amet magna malesuada consectetur. Pellentesque luctus leo mi. Suspendisse vulputate auctor magna tempus scelerisque. Vivamus vehicula rhoncus erat ut luctus. Mauris sed dui id lorem ornare consectetur ac lacinia tortor. Maecenas nunc leo, placerat eget rhoncus a, pellentesque at erat.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '8', '8', 'und', '0', 'Etiam ornare, tellus quis facilisis eleifend, sem enim ultrices sem, ut convallis eros massa sed mauris. Nulla facilisi. Quisque eu neque eu erat bibendum pharetra a sit amet tortor. Fusce a augue ante. In hac habitasse platea dictumst. Aliquam eu purus eu lorem placerat aliquam. Proin in ante vitae diam cursus condimentum. Donec commodo nunc eu enim placerat ut tempor tortor feugiat. In porttitor lacinia mi sed condimentum. Nam imperdiet sapien fringilla felis auctor faucibus. Morbi feugiat dui vel mi facilisis eu molestie nisl sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent nisl nisi, bibendum pulvinar blandit non, pretium vitae metus. Quisque turpis justo, facilisis in semper at, semper in urna. Vivamus pellentesque sollicitudin erat at iaculis. Quisque ullamcorper nunc at enim convallis vehicula. Fusce vel mi ante. Aenean quam libero, elementum et varius in, eleifend hendrerit eros.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '9', '9', 'und', '0', 'Sed ornare ipsum id libero interdum vel eleifend neque egestas. Mauris sodales urna vitae felis placerat venenatis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed justo magna, sagittis nec consequat id, placerat sit amet magna. Praesent lacus metus, aliquet ut sodales et, porta ut nunc. Nulla id massa in erat imperdiet pulvinar. Duis ut metus in mi volutpat convallis et id mi. Fusce in mi sit amet augue faucibus elementum. Praesent odio tortor, tincidunt ac lacinia sit amet, pellentesque id dolor. Ut pretium imperdiet sem, non ornare sem pretium ut. Maecenas sit amet arcu nisi.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '10', '10', 'und', '0', 'Suspendisse convallis, risus a tempor gravida, purus nunc condimentum lorem, eget lacinia lectus augue eget ante. Cras aliquet luctus sapien, sed euismod mi porttitor ut. Nam vulputate, nulla eu tincidunt convallis, leo neque elementum leo, sit amet vulputate libero lectus in mauris. Praesent arcu ipsum, rhoncus nec tincidunt quis, rutrum a augue. Fusce congue, lacus nec pharetra venenatis, risus sapien congue purus, non dictum tellus sem id enim. Donec imperdiet pharetra tempus. Duis ac augue nec urna iaculis aliquet. Sed malesuada semper mauris, id cursus velit convallis rutrum. Phasellus pulvinar, nulla a condimentum varius, enim tortor porttitor sem, adipiscing fringilla felis massa vitae mi. Pellentesque vestibulum elit non turpis convallis scelerisque. Integer scelerisque scelerisque lorem, nec aliquam turpis molestie nec.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '11', '11', 'und', '0', 'Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris sed tempor arcu. Suspendisse potenti. Fusce a nibh sed libero faucibus faucibus. In hac habitasse platea dictumst. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam ac velit ligula. Aliquam aliquam est vitae dui faucibus consectetur non at sapien. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Suspendisse velit ligula, faucibus ac elementum vel, sagittis vitae sapien. Sed nec sem ut dui venenatis lobortis. Phasellus et lorem vitae mi aliquet tincidunt. Nunc et sodales nulla. Donec eu diam a ante condimentum lobortis.', 'filtered_html'),
('comment', 'comment_node_blog', '0', '16', '16', 'und', '0', '<p>Curabitur mauris tortor, laoreet et consectetur non, <a href="#">rhoncus sed risus</a>. Donec nisi enim, adipiscing <strong>quis convallis</strong> eu, elementum a urna. Maecenas sit amet metus sem. Sed non est ligula, sit amet vehicula nunc. Maecenas sed quam non urna tincidunt pellentesque ac ut enim. Vestibulum arcu tortor, vulputate nec semper id, commodo eget lacus. Integer mi dolor, malesuada in ullamcorper ut, tincidunt eu arcu. Mauris dictum, libero id rutrum vehicula, est l<strong>igula sagittis urna</strong>, ut convallis purus <strong>purus at dolor</strong>. <em>Praesent nec vehicula</em> tortor. Nulla facilisi. Curabitur mauris sapien, interdum id consequat et, lobortis ut ipsum. Vestibulum tempus augue eu est malesuada viverra. Nunc mattis fermentum metus, a consectetur magna egestas lobortis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi <em>non mauris ligula</em>. Suspendisse facilisis <a href="#">sagittis mauris</a>, ac dictum elit fringilla ut.</p>', 'full_html'),
('comment', 'comment_node_blog', '0', '17', '17', 'und', '0', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque cursus, sem eget sagittis sagittis, nisl magna sodales eros', 'full_html'),
('comment', 'comment_node_blog', '0', '19', '19', 'und', '0', 'Etiam aliquet neque massa, eu lobortis justo tincidunt in. Donec tincidunt dui ut erat consectetur vulputate.', 'full_html'),
('comment', 'comment_node_blog', '0', '21', '21', 'und', '0', 'Vestibulum quis nibh et turpis rhoncus lobortis. Nunc accumsan, elit gravida mattis eleifend, nunc massa euismod urna, quis luctus sem turpis a nulla. In facilisis, ipsum ut sodales luctus, urna odio dapibus nibh, vel porta diam magna non diam. ', 'full_html');
/*!40000 ALTER TABLE field_data_comment_body ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_coupon_code'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_coupon_code` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_code_value` varchar(255) DEFAULT NULL,
  `commerce_coupon_code_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_coupon_code_format` (`commerce_coupon_code_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 115 (commerce_coupon_code)' COMMENT='Data storage for field 115 (commerce_coupon_code)';

--
-- Dumping data for table 'field_data_commerce_coupon_code'
--

/*!40000 ALTER TABLE field_data_commerce_coupon_code DISABLE KEYS */;
INSERT INTO `field_data_commerce_coupon_code` VALUES
('commerce_coupon', 'save_5_dollars', '0', '1', '1', 'und', '0', 'save5', NULL);
/*!40000 ALTER TABLE field_data_commerce_coupon_code ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_coupon_number_of_uses'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_coupon_number_of_uses` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_number_of_uses_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 116 (commerce_coupon_number_of_uses)' COMMENT='Data storage for field 116 (commerce_coupon_number_of_uses)';

--
-- Dumping data for table 'field_data_commerce_coupon_number_of_uses'
--

/*!40000 ALTER TABLE field_data_commerce_coupon_number_of_uses DISABLE KEYS */;
INSERT INTO `field_data_commerce_coupon_number_of_uses` VALUES
('commerce_coupon', 'save_5_dollars', '0', '1', '1', 'und', '0', '100');
/*!40000 ALTER TABLE field_data_commerce_coupon_number_of_uses ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_coupon_order_reference'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_coupon_order_reference` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_order_reference_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_coupon_order_reference_target_id` (`commerce_coupon_order_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 109 (commerce_coupon_order_reference)' COMMENT='Data storage for field 109 (commerce_coupon_order_reference)';

--
-- Dumping data for table 'field_data_commerce_coupon_order_reference'
--

/*!40000 ALTER TABLE field_data_commerce_coupon_order_reference DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_coupon_order_reference ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_coupon_reference'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_coupon_reference` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_reference_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_coupon_reference_target_id` (`commerce_coupon_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 110 (commerce_coupon_reference)' COMMENT='Data storage for field 110 (commerce_coupon_reference)';

--
-- Dumping data for table 'field_data_commerce_coupon_reference'
--

/*!40000 ALTER TABLE field_data_commerce_coupon_reference DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_coupon_reference ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_customer_address'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_customer_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `commerce_customer_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `commerce_customer_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `commerce_customer_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `commerce_customer_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `commerce_customer_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `commerce_customer_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `commerce_customer_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `commerce_customer_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `commerce_customer_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `commerce_customer_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `commerce_customer_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 100 (commerce_customer_address)' COMMENT='Data storage for field 100 (commerce_customer_address)';

--
-- Dumping data for table 'field_data_commerce_customer_address'
--

/*!40000 ALTER TABLE field_data_commerce_customer_address DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_customer_address ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_customer_billing'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_customer_billing` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_billing_profile_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_customer_billing_profile_id` (`commerce_customer_billing_profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 103 (commerce_customer_billing)' COMMENT='Data storage for field 103 (commerce_customer_billing)';

--
-- Dumping data for table 'field_data_commerce_customer_billing'
--

/*!40000 ALTER TABLE field_data_commerce_customer_billing DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_customer_billing ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_display_path'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_display_path` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_display_path_value` varchar(255) DEFAULT NULL,
  `commerce_display_path_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_display_path_format` (`commerce_display_path_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 107 (commerce_display_path)' COMMENT='Data storage for field 107 (commerce_display_path)';

--
-- Dumping data for table 'field_data_commerce_display_path'
--

/*!40000 ALTER TABLE field_data_commerce_display_path DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_display_path ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_line_items'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_line_items` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_line_items_line_item_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_line_items_line_item_id` (`commerce_line_items_line_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 101 (commerce_line_items)' COMMENT='Data storage for field 101 (commerce_line_items)';

--
-- Dumping data for table 'field_data_commerce_line_items'
--

/*!40000 ALTER TABLE field_data_commerce_line_items DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_line_items ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_order_total'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_order_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_order_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_order_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_order_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_order_total_currency_price` (`commerce_order_total_amount`,`commerce_order_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 102 (commerce_order_total)' COMMENT='Data storage for field 102 (commerce_order_total)';

--
-- Dumping data for table 'field_data_commerce_order_total'
--

/*!40000 ALTER TABLE field_data_commerce_order_total DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_order_total ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_price'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_price_currency_price` (`commerce_price_amount`,`commerce_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 108 (commerce_price)' COMMENT='Data storage for field 108 (commerce_price)';

--
-- Dumping data for table 'field_data_commerce_price'
--

/*!40000 ALTER TABLE field_data_commerce_price DISABLE KEYS */;
INSERT INTO `field_data_commerce_price` VALUES
('commerce_product', 'product', '0', '1', '1', 'und', '0', '31200', 'USD', 'a:1:{s:10:"components";a:0:{}}');
/*!40000 ALTER TABLE field_data_commerce_price ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_product'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_product` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_product_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_product_product_id` (`commerce_product_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 106 (commerce_product)' COMMENT='Data storage for field 106 (commerce_product)';

--
-- Dumping data for table 'field_data_commerce_product'
--

/*!40000 ALTER TABLE field_data_commerce_product DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_product ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_stock'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_stock` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_stock_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 117 (commerce_stock)' COMMENT='Data storage for field 117 (commerce_stock)';

--
-- Dumping data for table 'field_data_commerce_stock'
--

/*!40000 ALTER TABLE field_data_commerce_stock DISABLE KEYS */;
INSERT INTO `field_data_commerce_stock` VALUES
('commerce_product', 'product', '0', '1', '1', 'und', '0', '0');
/*!40000 ALTER TABLE field_data_commerce_stock ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_total'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_total_currency_price` (`commerce_total_amount`,`commerce_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 105 (commerce_total)' COMMENT='Data storage for field 105 (commerce_total)';

--
-- Dumping data for table 'field_data_commerce_total'
--

/*!40000 ALTER TABLE field_data_commerce_total DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_total ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_unit_price'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_unit_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_unit_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_unit_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_unit_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_unit_price_currency_price` (`commerce_unit_price_amount`,`commerce_unit_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 104 (commerce_unit_price)' COMMENT='Data storage for field 104 (commerce_unit_price)';

--
-- Dumping data for table 'field_data_commerce_unit_price'
--

/*!40000 ALTER TABLE field_data_commerce_unit_price DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_unit_price ENABLE KEYS */;

--
-- Table structure for table 'field_data_commerce_wishlist_visibility'
--

CREATE TABLE IF NOT EXISTS `field_data_commerce_wishlist_visibility` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_wishlist_visibility_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_wishlist_visibility_value` (`commerce_wishlist_visibility_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 111 (commerce_wishlist_visibility)' COMMENT='Data storage for field 111 (commerce_wishlist_visibility)';

--
-- Dumping data for table 'field_data_commerce_wishlist_visibility'
--

/*!40000 ALTER TABLE field_data_commerce_wishlist_visibility DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_commerce_wishlist_visibility ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_banner_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_banner_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_banner_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_banner_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_banner_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_banner_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_banner_image_fid` (`field_banner_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 24 (field_banner_image)' COMMENT='Data storage for field 24 (field_banner_image)';

--
-- Dumping data for table 'field_data_field_banner_image'
--

/*!40000 ALTER TABLE field_data_field_banner_image DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_banner_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_banner_site_url'
--

CREATE TABLE IF NOT EXISTS `field_data_field_banner_site_url` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_site_url_url` varchar(2048) DEFAULT NULL,
  `field_banner_site_url_title` varchar(255) DEFAULT NULL,
  `field_banner_site_url_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 40 (field_banner_site_url)' COMMENT='Data storage for field 40 (field_banner_site_url)';

--
-- Dumping data for table 'field_data_field_banner_site_url'
--

/*!40000 ALTER TABLE field_data_field_banner_site_url DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_banner_site_url ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_blog_category'
--

CREATE TABLE IF NOT EXISTS `field_data_field_blog_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_category_tid` (`field_blog_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 18 (field_blog_category)' COMMENT='Data storage for field 18 (field_blog_category)';

--
-- Dumping data for table 'field_data_field_blog_category'
--

/*!40000 ALTER TABLE field_data_field_blog_category DISABLE KEYS */;
INSERT INTO `field_data_field_blog_category` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', '27'),
('node', 'blog', '0', '37', '37', 'und', '1', '26'),
('node', 'blog', '0', '38', '38', 'und', '0', '143'),
('node', 'blog', '0', '38', '38', 'und', '1', '144'),
('node', 'blog', '0', '38', '38', 'und', '2', '145'),
('node', 'blog', '0', '39', '39', 'und', '0', '19'),
('node', 'blog', '0', '39', '39', 'und', '1', '23'),
('node', 'blog', '0', '40', '40', 'und', '0', '25'),
('node', 'blog', '0', '40', '40', 'und', '1', '27'),
('node', 'blog', '0', '40', '40', 'und', '2', '26'),
('node', 'blog', '0', '41', '41', 'und', '0', '25'),
('node', 'blog', '0', '41', '41', 'und', '1', '19'),
('node', 'blog', '0', '41', '41', 'und', '2', '27'),
('node', 'blog', '0', '41', '41', 'und', '3', '23'),
('node', 'blog', '0', '41', '41', 'und', '4', '21'),
('node', 'blog', '0', '41', '41', 'und', '5', '24'),
('node', 'blog', '0', '41', '41', 'und', '6', '26'),
('node', 'blog', '0', '41', '41', 'und', '7', '22'),
('node', 'blog', '0', '41', '41', 'und', '8', '20'),
('node', 'blog', '0', '105', '105', 'und', '0', '26'),
('node', 'blog', '0', '123', '123', 'und', '0', '155'),
('node', 'blog', '0', '124', '124', 'und', '0', '154'),
('node', 'blog', '0', '125', '125', 'und', '0', '153'),
('node', 'blog', '0', '126', '126', 'und', '0', '146'),
('node', 'blog', '0', '126', '126', 'und', '1', '147'),
('node', 'blog', '0', '126', '126', 'und', '2', '148');
/*!40000 ALTER TABLE field_data_field_blog_category ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_blog_like'
--

CREATE TABLE IF NOT EXISTS `field_data_field_blog_like` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_like_vud_widget` varchar(255) DEFAULT NULL,
  `field_blog_like_votingapi_tag` varchar(64) NOT NULL DEFAULT 'vote',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 96 (field_blog_like)' COMMENT='Data storage for field 96 (field_blog_like)';

--
-- Dumping data for table 'field_data_field_blog_like'
--

/*!40000 ALTER TABLE field_data_field_blog_like DISABLE KEYS */;
INSERT INTO `field_data_field_blog_like` VALUES
('node', 'blog', '0', '38', '38', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '123', '123', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '124', '124', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '125', '125', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '126', '126', 'und', '0', 'alternate', 'vote');
/*!40000 ALTER TABLE field_data_field_blog_like ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_blog_media'
--

CREATE TABLE IF NOT EXISTS `field_data_field_blog_media` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_media_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_blog_media_display` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_blog_media_description` text COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_media_fid` (`field_blog_media_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 30 (field_blog_media)' COMMENT='Data storage for field 30 (field_blog_media)';

--
-- Dumping data for table 'field_data_field_blog_media'
--

/*!40000 ALTER TABLE field_data_field_blog_media DISABLE KEYS */;
INSERT INTO `field_data_field_blog_media` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '38', '38', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '39', '39', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '40', '40', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '41', '41', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '105', '105', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '123', '123', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '124', '124', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '125', '125', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '126', '126', 'und', '0', '8', '1', NULL);
/*!40000 ALTER TABLE field_data_field_blog_media ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_blog_share'
--

CREATE TABLE IF NOT EXISTS `field_data_field_blog_share` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_share_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 66 (field_blog_share)' COMMENT='Data storage for field 66 (field_blog_share)';

--
-- Dumping data for table 'field_data_field_blog_share'
--

/*!40000 ALTER TABLE field_data_field_blog_share DISABLE KEYS */;
INSERT INTO `field_data_field_blog_share` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '38', '38', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '39', '39', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '40', '40', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '41', '41', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '105', '105', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '123', '123', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '124', '124', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '125', '125', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '126', '126', 'und', '0', 'Dummy value');
/*!40000 ALTER TABLE field_data_field_blog_share ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_blog_tags'
--

CREATE TABLE IF NOT EXISTS `field_data_field_blog_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_tags_tid` (`field_blog_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 25 (field_blog_tags)' COMMENT='Data storage for field 25 (field_blog_tags)';

--
-- Dumping data for table 'field_data_field_blog_tags'
--

/*!40000 ALTER TABLE field_data_field_blog_tags DISABLE KEYS */;
INSERT INTO `field_data_field_blog_tags` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', '32'),
('node', 'blog', '0', '37', '37', 'und', '1', '33'),
('node', 'blog', '0', '37', '37', 'und', '2', '44'),
('node', 'blog', '0', '38', '38', 'und', '0', '138'),
('node', 'blog', '0', '38', '38', 'und', '1', '139'),
('node', 'blog', '0', '38', '38', 'und', '2', '140'),
('node', 'blog', '0', '39', '39', 'und', '0', '35'),
('node', 'blog', '0', '39', '39', 'und', '1', '32'),
('node', 'blog', '0', '39', '39', 'und', '2', '36'),
('node', 'blog', '0', '39', '39', 'und', '3', '37'),
('node', 'blog', '0', '39', '39', 'und', '4', '38'),
('node', 'blog', '0', '40', '40', 'und', '0', '33'),
('node', 'blog', '0', '40', '40', 'und', '1', '39'),
('node', 'blog', '0', '40', '40', 'und', '2', '32'),
('node', 'blog', '0', '40', '40', 'und', '3', '41'),
('node', 'blog', '0', '105', '105', 'und', '0', '46'),
('node', 'blog', '0', '105', '105', 'und', '1', '52'),
('node', 'blog', '0', '105', '105', 'und', '2', '40'),
('node', 'blog', '0', '126', '126', 'und', '0', '149'),
('node', 'blog', '0', '126', '126', 'und', '1', '150'),
('node', 'blog', '0', '126', '126', 'und', '2', '151');
/*!40000 ALTER TABLE field_data_field_blog_tags ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_employee_facebook'
--

CREATE TABLE IF NOT EXISTS `field_data_field_employee_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_facebook_url` varchar(2048) DEFAULT NULL,
  `field_employee_facebook_title` varchar(255) DEFAULT NULL,
  `field_employee_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 78 (field_employee_facebook)' COMMENT='Data storage for field 78 (field_employee_facebook)';

--
-- Dumping data for table 'field_data_field_employee_facebook'
--

/*!40000 ALTER TABLE field_data_field_employee_facebook DISABLE KEYS */;
INSERT INTO `field_data_field_employee_facebook` VALUES
('node', 'employee', '0', '65', '65', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '67', '67', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '68', '68', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '69', '69', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '71', '71', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '73', '73', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '132', '132', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '133', '133', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '135', '135', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_data_field_employee_facebook ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_employee_linkedin'
--

CREATE TABLE IF NOT EXISTS `field_data_field_employee_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_employee_linkedin_title` varchar(255) DEFAULT NULL,
  `field_employee_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 95 (field_employee_linkedin)' COMMENT='Data storage for field 95 (field_employee_linkedin)';

--
-- Dumping data for table 'field_data_field_employee_linkedin'
--

/*!40000 ALTER TABLE field_data_field_employee_linkedin DISABLE KEYS */;
INSERT INTO `field_data_field_employee_linkedin` VALUES
('node', 'employee', '0', '67', '67', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '69', '69', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '133', '133', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '134', '134', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '135', '135', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_data_field_employee_linkedin ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_employee_photo'
--

CREATE TABLE IF NOT EXISTS `field_data_field_employee_photo` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_photo_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_employee_photo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_employee_photo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_employee_photo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_employee_photo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_employee_photo_fid` (`field_employee_photo_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_employee_photo)' COMMENT='Data storage for field 11 (field_employee_photo)';

--
-- Dumping data for table 'field_data_field_employee_photo'
--

/*!40000 ALTER TABLE field_data_field_employee_photo DISABLE KEYS */;
INSERT INTO `field_data_field_employee_photo` VALUES
('node', 'employee', '0', '67', '67', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'employee', '0', '133', '133', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'employee', '0', '134', '134', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'employee', '0', '135', '135', 'en', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_data_field_employee_photo ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_employee_position'
--

CREATE TABLE IF NOT EXISTS `field_data_field_employee_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_position_value` varchar(255) DEFAULT NULL,
  `field_employee_position_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_employee_position_format` (`field_employee_position_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 94 (field_employee_position)' COMMENT='Data storage for field 94 (field_employee_position)';

--
-- Dumping data for table 'field_data_field_employee_position'
--

/*!40000 ALTER TABLE field_data_field_employee_position DISABLE KEYS */;
INSERT INTO `field_data_field_employee_position` VALUES
('node', 'employee', '0', '67', '67', 'und', '0', 'Lead Designer, Founder', NULL),
('node', 'employee', '0', '69', '69', 'und', '0', 'Sales Manager', NULL),
('node', 'employee', '0', '133', '133', 'und', '0', 'Photographer', NULL),
('node', 'employee', '0', '134', '134', 'und', '0', 'Art Director', NULL),
('node', 'employee', '0', '135', '135', 'und', '0', 'Sales Manager', NULL);
/*!40000 ALTER TABLE field_data_field_employee_position ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_employee_tumblr'
--

CREATE TABLE IF NOT EXISTS `field_data_field_employee_tumblr` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_tumblr_url` varchar(2048) DEFAULT NULL,
  `field_employee_tumblr_title` varchar(255) DEFAULT NULL,
  `field_employee_tumblr_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 114 (field_employee_tumblr)' COMMENT='Data storage for field 114 (field_employee_tumblr)';

--
-- Dumping data for table 'field_data_field_employee_tumblr'
--

/*!40000 ALTER TABLE field_data_field_employee_tumblr DISABLE KEYS */;
INSERT INTO `field_data_field_employee_tumblr` VALUES
('node', 'employee', '0', '67', '67', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '133', '133', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '134', '134', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '135', '135', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_data_field_employee_tumblr ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_file_image_alt_text'
--

CREATE TABLE IF NOT EXISTS `field_data_field_file_image_alt_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_file_image_alt_text_value` varchar(255) DEFAULT NULL,
  `field_file_image_alt_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_file_image_alt_text_format` (`field_file_image_alt_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 48 (field_file_image_alt_text)' COMMENT='Data storage for field 48 (field_file_image_alt_text)';

--
-- Dumping data for table 'field_data_field_file_image_alt_text'
--

/*!40000 ALTER TABLE field_data_field_file_image_alt_text DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_file_image_alt_text ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_file_image_title_text'
--

CREATE TABLE IF NOT EXISTS `field_data_field_file_image_title_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_file_image_title_text_value` varchar(255) DEFAULT NULL,
  `field_file_image_title_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_file_image_title_text_format` (`field_file_image_title_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 49 (field_file_image_title_text)' COMMENT='Data storage for field 49 (field_file_image_title_text)';

--
-- Dumping data for table 'field_data_field_file_image_title_text'
--

/*!40000 ALTER TABLE field_data_field_file_image_title_text DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_file_image_title_text ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)' COMMENT='Data storage for field 4 (field_image)';

--
-- Dumping data for table 'field_data_field_image'
--

/*!40000 ALTER TABLE field_data_field_image DISABLE KEYS */;
INSERT INTO `field_data_field_image` VALUES
('node', 'article', '0', '83', '83', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '91', '91', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '92', '92', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '93', '93', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '94', '94', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '147', '147', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '148', '148', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'article', '0', '150', '150', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '151', '151', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '172', '172', 'en', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_data_field_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_plan_best_choice'
--

CREATE TABLE IF NOT EXISTS `field_data_field_plan_best_choice` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_best_choice_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_best_choice_value` (`field_plan_best_choice_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 128 (field_plan_best_choice)' COMMENT='Data storage for field 128 (field_plan_best_choice)';

--
-- Dumping data for table 'field_data_field_plan_best_choice'
--

/*!40000 ALTER TABLE field_data_field_plan_best_choice DISABLE KEYS */;
INSERT INTO `field_data_field_plan_best_choice` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '0'),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '0'),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '0'),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '0'),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '0'),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '1'),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '0');
/*!40000 ALTER TABLE field_data_field_plan_best_choice ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_plan_category'
--

CREATE TABLE IF NOT EXISTS `field_data_field_plan_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_category_tid` (`field_plan_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 126 (field_plan_category)' COMMENT='Data storage for field 126 (field_plan_category)';

--
-- Dumping data for table 'field_data_field_plan_category'
--

/*!40000 ALTER TABLE field_data_field_plan_category DISABLE KEYS */;
INSERT INTO `field_data_field_plan_category` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '159'),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '159'),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '159'),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '159'),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '160'),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '160'),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '160');
/*!40000 ALTER TABLE field_data_field_plan_category ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_plan_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_plan_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_plan_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_plan_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_plan_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_plan_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_image_fid` (`field_plan_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 127 (field_plan_image)' COMMENT='Data storage for field 127 (field_plan_image)';

--
-- Dumping data for table 'field_data_field_plan_image'
--

/*!40000 ALTER TABLE field_data_field_plan_image DISABLE KEYS */;
INSERT INTO `field_data_field_plan_image` VALUES
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_data_field_plan_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_plan_options'
--

CREATE TABLE IF NOT EXISTS `field_data_field_plan_options` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_options_value` varchar(255) DEFAULT NULL,
  `field_plan_options_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_options_format` (`field_plan_options_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 86 (field_plan_options)' COMMENT='Data storage for field 86 (field_plan_options)';

--
-- Dumping data for table 'field_data_field_plan_options'
--

/*!40000 ALTER TABLE field_data_field_plan_options DISABLE KEYS */;
INSERT INTO `field_data_field_plan_options` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', 'Up to 50 users', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '1', 'Limited team members', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '2', 'Limited disk space', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '3', 'Custom Domain', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '4', 'PayPal Integration', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '5', 'Basecamp Integration', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '6', 'Email Tech Support', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '7', 'Unlimited Projects', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', 'Up to 100 users', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '1', 'Limited team members', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '2', 'Limited disk space', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '3', 'Custom Domain', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '4', 'PayPal Integration', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '5', 'Basecamp Integration', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '6', 'Email Tech Support', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '7', 'Unlimited Projects', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', 'Up to 250 users', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '1', 'Limited team members', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '2', 'Limited disk space', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '3', 'Custom Domain', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '4', 'PayPal Integration', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '5', 'Basecamp Integration', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '6', 'Email Tech Support', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '7', 'Unlimited Projects', NULL),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', 'Up to 50 users', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '1', 'Limited team members', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '2', 'Limited disk space', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '3', '2 add-on domains', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '4', 'Custom Domain', 'full_html'),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '150 users', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '1', '25 VPN gates', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '2', 'Unlimited space', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '15 users', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '1', '5 VPN gates', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '2', '50 Gb allowed', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '1 user', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '1', 'No VPN access', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '2', '2 Gb allowed', NULL);
/*!40000 ALTER TABLE field_data_field_plan_options ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_plan_period'
--

CREATE TABLE IF NOT EXISTS `field_data_field_plan_period` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_period_value` varchar(255) DEFAULT NULL,
  `field_plan_period_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_period_format` (`field_plan_period_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 65 (field_plan_period)' COMMENT='Data storage for field 65 (field_plan_period)';

--
-- Dumping data for table 'field_data_field_plan_period'
--

/*!40000 ALTER TABLE field_data_field_plan_period DISABLE KEYS */;
INSERT INTO `field_data_field_plan_period` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', 'Per Month', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', 'Per Month', NULL);
/*!40000 ALTER TABLE field_data_field_plan_period ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_plan_price'
--

CREATE TABLE IF NOT EXISTS `field_data_field_plan_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_price_value` varchar(255) DEFAULT NULL,
  `field_plan_price_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_price_format` (`field_plan_price_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 52 (field_plan_price)' COMMENT='Data storage for field 52 (field_plan_price)';

--
-- Dumping data for table 'field_data_field_plan_price'
--

/*!40000 ALTER TABLE field_data_field_plan_price DISABLE KEYS */;
INSERT INTO `field_data_field_plan_price` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '$0', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '$15', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '$35', NULL),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '$25', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '$35', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '$12', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', 'Free', NULL);
/*!40000 ALTER TABLE field_data_field_plan_price ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_product_categories'
--

CREATE TABLE IF NOT EXISTS `field_data_field_product_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_categories_tid` (`field_product_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 119 (field_product_categories)' COMMENT='Data storage for field 119 (field_product_categories)';

--
-- Dumping data for table 'field_data_field_product_categories'
--

/*!40000 ALTER TABLE field_data_field_product_categories DISABLE KEYS */;
INSERT INTO `field_data_field_product_categories` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', '156'),
('node', 'product_display', '0', '180', '180', 'und', '1', '158');
/*!40000 ALTER TABLE field_data_field_product_categories ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_product_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_product_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_product_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_product_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_product_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_product_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_image_fid` (`field_product_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 121 (field_product_image)' COMMENT='Data storage for field 121 (field_product_image)';

--
-- Dumping data for table 'field_data_field_product_image'
--

/*!40000 ALTER TABLE field_data_field_product_image DISABLE KEYS */;
INSERT INTO `field_data_field_product_image` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_data_field_product_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_product_reference'
--

CREATE TABLE IF NOT EXISTS `field_data_field_product_reference` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_reference_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_reference_product_id` (`field_product_reference_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 118 (field_product_reference)' COMMENT='Data storage for field 118 (field_product_reference)';

--
-- Dumping data for table 'field_data_field_product_reference'
--

/*!40000 ALTER TABLE field_data_field_product_reference DISABLE KEYS */;
INSERT INTO `field_data_field_product_reference` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', '1');
/*!40000 ALTER TABLE field_data_field_product_reference ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_product_share'
--

CREATE TABLE IF NOT EXISTS `field_data_field_product_share` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_share_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 123 (field_product_share)' COMMENT='Data storage for field 123 (field_product_share)';

--
-- Dumping data for table 'field_data_field_product_share'
--

/*!40000 ALTER TABLE field_data_field_product_share DISABLE KEYS */;
INSERT INTO `field_data_field_product_share` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', 'Dummy value');
/*!40000 ALTER TABLE field_data_field_product_share ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_product_tags'
--

CREATE TABLE IF NOT EXISTS `field_data_field_product_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_tags_tid` (`field_product_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 122 (field_product_tags)' COMMENT='Data storage for field 122 (field_product_tags)';

--
-- Dumping data for table 'field_data_field_product_tags'
--

/*!40000 ALTER TABLE field_data_field_product_tags DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_product_tags ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_project_category'
--

CREATE TABLE IF NOT EXISTS `field_data_field_project_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_project_category_tid` (`field_project_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 87 (field_project_category)' COMMENT='Data storage for field 87 (field_project_category)';

--
-- Dumping data for table 'field_data_field_project_category'
--

/*!40000 ALTER TABLE field_data_field_project_category DISABLE KEYS */;
INSERT INTO `field_data_field_project_category` VALUES
('node', 'project', '0', '52', '52', 'und', '0', '29'),
('node', 'project', '0', '53', '53', 'und', '0', '142'),
('node', 'project', '0', '54', '54', 'und', '0', '142'),
('node', 'project', '0', '55', '55', 'und', '0', '29'),
('node', 'project', '0', '56', '56', 'und', '0', '31'),
('node', 'project', '0', '56', '56', 'und', '1', '29'),
('node', 'project', '0', '57', '57', 'und', '0', '31'),
('node', 'project', '0', '58', '58', 'und', '0', '31'),
('node', 'project', '0', '82', '82', 'und', '0', '30'),
('node', 'project', '0', '82', '82', 'und', '1', '29'),
('node', 'project', '0', '103', '103', 'und', '0', '31'),
('node', 'project', '0', '103', '103', 'und', '1', '29'),
('node', 'project', '0', '104', '104', 'und', '0', '30'),
('node', 'project', '0', '175', '175', 'und', '0', '29'),
('node', 'project', '0', '175', '175', 'und', '1', '142'),
('node', 'project', '0', '176', '176', 'und', '0', '30'),
('node', 'project', '0', '176', '176', 'und', '1', '29'),
('node', 'project', '0', '177', '177', 'und', '0', '30'),
('node', 'project', '0', '178', '178', 'und', '0', '31'),
('node', 'project', '0', '178', '178', 'und', '1', '29'),
('node', 'project', '0', '179', '179', 'und', '0', '31'),
('node', 'project', '0', '179', '179', 'und', '1', '30');
/*!40000 ALTER TABLE field_data_field_project_category ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_project_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_project_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_project_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_project_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_project_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_project_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_project_image_fid` (`field_project_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 88 (field_project_image)' COMMENT='Data storage for field 88 (field_project_image)';

--
-- Dumping data for table 'field_data_field_project_image'
--

/*!40000 ALTER TABLE field_data_field_project_image DISABLE KEYS */;
INSERT INTO `field_data_field_project_image` VALUES
('node', 'project', '0', '52', '52', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '53', '53', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '54', '54', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '55', '55', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '56', '56', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '57', '57', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '58', '58', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '82', '82', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '103', '103', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '104', '104', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '175', '175', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '176', '176', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '177', '177', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '178', '178', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '179', '179', 'und', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_data_field_project_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_project_masonry_thumb'
--

CREATE TABLE IF NOT EXISTS `field_data_field_project_masonry_thumb` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_masonry_thumb_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_project_masonry_thumb_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_project_masonry_thumb_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_project_masonry_thumb_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_project_masonry_thumb_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_project_masonry_thumb_fid` (`field_project_masonry_thumb_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 93 (field_project_masonry_thumb)' COMMENT='Data storage for field 93 (field_project_masonry_thumb)';

--
-- Dumping data for table 'field_data_field_project_masonry_thumb'
--

/*!40000 ALTER TABLE field_data_field_project_masonry_thumb DISABLE KEYS */;
INSERT INTO `field_data_field_project_masonry_thumb` VALUES
('node', 'project', '0', '53', '53', 'und', '0', '19', NULL, NULL, '270', '270'),
('node', 'project', '0', '54', '54', 'und', '0', '21', NULL, NULL, '870', '270'),
('node', 'project', '0', '55', '55', 'und', '0', '23', NULL, NULL, '270', '270'),
('node', 'project', '0', '82', '82', 'und', '0', '17', NULL, NULL, '270', '270'),
('node', 'project', '0', '103', '103', 'und', '0', '15', NULL, NULL, '570', '270'),
('node', 'project', '0', '104', '104', 'und', '0', '13', NULL, NULL, '570', '570');
/*!40000 ALTER TABLE field_data_field_project_masonry_thumb ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_question_category'
--

CREATE TABLE IF NOT EXISTS `field_data_field_question_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_question_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_question_category_tid` (`field_question_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 69 (field_question_category)' COMMENT='Data storage for field 69 (field_question_category)';

--
-- Dumping data for table 'field_data_field_question_category'
--

/*!40000 ALTER TABLE field_data_field_question_category DISABLE KEYS */;
INSERT INTO `field_data_field_question_category` VALUES
('node', 'faq', '0', '42', '42', 'und', '0', '127'),
('node', 'faq', '0', '42', '42', 'und', '1', '129'),
('node', 'faq', '0', '42', '42', 'und', '2', '130'),
('node', 'faq', '0', '43', '43', 'und', '0', '130'),
('node', 'faq', '0', '44', '44', 'und', '0', '128'),
('node', 'faq', '0', '44', '44', 'und', '1', '127'),
('node', 'faq', '0', '44', '44', 'und', '2', '129'),
('node', 'faq', '0', '45', '45', 'und', '0', '127'),
('node', 'faq', '0', '46', '46', 'und', '0', '129'),
('node', 'faq', '0', '136', '136', 'und', '0', '128'),
('node', 'faq', '0', '137', '137', 'und', '0', '127'),
('node', 'faq', '0', '138', '138', 'und', '0', '127'),
('node', 'faq', '0', '138', '138', 'und', '1', '130'),
('node', 'faq', '0', '139', '139', 'und', '0', '128'),
('node', 'faq', '0', '139', '139', 'und', '1', '129');
/*!40000 ALTER TABLE field_data_field_question_category ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_rating'
--

CREATE TABLE IF NOT EXISTS `field_data_field_rating` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rating_rating` int(10) unsigned DEFAULT NULL,
  `field_rating_target` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 125 (field_rating)' COMMENT='Data storage for field 125 (field_rating)';

--
-- Dumping data for table 'field_data_field_rating'
--

/*!40000 ALTER TABLE field_data_field_rating DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_rating ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_service_categories'
--

CREATE TABLE IF NOT EXISTS `field_data_field_service_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_service_categories_tid` (`field_service_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 67 (field_service_categories)' COMMENT='Data storage for field 67 (field_service_categories)';

--
-- Dumping data for table 'field_data_field_service_categories'
--

/*!40000 ALTER TABLE field_data_field_service_categories DISABLE KEYS */;
INSERT INTO `field_data_field_service_categories` VALUES
('node', 'service', '0', '152', '152', 'und', '0', '133'),
('node', 'service', '0', '153', '153', 'und', '0', '133'),
('node', 'service', '0', '154', '154', 'und', '0', '133'),
('node', 'service', '0', '155', '155', 'und', '0', '135'),
('node', 'service', '0', '156', '156', 'und', '0', '134'),
('node', 'service', '0', '157', '157', 'und', '0', '134'),
('node', 'service', '0', '158', '158', 'und', '0', '134'),
('node', 'service', '0', '159', '159', 'und', '0', '134'),
('node', 'service', '0', '160', '160', 'und', '0', '135'),
('node', 'service', '0', '161', '161', 'und', '0', '135'),
('node', 'service', '0', '162', '162', 'und', '0', '135'),
('node', 'service', '0', '163', '163', 'und', '0', '135'),
('node', 'service', '0', '164', '164', 'und', '0', '135'),
('node', 'service', '0', '165', '165', 'und', '0', '136'),
('node', 'service', '0', '166', '166', 'und', '0', '136'),
('node', 'service', '0', '167', '167', 'und', '0', '136'),
('node', 'service', '0', '168', '168', 'und', '0', '136'),
('node', 'service', '0', '169', '169', 'und', '0', '137'),
('node', 'service', '0', '170', '170', 'und', '0', '137'),
('node', 'service', '0', '171', '171', 'und', '0', '137');
/*!40000 ALTER TABLE field_data_field_service_categories ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_service_icon'
--

CREATE TABLE IF NOT EXISTS `field_data_field_service_icon` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_icon_value` varchar(255) DEFAULT NULL,
  `field_service_icon_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_service_icon_format` (`field_service_icon_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 85 (field_service_icon)' COMMENT='Data storage for field 85 (field_service_icon)';

--
-- Dumping data for table 'field_data_field_service_icon'
--

/*!40000 ALTER TABLE field_data_field_service_icon DISABLE KEYS */;
INSERT INTO `field_data_field_service_icon` VALUES
('node', 'service', '0', '152', '152', 'und', '0', '<span class="lnr lnr-users"></span>', 'full_html'),
('node', 'service', '0', '153', '153', 'und', '0', '<span class="lnr lnr-unlink"></span>', 'full_html'),
('node', 'service', '0', '154', '154', 'und', '0', '<span class="lnr lnr-rocket"></span>', 'full_html'),
('node', 'service', '0', '155', '155', 'und', '0', '<span class="fa fa-briefcase"></span>', 'full_html'),
('node', 'service', '0', '156', '156', 'und', '0', '<span class="lnr lnr-gift"></span>', 'full_html'),
('node', 'service', '0', '157', '157', 'und', '0', '<span class="lnr lnr-briefcase"></span>', 'full_html'),
('node', 'service', '0', '158', '158', 'und', '0', '<span class="lnr lnr-bubble"></span>', 'full_html'),
('node', 'service', '0', '159', '159', 'und', '0', '<span class="lnr lnr-layers"></span>', 'full_html'),
('node', 'service', '0', '160', '160', 'und', '0', '<span class="fa fa-truck"></span>', 'full_html'),
('node', 'service', '0', '161', '161', 'und', '0', '<span class="fa fa-calendar"></span>', 'full_html'),
('node', 'service', '0', '162', '162', 'und', '0', '<span class="fa fa-money"></span>', 'full_html'),
('node', 'service', '0', '163', '163', 'und', '0', '<span class="fa fa-book"></span>', 'full_html'),
('node', 'service', '0', '164', '164', 'und', '0', '<span class="fa fa-area-chart"></span>', 'full_html');
/*!40000 ALTER TABLE field_data_field_service_icon ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_service_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_service_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_service_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_service_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_service_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_service_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_service_image_fid` (`field_service_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 70 (field_service_image)' COMMENT='Data storage for field 70 (field_service_image)';

--
-- Dumping data for table 'field_data_field_service_image'
--

/*!40000 ALTER TABLE field_data_field_service_image DISABLE KEYS */;
INSERT INTO `field_data_field_service_image` VALUES
('node', 'service', '0', '165', '165', 'und', '0', '8', NULL, NULL, '1200', '800'),
('node', 'service', '0', '166', '166', 'und', '0', '8', NULL, NULL, '1200', '800'),
('node', 'service', '0', '167', '167', 'und', '0', '8', NULL, NULL, '1200', '800'),
('node', 'service', '0', '168', '168', 'und', '0', '8', NULL, NULL, '1200', '800');
/*!40000 ALTER TABLE field_data_field_service_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_slide_category'
--

CREATE TABLE IF NOT EXISTS `field_data_field_slide_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slide_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slide_category_tid` (`field_slide_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 92 (field_slide_category)' COMMENT='Data storage for field 92 (field_slide_category)';

--
-- Dumping data for table 'field_data_field_slide_category'
--

/*!40000 ALTER TABLE field_data_field_slide_category DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_slide_category ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_slide_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_slide_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slide_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slide_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slide_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slide_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slide_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slide_image_fid` (`field_slide_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (field_slide_image)' COMMENT='Data storage for field 7 (field_slide_image)';

--
-- Dumping data for table 'field_data_field_slide_image'
--

/*!40000 ALTER TABLE field_data_field_slide_image DISABLE KEYS */;
INSERT INTO `field_data_field_slide_image` VALUES
('node', 'slide', '0', '47', '47', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'slide', '0', '50', '50', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'slide', '0', '89', '89', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'slide', '0', '90', '90', 'en', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_data_field_slide_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_tags'
--

CREATE TABLE IF NOT EXISTS `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)' COMMENT='Data storage for field 3 (field_tags)';

--
-- Dumping data for table 'field_data_field_tags'
--

/*!40000 ALTER TABLE field_data_field_tags DISABLE KEYS */;
INSERT INTO `field_data_field_tags` VALUES
('node', 'article', '0', '147', '147', 'und', '0', '76'),
('node', 'article', '0', '148', '148', 'und', '0', '131'),
('node', 'article', '0', '150', '150', 'und', '0', '132'),
('node', 'article', '0', '151', '151', 'und', '0', '132'),
('node', 'article', '0', '172', '172', 'und', '0', '141');
/*!40000 ALTER TABLE field_data_field_tags ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_testi_author_info'
--

CREATE TABLE IF NOT EXISTS `field_data_field_testi_author_info` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_testi_author_info_value` varchar(255) DEFAULT NULL,
  `field_testi_author_info_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_testi_author_info_format` (`field_testi_author_info_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 21 (field_testi_author_info)' COMMENT='Data storage for field 21 (field_testi_author_info)';

--
-- Dumping data for table 'field_data_field_testi_author_info'
--

/*!40000 ALTER TABLE field_data_field_testi_author_info DISABLE KEYS */;
INSERT INTO `field_data_field_testi_author_info` VALUES
('node', 'testimonial', '0', '84', '84', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '85', '85', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '86', '86', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '87', '87', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '88', '88', 'und', '0', 'client', NULL);
/*!40000 ALTER TABLE field_data_field_testi_author_info ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_testi_image'
--

CREATE TABLE IF NOT EXISTS `field_data_field_testi_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_testi_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_testi_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_testi_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_testi_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_testi_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_testi_image_fid` (`field_testi_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 22 (field_testi_image)' COMMENT='Data storage for field 22 (field_testi_image)';

--
-- Dumping data for table 'field_data_field_testi_image'
--

/*!40000 ALTER TABLE field_data_field_testi_image DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_field_testi_image ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_user_bio'
--

CREATE TABLE IF NOT EXISTS `field_data_field_user_bio` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_bio_value` longtext,
  `field_user_bio_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_bio_format` (`field_user_bio_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 47 (field_user_bio)' COMMENT='Data storage for field 47 (field_user_bio)';

--
-- Dumping data for table 'field_data_field_user_bio'
--

/*!40000 ALTER TABLE field_data_field_user_bio DISABLE KEYS */;
INSERT INTO `field_data_field_user_bio` VALUES
('user', 'user', '0', '1', '1', 'und', '0', 'Nunc sit amet rhoncus erat. Donec euismod suscipit quam eu tincidunt. Fusce quis pulvinar lorem, nec pellentesque risus. Curabitur metus mi, varius ut mollis sit amet, ornare egestas enim. In dictum, massa vel aliquam elementum, sem sapien sollicitudin est, id bibendum est mi et ipsum. Cras ultricies eros at lectus laoreet, mattis fermentum ex suscipit. Nulla efficitur odio at fermentum consequat. Sed bibendum velit sapien, ut imperdiet tellus faucibus ut. Donec et metus ut mi egestas laoreet', NULL);
/*!40000 ALTER TABLE field_data_field_user_bio ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_user_linkedin'
--

CREATE TABLE IF NOT EXISTS `field_data_field_user_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_user_linkedin_title` varchar(255) DEFAULT NULL,
  `field_user_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 97 (field_user_linkedin)' COMMENT='Data storage for field 97 (field_user_linkedin)';

--
-- Dumping data for table 'field_data_field_user_linkedin'
--

/*!40000 ALTER TABLE field_data_field_user_linkedin DISABLE KEYS */;
INSERT INTO `field_data_field_user_linkedin` VALUES
('user', 'user', '0', '1', '1', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_data_field_user_linkedin ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_user_tumblr'
--

CREATE TABLE IF NOT EXISTS `field_data_field_user_tumblr` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_tumblr_url` varchar(2048) DEFAULT NULL,
  `field_user_tumblr_title` varchar(255) DEFAULT NULL,
  `field_user_tumblr_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 98 (field_user_tumblr)' COMMENT='Data storage for field 98 (field_user_tumblr)';

--
-- Dumping data for table 'field_data_field_user_tumblr'
--

/*!40000 ALTER TABLE field_data_field_user_tumblr DISABLE KEYS */;
INSERT INTO `field_data_field_user_tumblr` VALUES
('user', 'user', '0', '1', '1', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_data_field_user_tumblr ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_user_vimeo'
--

CREATE TABLE IF NOT EXISTS `field_data_field_user_vimeo` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_vimeo_url` varchar(2048) DEFAULT NULL,
  `field_user_vimeo_title` varchar(255) DEFAULT NULL,
  `field_user_vimeo_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 99 (field_user_vimeo)' COMMENT='Data storage for field 99 (field_user_vimeo)';

--
-- Dumping data for table 'field_data_field_user_vimeo'
--

/*!40000 ALTER TABLE field_data_field_user_vimeo DISABLE KEYS */;
INSERT INTO `field_data_field_user_vimeo` VALUES
('user', 'user', '0', '1', '1', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_data_field_user_vimeo ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_video_categories'
--

CREATE TABLE IF NOT EXISTS `field_data_field_video_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_video_categories_tid` (`field_video_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 113 (field_video_categories)' COMMENT='Data storage for field 113 (field_video_categories)';

--
-- Dumping data for table 'field_data_field_video_categories'
--

/*!40000 ALTER TABLE field_data_field_video_categories DISABLE KEYS */;
INSERT INTO `field_data_field_video_categories` VALUES
('node', 'video_entry', '0', '174', '174', 'und', '0', '152');
/*!40000 ALTER TABLE field_data_field_video_categories ENABLE KEYS */;

--
-- Table structure for table 'field_data_field_video_media'
--

CREATE TABLE IF NOT EXISTS `field_data_field_video_media` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_media_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_video_media_display` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_video_media_description` text COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_video_media_fid` (`field_video_media_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 112 (field_video_media)' COMMENT='Data storage for field 112 (field_video_media)';

--
-- Dumping data for table 'field_data_field_video_media'
--

/*!40000 ALTER TABLE field_data_field_video_media DISABLE KEYS */;
INSERT INTO `field_data_field_video_media` VALUES
('node', 'video_entry', '0', '174', '174', 'und', '0', '24', '1', NULL);
/*!40000 ALTER TABLE field_data_field_video_media ENABLE KEYS */;

--
-- Table structure for table 'field_data_taxonomy_forums'
--

CREATE TABLE IF NOT EXISTS `field_data_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (taxonomy_forums)' COMMENT='Data storage for field 5 (taxonomy_forums)';

--
-- Dumping data for table 'field_data_taxonomy_forums'
--

/*!40000 ALTER TABLE field_data_taxonomy_forums DISABLE KEYS */;
INSERT INTO `field_data_taxonomy_forums` VALUES
('node', 'forum', '0', '12', '12', 'und', '0', '1'),
('node', 'forum', '0', '13', '13', 'und', '0', '1'),
('node', 'forum', '0', '14', '14', 'und', '0', '1'),
('node', 'forum', '0', '15', '15', 'und', '0', '1'),
('node', 'forum', '0', '16', '16', 'und', '0', '1'),
('node', 'forum', '0', '17', '17', 'und', '0', '5'),
('node', 'forum', '0', '18', '18', 'und', '0', '5'),
('node', 'forum', '0', '19', '19', 'und', '0', '5'),
('node', 'forum', '0', '20', '20', 'und', '0', '5'),
('node', 'forum', '0', '21', '21', 'und', '0', '6'),
('node', 'forum', '0', '22', '22', 'und', '0', '6'),
('node', 'forum', '0', '23', '23', 'und', '0', '6'),
('node', 'forum', '0', '24', '24', 'und', '0', '6'),
('node', 'forum', '0', '25', '25', 'und', '0', '7'),
('node', 'forum', '0', '26', '26', 'und', '0', '7'),
('node', 'forum', '0', '27', '27', 'und', '0', '7'),
('node', 'forum', '0', '28', '28', 'und', '0', '8'),
('node', 'forum', '0', '29', '29', 'und', '0', '8'),
('node', 'forum', '0', '30', '30', 'und', '0', '8'),
('node', 'forum', '0', '31', '31', 'und', '0', '8'),
('node', 'forum', '0', '32', '32', 'und', '0', '8'),
('node', 'forum', '0', '33', '33', 'und', '0', '9'),
('node', 'forum', '0', '34', '34', 'und', '0', '9'),
('node', 'forum', '0', '35', '35', 'und', '0', '10');
/*!40000 ALTER TABLE field_data_taxonomy_forums ENABLE KEYS */;

--
-- Table structure for table 'field_data_views_isotope_example_color'
--

CREATE TABLE IF NOT EXISTS `field_data_views_isotope_example_color` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `views_isotope_example_color_value` varchar(255) DEFAULT NULL,
  `views_isotope_example_color_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `views_isotope_example_color_format` (`views_isotope_example_color_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 89 (views_isotope_example_color)' COMMENT='Data storage for field 89 (views_isotope_example_color)';

--
-- Dumping data for table 'field_data_views_isotope_example_color'
--

/*!40000 ALTER TABLE field_data_views_isotope_example_color DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_views_isotope_example_color ENABLE KEYS */;

--
-- Table structure for table 'field_data_views_isotope_example_shape'
--

CREATE TABLE IF NOT EXISTS `field_data_views_isotope_example_shape` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `views_isotope_example_shape_value` varchar(255) DEFAULT NULL,
  `views_isotope_example_shape_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `views_isotope_example_shape_format` (`views_isotope_example_shape_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 90 (views_isotope_example_shape)' COMMENT='Data storage for field 90 (views_isotope_example_shape)';

--
-- Dumping data for table 'field_data_views_isotope_example_shape'
--

/*!40000 ALTER TABLE field_data_views_isotope_example_shape DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_views_isotope_example_shape ENABLE KEYS */;

--
-- Table structure for table 'field_data_views_isotope_example_size'
--

CREATE TABLE IF NOT EXISTS `field_data_views_isotope_example_size` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `views_isotope_example_size_value` varchar(255) DEFAULT NULL,
  `views_isotope_example_size_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `views_isotope_example_size_format` (`views_isotope_example_size_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 91 (views_isotope_example_size)' COMMENT='Data storage for field 91 (views_isotope_example_size)';

--
-- Dumping data for table 'field_data_views_isotope_example_size'
--

/*!40000 ALTER TABLE field_data_views_isotope_example_size DISABLE KEYS */;
/*!40000 ALTER TABLE field_data_views_isotope_example_size ENABLE KEYS */;

--
-- Table structure for table 'field_group'
--

CREATE TABLE IF NOT EXISTS `field_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a group',
  `identifier` varchar(255) NOT NULL DEFAULT '' COMMENT 'The unique string identifier for a group.',
  `group_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this group.',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `mode` varchar(128) NOT NULL DEFAULT '',
  `parent_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The parent name for a group',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the group properties that do not warrant a dedicated column.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `group_name` (`group_name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Table that contains field group entries and settings.' COMMENT='Table that contains field group entries and settings.';

--
-- Dumping data for table 'field_group'
--

/*!40000 ALTER TABLE field_group DISABLE KEYS */;
INSERT INTO `field_group` VALUES
('3', 'group_product_tabs|node|product_display|form', 'group_product_tabs', 'node', 'product_display', 'form', '', 'a:5:{s:5:"label";s:4:"Tabs";s:6:"weight";s:1:"4";s:8:"children";a:1:{i:0;s:4:"body";}s:11:"format_type";s:5:"htabs";s:15:"format_settings";a:2:{s:9:"formatter";s:0:"";s:17:"instance_settings";a:2:{s:7:"classes";s:36:"group-product-tabs field-group-htabs";s:2:"id";s:0:"";}}}');
/*!40000 ALTER TABLE field_group ENABLE KEYS */;

--
-- Table structure for table 'field_revision_body'
--

CREATE TABLE IF NOT EXISTS `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)' COMMENT='Revision archive storage for field 2 (body)';

--
-- Dumping data for table 'field_revision_body'
--

/*!40000 ALTER TABLE field_revision_body DISABLE KEYS */;
INSERT INTO `field_revision_body` VALUES
('node', 'forum', '0', '12', '12', 'en', '0', '<div id="lipsum"><p>Aenean aliquet leo non enim finibus, quis lacinia nisi venenatis. Nunc at dolor tristique, viverra libero ac, varius lectus. Suspendisse velit eros, consequat quis velit non, tempus mollis nibh. Mauris euismod augue sit amet augue posuere condimentum. Duis ultrices, dui eu vestibulum dapibus, risus lorem viverra dui, a dapibus odio erat at sem. Integer consequat orci sed sapien finibus, tincidunt imperdiet diam bibendum. Aliquam sit amet augue id justo ultricies maximus scelerisque sit amet sem. Aenean et sem magna. Etiam aliquet nisl id pharetra rhoncus. Integer in tortor porta, accumsan leo sit amet, blandit ex. Quisque fringilla dignissim odio, in pulvinar lacus semper et. Nulla feugiat quam in est aliquam, vel tincidunt ante tincidunt. Fusce tincidunt cursus nibh at hendrerit. Donec consequat nulla eget ullamcorper posuere. Donec egestas metus eu eros gravida dapibus. Duis id bibendum lacus, ac sodales erat.</p><p>Aenean cursus malesuada sodales. Mauris laoreet, purus a lobortis malesuada, purus leo dignissim leo, a aliquet arcu arcu maximus lacus. Curabitur ultricies nec nunc mattis luctus. Duis efficitur venenatis nisi eu elementum. Etiam in nunc nec metus sagittis eleifend quis ac ligula. Aliquam id suscipit lorem, id facilisis purus. Vestibulum gravida ornare aliquet. Integer at elit vel dolor dignissim condimentum id et erat.</p><p>Vivamus ipsum metus, tristique id feugiat in, rhoncus a lectus. Morbi vitae tincidunt quam. Nam dapibus risus eget purus tempus, tincidunt sollicitudin leo ultricies. Nulla sodales risus diam, blandit eleifend tellus placerat sit amet. Vestibulum vitae nunc gravida orci cursus porttitor a in lectus. Integer viverra posuere tortor, commodo gravida magna scelerisque id. In luctus lobortis mi, nec facilisis augue pharetra sed. Quisque mi massa, tempus ut dolor nec, lacinia egestas magna. Duis convallis nulla sit amet nibh mattis, vitae eleifend urna elementum. Sed sed sapien sit amet libero pretium accumsan ut et neque. In arcu justo, aliquet vel felis et, luctus dictum arcu. Fusce eu elit suscipit, porttitor quam id, posuere orci. Nullam tempor justo et lorem posuere pretium. Suspendisse mattis, tortor id ornare iaculis, dolor leo sodales quam, at tempor nisi magna tristique neque. Pellentesque fringilla sollicitudin porttitor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '13', '13', 'en', '0', '<div id="lipsum"><p>Ut vitae velit molestie, tincidunt lectus ac, pellentesque metus. Sed sodales lacus at purus pellentesque, nec malesuada lacus malesuada. In iaculis urna eget erat cursus facilisis. Sed cursus sagittis ligula. Sed ullamcorper enim quis massa facilisis, a commodo elit facilisis. Curabitur sagittis velit ante. Nullam nibh tortor, congue et diam sit amet, fermentum condimentum justo. Aliquam feugiat tincidunt arcu, a vulputate libero tincidunt sit amet. Aenean a tellus nec dui dignissim ultrices vitae sed lacus. Vestibulum cursus orci dapibus ante luctus, vel vehicula sem volutpat. Phasellus sed tristique sem, vel bibendum diam.</p><p>Etiam vitae ipsum nunc. Nulla ullamcorper pretium blandit. Quisque tincidunt nunc ut sem varius gravida. Fusce pretium, lacus vel aliquet dignissim, mi tellus vulputate sapien, et molestie mauris risus eu mi. Nam ornare pharetra tincidunt. Phasellus ultricies lectus non ligula malesuada, ac porta velit eleifend. Vestibulum ullamcorper nec odio sit amet cursus. Duis urna arcu, pretium sed ornare tincidunt, imperdiet vel risus. Etiam dictum venenatis imperdiet.</p><p>Morbi ullamcorper feugiat est, id lobortis ligula auctor non. Phasellus faucibus turpis et libero maximus bibendum. Maecenas eu lacinia risus. Pellentesque enim lacus, malesuada et euismod ut, rutrum nec orci. Nulla id congue felis, non venenatis velit. Praesent ultricies at ex eget posuere. Donec suscipit faucibus pharetra. Suspendisse consectetur dapibus mauris, vitae interdum metus suscipit eu. Quisque a scelerisque dolor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '14', '14', 'en', '0', '<div id="lipsum"><p>Ut id efficitur lacus. Duis eros est, rutrum eu eleifend in, scelerisque sit amet elit. Integer vitae semper arcu. Nulla nisl odio, tincidunt at convallis ut, auctor ut dui. Vestibulum pulvinar dolor nibh, vitae condimentum neque dictum a. Curabitur eget diam odio. Nam tortor erat, facilisis eu lorem ut, sagittis ultricies felis. Sed volutpat lectus eu tortor eleifend, sit amet egestas neque gravida. Vivamus mi diam, tincidunt sit amet ex cursus, convallis semper ligula. Aenean eu ante et turpis fermentum tincidunt. Etiam efficitur odio sit amet risus malesuada sagittis. Phasellus urna sapien, volutpat vitae ultricies eu, dictum quis mi.</p><p>In id hendrerit purus. Nam sem leo, ornare nec dignissim ut, mattis ut dolor. Pellentesque vehicula ligula convallis nulla malesuada, ut pellentesque sapien ornare. Quisque vitae dui finibus, tincidunt odio in, maximus lacus. Proin nec tincidunt eros, ut ornare felis. Nunc consequat metus eu massa vehicula interdum. Mauris facilisis id ex eget dapibus. Suspendisse potenti. Proin facilisis non nulla in pretium. Vestibulum dictum, nunc vel eleifend cursus, odio sem condimentum urna, eu ornare arcu erat eu magna. Suspendisse sed auctor magna, quis commodo odio. Donec tortor est, congue sit amet ipsum a, pretium tempus justo. In nisi tellus, interdum suscipit elit vel, feugiat auctor nibh. Sed et elit sodales, malesuada odio non, dictum urna. Fusce viverra elementum viverra.</p><p>Integer a arcu semper, aliquet nibh sed, sagittis justo. Praesent sit amet erat ullamcorper, consectetur lectus eu, iaculis magna. Donec bibendum, dui in tincidunt condimentum, dolor ante hendrerit dui, congue rutrum est purus blandit ex. Donec quis feugiat tortor. Quisque blandit cursus velit. Praesent dignissim orci lacus, auctor viverra tortor maximus vitae. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec pharetra non nisl vitae auctor. Nullam nec ex sed nibh lobortis tempor ut ut dui. Aenean sed nibh efficitur, fringilla risus et, bibendum leo. Quisque ac dapibus odio, quis pulvinar sapien. Nulla facilisi. Suspendisse et enim ut lacus feugiat facilisis at vitae mi. Praesent euismod at ligula vitae egestas.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '15', '15', 'en', '0', '<div id="lipsum"><p>Etiam placerat dui quis quam gravida interdum. Nam odio erat, molestie laoreet suscipit non, porta nec felis. Vivamus id diam ac est porttitor pharetra eget ac tortor. Nam rutrum orci fringilla est faucibus, sit amet eleifend diam rutrum. Integer id porta erat. Quisque vel tristique lectus. Nulla volutpat mi id venenatis vehicula. Sed ac lobortis libero. Integer ut sapien sit amet leo faucibus facilisis hendrerit sed tortor. Ut commodo blandit massa sit amet congue. Nullam sit amet cursus lorem. In hac habitasse platea dictumst. Aliquam sit amet lectus sed eros eleifend ultrices. Suspendisse porttitor suscipit erat, sed scelerisque neque hendrerit at.</p><p>Aliquam ac turpis eget dolor mattis tincidunt ut non tortor. Sed ut urna ac dui dapibus ultrices. Mauris at lectus faucibus, blandit dui in, pellentesque odio. Fusce dictum velit a scelerisque sollicitudin. Donec sodales imperdiet lectus, laoreet bibendum metus finibus in. Proin pulvinar a libero eu dictum. Cras aliquam nisi vel scelerisque porttitor. Curabitur consequat sem erat, eu placerat tortor pulvinar in. Nulla nunc mauris, pretium sit amet euismod volutpat, fermentum eget lacus. Curabitur a arcu sem. Fusce purus diam, viverra in varius quis, finibus in odio.</p><p>Nullam facilisis, velit in imperdiet facilisis, tortor turpis eleifend justo, quis porta odio augue vel nibh. Etiam porttitor laoreet neque ac mattis. Phasellus non velit a mauris pulvinar rutrum. Cras dictum scelerisque mauris, id mattis urna gravida quis. Sed quis malesuada ligula. Aenean feugiat ante ac orci bibendum semper. Aenean placerat sapien in dignissim pretium. Proin suscipit tortor ac pellentesque vestibulum. Maecenas laoreet, quam id pharetra mattis, velit nisl sagittis orci, ac pulvinar sem ex in leo. Donec posuere convallis lorem, ultrices dignissim lacus tincidunt id.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '16', '16', 'en', '0', '<div id="lipsum"><p>Vivamus interdum condimentum turpis, facilisis fringilla quam interdum a. Integer nec dictum purus, eu sollicitudin magna. Praesent in gravida velit. Sed sodales justo in mi porta, sed facilisis turpis ultrices. Ut sed lacus sapien. Cras pharetra, mauris sit amet placerat pretium, risus dui facilisis ex, at mattis turpis turpis vel metus. Integer cursus erat id sapien gravida, vel aliquet diam venenatis. Nulla orci ex, cursus facilisis ligula ac, consectetur scelerisque nibh.</p><p>Maecenas sit amet mi ut mauris imperdiet interdum. Vestibulum sit amet purus pulvinar tellus venenatis tempor. Integer ante dolor, molestie non odio sit amet, luctus hendrerit elit. Suspendisse aliquam feugiat leo non iaculis. Donec eleifend aliquet dolor, id congue arcu sodales at. Fusce porta cursus diam id placerat. Nunc tincidunt auctor orci id aliquam. Vestibulum egestas porta sem, sit amet consectetur felis ultrices ac. Mauris commodo felis vitae venenatis imperdiet. Praesent vel tellus fermentum, mollis lectus ut, consectetur eros. Sed consectetur ante sit amet erat semper ullamcorper.</p><p>Phasellus venenatis eleifend felis, vel lobortis nibh consectetur a. Fusce purus augue, condimentum in neque et, suscipit porttitor diam. Vivamus tincidunt, ligula eu commodo ullamcorper, lorem libero fringilla quam, sit amet sodales leo libero eget dolor. Nam vel tellus lorem. Nunc porta porta risus, a vehicula ipsum ultricies non. Nullam tempor, quam ac elementum auctor, dui erat facilisis sapien, eget elementum dui quam ut dolor. Suspendisse et ex sit amet enim vestibulum malesuada. Donec massa velit, interdum eu auctor nec, tincidunt quis nunc. Aenean orci sapien, vulputate id dapibus eget, vehicula sodales lacus. Mauris pretium posuere odio, et pulvinar libero viverra a. Aliquam erat volutpat. Mauris faucibus velit id elit pulvinar aliquet.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '17', '17', 'en', '0', '<div id="lipsum"><p>Proin porttitor, nunc accumsan condimentum euismod, risus tellus mollis nibh, ac consequat nunc leo sit amet lacus. Donec ut mattis ante. Vivamus quis urna sed felis auctor eleifend. Fusce luctus arcu tortor, ut vestibulum ante ullamcorper sed. Vivamus lacinia mi ut magna varius pulvinar. Nullam vitae luctus libero. Mauris elementum eros id enim volutpat, semper vestibulum massa dignissim. Sed porta vestibulum purus at hendrerit. Cras ante nulla, tincidunt a lobortis eu, vehicula quis turpis.</p><p>Donec aliquet tellus in neque eleifend molestie. Integer interdum vel mi non porttitor. Sed dapibus ante at feugiat ultricies. Vestibulum facilisis ac erat in bibendum. Nulla maximus luctus ex, a efficitur est volutpat quis. Quisque rhoncus nibh mauris, nec mollis nunc vehicula id. Donec ullamcorper condimentum justo sed tincidunt. Nulla sit amet lectus iaculis, tincidunt sem in, dapibus augue. Quisque congue libero elit, sed tincidunt augue efficitur vitae. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque viverra ac erat eu lacinia. Nunc eu elit a leo faucibus tincidunt at sit amet turpis. Suspendisse dapibus sapien ut bibendum maximus. Fusce vitae nunc placerat, rhoncus nulla ac, ullamcorper lacus. Phasellus molestie ut elit eget euismod.</p><p>Donec dapibus massa turpis, in convallis ante aliquam ut. Nunc ac vestibulum turpis. Cras sed diam metus. Morbi ullamcorper, lorem eget ultrices dapibus, tellus magna tincidunt nulla, vestibulum efficitur mauris sem ac eros. Quisque sed lacinia enim. Nunc ligula sem, aliquet sit amet feugiat eu, mattis ac orci. Morbi finibus velit tellus, quis pellentesque lacus pulvinar id. Sed eget posuere velit, in tristique odio. Fusce aliquet ut dolor quis tincidunt. Etiam quis ante semper, rhoncus felis ac, imperdiet metus. Etiam pulvinar dapibus nunc sit amet scelerisque. In laoreet blandit arcu, in ornare tortor tempor eu. Maecenas vel suscipit tortor, ut congue diam. Aliquam tempor dolor sed vestibulum laoreet.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '18', '18', 'en', '0', '<div id="lipsum"><p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed porttitor molestie purus, fringilla convallis risus porta sed. Pellentesque molestie in ipsum sit amet sagittis. Ut consequat massa vel libero convallis dictum. Maecenas et sagittis nibh. Etiam in pretium augue, nec pretium augue. Fusce pulvinar tortor vitae nulla interdum mollis. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Mauris lectus ligula, ullamcorper sit amet libero sed, aliquet sollicitudin eros. Pellentesque sem eros, mattis nec ultrices sed, pellentesque ut dui. Etiam consectetur sed massa ut vestibulum. Sed eget fermentum purus. Nam vestibulum mauris sit amet elit maximus cursus. Vestibulum venenatis a magna eu suscipit. Mauris velit ipsum, tempus vitae arcu blandit, tempor commodo elit. In suscipit odio sit amet quam tempor volutpat.</p><p>Nulla facilisi. In accumsan accumsan faucibus. Sed vestibulum imperdiet tortor ullamcorper posuere. Phasellus congue pellentesque lectus at venenatis. Fusce leo neque, lobortis tempor porta id, viverra eu lorem. Aenean volutpat tempor massa id dignissim. Donec id leo vel magna sollicitudin blandit. Morbi congue posuere tincidunt. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec cursus neque ac odio fermentum sagittis. Integer non velit ligula. Fusce libero massa, ornare et ligula nec, feugiat scelerisque mi.</p><p>Nulla facilisi. Aenean congue mauris ut ligula fermentum, ac tincidunt tortor iaculis. Vestibulum sed pellentesque mi. Morbi in auctor dui. Praesent non odio vitae nisl hendrerit varius. Sed lacinia aliquet lacus at laoreet. Donec vulputate nulla vitae erat viverra, quis ultricies arcu blandit. Suspendisse sed erat nisi. Vestibulum vitae dignissim ex. Mauris a arcu eget est ultrices interdum. Donec tincidunt turpis non rhoncus suscipit. Integer enim urna, tempor a mi eu, tristique lobortis nulla. Vivamus vitae felis accumsan, sagittis lorem non, interdum elit. Aliquam risus arcu, lobortis eu ultrices vel, bibendum id est.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '19', '19', 'en', '0', '<div id="lipsum"><p>Fusce lectus nulla, dignissim in finibus vel, eleifend at lorem. Integer in convallis velit, maximus commodo nibh. Mauris condimentum sed lacus et rhoncus. Etiam vel elit sed ipsum tempus aliquam. Curabitur aliquam condimentum ipsum, et porta elit sodales eu. Maecenas sodales vestibulum eros sit amet fermentum. Vivamus iaculis lectus dui, in semper lacus vehicula in. Nunc varius suscipit porta. Duis fringilla arcu ex, in tincidunt metus malesuada id. Nam in rhoncus elit, quis maximus mauris. Suspendisse augue nisl, convallis accumsan massa quis, lobortis pharetra leo. Praesent vitae vestibulum tellus. Donec et ex nec eros tempus sollicitudin.</p><p>Vivamus sapien ligula, viverra non tortor et, finibus vehicula diam. Nunc sed blandit lorem, quis semper orci. Donec euismod ultricies augue, in imperdiet nulla venenatis eget. Vestibulum tincidunt varius sapien, vitae convallis mi lacinia et. Quisque ultrices semper magna, in sagittis ex porta laoreet. Pellentesque in ornare lorem. Duis ac nulla fermentum, faucibus justo vitae, feugiat justo.</p><p>Donec consequat velit quis erat pretium, vitae luctus diam eleifend. Quisque aliquam dui vel aliquet accumsan. Pellentesque massa dolor, pellentesque vitae feugiat ut, egestas quis purus. Donec quam ante, sollicitudin id risus a, viverra elementum mauris. Nam facilisis risus orci, vitae suscipit dolor malesuada eget. Sed sollicitudin sodales pulvinar. Vestibulum lectus nibh, gravida ac odio quis, posuere fringilla augue.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '20', '20', 'en', '0', '<div id="lipsum"><p>Morbi eu ex id justo fringilla sollicitudin a sollicitudin diam. In placerat posuere scelerisque. Sed tincidunt magna cursus ligula facilisis, sit amet bibendum purus rutrum. Quisque efficitur malesuada orci, vitae vestibulum lorem tristique consequat. In a ex malesuada, varius dolor eu, suscipit neque. Morbi vel odio iaculis, scelerisque augue vitae, sollicitudin elit. Vivamus non pulvinar sapien, a pharetra massa. Pellentesque tincidunt, elit suscipit scelerisque feugiat, magna dolor tristique velit, id tempus justo quam quis odio. Fusce eget tempor odio. Sed quam sem, cursus vitae lorem quis, bibendum dignissim lorem. Integer rutrum erat dui, sed facilisis eros efficitur efficitur.</p><p>Sed pellentesque justo tellus, a dapibus libero pharetra eget. Aenean varius vehicula eros, vel dignissim velit cursus ac. Donec a ultricies arcu. Curabitur vitae interdum leo. Maecenas congue lectus ut leo molestie, ut volutpat risus suscipit. Proin porta vel diam et pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p><p>Fusce accumsan, eros at dictum dapibus, risus enim dapibus nulla, at dignissim velit nunc sed mauris. Vestibulum at augue finibus, suscipit sapien eu, consequat augue. Praesent eget pretium dolor, vel pellentesque nulla. Nam lacinia quam eu justo pellentesque, eget malesuada justo ornare. In nisi sapien, lobortis vitae dignissim eu, dapibus in purus. Nullam eget dolor posuere erat rutrum consequat et placerat est. Proin leo erat, rhoncus sit amet tortor eget, luctus tristique est.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '21', '21', 'en', '0', '<div id="lipsum"><p>Sed quis sapien malesuada, finibus lorem ut, tempor lorem. Nullam quis dolor vitae neque facilisis suscipit. Mauris faucibus id nisl eu mollis. Nulla mi lacus, finibus ac eros eu, facilisis auctor leo. Vestibulum elementum, enim id rutrum congue, ante nisi efficitur augue, sit amet luctus leo mi vitae nisl. Nunc ac faucibus mauris, in dignissim nisi. Duis fermentum odio non sagittis cursus.</p><p>Donec aliquet ipsum in dolor consectetur mollis. Proin vitae accumsan risus. Nam ante urna, malesuada ultrices libero in, fringilla semper metus. Duis in odio vehicula dolor posuere commodo eu ut lectus. Quisque varius pretium mauris, vel vulputate urna viverra a. Quisque ornare erat nunc, id ornare libero bibendum vel. Phasellus quis mi pulvinar, condimentum erat eu, ultricies lacus. Integer vitae pretium orci. Sed molestie sollicitudin enim et rutrum. Morbi sit amet arcu maximus, interdum est ut, lacinia eros. Vestibulum accumsan leo a pretium molestie. Ut tincidunt imperdiet scelerisque. Donec vitae venenatis lorem, in finibus lacus.</p><p>Suspendisse ut felis ac arcu tristique posuere. Cras eu euismod nibh, in efficitur nibh. Praesent tincidunt laoreet urna sit amet sagittis. Suspendisse potenti. Maecenas luctus metus ut tellus fermentum, at fringilla elit iaculis. Suspendisse pulvinar lectus massa, sed pretium tortor porta sed. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam suscipit mauris quis sapien dignissim, quis volutpat nunc pulvinar.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '22', '22', 'en', '0', '<div id="lipsum"><p>Nullam efficitur venenatis ipsum quis pulvinar. Nunc dictum nulla id condimentum vulputate. Proin scelerisque, tellus sed suscipit sollicitudin, diam metus malesuada eros, vel vulputate leo justo ac lorem. Etiam malesuada eros ac ligula ornare viverra. Vivamus vitae mauris velit. Nulla egestas arcu et justo luctus aliquam. Vivamus vestibulum sem eu urna aliquam, quis imperdiet urna pulvinar. Maecenas imperdiet diam elementum suscipit hendrerit. Donec a erat feugiat, blandit nunc quis, euismod sapien. Sed cursus nibh justo, id ultrices libero pulvinar pretium. Fusce porta tellus ut dolor ullamcorper blandit.</p><p>Sed tempus turpis consequat imperdiet tincidunt. Praesent laoreet cursus arcu. Aliquam erat volutpat. In condimentum, ante quis dictum suscipit, nulla urna faucibus tellus, in tincidunt velit justo eleifend neque. Curabitur efficitur tristique ante, a tincidunt diam pharetra accumsan. In hac habitasse platea dictumst. Ut eget ultricies dolor.</p><p>Ut finibus quis justo quis egestas. Vestibulum ornare purus ipsum, in vehicula nibh tempor eget. Cras tincidunt orci dapibus nibh placerat, elementum pretium turpis facilisis. Cras ac risus euismod, posuere ligula non, malesuada tellus. Sed accumsan dictum justo, nec finibus felis ultrices ac. Mauris vel blandit ante. Nam porttitor nunc non mauris efficitur, a placerat odio consectetur. Pellentesque eget sapien et metus pretium posuere. Ut at leo rhoncus, sodales nulla sit amet, euismod elit.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '23', '23', 'en', '0', '<div id="lipsum"><p>Proin odio diam, scelerisque quis porta ac, dictum dignissim augue. Nam vel gravida erat. Ut dolor ante, congue quis blandit in, pretium non quam. Sed sit amet dui sollicitudin, cursus odio ac, convallis mauris. Curabitur porta dictum odio, at dictum mi luctus non. Duis euismod dapibus aliquet. Sed mattis vestibulum purus nec facilisis. Vestibulum vitae rhoncus justo, ac pellentesque tortor. Ut pharetra semper dui ut lobortis. Fusce fermentum tincidunt metus sed scelerisque.</p><p>Sed gravida, nulla sit amet cursus hendrerit, sapien tortor viverra eros, ac pellentesque metus risus vitae sem. Nulla pellentesque orci ipsum, quis bibendum ante pharetra non. Praesent eu mauris a quam vulputate tincidunt ac vitae risus. Vestibulum sem turpis, posuere nec pulvinar et, porttitor vel urna. Donec aliquam odio et tortor blandit luctus. Mauris bibendum massa eget interdum congue. Etiam sollicitudin porta lacus, vel interdum diam semper at. Mauris semper nisl in consectetur convallis. Integer convallis, ante non finibus tristique, nibh nisl congue lectus, id cursus purus sem ac massa. Fusce cursus ex sit amet accumsan volutpat. Nulla et sagittis enim.</p><p>Nullam facilisis luctus lacinia. Etiam tincidunt orci et felis fringilla fermentum. Etiam vitae vulputate sem, at tempor urna. Etiam pulvinar eros at lorem egestas, vel mollis orci pellentesque. In vel elit ipsum. Ut ac mauris a velit convallis dapibus. Nunc ut vehicula quam. Mauris molestie fermentum est, posuere iaculis ex fringilla vel. Mauris id velit id ante fringilla cursus at id neque. Suspendisse nec mauris orci.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '24', '24', 'en', '0', '<div id="lipsum"><p>Pellentesque tincidunt in arcu a pulvinar. Cras fringilla dui eget tellus bibendum, placerat pulvinar neque porta. Interdum et malesuada fames ac ante ipsum primis in faucibus. Morbi eget risus neque. Aenean imperdiet justo libero, sit amet sodales justo commodo eu. Nam mauris nisi, posuere ac dictum et, tempus viverra nulla. Vivamus sit amet rutrum erat, ac placerat odio. Nulla pellentesque, lacus in dictum sollicitudin, arcu justo lacinia mauris, sed facilisis nisl est sit amet erat. In purus neque, dapibus non dolor et, finibus finibus dolor. Nulla facilisi. Phasellus ultrices semper tellus at efficitur. Ut maximus, massa malesuada pulvinar molestie, velit odio viverra leo, eget ornare turpis mi id ipsum. Aliquam viverra, enim a tempor aliquam, augue erat vulputate risus, non tempus ligula justo at sem. Proin interdum magna sit amet efficitur auctor. In faucibus sapien mi, nec laoreet nisi dapibus vitae. Aliquam tempor commodo mauris at dignissim.</p><p>Pellentesque id dignissim diam. Curabitur a nulla non ligula aliquam feugiat auctor quis urna. Nullam euismod sem quis leo consequat sollicitudin. Mauris porttitor consectetur sem quis porttitor. Proin ultrices augue et erat porttitor, quis laoreet libero sollicitudin. Donec ornare consectetur neque pretium fermentum. Duis porttitor lobortis scelerisque. Nulla placerat ut dolor vitae sagittis. Aenean gravida convallis lorem, quis mollis felis pellentesque ut.</p><p>Donec commodo lacus diam. Vivamus ut justo sit amet augue ultricies rutrum vitae ac sem. Mauris dapibus lectus eu posuere laoreet. Sed a nisi lacinia, placerat felis eget, tincidunt nibh. Nam ornare massa velit, quis faucibus risus tempus eu. Curabitur enim est, euismod sit amet quam quis, pulvinar pharetra justo. Phasellus laoreet sit amet nisl elementum suscipit. Nulla sed sem felis. Mauris sed ligula non tellus consectetur rutrum. Aliquam erat volutpat. In hac habitasse platea dictumst. Sed vulputate enim orci, et ullamcorper tortor faucibus id. Aenean volutpat mattis magna, et porta orci viverra a.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '25', '25', 'en', '0', '<div id="lipsum"><p>Aliquam eu aliquam sem, id ornare mi. Nullam et ligula aliquet, ultricies est sed, hendrerit risus. Nam a diam nulla. Proin sit amet tincidunt augue. Mauris eu ex ligula. Nunc malesuada purus a ullamcorper tincidunt. Pellentesque dapibus tortor sit amet lectus varius, eu hendrerit sem dictum. Curabitur euismod ornare finibus. Aliquam sed tincidunt mauris, eu molestie ante.</p><p>Vestibulum mattis ultrices dui id dignissim. Donec nec tellus iaculis, vestibulum arcu scelerisque, suscipit sem. Sed non risus interdum, vehicula nulla nec, placerat lorem. Maecenas tempus nisl sit amet sapien condimentum rhoncus. Proin eu nulla ac nunc ornare fermentum eget nec nibh. Duis at odio lobortis, facilisis nisl dapibus, porttitor nisl. Vestibulum non posuere magna. Praesent fermentum ipsum finibus odio vestibulum, ut sodales urna malesuada.</p><p>Sed tincidunt nisi sit amet ultrices varius. Proin et porttitor neque, quis suscipit odio. Maecenas pulvinar arcu sed orci commodo pharetra. Quisque id leo sit amet ante vehicula luctus rhoncus quis augue. Sed eget varius orci. In pretium purus vel ex pharetra, sed posuere orci fringilla. Nunc sapien augue, sollicitudin vel eros at, ornare mollis dui. Integer malesuada, massa ac condimentum vulputate, massa nisi commodo nisi, in vestibulum sapien urna vitae turpis. Morbi venenatis, nibh eget sodales commodo, diam sem fermentum diam, nec lobortis nulla velit pulvinar arcu. Duis vitae leo vitae eros aliquet scelerisque a vel sem. Ut facilisis arcu sed velit aliquet volutpat.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '26', '26', 'en', '0', '<div id="lipsum"><p>Ut sit amet odio vulputate, blandit quam non, vehicula dui. Nulla rutrum enim eu felis volutpat maximus id ut sem. Suspendisse hendrerit lorem convallis elit sagittis laoreet. Donec at sollicitudin augue. Fusce dictum sem at leo tincidunt, eget euismod lorem iaculis. Vestibulum vitae mattis magna, ornare imperdiet eros. Nunc sodales luctus odio, vitae maximus lectus venenatis vel. Suspendisse nec vestibulum ipsum. Praesent sed pharetra velit. Nunc augue dui, pharetra at euismod non, efficitur vel lacus. Suspendisse fermentum tristique ipsum blandit varius. Quisque ullamcorper pharetra feugiat. Integer tellus sem, commodo sit amet elit vitae, tempor maximus enim. Suspendisse potenti. Proin placerat sit amet diam eget ultricies. Vivamus ac pulvinar erat.</p><p>Donec venenatis urna tellus, vehicula dapibus turpis pulvinar sit amet. Pellentesque ut nisi purus. Phasellus ligula metus, porta nec pellentesque a, tempor nec tellus. Fusce auctor gravida tempor. In gravida porttitor augue, quis interdum orci. Donec faucibus risus at mauris lacinia, sed facilisis magna venenatis. Nullam scelerisque erat in ultrices varius. Nullam pharetra, ante ut sollicitudin suscipit, sapien ligula facilisis ante, eget molestie dui orci non enim. Aliquam erat volutpat. In sagittis suscipit tempor. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p><p>Duis a lorem eu ante consequat mattis. Fusce posuere nibh ac mattis sagittis. Praesent convallis ipsum ac augue facilisis, faucibus tincidunt purus interdum. Maecenas vestibulum rhoncus vulputate. Fusce quam libero, porttitor sed sollicitudin ut, dapibus eget eros. Aenean maximus dignissim ipsum, nec aliquam nunc venenatis et. Phasellus ornare lectus quis neque ullamcorper, vel laoreet diam eleifend. Etiam eu turpis dui. Ut vitae ex lobortis, elementum orci sed, mattis urna. Vestibulum consectetur elit ex, et iaculis justo lacinia molestie. Nunc vitae urna nisl. Duis ornare, lacus non porta rhoncus, turpis quam ullamcorper augue, in varius orci nisl vel libero. Duis id viverra tortor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '27', '27', 'en', '0', '<div id="lipsum"><p>Sed convallis dolor nulla, et consequat nibh tempor non. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus congue, neque id dictum dapibus, mauris velit sollicitudin est, sit amet gravida sem velit id erat. Cras orci metus, accumsan ut ex sit amet, fermentum ultrices justo. Sed velit dolor, iaculis ac feugiat eget, bibendum quis velit. Vestibulum in sapien in metus imperdiet venenatis. Phasellus ullamcorper, lorem eget rutrum euismod, purus lacus accumsan nunc, in semper diam orci vel metus. Fusce egestas convallis libero nec aliquam. Fusce cursus nunc vel metus vulputate lobortis. Suspendisse potenti. Nulla quis lorem eget orci consectetur varius in sit amet sem. Ut vestibulum mi vel est euismod pretium.</p><p>Cras tempus orci sit amet velit accumsan, non commodo mi vestibulum. Ut aliquam molestie purus ac elementum. Maecenas ac ligula mauris. Quisque ullamcorper augue ac quam commodo, ut consectetur nulla ultrices. Aliquam at imperdiet mi. Morbi non facilisis libero. Ut a quam lectus. Etiam a elementum sem, eu tempor nisl. Praesent posuere dolor vitae nibh pulvinar, at maximus nulla placerat. Suspendisse nisl odio, auctor id eros non, fermentum aliquet felis.</p><p>Praesent lorem elit, fringilla quis tempus vel, consectetur vel nisl. Nulla ut diam iaculis, lobortis dui vel, viverra est. Nulla vel scelerisque ligula. Proin consectetur erat ipsum, eget elementum metus suscipit non. Interdum et malesuada fames ac ante ipsum primis in faucibus. Proin tempus tristique dictum. Vestibulum porta arcu vitae ex fermentum porttitor.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '28', '28', 'en', '0', '<div id="lipsum"><p>Phasellus facilisis ipsum et dui interdum, in aliquam tortor iaculis. Curabitur lobortis viverra velit, non cursus elit efficitur sit amet. Donec laoreet cursus mi at ultricies. Aliquam vulputate mi et ipsum eleifend dictum. Cras fringilla laoreet imperdiet. Ut efficitur consequat leo. Cras eget aliquam nulla, eu imperdiet nunc. Vestibulum eu pharetra nulla. Praesent in urna et odio efficitur consectetur. Praesent bibendum ullamcorper sapien. Donec ut ultricies sapien. Aliquam erat volutpat. Duis aliquet a magna nec pretium.</p><p>Praesent non tortor rhoncus, consectetur neque in, euismod nunc. Phasellus non arcu id eros lacinia porttitor a vel ipsum. In molestie ut lacus et gravida. Quisque sem libero, dignissim sed nulla at, pharetra fringilla leo. Donec velit tortor, maximus fringilla dui sit amet, semper aliquam magna. Morbi eu volutpat diam. Sed ullamcorper nisl at diam ultricies, quis pulvinar lorem facilisis.</p><p>Nulla in ipsum sit amet urna iaculis semper a a nunc. Aenean varius varius tortor id lacinia. Nullam tempus volutpat hendrerit. Duis malesuada libero leo, non scelerisque est euismod ac. Proin feugiat nulla id metus mollis, nec finibus nulla vulputate. Nullam sed ipsum ut tellus facilisis tincidunt vel feugiat leo. Donec vel elit id odio porttitor tempor. Aenean blandit tortor vel pharetra lobortis. Ut accumsan metus sed massa facilisis, eget placerat ante euismod. Sed et feugiat ex. Nullam eu vestibulum ex. Mauris in augue eu purus molestie lobortis. Duis arcu sapien, malesuada ac diam ac, mattis porttitor elit.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '29', '29', 'en', '0', '<div id="lipsum"><p>Nam purus sem, aliquet sed scelerisque eu, laoreet ac arcu. Donec sem mauris, blandit imperdiet dapibus vel, semper sit amet tortor. Aliquam erat volutpat. Vestibulum mattis ex sit amet diam volutpat tincidunt. Mauris consectetur finibus bibendum. Nullam consectetur arcu nunc. Aliquam suscipit suscipit aliquam. Quisque dictum venenatis leo, vel varius tortor congue in.</p><p>Aenean venenatis convallis risus ac aliquam. Aenean sit amet justo ex. Cras dapibus ipsum ut diam sagittis consequat in vel neque. Nunc vel gravida augue. Nulla interdum luctus massa, et porttitor tellus tristique et. Donec nec egestas est. Fusce pellentesque, elit eu finibus consectetur, ipsum nibh vestibulum sapien, vitae tempor mauris risus ut magna. Morbi lorem ligula, tincidunt ut luctus eget, consequat varius nibh. Phasellus ut orci rhoncus, dignissim nibh at, aliquam est. Duis vel erat augue. Aliquam nulla nulla, scelerisque et vehicula id, interdum quis quam. Nunc faucibus purus ut ligula eleifend vehicula.</p><p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum a porttitor nibh. Quisque ornare pretium scelerisque. Cras quis semper urna. Pellentesque ornare commodo sem quis semper. Quisque ullamcorper tellus ac diam iaculis, nec tempor elit mollis. Quisque id augue quis arcu sodales facilisis vitae in neque. Mauris euismod ipsum et tellus commodo, at semper nisl ullamcorper. Curabitur in bibendum diam, in pretium odio. Fusce at rutrum dui. Etiam dapibus metus velit, posuere rhoncus ante rhoncus sit amet. Vestibulum rutrum at est ac interdum. Sed sed mollis felis, a ultricies dui.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '30', '30', 'en', '0', '<div id="lipsum"><p>Phasellus vulputate ex facilisis vulputate posuere. Donec tincidunt laoreet felis, vitae maximus urna feugiat mattis. Proin sollicitudin massa ultrices, commodo enim vel, mollis nisl. Cras sed leo sed massa interdum ultricies et id felis. Nunc bibendum ultrices magna nec ultrices. Phasellus congue nunc felis, id condimentum dui tincidunt non. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur libero dolor, ultrices sed malesuada vitae, porttitor id massa. Etiam turpis risus, rhoncus a hendrerit ut, placerat ut est. Fusce sit amet viverra quam. Duis quis ante sem. Nunc ac accumsan metus. Nunc ut nisi rutrum, ornare felis eget, hendrerit risus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Ut pretium id justo at finibus. Mauris iaculis odio neque, eu congue arcu molestie sed.</p><p>Nam id leo eget libero lobortis auctor. Sed scelerisque pretium mi quis eleifend. Nulla ultrices blandit tincidunt. Donec vulputate tortor vitae magna mollis, euismod efficitur ante semper. Mauris eget accumsan lacus. Pellentesque auctor erat vestibulum orci porta posuere. Donec sit amet luctus ipsum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec sed porta sem. Phasellus ultricies cursus nulla et commodo. Sed aliquet sed lorem non ultrices. Fusce molestie mi risus, non accumsan mi placerat consectetur. In hac habitasse platea dictumst. Integer mollis nunc dapibus orci finibus dignissim. Etiam et semper leo. Praesent felis ligula, tincidunt at massa eu, blandit gravida quam.</p><p>Donec viverra, eros eget pellentesque blandit, arcu nibh aliquet odio, ac lobortis dui quam nec leo. Mauris malesuada risus ac odio hendrerit pretium. Cras elementum consectetur dictum. Aliquam vel velit malesuada, tristique erat et, lacinia magna. In purus ipsum, pretium at urna eu, sagittis ultrices augue. Sed eros ligula, auctor sed facilisis id, interdum a dui. Etiam id purus et nisl pharetra malesuada quis eu dui. Proin condimentum nisl tortor, eget consequat lectus pretium eget. Ut ut erat quis est vestibulum convallis. Proin eu cursus ex. Nunc laoreet magna vel sodales viverra. Nulla at efficitur sapien. Maecenas auctor ex non interdum ornare. In hac habitasse platea dictumst.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '31', '31', 'en', '0', '<div id="lipsum"><p>Nam lorem lectus, scelerisque in lectus nec, ultricies luctus sapien. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Duis maximus mauris non urna porta, vel pulvinar diam dignissim. Proin et rutrum diam. Nullam iaculis mi ac massa lobortis, a imperdiet augue vehicula. Integer lacus turpis, efficitur euismod justo laoreet, pulvinar volutpat metus. Nullam in rutrum libero, facilisis porttitor ante. Quisque id erat quis lacus euismod mollis. Duis a purus ut erat tincidunt interdum. Fusce mauris ex, pulvinar ac pretium vitae, porttitor id nisi. Curabitur quis sodales massa.</p><p>Mauris eget eros sagittis, semper risus vitae, tincidunt metus. Morbi eu turpis purus. Quisque quis mi sagittis, gravida arcu sed, tempus quam. Nullam tincidunt nulla in diam hendrerit, sed scelerisque nisl fringilla. Etiam ultrices gravida condimentum. In at diam porta, semper metus sit amet, eleifend sapien. Sed ut quam iaculis, eleifend est in, tincidunt felis. Maecenas a tellus venenatis, dapibus massa et, consectetur eros. Sed fermentum tellus in est iaculis ullamcorper. Praesent et sem ullamcorper, efficitur ante ac, sollicitudin dui. In consectetur elementum dui ac egestas. Quisque laoreet fermentum elit sit amet consequat. Suspendisse eu condimentum mauris.</p><p>Sed cursus, felis vel commodo interdum, mi libero sagittis ipsum, et laoreet orci felis quis ipsum. Vivamus imperdiet magna nisl, et mollis mauris elementum id. Cras quis magna nec neque maximus ullamcorper. Mauris vulputate sem nunc, ac fermentum libero posuere et. Morbi molestie lectus sit amet nisl efficitur rutrum. Aenean porttitor ipsum ac mi feugiat lobortis. Proin imperdiet sem quam, ut pharetra justo scelerisque eget. Ut nibh purus, blandit at tortor in, laoreet sodales purus. Fusce facilisis metus eros, id dapibus quam elementum non.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '32', '32', 'en', '0', '<div id="lipsum"><p>Maecenas blandit ullamcorper ex, quis pellentesque risus feugiat suscipit. Nullam semper interdum commodo. Ut pulvinar, nunc eget convallis venenatis, magna dui ornare mauris, et pharetra libero lacus sit amet nibh. Duis semper mollis felis, eget gravida sem bibendum a. Quisque convallis ex eu dui dignissim vulputate quis sed sem. Fusce rhoncus risus tortor, eu laoreet ex aliquet sed. Nam ullamcorper erat vitae risus dictum imperdiet. Donec auctor, massa in euismod porttitor, est nulla lacinia est, sed mollis neque sem vitae erat. Cras vitae felis auctor lorem tincidunt iaculis eleifend at ligula. Nunc tempus vestibulum diam, at auctor magna eleifend eu. Phasellus sed dolor rhoncus, pharetra nulla quis, commodo orci. Nulla condimentum rutrum justo, eu suscipit justo lacinia eu. Aliquam vitae augue sit amet quam pharetra aliquam vel vitae ex. Curabitur porttitor, eros sed faucibus fermentum, odio ante blandit nisi, ut laoreet mauris nunc in metus. Integer nec dui maximus, ornare ligula lobortis, ornare nulla.</p><p>Aliquam ullamcorper turpis et congue facilisis. Fusce vestibulum dictum arcu vitae rutrum. Donec lobortis metus vitae consectetur volutpat. Ut lectus nisl, tincidunt sed elit ut, mattis convallis augue. Proin et blandit est, non lacinia justo. Nunc egestas nec felis vel bibendum. Nulla facilisi. Mauris tempor mollis rutrum. Nam ullamcorper nec dui at aliquet. Praesent sit amet eros odio. Etiam nec est fringilla, imperdiet dolor eu, dictum mauris. Donec nec scelerisque neque. Donec pretium turpis ut lectus lobortis dictum. Cras gravida non dui et mollis. In hac habitasse platea dictumst. Nunc condimentum quam a posuere sagittis.</p><p>Nullam arcu erat, mattis quis finibus quis, sodales et tellus. Aliquam posuere eu purus at venenatis. Integer tempor felis sed iaculis euismod. Praesent dapibus maximus dui, ac aliquet lorem volutpat a. Proin luctus nec libero et condimentum. Quisque interdum lacus nec tortor placerat semper. Fusce non leo sit amet quam viverra imperdiet. Curabitur congue augue quis interdum tincidunt.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '33', '33', 'en', '0', '<div id="lipsum"><p>Donec fringilla ante at nisi suscipit tincidunt. Vivamus a purus scelerisque, posuere nisl nec, semper neque. Pellentesque in eleifend ipsum, in convallis velit. Curabitur vehicula consequat libero, vel mollis felis interdum ac. Morbi accumsan pretium aliquet. Aliquam volutpat sit amet erat id tempor. Integer aliquam, nulla sit amet fermentum ultrices, ante metus placerat mauris, eget consequat mi nisl quis sem. Ut ac blandit leo, et lacinia urna. Nullam in justo placerat, ultrices orci id, porta nisi. Donec at mollis nisl, nec molestie nisl. Vestibulum risus lacus, lobortis sed purus ac, euismod scelerisque quam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed tristique mi eget augue luctus lacinia.</p><p>Phasellus et pulvinar risus. Morbi faucibus imperdiet fringilla. Nulla quis enim et augue ultricies vehicula eu non dolor. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla venenatis condimentum diam, nec vulputate orci tempor a. Duis finibus, arcu quis tincidunt facilisis, nibh odio suscipit est, nec elementum turpis ex in urna. Nulla rutrum pellentesque ligula quis eleifend. Quisque eu odio euismod, lobortis magna in, aliquet velit. Sed nec felis et lacus hendrerit tristique eu quis leo. Aenean tincidunt turpis ac sagittis ultrices. Nulla lacinia diam dui, quis ullamcorper dui fringilla sit amet. Aliquam a commodo leo. Mauris erat tortor, commodo in convallis vitae, mattis convallis justo. Nulla placerat justo auctor ex viverra condimentum.</p><p>Sed semper cursus risus, in condimentum erat finibus ultricies. In hac habitasse platea dictumst. Praesent nisi arcu, convallis eget odio et, rhoncus accumsan ex. Vivamus consectetur nibh risus, nec aliquam eros laoreet et. Pellentesque consequat rutrum congue. Suspendisse consequat mi euismod ex condimentum hendrerit. Proin nisl sapien, tristique in faucibus congue, laoreet at ligula. Curabitur at sollicitudin ligula. Nunc a tortor luctus, feugiat lorem eu, molestie arcu. Sed non risus in neque scelerisque semper. Nulla sit amet purus quis risus volutpat varius. Fusce lacinia dolor ac elit euismod scelerisque. Ut at eleifend libero, quis mattis odio. Maecenas tristique sit amet risus a auctor. Donec vulputate eros nunc, ac suscipit velit gravida at.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '34', '34', 'en', '0', '<div id="lipsum"><p>Mauris lobortis orci in sollicitudin laoreet. Integer mattis, tellus ut volutpat iaculis, magna quam faucibus nisi, sed rhoncus massa elit ut dolor. Donec rhoncus ex a metus commodo, eu varius ipsum dapibus. Fusce quis consectetur erat. Aenean eu nulla efficitur, venenatis ex a, viverra neque. Sed luctus vitae felis eget mollis. Curabitur eleifend erat mauris, a convallis ante facilisis vel. Mauris rutrum dolor eu elementum sodales. Phasellus et orci mauris. In dapibus mauris enim, quis tempor ligula varius eget. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Quisque leo sapien, luctus porta sollicitudin vitae, pellentesque quis leo. Pellentesque tellus velit, accumsan eu tortor ac, feugiat suscipit lacus. Mauris a elit nec erat cursus auctor.</p><p>Fusce a ex aliquam, tempor mi a, iaculis nunc. Fusce nec quam tempus, fringilla dolor sed, hendrerit velit. Phasellus lobortis at metus in mollis. Sed iaculis tortor malesuada vehicula tempus. Mauris et lacus sapien. Aenean ut mi eget ligula semper molestie. Proin nec neque eget mi interdum varius sit amet at lorem. Nullam eget leo at nisl efficitur accumsan. Fusce consequat purus sed consequat dictum. Ut tristique justo quis odio luctus, vitae tristique dolor ullamcorper. Donec ut mi lacinia, posuere justo sit amet, ultrices neque. Phasellus tortor tortor, posuere sit amet imperdiet in, faucibus eu sapien. Nulla tempus porta ipsum sed ullamcorper. Sed enim sem, blandit nec mauris sit amet, cursus sollicitudin dui. Proin eget finibus eros.</p><p>Mauris nec lacus ut augue porttitor elementum. Cras dignissim nibh quam, at tincidunt quam porttitor eu. Proin semper odio sit amet risus cursus, sed sodales purus pretium. Maecenas lobortis tortor ac mi dignissim, vitae dapibus tortor pharetra. Nulla laoreet mattis erat, a mollis neque condimentum vel. Donec quis nisi posuere, elementum lectus eget, laoreet odio. Duis ut ultricies risus.</p></div>', '', 'filtered_html'),
('node', 'forum', '0', '35', '35', 'en', '0', '<div id="lipsum"><p>Nullam et velit nunc. Sed suscipit leo dui, id vehicula felis iaculis eget. Integer mattis libero nec lectus scelerisque gravida. In ac bibendum eros. Etiam sodales, massa et elementum laoreet, nibh orci sodales mauris, ac suscipit purus nulla sit amet augue. Phasellus porttitor enim ut ante mattis, sed elementum tellus tempus. Nullam molestie pellentesque orci ornare luctus. Praesent in tortor sit amet metus gravida tempus ut eget lectus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque hendrerit congue tellus, quis imperdiet neque varius eu. Donec hendrerit ex vel mauris gravida, eget mattis neque consectetur. Sed eu libero vitae quam pellentesque convallis. Mauris non sem eu nunc rhoncus tristique. Quisque commodo, ligula quis fermentum sagittis, urna leo ultricies erat, at lobortis elit eros ut arcu. Curabitur auctor, justo ut vestibulum viverra, augue nisl sodales nunc, a imperdiet tortor sem ac lacus. Phasellus ut enim est.</p><p>Sed volutpat aliquet pretium. Nam sit amet ligula libero. Nulla vel risus sit amet justo aliquam elementum sit amet eu augue. Duis blandit semper condimentum. Curabitur vel tristique sapien. Fusce lobortis nisi et turpis tincidunt blandit. Nullam volutpat odio quis neque pellentesque, non congue nibh congue. Sed at commodo ante. Suspendisse venenatis nec quam non eleifend.</p><p>Nunc fringilla venenatis faucibus. Sed aliquam porttitor est, id tempor sapien blandit vitae. Pellentesque sodales iaculis nibh quis lacinia. Pellentesque viverra leo quis libero commodo mattis. Etiam quis dignissim quam. Etiam vel nulla congue, lobortis velit at, euismod erat. Vivamus pretium dignissim nunc in luctus. Morbi et neque a ante consequat pellentesque. Praesent fermentum eleifend consequat. Vestibulum ullamcorper nisi nec dignissim eleifend. Nunc pretium quis urna nec cursus.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '37', '37', 'en', '0', '<div id="lipsum"><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec lobortis mi ex, id interdum elit vestibulum at. Mauris a finibus dui. In et mattis felis. Aenean tincidunt erat eu eros ullamcorper, et porttitor mi cursus. Phasellus tortor ipsum, eleifend vel sapien rhoncus, congue commodo ex. Ut vehicula fringilla venenatis. Cras ullamcorper eget ligula vel congue. Ut turpis nibh, lobortis ut porta pharetra, efficitur sit amet tellus. Aliquam rhoncus at ante id ultricies. Curabitur eget quam condimentum, egestas orci id, ultricies nibh. Praesent nec turpis viverra, congue est sit amet, molestie odio. Nulla sit amet aliquam nisi, vel hendrerit lectus. Curabitur neque nulla, sagittis ac tellus a, mollis tempus sem. Integer bibendum vehicula laoreet.</p><p>Quisque at neque imperdiet, feugiat enim id, egestas nunc. Etiam hendrerit, metus ac pellentesque bibendum, magna mi ornare neque, eget ornare quam nisl at nibh. Curabitur dignissim lacus id fringilla eleifend. Ut fermentum ante eu molestie varius. Aliquam convallis aliquam lectus. Praesent non posuere felis, sit amet tempus est. Mauris eleifend pulvinar nibh, id condimentum ipsum eleifend eu. Aliquam consequat pharetra volutpat. In aliquam dui ac ipsum egestas, nec luctus mauris pretium.</p><p>Proin lacinia dui a urna hendrerit, quis tincidunt lectus sagittis. Pellentesque ac molestie metus. Nulla non porttitor sem, sed varius arcu. Pellentesque et erat eleifend, eleifend nibh quis, congue metus. Donec pellentesque non dui at imperdiet. Morbi tincidunt aliquam tincidunt. Integer ac erat nunc. Morbi sed risus in odio ultrices varius. Nullam vulputate tortor ornare turpis ultricies condimentum. Suspendisse id porttitor erat. Maecenas porttitor, ex nec molestie fermentum, nunc sapien varius sem, nec eleifend erat purus vitae ipsum. Nullam sit amet nunc quis nisi bibendum semper eget et mauris.</p></div>', '', 'filtered_html');
INSERT INTO `field_revision_body` VALUES
('node', 'blog', '0', '38', '38', 'en', '0', '<div id="lipsum"><p>Mauris ex augue, congue ut nisi ut, aliquam pulvinar dolor. Suspendisse potenti. Suspendisse ac erat a tellus iaculis malesuada eget vitae lectus. Aliquam pretium, nisl non maximus pharetra, orci lacus consectetur enim, eu ornare quam nibh vitae magna. Nunc rutrum eu arcu et rutrum. Etiam ut sapien at tellus mollis molestie quis sed ex. Cras vitae hendrerit dui. Cras sit amet lacus vel lectus dignissim suscipit eu nec leo. Donec maximus, turpis in elementum pellentesque, turpis enim varius erat, non malesuada augue mauris nec sem. Donec interdum ante at tellus ullamcorper facilisis. Ut fringilla varius ex a sodales. Quisque dapibus felis at mauris aliquet mollis. Donec luctus semper ante nec volutpat.</p><p>Ut dui purus, cursus eget dolor a, elementum cursus ligula. Aenean tempus posuere purus ac sodales. Cras in faucibus ipsum, ut semper lectus. Cras maximus convallis urna, ut consectetur risus luctus nec. Integer ac feugiat dolor. Quisque hendrerit ipsum nec turpis pulvinar feugiat. Quisque et metus aliquam, consequat velit condimentum, pharetra odio. Suspendisse condimentum laoreet dapibus. Integer consectetur ex nec arcu consectetur, a fermentum massa pretium. Praesent vitae lacus et dolor scelerisque consectetur. Integer enim lacus, finibus id bibendum nec, molestie consectetur neque. Morbi faucibus felis est, eu laoreet ipsum molestie at. Curabitur ut nisi in libero iaculis efficitur.</p><p>Nunc luctus metus eu eros cursus semper. Etiam eget eros venenatis orci ultricies viverra. Morbi vitae feugiat ante, nec dictum dui. Aenean ullamcorper sit amet urna in aliquet. Duis mollis eros risus, nec pharetra lectus facilisis sit amet. Pellentesque accumsan libero in lorem auctor, vitae venenatis nisi consectetur. Fusce dictum lectus felis, a auctor quam lacinia ut. Ut hendrerit mi neque, et elementum mauris euismod sed. Nulla posuere porta odio vel suscipit. Curabitur commodo sit amet massa vel fermentum. Ut congue tincidunt ante. Mauris vestibulum, sem sed dictum gravida, tortor tellus vulputate odio, vel commodo diam lorem nec neque. Quisque dictum malesuada nunc, sit amet dapibus neque suscipit sed. Proin tortor nunc, accumsan non vulputate vel, bibendum vel diam. Aliquam scelerisque eget elit vitae vulputate. Donec sit amet semper ligula.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '39', '39', 'en', '0', '<div id="lipsum"><p>Morbi sit amet ex at risus egestas egestas vel non neque. Suspendisse eu faucibus purus. Duis sem nibh, facilisis at scelerisque eget, dignissim ut odio. In vel elit et sapien interdum auctor. Vivamus at cursus libero. Phasellus gravida non urna sed fermentum. Nam leo lacus, efficitur a felis a, molestie lobortis enim. In eget fermentum orci, et laoreet sapien. Pellentesque fringilla sollicitudin libero. Morbi neque dolor, lacinia at orci nec, convallis pharetra libero. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed efficitur lectus vel accumsan feugiat.</p><p>Integer varius nunc ut elit lobortis varius. Donec id euismod dolor. Suspendisse potenti. Cras finibus turpis sit amet laoreet ullamcorper. Pellentesque pulvinar magna quis facilisis tincidunt. Fusce dui quam, eleifend ut ultricies ut, posuere quis lacus. Integer vulputate ullamcorper dictum. Nam id feugiat nisl. Nam dolor felis, mattis maximus eros eu, lacinia semper nibh.</p><p>Praesent non aliquet risus. In interdum sit amet ante sit amet tempus. Vestibulum convallis id leo eget consequat. Nam ornare consequat justo ut ornare. Nunc id pellentesque nisl, vitae maximus orci. Suspendisse elementum dignissim mauris vel sagittis. Sed ut volutpat arcu. Quisque fermentum felis vel diam dictum tristique. Mauris fringilla eget quam sed elementum. Vivamus vestibulum tellus ac magna maximus convallis. Donec dui orci, commodo volutpat convallis in, iaculis nec lorem. Vestibulum nec imperdiet erat. Vivamus finibus ante ac fringilla scelerisque.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '40', '40', 'en', '0', '<div id="lipsum"><p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus eu venenatis ipsum, ut efficitur augue. Nunc tincidunt porttitor velit fringilla finibus. In vel orci quis dui aliquet imperdiet sed sed massa. Integer at turpis eget nisi tincidunt venenatis. Vestibulum faucibus erat vitae libero feugiat, a gravida leo tincidunt. Nulla convallis dictum ipsum vitae ultrices. Donec quis libero ante. Praesent imperdiet velit eu eleifend varius. Morbi imperdiet est lorem, vitae dictum turpis tincidunt imperdiet. Ut in condimentum ipsum, in viverra risus.</p><p>Donec interdum magna et erat vestibulum, at pellentesque lorem tristique. Maecenas suscipit erat sed augue dapibus fermentum. Integer fringilla placerat turpis, vel pharetra nulla lacinia vitae. Vestibulum id sapien felis. Etiam convallis purus lectus, vestibulum fringilla felis ullamcorper volutpat. Mauris tempus euismod orci eget tincidunt. Integer ultrices, velit in vulputate facilisis, lectus metus fringilla est, tempor sollicitudin libero erat nec turpis. Praesent non dui pharetra, maximus nisi nec, molestie ante.</p><p>Aliquam et tempus justo, eget lacinia tortor. Aliquam turpis lorem, efficitur quis viverra non, elementum sed enim. Nunc ullamcorper mattis suscipit. Integer sed dolor est. Cras consequat justo sed tristique lacinia. Morbi dictum vulputate eros, quis elementum risus eleifend in. Vestibulum purus risus, hendrerit nec congue sed, porta a est. Donec nec facilisis risus. Donec sollicitudin eros sit amet ipsum scelerisque, sed consequat erat cursus. Nam commodo nisl lectus, at placerat nisl ultrices quis. Praesent nec velit eros. Aenean quis facilisis nulla.</p></div>', '', 'filtered_html'),
('node', 'blog', '0', '41', '41', 'en', '0', '<p>Donec mollis tempus quam non porta. Proin commodo et tortor id maximus. Sed ipsum nisl, ultrices at augue vitae, blandit tincidunt risus. Integer lorem turpis, venenatis id ultrices vulputate, venenatis et odio. Aliquam fringilla massa ut fermentum ornare. Nullam non venenatis ante. Duis nunc justo, interdum quis enim et, ornare iaculis nibh. Proin hendrerit id leo non feugiat. Interdum et malesuada fames ac ante ipsum primis in faucibus. In sit amet pulvinar leo. Vestibulum placerat arcu sed tristique porttitor. Suspendisse tempus nulla ut orci cursus rutrum.</p>\r\n<p>Morbi eget scelerisque eros, sit amet faucibus libero. Curabitur eu dui non orci tempus condimentum. Donec a nisi pretium, iaculis erat in, commodo ex. Maecenas non arcu maximus, tincidunt sem nec, cursus augue. In quam sapien, efficitur sagittis orci nec, auctor suscipit tellus. Etiam finibus eget justo sit amet mattis. Phasellus id volutpat nisi. Duis hendrerit laoreet augue in tristique. Nam pellentesque libero eu diam tempus, molestie faucibus ex eleifend. Nulla efficitur pulvinar fringilla.</p><p>In eu sapien dui. Cras accumsan justo eget accumsan bibendum. Sed condimentum finibus tortor, vel commodo nisl tristique non. Donec interdum at magna at laoreet. Curabitur porttitor diam vitae rhoncus consequat. Quisque iaculis convallis arcu. Curabitur sit amet nulla nulla. Mauris imperdiet eget nisi at mollis. Mauris placerat malesuada arcu, ut semper metus rutrum consectetur. Phasellus ac fringilla elit, id convallis mi. Duis ante dolor, lobortis vitae turpis non, luctus faucibus ex. Phasellus elit augue, viverra nec tortor eget, varius viverra lacus. Nullam auctor sed diam sit amet facilisis. Donec nec cursus risus.</p>', '', 'filtered_html'),
('node', 'faq', '0', '42', '42', 'en', '0', '<div id="lipsum"><p>Aliquam nunc ligula, rhoncus sit amet erat vel, scelerisque pharetra eros. Donec finibus sem nec nunc venenatis tempus varius et dui. Donec tempor elementum felis, at ultricies est pellentesque sed. In lacinia elit at velit malesuada, id commodo ligula molestie. Praesent finibus sed lorem ac pretium. Donec ut hendrerit nibh. Aenean ligula nisi, mattis in scelerisque nec, pulvinar sed dui.</p><p>Integer gravida est ante, ut elementum quam condimentum sit amet. Nam quis pellentesque dui, imperdiet pretium nisl. Pellentesque rutrum accumsan tortor, vel tempor diam bibendum at. Pellentesque laoreet nisi purus, quis porta lorem placerat eu. Nam ut ligula sed massa varius auctor nec vitae justo. Nunc non finibus tortor. Suspendisse potenti. Curabitur dapibus turpis mi, lobortis rhoncus ipsum scelerisque in. Suspendisse cursus malesuada quam, eget accumsan diam porta sed. Nunc blandit purus congue ante rutrum semper. Ut mollis dolor tortor, non rutrum tortor egestas at. Sed euismod molestie lacus. Quisque vel sapien et turpis euismod rhoncus ac sit amet nulla. Nam lacinia dapibus elit quis suscipit.</p><p>Praesent sagittis blandit orci in porta. Nulla volutpat mauris nunc, eget molestie nunc porta nec. Aliquam non facilisis lacus. Cras luctus est ante, ac aliquam tellus placerat a. Vivamus facilisis consectetur lobortis. Proin sagittis ipsum tincidunt nibh feugiat, et tincidunt urna pulvinar. Etiam vestibulum leo sit amet lectus scelerisque tempus. Curabitur iaculis tellus mauris, non interdum ante sagittis eu. Ut eu ipsum lectus. Nam laoreet arcu luctus lacinia mollis. Maecenas vestibulum lobortis hendrerit.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '43', '43', 'en', '0', '<div id="lipsum"><p>Morbi mauris purus, semper quis purus ac, vehicula accumsan massa. Morbi ac pharetra felis. Mauris tristique fringilla orci, in consectetur nunc efficitur non. Cras varius metus ipsum, sit amet dignissim arcu convallis eget. Donec augue nisi, laoreet non egestas in, iaculis non est. Praesent magna massa, vehicula in auctor vitae, interdum non augue. Maecenas posuere id dui ut vulputate. Vivamus et lorem sagittis, ullamcorper eros at, facilisis ante. Vivamus convallis blandit metus at ornare. Etiam a cursus lacus. Phasellus sit amet velit lectus.</p><p>Mauris mattis est sit amet ex molestie tempor. Integer accumsan nisl sit amet felis scelerisque maximus. Aenean facilisis venenatis mattis. Aliquam viverra lorem dui, eu ultrices neque condimentum sed. Quisque metus est, faucibus vitae est nec, posuere molestie metus. Pellentesque maximus ligula vitae augue efficitur, vel laoreet nibh tincidunt. Duis consectetur lectus non nulla vehicula, et posuere augue malesuada. Nunc aliquet pretium augue tempus interdum. Curabitur suscipit ligula eget ex egestas, nec pulvinar lectus placerat. Proin ac gravida nisl, nec congue ante. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed vestibulum fermentum nunc, et vestibulum ipsum pellentesque sit amet. Fusce vitae vestibulum magna.</p><p>Vestibulum auctor, erat et convallis vehicula, urna nulla semper urna, ac maximus lorem nibh eu magna. Curabitur sed diam ut turpis mattis ultrices. Sed blandit nulla sit amet arcu sollicitudin imperdiet. Suspendisse potenti. Mauris iaculis lacus id vulputate tristique. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque eu justo a risus gravida vehicula non non ligula. Ut placerat libero nec eros egestas, vitae sollicitudin orci consequat. Fusce mollis sem sit amet nisl egestas imperdiet.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '44', '44', 'en', '0', '<div id="lipsum"><p>Pellentesque vitae tincidunt tellus, in auctor purus. Suspendisse condimentum accumsan massa vitae aliquet. Pellentesque aliquam, erat id volutpat maximus, lectus ante pretium dolor, vitae feugiat dui nisi at sem. Duis scelerisque auctor enim, sit amet semper nisl tincidunt luctus. Nunc auctor scelerisque est, vel hendrerit ex semper in. Curabitur luctus fermentum orci non finibus. Nam viverra, lectus quis rhoncus pellentesque, ligula justo condimentum nisi, elementum molestie magna metus nec velit. Aenean viverra accumsan semper. Nulla a pretium ligula. Fusce id consequat quam. Sed dapibus massa in diam varius tempus. Suspendisse a massa in orci pellentesque lacinia non non arcu. Proin est lorem, semper quis pulvinar eu, eleifend eu est. Sed gravida urna hendrerit metus molestie rutrum. Vestibulum egestas felis a dui semper, sed maximus velit finibus. Aenean rutrum, est vitae sodales cursus, nibh metus faucibus urna, quis ultricies nunc nibh maximus nibh.</p><p>Fusce maximus orci est. Maecenas finibus augue et sem cursus ultrices. Nam vitae odio nisi. Morbi tristique odio velit, vitae sagittis tortor vulputate vel. Praesent laoreet eu augue ac viverra. Quisque est quam, accumsan et ex a, vehicula luctus mauris. Quisque vel leo arcu. Pellentesque in risus risus.</p><p>Sed sed nulla quis nibh fermentum pellentesque at sed elit. Donec egestas efficitur finibus. In ac feugiat magna, quis fermentum neque. Nullam cursus ullamcorper felis, id pellentesque metus semper vel. Nulla facilisi. Suspendisse vestibulum nulla orci, ac egestas orci volutpat ac. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam euismod sodales feugiat. Vivamus sed nibh euismod sapien facilisis mattis nec eu nunc. Sed consectetur aliquet massa, sed accumsan enim facilisis nec.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '45', '45', 'en', '0', '<div id="lipsum"><p>Praesent facilisis dapibus diam, ornare dignissim turpis luctus in. Phasellus eleifend sed enim ut sagittis. Maecenas lacus ligula, pharetra quis magna ut, gravida vulputate ipsum. In hac habitasse platea dictumst. Donec ut eros quis lacus aliquet ultricies. Nullam egestas, odio sed lobortis imperdiet, enim sem vulputate sapien, vel tincidunt elit metus eu diam. Aliquam nibh risus, viverra eget purus sit amet, lobortis consectetur leo. Etiam augue ante, viverra id placerat pretium, porta ac odio. Aliquam ultricies maximus lorem vel porta. Donec eget leo felis. Nunc auctor eu tellus eu hendrerit.</p><p>In at pellentesque erat, ut faucibus arcu. Proin nisl dui, fringilla quis odio ut, pulvinar scelerisque urna. Maecenas lobortis, magna nec rhoncus pulvinar, nisl massa mattis nulla, sit amet semper leo velit non magna. Praesent laoreet semper aliquet. Quisque sed accumsan arcu, id posuere turpis. Vestibulum pellentesque consequat tellus sed rutrum. Aenean vestibulum, nisl eget imperdiet ultricies, neque dolor finibus felis, a convallis dui purus sed metus. Phasellus sed velit nec ex aliquam cursus sed ut metus. Nunc nec tristique arcu.</p><p>Etiam pretium venenatis ipsum, finibus fringilla urna fringilla eu. Cras aliquam iaculis odio, eu vulputate nibh. Sed hendrerit pharetra eros in malesuada. In ultrices lacus vel neque rutrum, vitae consectetur tortor ullamcorper. Donec commodo nulla id cursus fringilla. Vestibulum tellus leo, iaculis in tincidunt eu, tincidunt non ligula. Integer convallis felis ac nisi sagittis, sed congue orci dapibus. Aenean placerat purus at bibendum congue. Duis mattis, risus ac sagittis pretium, ligula quam varius purus, imperdiet finibus nisi orci sit amet leo. Integer id aliquet arcu. Etiam et augue erat. Etiam quis ante molestie, rutrum nunc eu, facilisis odio. Etiam a neque id turpis sollicitudin bibendum. Vestibulum ut dictum massa. Aenean tempor pulvinar nunc, sed aliquet ipsum laoreet lobortis. Morbi ullamcorper posuere ligula ac varius.</p></div>', '', 'filtered_html'),
('node', 'faq', '0', '46', '46', 'en', '0', '<div id="lipsum"><p>Sed metus lectus, rutrum id volutpat nec, aliquet sed lacus. Sed pulvinar tempus odio non lacinia. In hac habitasse platea dictumst. Donec non lectus blandit, placerat enim id, ultrices turpis. Quisque posuere ornare eros sed euismod. Aenean posuere purus nibh, ut fermentum arcu rhoncus sit amet. Suspendisse eu elementum nisl. Donec sed dolor ac mi cursus rhoncus sit amet id ante. Etiam euismod ante vitae massa congue finibus et vel lectus. Quisque massa nulla, finibus quis iaculis nec, dignissim ac libero.</p><p>Pellentesque ac viverra velit. Phasellus justo justo, placerat sit amet augue commodo, vestibulum maximus nisl. Nullam auctor vel libero vitae blandit. Nulla lectus tortor, dictum a mattis in, blandit ut magna. Donec laoreet pellentesque leo id feugiat. Nullam faucibus eros ac accumsan interdum. Maecenas id blandit mauris, non congue est. In blandit id justo id tincidunt. Mauris vitae quam nec magna lacinia molestie id quis mauris. Nunc vehicula arcu a purus venenatis, vitae placerat ante aliquet.</p><p>Curabitur ac nisl lacinia mi vulputate pretium et sit amet risus. Cras eget mattis lacus. Aliquam erat volutpat. Sed fringilla nisl non justo tincidunt sodales. Nullam at elit ullamcorper ipsum iaculis varius eu vel nisi. Pellentesque volutpat lacus id mollis sodales. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum maximus ut metus a efficitur. Nunc ut lacus sed augue elementum rutrum quis ac enim. Pellentesque bibendum, tellus quis facilisis scelerisque, enim justo aliquet quam, sed rhoncus purus nibh ut enim. Sed euismod turpis velit, eget fermentum risus euismod at. Donec ac purus dolor. In tincidunt tempor auctor. Maecenas massa erat, lacinia nec pretium vel, vulputate eu nisl. Proin eu pharetra lorem.</p></div>', '', 'filtered_html'),
('node', 'slide', '0', '47', '47', 'en', '0', 'Aliquam dapibus vestibulum malesuada. Mauris blandit efficitur scelerisque. Morbi suscipit euismod tellus vitae rutrum. Vestibulum ornare imperdiet tortor, ut fermentum justo venenatis id. Nunc blandit hendrerit malesuada. Curabitur non sollicitudin mauris, nec tincidunt ligula. Maecenas a tellus non metus commodo ultrices eget in justo. Pellentesque quis nibh vel erat facilisis gravida eget id elit. Fusce at consequat neque. Suspendisse ipsum est, dignissim nec sagittis sit amet, commodo id justo. Duis eget risus justo. Cras suscipit nulla lacus, eu imperdiet mauris vehicula sed.\r\n\r\nSed ornare sit amet nulla ut ornare. In maximus eros purus, et placerat augue blandit nec. Nullam vel lobortis orci. In tortor nibh, sodales non bibendum id, euismod vel diam. Donec ultrices egestas nisi, ut hendrerit sem placerat a. Fusce turpis nisi, malesuada sit amet tincidunt a, pellentesque ut nisi. Morbi tristique dapibus dapibus. Aenean vestibulum finibus luctus. Aliquam erat volutpat. Ut tincidunt, sapien ac aliquam iaculis, orci erat euismod leo, ut vulputate lorem odio ut elit.\r\n\r\nDonec sed accumsan magna. Proin laoreet, odio a suscipit faucibus, velit lectus malesuada nibh, a vulputate sapien justo sit amet velit. Quisque mollis ipsum non leo dapibus aliquam. Morbi pharetra nisl in metus rutrum tincidunt. Donec suscipit nulla risus, non mollis orci fermentum dictum. Nam facilisis luctus velit in gravida. Etiam non pretium libero, faucibus scelerisque urna. Aenean eget pulvinar ipsum. Suspendisse quis nunc risus. Quisque ante nunc, varius a lacus quis, consectetur convallis est. ', 'Sed laoreet aliquam leo. Ut tellus dolor, dapibus eget, elementum vel, cursus eleifend, elit. Aenean auctor wisi et urna.', 'full_html'),
('node', 'slide', '0', '50', '50', 'en', '0', 'Donec iaculis lacus tincidunt, sodales nisl sed, ultricies risus. Nulla ac risus ex. Integer fringilla felis quis ullamcorper eleifend. In rutrum ultricies arcu eu scelerisque. Nunc vehicula diam id magna interdum, ac aliquet ipsum fermentum. Ut ac orci porttitor tortor varius tincidunt nec in massa. Vestibulum nisl nibh, rutrum at ipsum quis, viverra vulputate erat. Sed tincidunt hendrerit tellus, molestie sodales urna convallis sit amet. Nam eu sodales mauris. Proin diam diam, porta at cursus nec, convallis in metus. Donec elementum ligula luctus ligula rutrum sagittis. Nulla aliquet orci non mollis elementum. Ut a ipsum blandit, hendrerit erat ac, convallis dolor. Morbi ornare eleifend est, ac condimentum sapien volutpat id. Curabitur quis tortor sagittis, porttitor libero eu, scelerisque ligula.\r\n\r\nVestibulum posuere hendrerit ipsum id malesuada. Pellentesque eu nisi facilisis, convallis libero non, efficitur mi. Etiam arcu magna, rutrum sed faucibus vel, faucibus a quam. Nulla facilisi. Donec vulputate ante suscipit nulla mattis ultricies. Etiam vulputate varius commodo. Donec in mollis nisi. Nunc blandit luctus velit sed fermentum. Mauris mattis id dolor a dignissim. Fusce est purus, consequat in dui vel, convallis auctor odio. Nullam tristique maximus finibus. Etiam aliquam justo nec ligula iaculis accumsan. Curabitur feugiat ex vitae vestibulum ultrices. Sed vitae mi tellus. Aliquam ut iaculis metus.\r\n\r\nDonec at tincidunt velit. Curabitur malesuada quam in pellentesque blandit. Aliquam euismod est at orci maximus, et consectetur metus aliquet. Nulla efficitur quam ut dui scelerisque, non tempus libero aliquam. Pellentesque condimentum, tortor ac consectetur mattis, turpis velit accumsan eros, et scelerisque libero justo vitae elit. Nunc lacinia est eget nulla blandit maximus. Vestibulum id turpis id metus ultricies egestas sed eget nulla. Vivamus semper maximus dolor ac sollicitudin. Nunc euismod malesuada arcu, a consectetur odio ultricies et. Donec magna purus, ornare quis vulputate nec, dignissim at velit. Nulla iaculis turpis tellus, nec pellentesque sem rhoncus a. Nunc ac erat eu mi aliquet sagittis. Etiam sed tortor lectus. ', '', 'full_html'),
('node', 'project', '0', '52', '52', 'en', '0', 'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec tempor sit amet odio et efficitur. Cras ut ornare massa, in imperdiet turpis. Fusce facilisis nec ex quis vehicula. Curabitur commodo rutrum malesuada. Aliquam at orci eget metus varius rhoncus a a velit. Phasellus tristique blandit est, vitae aliquam magna pharetra sed. Morbi ultricies, nulla vel efficitur faucibus, leo metus tincidunt leo, id mattis est purus vel ipsum. Suspendisse semper odio ut malesuada interdum. Proin semper venenatis nisi, eu malesuada tellus sollicitudin sodales.\r\n\r\nDuis ultrices ante at odio molestie fermentum. Aenean ipsum leo, molestie non ullamcorper ut, condimentum ultrices lectus. In eget vehicula lectus. Morbi felis arcu, mattis at turpis eu, sagittis feugiat risus. Aenean finibus sollicitudin turpis ac sollicitudin. Cras id elementum metus, a malesuada orci. Sed aliquam, est ut tincidunt condimentum, tortor erat gravida justo, ultrices pharetra odio erat quis tortor. Proin sem dui, porttitor non ante nec, tempus mattis eros. Integer et nulla iaculis, porttitor tortor eget, hendrerit ipsum. Cras nec neque odio. Mauris at dictum eros, porttitor suscipit leo. Praesent quis arcu pretium, porta dui eu, vulputate nisi. Aenean sed euismod eros, rutrum sodales ligula. In bibendum porta neque, vel pulvinar nunc hendrerit ac. Fusce sollicitudin ultricies nulla quis mollis.\r\n\r\nNam non elit faucibus, gravida justo eget, egestas dolor. Vestibulum vel tristique tellus. Nam imperdiet odio quis venenatis egestas. Fusce sed quam nec mi congue dapibus. Vestibulum rutrum ipsum felis, a volutpat ipsum varius et. Ut eu posuere ligula. Donec varius cursus convallis. Sed ornare, sapien et tincidunt efficitur, eros risus aliquet magna, a scelerisque enim mauris vel elit. Maecenas magna arcu, semper vel justo eu, maximus congue elit. In vehicula nulla at lacinia euismod. Cras vulputate, mauris vel rutrum cursus, mi ante tincidunt nisl, ut vestibulum libero lectus et mauris. Nullam dictum, sapien ac accumsan bibendum, justo urna porttitor felis, sit amet molestie diam nisi vitae orci. Mauris sit amet purus augue. Integer sodales commodo efficitur. Praesent ullamcorper quam non nisi vestibulum, ac gravida quam molestie. ', '', 'full_html'),
('node', 'project', '0', '53', '53', 'en', '0', 'Aenean volutpat quis urna nec commodo. Mauris vulputate urna facilisis fermentum sagittis. Fusce tincidunt interdum neque et dapibus. Mauris nisl est, gravida sodales lacinia ac, vulputate et ligula. Nunc id suscipit nunc. Proin dictum tincidunt risus, sed bibendum sem volutpat dictum. Morbi et volutpat mi.\r\n\r\nDuis aliquam tellus at mollis luctus. Cras molestie odio vitae volutpat sodales. Proin auctor egestas libero, lacinia vehicula odio pellentesque quis. Proin sed dui ut purus finibus dignissim id eu massa. Mauris dapibus eu justo sed volutpat. Ut dignissim nisl nec urna luctus, quis porttitor est ultricies. Sed tristique dolor eu risus consectetur feugiat.\r\n\r\nProin ut dui nunc. Nullam felis velit, fringilla commodo augue id, imperdiet feugiat dui. Aliquam sit amet lobortis erat. Quisque non lectus ut ante tristique euismod. Phasellus ultricies magna eget quam venenatis condimentum. In vehicula urna vel dui imperdiet sollicitudin. Etiam ac nisl sed justo iaculis condimentum sit amet id mi. In luctus sapien quis nulla tincidunt tristique ac quis arcu. Aliquam ligula nisl, semper varius eleifend ut, commodo laoreet massa. Etiam elementum rhoncus enim varius ultrices. Mauris at lorem consequat, pharetra ex at, mollis massa. Vivamus scelerisque arcu semper ligula aliquam, gravida eleifend enim dignissim. Integer aliquam eleifend diam, ut malesuada ipsum commodo et. Phasellus erat justo, euismod vitae volutpat nec, mattis sit amet magna. Sed quis interdum leo, at suscipit felis. Mauris tellus turpis, gravida ac tincidunt vitae, imperdiet id lacus. ', '', 'full_html'),
('node', 'project', '0', '54', '54', 'en', '0', 'Aliquam quis augue mauris. Pellentesque ipsum lectus, ultricies quis congue id, aliquet vitae nulla. Vestibulum semper iaculis egestas. Nunc vel gravida metus. Nulla posuere vestibulum ipsum sed eleifend. Nulla bibendum risus euismod, interdum massa at, consectetur ex. Duis sem sem, convallis eu erat eu, elementum lobortis augue. Vivamus tincidunt ipsum et nisi malesuada ultrices. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam sodales pulvinar nisl sit amet elementum. Aliquam feugiat nec massa quis efficitur. Phasellus pretium dolor velit, a dignissim quam cursus at. Fusce id libero consectetur, pharetra felis in, consectetur enim.\r\n\r\nMaecenas condimentum risus vel est imperdiet, ac pellentesque nulla gravida. Nulla vulputate, lectus sed tristique aliquam, sapien lacus cursus ex, vel rutrum ipsum libero eget elit. Aenean aliquet pharetra tincidunt. Vivamus sit amet eros ipsum. Nulla eleifend ullamcorper laoreet. Quisque dapibus porttitor elit id tempus. Praesent ultrices leo at nibh dapibus, in venenatis magna tincidunt. Maecenas lacinia suscipit enim, ut condimentum sem luctus sed. Proin nisl mauris, tempor et tellus eget, venenatis fringilla felis. Donec vel lectus quis mi commodo semper. Quisque id vehicula libero. Pellentesque laoreet velit diam, eget dapibus urna vestibulum sed. Nam venenatis fringilla volutpat.\r\n\r\nVestibulum fermentum nulla id sem bibendum venenatis. Fusce nec convallis dui. Etiam eget hendrerit purus. Integer tempor ultricies felis, nec luctus nibh semper rhoncus. In nec diam eu quam cursus mollis. Cras varius a tortor vitae convallis. Praesent gravida ligula at lectus ornare, vel commodo odio lobortis. Sed lobortis sapien et odio semper ultrices. Aliquam rhoncus sapien ac nunc imperdiet, non dapibus nisi gravida. Curabitur sed venenatis elit, quis ultrices metus. ', '', 'full_html'),
('node', 'project', '0', '55', '55', 'en', '0', 'Mauris mollis ac mauris sit amet tincidunt. Integer molestie, neque et elementum ornare, erat magna accumsan ipsum, ut malesuada arcu lectus id leo. Duis hendrerit tincidunt nisi, vel fermentum augue molestie in. Vivamus non laoreet mi. Aenean feugiat aliquam arcu sit amet rhoncus. Donec at mi nulla. Maecenas convallis vehicula nisl, non lacinia mauris tempor a. Quisque porttitor nisi ut dui malesuada mollis. Pellentesque tristique est at nunc tincidunt porttitor.\r\n\r\nVestibulum elit turpis, lobortis hendrerit felis ut, ultrices eleifend nunc. Vivamus ac suscipit quam, non sagittis nisi. Phasellus lacinia tortor in ultricies eleifend. Sed id elit ut tellus ultrices congue sed eu ante. Vestibulum viverra mauris eget imperdiet euismod. Donec eu facilisis neque, et consequat ante. Praesent hendrerit nunc lacus, id aliquet nisl sollicitudin non. Nam porta urna nunc, vitae efficitur orci efficitur et. Ut faucibus fermentum est, id tempor lectus pulvinar a. Nullam rhoncus, sem nec ultrices pharetra, justo turpis fermentum risus, non ultricies justo nulla at lacus. Integer vitae lectus cursus massa aliquet egestas. Sed nec porta elit. Sed imperdiet sem augue, vel auctor lacus pellentesque eget.\r\n\r\nNunc bibendum nisl sed turpis iaculis dictum. Donec ut lorem libero. Nullam congue condimentum maximus. Donec rutrum libero non ligula fermentum cursus. Pellentesque at varius eros. Praesent vehicula at nibh nec finibus. Suspendisse at porttitor justo. In rutrum velit metus, ut congue nisi pretium ac. Etiam suscipit est ut enim aliquam euismod. Duis aliquam, massa sit amet lobortis luctus, dui felis imperdiet justo, vel tempus sem massa eget orci. ', '', 'full_html'),
('node', 'project', '0', '56', '56', 'en', '0', 'Suspendisse potenti. Proin vulputate massa at porttitor aliquet. Sed ex arcu, porta vitae efficitur quis, porttitor vitae quam. Mauris vel massa orci. Quisque in ullamcorper turpis, vitae lobortis ligula. Curabitur pretium, turpis a vestibulum viverra, velit leo porta enim, imperdiet auctor lectus magna non turpis. Proin eu sapien scelerisque, efficitur elit quis, dictum nisl. Pellentesque cursus, urna sit amet semper pretium, felis ligula molestie metus, a sagittis ligula nisi id felis. Nullam tincidunt ut arcu eget feugiat. Duis non arcu orci.\r\n\r\nSed at dolor semper ligula volutpat consequat. Nam facilisis tempor libero, vel pretium leo dignissim at. In et ex ac velit volutpat placerat. Vivamus elementum massa at neque lacinia, ac blandit urna sollicitudin. Nullam semper dolor non turpis faucibus, tincidunt viverra erat tincidunt. Nunc eget eleifend sem. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam volutpat lacinia quam, id pretium libero condimentum et. Quisque diam velit, tincidunt a sodales ut, scelerisque nec dui. Morbi vel vehicula ligula. Cras vel magna sed urna placerat euismod. Sed massa dolor, pellentesque vitae interdum sed, venenatis vitae metus. Duis a velit vulputate, pulvinar diam id, consequat dolor. Proin tincidunt augue non ullamcorper pulvinar. Maecenas massa ligula, mollis mollis massa at, lacinia suscipit justo. Sed molestie quam ac neque euismod, quis tempus neque faucibus.\r\n\r\nDonec molestie lobortis ex, in consequat justo iaculis vitae. Donec rutrum felis in pulvinar sagittis. Donec condimentum, massa eu imperdiet aliquam, dolor magna tincidunt est, quis posuere turpis libero ut mauris. Morbi condimentum consectetur ipsum sit amet sagittis. Phasellus cursus, sapien at bibendum accumsan, lectus felis sodales libero, a egestas nulla sapien a nisl. Phasellus eget magna lectus. Donec sit amet molestie diam. Nulla id arcu sit amet nisi iaculis tincidunt. Nam sodales in nibh tristique imperdiet. Vivamus dignissim varius erat, vitae placerat dui consequat fringilla. Mauris id tellus magna. Mauris sit amet mollis lectus. Maecenas pulvinar tincidunt dignissim. Ut a mollis urna. ', '', 'full_html'),
('node', 'project', '0', '57', '57', 'en', '0', 'Nunc semper pretium ornare. Pellentesque tristique, nisi vel mattis lobortis, justo nisl efficitur odio, ac euismod dolor lorem at urna. Aenean quis erat in nulla tincidunt porttitor vitae vitae urna. Vestibulum sodales congue est non lobortis. Sed suscipit eu magna in elementum. Aliquam maximus est quis faucibus tempus. Maecenas condimentum dui leo, posuere sagittis massa gravida ac.\r\n\r\nPhasellus augue velit, malesuada non urna in, consequat bibendum tellus. Fusce vitae mauris nunc. Aliquam rhoncus ligula tellus, nec maximus sem consectetur at. Duis a justo lorem. Proin pellentesque eu orci et feugiat. Phasellus non felis turpis. Nulla facilisi.\r\n\r\nQuisque viverra suscipit est, id venenatis est faucibus quis. Mauris at ex augue. Donec in eleifend nisl, eget feugiat dui. Maecenas ac neque rutrum, porta nunc eu, aliquam leo. Nam sagittis dolor diam, porta sagittis purus viverra sit amet. Vivamus maximus rhoncus diam, ut consectetur tellus faucibus vitae. Fusce scelerisque sagittis enim nec interdum. Maecenas et massa laoreet, bibendum nibh quis, venenatis est. Aliquam ornare, nulla sed blandit mollis, dui nisl cursus ligula, id pretium leo quam et ante. Morbi faucibus, enim non tempor tincidunt, urna tellus consequat turpis, ut egestas velit erat ac augue. Aenean mattis eget diam at auctor. Duis vel accumsan erat. Vestibulum vel eros et ipsum fermentum vulputate non ut mauris. ', '', 'full_html'),
('node', 'project', '0', '58', '58', 'en', '0', 'In placerat ultrices arcu, sed dapibus nisi sagittis at. Donec magna odio, elementum vitae sem ut, cursus ultricies erat. Fusce consequat ligula in felis tempus bibendum. Integer nec felis erat. Vivamus vitae justo eros. Pellentesque sodales viverra ante, ac porta enim venenatis ut. Praesent quis aliquam lacus. Maecenas id maximus erat. Fusce et tellus sem.\r\n\r\nQuisque mattis risus at congue ullamcorper. Vivamus vehicula porta augue nec convallis. Nam magna augue, mollis nec tincidunt sit amet, vehicula sed ipsum. Aenean lectus orci, tincidunt nec nisi eget, imperdiet convallis nibh. Quisque a nibh nec massa sagittis imperdiet. Nunc ipsum nisi, venenatis egestas rutrum id, varius ac ante. Proin mollis at arcu et ultrices.\r\n\r\nSed interdum aliquet ornare. Integer tincidunt felis eu magna ultrices pellentesque. Curabitur vitae libero et nisl interdum sodales ut at nisi. Mauris urna metus, pretium at nulla in, elementum congue magna. Nunc id dapibus sapien. Nulla suscipit quis quam eu bibendum. Proin fringilla magna risus, vel interdum elit posuere nec. Nulla facilisi. Aliquam sed felis tincidunt, rutrum sem id, ultrices nisl. Curabitur ultrices nisl vitae magna pharetra, eu pellentesque ligula consectetur. In efficitur, dui et aliquet vestibulum, tortor sapien euismod arcu, vel convallis lorem elit sed ipsum. Proin metus quam, egestas sed augue eget, malesuada vulputate lacus. Ut eleifend commodo dui sit amet rutrum. Maecenas vel lobortis libero. Integer euismod turpis sodales commodo cursus. ', '', 'full_html'),
('node', 'employee', '0', '65', '65', 'en', '0', 'Praesent sed congue ante. Nullam ligula justo, consectetur nec mauris nec, aliquam elementum tortor. Integer libero tellus, iaculis a urna ac, cursus consectetur mauris. In ut feugiat leo. Aliquam erat volutpat. Nunc at nulla non nisl tempor varius nec nec ex. Donec eu hendrerit nulla, non dignissim justo. Nam tellus erat, gravida egestas sem sit amet, vulputate dapibus ligula. Maecenas blandit dictum odio vitae vestibulum.\r\n\r\nMorbi sapien erat, tristique id tellus nec, aliquet gravida erat. Ut sed diam non lacus ullamcorper bibendum sit amet in elit. Ut dui sapien, cursus quis viverra et, tempus sed erat. Donec sit amet bibendum arcu. Fusce pellentesque lorem enim, at pellentesque leo ultricies ultrices. Quisque sit amet urna finibus lacus placerat efficitur sed id nisl. Nam convallis rutrum sapien nec iaculis. Fusce placerat finibus sapien.\r\n\r\nVestibulum vel lectus purus. Sed sed metus ac magna facilisis varius sed consectetur lorem. Donec mauris neque, laoreet nec velit eu, scelerisque egestas orci. Nullam imperdiet tristique elit, nec porta urna placerat non. Vivamus vel eros quis neque tristique consectetur ut vitae turpis. Etiam posuere lacus dictum rutrum congue. Donec vulputate ante erat. In tincidunt luctus neque, et mollis erat ultrices in. Mauris sit amet tortor nec leo gravida scelerisque id ut diam. Integer fringilla lobortis porttitor. ', '', 'full_html'),
('node', 'employee', '0', '67', '67', 'en', '0', 'In eget erat sit amet ligula fermentum scelerisque. Donec pulvinar mi nec turpis fermentum, vitae aliquam sapien tincidunt. Fusce vitae urna suscipit, faucibus mi ullamcorper, facilisis purus. Proin fringilla mauris ac nibh dapibus scelerisque. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed mauris enim, ultrices vel faucibus sit amet, semper nec lectus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Fusce tellus magna, sagittis ut velit eu, pulvinar gravida nisi. Suspendisse eu accumsan risus. Pellentesque faucibus, velit aliquet facilisis volutpat, ante lectus scelerisque elit, et elementum est magna id nibh. Pellentesque metus sem, eleifend id lacinia sed, accumsan eu libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed sed pretium dui. Nulla facilisi. Praesent nec arcu sit amet nisl convallis semper.\r\n\r\nMorbi finibus odio a orci tincidunt consectetur. Donec ac luctus tellus. Nunc dictum placerat turpis non egestas. Curabitur placerat eu mi ut ultricies. Suspendisse sit amet dui vestibulum dui scelerisque ultricies. Quisque et euismod orci, vel aliquet lacus. Quisque id ornare sem. Nulla scelerisque ante in justo scelerisque tincidunt. Morbi convallis et libero ut tincidunt. Curabitur in dignissim tortor, sit amet tempor nibh. Sed volutpat turpis nulla, id scelerisque arcu volutpat vel. Duis at mauris molestie, iaculis ante eget, vehicula lorem.\r\n\r\nProin dolor tortor, volutpat pharetra placerat et, pharetra vel leo. Proin sollicitudin arcu venenatis turpis finibus, at aliquam mauris fermentum. Quisque eget erat eu magna tempor sollicitudin. Curabitur arcu neque, malesuada et feugiat quis, sodales nec quam. Nulla nec urna luctus, blandit magna non, aliquet tortor. Proin et eros orci. Sed nec ante sit amet metus consectetur aliquet non non risus. Mauris facilisis dictum libero, eu efficitur ex maximus in. Pellentesque sagittis sem ipsum, vel dictum justo euismod eget. Proin venenatis leo orci, vel accumsan mauris fermentum quis. Etiam in ornare elit. Donec ut turpis neque. ', '', 'full_html'),
('node', 'employee', '0', '68', '68', 'en', '0', 'Duis luctus quam eu tellus commodo, eu pretium felis egestas. Ut justo nunc, luctus eget venenatis et, lacinia ultrices metus. Etiam ut tempus elit. Suspendisse aliquam tortor et magna interdum bibendum. Praesent quis tellus ut diam auctor hendrerit. Nam cursus diam vitae volutpat ullamcorper. Fusce mattis, magna ac consectetur lobortis, ex est convallis felis, et tincidunt turpis ante nec tellus. Nam eget risus viverra, imperdiet neque sit amet, lacinia magna.\r\n\r\nCurabitur arcu ligula, tincidunt ac lacinia eget, porttitor non magna. Nullam scelerisque leo eu tempor pretium. Quisque lorem nibh, mattis sodales tempor sed, pharetra a magna. Integer odio ex, pulvinar eget sem eu, consequat mattis nisl. Nam cursus pharetra diam eu molestie. Etiam quis nibh ipsum. Cras suscipit ultricies arcu ut blandit. Donec fringilla faucibus justo, non consequat lorem posuere sit amet. Maecenas in justo ut mi cursus varius ac nec magna. Suspendisse vestibulum accumsan purus, at pharetra lorem hendrerit sed. Vivamus in molestie mi, ut feugiat magna. Mauris malesuada eu arcu ac hendrerit. Donec sed tortor ullamcorper, iaculis dui id, pellentesque velit. Nulla ac erat mi.\r\n\r\nMauris facilisis sem in sapien luctus, quis maximus leo pulvinar. Suspendisse a pretium odio, faucibus sodales odio. Donec hendrerit fermentum libero, et elementum mauris malesuada sed. Proin eget feugiat velit. Donec ut ante lacus. Proin finibus, dolor eu varius viverra, augue risus pellentesque nunc, a viverra urna lacus in nunc. Donec vestibulum viverra velit a consequat. ', '', 'full_html'),
('node', 'employee', '0', '69', '69', 'en', '0', 'Donec mollis turpis felis. Sed vitae purus quis turpis pellentesque facilisis. Ut euismod magna consectetur placerat convallis. Phasellus mi sem, laoreet consectetur ultricies a, lobortis sed libero. Vestibulum a feugiat risus. Morbi et ante urna. Etiam suscipit purus lectus, sit amet bibendum arcu vestibulum quis.\r\n\r\nInteger libero orci, vulputate vel molestie vel, dictum tincidunt quam. Donec non convallis libero. Ut bibendum commodo mattis. Maecenas vestibulum vestibulum turpis id dictum. Sed eleifend odio eu volutpat sollicitudin. Mauris ornare libero et pharetra viverra. Aliquam erat volutpat.\r\n\r\nCurabitur nisi elit, dictum non purus id, interdum rutrum velit. Pellentesque metus nunc, cursus eu nulla et, pulvinar suscipit nibh. Nam vitae libero laoreet, euismod elit eu, ullamcorper tortor. Phasellus commodo eros quis molestie mollis. In aliquam gravida nisl, non rutrum leo laoreet eu. Aliquam erat volutpat. In vel suscipit nisl. ', '', 'full_html'),
('node', 'employee', '0', '71', '71', 'en', '0', 'Curabitur eget tincidunt tellus, sit amet volutpat ex. Sed elementum, enim sed posuere ornare, augue felis porttitor lorem, quis semper erat neque non diam. Nullam tempor purus non libero dignissim, a maximus quam vehicula. Sed vitae semper tortor. Nulla eu malesuada risus. Suspendisse dapibus venenatis est vitae euismod. Suspendisse mollis nec lacus eu congue. Duis sit amet ex in dolor maximus vestibulum. Maecenas non nibh id dolor aliquam commodo vel eget turpis.\r\n\r\nIn pretium ex nunc, sed congue ante dignissim in. Sed sollicitudin luctus vulputate. Sed a posuere velit, nec porta nulla. Donec tincidunt purus nec metus aliquam ultricies. Phasellus ac faucibus mauris. Nunc feugiat enim id placerat ornare. Sed ultricies pellentesque magna vel vehicula. Nam eget ligula maximus, varius mi eget, efficitur libero. Donec efficitur vitae libero eu varius. Praesent a erat turpis. Phasellus sed porttitor urna. Fusce blandit lacus sed libero euismod, ac porttitor nulla sodales. Nulla facilisi. Nulla porta sed leo eget malesuada. Duis eu tortor nibh. Vestibulum orci nulla, accumsan ullamcorper egestas congue, malesuada vitae nunc.\r\n\r\nProin convallis et nunc ac mattis. Aenean maximus dolor ligula, sit amet mattis enim condimentum pretium. Aliquam erat volutpat. Nam aliquet dictum tellus eget commodo. Etiam quis leo in augue lacinia sagittis. Morbi semper mauris ac libero dictum dignissim. Curabitur purus augue, fringilla mollis diam eu, finibus viverra dolor. Donec tempor eu nulla malesuada cursus. Sed tempor suscipit ex a hendrerit. Mauris id pharetra nunc. Etiam facilisis eu dolor vitae facilisis. Vestibulum pharetra mollis urna, nec varius enim hendrerit in. Donec vitae ex sed elit dignissim pharetra. ', '', 'full_html'),
('node', 'employee', '0', '73', '73', 'en', '0', 'Integer quis maximus nibh. Aliquam maximus accumsan velit, ac bibendum ipsum elementum ac. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus ante ligula, pretium eu lacinia imperdiet, dictum nec dolor. Aenean interdum consectetur enim eu venenatis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi feugiat, augue nec fermentum ultricies, arcu leo tempor leo, id blandit tellus erat et orci. Donec auctor eget orci id blandit. Vestibulum dui enim, vestibulum et enim eget, pretium posuere lorem. Integer eu nisi vitae felis gravida tincidunt et sed nisl. Donec et rhoncus ligula, id pellentesque nunc.\r\n\r\nVestibulum eget diam luctus tellus consequat commodo ac nec enim. Nulla eros quam, dictum eu justo ac, scelerisque gravida diam. Vestibulum et ligula non nibh vehicula commodo vel id lacus. Nam in nisi nunc. Ut a metus eget augue eleifend feugiat. Phasellus et consectetur nunc. Vivamus sit amet sagittis libero. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam libero metus, scelerisque eu nisi vitae, luctus dignissim metus. Vestibulum porta aliquet enim sit amet ultricies. Ut placerat finibus turpis. Mauris ut fringilla lectus. Vestibulum vitae efficitur felis, tristique dictum odio. Donec ultrices turpis ac neque gravida iaculis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce sem eros, dapibus nec pulvinar sit amet, sodales eu lectus.\r\n\r\nEtiam viverra ante sed eros fermentum pellentesque in eget mauris. Aliquam erat volutpat. Vivamus posuere maximus quam feugiat venenatis. Vivamus a pulvinar velit. Morbi eu mattis lacus. Fusce finibus sodales nunc quis varius. Cras pretium vulputate nisl. Aliquam rhoncus, orci ac pellentesque ultrices, sapien sem porttitor magna, ut rhoncus leo libero et arcu. Morbi luctus vehicula vulputate. Suspendisse viverra metus vel tortor mollis eleifend. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed diam eros, eleifend vel tortor id, pulvinar tristique mi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. ', '', 'full_html'),
('node', 'project', '0', '82', '82', 'en', '0', 'Vestibulum a dui vitae tellus scelerisque mattis. Suspendisse velit ipsum, faucibus ut lacus non, vehicula efficitur felis. Pellentesque consequat blandit nisi. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi eu posuere lectus. Nam semper id mi quis blandit. Nulla sit amet leo eget nisi dictum cursus. Vestibulum malesuada interdum arcu sit amet malesuada. Phasellus velit tellus, porttitor feugiat finibus in, sollicitudin vitae tortor. Aliquam a turpis placerat, aliquet ante sit amet, sagittis tortor.\r\n\r\nDonec ac urna gravida, pellentesque mi sit amet, dictum tortor. Mauris tempus rutrum sapien. Donec nulla erat, laoreet ut odio quis, laoreet tincidunt arcu. Morbi non est elit. Praesent sit amet auctor augue. Ut et ipsum ex. Phasellus congue nibh at risus venenatis, eu luctus metus semper. Nulla nec fringilla nisi, sed placerat sapien. Curabitur eget tincidunt libero.\r\n\r\nPraesent quis nunc sodales, rutrum mauris vel, fringilla augue. In vehicula id erat eleifend finibus. Mauris aliquam enim ligula, ac tempor felis placerat et. Cras porttitor odio vel ex dapibus, et porta tellus consequat. Sed vel nisi sit amet dui facilisis viverra eu eu quam. Vestibulum vestibulum feugiat nisi ac laoreet. Donec vitae augue ut sem vehicula tincidunt. Nulla nec augue tempor, blandit ipsum nec, mattis enim. Integer efficitur arcu nec mauris placerat finibus. Duis quis odio ut diam condimentum semper. ', '', 'full_html'),
('node', 'article', '0', '83', '83', 'en', '0', 'In et arcu at dolor efficitur eleifend eget ac justo. Pellentesque non ex aliquam, aliquet orci eget, venenatis orci. Fusce sit amet facilisis metus. Suspendisse potenti. Vestibulum pellentesque massa sed felis fermentum elementum. Maecenas elementum justo felis, non molestie sapien tristique non. Mauris eu fringilla ligula, nec auctor justo. Vivamus justo velit, sodales nec felis vel, accumsan aliquet leo. Cras quis lectus neque. Donec ultrices posuere enim, nec varius enim suscipit ut. Praesent tincidunt libero non pretium commodo.\r\n\r\nProin a arcu aliquam, pretium urna tincidunt, pellentesque turpis. Nullam scelerisque lacus et egestas efficitur. Maecenas facilisis fringilla quam imperdiet eleifend. Nulla facilisi. Maecenas auctor a purus at hendrerit. Vestibulum nunc ligula, molestie vitae tortor at, facilisis vehicula lacus. Vestibulum tincidunt justo in felis ullamcorper facilisis. Pellentesque eget justo eu risus auctor gravida. Nunc tempor vestibulum enim ac porttitor. Aliquam faucibus est nec felis malesuada aliquet.\r\n\r\nDonec pretium libero velit, accumsan malesuada nunc viverra et. Sed vitae interdum leo, et scelerisque ex. Phasellus hendrerit finibus purus, sed porttitor arcu varius lacinia. Donec bibendum ex nibh, vitae pharetra lorem vulputate quis. Ut leo ligula, elementum nec consequat id, tempus eu sem. Nullam non sem tincidunt justo tempus tempus sagittis auctor nunc. Donec tincidunt aliquet metus id congue. Donec dignissim, ipsum ornare condimentum volutpat, eros nulla consectetur magna, et laoreet mauris orci in ipsum. Sed tempus neque at ante hendrerit aliquam. Etiam varius odio sit amet sodales gravida. Sed bibendum tortor ut diam laoreet pharetra. ', '', 'full_html'),
('node', 'testimonial', '0', '84', '84', 'en', '0', 'Proin ut dignissim ex. Quisque rhoncus, massa vitae vehicula ornare, dui nisi pulvinar nisl, ac malesuada mi lectus pretium nisi. In sit amet neque gravida, consectetur felis sit amet, luctus ex. Phasellus commodo efficitur consectetur. Cras porta fermentum est quis sodales. Maecenas vehicula, dolor molestie dignissim auctor, lacus turpis ultrices odio, aliquam cursus odio felis id dui. Nunc condimentum fermentum ex, ut malesuada justo efficitur porta. Morbi at ex eget est aliquam viverra. In id neque massa.\r\n\r\nNam urna urna, ornare a justo eget, convallis rutrum urna. Etiam maximus nisi vitae lacus facilisis, sed facilisis ligula dignissim. Fusce eu nibh sem. Curabitur eros ipsum, cursus sit amet rhoncus ut, condimentum non arcu. Vestibulum faucibus gravida volutpat. Vivamus ac mollis quam. Nam tincidunt lorem venenatis, dictum tellus sed, tincidunt eros. Nulla interdum viverra varius.\r\n\r\nVivamus aliquet diam vel quam facilisis ornare. Morbi id maximus est. Donec sagittis quam a mi volutpat tincidunt non vitae elit. Quisque sit amet lacus ut risus convallis convallis sit amet sed erat. Nam est lectus, rhoncus ac venenatis in, imperdiet ut eros. Curabitur molestie mattis lectus et rhoncus. Phasellus sollicitudin turpis quis lectus fermentum, eu vulputate est hendrerit. Praesent sed consectetur dolor. Sed sollicitudin lacus eu purus semper, in scelerisque mi condimentum. ', '', 'full_html');
INSERT INTO `field_revision_body` VALUES
('node', 'testimonial', '0', '85', '85', 'en', '0', 'Ut mollis bibendum molestie. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas vitae leo ultricies, volutpat odio nec, fringilla ex. Donec aliquet nisl in fermentum pellentesque. Proin eget nisl nulla. Duis eu semper tortor. Praesent hendrerit dapibus lectus, ut dignissim massa interdum consequat. Sed ac enim nisl. Duis malesuada varius libero ut pretium. Nam vehicula malesuada enim et tincidunt.\r\n\r\nProin facilisis molestie elit, eu iaculis sem dapibus blandit. Vestibulum hendrerit, velit lacinia interdum ultrices, ipsum massa facilisis massa, quis tincidunt ante dolor ut enim. Integer pellentesque justo et turpis dignissim dictum. Fusce scelerisque, dolor ac sollicitudin facilisis, sapien lacus iaculis purus, a efficitur dui augue vel arcu. Mauris dictum eget nibh suscipit ultricies. Nullam et pharetra tellus. Quisque non dui ut orci lobortis efficitur ut non est. Etiam vitae lectus ut turpis pharetra imperdiet in et nunc. Pellentesque aliquet tortor quis ullamcorper dictum.\r\n\r\nVestibulum odio risus, tincidunt in semper vitae, eleifend eu purus. Suspendisse vulputate sit amet dui id hendrerit. Donec pharetra interdum diam ut venenatis. Morbi ullamcorper placerat leo, et ultrices arcu egestas a. Morbi placerat egestas faucibus. In nulla dolor, aliquam eu massa sed, egestas blandit felis. Ut nisl augue, cursus nec mi vitae, luctus hendrerit dui. Vivamus aliquet tristique lectus, luctus imperdiet leo malesuada ac. ', '', 'full_html'),
('node', 'testimonial', '0', '86', '86', 'en', '0', 'Quisque egestas condimentum magna condimentum tempor. Vestibulum sodales, nisi nec molestie vestibulum, sem dui cursus odio, non blandit purus nibh vitae tellus. Vestibulum rhoncus, justo eget eleifend dapibus, felis felis maximus diam, sed auctor nulla ligula a quam. Curabitur consequat nunc nec nisi convallis scelerisque. Pellentesque elit arcu, porttitor nec hendrerit sed, ultrices vitae magna. Maecenas rhoncus felis sit amet magna maximus mattis. Nulla facilisis lacus consequat magna consequat feugiat. Sed felis sapien, rhoncus ac ex eu, maximus venenatis diam. Curabitur ex diam, lobortis vel accumsan eu, tristique eu tortor. Quisque eu felis quis nunc blandit consequat. Fusce purus quam, lobortis sit amet fermentum semper, consectetur viverra nisi.\r\n\r\nCras scelerisque nibh vel tortor semper mollis. Fusce blandit ac tellus at gravida. Sed a felis sapien. Nam a justo ipsum. In est quam, efficitur non tellus nec, mollis tincidunt eros. Quisque non sapien eleifend, convallis sapien at, laoreet lacus. Nullam pulvinar at turpis vel elementum. Cras bibendum mi magna, efficitur bibendum odio fringilla eget. Mauris risus est, faucibus venenatis velit ut, fringilla volutpat turpis.\r\n\r\nDonec egestas ex maximus, aliquet felis eget, efficitur risus. Curabitur ac rutrum diam, ac vulputate tortor. Fusce nec mattis nulla. Pellentesque a lacus in tellus consequat pretium vitae vitae enim. Curabitur ultricies tristique pharetra. Donec auctor tincidunt elementum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam nunc ligula, gravida et nisi sed, faucibus suscipit velit. In sit amet porta augue. Nunc imperdiet mi et aliquam semper. In id dui tortor. ', '', 'full_html'),
('node', 'testimonial', '0', '87', '87', 'en', '0', ' Pellentesque in sollicitudin tortor, in mattis lorem. Proin porta lectus sed massa euismod, non placerat elit vestibulum. Sed pellentesque viverra diam, auctor luctus tortor aliquam eget. Sed sagittis orci quis lacus aliquet vulputate at et nibh. Nam et ligula lobortis dui condimentum luctus. Nam finibus molestie finibus. Aenean euismod ac libero ut venenatis. Cras aliquam, odio porttitor elementum lacinia, nisl leo mollis purus, quis mattis mauris enim ac odio.\r\n\r\nQuisque at metus lectus. Vestibulum tempus augue ut tellus vulputate iaculis. Pellentesque porttitor id lorem quis sodales. Sed facilisis elit sagittis, mollis libero eget, euismod felis. Vivamus convallis nunc odio, non tristique ante gravida sed. Donec nec enim in est rhoncus ullamcorper. Aenean mollis sapien sit amet felis consequat placerat. In pretium, nunc eu dignissim tincidunt, odio nisl dignissim ligula, et gravida dui turpis nec ex. Nam eleifend, arcu a suscipit tempor, dolor nisi feugiat dolor, vitae dignissim eros dolor in nulla.\r\n\r\nIn ligula quam, sodales a tristique ac, feugiat in sapien. Mauris maximus metus in est pellentesque, quis cursus risus tempus. Vestibulum interdum vestibulum congue. Mauris et justo vehicula, gravida ligula in, convallis lorem. Integer blandit enim justo, et consectetur massa malesuada ut. Maecenas a lectus tortor. Aenean id tempus est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.', '', 'full_html'),
('node', 'testimonial', '0', '88', '88', 'en', '0', 'Donec nunc felis, interdum finibus dictum vel, aliquam sagittis orci. In molestie pulvinar mi in luctus. Aenean ultricies sem at leo scelerisque pulvinar. Phasellus elementum felis sed mi ultricies auctor. Aenean pulvinar ligula nisl, et pulvinar turpis euismod vel. Ut fringilla ultricies condimentum. Integer vitae massa ut tortor tincidunt porta quis vitae ligula.\r\n\r\nSed hendrerit, purus ac blandit venenatis, quam mauris imperdiet nunc, non posuere leo diam ut augue. Etiam convallis leo quis fermentum lobortis. Nulla placerat nulla sit amet augue gravida, id ultrices nulla tristique. Donec non lorem feugiat, lobortis arcu nec, luctus turpis. Nam congue sed libero non viverra. Phasellus in mi ligula. Duis elementum fringilla fermentum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris vitae nisl lobortis, consectetur arcu eget, luctus est. Sed sed dui ultrices, tempus erat vitae, tincidunt magna. Ut a dignissim dui. Fusce tristique urna purus, sit amet lobortis ligula lobortis nec. Phasellus finibus leo et iaculis aliquam.\r\n\r\nPhasellus luctus ultricies fringilla. Suspendisse id magna lacus. Vivamus et scelerisque orci. Mauris ligula mi, lobortis sit amet consequat et, malesuada sed nibh. Fusce a dolor in massa lacinia pulvinar at eu urna. In eget volutpat ante, sit amet scelerisque nunc. Etiam nec nulla facilisis, congue neque eu, viverra mi. Quisque efficitur finibus diam, id sagittis lectus imperdiet sed. Etiam in urna viverra, consequat justo eu, maximus diam. Sed eros lorem, interdum ac elementum sit amet, facilisis ac mi. Vestibulum augue ligula, pretium sed magna nec, aliquam dictum arcu. Morbi mollis purus id leo tincidunt blandit. Aliquam commodo venenatis aliquet. Donec suscipit orci a dolor ornare laoreet. Sed at vestibulum urna. ', '', 'full_html'),
('node', 'slide', '0', '89', '89', 'en', '0', 'Aliquam sem dolor, tempor ac magna eget, pulvinar interdum neque. Ut suscipit enim nulla, nec dictum nisl blandit sed. Fusce convallis, odio vel pharetra imperdiet, quam tellus sollicitudin lacus, quis pulvinar purus odio at massa. In lectus diam, faucibus et dapibus vel, porta nec arcu. Morbi arcu eros, laoreet nec leo in, vulputate bibendum leo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Mauris gravida quam et nisl pulvinar, eu sagittis elit commodo. Nulla lacinia est nec mi faucibus consequat quis sed nulla. Quisque id neque diam. Pellentesque tempus neque vitae diam mollis lobortis. Sed gravida vitae mi a faucibus.\r\n\r\nIn malesuada enim sed velit facilisis, ut cursus sem semper. Quisque in fringilla mi, ac aliquet risus. Phasellus luctus nec neque congue ultrices. Fusce eget lacus sapien. Nullam et nulla tempus, pellentesque risus quis, viverra tortor. Suspendisse et massa commodo, congue est nec, efficitur lacus. Nullam vel quam blandit, ornare purus at, mollis libero. Proin a luctus elit, eu dignissim lacus.\r\n\r\nEtiam magna erat, aliquam non nisl quis, ullamcorper condimentum tellus. Vestibulum venenatis vitae turpis a accumsan. Sed faucibus non mauris et luctus. Ut purus nisl, pulvinar nec lacinia nec, porta vitae libero. Cras neque felis, fringilla quis lorem non, dignissim ultrices odio. Nunc dictum pellentesque risus, vitae iaculis odio finibus id. Praesent eu neque eu eros fermentum ornare et nec arcu. ', 'One morning, when Gregor Samsa woke from troubled dreams, he found himself transformed in his bed into a horrible vermin.', 'full_html'),
('node', 'slide', '0', '90', '90', 'en', '0', 'In molestie urna imperdiet mi commodo, eu faucibus velit porttitor. Aliquam erat volutpat. Morbi velit nibh, lobortis nec risus vel, feugiat volutpat arcu. In a neque enim. Vestibulum ultrices tincidunt eros, sit amet aliquam mauris. Suspendisse sagittis nisl vitae ultrices cursus. Maecenas auctor elit eleifend nisl aliquam eleifend. Integer tempus, purus nec fringilla consectetur, mauris purus commodo nisi, id eleifend tortor eros nec arcu. Aliquam hendrerit purus turpis, at volutpat urna pulvinar et. Aenean condimentum nec augue at blandit. Nullam lacinia faucibus diam, sed vehicula ipsum semper id. Sed id nulla at metus cursus pharetra in quis ligula. Cras laoreet ultricies porta.\r\n\r\nProin non ullamcorper est, ac blandit lectus. Proin suscipit sapien non interdum consectetur. Nunc ex leo, dictum eu feugiat vitae, scelerisque sed velit. Praesent at lobortis quam. Cras gravida leo nec mi cursus, ac mattis neque luctus. Nam malesuada maximus nulla eget laoreet. Aliquam ultrices consectetur justo. Nunc sagittis dolor at commodo eleifend. Cras eleifend, nulla quis bibendum molestie, metus dolor placerat dui, eu ullamcorper massa elit et ipsum. Mauris vulputate eleifend lobortis.\r\n\r\nProin sit amet eleifend velit, ac suscipit ligula. Nam sed commodo nulla. Etiam eget dui purus. Aenean placerat in purus id venenatis. In hac habitasse platea dictumst. Ut eros mi, tempor a dictum in, porttitor id lorem. Nullam ut nisi vel mauris tristique luctus. Aenean neque orci, blandit vitae mi sit amet, cursus ornare mi. Aenean tincidunt tellus ac pellentesque venenatis. Maecenas et odio urna. Aliquam a molestie velit. Integer vitae gravida massa, in sodales augue. Proin id nisi rhoncus, malesuada metus nec, tincidunt turpis. Maecenas eros enim, scelerisque quis dolor ut, venenatis aliquam dui. Cras quam nibh, suscipit euismod euismod nec, dapibus vel velit. ', 'That’s the guiding principle behind our design philosophy', 'full_html'),
('node', 'article', '0', '91', '91', 'en', '0', 'Curabitur vel condimentum est. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Fusce dignissim elit vel ex malesuada vulputate. In fringilla facilisis efficitur. Nunc tempor condimentum congue. Fusce congue augue a diam condimentum, ac gravida nisi ultricies. Nulla efficitur fringilla consectetur.\r\n\r\nAenean dignissim ut orci sed aliquet. Mauris ut dui eget nibh iaculis porta. Praesent eget ex augue. Proin a eros vel nulla pharetra sodales. Cras nec consequat neque, a vehicula sapien. Donec a ante venenatis, aliquet tellus nec, suscipit sem. Aenean nec sollicitudin nulla, nec lobortis mi. Suspendisse aliquet ut metus vel lobortis. Praesent nec vehicula lorem. Aliquam tortor nisl, pharetra quis molestie placerat, malesuada eget dolor. Nulla placerat sollicitudin metus in faucibus. Donec hendrerit neque dictum turpis bibendum volutpat. Phasellus elementum lorem ut urna venenatis, sed mollis felis finibus.\r\n\r\nSed sagittis orci in mi pellentesque, at interdum nunc porta. Vestibulum tempor eleifend dignissim. Nulla facilisi. Quisque eu urna eget neque tempus rutrum vitae ultrices velit. Integer turpis magna, eleifend in fermentum quis, venenatis a odio. Aliquam ornare iaculis metus, vel egestas dolor gravida sed. Aliquam erat volutpat. Fusce malesuada vulputate ornare. Pellentesque volutpat tempus nibh eget iaculis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. ', '', 'full_html'),
('node', 'article', '0', '92', '92', 'en', '0', 'Cras aliquet dui nunc, non eleifend ligula ultrices sed. Praesent hendrerit a nibh a mattis. Nullam lacinia maximus dapibus. Duis ipsum elit, venenatis ullamcorper convallis vitae, efficitur vestibulum sapien. Aenean eu mauris odio. Sed ac venenatis justo. Sed malesuada velit sit amet iaculis varius. Maecenas sollicitudin nunc in lorem rutrum molestie. Morbi molestie non elit sed mattis. Phasellus magna est, lobortis in mi sed, lobortis sodales urna.\r\n\r\nSed et velit sit amet nulla fringilla hendrerit a ac risus. In sodales, metus ut interdum euismod, justo neque sodales risus, at rhoncus dui felis id nunc. Cras laoreet eros vel rutrum ultrices. Duis facilisis volutpat porttitor. Aliquam blandit semper mauris ac efficitur. Nulla gravida augue in vehicula tincidunt. Nam elit sapien, scelerisque eget rutrum vel, eleifend eget est. Donec pharetra diam felis, vitae pulvinar sapien volutpat sit amet.\r\n\r\nPellentesque in elit quis sapien sagittis scelerisque at vel dui. Maecenas vitae felis non urna tincidunt vulputate. Proin eu odio enim. Sed sed accumsan leo. Morbi eu auctor nisi, at faucibus augue. Etiam malesuada est vel sapien dapibus, sagittis laoreet tortor aliquet. Vestibulum lacinia, ante ut egestas maximus, mauris magna volutpat urna, malesuada consequat lorem dui eget turpis. Phasellus tempor nunc sed volutpat dictum. Vestibulum quis placerat dui, nec mollis mi. Suspendisse laoreet ac metus eu vestibulum. Cras tellus arcu, faucibus elementum purus non, consectetur euismod nunc. Nulla a sapien dolor. Phasellus vehicula felis vitae massa cursus, vulputate pharetra ligula vehicula. ', '', 'full_html'),
('node', 'article', '0', '93', '93', 'en', '0', 'Aliquam mattis augue ante, a bibendum risus finibus eget. Cras rutrum arcu id mollis rhoncus. Cras varius, neque maximus porta feugiat, justo nisl porta quam, quis dictum velit orci ut arcu. Morbi tincidunt pellentesque mollis. Sed quis justo magna. Mauris convallis posuere sapien quis dignissim. Integer lorem velit, fringilla quis lacus et, faucibus ultrices ligula. In sit amet mauris convallis, ullamcorper lorem nec, ullamcorper odio. Cras massa ligula, iaculis sed justo non, rhoncus hendrerit lectus. Donec ac semper justo, quis tempor sem. Morbi ipsum mi, rhoncus vitae leo non, gravida fringilla ipsum. Cras porttitor nisi et odio tristique, eu hendrerit metus elementum. Pellentesque condimentum pellentesque nulla. Curabitur mollis nisi vitae consequat elementum.\r\n\r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque eros ipsum, lacinia facilisis porta sagittis, venenatis non massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent a hendrerit libero. Aenean iaculis nunc non nulla tempus vulputate nec commodo purus. Aenean a leo quis nisi aliquam mattis vitae at dui. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam eget ante nec augue tincidunt faucibus. Nunc et iaculis lacus. Cras eleifend quam neque, id imperdiet dolor pulvinar nec. Praesent vitae magna sit amet ligula commodo auctor tristique nec ligula. Nam eget mi sit amet urna rutrum placerat.\r\n\r\nVestibulum sed justo sit amet quam suscipit vulputate. Praesent convallis pretium nibh, ac consectetur mauris lobortis non. Donec tempus vehicula nisi, nec accumsan neque cursus vitae. Phasellus ac porta elit. Ut placerat malesuada enim id porta. Proin varius suscipit sem, nec efficitur tortor dictum eu. Nam lacinia egestas dui, sit amet varius erat vulputate eu. ', '', 'full_html'),
('node', 'article', '0', '94', '94', 'en', '0', 'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus a neque urna. Ut sapien nisl, imperdiet at imperdiet quis, commodo vitae dolor. Sed dapibus rhoncus turpis quis suscipit. Cras lectus erat, dictum vel velit a, commodo tristique magna. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed commodo neque in hendrerit vehicula. Morbi dignissim neque nec ultricies consectetur. Morbi vitae fermentum purus. Nunc egestas tempor nisl, nec ultricies ipsum pretium vitae. Mauris aliquam tortor sit amet mi blandit pellentesque. Curabitur sollicitudin rutrum sapien, sed dapibus sem.\r\n\r\nVivamus sollicitudin augue ac nisi viverra tincidunt. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas dignissim elementum metus, et aliquam nisi vulputate eu. Suspendisse molestie hendrerit quam. Nulla facilisi. Vivamus blandit elit tortor, et vehicula ipsum consectetur id. Nullam non ipsum massa. Nam ante orci, auctor eu condimentum vitae, faucibus vitae ipsum. Cras et bibendum sem. Nunc cursus eros nibh. Ut et lectus sit amet lacus fringilla porttitor non sit amet tortor. Donec semper, leo id imperdiet mollis, massa augue imperdiet diam, ut congue sem tellus eget magna. Praesent ut ipsum nunc.\r\n\r\nMauris nec ultricies justo. Nullam id purus sit amet arcu vehicula ultrices. Duis fermentum augue vel velit egestas finibus. Aliquam eget convallis nisi. Duis aliquet euismod elit sit amet ornare. Integer congue nec velit a malesuada. Ut elementum at velit eget condimentum. Quisque at erat tortor. Mauris pretium pellentesque arcu, ut mattis risus commodo vel. Sed imperdiet nisl in elit luctus bibendum. Morbi aliquet tortor diam, non posuere mauris fringilla ut. Mauris vulputate ante fringilla, vehicula metus eu, ultricies arcu. In congue vel erat in condimentum. Fusce ut lectus ut purus venenatis sodales. Maecenas id dolor nec diam vehicula tristique et vitae velit. Nulla ac nunc tellus. ', '', 'full_html'),
('node', 'banner', '0', '95', '95', 'en', '0', 'Vestibulum eleifend, magna id feugiat dignissim, nisi urna vehicula metus, eget fermentum ex ex quis dui. Ut congue sollicitudin turpis, ac euismod est ultrices ac. Pellentesque ac purus vel enim blandit lobortis. Sed eu pharetra nisi, et ornare nulla. Morbi vitae auctor lorem. Donec efficitur condimentum sem vel luctus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus consequat, arcu et gravida vulputate, justo lacus volutpat ex, sed aliquam lorem tellus aliquam justo.\r\n\r\nProin malesuada pharetra orci, non scelerisque nisi luctus a. Phasellus in orci quis ante lobortis pharetra mollis sit amet ligula. Duis nec libero magna. Nulla facilisi. Integer ac cursus nisi. In id enim semper, rutrum massa eget, luctus odio. Etiam vel dui eget eros ultricies sodales a ut mauris. Etiam eget purus eleifend, finibus ex quis, convallis neque. Donec mattis, ligula vitae laoreet ornare, erat metus faucibus tellus, sed ullamcorper quam diam nec ligula. Aliquam id pharetra elit. Mauris erat felis, mollis eget elit et, tempus pulvinar dolor. Donec dui urna, porttitor quis velit a, rhoncus volutpat turpis. Sed tincidunt a nisl eget pretium.\r\n\r\nPhasellus laoreet urna ante, eu malesuada purus commodo sed. Etiam viverra dolor urna, eu mattis mauris ornare sit amet. Vestibulum neque arcu, iaculis eu massa eget, feugiat tristique urna. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec elementum eros quis erat pulvinar elementum. Nullam quis dolor finibus, congue est vitae, consequat enim. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Ut sollicitudin ut est non elementum. ', '', 'full_html'),
('node', 'banner', '0', '96', '96', 'en', '0', '\r\nIn molestie massa orci, eget sodales ligula ultrices vitae. Mauris ultricies varius odio. Etiam tellus mauris, consectetur eu iaculis in, ornare non nunc. Morbi sollicitudin libero nec massa condimentum, porta feugiat magna bibendum. Donec porttitor odio in ultricies volutpat. Nullam luctus feugiat sapien nec feugiat. Donec nisi enim, viverra id orci quis, rutrum gravida nibh. Proin ultrices erat sit amet odio aliquet accumsan.\r\n\r\nFusce venenatis magna non augue consequat, ut sodales mi hendrerit. Vestibulum laoreet eros non ex molestie vulputate. Quisque libero erat, posuere nec congue sed, ullamcorper vel odio. Duis sit amet justo id diam auctor eleifend a non risus. Donec mollis augue sem, ac pellentesque velit semper in. Nulla sagittis imperdiet dolor at placerat. Nullam at magna orci. Curabitur ac arcu urna. In a consequat arcu. Nulla ac est quis nulla consequat lacinia.\r\n\r\nNunc nisi urna, vehicula quis turpis vel, varius hendrerit metus. Sed id massa nulla. Integer faucibus, diam vitae aliquam gravida, mi nibh semper dui, quis accumsan nulla justo quis nulla. Donec varius enim malesuada, faucibus quam tincidunt, pharetra felis. Nullam vehicula, neque ut viverra rhoncus, diam nibh porta odio, sit amet molestie nibh risus in diam. Suspendisse convallis enim non tortor imperdiet, blandit viverra tellus sagittis. Duis et odio at tortor eleifend pulvinar. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.', '', 'full_html'),
('node', 'banner', '0', '97', '97', 'en', '0', 'Curabitur ut mauris sed erat commodo suscipit nec euismod lorem. Nulla quis commodo nunc. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed porta quam ut sem varius, quis dictum eros blandit. Fusce vel facilisis felis. Vivamus ultricies ac sem id ultrices. Etiam placerat nisl sed venenatis venenatis. Pellentesque feugiat velit in feugiat tempus. Integer eleifend turpis orci, ut hendrerit odio finibus eget. Duis purus leo, dignissim a arcu eu, accumsan hendrerit justo. Vivamus porta sem enim, ut finibus lectus scelerisque sed.\r\n\r\nCras vitae tellus urna. Nulla neque velit, viverra id rutrum eu, ultricies ac justo. Donec bibendum eleifend est sed vulputate. Vestibulum sed massa pellentesque, feugiat nisl sed, commodo purus. Integer consequat leo risus, id congue tortor laoreet vitae. Quisque eget consequat dui. Aenean fermentum non nisi vel commodo. Mauris blandit id ligula quis faucibus. Suspendisse in velit a neque placerat viverra sit amet et odio. Nam lobortis magna quis sapien tincidunt aliquam. Vestibulum sed dictum purus. Nullam hendrerit leo in urna condimentum ultricies. Morbi tristique eu mi non egestas. Vestibulum turpis purus, ornare a porttitor a, aliquam fermentum leo.\r\n\r\nSuspendisse ac tincidunt lectus. In consectetur, odio et pretium facilisis, nibh nibh ullamcorper sem, in hendrerit erat odio a lorem. Praesent venenatis metus vitae nulla laoreet, vitae luctus magna fringilla. Ut tincidunt mollis pulvinar. Integer in ullamcorper est. Aliquam volutpat ante et lobortis volutpat. Aenean hendrerit quam sit amet molestie posuere. Donec semper, arcu in volutpat hendrerit, tellus odio cursus libero, ut ultrices ante ante ut odio. Pellentesque ac est sit amet neque ornare sagittis. Vestibulum rutrum at sapien ut sollicitudin. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sem elit, sodales non efficitur id, feugiat at massa. Pellentesque posuere orci nec nisi efficitur finibus. Aenean ultricies tempor iaculis. ', '', 'full_html'),
('node', 'banner', '0', '98', '98', 'en', '0', 'Cras maximus dolor eget ex suscipit molestie. Pellentesque eros nunc, fringilla ut ultrices vel, eleifend sed orci. Cras sed purus eget ipsum tristique egestas eget id arcu. Integer hendrerit nisl posuere pulvinar porta. Praesent feugiat ipsum quis auctor volutpat. Integer laoreet ligula metus, sit amet lacinia velit pretium quis. Vestibulum nibh arcu, gravida vitae nibh interdum, lobortis imperdiet mauris. Aenean commodo turpis justo. Phasellus fringilla non mauris vel tempor. Praesent lobortis convallis venenatis. Nullam mattis tortor et orci eleifend ullamcorper et in elit. Nam porta semper nunc in sodales. Aenean et ornare erat, sit amet volutpat lorem. Praesent in purus in urna tempus dapibus eu at sapien. Fusce fermentum lobortis ultrices. Etiam ante mi, rutrum vel mauris eget, dapibus malesuada erat.\r\n\r\nQuisque maximus odio nulla, ut mattis sem sollicitudin nec. Donec pharetra facilisis egestas. Vestibulum accumsan sed mauris eu laoreet. Phasellus porttitor ante turpis, a scelerisque elit malesuada eu. Donec sodales congue mi, quis bibendum magna hendrerit at. Nunc ullamcorper rhoncus tincidunt. Duis pellentesque erat massa, quis aliquet ante laoreet quis. Mauris enim elit, tincidunt quis est eu, pretium faucibus purus. Integer feugiat a purus sit amet pellentesque. Nunc porttitor urna vel ligula porta, eu sodales orci vehicula. Curabitur quis condimentum turpis. Praesent gravida urna sed purus accumsan, ac ultricies sapien blandit. Duis consectetur, erat non pharetra condimentum, enim ipsum semper eros, ut pretium mauris ante at purus. Cras id lectus scelerisque, molestie urna sit amet, iaculis nisl. Suspendisse tristique vitae mi eget gravida.\r\n\r\nProin elementum efficitur nisl, vitae sollicitudin leo tempus mattis. Donec sagittis elementum velit. Nunc auctor nibh lorem, nec mollis orci volutpat sed. Nulla sed malesuada dolor. Vivamus erat est, blandit mattis metus sed, ultrices semper dolor. Suspendisse potenti. In rutrum lorem et sapien interdum, id molestie odio sodales. Etiam tincidunt mollis elit ut venenatis. Quisque tristique laoreet turpis aliquet ornare. Nam et semper quam. Quisque sed magna aliquet, pretium ipsum et, consequat quam. ', '', 'full_html'),
('node', 'banner', '0', '99', '99', 'en', '0', 'Duis eu nibh lorem. Aenean pellentesque auctor fermentum. Mauris vel eleifend massa, at auctor massa. Suspendisse potenti. Donec dignissim, nibh at tempor congue, odio lacus dignissim magna, non rutrum mi nibh vitae metus. Proin ac enim pellentesque neque accumsan consequat. Curabitur vulputate neque placerat, porttitor ipsum nec, mattis nisl. Nam nec nunc laoreet, maximus ante id, fermentum eros. Mauris a nisl faucibus, efficitur ligula vel, facilisis sem. Phasellus ac felis quis elit condimentum cursus. Vestibulum mi arcu, tempus quis sapien sed, ornare tincidunt libero. Vivamus luctus fermentum eros, eu congue elit lacinia ut. Nullam ut nulla ligula. Nam id metus ac dui rhoncus tempus. Fusce sed dapibus lectus. Vivamus id lacus purus.\r\n\r\nSuspendisse magna mi, rhoncus vitae pulvinar vitae, vulputate a ante. Donec velit quam, auctor eget congue et, faucibus at velit. Curabitur tincidunt, arcu non fermentum aliquet, mi massa ultrices lectus, vel euismod nunc arcu nec lectus. Morbi gravida porta consequat. Nullam vitae ante sollicitudin, dignissim turpis tristique, interdum elit. Etiam et gravida neque, sit amet tristique massa. Nam ut justo in nisl convallis fermentum. Maecenas malesuada mattis condimentum. Phasellus faucibus ante dui, vel aliquet ex rhoncus vel. Proin risus nulla, consequat vitae dapibus eu, lobortis sit amet leo. Cras tincidunt a ante non sollicitudin. Mauris lobortis sollicitudin porta. Maecenas scelerisque vestibulum arcu sit amet gravida. Pellentesque et nulla pretium, tincidunt ex tristique, consequat enim. Pellentesque rhoncus lacus eu lorem molestie, ut volutpat augue bibendum. Fusce suscipit lacinia ex, vestibulum rutrum lacus volutpat ut.\r\n\r\nMauris id convallis metus. Vestibulum porta elit odio, sit amet dictum nunc eleifend semper. Donec dapibus magna odio. Nunc ipsum lorem, posuere sit amet vehicula sed, interdum sit amet nibh. Fusce tempor facilisis erat, a malesuada dolor sollicitudin at. Phasellus nec nisl porttitor, bibendum lacus quis, pulvinar quam. Donec tempus vestibulum volutpat. Proin porta turpis neque, non faucibus ex fermentum a. Aenean elementum turpis sed lacus bibendum lacinia. ', '', 'full_html'),
('node', 'banner', '0', '100', '100', 'en', '0', 'Maecenas vulputate nec nulla at pulvinar. Vivamus accumsan elementum vehicula. Etiam ultrices diam sapien, ac faucibus nulla commodo at. Cras id nisl est. Proin bibendum purus et mauris aliquam sagittis. Curabitur sed lacinia elit, eu pellentesque lectus. Proin sollicitudin luctus lacus, non elementum lectus pharetra et. Ut magna lectus, pharetra et fermentum at, pretium eget nisl. Maecenas ac facilisis est. Sed sollicitudin, turpis sit amet ullamcorper hendrerit, odio massa finibus tortor, eu volutpat mauris metus in urna. Sed tincidunt lectus eget semper varius. Phasellus ac ex vel leo pulvinar aliquam. Mauris ut eleifend libero. Cras consequat lacus eget risus sagittis, eu rhoncus urna suscipit. Sed cursus ante non purus vehicula, eget volutpat purus malesuada. Sed viverra enim felis, eget iaculis orci rutrum quis.\r\n\r\nDuis a purus nisi. Nam ipsum odio, gravida vel justo lobortis, sodales elementum quam. Maecenas fringilla tortor sed risus cursus, sagittis efficitur diam iaculis. Morbi pharetra sem et sagittis viverra. Nunc tincidunt tempor fermentum. Quisque ornare luctus finibus. Phasellus laoreet eleifend leo. Fusce convallis faucibus massa quis egestas. Proin dapibus erat auctor nisi sodales finibus. Pellentesque at nunc augue. Duis dignissim nibh risus, sed condimentum neque faucibus quis.\r\n\r\nInteger eu urna dapibus, tempus nibh nec, finibus dui. Morbi vitae tempor enim. Ut mollis faucibus massa vitae tristique. Aliquam ultricies congue dolor suscipit suscipit. Fusce vel porta felis. Etiam id imperdiet nibh. Pellentesque iaculis dui eget iaculis condimentum. Vestibulum suscipit rhoncus urna, ut consectetur sem venenatis eu. Mauris nec augue id quam ornare placerat. In vitae augue varius ligula tempus condimentum et et felis. Proin id dui tincidunt, iaculis mauris id, posuere mi. Quisque pulvinar, ligula non accumsan ullamcorper, nisi leo convallis odio, eu dignissim leo nunc quis nibh. ', '', 'full_html'),
('node', 'banner', '0', '101', '101', 'en', '0', 'Quisque varius urna a est varius malesuada. Vivamus mollis enim lectus, at vulputate neque rutrum id. Pellentesque et massa convallis, elementum urna feugiat, pretium odio. Proin consequat arcu at nibh vehicula, iaculis fringilla mi viverra. Aenean sed leo luctus diam cursus posuere a sed massa. Vestibulum iaculis mi at nulla convallis, vitae congue ligula auctor. Morbi fringilla porta dui, et bibendum erat laoreet ut. Donec lorem nisi, accumsan eget quam a, eleifend vehicula leo. Mauris eu volutpat diam. Nunc metus nunc, placerat eget orci sed, facilisis condimentum arcu. Suspendisse dapibus sem viverra consequat sagittis. Vestibulum lacinia, lectus quis ultrices ultrices, sem nisi iaculis eros, sit amet vestibulum magna nunc et neque. Curabitur ante enim, mollis quis ante sit amet, euismod interdum nisi.\r\n\r\nSuspendisse hendrerit dictum mauris. Praesent vitae nisi eu massa bibendum facilisis. Aenean sagittis mauris ante, id tempor lacus tempor sit amet. Nulla egestas, elit quis blandit ornare, tortor lectus vulputate sem, eu ornare magna turpis et neque. Proin tincidunt quam a pretium tempor. Fusce fringilla aliquam porttitor. Nunc nec porta risus, quis placerat odio. Duis quis mi blandit, hendrerit dui nec, aliquam turpis. Integer eget purus tincidunt, pellentesque nibh a, iaculis sem. Duis a diam congue, posuere nibh vel, consectetur erat. In vitae tellus erat. Etiam ut est auctor, auctor quam sed, egestas metus. Etiam dignissim vestibulum sagittis.\r\n\r\nIn ultrices pellentesque nibh ut consequat. Suspendisse mi dui, rhoncus sed tristique lobortis, condimentum quis nulla. Vestibulum nec mi non felis cursus tempor. Sed sollicitudin elit eget nisi rutrum varius. Maecenas gravida libero ut elit sodales, id vulputate leo elementum. Nam ex nisi, laoreet sit amet imperdiet non, egestas in ligula. Morbi vel malesuada purus. Sed volutpat, lacus vel semper semper, justo urna iaculis erat, a imperdiet turpis lacus eget lectus. Donec sed hendrerit augue. Aliquam fermentum metus libero, et consectetur dolor pellentesque sit amet. Vestibulum sit amet dolor auctor, sollicitudin nibh non, volutpat metus. Sed nibh eros, ullamcorper ac nulla eu, tempus elementum lectus. ', '', 'full_html'),
('node', 'banner', '0', '102', '102', 'en', '0', 'Integer lorem odio, commodo in volutpat nec, semper et turpis. Sed venenatis eros vitae lorem imperdiet viverra. Maecenas lacus urna, consequat ac ex quis, mattis eleifend odio. Vivamus suscipit velit nisi, et interdum erat eleifend nec. Fusce non nunc quis ligula pharetra pulvinar. Curabitur fermentum sem neque, et pellentesque arcu condimentum quis. Phasellus faucibus lacus neque, et semper velit ultrices et. Sed sit amet feugiat elit. Nulla euismod bibendum ante, vehicula suscipit purus tincidunt et. Aliquam dui ligula, hendrerit sed rutrum vitae, congue sed leo. Nullam hendrerit, nulla id euismod ornare, odio enim ultrices turpis, ac bibendum urna neque sed nunc. Ut vel faucibus libero.\r\n\r\nUt tristique magna ac porta tincidunt. Ut sodales fringilla turpis ac consectetur. Sed aliquam fermentum vestibulum. Phasellus euismod rhoncus euismod. Curabitur in faucibus quam. Curabitur sit amet convallis elit, eu convallis mauris. Suspendisse eget justo sed dui commodo blandit. Quisque eu luctus urna. Sed finibus felis eu urna elementum, a hendrerit est blandit. Duis in mauris sapien. Duis commodo, odio eget viverra tincidunt, turpis arcu iaculis eros, et vestibulum leo dui in turpis. Vestibulum a condimentum diam. Mauris id luctus tortor, ut feugiat justo.\r\n\r\nCras facilisis nisl id odio sollicitudin, eget rutrum sapien scelerisque. Ut mauris sem, imperdiet ac posuere quis, scelerisque sed erat. Sed dignissim euismod libero sed lacinia. Donec sit amet metus efficitur, dapibus tellus eget, feugiat lectus. Nunc sapien nunc, congue et dapibus vitae, rutrum et odio. Integer bibendum nec nulla sit amet rhoncus. Aenean venenatis hendrerit libero sit amet auctor. Phasellus ante diam, tristique id dictum congue, semper in erat. Mauris gravida erat id ipsum iaculis, vitae dignissim ante imperdiet. Aenean cursus turpis sem, ut euismod ante elementum ut. Cras eu augue eget velit eleifend aliquet. ', '', 'full_html'),
('node', 'project', '0', '103', '103', 'en', '0', 'Phasellus quis ex non massa lacinia accumsan interdum sed mauris. Morbi porttitor venenatis eros eget vulputate. Quisque congue ligula eu malesuada lacinia. In ultricies nunc sapien. Morbi id lectus nec lorem tincidunt lacinia. Phasellus bibendum enim vel ante lacinia, et lacinia leo ornare. Mauris aliquam massa enim, aliquet convallis orci sodales sit amet. Suspendisse vitae massa id lacus molestie molestie. Sed pretium sollicitudin nisi ac commodo. Vivamus tempus pellentesque viverra. Vivamus faucibus erat quis nunc euismod, non ultricies odio tincidunt. Vestibulum commodo porta congue. Ut dictum sollicitudin metus at venenatis. Proin eget ex velit. Sed lorem leo, ullamcorper eget massa sit amet, ultrices viverra tellus.\r\n\r\nVestibulum molestie, libero quis dapibus vulputate, urna nisl blandit tellus, a maximus velit tellus et velit. Praesent suscipit finibus est id ultricies. Nunc id orci condimentum nisl auctor convallis nec vitae risus. Nam justo ante, ultricies eu sagittis ac, sodales ut nisi. Donec pellentesque tellus sit amet turpis gravida, non vulputate neque ullamcorper. Cras id turpis massa. Nam pulvinar neque eu augue ultricies hendrerit. Integer interdum et ante sed vehicula. Vestibulum consequat velit elit, et aliquam tortor convallis vel. Maecenas sapien diam, sollicitudin eu odio a, interdum porttitor justo. Proin nec nisl at orci faucibus eleifend in ut quam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas sit amet ligula eleifend, euismod mauris a, bibendum ante. Proin ornare vitae massa a tincidunt.\r\n\r\nInteger varius euismod dui, non molestie purus mattis eu. Sed vel mauris quis tortor molestie feugiat a sed eros. Etiam aliquet mauris quis leo blandit pellentesque. Suspendisse eu cursus elit. Praesent varius est at dolor tempus, at scelerisque est ornare. Nunc ipsum risus, blandit eget mattis et, cursus in justo. Phasellus egestas rutrum dolor eu auctor. Proin porta ligula quis lacinia interdum. Vestibulum dapibus urna nec nibh blandit, non pellentesque nisl finibus. Phasellus dignissim sed arcu vitae accumsan. Pellentesque tempus faucibus nunc. Etiam quis feugiat urna. Integer ut ipsum eu justo mattis elementum. Aenean efficitur, libero non sagittis scelerisque, nunc urna finibus dui, id tincidunt tellus massa et nisl. Morbi hendrerit purus ut ipsum tempus sodales. Fusce finibus, augue ac hendrerit rhoncus, neque odio rutrum massa, id suscipit urna neque non ex. ', '', 'full_html'),
('node', 'project', '0', '104', '104', 'en', '0', 'Morbi egestas molestie eros vel tincidunt. Morbi sit amet leo odio. Sed eget pulvinar nisl, sed dictum ipsum. Nulla dolor dui, vestibulum tempus lacinia in, pharetra quis nisi. Ut ut dignissim enim. Suspendisse maximus, dolor aliquam luctus dapibus, nunc augue consequat orci, at euismod massa nulla id sapien. Nunc sagittis pulvinar vehicula. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam vel tincidunt sem. Vestibulum ut elit id ipsum venenatis feugiat vitae eu sem. Donec eget faucibus lectus, in placerat velit. Aenean dui quam, dapibus sed tellus id, vulputate aliquet sem. Cras ac nunc leo. Mauris elementum tortor dolor.\r\n\r\nSuspendisse sollicitudin orci vehicula nunc dapibus, commodo vestibulum ipsum semper. Praesent imperdiet semper iaculis. Integer venenatis vitae leo vitae auctor. Etiam vitae sodales nisi, non auctor libero. Sed rhoncus sodales mauris, quis elementum mi suscipit vitae. Phasellus orci tortor, malesuada sit amet varius quis, vehicula non lorem. Morbi consectetur est sapien, id hendrerit mi venenatis ut. Donec sodales posuere erat sed commodo.\r\n\r\nNam dignissim dolor ut ultricies interdum. Sed imperdiet tortor magna, a accumsan odio euismod in. Vivamus consequat vitae nisi at ornare. Vestibulum vitae lectus nisi. Proin eget finibus dolor, vitae dignissim turpis. Donec faucibus, orci eget placerat commodo, justo mauris mollis tellus, quis imperdiet turpis odio ac tortor. Aenean pretium risus nec mi pulvinar, vel ornare arcu efficitur. Aliquam leo enim, sodales vitae dictum at, pulvinar at lacus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed dictum dictum luctus. Suspendisse turpis nibh, sollicitudin non nisi ac, imperdiet accumsan ipsum. Integer auctor porttitor dolor, ac placerat mauris. Maecenas id quam pellentesque, feugiat velit ut, pharetra ligula. ', '', 'full_html'),
('node', 'blog', '0', '105', '105', 'en', '0', 'Praesent auctor, tellus dignissim congue mollis, lorem augue consequat nisl, feugiat laoreet elit nisi vitae nisl. Nam justo lorem, venenatis et iaculis eu, commodo a lorem. Maecenas fermentum augue eget arcu sodales elementum. Phasellus varius lorem sed est efficitur dapibus. Donec ornare fringilla scelerisque. Aliquam erat volutpat. Sed eu lacinia magna, vitae ultricies ipsum. Sed a ullamcorper eros.\r\n\r\nProin quis tortor urna. Duis malesuada nisl eu pellentesque tristique. Sed a nunc sollicitudin diam varius vulputate sit amet id dolor. Praesent vitae nunc felis. Curabitur placerat id urna a euismod. Suspendisse porttitor velit malesuada sem rhoncus finibus. Cras nec dignissim eros. Mauris gravida massa ut hendrerit dignissim. Sed posuere auctor metus sit amet tincidunt. Donec gravida laoreet tortor.\r\n\r\nCras et mattis est, in dapibus nisi. Maecenas vulputate nibh congue scelerisque hendrerit. Morbi lacus tortor, laoreet ut enim id, finibus dictum diam. Aliquam placerat erat ligula, a aliquet nisl eleifend et. Ut tellus metus, consectetur eu nulla in, sollicitudin porta risus. Suspendisse in nibh non enim volutpat sodales. Nunc eget lectus tempus, imperdiet tortor eu, tincidunt purus. Mauris eleifend cursus dui, nec pellentesque nunc. Suspendisse dapibus quam eu lorem facilisis vestibulum. Phasellus molestie ante lectus, at fringilla quam commodo non. ', '', 'full_html'),
('node', 'banner', '0', '121', '121', 'en', '0', 'In aliquet augue at ante mattis, ac feugiat nisi efficitur. Cras sed suscipit elit, vel sollicitudin elit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vivamus ac aliquam lorem. Duis mi lorem, volutpat eu sapien eget, fermentum lacinia odio. Phasellus ac sodales diam. Nullam ullamcorper vitae lacus sit amet dictum. Vestibulum eget urna ut elit iaculis euismod. Fusce vitae dignissim eros. Ut a arcu tincidunt, imperdiet eros sit amet, aliquet massa. Nam ornare risus eget eros ornare pretium vel congue ante. Integer vitae lacus dapibus, mollis ante vitae, tincidunt nisi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris vitae mauris mattis, varius metus ut, ornare neque. Nam massa magna, sollicitudin id diam ac, pulvinar eleifend erat. Etiam viverra lorem eu est dictum accumsan.\r\n\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi erat purus, imperdiet non fringilla sed, aliquet in nisl. Aenean quis purus pellentesque arcu mollis congue a non nibh. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec non ultricies diam. Nulla et erat quis mauris tempus varius et eu magna. Vivamus quis urna at ipsum euismod sagittis nec a diam. Fusce ut metus nec purus semper bibendum vel sit amet est. Integer dapibus, libero vel vestibulum venenatis, nulla odio accumsan velit, in dignissim tortor diam id arcu. Mauris a metus quis nisl tempor feugiat vitae et tortor. Integer tincidunt condimentum vehicula. Aenean tincidunt rutrum malesuada. Proin et augue vel mi auctor tincidunt sed sit amet ligula. Praesent porttitor faucibus feugiat.\r\n\r\nClass aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent ornare dui enim, a efficitur mauris condimentum eu. Etiam mauris nisl, commodo et erat et, rhoncus tincidunt tortor. Sed venenatis lorem ut lobortis condimentum. Sed egestas magna augue, eget imperdiet tellus commodo ac. Aenean vitae dictum nisi, tristique imperdiet tortor. Duis lacinia leo ut augue tristique, ac congue nisi placerat. Maecenas hendrerit elementum cursus. Sed lobortis tempus neque et porta. Quisque ac scelerisque nisl, at feugiat libero. Donec enim dolor, ornare at metus ut, facilisis condimentum sapien. Donec eros magna, fermentum sit amet nisi eu, finibus placerat mauris. Vestibulum vitae nunc maximus nisl commodo dictum. Cras quis ullamcorper diam, in sollicitudin velit. Sed dictum leo eu finibus vulputate. ', '', 'full_html'),
('node', 'banner', '0', '122', '122', 'en', '0', 'Maecenas quis congue velit. Quisque fermentum mi sit amet elit auctor rhoncus. Cras viverra eros tortor, ac finibus nulla accumsan ut. Aliquam bibendum quam non est facilisis elementum. Ut ac tristique libero, non faucibus lacus. In sollicitudin egestas mi vel maximus. In mollis auctor risus, eu consectetur arcu. Phasellus ut nisi suscipit, aliquam dui ut, malesuada nisl. Mauris ultrices euismod tellus, ac fringilla mauris. Vivamus nec fringilla velit. Duis et odio non massa sagittis pharetra pellentesque at eros. Nunc fringilla lorem et vestibulum fringilla. Phasellus dapibus mollis sapien id commodo. Duis semper, justo quis egestas faucibus, nulla turpis commodo odio, eu dignissim magna massa a lorem.\r\n\r\nFusce at ante sit amet tortor maximus rutrum. Sed gravida elementum libero et molestie. Sed blandit sem ac pellentesque varius. Maecenas tempus eu elit sit amet convallis. Cras et aliquam velit, et varius metus. Sed posuere, est eget pulvinar sollicitudin, tellus sem ullamcorper sapien, ultrices feugiat ex dui sed mi. Sed eleifend maximus arcu, eu lobortis lorem pretium id. Nunc ultrices, arcu eu rutrum fermentum, est tellus fermentum nisi, at malesuada massa purus ut ligula. Donec malesuada ultricies malesuada. Mauris euismod rutrum urna id sagittis. Phasellus tempus tellus nec tincidunt vehicula. Mauris convallis maximus quam, quis scelerisque sapien maximus ut.\r\n\r\nNulla vel leo id sem scelerisque lacinia eget sed augue. Ut lobortis dignissim nunc, porttitor tincidunt dui lobortis in. Quisque pretium neque feugiat, tincidunt felis sit amet, suscipit quam. Nulla et nulla ante. Aliquam erat volutpat. Quisque id eros varius libero tempus auctor sed dictum purus. Cras non cursus enim, sed placerat tellus. Praesent tellus velit, pretium a ante nec, viverra scelerisque neque. Sed iaculis leo vel lorem porta laoreet vitae eu nulla. Sed euismod nulla pellentesque ex pellentesque pulvinar. Nullam gravida dignissim nisl eget lobortis. Mauris a ex vitae nulla tempor cursus eget sagittis massa. Sed blandit metus non leo consequat ultricies. Curabitur congue, tellus hendrerit sollicitudin cursus, enim nulla commodo ligula, id mattis magna ipsum sit amet mauris. Nullam venenatis lectus et malesuada lobortis. ', '', 'full_html'),
('node', 'blog', '0', '123', '123', 'en', '0', 'Proin in magna pretium, hendrerit libero ut, consequat risus. Maecenas molestie ullamcorper interdum. Praesent vulputate lorem quis mattis ultricies. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Integer in fermentum nunc. Maecenas eu lorem sed ipsum iaculis luctus at vel ipsum. Proin tincidunt non neque a ornare. Nullam a faucibus eros. Fusce neque neque, accumsan quis rutrum eget, sagittis vitae est. Nunc pellentesque, mi fringilla cursus accumsan, ante diam vulputate felis, malesuada porttitor ipsum orci eu dolor. Proin enim ex, lobortis a augue ornare, finibus porttitor nisl. Etiam malesuada faucibus enim nec ultricies. Cras malesuada posuere dolor, sit amet placerat orci sodales nec.\r\n\r\nPellentesque imperdiet neque et massa dapibus tristique. Maecenas sagittis orci euismod nisl ultricies, eu fringilla nisl mollis. Proin et odio dolor. Aenean at enim vel eros dictum tincidunt at quis sapien. Nunc eu ex posuere eros mollis venenatis. Integer id mi sit amet lorem cursus pulvinar. Curabitur lacinia orci et posuere aliquam.\r\n\r\nNullam ultricies sem maximus cursus mattis. Donec rhoncus tincidunt convallis. Cras vel turpis lorem. Vivamus pharetra, orci a lacinia scelerisque, leo purus placerat nunc, sed mattis massa ipsum eu tellus. Nulla neque eros, dapibus sit amet pretium sed, faucibus nec elit. Nulla facilisi. Maecenas erat risus, euismod non pellentesque quis, tincidunt at felis. Donec ultrices sit amet tellus in efficitur. Suspendisse volutpat, leo vitae rhoncus pellentesque, dolor turpis laoreet nibh, at dapibus lectus libero convallis justo. In non leo non nibh volutpat bibendum. ', '', 'full_html'),
('node', 'blog', '0', '124', '124', 'en', '0', 'Praesent posuere tristique libero, eget imperdiet magna egestas id. Fusce pellentesque ut metus vitae faucibus. Nunc in feugiat metus. Ut tempor ligula sed rhoncus rhoncus. Suspendisse lobortis, metus sed placerat scelerisque, dui libero elementum nibh, a tempor libero risus sit amet velit. Mauris lectus arcu, commodo sit amet placerat id, cursus sed nisl. Nullam eu dolor placerat diam lacinia aliquet. Aenean accumsan nibh ut cursus interdum. Quisque non pellentesque dui. Donec urna arcu, cursus quis molestie vitae, fringilla vitae nibh. Nullam urna metus, consequat ut eleifend at, tristique eget ligula. Integer posuere, lorem in varius venenatis, risus lectus pulvinar felis, ut volutpat justo dui nec sem. Vestibulum libero orci, suscipit in tellus eu, consequat ullamcorper lectus. Suspendisse porta justo a lacus scelerisque pulvinar id ac orci. Praesent sit amet egestas arcu, et faucibus tortor.\r\n\r\nCras vel aliquet orci. In vel blandit nibh. Morbi fermentum viverra mauris. Phasellus consectetur vehicula quam, eget vulputate lectus efficitur non. Donec id dignissim nunc. Mauris dictum laoreet erat id semper. Nunc sit amet bibendum augue. Praesent in velit vestibulum, imperdiet risus sed, elementum ex. Duis scelerisque diam eu lobortis vestibulum.\r\n\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam vel dolor vel sapien bibendum eleifend. Donec sodales lacus ut sapien gravida mollis. Suspendisse efficitur arcu sit amet lorem mollis, nec euismod odio mollis. Cras facilisis lorem sed commodo pretium. Maecenas eget turpis eget diam tincidunt pretium. Sed euismod sem posuere nunc bibendum varius ac sit amet orci. Curabitur pretium, lacus vitae eleifend pretium, augue sem bibendum quam, ac vehicula tortor urna id augue. Vestibulum tempor odio quis libero cursus, eu malesuada ipsum bibendum. Donec sit amet semper purus, a porta elit. Aliquam id velit malesuada, maximus nibh sit amet, suscipit velit. Sed sed elementum tortor, vel volutpat justo. Sed vel dictum neque. Phasellus aliquam est sit amet pellentesque euismod. Aenean quis neque felis. ', '', 'full_html');
INSERT INTO `field_revision_body` VALUES
('node', 'blog', '0', '125', '125', 'en', '0', 'Vestibulum bibendum lacus metus, nec tincidunt lacus iaculis id. Morbi feugiat odio vitae ipsum ullamcorper congue. Vivamus urna ipsum, gravida ut diam nec, convallis molestie enim. Sed pharetra, ante et iaculis facilisis, tortor nunc fermentum nisi, non tincidunt quam orci vel nisl. Nunc eros tellus, bibendum vel ultricies et, porttitor faucibus metus. Curabitur et ullamcorper nulla, vitae fringilla dolor. Nulla lacus nibh, sollicitudin vel elementum sed, viverra fringilla metus. Pellentesque at nibh ultrices purus porta ornare id quis eros. Donec et magna diam. Etiam gravida vel erat in convallis. Duis ex libero, finibus nec vestibulum ut, molestie in est. Duis ut diam imperdiet erat commodo suscipit.\r\n\r\nVestibulum volutpat ultrices porttitor. Morbi efficitur imperdiet dignissim. Duis elit eros, mattis aliquet consequat sed, accumsan et elit. Duis facilisis, orci non vehicula rhoncus, eros nulla suscipit ante, id efficitur augue neque non ligula. Maecenas molestie fermentum urna, ut tristique neque varius eget. Nulla ultricies dictum libero, in venenatis sem luctus non. Aenean consectetur tellus sed eros porta condimentum. Sed nunc quam, maximus vel fringilla nec, eleifend in elit. Ut porta sed metus feugiat posuere. Integer a mi tortor.\r\n\r\nDonec venenatis sem sed velit gravida ultrices. Phasellus mi tellus, tincidunt sed pharetra ac, tincidunt ac sem. Quisque pellentesque sollicitudin augue. Curabitur laoreet, quam non tempus gravida, diam nibh viverra magna, sed commodo sem ligula lacinia ligula. Vivamus cursus lectus nec consectetur fermentum. Integer viverra augue ut faucibus consequat. Maecenas mollis erat at sodales hendrerit. Duis a justo ut arcu congue auctor euismod non ante. Proin maximus urna sapien, at lobortis orci accumsan a. Nullam viverra lorem vel porttitor consequat. Nunc facilisis non magna ut ultricies. Fusce fermentum, metus quis hendrerit malesuada, diam orci sollicitudin nunc, non vulputate mi erat at nulla. Aenean nec ligula vel tellus porttitor posuere et eget odio. ', '', 'full_html'),
('node', 'blog', '0', '126', '126', 'en', '0', 'Pellentesque sit amet nisl volutpat, vehicula neque sit amet, tincidunt lorem. Integer accumsan pellentesque tempor. Etiam nec metus nec ipsum maximus porta. Morbi id elit ac orci efficitur tristique. Duis malesuada facilisis lacus vel mattis. Aliquam commodo sagittis justo, in sagittis turpis luctus non. Duis ornare urna eget arcu vestibulum rhoncus. Sed rutrum enim urna, a facilisis enim laoreet in. Curabitur vehicula libero vestibulum, vehicula mi eu, fermentum metus.\r\n\r\nDonec varius auctor quam at tincidunt. Curabitur aliquam porttitor eros, sed aliquet diam interdum porta. Duis maximus tincidunt mauris, non cursus metus vulputate sollicitudin. In hac habitasse platea dictumst. Quisque volutpat vestibulum dolor, vel efficitur justo dignissim nec. Donec eget faucibus purus. Proin sed dignissim nisl. Morbi egestas consequat metus, quis scelerisque nulla sagittis vitae. Nunc ullamcorper sit amet ligula ut eleifend. In imperdiet nibh ultrices nisl lacinia, sit amet faucibus leo maximus. Aenean viverra eu risus pellentesque lobortis. Aliquam aliquet congue justo ut consectetur. Quisque urna ligula, pharetra a sapien vitae, tincidunt pretium augue.\r\n\r\nFusce eu sem quis ante aliquet condimentum at at nisl. Sed rhoncus dapibus lacinia. Quisque rutrum purus viverra, pulvinar augue ac, gravida mi. Maecenas luctus enim ac lorem consectetur fermentum. In porta porta ullamcorper. Sed feugiat fringilla magna vestibulum ullamcorper. Phasellus vitae orci nulla. Praesent sagittis rhoncus enim, non finibus ex vulputate at. Suspendisse purus velit, sollicitudin quis dignissim nec, gravida quis diam. Duis pellentesque efficitur ex et tempor. Suspendisse faucibus turpis volutpat neque maximus laoreet. Proin porttitor nunc eu ligula commodo egestas. Aliquam erat volutpat. ', '', 'full_html'),
('node', 'book', '0', '127', '127', 'en', '0', 'Praesent quis libero id metus gravida porta. Aenean volutpat eu nisi vitae vulputate. Duis a eros quis ipsum auctor faucibus cursus non libero. Maecenas in ipsum dolor. Suspendisse accumsan commodo sem eget volutpat. Suspendisse sollicitudin mauris id elementum tincidunt. Vestibulum eros est, consectetur vel maximus ac, bibendum nec lectus. Ut non lorem vel lectus tristique congue. Curabitur rutrum ipsum et est accumsan, et vulputate tortor ultricies. Etiam et orci lacus. Phasellus ac eleifend diam, a ultricies velit. Proin fringilla velit eu varius cursus. Nam pretium tincidunt urna ac vehicula. Phasellus hendrerit sit amet arcu nec mollis.\r\n\r\nDuis a nunc vulputate, suscipit leo et, condimentum enim. Sed in metus sollicitudin, luctus neque at, bibendum tortor. Integer sit amet velit at ipsum egestas imperdiet eget eu magna. Curabitur in enim mi. Phasellus sit amet dolor vel turpis cursus vestibulum ut quis enim. Suspendisse potenti. Pellentesque vulputate, lorem eu tincidunt interdum, ex quam scelerisque quam, eget scelerisque massa justo ac lectus.\r\n\r\nCurabitur urna orci, bibendum sit amet scelerisque at, egestas quis lorem. Maecenas nec mauris eget dui blandit egestas malesuada ut ligula. Nunc eget fringilla erat. Aenean sed interdum nulla. Aenean aliquam lectus massa, ac rhoncus ligula feugiat ac. Nulla fermentum venenatis lacus sit amet efficitur. Vivamus lacus erat, sagittis eu purus ut, sagittis rutrum turpis. Mauris mollis luctus sem a semper. Proin rutrum lorem sed dolor tincidunt hendrerit vel ac dui. Duis ornare mi sapien, non bibendum arcu finibus eu. ', '', 'full_html'),
('node', 'book', '0', '128', '128', 'en', '0', 'Curabitur leo lacus, auctor vitae lobortis at, vehicula eget erat. Duis in purus non sapien sodales blandit et sit amet tellus. Nulla semper neque quis efficitur dictum. Morbi vel bibendum libero. Nam tempor, tortor non interdum aliquet, purus ipsum consectetur eros, sed ornare magna est nec diam. Pellentesque varius tempor feugiat. Phasellus sit amet finibus turpis. Quisque iaculis et nibh sed tempus. Integer id efficitur ipsum, at hendrerit massa. Nunc dolor est, laoreet sed dolor at, lacinia consectetur mauris. Nam dignissim, nibh placerat convallis commodo, augue eros eleifend ipsum, eget ultricies nisi velit non urna. Maecenas vel bibendum turpis. Integer interdum leo a metus sagittis, quis facilisis urna hendrerit. Nam volutpat est ut ipsum lacinia dictum. Mauris elementum mauris sagittis risus scelerisque pellentesque. Vestibulum maximus bibendum nibh, non dapibus justo bibendum a.\r\n\r\nInteger eros libero, mattis vitae suscipit at, cursus vitae nisi. Nullam aliquam efficitur efficitur. Aenean facilisis vehicula consequat. Suspendisse tempus est sit amet volutpat placerat. Sed sollicitudin lectus facilisis purus vulputate sagittis. Aliquam erat volutpat. Vivamus id egestas erat, eu egestas sem. Nulla justo lacus, auctor at lacus ornare, vehicula vestibulum sem.\r\n\r\nPhasellus vestibulum turpis ac fringilla mollis. Quisque vitae nisi sit amet dolor porta vehicula a nec magna. Suspendisse at ligula non massa volutpat blandit eu eget mi. Aenean ultrices lacinia diam, sed suscipit dolor aliquam vel. Praesent non accumsan tellus. Nam eu dui facilisis, pretium nibh sit amet, pretium justo. Maecenas sollicitudin quis lorem quis porttitor. Sed et semper est. Morbi laoreet diam velit, eget ullamcorper libero volutpat sed. Pellentesque pretium nisi urna, sed pharetra dui congue ut. Praesent tristique nisl vitae justo facilisis volutpat. Aliquam convallis non leo id semper. Pellentesque risus neque, blandit eget nisi in, imperdiet viverra urna. ', '', 'full_html'),
('node', 'book', '0', '129', '129', 'en', '0', 'Proin a nunc porta, blandit nisl et, semper est. Vivamus interdum iaculis ex eu tempor. Vivamus luctus nulla dui, sit amet scelerisque ipsum hendrerit vel. Cras id ipsum sit amet libero elementum luctus. Quisque ut nibh accumsan, mattis quam nec, tincidunt est. Donec vel maximus risus. Duis sit amet libero et sem malesuada molestie. Phasellus placerat, libero in maximus pulvinar, risus velit venenatis nisi, in venenatis est lectus ac nunc. Cras non maximus metus. Sed commodo dignissim quam ac venenatis. Sed a nulla lacus. Ut ut nisi sit amet urna accumsan dignissim ut vitae nunc. Nunc sed mi quam. Nunc libero lorem, blandit vitae urna quis, convallis iaculis nisl.\r\n\r\nFusce iaculis nisi eu lobortis faucibus. Duis lorem erat, venenatis et neque in, aliquam auctor felis. Nulla facilisi. Aliquam erat volutpat. Pellentesque nisl ex, tempus quis dolor bibendum, tristique imperdiet metus. Aliquam scelerisque scelerisque lectus. Pellentesque at tempus nisi. Nullam ut sollicitudin elit, eu dignissim eros. Aliquam blandit arcu ipsum, nec aliquet sem volutpat porta. Fusce sapien orci, pellentesque eu ultricies ac, ultricies eu velit. Pellentesque feugiat vulputate dolor, sed sodales ex tempus a.\r\n\r\nPraesent mollis arcu vel ante condimentum luctus. Nam eu porta urna. Maecenas dui urna, tempor sed lacus vitae, consequat molestie felis. Sed id orci faucibus, congue nisi id, lobortis mi. Phasellus ut justo fermentum, iaculis ipsum sed, pharetra erat. Aenean at eros et dolor tincidunt sollicitudin eleifend vel leo. Morbi egestas imperdiet metus eu pretium. Mauris pretium non erat quis condimentum. Pellentesque rutrum, lorem ac sollicitudin luctus, risus quam dictum nisl, sed accumsan enim nibh nec neque. ', '', 'full_html'),
('node', 'book', '0', '130', '130', 'en', '0', 'Quisque eget rhoncus lectus. Nulla facilisi. Sed nisi ligula, consequat id quam et, efficitur cursus ligula. Praesent a enim eget libero porta porta eu sit amet leo. Mauris tristique felis ac lorem venenatis, at dictum nisi laoreet. Curabitur a maximus sem. Suspendisse luctus risus eget ligula mollis, ac egestas augue dictum.\r\n\r\nUt vel augue erat. Integer ut leo rhoncus, viverra dolor non, aliquam augue. Aenean mauris neque, placerat sit amet dolor tincidunt, maximus ullamcorper felis. Etiam vitae facilisis orci. Fusce id turpis aliquet diam pulvinar mollis. In hac habitasse platea dictumst. Phasellus a efficitur urna. Nullam bibendum turpis quis nulla tincidunt, ornare tincidunt quam vulputate. Mauris at orci id mi facilisis elementum sit amet a turpis. Mauris nec est eu enim luctus pellentesque. Donec eu mauris id sapien laoreet luctus ac eu sem. Nunc vel ante eu risus tincidunt rhoncus.\r\n\r\nAliquam erat volutpat. Etiam elit neque, semper malesuada suscipit eu, eleifend in ligula. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec semper eget nisi mattis faucibus. Fusce iaculis bibendum massa, nec tincidunt justo porta quis. Duis dignissim ex et nunc congue blandit. Suspendisse et enim eu magna dapibus aliquet non nec leo. Etiam metus ante, gravida eget tincidunt eu, egestas ac nibh. Cras accumsan turpis a porttitor accumsan. Integer malesuada eu nibh auctor viverra. Vestibulum vitae lacus a odio ullamcorper mollis posuere vel enim. Praesent sollicitudin turpis vel imperdiet volutpat. Maecenas dictum massa id porta maximus. In imperdiet maximus risus eget posuere. Suspendisse rutrum sodales augue, sed sodales augue vestibulum non. Phasellus vitae lacinia mauris. ', '', 'full_html'),
('node', 'book', '0', '131', '131', 'en', '0', 'Sed condimentum egestas elementum. Praesent sollicitudin turpis in pretium egestas. Nunc hendrerit feugiat urna ac volutpat. Etiam ac ante est. In hac habitasse platea dictumst. Nullam euismod lacinia convallis. Sed purus enim, congue at diam sed, tristique molestie nunc. Sed a consequat mi. Integer sollicitudin leo ultricies nisi mattis, semper hendrerit est bibendum. Morbi tincidunt sit amet est at consequat. Etiam vitae nisi vel ex semper sollicitudin. Nullam dictum, odio quis ullamcorper ultrices, ante neque luctus ligula, eu suscipit nisi libero id enim. Fusce et sapien vel lacus viverra suscipit. Integer aliquet ornare elit, nec volutpat massa auctor eget.\r\n\r\nCras interdum libero turpis, ac lacinia nunc vulputate a. Donec quis orci vestibulum neque ornare dignissim. Mauris eget dictum elit. Proin ac rhoncus eros. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras leo nisi, mollis et auctor eu, egestas quis risus. Morbi accumsan sodales lectus, vitae hendrerit leo luctus ut. Vestibulum lobortis accumsan purus, sed sodales purus. Nunc non velit ut nisi dictum luctus id vitae justo. Aenean magna quam, fringilla quis dignissim at, viverra eu nisl. Mauris scelerisque dui ipsum, a scelerisque libero rutrum eu. Aliquam nec feugiat tellus. Nunc enim tellus, laoreet ut pulvinar ac, gravida vitae urna. Aliquam enim massa, dapibus id iaculis in, aliquam ut risus. Suspendisse at molestie ligula, ac mollis nisl.\r\n\r\nNulla facilisi. Suspendisse sollicitudin augue tincidunt metus sagittis porta. Pellentesque sollicitudin orci ac imperdiet imperdiet. Donec vehicula ligula at felis molestie interdum. Duis nibh sem, efficitur non condimentum ac, ultricies a nunc. Nulla nec finibus nibh. Fusce accumsan ex a dapibus commodo. Ut pretium, lectus sit amet fermentum mattis, mi elit vulputate massa, sit amet tincidunt odio erat vel nunc. Proin tincidunt, ante quis molestie lobortis, neque eros eleifend ipsum, id pulvinar magna massa ut massa. Etiam at velit quis lorem scelerisque efficitur. Quisque ac arcu ut augue bibendum bibendum at vitae dolor. Etiam ut lacinia ipsum, non tincidunt ligula. Fusce finibus arcu est, in tristique turpis dignissim quis. Donec scelerisque in nisi id varius. Proin eget pharetra tellus, nec tincidunt mauris. ', '', 'full_html'),
('node', 'employee', '0', '132', '132', 'en', '0', 'Mauris eget sollicitudin augue. Maecenas id varius ante. Pellentesque gravida, mi eget feugiat semper, diam neque maximus eros, eu volutpat magna leo quis est. Donec consequat sollicitudin odio, vitae dapibus justo cursus sed. Quisque ac ipsum quis nunc aliquet ornare et a urna. Aenean id ex eget sapien pretium elementum eu in turpis. Nulla pharetra sagittis malesuada. Curabitur maximus consequat vestibulum. Aenean sit amet ipsum vitae justo interdum hendrerit. Duis varius magna dui, nec accumsan lectus varius vitae. Suspendisse ac consectetur ligula.\r\n\r\nIn aliquam pharetra enim, eu vestibulum mi cursus a. Fusce tempus mi nec metus varius suscipit. Sed hendrerit justo at sapien commodo consequat. Suspendisse vitae faucibus augue, eget viverra eros. Fusce est eros, vulputate in semper a, pretium at justo. Duis mollis aliquet ante ut dapibus. Nam id faucibus ante. Pellentesque sollicitudin, leo quis iaculis semper, neque massa pretium leo, eget pellentesque erat eros id arcu. Maecenas quis mi odio. Morbi nibh nunc, consectetur vitae tristique id, rhoncus at purus. Sed tristique velit justo, in egestas felis vestibulum et. Proin risus lacus, dictum et aliquet ut, lobortis ut velit. Phasellus id nunc vehicula magna posuere varius vitae sit amet dolor.\r\n\r\nDuis in neque ut libero varius ornare a ut ligula. Phasellus eget placerat eros. Suspendisse ut risus sit amet eros laoreet fringilla eu sed massa. Cras condimentum non augue vitae mollis. Aliquam porttitor ipsum mauris, in viverra velit fringilla at. Sed et lectus velit. Integer porta rhoncus arcu eu lobortis. Integer consectetur neque quis dui ullamcorper vulputate. Integer posuere tellus orci, vel luctus mauris dictum at. Donec iaculis id erat et vulputate. Nullam eros nisl, congue sed scelerisque non, iaculis non metus. ', '', 'full_html'),
('node', 'employee', '0', '133', '133', 'en', '0', 'Integer vel leo at libero ultricies fringilla eget in augue. Sed porta nibh dolor, ac auctor arcu iaculis sit amet. Donec eu varius neque, vel malesuada lacus. Aliquam ex arcu, rutrum vel sapien nec, euismod dignissim tellus. Vestibulum leo dui, dictum sed tincidunt et, imperdiet sit amet augue. Aliquam vulputate orci at elit ullamcorper, sit amet blandit nisl laoreet. Proin et pharetra orci. Cras commodo tellus et massa tincidunt, quis pretium risus condimentum. Aliquam ullamcorper, dolor ultrices lobortis euismod, mi libero luctus ante, vitae imperdiet arcu quam id purus. Nunc lobortis vehicula dapibus. Sed dapibus tempus dui, sed ullamcorper lacus. Fusce finibus eu mi non tincidunt. Pellentesque dignissim ornare diam, dictum consequat neque ultricies ac.\r\n\r\nAliquam facilisis, nisi vel tristique consequat, lorem nulla tincidunt nisl, quis auctor nibh odio id felis. Nunc molestie accumsan magna, vel auctor orci finibus tincidunt. Vestibulum suscipit aliquet nisl ut condimentum. Morbi eu odio sodales, malesuada orci id, volutpat tortor. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed at quam quis augue pretium ultricies et ac augue. Nullam massa orci, euismod non iaculis et, faucibus at ligula. Proin et risus sem. Mauris fermentum ligula lorem, eu porttitor metus pretium et.\r\n\r\nEtiam aliquam sed eros quis auctor. Aliquam iaculis nibh ut mauris dignissim lobortis. Donec imperdiet mauris eu risus mollis, id sodales tortor bibendum. Nam egestas sapien eu dolor imperdiet euismod. Fusce ornare erat sagittis faucibus laoreet. Aliquam suscipit efficitur ex non egestas. Suspendisse egestas luctus felis ac luctus. Ut ac urna nec nisi convallis blandit at id ligula. Suspendisse quis dictum sapien, nec suscipit ante. Integer ac consectetur massa. ', '', 'full_html'),
('node', 'employee', '0', '134', '134', 'en', '0', 'Sed sagittis gravida interdum. Integer sit amet congue odio. Sed eget magna non justo suscipit eleifend at at felis. Praesent feugiat dapibus aliquet. Duis commodo quis dui facilisis vulputate. Fusce egestas nisi ac condimentum volutpat. Proin scelerisque pretium nibh dictum pretium.\r\n\r\nSuspendisse vel risus dignissim, lobortis tellus eget, dictum urna. Donec varius sagittis nisi, quis iaculis erat rutrum eu. Nunc vel mi elit. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus feugiat sit amet odio eget blandit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi lacinia dui id dignissim imperdiet. Nam fermentum, eros in rhoncus consectetur, orci purus sodales ipsum, accumsan tempor dolor mauris ac eros. In vel sapien nunc. Etiam nec mi est. Aliquam ac nibh ut ligula condimentum vehicula. Donec id volutpat enim, id congue justo. Integer nec lorem sit amet risus vulputate mollis.\r\n\r\nPellentesque ac bibendum tellus. Suspendisse nunc ligula, ultrices at tincidunt in, placerat tempor nisl. Nullam ut posuere elit. Morbi feugiat turpis eu orci mattis blandit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc sed consectetur nisi, non pulvinar nisl. Maecenas elit mi, sollicitudin in lectus et, aliquam hendrerit libero. Maecenas ut tincidunt ante. Curabitur vel scelerisque leo. ', '', 'full_html'),
('node', 'employee', '0', '135', '135', 'en', '0', 'Phasellus fermentum arcu urna, non porttitor tortor convallis vitae. Nam eu est mattis, vulputate nisi a, ornare nibh. Mauris vulputate, ex nec mattis tristique, lorem libero facilisis lorem, ut pellentesque risus metus suscipit urna. Suspendisse ut est non elit accumsan tempus. Maecenas est diam, gravida nec ultrices id, tincidunt nec metus. Pellentesque nec sapien sit amet felis facilisis fringilla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In at consequat orci. Phasellus condimentum maximus ligula, ut sollicitudin dui lacinia nec. Vestibulum mattis convallis laoreet. Vivamus non diam commodo, vestibulum turpis ac, vulputate tortor. Vivamus aliquam lectus quis mi accumsan, eget ornare neque facilisis. Morbi volutpat sit amet lectus a dignissim. Curabitur ac dui libero.\r\n\r\nVestibulum hendrerit et lacus at dictum. Sed rutrum massa eget lorem varius tempor nec at ante. Sed dignissim massa aliquam magna interdum, quis dictum turpis tempus. Praesent et pharetra nulla. Aliquam ac scelerisque elit. Suspendisse a tristique libero, et tempor risus. Praesent risus purus, molestie vitae nunc id, sagittis efficitur lectus.\r\n\r\nDonec porttitor justo vitae sem imperdiet dictum. Praesent iaculis facilisis rhoncus. In hac habitasse platea dictumst. Duis quis rhoncus nulla. Sed tempus massa eu pellentesque faucibus. Duis bibendum nisi sit amet eros condimentum euismod. Fusce sit amet vehicula quam. Sed neque sem, pharetra ac aliquet at, pulvinar vel dui. Ut sit amet magna a metus hendrerit maximus. Vivamus et porttitor nibh, nec interdum velit. ', '', 'full_html'),
('node', 'faq', '0', '136', '136', 'en', '0', 'Aliquam eget nisi accumsan, rutrum ipsum at, tristique velit. Integer magna nisl, tincidunt id velit nec, eleifend condimentum magna. Maecenas id tempor turpis. Nulla suscipit malesuada vestibulum. Sed efficitur elit turpis, sit amet lacinia nisl aliquet ac. Curabitur ac neque vestibulum, porta ante et, vulputate urna. Mauris rutrum velit in tempor consequat. Etiam eget nulla nec augue imperdiet iaculis. Suspendisse non dui a tellus ornare mattis ac et sem. Nunc eget aliquam tortor.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vivamus ut molestie massa, vitae pharetra purus. Cras a arcu quis ante tincidunt egestas. Donec ut purus ornare, viverra lectus eu, auctor ipsum. Quisque sodales efficitur quam, id fermentum risus vestibulum a. Ut interdum metus at elementum pharetra. In quis sapien id urna varius efficitur eu et mauris. Nullam pretium eget dolor ut pulvinar. Phasellus viverra enim ac arcu facilisis, sit amet cursus quam maximus. Aliquam id fermentum sem.\r\n\r\nMaecenas in leo neque. In hac habitasse platea dictumst. Suspendisse nibh metus, sodales ac velit sit amet, efficitur sodales lectus. Sed non dolor id lacus rutrum vehicula. Donec ullamcorper diam ligula, sit amet pellentesque arcu rhoncus vel. Curabitur convallis mauris eget varius efficitur. Donec lobortis pretium porta. Duis sollicitudin et eros ut blandit. Ut vitae pellentesque odio. ', '', 'full_html'),
('node', 'faq', '0', '137', '137', 'en', '0', 'Aenean dignissim leo a ornare blandit. Nullam vestibulum volutpat lorem, in hendrerit turpis gravida sed. Pellentesque id accumsan turpis, a blandit orci. In nec viverra nunc. Proin condimentum nulla ac aliquet vehicula. Sed quis metus quis massa vehicula blandit eu at nulla. Fusce id ultricies felis. Cras non neque non nisl consectetur ornare. Proin condimentum nunc diam, quis posuere risus elementum ac.\r\n\r\nSed euismod, arcu in posuere auctor, ligula quam facilisis tellus, sit amet aliquet justo leo id nibh. Curabitur gravida metus ut pharetra venenatis. Aenean et dui vitae eros vestibulum venenatis vitae a enim. Duis maximus cursus lacus, ut malesuada nibh aliquam ac. Integer nec mi sodales, posuere lacus at, viverra nisi. Integer finibus bibendum lorem, varius aliquam erat faucibus a. Curabitur eget ante felis. Aliquam nisl metus, rutrum in mauris aliquam, rutrum faucibus elit. Nulla sollicitudin fringilla ligula eget tincidunt. Nulla mollis mauris in porttitor euismod. Sed eget metus in augue egestas interdum. Duis eget tellus gravida, porta mi ut, lobortis leo. Fusce lorem arcu, porttitor at tellus vulputate, auctor tincidunt metus. Curabitur non arcu sed nulla dignissim viverra.\r\n\r\nVivamus dapibus turpis ac condimentum auctor. Mauris non felis vulputate, elementum ex id, consectetur nisl. Interdum et malesuada fames ac ante ipsum primis in faucibus. Proin sit amet erat justo. Donec eleifend nulla nec sem pellentesque, ac auctor felis tempus. Praesent fringilla eros erat, dapibus aliquet nibh egestas id. Aenean fringilla nunc sem, at sodales tellus sollicitudin sed. In fermentum, arcu et aliquam vestibulum, justo ex ullamcorper lacus, sit amet condimentum libero leo nec ante. Pellentesque scelerisque iaculis dui vitae semper. Praesent hendrerit dapibus nibh at feugiat. Aenean ex lacus, tempor non risus a, gravida mattis libero. Donec ultricies magna sit amet risus blandit vestibulum. Mauris vitae lobortis dui. Nam pretium mi enim. Cras id scelerisque magna, in venenatis leo. Sed id egestas nulla, nec mollis mauris. ', '', 'full_html'),
('node', 'faq', '0', '138', '138', 'en', '0', 'Integer cursus congue urna ut posuere. Pellentesque non sodales felis. Proin cursus viverra feugiat. Donec dictum condimentum quam sed facilisis. Suspendisse ac elit magna. Sed mi velit, tincidunt id venenatis vitae, aliquet sed justo. Vivamus maximus dictum diam et pulvinar. Nunc commodo ante euismod odio tempor ullamcorper. Vestibulum tincidunt nisl non ex eleifend, non posuere nunc efficitur. Sed blandit ut quam nec vestibulum. Sed id odio ut mauris tristique rutrum at ac sem.\r\n\r\nInteger in volutpat mi. Nunc quis dolor lobortis, porttitor metus vel, ultricies nisi. Quisque semper, justo at pulvinar feugiat, dolor nibh laoreet ex, non mattis lacus dui sed erat. Maecenas vitae erat at lorem tincidunt congue vel et nisi. Nullam porttitor accumsan suscipit. Sed felis velit, ultricies ut dictum nec, commodo vel purus. Donec accumsan sapien sed purus eleifend fringilla.\r\n\r\nAenean vulputate at ipsum a faucibus. Phasellus ut gravida turpis. Nunc sapien magna, tincidunt non leo a, dictum porttitor lectus. Nullam viverra odio auctor tortor molestie malesuada. Praesent tincidunt ornare sapien, id egestas diam sodales a. Praesent lacus mauris, suscipit sed laoreet sit amet, tempus et mi. Pellentesque mollis odio sed ante fermentum, id fringilla elit dignissim. Duis egestas leo nec fringilla sollicitudin. Mauris at urna venenatis, convallis velit eget, tempus urna. Pellentesque id porttitor felis, a aliquam dolor. Ut nec diam tellus. ', '', 'full_html'),
('node', 'faq', '0', '139', '139', 'en', '0', 'Curabitur lobortis convallis mi, vitae bibendum augue auctor vitae. Donec vulputate varius elit. Sed vel lorem nec ligula tincidunt eleifend. Maecenas turpis nunc, ultrices a volutpat eget, finibus mattis arcu. Vivamus faucibus fringilla turpis volutpat ullamcorper. Sed interdum est libero, id iaculis est euismod quis. Nulla volutpat lacinia nunc. Vivamus vitae mi ut dolor egestas tristique. Nunc auctor, sem eu convallis porttitor, dolor turpis ullamcorper nulla, eget feugiat lorem est eget magna. In egestas nisi et ipsum malesuada facilisis. Cras dictum risus id iaculis fermentum. Curabitur finibus nulla eros, tincidunt feugiat nisl suscipit vel. Morbi et erat ut arcu venenatis condimentum vitae faucibus magna. In posuere eros eu scelerisque pharetra.\r\n\r\nInteger accumsan imperdiet erat, ac aliquam ligula congue a. In pharetra est at bibendum lobortis. Ut faucibus lectus ac tellus luctus, at bibendum justo condimentum. Donec et placerat urna, quis eleifend metus. Suspendisse id diam luctus, sagittis ligula non, vulputate lectus. Quisque consectetur, arcu a consectetur finibus, dui ante congue elit, ullamcorper cursus nunc erat non ante. Nullam iaculis blandit finibus. Nulla congue erat non pellentesque viverra.\r\n\r\nInteger in rhoncus nulla. Fusce vehicula massa quis pellentesque consectetur. Nunc commodo, lorem ac dignissim ornare, nibh augue commodo massa, eget pulvinar lectus turpis tincidunt erat. Suspendisse pellentesque eros in porta pulvinar. Nulla ultrices scelerisque diam, vitae congue felis laoreet id. Ut non tempus massa. Aliquam consequat est vel tellus scelerisque consectetur. ', '', 'full_html'),
('node', 'tariff_plan', '0', '142', '142', 'en', '0', 'Aliquam interdum turpis at quam luctus, vitae maximus mauris laoreet. Nullam convallis est nec dui consequat, ut faucibus quam fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque ac ultrices metus. Vivamus iaculis nunc eu justo consectetur, ac blandit erat tincidunt. Nulla eget sapien eleifend, viverra ipsum at, iaculis ex. Phasellus at nisl in nulla aliquet molestie a in ex. Aenean sit amet nisl ipsum. Interdum et malesuada fames ac ante ipsum primis in faucibus. Suspendisse potenti. Praesent eget lacus viverra, maximus ex a, accumsan magna. Aliquam neque dui, semper pellentesque congue quis, semper quis nisi. Curabitur velit velit, elementum vitae dolor eu, tempor consectetur elit. Curabitur et tortor tortor. In hac habitasse platea dictumst. Aenean quis nulla sagittis, facilisis eros non, pellentesque dui.', '', 'full_html'),
('node', 'tariff_plan', '0', '143', '143', 'en', '0', 'Proin porta ligula aliquet imperdiet fringilla. Cras dui turpis, mollis vitae facilisis vitae, aliquam molestie enim. Fusce urna ex, sollicitudin eget mauris sed, porta dignissim est. Pellentesque dignissim tellus vehicula elit varius laoreet. Fusce vitae urna dapibus, scelerisque augue et, porttitor mauris. Etiam consequat elementum tortor vitae hendrerit. Suspendisse varius ante metus, id aliquam est tincidunt id. Aliquam egestas urna non orci aliquam hendrerit non sed tellus. Quisque ac ligula eu est tincidunt tincidunt in eu purus. Suspendisse dui urna, maximus vitae ligula vel, laoreet facilisis elit. Nunc ullamcorper, sem sit amet rutrum pellentesque, nisi libero varius dui, in bibendum purus mi nec nibh. Proin mattis augue eget lorem interdum, eu posuere ipsum rutrum. Ut tristique dictum dignissim. Nunc scelerisque metus tortor, nec vehicula sem aliquet non. ', '', 'full_html'),
('node', 'tariff_plan', '0', '144', '144', 'en', '0', 'Donec finibus vitae turpis a varius. Suspendisse erat nisi, pretium id accumsan ac, vulputate non orci. Nulla sed odio aliquet, scelerisque mi et, sagittis arcu. Fusce sagittis ligula lorem, eu ultrices ipsum volutpat egestas. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec vel tincidunt quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce pellentesque nisl vel auctor aliquet. Praesent eget tempus sapien. ', '', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'en', '0', 'Nulla luctus maximus massa, quis gravida nunc tristique et. Donec vulputate elementum mollis. Fusce rutrum fringilla enim quis tincidunt. Sed a tincidunt diam. Ut ornare, justo eu posuere commodo, nunc est aliquet ante, iaculis luctus purus felis et erat. Nunc egestas tristique quam quis congue. Nullam at eros eu sapien varius consequat. Fusce pellentesque mauris a neque fringilla, eu mollis metus rutrum. Suspendisse non ullamcorper ante. Nulla tristique ex id orci mattis, eu blandit justo maximus. Nulla maximus purus ut lectus pharetra bibendum. Quisque eget viverra nulla. ', '', 'full_html'),
('node', 'tariff_plan', '0', '146', '146', 'en', '0', 'Cras in pulvinar orci. Vestibulum magna mauris, malesuada eu bibendum quis, pulvinar vitae libero. Cras ac varius magna, sed tristique est. Interdum et malesuada fames ac ante ipsum primis in faucibus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam tincidunt odio id hendrerit iaculis. Donec luctus maximus eros, eget porttitor enim ornare in. Phasellus sapien nibh, luctus sit amet sapien eget, rhoncus fringilla elit. Nullam vulputate metus et tortor malesuada scelerisque. Maecenas sed finibus justo. Ut a tincidunt libero, in luctus ante. Pellentesque euismod pellentesque placerat. Nam neque turpis, fermentum id dignissim eu, varius ut sapien. ', '', 'full_html'),
('node', 'article', '0', '147', '147', 'en', '0', 'In leo erat, pellentesque id elit in, cursus consequat nibh. Vivamus id metus efficitur, interdum massa sit amet, fringilla sapien. Nunc mi nibh, pellentesque posuere pulvinar at, mollis id ligula. In nec bibendum nisi, quis pharetra justo. Duis ut egestas risus, sed congue nisi. In hac habitasse platea dictumst. Pellentesque vestibulum non dui eget finibus. Sed sagittis, purus et malesuada sollicitudin, mi tellus aliquam magna, suscipit luctus lectus nisi non purus. Praesent maximus lacinia blandit. Mauris semper sodales sem, ut consectetur sem tristique tincidunt. Vivamus nec hendrerit velit. Nam fermentum suscipit dictum. Donec in lectus ut libero malesuada blandit. Aliquam feugiat ante at eros efficitur, eu ultrices leo dictum. Etiam non pretium dui. Interdum et malesuada fames ac ante ipsum primis in faucibus.\r\n\r\nSed mollis sapien non quam gravida vulputate. Sed a libero magna. In varius nibh quis placerat eleifend. In hac habitasse platea dictumst. Suspendisse potenti. Nullam volutpat erat id ligula feugiat, ut ornare est suscipit. Cras ultricies augue id magna laoreet pharetra. Integer vitae enim et urna faucibus convallis sed vel velit. Nulla id risus vitae lacus pellentesque tempus ac a est.\r\n\r\nIn euismod porttitor libero id lobortis. Mauris nec imperdiet felis, hendrerit lobortis dui. Suspendisse vel sapien convallis turpis facilisis rhoncus eu vel erat. Quisque velit mi, cursus a gravida non, lobortis non est. Phasellus et elit egestas purus ornare pellentesque. Ut in ultricies neque. Sed eget enim et turpis cursus condimentum. Maecenas convallis ante diam, nec ullamcorper lacus congue nec. Curabitur tristique massa dignissim dui lacinia semper. Maecenas volutpat semper mi, mattis fermentum libero ornare rutrum.\r\n\r\nDonec eleifend felis a purus condimentum hendrerit sit amet nec sapien. Nulla orci augue, facilisis eget finibus vel, dictum et felis. Praesent pretium aliquam suscipit. Nam semper ac arcu quis ultrices. Aliquam erat volutpat. Ut id nunc nibh. Donec lectus ex, fringilla et risus ac, molestie ultricies ex. Nulla a imperdiet eros. In a erat viverra, vulputate nisi vehicula, ultrices dolor. Duis nec odio velit.\r\n\r\nMorbi aliquet, ex in pharetra aliquet, urna justo euismod augue, non semper nulla nibh eget velit. Vestibulum sed hendrerit mi, sit amet maximus tortor. Nullam scelerisque augue id ex dictum luctus. Nulla enim erat, tristique nec magna ut, laoreet euismod nisl. Mauris euismod, leo quis scelerisque pretium, augue nulla mollis odio, nec ornare augue metus nec nisl. Donec dictum dapibus nunc et aliquam. Mauris varius commodo dignissim. Fusce lobortis mi sit amet est dapibus, eget eleifend sem condimentum. Etiam eget laoreet metus, quis lacinia sem. Mauris vel turpis eget neque facilisis efficitur. Aenean eget metus semper, imperdiet sem vitae, tristique ipsum. Curabitur at urna vel tellus ultricies tincidunt. Duis mi diam, dignissim sit amet mollis at, interdum sit amet velit. Donec vel ex cursus, faucibus ligula non, rhoncus urna. In elementum tortor ex, a condimentum nunc lacinia eget. ', '', 'full_html'),
('node', 'article', '0', '148', '148', 'en', '0', 'Mauris a massa id purus pellentesque commodo a et dolor. Maecenas dictum pellentesque nisi, et blandit orci volutpat nec. Curabitur quis suscipit metus. Mauris ac arcu at arcu molestie sagittis vel et lorem. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Donec quis ante dictum, tempor neque et, dictum magna. Suspendisse sit amet lacus vel turpis dignissim blandit. Nulla et placerat lacus, ut suscipit nunc. Cras sed accumsan magna. Cras sit amet dictum nunc, vitae suscipit purus. Nam in lacus at ex venenatis lacinia sit amet eget felis. Proin convallis mauris a posuere semper. Suspendisse potenti. Nunc pretium ipsum at suscipit egestas. Etiam vitae viverra risus, ut ornare augue. Maecenas venenatis non enim eget lacinia.\r\n\r\nIn mollis tincidunt felis vitae imperdiet. Curabitur in eros ullamcorper ipsum sodales gravida vitae a erat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Proin rhoncus urna fermentum, elementum elit at, gravida eros. Quisque sagittis suscipit sapien, id mollis nisl bibendum et. Quisque sem ante, consequat eget nulla eu, convallis euismod mauris. In eget feugiat mi. Nunc quam enim, hendrerit ac aliquet nec, dignissim at erat. Suspendisse potenti. Cras consectetur posuere vehicula.\r\n\r\nFusce pellentesque placerat tortor, ac placerat sem ornare ut. Aliquam semper eleifend est, quis pharetra nunc rutrum eget. Etiam dictum dolor et lacus vulputate, et vehicula leo venenatis. Aenean vehicula magna in ex luctus consequat. Proin porta, lacus ac ornare sollicitudin, massa ligula maximus tellus, sed venenatis tortor velit ac velit. Maecenas maximus tempus odio et varius. Vestibulum vehicula felis in tellus commodo scelerisque. Sed luctus nisl eu nisl imperdiet, ut porttitor est laoreet. Suspendisse potenti. Aenean vel fringilla nibh, et ullamcorper quam.\r\n\r\nProin rutrum suscipit turpis imperdiet fringilla. Pellentesque ultrices fermentum lectus nec pretium. In porta eu magna et fermentum. Fusce vel velit a turpis commodo pretium sed non dolor. Nulla facilisis maximus pellentesque. Quisque pellentesque tempus dui id euismod. Nunc convallis arcu ac tincidunt hendrerit. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla elit est, rutrum sed facilisis nec, sodales ac leo. Proin eu tempus mauris. Integer nibh massa, scelerisque faucibus augue ut, congue convallis nulla. Phasellus tempus aliquet leo, eget varius arcu volutpat non. Nullam quis libero metus. Duis ullamcorper urna lectus, in cursus nisl pharetra et.\r\n\r\nPraesent at eleifend nibh, ut mollis orci. Quisque aliquam at ex fermentum consectetur. Sed porttitor, ligula sed iaculis vulputate, turpis tellus imperdiet libero, sed suscipit augue neque eget mauris. Aenean pretium ornare nulla pretium facilisis. Sed facilisis fringilla dapibus. Integer suscipit metus quam, eget suscipit sapien ornare et. Aenean leo lacus, consectetur et eros et, laoreet commodo mi. Nulla tincidunt lorem sit amet viverra hendrerit. Suspendisse lectus nibh, faucibus a lobortis sit amet, luctus vitae augue. Curabitur vel purus lacus. Fusce ut elementum dolor. Phasellus imperdiet tincidunt aliquet. Aenean aliquet ac nisl ac aliquam. Duis vulputate finibus ullamcorper. Maecenas nisi felis, tempus tincidunt lacus eu, pretium egestas risus. ', '<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\r\n\r\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>', 'full_html'),
('node', 'article', '0', '150', '150', 'en', '0', 'Vestibulum tristique vel dolor nec facilisis. Nam urna nisl, luctus non magna eget, consequat vestibulum justo. Proin lobortis dui a ligula sollicitudin luctus. Nulla facilisi. Vestibulum rhoncus rhoncus ornare. Mauris tincidunt eu velit ac dictum. Vivamus lectus dui, dignissim ac sapien pellentesque, tempus blandit lacus. Sed cursus id metus sed feugiat. Suspendisse ac erat molestie, vulputate mi pellentesque, imperdiet lorem. Nam blandit non mi in faucibus. Quisque pellentesque euismod purus. Sed accumsan libero in odio interdum iaculis. Vivamus et quam magna. Duis nisl lacus, vestibulum vitae bibendum ac, rhoncus sit amet turpis. Curabitur sit amet fringilla tellus. Proin purus ex, auctor non fringilla sed, sagittis sit amet leo.\r\n\r\nDonec aliquet libero eu velit iaculis condimentum. Aenean aliquet et tellus facilisis sodales. Morbi at est congue, tempus dolor ac, sodales justo. Duis ut aliquam odio. Suspendisse eget lorem et lectus viverra pharetra non eu elit. Mauris aliquet placerat ante sed euismod. Phasellus vel neque dapibus, accumsan enim in, feugiat quam. Mauris nec quam nulla. Quisque enim leo, ornare nec massa ac, dapibus sagittis nunc. Nunc ut malesuada libero, sed pretium velit. Aenean vel mollis massa, sit amet tempor libero. Aenean non lectus commodo urna venenatis aliquam eget ac nulla. Nullam sit amet suscipit quam.\r\n\r\nVivamus mollis id massa ac dapibus. Praesent in eleifend purus. Vestibulum metus tellus, auctor et felis quis, ultricies tempus sem. Cras consequat, ligula non elementum placerat, nulla ligula porta nisl, ac maximus nunc ligula eget metus. Sed non congue turpis. Nullam mi justo, fringilla et mollis egestas, vestibulum sed ante. Mauris posuere faucibus dolor, quis iaculis felis porttitor non. Vivamus a lectus vulputate, ultricies tortor nec, tincidunt nulla. Nulla facilisi. Curabitur nec leo sed urna varius aliquam nec eu mi. Morbi fringilla porttitor tempor. Morbi congue molestie facilisis.\r\n\r\nDonec blandit justo sit amet est rhoncus, vel accumsan urna sodales. In laoreet, nisl ultrices venenatis molestie, justo metus gravida elit, nec hendrerit nisl ipsum a eros. Suspendisse luctus arcu at est egestas euismod. Suspendisse pharetra sit amet massa id ullamcorper. Aliquam efficitur tempor libero, vestibulum luctus dui. Nullam vestibulum sodales velit, vel cursus diam. Sed interdum eros in dui venenatis, at dapibus erat ullamcorper. Sed vitae erat bibendum, interdum leo non, mollis nunc.\r\n\r\nSed tempus tempus eros quis fringilla. Nulla at ante eu leo ornare imperdiet. In hac habitasse platea dictumst. Mauris euismod massa in elit fermentum, et vehicula ligula aliquet. Aliquam faucibus pharetra augue non vulputate. Quisque et bibendum mi. Pellentesque at imperdiet felis, quis accumsan risus. In elit augue, ullamcorper a pretium ac, interdum quis diam. Cras at maximus ipsum, cursus euismod risus. Ut consequat ligula vitae felis malesuada ullamcorper. Praesent ac sapien nisl. Praesent nunc eros, maximus id orci in, condimentum pretium felis. ', '', 'full_html'),
('node', 'article', '0', '151', '151', 'en', '0', 'In id turpis a dui ultrices faucibus. Cras ante ipsum, aliquet sed ligula pharetra, volutpat congue justo. Mauris feugiat pulvinar lobortis. Nulla bibendum interdum arcu ac lobortis. Fusce tincidunt venenatis purus ac rhoncus. Donec commodo, erat et consectetur malesuada, neque justo elementum ipsum, ac vestibulum ex lacus eu augue. Proin congue ex tortor, sed sodales ipsum luctus in.\r\n\r\nNunc sed dapibus libero, id aliquet nibh. Nunc eget sodales elit. Vestibulum metus metus, tempus ut urna eu, ullamcorper egestas leo. Donec condimentum felis et est convallis, vulputate condimentum quam consectetur. Nullam pretium sit amet neque eget pulvinar. Phasellus nisl turpis, egestas et dictum eu, dictum eu libero. Donec vitae venenatis dui, sed interdum massa. Ut auctor nulla id suscipit venenatis. Sed ac nunc id orci tristique varius. Vestibulum molestie elementum molestie. Ut varius lectus ac viverra tempus. Mauris felis purus, tincidunt eu lorem ac, pellentesque aliquet enim.\r\n\r\nAliquam finibus non diam in consectetur. Etiam sagittis efficitur augue, et mattis sem aliquet tincidunt. Proin tristique tellus nisi, vitae viverra quam rhoncus non. Nullam tincidunt ut ipsum non semper. In mollis est quis diam aliquet, non rhoncus nunc laoreet. Aliquam accumsan ac quam nec placerat. Aliquam pulvinar lorem vitae augue porta, vitae vulputate enim maximus. Vestibulum non interdum nisl, ut egestas felis. In imperdiet pretium tortor in sodales.\r\n\r\nNullam porta dui sit amet ipsum accumsan, nec egestas ipsum volutpat. Nulla facilisi. Fusce pharetra massa est, et ornare turpis volutpat ac. Vivamus ac tincidunt dui. Aenean non ex eget tortor ullamcorper cursus eget sed mauris. Praesent nec mollis nisl, eu fringilla enim. Pellentesque massa nibh, interdum ut tincidunt vitae, auctor ac lorem.\r\n\r\nProin eget ipsum imperdiet, finibus metus sit amet, auctor arcu. Vivamus non purus quis dui commodo feugiat. Nulla et velit lectus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin a posuere orci, id luctus orci. In malesuada libero eget sem dignissim, in tincidunt velit iaculis. Praesent sollicitudin ex ipsum, at placerat lectus gravida vel. Suspendisse ultricies, risus quis placerat ullamcorper, enim nunc semper dolor, quis viverra velit nibh ut justo. Ut sit amet tempor turpis. Aenean imperdiet felis non molestie congue. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas et condimentum eros. ', '', 'full_html'),
('node', 'service', '0', '152', '152', 'en', '0', 'Nullam ut posuere turpis. Maecenas ultricies, massa scelerisque vehicula ultrices, mi mauris congue ligula, id tempor enim turpis eget risus. Nulla egestas ante vel eros iaculis, id ultricies nisl lacinia. Vivamus luctus diam quis turpis viverra, a convallis quam iaculis. Curabitur dictum mollis massa eu placerat. Integer quis diam facilisis, egestas lorem vitae, semper quam. Quisque sit amet metus sit amet tortor lacinia ultricies. Sed nisl nisl, dictum ut velit id, dignissim iaculis nisi. Aliquam dictum nunc eros, in efficitur mi sodales et. Cras et eros vel urna ultrices lacinia. Nam nec tempus orci. Mauris commodo diam eget molestie lacinia. Nulla consectetur est sed lectus vehicula consequat.\r\n\r\nPhasellus nisi ipsum, interdum a enim ac, scelerisque sagittis risus. Vivamus nec semper sem, luctus viverra nisl. Sed dignissim libero sit amet purus aliquet commodo. Nam cursus vel augue nec dignissim. Morbi et eros nisl. Nunc varius convallis justo eget porta. Suspendisse blandit pharetra elit, ac faucibus ligula fringilla in. Donec eget nisl mollis, facilisis ipsum id, mollis justo. Duis ullamcorper neque vitae ligula efficitur, sed commodo enim sagittis. Integer et mattis purus, ac porttitor lectus. Nunc luctus, augue a sagittis posuere, nisi mauris malesuada elit, sit amet porttitor dui mauris sit amet eros. Sed ultricies dolor nec diam pellentesque cursus. Nulla at ultricies nisl. Aliquam erat volutpat.\r\n\r\nPellentesque quis ligula tempus, consequat magna vitae, euismod sem. Sed et mi erat. In id leo justo. Maecenas lacinia ex eu felis sagittis tincidunt. Aenean id facilisis nunc. Etiam sagittis justo a justo ullamcorper, ut interdum nunc malesuada. Donec viverra lacus interdum felis elementum, ut dapibus sem pellentesque. Nulla nulla diam, venenatis sed sem sit amet, porttitor suscipit ligula. Maecenas lacinia, augue ac dictum tristique, erat metus luctus risus, et rutrum neque tellus sed arcu. Suspendisse consequat felis ut lacinia mattis.\r\n\r\nPraesent laoreet lectus nec augue imperdiet maximus. Mauris iaculis lacus ut imperdiet elementum. Phasellus risus lectus, rhoncus eget pharetra quis, ultrices semper magna. Donec consequat elementum sollicitudin. Nulla eget ligula vel lacus ultricies placerat ut ac lorem. Nunc metus dolor, maximus vel neque in, sollicitudin fermentum est. Nunc neque dui, laoreet at felis et, commodo bibendum nibh. Sed ut aliquet erat.\r\n\r\nPellentesque ligula elit, rhoncus ut dui eleifend, malesuada mollis elit. Aliquam semper vel diam nec porta. Nam suscipit dictum tellus, tempor luctus nisl egestas in. Nulla condimentum volutpat dui, nec ullamcorper dolor vestibulum ac. Etiam porttitor leo risus, non dictum purus dictum non. Nam vulputate tincidunt efficitur. Curabitur lobortis metus ligula, non ultrices justo convallis eu. Nullam ut molestie nulla. Sed ligula sem, fringilla ac sagittis nec, imperdiet vel nunc. Nulla sapien magna, consequat a ultricies in, consequat sed sem. In ut ipsum nibh. Praesent sit amet lectus sit amet turpis consectetur placerat. ', '', 'full_html');
INSERT INTO `field_revision_body` VALUES
('node', 'service', '0', '153', '153', 'en', '0', 'Mauris ac pulvinar neque. Suspendisse eu rhoncus erat, in congue diam. Nulla at posuere mauris. Nulla vitae nulla lacinia, luctus sem sit amet, dignissim mi. Integer mollis, ipsum vel euismod eleifend, ex nulla suscipit odio, a gravida lectus est nec nibh. Donec ac fermentum dui. Integer in purus gravida turpis commodo finibus. Proin semper laoreet orci, vel suscipit lacus porta nec. Vestibulum et vehicula ante. Phasellus eget justo mi.\r\n\r\nDonec pretium tincidunt feugiat. Curabitur vel mi mauris. Nam quis imperdiet elit. Pellentesque consectetur maximus diam eget auctor. Proin volutpat ligula at purus posuere, maximus sagittis libero feugiat. In hac habitasse platea dictumst. Aenean sed velit elementum, fringilla nisi in, maximus arcu. Sed eget ligula imperdiet elit efficitur fringilla at eget dui. Aenean id commodo ante. Proin odio libero, cursus in vestibulum a, eleifend quis mauris. Vivamus quis sem lacinia, bibendum nibh ac, euismod diam. Proin tincidunt iaculis diam, ut rutrum dolor volutpat sed. Etiam auctor ullamcorper dui in porta. Sed interdum eget eros ut eleifend.\r\n\r\nSed facilisis urna vel quam rhoncus sodales. In hac habitasse platea dictumst. Etiam ullamcorper ornare risus in convallis. Donec finibus quis nisi sit amet viverra. Suspendisse malesuada dolor finibus tellus porttitor, non sollicitudin odio rhoncus. Vestibulum sed nulla in tellus pretium porta. Suspendisse potenti.\r\n\r\nFusce vitae vehicula arcu, nec mollis ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam pharetra, mauris at ullamcorper hendrerit, turpis orci laoreet purus, non tempus nisl diam eget lorem. Phasellus eu dolor id dui fermentum malesuada eu non mauris. Quisque non ante diam. Nulla facilisi. Suspendisse iaculis felis placerat nisi hendrerit porttitor. Sed laoreet augue ligula, ut pellentesque sapien accumsan a. Praesent id felis sapien. In hendrerit est sit amet efficitur cursus. Mauris luctus suscipit quam, at pellentesque ipsum sagittis et. In eu mollis ante. Mauris fringilla mi sed laoreet scelerisque.\r\n\r\nVivamus volutpat quam quam, ut eleifend velit malesuada ut. Pellentesque pretium purus a sapien mollis gravida. Praesent id luctus sem, sit amet semper nulla. Quisque sed nibh velit. Etiam pretium purus ut pulvinar efficitur. Fusce convallis tempor neque, eget porttitor felis gravida quis. Praesent elit ante, molestie ut lacus a, dictum aliquam nunc. Quisque et nunc malesuada, facilisis nulla ut, pulvinar ex. Nunc lacinia accumsan porttitor. Phasellus sed laoreet elit. Donec tempus lacus nec risus laoreet dapibus. Nullam vel aliquam lacus, vitae facilisis lacus. ', '', 'full_html'),
('node', 'service', '0', '154', '154', 'en', '0', 'Nulla venenatis pulvinar neque, vitae dignissim est ultrices vitae. Duis vel diam at augue tincidunt maximus. Sed gravida et ligula eu ultricies. Donec maximus maximus nisi, et dapibus est venenatis id. Sed molestie at nibh rutrum ornare. Sed vestibulum nulla in tortor porta, a viverra metus ultricies. Curabitur pharetra, tortor eu sollicitudin varius, enim metus laoreet massa, eu maximus neque sem vitae mi. Nulla sollicitudin orci et leo viverra imperdiet. Proin et justo nec mi porta suscipit sit amet sed eros. Nulla eu libero diam. Aenean id vestibulum diam, eget iaculis eros. Aenean nec enim a nisi viverra consectetur at nec mauris. Maecenas sed lectus quis quam eleifend iaculis. Nulla vitae quam nec purus lobortis rutrum vel sed elit.\r\n\r\nIn luctus fermentum mauris sit amet vestibulum. Donec maximus facilisis diam, vitae vehicula odio euismod a. Suspendisse ut mollis massa, vel rhoncus ipsum. Nam et tellus pulvinar, suscipit sapien non, vestibulum magna. Sed et dolor imperdiet, fringilla purus vitae, volutpat orci. Duis nulla orci, sagittis quis eleifend non, hendrerit a turpis. Ut consectetur ornare tortor eget malesuada. Curabitur quis dui gravida lectus pretium hendrerit vel nec nisi.\r\n\r\nNam et vestibulum ex, laoreet placerat elit. Vivamus sit amet libero dui. Donec posuere sem nec mi accumsan, eget eleifend ex vulputate. Curabitur venenatis ut nisi vel vehicula. Pellentesque nec iaculis urna. Integer a elit ac quam sollicitudin hendrerit quis at tellus. Vestibulum sed nulla eget turpis faucibus consequat eleifend non mauris. Aenean tellus felis, tincidunt non elit id, vestibulum tristique purus. Integer congue sodales urna. Proin sagittis nibh in est blandit, a consequat arcu consectetur.\r\n\r\nNulla nec nunc ac erat mattis consequat. Suspendisse posuere, urna a mollis feugiat, purus nisl mattis tortor, vel condimentum nisl nulla laoreet mi. In venenatis lacus quis orci sodales sodales. Phasellus feugiat consequat cursus. Nullam nulla magna, hendrerit id ligula in, rutrum sagittis ante. Morbi sed malesuada nisl. Etiam tincidunt lacinia lacinia. Sed vitae lorem eget enim dignissim vehicula. Sed bibendum nec dolor eget placerat. Integer fermentum interdum est ut posuere.\r\n\r\nVivamus eget aliquet neque. Vestibulum maximus odio vel lectus efficitur, nec dictum ipsum vestibulum. Aliquam varius tincidunt dui vel hendrerit. Nam condimentum sodales diam ut posuere. Integer pretium at nisi non pharetra. Aliquam at rutrum ligula. Aliquam viverra ornare tellus, elementum tempus sem sollicitudin at. Morbi eleifend erat nec placerat faucibus. Donec eget odio turpis. Mauris in est eu ante dignissim sollicitudin eget non urna. Ut purus sapien, eleifend eu dictum vitae, convallis vel justo. Mauris molestie nibh vitae est euismod maximus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nulla tincidunt nisi et orci molestie, quis pharetra dui egestas. ', '', 'full_html'),
('node', 'service', '0', '155', '155', 'en', '0', 'Mauris maximus, est vel congue pharetra, ante diam bibendum tortor, nec rutrum elit nisl et tellus. Maecenas egestas nisi sit amet nibh fermentum mollis. Maecenas quam libero, lacinia eu rutrum ut, imperdiet vitae justo. Vivamus et nulla a quam viverra aliquet quis a lorem. Mauris purus lacus, aliquam iaculis arcu ut, luctus aliquam purus. Nulla egestas est sagittis placerat placerat. Nunc odio orci, aliquam ut tristique in, eleifend a tellus. Nam euismod odio eget turpis facilisis tristique. Pellentesque pulvinar, justo sed fermentum luctus, justo justo tristique massa, eu blandit purus magna semper risus. Ut vitae leo auctor, eleifend nisl vitae, fermentum arcu. In rhoncus, neque vel dapibus aliquet, dolor tortor convallis sem, luctus consectetur nulla enim eu ex. Aenean vitae vehicula lectus. Pellentesque ac lacinia dolor. Integer nunc ligula, accumsan a hendrerit volutpat, commodo dignissim lectus. Nunc tempor sem ac risus iaculis feugiat.\r\n\r\nMauris ultrices ex nibh, at lacinia magna finibus et. Quisque vulputate nisi ut faucibus scelerisque. Ut blandit felis vel ullamcorper faucibus. Maecenas aliquet neque vel odio convallis, eget tristique lectus tincidunt. Nullam dictum dignissim congue. Quisque a viverra risus, nec ultricies lacus. Phasellus elementum felis nibh, non ultrices quam interdum at. Mauris porta ipsum ut sapien laoreet aliquam. Ut pellentesque, felis commodo facilisis ultrices, massa sapien placerat odio, sit amet vehicula enim metus non enim. Aenean ac sem rutrum, cursus nisi nec, mattis urna. Aenean non massa a risus ultrices volutpat non sed lacus. In placerat faucibus diam at vulputate. Fusce tincidunt suscipit urna, et blandit eros semper non. Praesent malesuada neque et aliquam cursus.\r\n\r\nPellentesque interdum arcu ut nulla semper, vitae consequat erat pellentesque. Sed ex orci, mattis sodales semper vel, ultricies nec sem. Maecenas eget blandit felis. Suspendisse non magna non nulla interdum pellentesque id vitae felis. Curabitur in ligula quis risus feugiat ullamcorper eu sit amet massa. Donec tincidunt vel elit id efficitur. Vestibulum vulputate lacus ut nunc condimentum, et molestie enim facilisis. Phasellus interdum a lorem elementum faucibus. Quisque cursus semper interdum. Donec auctor, ex sit amet pretium aliquam, orci dui rutrum risus, vitae elementum nunc nunc vel ex. In interdum felis lectus, quis eleifend lorem cursus in. Cras consectetur, nisl quis tempor maximus, mauris eros sodales leo, ac congue velit odio quis lorem. Fusce nibh augue, viverra ultrices volutpat in, viverra sed erat. Morbi ultricies venenatis justo, et imperdiet massa. Nunc eu tincidunt lacus, eget cursus quam. ', '', 'full_html'),
('node', 'service', '0', '156', '156', 'en', '0', 'Maecenas porttitor mi nec vulputate vestibulum. Donec pretium, libero in rutrum ullamcorper, tellus lacus pulvinar urna, at maximus diam velit quis neque. Nullam semper ornare est quis elementum. Pellentesque rhoncus mattis diam, sed dignissim libero rhoncus eget. In sed justo tincidunt, fringilla metus id, congue lorem. Phasellus vitae consectetur arcu. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed sit amet interdum dolor. Quisque non odio consectetur, commodo tellus eget, rutrum ipsum. Vivamus sed enim sed augue tincidunt porta vel eu nunc.\r\n\r\nSuspendisse mollis pellentesque augue, et viverra quam. Proin a est urna. Praesent efficitur nulla tortor, in facilisis ante ultrices vitae. Nam maximus at nisi nec rhoncus. Praesent fringilla at dui ac accumsan. Vivamus tempus tempor erat eget volutpat. Nulla dignissim lorem nec rutrum dignissim. Nunc purus ex, semper sit amet nibh vel, malesuada scelerisque eros. Vestibulum quis ante non felis mattis congue at et enim. Sed at dui cursus, maximus velit ac, facilisis quam. Sed non ex pretium, vehicula elit vel, lacinia felis. Maecenas tempus imperdiet sollicitudin.\r\n\r\nFusce quis hendrerit ante, a vehicula erat. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam varius tellus sit amet eros lobortis pellentesque. Sed elementum tellus enim, sit amet bibendum turpis varius nec. Sed consectetur, ex quis vulputate commodo, nibh arcu fringilla est, sed eleifend quam sem eget nisl. Ut accumsan ante sem, id euismod urna bibendum ac. ', '', 'full_html'),
('node', 'service', '0', '157', '157', 'en', '0', 'Nunc eleifend velit sed nisi varius pharetra. Cras tincidunt varius porta. Cras interdum neque eget iaculis pellentesque. Vivamus et sem laoreet, pretium lacus at, elementum justo. Phasellus luctus, risus quis pellentesque tempus, nulla purus tristique velit, eget facilisis nunc massa vitae libero. Donec ultrices malesuada massa a dictum. Aliquam facilisis tellus ut turpis varius, in facilisis odio pharetra. Sed eu nunc placerat lacus blandit sollicitudin eu eget mauris. Mauris at arcu mattis, congue massa eget, condimentum tellus. Etiam vel semper neque. Donec eu dui at libero posuere condimentum. Ut id blandit velit. Morbi finibus ante eget nunc elementum rutrum vitae quis enim. Sed ut efficitur metus. Aenean mollis quam dignissim metus malesuada accumsan. Morbi purus dui, suscipit id elit et, faucibus pharetra ligula.\r\n\r\nMaecenas at risus vel massa pretium rutrum vehicula ut nulla. Cras malesuada blandit ante a auctor. Cras luctus facilisis iaculis. Curabitur quis dui metus. Quisque fermentum mauris vitae eleifend pharetra. Vestibulum convallis quis nulla rhoncus placerat. Phasellus ut molestie dolor. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Morbi lectus mauris, pellentesque tempus enim et, ornare congue dui. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer at nibh ut nunc porta tempor. Morbi convallis tempus libero dignissim sodales. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\nNam erat diam, mollis dapibus consequat et, volutpat vitae eros. Suspendisse ut lorem vel justo sodales facilisis. Quisque eu scelerisque augue. Nunc ultricies at mauris sed aliquam. Curabitur venenatis lacus vitae aliquet volutpat. In eget pharetra ex, non scelerisque lectus. Nullam dapibus malesuada cursus. Phasellus consectetur nunc enim, facilisis pretium risus cursus ut. ', '', 'full_html'),
('node', 'service', '0', '158', '158', 'en', '0', 'Nunc faucibus massa ac egestas porta. Nullam rhoncus iaculis nisi, at bibendum erat ultrices sed. Vivamus eu fringilla eros. Phasellus pretium gravida nibh, non tempor enim bibendum eget. Suspendisse tincidunt, mauris vel pretium placerat, velit ligula lacinia dolor, eget efficitur magna nibh scelerisque risus. Pellentesque placerat eleifend massa. Nulla ultrices, lectus ac elementum tincidunt, justo libero congue nunc, nec fermentum massa massa id velit. Proin sit amet metus id velit interdum rhoncus. In quis neque feugiat nisi malesuada tristique. Donec congue magna vitae malesuada maximus. Vivamus sit amet justo vel ex tempor pharetra quis lobortis arcu. Donec egestas feugiat fermentum. Ut nec tortor malesuada, condimentum mi quis, maximus nunc.\r\n\r\nVivamus varius neque ut urna cursus dignissim. Etiam eleifend orci lacinia ex imperdiet porta. Sed varius viverra suscipit. Nam sit amet tellus eu elit efficitur blandit. Phasellus sed aliquam neque. Morbi consequat turpis vitae cursus hendrerit. Duis ullamcorper nulla pharetra orci tincidunt, nec tempor dui scelerisque. Vivamus quis odio finibus, pharetra dui in, euismod mi. Aliquam sit amet fringilla velit. In ut posuere orci. Duis augue erat, faucibus id maximus nec, venenatis id tortor. Morbi vestibulum odio quis sapien mattis pharetra. Praesent ligula nisi, efficitur in iaculis id, auctor id justo. Nam id rhoncus enim. Etiam egestas ac ante ac tincidunt.\r\n\r\nQuisque non congue libero. Donec in massa eget libero malesuada ornare ut nec erat. Proin convallis nisi pellentesque, viverra urna eget, scelerisque elit. Integer semper consequat ex, eget lacinia enim congue at. Integer sollicitudin posuere turpis, aliquam pretium augue condimentum quis. Nunc pellentesque leo non enim tempor, in maximus tellus finibus. Mauris at volutpat urna. Aenean ut ex eu tellus mattis malesuada. Curabitur pulvinar nisi eu nibh venenatis accumsan. Nulla a eleifend augue. ', '', 'full_html'),
('node', 'service', '0', '159', '159', 'en', '0', 'Nunc faucibus massa ac egestas porta. Nullam rhoncus iaculis nisi, at bibendum erat ultrices sed. Vivamus eu fringilla eros. Phasellus pretium gravida nibh, non tempor enim bibendum eget. Suspendisse tincidunt, mauris vel pretium placerat, velit ligula lacinia dolor, eget efficitur magna nibh scelerisque risus. Pellentesque placerat eleifend massa. Nulla ultrices, lectus ac elementum tincidunt, justo libero congue nunc, nec fermentum massa massa id velit. Proin sit amet metus id velit interdum rhoncus. In quis neque feugiat nisi malesuada tristique. Donec congue magna vitae malesuada maximus. Vivamus sit amet justo vel ex tempor pharetra quis lobortis arcu. Donec egestas feugiat fermentum. Ut nec tortor malesuada, condimentum mi quis, maximus nunc.\r\n\r\nVivamus varius neque ut urna cursus dignissim. Etiam eleifend orci lacinia ex imperdiet porta. Sed varius viverra suscipit. Nam sit amet tellus eu elit efficitur blandit. Phasellus sed aliquam neque. Morbi consequat turpis vitae cursus hendrerit. Duis ullamcorper nulla pharetra orci tincidunt, nec tempor dui scelerisque. Vivamus quis odio finibus, pharetra dui in, euismod mi. Aliquam sit amet fringilla velit. In ut posuere orci. Duis augue erat, faucibus id maximus nec, venenatis id tortor. Morbi vestibulum odio quis sapien mattis pharetra. Praesent ligula nisi, efficitur in iaculis id, auctor id justo. Nam id rhoncus enim. Etiam egestas ac ante ac tincidunt.\r\n\r\nQuisque non congue libero. Donec in massa eget libero malesuada ornare ut nec erat. Proin convallis nisi pellentesque, viverra urna eget, scelerisque elit. Integer semper consequat ex, eget lacinia enim congue at. Integer sollicitudin posuere turpis, aliquam pretium augue condimentum quis. Nunc pellentesque leo non enim tempor, in maximus tellus finibus. Mauris at volutpat urna. Aenean ut ex eu tellus mattis malesuada. Curabitur pulvinar nisi eu nibh venenatis accumsan. Nulla a eleifend augue. ', '', 'full_html'),
('node', 'service', '0', '160', '160', 'en', '0', 'Mauris eu sagittis est, vel fringilla mauris. Pellentesque molestie dolor sagittis orci ultrices euismod. Duis ullamcorper justo urna, sit amet semper tellus suscipit ac. Ut ut pharetra nisl. Vestibulum euismod ac est in congue. Integer nec mollis leo. Mauris at ante tortor. Aenean varius diam quis nulla dapibus, eget euismod tellus faucibus. Sed fringilla accumsan eros et accumsan. Ut et est lectus. Proin laoreet in nulla quis interdum. In eros magna, rutrum eu laoreet id, faucibus sit amet risus. Sed iaculis mi arcu, sit amet feugiat ante porttitor eu.\r\n\r\nMorbi ac suscipit massa, in porta massa. Fusce nulla ante, dapibus sed tortor in, eleifend facilisis sapien. Pellentesque neque felis, gravida id magna quis, malesuada sagittis tellus. Vestibulum rhoncus, nulla id rutrum interdum, augue dui luctus libero, sed consectetur dolor quam sed lectus. Pellentesque efficitur varius augue, vel facilisis massa pretium at. Proin vel sapien rutrum, rhoncus orci sit amet, accumsan magna. Suspendisse potenti. Praesent ipsum mauris, iaculis in dapibus ut, mollis ut augue. Sed sit amet erat odio. Donec accumsan, ipsum at dapibus mollis, orci ante luctus eros, cursus eleifend justo tellus ut nisl. Cras in enim mi. Donec sodales venenatis justo, sed gravida tellus laoreet tempus. Pellentesque sodales sed diam eu pellentesque. Fusce posuere aliquet volutpat. Cras sed elementum risus. Maecenas faucibus vulputate fermentum.\r\n\r\nSuspendisse scelerisque condimentum elit non ullamcorper. Nunc porttitor vestibulum ante. Suspendisse sed odio lorem. Aenean semper consequat diam eget rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Pellentesque id efficitur turpis, eu sodales nunc. Nam cursus gravida libero vitae molestie. Aliquam ullamcorper eros vitae turpis pellentesque, rhoncus rhoncus nibh dignissim. Mauris congue vestibulum magna vitae posuere. Aenean convallis risus sed pellentesque placerat. Nullam euismod viverra lectus. Praesent quis congue lorem, vel pulvinar ex. Ut gravida urna sed porta blandit. ', '', 'full_html'),
('node', 'service', '0', '161', '161', 'en', '0', 'Cras sed lobortis nibh, vitae interdum erat. Curabitur nec risus risus. Mauris vulputate quam efficitur sem commodo viverra a non libero. Phasellus efficitur ornare ante eget tincidunt. Mauris viverra leo ex, in auctor est pulvinar congue. Maecenas id viverra est, id tempor leo. Mauris faucibus augue et euismod dignissim. Sed ligula dolor, sollicitudin consectetur volutpat sed, fermentum vitae ligula. Nullam a nibh vel purus pulvinar iaculis.\r\n\r\nMauris massa tortor, fringilla ac lacus malesuada, viverra lacinia augue. Curabitur ac ex dapibus tellus dignissim interdum quis nec libero. Maecenas imperdiet blandit volutpat. Vestibulum augue felis, facilisis quis velit ac, bibendum interdum neque. Mauris id est quis justo finibus vestibulum vel vitae ligula. Maecenas elit tellus, tempor quis aliquet id, ultricies eu purus. Fusce egestas posuere turpis, eu dictum quam eleifend nec. Etiam mauris arcu, finibus ac leo in, sagittis hendrerit tortor. Duis a tincidunt odio. Pellentesque nec varius nulla. Aliquam odio sem, hendrerit id pellentesque vitae, laoreet in nulla. Nam nisi velit, vestibulum et ultrices quis, imperdiet ut risus. Nullam egestas vehicula urna, ut cursus augue hendrerit a. Sed rhoncus eleifend orci a pretium. Donec placerat nisl a tortor posuere, at faucibus dolor consequat. In blandit lectus at risus pretium vehicula.\r\n\r\nInteger at sem non justo ultrices condimentum. Ut eget tristique risus. Pellentesque diam sem, viverra eget efficitur vitae, faucibus quis nisl. Nullam metus est, sollicitudin ut pharetra ac, maximus id tortor. Maecenas et magna odio. Donec porta suscipit nisi. Maecenas id laoreet justo. Integer iaculis leo ipsum, a laoreet libero varius sed. In luctus rhoncus eros eget porta. Cras ornare faucibus diam. Nam lectus dolor, feugiat a nisl ut, consequat condimentum neque. Aliquam placerat dignissim tincidunt. Phasellus quis euismod lorem. Phasellus pretium nisi velit, quis iaculis nisi consectetur nec. Duis et sapien nulla. Vestibulum tortor nisi, volutpat nec faucibus vel, rutrum non odio. ', '', 'full_html'),
('node', 'service', '0', '162', '162', 'en', '0', 'Nullam maximus feugiat arcu, vitae varius augue dictum sit amet. Curabitur aliquam leo ac ipsum euismod, a convallis elit sollicitudin. In leo dui, fringilla vitae nulla sed, tempor sagittis nibh. Donec sed venenatis tellus. In tincidunt maximus sem, vitae cursus leo. Pellentesque est odio, imperdiet sit amet mauris nec, convallis tempor justo. Morbi et placerat lacus, quis pulvinar felis. Fusce vel ex ut magna tristique accumsan. Etiam dignissim felis eu ornare lacinia. Cras sed dolor lacus. Proin viverra nunc quis massa euismod, ut ullamcorper ante malesuada. Nullam enim leo, lobortis id risus in, tristique sodales mauris. Duis lobortis diam risus, eget elementum tellus maximus non. Proin a enim ac tellus rhoncus elementum eget in orci. Suspendisse ut lobortis metus. Duis at scelerisque augue.\r\n\r\nInterdum et malesuada fames ac ante ipsum primis in faucibus. Nulla mollis aliquam tellus, at rhoncus orci aliquet a. Etiam vulputate nulla nec justo tincidunt iaculis. Morbi dignissim urna sit amet turpis ultricies vulputate. Proin convallis eros hendrerit orci pellentesque hendrerit sed posuere tellus. Curabitur nisl ex, rhoncus a venenatis vitae, placerat luctus dui. Nullam ac blandit quam. Sed luctus ut purus posuere aliquam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Praesent in facilisis elit, ut aliquet enim. Phasellus eleifend quam sit amet efficitur bibendum. Duis in neque vel purus rutrum lobortis. Aliquam sodales urna eu cursus semper.\r\n\r\nPhasellus facilisis eget risus eu venenatis. Maecenas gravida elementum pulvinar. Nullam quis tellus tempus, tincidunt tortor sit amet, dignissim risus. Morbi malesuada aliquet nisi, non molestie justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed rhoncus eu dolor vitae vestibulum. Ut in metus id lacus posuere viverra. Maecenas a mi vel neque viverra laoreet. Nunc lobortis ut metus et auctor. Nunc sit amet porttitor metus. Aliquam orci massa, placerat vel consequat non, finibus vel tortor. ', '', 'full_html'),
('node', 'service', '0', '163', '163', 'en', '0', 'Aliquam porttitor fringilla nulla, nec blandit magna facilisis eget. Vivamus sit amet dapibus odio. Nunc luctus risus ac venenatis aliquet. Morbi ultricies nisi quam, at blandit ligula lacinia id. Phasellus at purus nec urna bibendum blandit. Integer vitae erat feugiat, accumsan libero in, sagittis urna. Phasellus id rutrum ex. Maecenas a magna eget massa ultrices facilisis. Praesent maximus tortor in gravida aliquet. Vivamus suscipit libero velit, a molestie ante ultricies ac. Mauris pulvinar nisi ullamcorper venenatis eleifend. Aliquam efficitur justo nec neque lobortis, eu pulvinar leo fringilla. Etiam a massa nunc.\r\n\r\nAliquam egestas odio nec lorem sodales, non aliquet tortor laoreet. Curabitur ultrices dolor nec sem faucibus rutrum. Mauris vel pulvinar ex. Cras dui enim, mollis et accumsan quis, eleifend a erat. Curabitur ac interdum lorem, eu volutpat felis. Morbi mattis odio at neque porttitor fermentum. Sed massa tellus, bibendum ac consectetur eu, molestie nec dolor. Suspendisse vitae odio ac neque egestas rhoncus in vel diam. Maecenas vehicula velit id ligula sagittis volutpat. Cras commodo orci enim, eu placerat lectus gravida a. Nam fermentum dolor nisl, euismod interdum ipsum auctor eget. Cras sapien quam, malesuada vel tristique a, ornare id est. Integer tellus turpis, aliquet eu efficitur molestie, lobortis non leo. Curabitur vel egestas lorem. Donec commodo vitae urna in eleifend.\r\n\r\nInteger eu elit pretium velit convallis euismod. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque auctor ipsum ac massa efficitur, vel tempor nunc interdum. Pellentesque quis sagittis dolor. In risus tortor, tempor pellentesque sodales eu, varius vel est. Nam et leo lectus. Aliquam ac mauris tempus, congue mi sed, dapibus leo. Aliquam erat volutpat. ', '', 'full_html'),
('node', 'service', '0', '164', '164', 'en', '0', 'Curabitur et ultricies est. Vivamus erat neque, tempus sit amet gravida a, commodo pellentesque purus. Phasellus nibh odio, auctor a varius vitae, sodales sit amet sapien. Praesent vitae lacus dictum, tincidunt turpis venenatis, egestas metus. Curabitur metus quam, venenatis vitae rutrum nec, efficitur a urna. In nec magna malesuada, sagittis turpis eget, posuere risus. Proin volutpat vestibulum nulla non convallis. Praesent nec lobortis elit. Suspendisse ac aliquet mi. In hac habitasse platea dictumst. Aenean sem enim, ullamcorper quis sagittis eget, maximus non massa. Aliquam scelerisque, urna in suscipit pulvinar, leo elit luctus risus, at sodales neque lorem a nulla. Pellentesque finibus posuere porta.\r\n\r\nPraesent volutpat libero magna, vitae aliquam enim placerat vel. Phasellus erat nulla, tincidunt nec rhoncus vitae, suscipit ac leo. Pellentesque bibendum tempor risus quis faucibus. Aliquam ultricies augue vel vestibulum feugiat. Integer malesuada sollicitudin faucibus. Nunc facilisis risus a pharetra convallis. Fusce vel pretium arcu.\r\n\r\nNam vehicula enim nec arcu aliquet molestie. Duis maximus nisi ac tincidunt consectetur. Morbi nec ipsum ut tortor ullamcorper posuere quis nec diam. Sed scelerisque interdum convallis. Suspendisse potenti. Quisque dapibus arcu eget nulla eleifend, sed ornare urna euismod. Aliquam convallis nulla leo, vel eleifend ipsum porttitor at. Sed rhoncus ante a turpis ultricies vehicula. Pellentesque blandit, est quis malesuada vehicula, neque eros placerat nulla, ut bibendum erat ipsum eget tortor. Suspendisse diam lacus, viverra vel vestibulum vel, elementum at massa. Donec ut diam euismod, cursus sem mollis, mollis justo. Integer euismod feugiat quam vel tristique. ', '', 'full_html'),
('node', 'service', '0', '165', '165', 'en', '0', 'Praesent luctus eleifend orci, vitae posuere ex aliquet sed. In eleifend, lorem eu rhoncus pulvinar, orci tellus sagittis augue, ut mollis neque eros sed mauris. Aliquam pretium consequat fermentum. Fusce tortor nulla, efficitur eu facilisis ut, tincidunt a ipsum. Vestibulum vestibulum lacus vitae felis aliquet maximus. Sed non ex vel orci pretium convallis. Etiam laoreet, turpis at tempus viverra, metus lorem elementum diam, ut imperdiet mi neque id felis. Duis sed elementum erat. Mauris nunc felis, congue in iaculis sed, rhoncus id tortor.\r\n\r\nMaecenas nec tellus dapibus, eleifend tellus eget, pretium dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nam aliquam, tortor ac efficitur rutrum, lectus lectus rutrum lacus, eu maximus arcu quam at massa. Etiam sodales nibh ac justo interdum faucibus. Integer iaculis placerat posuere. Nulla tempus tellus dictum rhoncus consectetur. Aenean a leo fermentum, dictum risus vel, dapibus neque. Cras quis facilisis velit. Suspendisse cursus sollicitudin pharetra. Morbi varius, massa nec efficitur malesuada, erat ex mattis lacus, sed tristique sapien lorem sed ex. Pellentesque euismod nunc vel nunc suscipit, nec sollicitudin lectus tincidunt. Curabitur lobortis, urna non volutpat varius, ligula velit maximus enim, egestas ultrices lacus nulla eget tortor. Proin lacus ante, vulputate in varius sit amet, congue nec nulla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed porttitor dictum metus, sed sagittis leo faucibus et.\r\n\r\nQuisque sit amet auctor dui. Sed eget fermentum turpis, vitae fermentum ligula. Vestibulum luctus vel diam sed elementum. Aenean maximus varius massa, et lobortis urna facilisis ac. Suspendisse nec tincidunt justo. Pellentesque enim massa, ultricies a eros vel, ornare malesuada sem. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quis lorem eleifend, ornare mi id, viverra ante. ', '', 'full_html'),
('node', 'service', '0', '166', '166', 'en', '0', 'Cras odio ante, commodo lobortis facilisis nec, rhoncus id felis. Nulla at sollicitudin mi. Nulla ac finibus lorem, sed consequat orci. Nunc consectetur ex et aliquet lacinia. Morbi ultrices laoreet ligula quis ultrices. Mauris a velit molestie, ultricies diam ut, iaculis metus. Fusce a placerat nunc. Aliquam erat volutpat. Duis non nulla a risus sodales gravida. Vivamus ipsum dui, pulvinar vitae tempor fermentum, laoreet consequat mi. Aliquam id velit vel ex eleifend aliquam nec quis enim. Nunc sed tellus sed urna sagittis lacinia non at nulla. Curabitur vitae venenatis tortor. Sed consectetur, leo vitae semper rutrum, enim ipsum commodo enim, quis semper tortor diam sed leo.\r\n\r\nAliquam aliquam at orci vitae vulputate. Cras nec consequat nisl, at pellentesque quam. Aenean consequat nibh nisi, ut varius libero tristique id. Quisque et congue urna. Vestibulum eu velit pellentesque, ultricies dolor quis, cursus leo. Proin euismod lorem vel suscipit convallis. Nunc tincidunt iaculis rutrum. In lobortis lectus purus. Aenean at accumsan ligula, egestas pharetra elit. Phasellus ornare sed orci eget vehicula. Sed sed pulvinar urna. Duis iaculis pellentesque ligula id vestibulum. Proin nunc diam, viverra quis volutpat volutpat, vehicula vitae dui. Duis arcu massa, euismod ac mi id, euismod aliquam neque. Phasellus malesuada fermentum mauris. Donec rhoncus accumsan nibh in eleifend.\r\n\r\nVivamus vel venenatis dolor. Nam at blandit mauris, eu auctor nibh. Praesent ornare erat arcu, eu tempus nisi maximus ac. Quisque bibendum aliquam libero a lacinia. Ut egestas elit nisl, eu consequat tellus ullamcorper vitae. Sed laoreet urna felis, in cursus elit efficitur ac. Sed fermentum leo ac dapibus laoreet. Nunc diam dolor, eleifend ac vestibulum ac, volutpat vitae neque. Curabitur porta ultricies vulputate. Nullam lobortis eros et feugiat ornare. Maecenas lobortis purus nisl. Sed commodo maximus viverra. ', '', 'full_html'),
('node', 'service', '0', '167', '167', 'en', '0', 'Integer turpis sapien, molestie et odio nec, interdum sollicitudin metus. Praesent convallis risus eu congue semper. Maecenas accumsan purus vel condimentum tempus. Integer varius metus nec ex interdum, sit amet tincidunt diam dignissim. Nullam tellus quam, hendrerit a dui nec, ullamcorper malesuada ipsum. Integer in pretium ligula. Vivamus pellentesque, risus vel imperdiet efficitur, leo nisl convallis ipsum, non semper augue dolor vel est. Vivamus lectus orci, placerat ac lacinia non, sollicitudin nec velit. Integer molestie, velit vitae iaculis cursus, ipsum ligula malesuada metus, in tristique eros orci ut augue.\r\n\r\nIn venenatis hendrerit mi. Nunc consequat eros sollicitudin ultricies lobortis. Nulla facilisi. Donec lacinia sapien a massa maximus aliquam. Donec sit amet augue sed tortor porttitor finibus ac ut erat. Sed efficitur ligula malesuada, gravida enim id, lobortis dui. Nullam tempor lacus nec nisi ultrices auctor. Nulla gravida vestibulum arcu, at condimentum felis rutrum sed. Curabitur porta felis non cursus ultricies. Proin non vulputate magna, eu rhoncus risus. Praesent vulputate, enim at rhoncus venenatis, metus ante consectetur lacus, et porta odio mauris ut leo.\r\n\r\nPraesent eu mauris non velit finibus auctor a et est. Proin vel neque ac sem pharetra gravida. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc ornare ligula eget purus iaculis aliquet. In ante diam, molestie eu risus eu, imperdiet lobortis velit. Vivamus ac hendrerit nulla. Suspendisse sagittis lorem vitae dolor fringilla tincidunt. Nam sit amet nisl porta lorem malesuada sollicitudin. Sed at semper orci. Duis commodo vitae velit nec luctus. Suspendisse felis sapien, cursus ut commodo et, malesuada et lacus. Mauris eleifend dui placerat nibh commodo semper. Duis ut placerat nunc. In auctor leo mauris, ut venenatis felis tempus eget. Aliquam blandit, tellus ut rhoncus placerat, quam augue convallis libero, scelerisque vulputate ante lacus eget lectus. ', '', 'full_html'),
('node', 'service', '0', '168', '168', 'en', '0', 'Curabitur tristique eu turpis nec sagittis. Quisque ac malesuada nunc, laoreet cursus sapien. Vivamus quis eros a tortor interdum mattis. Nunc et massa quam. Integer at iaculis urna, vel pulvinar tellus. Aenean egestas mattis nulla, malesuada eleifend erat aliquet eu. Aenean mi ipsum, semper a accumsan quis, tincidunt a eros. Duis fermentum massa sit amet ante porta, ac sodales nisi tristique. Suspendisse interdum consequat hendrerit. Nullam id suscipit mauris.\r\n\r\nVestibulum sit amet leo eget est maximus euismod. Suspendisse volutpat consectetur fringilla. Nullam rutrum quis arcu et laoreet. Nulla finibus porttitor est, ut tempus ligula facilisis vitae. Quisque risus felis, gravida non velit congue, molestie euismod purus. Quisque condimentum eleifend tincidunt. Donec vitae magna congue, aliquet magna ac, luctus justo. Quisque ac erat metus. Donec luctus et purus eget ultricies. Suspendisse cursus molestie tincidunt.\r\n\r\nFusce mattis sollicitudin nibh, volutpat suscipit ipsum ullamcorper id. Aenean lobortis euismod orci nec viverra. Vestibulum sit amet pellentesque diam. Fusce nisl massa, tincidunt in posuere sed, commodo quis nisl. Nullam molestie diam in gravida faucibus. Duis efficitur vel metus non egestas. In ullamcorper ligula nisl, in cursus ante vulputate at. Phasellus venenatis interdum tellus, id accumsan turpis volutpat et. Sed faucibus erat quis posuere malesuada. Mauris vestibulum leo quis massa ultrices, quis aliquet orci tempor. Cras et tortor ut mi egestas cursus ullamcorper dapibus massa. Curabitur ut magna feugiat, porttitor urna laoreet, dapibus lacus. Aliquam a justo leo. Mauris ac condimentum turpis. Maecenas pulvinar at leo vel interdum. Integer gravida lectus sit amet dolor ornare eleifend. ', '', 'full_html'),
('node', 'service', '0', '169', '169', 'en', '0', 'Pellentesque vitae fringilla ante. Cras aliquam feugiat volutpat. Vivamus dapibus id purus at venenatis. Suspendisse ut commodo libero. Praesent in luctus purus, vel scelerisque dui. Aliquam erat volutpat. Vivamus sed odio malesuada, placerat justo ac, congue lectus.\r\n\r\nQuisque lobortis elit urna, sed rutrum nibh congue ac. Nunc auctor, elit et pretium finibus, ex velit porttitor nulla, in tempor quam purus nec quam. Vestibulum vel consectetur felis. Sed lorem urna, pulvinar vel gravida nec, dignissim vel velit. Fusce aliquet venenatis odio ac fringilla. Fusce efficitur eros quis blandit finibus. Cras eu justo nisl. Donec ac fringilla sapien, eget euismod velit.\r\n\r\nAliquam erat ex, scelerisque id fringilla rhoncus, mollis eget ante. Pellentesque a urna viverra, sollicitudin libero eu, interdum ex. Mauris et fermentum neque. Nam malesuada egestas imperdiet. Nam tempus sagittis arcu, at consequat nunc gravida eget. Nullam pharetra dictum porta. Aliquam tempor nisl eu felis egestas, at tincidunt justo convallis. Mauris at consectetur tortor. Sed vel nibh velit. ', '', 'full_html'),
('node', 'service', '0', '170', '170', 'en', '0', 'Aenean sit amet blandit metus. In mattis ut tortor ut condimentum. Aenean viverra interdum elit, eu condimentum ex ullamcorper sed. Aliquam vitae tristique lacus, posuere maximus erat. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec dictum, turpis nec auctor molestie, ante metus porta elit, quis feugiat dui nibh sit amet sapien. Donec congue orci condimentum, euismod enim non, dapibus libero. Vestibulum consectetur, ex eu facilisis varius, enim lorem egestas ex, a volutpat ex est vitae massa. In eget diam sit amet ligula dignissim condimentum. Vivamus imperdiet et arcu eget eleifend. Maecenas id sem non felis molestie condimentum dictum nec orci. Fusce consequat sem risus, faucibus sodales turpis mattis et. Donec risus libero, semper ut sodales nec, interdum et velit.\r\n\r\nFusce tempus, tortor non fermentum sollicitudin, nibh arcu porttitor velit, vitae laoreet ipsum quam in massa. Cras nisl nisi, semper nec aliquet sit amet, rhoncus eget massa. Sed et ultricies ante. In venenatis nulla sed erat feugiat, ut dignissim tortor rhoncus. Maecenas vestibulum lobortis sem tempor ultricies. Nullam a interdum dolor, sed congue mauris. Maecenas fermentum purus elit, tincidunt consectetur elit ultrices vel. Sed in lacus at ante efficitur euismod.\r\n\r\nPellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi sollicitudin lectus quis tortor auctor ullamcorper. Interdum et malesuada fames ac ante ipsum primis in faucibus. Fusce ornare, erat a ullamcorper convallis, odio felis sollicitudin nunc, in auctor enim quam vel ipsum. Donec vel quam in diam faucibus consequat eget vel libero. Quisque sit amet justo eu magna bibendum pretium vel at diam. Phasellus fermentum odio sed vulputate eleifend. Nam dolor enim, sagittis quis scelerisque eu, tincidunt ac leo. Integer iaculis rhoncus dolor ac viverra. ', '', 'full_html'),
('node', 'service', '0', '171', '171', 'en', '0', 'Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla imperdiet ante vel quam fermentum, quis tristique erat porttitor. Vivamus vehicula, libero at blandit sollicitudin, arcu lacus dapibus elit, non mollis metus nisi commodo augue. Nulla facilisi. Proin bibendum vel massa eu malesuada. Curabitur at nisi et massa laoreet pretium. Praesent elementum ultricies mauris vitae pellentesque. Nullam ullamcorper ante sed enim aliquam fermentum. Phasellus commodo neque orci, quis elementum nisi cursus eu. Pellentesque quis lobortis leo, in porttitor quam. Nullam scelerisque felis ac ante eleifend, et condimentum arcu placerat. Aliquam at nulla in felis eleifend tristique.\r\n\r\nSed ullamcorper sit amet ex eget lacinia. Quisque mollis sapien ex, et semper dolor pretium at. Nulla ac risus sed nunc gravida auctor vel at velit. Duis molestie egestas lectus, id congue dui vehicula at. Donec molestie urna vel lorem pellentesque blandit. Cras consectetur, ipsum sed viverra fringilla, sapien diam scelerisque dolor, at semper tellus quam et augue. In placerat purus et quam auctor blandit. Mauris varius a tortor non iaculis. Integer volutpat accumsan tortor vitae pulvinar. Integer cursus, tellus vitae accumsan blandit, velit nulla efficitur ante, sit amet tempus metus turpis id purus.\r\n\r\nFusce viverra orci nec ante ullamcorper ultricies eu sit amet metus. Mauris nec tellus quis magna ullamcorper scelerisque vitae et lectus. Nulla id eros eu mauris malesuada rhoncus. Donec semper ligula mattis, finibus sapien sed, sagittis urna. Etiam euismod, erat facilisis sodales rutrum, orci nulla tincidunt lacus, in vehicula sem nibh sed ante. In blandit ipsum non rutrum molestie. Nullam rhoncus in diam id dignissim. Aenean in urna eros. Ut quis blandit sapien. Morbi auctor magna id lorem semper iaculis. Maecenas id augue a mi vehicula ultricies. In id orci tincidunt, pellentesque ligula eget, accumsan tellus. In hac habitasse platea dictumst. Donec ac pellentesque enim. ', '', 'full_html'),
('node', 'article', '0', '172', '172', 'en', '0', 'Fusce nibh ligula, porta et sem at, vehicula hendrerit dui. Mauris semper placerat est id pretium. Aliquam nec ultrices nibh. Nunc rutrum pellentesque enim, vitae placerat ipsum sollicitudin ut. Mauris malesuada magna at dui porttitor tempor. Etiam lobortis sem eget aliquam vehicula. Curabitur a libero sollicitudin, convallis neque id, aliquam metus. Nullam justo sem, varius nec ligula eget, varius pharetra neque. Vestibulum consequat magna libero, in placerat neque eleifend sed. Fusce vehicula, risus vel iaculis molestie, eros est convallis nunc, et elementum nunc odio quis est. Pellentesque scelerisque egestas convallis. Donec vitae mauris orci. Sed gravida nibh purus, sed ultricies est auctor eu. Nulla metus sem, sodales vel malesuada quis, maximus sit amet mauris. Vestibulum euismod, quam a efficitur interdum, orci ligula mattis lacus, quis tristique nunc neque sit amet magna. Etiam blandit porttitor dolor nec congue.\r\n\r\nAliquam lectus enim, vehicula ut magna a, fringilla pharetra sem. Vivamus lacinia arcu elementum purus tristique ornare. Maecenas non porta urna. Aenean iaculis lorem ut ligula egestas mollis. Fusce hendrerit pharetra turpis, in aliquam urna consectetur quis. Sed faucibus est eget arcu blandit, sit amet aliquet ipsum posuere. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas ullamcorper erat sit amet nisl tempus consectetur id a nunc. Nulla sollicitudin arcu ut mollis laoreet. Sed ultricies diam id nisi condimentum, eget fermentum erat fermentum. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam quis dolor id dui tincidunt rhoncus quis nec enim.\r\n\r\nPraesent et tortor quis lorem convallis volutpat et vitae dui. In nec nisl vitae mauris vehicula porttitor. Morbi at facilisis diam. Nunc sed lectus quis ipsum vestibulum interdum. Praesent placerat quis metus et lacinia. Vivamus vel congue erat, volutpat vestibulum nulla. Pellentesque aliquam ullamcorper posuere.\r\n\r\nVivamus hendrerit odio vitae iaculis porttitor. Phasellus mollis massa sapien. Aliquam fringilla sem nec tellus interdum, in lacinia dolor iaculis. Suspendisse a magna eleifend, suscipit justo eget, hendrerit ligula. Vivamus auctor pharetra dolor, ac sodales lorem sollicitudin in. Sed pretium nisl erat, sed ultricies sem porttitor nec. Curabitur malesuada diam et nunc aliquam, eget facilisis orci interdum. Nam placerat faucibus tempus. Nulla libero neque, bibendum vel ligula sit amet, condimentum volutpat quam. Donec viverra gravida neque, et ornare nibh posuere consequat. Donec fringilla felis eu ornare porta. Pellentesque et nulla diam. Vestibulum mattis et odio sit amet consequat.\r\n\r\nAliquam erat lorem, accumsan nec turpis non, finibus feugiat nulla. Vivamus semper arcu vel elementum euismod. Sed porttitor sagittis arcu, eget auctor arcu tempor ac. Aenean porta sodales nisl, vitae auctor orci porta in. Donec eros libero, vehicula id pulvinar sed, dignissim sodales nibh. Curabitur vehicula eu nibh id bibendum. Donec aliquet, massa et faucibus varius, lectus leo euismod lectus, non facilisis metus orci fringilla felis. Proin ut ipsum vitae purus pellentesque maximus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras ac sapien ultricies elit tempus fringilla vel id purus. Sed vestibulum faucibus facilisis. Donec sed tellus eget nisl tincidunt volutpat. Sed condimentum consequat odio, at euismod massa. Maecenas leo dolor, egestas ut magna id, gravida fringilla ante. ', '', 'full_html'),
('node', 'video_entry', '0', '174', '174', 'en', '0', 'Nullam tempor massa metus, a elementum mauris interdum ac. Phasellus mi nisi, varius vel rutrum id, fermentum sit amet diam. Aliquam finibus viverra mauris, ac elementum mauris ornare vel. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Etiam ac velit ac ligula pharetra fermentum non et dolor. Etiam sem eros, sodales in feugiat sit amet, sodales ac felis. Etiam rutrum, felis eu convallis elementum, metus leo rhoncus lectus, ac placerat neque nisl sed augue. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Etiam id magna rutrum, porta purus eget, accumsan ante. In nec nibh ultrices, consequat ligula quis, scelerisque elit. Cras faucibus dolor non aliquet consequat. In vel pretium erat, at tristique lectus. Cras eu arcu sit amet mauris pulvinar dignissim non eu risus.\r\n\r\nMaecenas neque turpis, rhoncus et massa at, cursus commodo mi. Suspendisse sit amet ipsum convallis, fermentum ante a, gravida tortor. Aenean sit amet viverra urna. In molestie gravida sem, eget blandit nibh consequat a. Nam eget quam malesuada, elementum urna in, elementum urna. Vivamus vestibulum interdum nibh ac consectetur. Etiam tortor justo, sagittis quis aliquam vitae, ultricies nec libero. Integer sed efficitur sem. Etiam metus dui, semper at lacus laoreet, laoreet ornare mi.\r\n\r\nCurabitur fringilla consectetur est id ultricies. Pellentesque sit amet mauris vel nibh sagittis sodales. Integer lacinia elit sed semper porttitor. Donec dolor tellus, imperdiet non sem et, consequat pharetra nibh. Proin a pretium mauris. Aliquam luctus mollis mi. Morbi maximus, diam sit amet lacinia tempus, purus massa varius odio, quis dapibus urna justo non neque. Donec convallis enim eu eros eleifend molestie. In suscipit ipsum sit amet ligula hendrerit, non feugiat nisl egestas. Praesent imperdiet leo et pulvinar fringilla. Sed scelerisque eros eget arcu aliquet, quis consectetur risus condimentum. Pellentesque placerat ligula a mauris imperdiet, eu dictum lorem posuere. Pellentesque bibendum non elit ut vehicula. Etiam at rutrum quam.\r\n\r\nNunc viverra diam et ante venenatis auctor in eget justo. Integer nec odio porta, scelerisque tellus vitae, tempor lacus. Pellentesque maximus risus vitae nulla vehicula aliquet. Mauris interdum, odio eu efficitur scelerisque, arcu leo vestibulum elit, sed ullamcorper ligula diam eget tellus. Donec eget urna mauris. Nunc ut erat volutpat, malesuada turpis eu, pharetra mauris. Cras eu dui nec sapien dignissim molestie eu sed libero. Nulla porta euismod blandit. Nam facilisis dapibus quam quis porttitor.\r\n\r\nMaecenas in sapien vitae neque venenatis ornare ac et massa. Duis vel orci tortor. Maecenas vel tincidunt tellus. Aliquam imperdiet nibh egestas nunc ultrices porta. Vivamus blandit turpis non metus iaculis suscipit. Vestibulum lobortis risus in ante cursus, sit amet interdum lectus lacinia. Fusce molestie nisl ligula, ut gravida risus ornare eget. Vivamus sed cursus sem. Fusce accumsan mollis ipsum sit amet cursus. ', '', 'full_html'),
('node', 'project', '0', '175', '175', 'en', '0', 'Duis facilisis felis ac dui interdum, sit amet efficitur felis sollicitudin. Vestibulum fermentum lobortis iaculis. Sed vestibulum pretium ante, efficitur porta justo rutrum at. Nam nec tortor lectus. Ut sem sem, volutpat a ex vel, lobortis auctor leo. Vestibulum sagittis placerat diam sed gravida. Fusce vel efficitur dui. Maecenas nunc nibh, molestie quis pellentesque et, suscipit elementum velit. Donec finibus iaculis euismod. Proin ornare hendrerit neque ut porttitor.\r\n\r\nMorbi in urna auctor neque convallis volutpat. Morbi felis ipsum, rutrum a metus sit amet, mattis vestibulum lorem. Aliquam feugiat, magna sed gravida dictum, ante diam posuere tortor, eu dapibus ante quam non ante. Phasellus ut iaculis odio, quis auctor nisl. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc vehicula id odio et scelerisque. Duis mollis felis id neque pellentesque hendrerit. Pellentesque pulvinar viverra neque. Vivamus quis consectetur dolor. Etiam vehicula vitae neque ac dictum.\r\n\r\nVivamus dictum nisl ut augue mollis convallis. Etiam tristique auctor tortor. Sed ante odio, congue vel augue id, gravida sagittis felis. Mauris venenatis lobortis elit, ac porttitor tellus placerat eu. Pellentesque viverra consectetur pharetra. Quisque libero quam, feugiat id erat in, bibendum consectetur tortor. Aenean sodales dolor non mi imperdiet volutpat. Integer et vestibulum lorem. Pellentesque at ligula vitae dui commodo maximus.\r\n\r\nFusce rhoncus mollis lectus vitae ultricies. Nulla quis vulputate nibh, in condimentum diam. Proin odio ipsum, pulvinar rutrum elit sed, consectetur bibendum diam. Aenean vel neque lacinia, ultrices lorem nec, cursus quam. Praesent convallis ipsum sed scelerisque pulvinar. Quisque a leo nibh. Morbi accumsan at odio nec mollis. Duis scelerisque accumsan felis, vitae faucibus turpis porttitor vitae. Duis placerat consequat euismod. Nam malesuada mauris felis, ut tempus est imperdiet id. Morbi consequat sem vitae urna eleifend aliquam. Vivamus ut efficitur turpis, at efficitur massa. Phasellus semper luctus diam, ut lobortis mauris venenatis nec. Etiam et ex sit amet massa iaculis euismod in a erat. Phasellus ultricies viverra bibendum. Maecenas ac feugiat nisl, vitae varius purus.\r\n\r\nEtiam ut mauris sed purus pulvinar dapibus. Phasellus finibus tellus nec blandit lobortis. Sed porta lorem sed nisl lobortis viverra ac quis risus. Cras vitae neque nisi. Donec ac egestas eros. Quisque hendrerit vulputate est a tristique. Ut cursus eget ante sit amet ultrices. Fusce nec turpis vitae purus sodales congue. Etiam viverra neque et rhoncus gravida. Nulla euismod felis et augue congue, id fringilla ligula auctor. Vivamus eget magna laoreet, vestibulum dolor in, commodo massa. ', '', 'full_html');
INSERT INTO `field_revision_body` VALUES
('node', 'project', '0', '176', '176', 'en', '0', 'Aliquam magna felis, sagittis nec interdum sed, volutpat sit amet libero. Suspendisse quis est dui. Pellentesque sed porta mi, ut varius magna. Donec at molestie nibh, et posuere dolor. Duis mauris sapien, tincidunt porttitor sollicitudin eu, posuere vel dui. Phasellus eget erat nec erat pretium pharetra. Nam vestibulum id felis non commodo. Nunc vitae odio sagittis, laoreet dolor eget, iaculis est. Nullam ullamcorper urna vel nisi malesuada, et accumsan ipsum vulputate. Aenean rhoncus velit vitae leo mattis venenatis.\r\n\r\nDonec finibus imperdiet viverra. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla magna lectus, tempor consectetur vestibulum semper, sodales vitae mi. Nam suscipit condimentum orci, vitae consectetur ligula euismod in. Cras ultricies lorem leo, in consequat odio dapibus non. Donec in ex at est vehicula semper. Cras varius gravida nunc, vitae faucibus turpis consectetur non. Pellentesque condimentum iaculis mauris eget auctor. Donec at luctus turpis. Vivamus eleifend dui vitae molestie laoreet. Proin ut est tellus. Suspendisse elementum molestie arcu. Ut tincidunt rhoncus sapien vitae aliquet.\r\n\r\nSuspendisse dapibus enim non dignissim semper. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Curabitur ultricies ex vel erat mattis, vitae vulputate elit pulvinar. Praesent volutpat luctus tortor, semper varius lectus. Vestibulum ultrices arcu diam, quis maximus massa cursus sit amet. Phasellus vehicula luctus ipsum, vel elementum ex viverra in. Phasellus vel magna id risus bibendum condimentum. Fusce feugiat neque non erat tincidunt mollis. Phasellus lobortis tortor in ex aliquam, et efficitur magna commodo. Morbi sit amet porttitor nisi, vel vestibulum tortor. Integer mattis nisi quis ultricies facilisis.\r\n\r\nMaecenas sodales in sapien ac pretium. Nam efficitur mauris magna, at interdum nibh pellentesque lobortis. Donec mattis nec est in egestas. Praesent magna mi, pulvinar sit amet euismod at, pharetra id ante. Donec et sollicitudin purus. Etiam tristique odio eu consequat lacinia. Donec diam urna, pulvinar in nisi at, dapibus ultrices metus. Nullam et interdum lorem. Sed nec posuere magna, in porta felis. Phasellus massa turpis, ullamcorper sit amet consequat id, ultrices a nulla. Aliquam erat volutpat. Morbi convallis turpis nisi, quis pellentesque felis pretium ac. Vestibulum tincidunt porttitor metus, non maximus urna. Vestibulum elementum malesuada tristique. Mauris ut nunc eget ex porttitor volutpat.\r\n\r\nIn at justo at risus eleifend malesuada vitae ac justo. Morbi tincidunt tincidunt tempus. Sed a augue interdum, fermentum leo et, posuere ex. Nullam felis eros, imperdiet nec magna tristique, semper vulputate enim. Nullam sagittis facilisis velit, a lobortis eros vehicula sed. Nulla urna dolor, tempor ac dui id, sagittis pretium nisl. Nunc vel nibh a urna ullamcorper tempor ut non leo. In sed felis sagittis, imperdiet odio eu, egestas enim. Pellentesque consequat, purus non pellentesque congue, ipsum velit feugiat metus, nec pharetra leo dui sed dui. Curabitur lacinia facilisis velit, vel semper ante aliquam vel. Nulla tempus dui nec dolor bibendum tincidunt. Donec vel feugiat libero. ', '', 'full_html'),
('node', 'project', '0', '177', '177', 'en', '0', 'Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed sem risus, sagittis finibus tincidunt at, sagittis a mi. Aenean nunc tellus, ultricies quis mauris et, commodo varius quam. Ut cursus enim nec ex tincidunt fermentum. Vivamus tempor consequat tortor, eu feugiat est mattis id. Ut elementum elit quam, luctus rhoncus arcu euismod a. Etiam sit amet quam a nisi congue accumsan in eget magna. Nulla nec ex eget nisi hendrerit convallis ut at nulla. Ut scelerisque urna tortor, nec malesuada elit suscipit quis. Vestibulum vitae elit at justo dictum tempor. Suspendisse potenti.\r\n\r\nSed quis mauris a quam feugiat tempor. Pellentesque non condimentum metus. Maecenas nec ipsum volutpat, ornare nunc a, elementum urna. Ut ut ipsum ante. Proin venenatis mollis elit. Mauris vitae finibus lorem. Nunc dictum rutrum eros quis vestibulum. Quisque bibendum nunc at tincidunt pharetra. Nunc faucibus lectus vestibulum dictum bibendum. Mauris in mauris et ligula pharetra pulvinar vitae ac lorem. Cras accumsan elit diam. Nunc at elementum ex.\r\n\r\nMaecenas ligula ex, varius in pretium id, mattis in enim. Pellentesque egestas sollicitudin turpis condimentum molestie. Etiam sit amet augue id lorem venenatis aliquet. Proin interdum, tortor vitae volutpat accumsan, libero turpis sollicitudin magna, nec faucibus nibh turpis ut turpis. Donec tristique suscipit nunc ut venenatis. Integer fermentum molestie suscipit. Pellentesque ac tortor ac tortor suscipit semper. Aenean sed sem non nulla vulputate tristique eget non felis. Nulla tempus non dolor sit amet mollis.\r\n\r\nFusce fermentum velit eget lorem ornare semper. Fusce sagittis, eros sed commodo tempus, ipsum velit tempus arcu, eget porttitor lectus odio sit amet lorem. Mauris sit amet euismod nisl. Fusce sed metus id ligula cursus sodales quis sit amet dolor. Donec vel mattis tellus, a commodo nisl. Quisque sed nisi a purus dignissim eleifend nec faucibus ipsum. Fusce urna enim, cursus ac interdum in, mollis in lectus.\r\n\r\nMaecenas vel dolor non sem vehicula bibendum. Morbi blandit risus vitae eros tristique ultricies. Vestibulum vitae tincidunt libero. Donec at ultrices sapien. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris vitae nisl in leo iaculis egestas. Sed viverra, nisl ut porttitor tristique, metus magna tristique erat, ultrices viverra mauris turpis nec ipsum. Aliquam vestibulum porta dolor, eget sollicitudin lacus blandit et. Proin id erat vitae turpis varius facilisis nec ut erat. ', '', 'full_html'),
('node', 'project', '0', '178', '178', 'en', '0', 'Aliquam erat volutpat. Aenean consequat odio sit amet nunc lobortis gravida. Nullam velit tortor, suscipit convallis dolor bibendum, iaculis porttitor sem. Sed at dapibus lectus. Cras vitae velit pulvinar, rhoncus magna non, egestas magna. Nullam ullamcorper consequat ex, vitae faucibus ex ullamcorper eget. Integer cursus eleifend convallis. Nunc ac nulla a arcu lacinia lacinia. Nulla dictum, orci ut interdum rutrum, dolor velit posuere est, in aliquet quam mi id velit.\r\n\r\nVivamus feugiat varius malesuada. Etiam vitae eros ac erat porttitor bibendum nec sit amet velit. Proin egestas nisi ipsum, vel aliquet nisi hendrerit non. Vivamus posuere id arcu tincidunt bibendum. In in augue vel sapien posuere mollis non at lectus. Sed maximus turpis eu lacus tristique aliquam. Sed egestas porttitor tincidunt. Aliquam diam eros, facilisis id sagittis eget, eleifend et velit. Sed vitae ultrices nunc. Mauris mattis nunc eu leo tincidunt scelerisque. Vivamus lobortis posuere euismod. Integer vitae semper erat. Vivamus id nisl at tellus egestas vestibulum. Nullam ut lobortis turpis, ut fermentum massa. Cras eget dui nibh. Sed non diam sapien.\r\n\r\nDonec sit amet consequat neque. Aenean ac sollicitudin urna, ac congue massa. Aliquam quis suscipit nulla, quis dignissim velit. Pellentesque lacinia cursus risus sit amet pellentesque. Praesent at volutpat tortor, quis consequat nibh. Suspendisse sit amet risus ut ex porta dignissim dictum sed sem. Curabitur vel feugiat libero. Nam laoreet sagittis lacinia. Nam commodo ultricies malesuada. In hac habitasse platea dictumst. Interdum et malesuada fames ac ante ipsum primis in faucibus. Aenean ultrices vulputate sapien, quis fringilla urna.\r\n\r\nEtiam id massa non purus finibus porttitor tincidunt a urna. Mauris dapibus viverra eros, vel rutrum est auctor sit amet. Nam non dolor nec metus molestie finibus. Pellentesque quis tincidunt justo. Nunc a facilisis diam. Integer finibus eros sit amet cursus luctus. Suspendisse non luctus diam. Curabitur sagittis eu leo vitae porta. Phasellus facilisis hendrerit diam et mollis. Etiam quis aliquam dolor, a imperdiet nisi. Duis ut ultrices nibh. Nullam ultricies, lacus in porta maximus, nunc velit porttitor est, ac elementum tellus libero nec tellus. Sed dignissim lacus sem, eget efficitur justo pharetra a.\r\n\r\nDonec rutrum non erat at eleifend. Morbi ac neque ac lorem volutpat lacinia vitae in sem. Aliquam erat volutpat. Quisque tortor neque, rutrum in porta sed, condimentum vel nibh. Curabitur varius laoreet justo, a cursus tellus lacinia ut. Praesent eget metus mauris. Nulla tincidunt justo id nulla condimentum euismod. ', '', 'full_html'),
('node', 'project', '0', '179', '179', 'en', '0', 'Donec tempus erat quis nunc porta consequat. Quisque sed pretium ex, eu vestibulum arcu. Curabitur lacus ex, congue in viverra volutpat, hendrerit id dolor. Quisque faucibus neque nec auctor ornare. Praesent sodales orci at lectus dignissim facilisis. Curabitur dui velit, ultricies quis mi vel, commodo placerat orci. Pellentesque at sollicitudin magna. In gravida sodales nibh, sit amet tempus diam aliquet sed. Curabitur blandit tellus quis sem maximus, ut gravida ligula venenatis. Donec aliquet velit quis magna aliquet malesuada. Aenean sodales iaculis vehicula. Proin placerat pretium aliquet. Nam in pulvinar erat. Vivamus accumsan justo eget neque scelerisque, quis faucibus nisi dictum. Integer ac consectetur est, ut efficitur felis.\r\n\r\nCurabitur ut mollis turpis. Sed sit amet lectus sit amet leo fermentum mattis ut ac ante. Nam enim justo, faucibus in erat ac, laoreet maximus massa. Nulla a nibh odio. Donec mattis augue in lorem viverra scelerisque. Morbi vitae mi in felis feugiat commodo. Nulla scelerisque auctor diam, eget hendrerit metus vestibulum nec. Donec maximus commodo leo vitae porta.\r\n\r\nNunc risus mauris, sodales iaculis aliquam eget, dignissim a tortor. Nulla molestie tincidunt urna, eget ullamcorper odio vulputate quis. Quisque magna ipsum, rutrum ut velit a, sagittis lacinia nibh. Nam ut eros a justo ullamcorper venenatis. Etiam nec rutrum neque. Vestibulum dictum ligula in urna convallis fringilla. Duis lacinia velit neque, in feugiat sem lacinia ac. Donec fringilla, leo et placerat venenatis, ligula lorem maximus risus, at malesuada tortor lacus sed est. Nam a purus quis massa efficitur viverra sit amet non erat. Curabitur nec lobortis tortor, sed pretium nisi. Mauris dui justo, tristique at lectus eget, interdum vehicula arcu.\r\n\r\nSed mattis fringilla tortor, quis commodo odio commodo in. Nam rutrum turpis turpis, non venenatis justo interdum non. Nulla risus erat, tristique ut dolor quis, vulputate consequat nibh. Fusce placerat elementum odio cursus lacinia. Curabitur a tristique lacus. Morbi vitae enim sit amet massa tempor finibus. Nunc laoreet iaculis mi in sagittis.\r\n\r\nPraesent laoreet, urna eu pellentesque porttitor, enim augue finibus erat, at pharetra elit elit ut lacus. Integer malesuada enim in dignissim varius. Integer iaculis maximus purus, ac maximus erat eleifend non. Vestibulum aliquam nisi ac ipsum rutrum lobortis. Nulla non tincidunt felis. Nam ornare auctor nunc, eget lobortis lorem rutrum at. Aenean eu sodales leo, commodo viverra dui. Morbi sodales et arcu non venenatis. Suspendisse potenti. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum vel felis eget mauris laoreet tincidunt. Proin tincidunt nec libero ut elementum. Integer sapien lorem, elementum id consectetur commodo, mattis eu orci. Suspendisse pharetra, metus ut interdum scelerisque, arcu ex vulputate justo, at volutpat neque risus eu tortor. Duis aliquam erat quam, eu luctus nibh varius luctus. ', '', 'full_html'),
('node', 'tariff_plan', '0', '183', '183', 'en', '0', 'Nulla sem libero, consectetur nec tellus semper, maximus auctor lectus. Pellentesque sed velit eros. Curabitur aliquet viverra diam non vestibulum. Pellentesque lobortis lacus ac turpis convallis, id tempor tortor imperdiet. Duis ut mi suscipit, varius elit sed, venenatis enim. Ut dignissim lectus vitae metus ornare, vitae fringilla leo convallis. Cras nisi nibh, faucibus in gravida a, dignissim ut dui. Maecenas in commodo velit, a consequat neque. Morbi at dui vitae dolor pretium dictum. ', '', 'full_html'),
('node', 'tariff_plan', '0', '184', '184', 'en', '0', 'Nulla sollicitudin at felis eu imperdiet. Morbi tincidunt enim at diam malesuada, in varius velit posuere. Quisque iaculis hendrerit pretium. Donec mollis ex ipsum, nec feugiat urna posuere ut. Integer sem nisl, lacinia id magna nec, gravida tempor dui. Nulla tristique congue nulla. Vestibulum ultricies magna nunc, at semper neque dictum id. Proin mollis augue in dolor hendrerit volutpat. Fusce consequat euismod libero vitae efficitur. Aenean libero massa, pellentesque quis lobortis non, pellentesque et ligula. Vestibulum nec finibus lectus. ', '', 'full_html');
/*!40000 ALTER TABLE field_revision_body ENABLE KEYS */;

--
-- Table structure for table 'field_revision_comment_body'
--

CREATE TABLE IF NOT EXISTS `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)' COMMENT='Revision archive storage for field 1 (comment_body)';

--
-- Dumping data for table 'field_revision_comment_body'
--

/*!40000 ALTER TABLE field_revision_comment_body DISABLE KEYS */;
INSERT INTO `field_revision_comment_body` VALUES
('comment', 'comment_node_forum', '0', '1', '1', 'und', '0', 'Fusce porttitor porta tortor pulvinar iaculis. Nulla facilisi. Etiam semper hendrerit lectus, sit amet ultricies augue porta ut. Praesent vitae dolor vitae felis congue mollis. Nulla fermentum augue sit amet sem luctus dignissim. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In dignissim tincidunt mollis. Sed sed massa lorem, sed laoreet est. Pellentesque sit amet orci sed arcu euismod posuere id in nisl. Aenean in quam tortor. Curabitur consequat metus ut nulla viverra tincidunt. In hac habitasse platea dictumst. Suspendisse hendrerit, quam a dignissim pellentesque, turpis risus bibendum massa, quis lacinia sem sem eget est. Praesent magna nisi, dignissim laoreet hendrerit lobortis, gravida non velit. Nullam ut velit augue. Mauris mattis tellus elit, et vehicula purus. Nulla eros libero, pretium id elementum id, euismod non risus. Donec enim nisi, luctus quis vestibulum eu, dapibus quis nisi. Cras porttitor sem sit amet metus fermentum pretium.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '2', '2', 'und', '0', 'Suspendisse potenti. Fusce diam risus, mattis sit amet pretium in, feugiat sed purus. Vivamus in lectus tellus. Nam justo leo, placerat sit amet imperdiet ut, accumsan quis nulla. Donec tristique tristique massa at malesuada. Nulla eleifend ultricies tempus. Nulla dapibus tempus pulvinar. Nullam urna sem, vestibulum ac porttitor sit amet, semper ut dui. Etiam at turpis sed risus auctor molestie eget quis lectus. Donec lacus tortor, condimentum nec pharetra et, adipiscing a sapien. Nulla ac ante diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus bibendum euismod lobortis. Phasellus semper elementum quam a iaculis. Morbi tristique diam id ante sagittis rutrum.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '3', '3', 'und', '0', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut egestas ante ac nunc dignissim vitae blandit lectus vulputate. Aliquam ultrices cursus scelerisque. Nullam interdum facilisis eros ut dignissim. Morbi luctus ultrices eros, vel varius urna facilisis nec. Aliquam vulputate placerat velit id semper. Fusce nisi ante, pulvinar rutrum semper non, imperdiet quis urna. Duis blandit, lacus eget pretium blandit, justo orci molestie turpis, sit amet tincidunt justo lacus eget augue. Etiam sodales egestas tincidunt. Quisque et est tellus, eu commodo eros. Phasellus sed est nisl, vel posuere massa. Fusce eu diam nec eros elementum congue a a augue. Donec tempus velit id leo vestibulum luctus. Quisque mattis, orci eget feugiat volutpat, dui orci lobortis metus, quis elementum leo urna quis urna. Nullam et dolor urna. Praesent tincidunt velit at mauris pharetra sit amet rhoncus enim sollicitudin. Morbi non aliquet nisl.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '4', '4', 'und', '0', 'Quisque nec libero eu urna volutpat cursus. Quisque elit velit, consequat at fringilla quis, tincidunt ac nisi. Donec consequat nisl nec leo vulputate nec fermentum sapien porttitor. Aliquam hendrerit faucibus diam, at dictum quam euismod at. Sed luctus tempus libero, vitae viverra est laoreet sit amet. Duis sit amet neque dui, eu rutrum urna. Nunc purus urna, hendrerit id suscipit nec, pulvinar quis justo. Pellentesque id purus vel nibh iaculis iaculis. Suspendisse non ante eros. Duis condimentum tempor nulla at venenatis. Quisque tristique dui sit amet lorem vulputate eget eleifend ipsum sodales.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '5', '5', 'und', '0', 'Etiam ornare, tellus quis facilisis eleifend, sem enim ultrices sem, ut convallis eros massa sed mauris. Nulla facilisi. Quisque eu neque eu erat bibendum pharetra a sit amet tortor. Fusce a augue ante. In hac habitasse platea dictumst. Aliquam eu purus eu lorem placerat aliquam. Proin in ante vitae diam cursus condimentum. Donec commodo nunc eu enim placerat ut tempor tortor feugiat. In porttitor lacinia mi sed condimentum. Nam imperdiet sapien fringilla felis auctor faucibus. Morbi feugiat dui vel mi facilisis eu molestie nisl sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent nisl nisi, bibendum pulvinar blandit non, pretium vitae metus. Quisque turpis justo, facilisis in semper at, semper in urna. Vivamus pellentesque sollicitudin erat at iaculis. Quisque ullamcorper nunc at enim convallis vehicula. Fusce vel mi ante. Aenean quam libero, elementum et varius in, eleifend hendrerit eros.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '6', '6', 'und', '0', 'Fusce gravida consectetur mi non tincidunt. Sed dictum lacinia mauris, sed tempus ligula blandit ac. Nam et posuere quam. Integer dui orci, vulputate et pulvinar lobortis, lacinia vel elit. Duis accumsan scelerisque arcu, sit amet lacinia urna faucibus sit amet. Pellentesque sed est mollis purus ornare gravida. Pellentesque interdum justo vel urna pretium tempor. Maecenas sed sapien arcu, sit amet tempus eros. Pellentesque cursus tempus facilisis. Cras auctor mauris a sem vestibulum fermentum.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '7', '7', 'und', '0', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam euismod viverra volutpat. Praesent orci neque, pellentesque tempus pharetra quis, laoreet eget dolor. Ut adipiscing auctor dignissim. Nam eu odio sit amet lacus accumsan congue. Ut tempor est condimentum urna posuere porttitor. Mauris orci purus, adipiscing non cursus at, lacinia et quam. Integer ullamcorper leo sit amet nulla venenatis sit amet vehicula diam pulvinar. In hac habitasse platea dictumst. Suspendisse ante sapien, gravida semper pretium sit amet, sollicitudin id eros. Donec eget tellus sit amet magna malesuada consectetur. Pellentesque luctus leo mi. Suspendisse vulputate auctor magna tempus scelerisque. Vivamus vehicula rhoncus erat ut luctus. Mauris sed dui id lorem ornare consectetur ac lacinia tortor. Maecenas nunc leo, placerat eget rhoncus a, pellentesque at erat.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '8', '8', 'und', '0', 'Etiam ornare, tellus quis facilisis eleifend, sem enim ultrices sem, ut convallis eros massa sed mauris. Nulla facilisi. Quisque eu neque eu erat bibendum pharetra a sit amet tortor. Fusce a augue ante. In hac habitasse platea dictumst. Aliquam eu purus eu lorem placerat aliquam. Proin in ante vitae diam cursus condimentum. Donec commodo nunc eu enim placerat ut tempor tortor feugiat. In porttitor lacinia mi sed condimentum. Nam imperdiet sapien fringilla felis auctor faucibus. Morbi feugiat dui vel mi facilisis eu molestie nisl sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent nisl nisi, bibendum pulvinar blandit non, pretium vitae metus. Quisque turpis justo, facilisis in semper at, semper in urna. Vivamus pellentesque sollicitudin erat at iaculis. Quisque ullamcorper nunc at enim convallis vehicula. Fusce vel mi ante. Aenean quam libero, elementum et varius in, eleifend hendrerit eros.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '9', '9', 'und', '0', 'Sed ornare ipsum id libero interdum vel eleifend neque egestas. Mauris sodales urna vitae felis placerat venenatis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed justo magna, sagittis nec consequat id, placerat sit amet magna. Praesent lacus metus, aliquet ut sodales et, porta ut nunc. Nulla id massa in erat imperdiet pulvinar. Duis ut metus in mi volutpat convallis et id mi. Fusce in mi sit amet augue faucibus elementum. Praesent odio tortor, tincidunt ac lacinia sit amet, pellentesque id dolor. Ut pretium imperdiet sem, non ornare sem pretium ut. Maecenas sit amet arcu nisi.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '10', '10', 'und', '0', 'Suspendisse convallis, risus a tempor gravida, purus nunc condimentum lorem, eget lacinia lectus augue eget ante. Cras aliquet luctus sapien, sed euismod mi porttitor ut. Nam vulputate, nulla eu tincidunt convallis, leo neque elementum leo, sit amet vulputate libero lectus in mauris. Praesent arcu ipsum, rhoncus nec tincidunt quis, rutrum a augue. Fusce congue, lacus nec pharetra venenatis, risus sapien congue purus, non dictum tellus sem id enim. Donec imperdiet pharetra tempus. Duis ac augue nec urna iaculis aliquet. Sed malesuada semper mauris, id cursus velit convallis rutrum. Phasellus pulvinar, nulla a condimentum varius, enim tortor porttitor sem, adipiscing fringilla felis massa vitae mi. Pellentesque vestibulum elit non turpis convallis scelerisque. Integer scelerisque scelerisque lorem, nec aliquam turpis molestie nec.', 'filtered_html'),
('comment', 'comment_node_forum', '0', '11', '11', 'und', '0', 'Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris sed tempor arcu. Suspendisse potenti. Fusce a nibh sed libero faucibus faucibus. In hac habitasse platea dictumst. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam ac velit ligula. Aliquam aliquam est vitae dui faucibus consectetur non at sapien. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Suspendisse velit ligula, faucibus ac elementum vel, sagittis vitae sapien. Sed nec sem ut dui venenatis lobortis. Phasellus et lorem vitae mi aliquet tincidunt. Nunc et sodales nulla. Donec eu diam a ante condimentum lobortis.', 'filtered_html'),
('comment', 'comment_node_blog', '0', '16', '16', 'und', '0', '<p>Curabitur mauris tortor, laoreet et consectetur non, <a href="#">rhoncus sed risus</a>. Donec nisi enim, adipiscing <strong>quis convallis</strong> eu, elementum a urna. Maecenas sit amet metus sem. Sed non est ligula, sit amet vehicula nunc. Maecenas sed quam non urna tincidunt pellentesque ac ut enim. Vestibulum arcu tortor, vulputate nec semper id, commodo eget lacus. Integer mi dolor, malesuada in ullamcorper ut, tincidunt eu arcu. Mauris dictum, libero id rutrum vehicula, est l<strong>igula sagittis urna</strong>, ut convallis purus <strong>purus at dolor</strong>. <em>Praesent nec vehicula</em> tortor. Nulla facilisi. Curabitur mauris sapien, interdum id consequat et, lobortis ut ipsum. Vestibulum tempus augue eu est malesuada viverra. Nunc mattis fermentum metus, a consectetur magna egestas lobortis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi <em>non mauris ligula</em>. Suspendisse facilisis <a href="#">sagittis mauris</a>, ac dictum elit fringilla ut.</p>', 'full_html'),
('comment', 'comment_node_blog', '0', '17', '17', 'und', '0', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque cursus, sem eget sagittis sagittis, nisl magna sodales eros', 'full_html'),
('comment', 'comment_node_blog', '0', '19', '19', 'und', '0', 'Etiam aliquet neque massa, eu lobortis justo tincidunt in. Donec tincidunt dui ut erat consectetur vulputate.', 'full_html'),
('comment', 'comment_node_blog', '0', '21', '21', 'und', '0', 'Vestibulum quis nibh et turpis rhoncus lobortis. Nunc accumsan, elit gravida mattis eleifend, nunc massa euismod urna, quis luctus sem turpis a nulla. In facilisis, ipsum ut sodales luctus, urna odio dapibus nibh, vel porta diam magna non diam. ', 'full_html');
/*!40000 ALTER TABLE field_revision_comment_body ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_coupon_code'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_coupon_code` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_code_value` varchar(255) DEFAULT NULL,
  `commerce_coupon_code_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_coupon_code_format` (`commerce_coupon_code_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 115 (commerce_coupon...' COMMENT='Revision archive storage for field 115 (commerce_coupon...';

--
-- Dumping data for table 'field_revision_commerce_coupon_code'
--

/*!40000 ALTER TABLE field_revision_commerce_coupon_code DISABLE KEYS */;
INSERT INTO `field_revision_commerce_coupon_code` VALUES
('commerce_coupon', 'save_5_dollars', '0', '1', '1', 'und', '0', 'save5', NULL);
/*!40000 ALTER TABLE field_revision_commerce_coupon_code ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_coupon_number_of_uses'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_coupon_number_of_uses` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_number_of_uses_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 116 (commerce_coupon...' COMMENT='Revision archive storage for field 116 (commerce_coupon...';

--
-- Dumping data for table 'field_revision_commerce_coupon_number_of_uses'
--

/*!40000 ALTER TABLE field_revision_commerce_coupon_number_of_uses DISABLE KEYS */;
INSERT INTO `field_revision_commerce_coupon_number_of_uses` VALUES
('commerce_coupon', 'save_5_dollars', '0', '1', '1', 'und', '0', '100');
/*!40000 ALTER TABLE field_revision_commerce_coupon_number_of_uses ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_coupon_order_reference'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_coupon_order_reference` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_order_reference_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_coupon_order_reference_target_id` (`commerce_coupon_order_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 109 (commerce_coupon...' COMMENT='Revision archive storage for field 109 (commerce_coupon...';

--
-- Dumping data for table 'field_revision_commerce_coupon_order_reference'
--

/*!40000 ALTER TABLE field_revision_commerce_coupon_order_reference DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_coupon_order_reference ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_coupon_reference'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_coupon_reference` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_coupon_reference_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_coupon_reference_target_id` (`commerce_coupon_reference_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 110 (commerce_coupon...' COMMENT='Revision archive storage for field 110 (commerce_coupon...';

--
-- Dumping data for table 'field_revision_commerce_coupon_reference'
--

/*!40000 ALTER TABLE field_revision_commerce_coupon_reference DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_coupon_reference ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_customer_address'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_customer_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `commerce_customer_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `commerce_customer_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `commerce_customer_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `commerce_customer_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `commerce_customer_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `commerce_customer_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `commerce_customer_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `commerce_customer_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `commerce_customer_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `commerce_customer_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `commerce_customer_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `commerce_customer_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 100 (commerce_customer...' COMMENT='Revision archive storage for field 100 (commerce_customer...';

--
-- Dumping data for table 'field_revision_commerce_customer_address'
--

/*!40000 ALTER TABLE field_revision_commerce_customer_address DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_customer_address ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_customer_billing'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_customer_billing` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_customer_billing_profile_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_customer_billing_profile_id` (`commerce_customer_billing_profile_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 103 (commerce_customer...' COMMENT='Revision archive storage for field 103 (commerce_customer...';

--
-- Dumping data for table 'field_revision_commerce_customer_billing'
--

/*!40000 ALTER TABLE field_revision_commerce_customer_billing DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_customer_billing ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_display_path'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_display_path` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_display_path_value` varchar(255) DEFAULT NULL,
  `commerce_display_path_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_display_path_format` (`commerce_display_path_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 107 (commerce_display...' COMMENT='Revision archive storage for field 107 (commerce_display...';

--
-- Dumping data for table 'field_revision_commerce_display_path'
--

/*!40000 ALTER TABLE field_revision_commerce_display_path DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_display_path ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_line_items'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_line_items` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_line_items_line_item_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_line_items_line_item_id` (`commerce_line_items_line_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 101 (commerce_line_items)' COMMENT='Revision archive storage for field 101 (commerce_line_items)';

--
-- Dumping data for table 'field_revision_commerce_line_items'
--

/*!40000 ALTER TABLE field_revision_commerce_line_items DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_line_items ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_order_total'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_order_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_order_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_order_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_order_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_order_total_currency_price` (`commerce_order_total_amount`,`commerce_order_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 102 (commerce_order...' COMMENT='Revision archive storage for field 102 (commerce_order...';

--
-- Dumping data for table 'field_revision_commerce_order_total'
--

/*!40000 ALTER TABLE field_revision_commerce_order_total DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_order_total ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_price'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_price_currency_price` (`commerce_price_amount`,`commerce_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 108 (commerce_price)' COMMENT='Revision archive storage for field 108 (commerce_price)';

--
-- Dumping data for table 'field_revision_commerce_price'
--

/*!40000 ALTER TABLE field_revision_commerce_price DISABLE KEYS */;
INSERT INTO `field_revision_commerce_price` VALUES
('commerce_product', 'product', '0', '1', '1', 'und', '0', '31200', 'USD', 'a:1:{s:10:"components";a:0:{}}');
/*!40000 ALTER TABLE field_revision_commerce_price ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_product'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_product` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_product_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_product_product_id` (`commerce_product_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 106 (commerce_product)' COMMENT='Revision archive storage for field 106 (commerce_product)';

--
-- Dumping data for table 'field_revision_commerce_product'
--

/*!40000 ALTER TABLE field_revision_commerce_product DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_product ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_stock'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_stock` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_stock_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 117 (commerce_stock)' COMMENT='Revision archive storage for field 117 (commerce_stock)';

--
-- Dumping data for table 'field_revision_commerce_stock'
--

/*!40000 ALTER TABLE field_revision_commerce_stock DISABLE KEYS */;
INSERT INTO `field_revision_commerce_stock` VALUES
('commerce_product', 'product', '0', '1', '1', 'und', '0', '0');
/*!40000 ALTER TABLE field_revision_commerce_stock ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_total'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_total` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_total_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_total_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_total_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_total_currency_price` (`commerce_total_amount`,`commerce_total_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 105 (commerce_total)' COMMENT='Revision archive storage for field 105 (commerce_total)';

--
-- Dumping data for table 'field_revision_commerce_total'
--

/*!40000 ALTER TABLE field_revision_commerce_total DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_total ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_unit_price'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_unit_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_unit_price_amount` int(11) NOT NULL DEFAULT '0' COMMENT 'The price amount.',
  `commerce_unit_price_currency_code` varchar(32) NOT NULL COMMENT 'The currency code for the price.',
  `commerce_unit_price_data` longtext COMMENT 'A serialized array of additional price data.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_unit_price_currency_price` (`commerce_unit_price_amount`,`commerce_unit_price_currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 104 (commerce_unit_price)' COMMENT='Revision archive storage for field 104 (commerce_unit_price)';

--
-- Dumping data for table 'field_revision_commerce_unit_price'
--

/*!40000 ALTER TABLE field_revision_commerce_unit_price DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_unit_price ENABLE KEYS */;

--
-- Table structure for table 'field_revision_commerce_wishlist_visibility'
--

CREATE TABLE IF NOT EXISTS `field_revision_commerce_wishlist_visibility` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `commerce_wishlist_visibility_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `commerce_wishlist_visibility_value` (`commerce_wishlist_visibility_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 111 (commerce_wishlist...' COMMENT='Revision archive storage for field 111 (commerce_wishlist...';

--
-- Dumping data for table 'field_revision_commerce_wishlist_visibility'
--

/*!40000 ALTER TABLE field_revision_commerce_wishlist_visibility DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_commerce_wishlist_visibility ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_banner_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_banner_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_banner_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_banner_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_banner_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_banner_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_banner_image_fid` (`field_banner_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 24 (field_banner_image)' COMMENT='Revision archive storage for field 24 (field_banner_image)';

--
-- Dumping data for table 'field_revision_field_banner_image'
--

/*!40000 ALTER TABLE field_revision_field_banner_image DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_banner_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_banner_site_url'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_banner_site_url` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_site_url_url` varchar(2048) DEFAULT NULL,
  `field_banner_site_url_title` varchar(255) DEFAULT NULL,
  `field_banner_site_url_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 40 (field_banner_site...' COMMENT='Revision archive storage for field 40 (field_banner_site...';

--
-- Dumping data for table 'field_revision_field_banner_site_url'
--

/*!40000 ALTER TABLE field_revision_field_banner_site_url DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_banner_site_url ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_blog_category'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_blog_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_category_tid` (`field_blog_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 18 (field_blog_category)' COMMENT='Revision archive storage for field 18 (field_blog_category)';

--
-- Dumping data for table 'field_revision_field_blog_category'
--

/*!40000 ALTER TABLE field_revision_field_blog_category DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_category` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', '27'),
('node', 'blog', '0', '37', '37', 'und', '1', '26'),
('node', 'blog', '0', '38', '38', 'und', '0', '143'),
('node', 'blog', '0', '38', '38', 'und', '1', '144'),
('node', 'blog', '0', '38', '38', 'und', '2', '145'),
('node', 'blog', '0', '39', '39', 'und', '0', '19'),
('node', 'blog', '0', '39', '39', 'und', '1', '23'),
('node', 'blog', '0', '40', '40', 'und', '0', '25'),
('node', 'blog', '0', '40', '40', 'und', '1', '27'),
('node', 'blog', '0', '40', '40', 'und', '2', '26'),
('node', 'blog', '0', '41', '41', 'und', '0', '25'),
('node', 'blog', '0', '41', '41', 'und', '1', '19'),
('node', 'blog', '0', '41', '41', 'und', '2', '27'),
('node', 'blog', '0', '41', '41', 'und', '3', '23'),
('node', 'blog', '0', '41', '41', 'und', '4', '21'),
('node', 'blog', '0', '41', '41', 'und', '5', '24'),
('node', 'blog', '0', '41', '41', 'und', '6', '26'),
('node', 'blog', '0', '41', '41', 'und', '7', '22'),
('node', 'blog', '0', '41', '41', 'und', '8', '20'),
('node', 'blog', '0', '105', '105', 'und', '0', '26'),
('node', 'blog', '0', '123', '123', 'und', '0', '155'),
('node', 'blog', '0', '124', '124', 'und', '0', '154'),
('node', 'blog', '0', '125', '125', 'und', '0', '153'),
('node', 'blog', '0', '126', '126', 'und', '0', '146'),
('node', 'blog', '0', '126', '126', 'und', '1', '147'),
('node', 'blog', '0', '126', '126', 'und', '2', '148');
/*!40000 ALTER TABLE field_revision_field_blog_category ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_blog_like'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_blog_like` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_like_vud_widget` varchar(255) DEFAULT NULL,
  `field_blog_like_votingapi_tag` varchar(64) NOT NULL DEFAULT 'vote',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 96 (field_blog_like)' COMMENT='Revision archive storage for field 96 (field_blog_like)';

--
-- Dumping data for table 'field_revision_field_blog_like'
--

/*!40000 ALTER TABLE field_revision_field_blog_like DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_like` VALUES
('node', 'blog', '0', '38', '38', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '123', '123', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '124', '124', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '125', '125', 'und', '0', 'alternate', 'vote'),
('node', 'blog', '0', '126', '126', 'und', '0', 'alternate', 'vote');
/*!40000 ALTER TABLE field_revision_field_blog_like ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_blog_media'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_blog_media` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_media_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_blog_media_display` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_blog_media_description` text COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_media_fid` (`field_blog_media_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 30 (field_blog_media)' COMMENT='Revision archive storage for field 30 (field_blog_media)';

--
-- Dumping data for table 'field_revision_field_blog_media'
--

/*!40000 ALTER TABLE field_revision_field_blog_media DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_media` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '38', '38', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '39', '39', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '40', '40', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '41', '41', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '105', '105', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '123', '123', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '124', '124', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '125', '125', 'und', '0', '8', '1', NULL),
('node', 'blog', '0', '126', '126', 'und', '0', '8', '1', NULL);
/*!40000 ALTER TABLE field_revision_field_blog_media ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_blog_share'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_blog_share` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_share_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 66 (field_blog_share)' COMMENT='Revision archive storage for field 66 (field_blog_share)';

--
-- Dumping data for table 'field_revision_field_blog_share'
--

/*!40000 ALTER TABLE field_revision_field_blog_share DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_share` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '38', '38', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '39', '39', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '40', '40', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '41', '41', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '105', '105', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '123', '123', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '124', '124', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '125', '125', 'und', '0', 'Dummy value'),
('node', 'blog', '0', '126', '126', 'und', '0', 'Dummy value');
/*!40000 ALTER TABLE field_revision_field_blog_share ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_blog_tags'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_blog_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_tags_tid` (`field_blog_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 25 (field_blog_tags)' COMMENT='Revision archive storage for field 25 (field_blog_tags)';

--
-- Dumping data for table 'field_revision_field_blog_tags'
--

/*!40000 ALTER TABLE field_revision_field_blog_tags DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_tags` VALUES
('node', 'blog', '0', '37', '37', 'und', '0', '32'),
('node', 'blog', '0', '37', '37', 'und', '1', '33'),
('node', 'blog', '0', '37', '37', 'und', '2', '44'),
('node', 'blog', '0', '38', '38', 'und', '0', '138'),
('node', 'blog', '0', '38', '38', 'und', '1', '139'),
('node', 'blog', '0', '38', '38', 'und', '2', '140'),
('node', 'blog', '0', '39', '39', 'und', '0', '35'),
('node', 'blog', '0', '39', '39', 'und', '1', '32'),
('node', 'blog', '0', '39', '39', 'und', '2', '36'),
('node', 'blog', '0', '39', '39', 'und', '3', '37'),
('node', 'blog', '0', '39', '39', 'und', '4', '38'),
('node', 'blog', '0', '40', '40', 'und', '0', '33'),
('node', 'blog', '0', '40', '40', 'und', '1', '39'),
('node', 'blog', '0', '40', '40', 'und', '2', '32'),
('node', 'blog', '0', '40', '40', 'und', '3', '41'),
('node', 'blog', '0', '105', '105', 'und', '0', '46'),
('node', 'blog', '0', '105', '105', 'und', '1', '52'),
('node', 'blog', '0', '105', '105', 'und', '2', '40'),
('node', 'blog', '0', '126', '126', 'und', '0', '149'),
('node', 'blog', '0', '126', '126', 'und', '1', '150'),
('node', 'blog', '0', '126', '126', 'und', '2', '151');
/*!40000 ALTER TABLE field_revision_field_blog_tags ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_employee_facebook'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_employee_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_facebook_url` varchar(2048) DEFAULT NULL,
  `field_employee_facebook_title` varchar(255) DEFAULT NULL,
  `field_employee_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 78 (field_employee...' COMMENT='Revision archive storage for field 78 (field_employee...';

--
-- Dumping data for table 'field_revision_field_employee_facebook'
--

/*!40000 ALTER TABLE field_revision_field_employee_facebook DISABLE KEYS */;
INSERT INTO `field_revision_field_employee_facebook` VALUES
('node', 'employee', '0', '65', '65', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '67', '67', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '68', '68', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '69', '69', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '71', '71', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '73', '73', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '132', '132', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '133', '133', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '135', '135', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_revision_field_employee_facebook ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_employee_linkedin'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_employee_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_employee_linkedin_title` varchar(255) DEFAULT NULL,
  `field_employee_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 95 (field_employee...' COMMENT='Revision archive storage for field 95 (field_employee...';

--
-- Dumping data for table 'field_revision_field_employee_linkedin'
--

/*!40000 ALTER TABLE field_revision_field_employee_linkedin DISABLE KEYS */;
INSERT INTO `field_revision_field_employee_linkedin` VALUES
('node', 'employee', '0', '67', '67', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '69', '69', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '133', '133', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '134', '134', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '135', '135', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_revision_field_employee_linkedin ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_employee_photo'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_employee_photo` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_photo_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_employee_photo_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_employee_photo_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_employee_photo_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_employee_photo_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_employee_photo_fid` (`field_employee_photo_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_employee_photo)' COMMENT='Revision archive storage for field 11 (field_employee_photo)';

--
-- Dumping data for table 'field_revision_field_employee_photo'
--

/*!40000 ALTER TABLE field_revision_field_employee_photo DISABLE KEYS */;
INSERT INTO `field_revision_field_employee_photo` VALUES
('node', 'employee', '0', '67', '67', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'employee', '0', '133', '133', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'employee', '0', '134', '134', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'employee', '0', '135', '135', 'en', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_revision_field_employee_photo ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_employee_position'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_employee_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_position_value` varchar(255) DEFAULT NULL,
  `field_employee_position_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_employee_position_format` (`field_employee_position_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 94 (field_employee...' COMMENT='Revision archive storage for field 94 (field_employee...';

--
-- Dumping data for table 'field_revision_field_employee_position'
--

/*!40000 ALTER TABLE field_revision_field_employee_position DISABLE KEYS */;
INSERT INTO `field_revision_field_employee_position` VALUES
('node', 'employee', '0', '67', '67', 'und', '0', 'Lead Designer, Founder', NULL),
('node', 'employee', '0', '69', '69', 'und', '0', 'Sales Manager', NULL),
('node', 'employee', '0', '133', '133', 'und', '0', 'Photographer', NULL),
('node', 'employee', '0', '134', '134', 'und', '0', 'Art Director', NULL),
('node', 'employee', '0', '135', '135', 'und', '0', 'Sales Manager', NULL);
/*!40000 ALTER TABLE field_revision_field_employee_position ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_employee_tumblr'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_employee_tumblr` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_employee_tumblr_url` varchar(2048) DEFAULT NULL,
  `field_employee_tumblr_title` varchar(255) DEFAULT NULL,
  `field_employee_tumblr_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 114 (field_employee...' COMMENT='Revision archive storage for field 114 (field_employee...';

--
-- Dumping data for table 'field_revision_field_employee_tumblr'
--

/*!40000 ALTER TABLE field_revision_field_employee_tumblr DISABLE KEYS */;
INSERT INTO `field_revision_field_employee_tumblr` VALUES
('node', 'employee', '0', '67', '67', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '133', '133', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '134', '134', 'und', '0', '#', NULL, 'a:0:{}'),
('node', 'employee', '0', '135', '135', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_revision_field_employee_tumblr ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_file_image_alt_text'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_file_image_alt_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_file_image_alt_text_value` varchar(255) DEFAULT NULL,
  `field_file_image_alt_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_file_image_alt_text_format` (`field_file_image_alt_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 48 (field_file_image...' COMMENT='Revision archive storage for field 48 (field_file_image...';

--
-- Dumping data for table 'field_revision_field_file_image_alt_text'
--

/*!40000 ALTER TABLE field_revision_field_file_image_alt_text DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_file_image_alt_text ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_file_image_title_text'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_file_image_title_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_file_image_title_text_value` varchar(255) DEFAULT NULL,
  `field_file_image_title_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_file_image_title_text_format` (`field_file_image_title_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 49 (field_file_image...' COMMENT='Revision archive storage for field 49 (field_file_image...';

--
-- Dumping data for table 'field_revision_field_file_image_title_text'
--

/*!40000 ALTER TABLE field_revision_field_file_image_title_text DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_file_image_title_text ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)' COMMENT='Revision archive storage for field 4 (field_image)';

--
-- Dumping data for table 'field_revision_field_image'
--

/*!40000 ALTER TABLE field_revision_field_image DISABLE KEYS */;
INSERT INTO `field_revision_field_image` VALUES
('node', 'article', '0', '83', '83', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '91', '91', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '92', '92', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '93', '93', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '94', '94', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '147', '147', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '148', '148', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'article', '0', '150', '150', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '151', '151', 'en', '0', '8', NULL, NULL, '1200', '800'),
('node', 'article', '0', '172', '172', 'en', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_revision_field_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_plan_best_choice'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_plan_best_choice` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_best_choice_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_best_choice_value` (`field_plan_best_choice_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 128 (field_plan_best...' COMMENT='Revision archive storage for field 128 (field_plan_best...';

--
-- Dumping data for table 'field_revision_field_plan_best_choice'
--

/*!40000 ALTER TABLE field_revision_field_plan_best_choice DISABLE KEYS */;
INSERT INTO `field_revision_field_plan_best_choice` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '0'),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '0'),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '0'),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '0'),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '0'),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '1'),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '0');
/*!40000 ALTER TABLE field_revision_field_plan_best_choice ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_plan_category'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_plan_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_category_tid` (`field_plan_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 126 (field_plan_category)' COMMENT='Revision archive storage for field 126 (field_plan_category)';

--
-- Dumping data for table 'field_revision_field_plan_category'
--

/*!40000 ALTER TABLE field_revision_field_plan_category DISABLE KEYS */;
INSERT INTO `field_revision_field_plan_category` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '159'),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '159'),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '159'),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '159'),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '160'),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '160'),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '160');
/*!40000 ALTER TABLE field_revision_field_plan_category ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_plan_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_plan_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_plan_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_plan_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_plan_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_plan_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_image_fid` (`field_plan_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 127 (field_plan_image)' COMMENT='Revision archive storage for field 127 (field_plan_image)';

--
-- Dumping data for table 'field_revision_field_plan_image'
--

/*!40000 ALTER TABLE field_revision_field_plan_image DISABLE KEYS */;
INSERT INTO `field_revision_field_plan_image` VALUES
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_revision_field_plan_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_plan_options'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_plan_options` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_options_value` varchar(255) DEFAULT NULL,
  `field_plan_options_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_options_format` (`field_plan_options_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 86 (field_plan_options)' COMMENT='Revision archive storage for field 86 (field_plan_options)';

--
-- Dumping data for table 'field_revision_field_plan_options'
--

/*!40000 ALTER TABLE field_revision_field_plan_options DISABLE KEYS */;
INSERT INTO `field_revision_field_plan_options` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', 'Up to 50 users', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '1', 'Limited team members', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '2', 'Limited disk space', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '3', 'Custom Domain', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '4', 'PayPal Integration', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '5', 'Basecamp Integration', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '6', 'Email Tech Support', NULL),
('node', 'tariff_plan', '0', '142', '142', 'und', '7', 'Unlimited Projects', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', 'Up to 100 users', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '1', 'Limited team members', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '2', 'Limited disk space', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '3', 'Custom Domain', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '4', 'PayPal Integration', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '5', 'Basecamp Integration', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '6', 'Email Tech Support', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '7', 'Unlimited Projects', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', 'Up to 250 users', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '1', 'Limited team members', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '2', 'Limited disk space', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '3', 'Custom Domain', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '4', 'PayPal Integration', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '5', 'Basecamp Integration', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '6', 'Email Tech Support', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '7', 'Unlimited Projects', NULL),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', 'Up to 50 users', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '1', 'Limited team members', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '2', 'Limited disk space', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '3', '2 add-on domains', 'full_html'),
('node', 'tariff_plan', '0', '145', '145', 'und', '4', 'Custom Domain', 'full_html'),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '150 users', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '1', '25 VPN gates', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '2', 'Unlimited space', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '15 users', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '1', '5 VPN gates', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '2', '50 Gb allowed', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', '1 user', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '1', 'No VPN access', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '2', '2 Gb allowed', NULL);
/*!40000 ALTER TABLE field_revision_field_plan_options ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_plan_period'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_plan_period` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_period_value` varchar(255) DEFAULT NULL,
  `field_plan_period_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_period_format` (`field_plan_period_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 65 (field_plan_period)' COMMENT='Revision archive storage for field 65 (field_plan_period)';

--
-- Dumping data for table 'field_revision_field_plan_period'
--

/*!40000 ALTER TABLE field_revision_field_plan_period DISABLE KEYS */;
INSERT INTO `field_revision_field_plan_period` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '/mo', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', 'Per Month', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', 'Per Month', NULL);
/*!40000 ALTER TABLE field_revision_field_plan_period ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_plan_price'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_plan_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_plan_price_value` varchar(255) DEFAULT NULL,
  `field_plan_price_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_plan_price_format` (`field_plan_price_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 52 (field_plan_price)' COMMENT='Revision archive storage for field 52 (field_plan_price)';

--
-- Dumping data for table 'field_revision_field_plan_price'
--

/*!40000 ALTER TABLE field_revision_field_plan_price DISABLE KEYS */;
INSERT INTO `field_revision_field_plan_price` VALUES
('node', 'tariff_plan', '0', '142', '142', 'und', '0', '$0', NULL),
('node', 'tariff_plan', '0', '143', '143', 'und', '0', '$15', NULL),
('node', 'tariff_plan', '0', '144', '144', 'und', '0', '$35', NULL),
('node', 'tariff_plan', '0', '145', '145', 'und', '0', '$25', NULL),
('node', 'tariff_plan', '0', '146', '146', 'und', '0', '$35', NULL),
('node', 'tariff_plan', '0', '183', '183', 'und', '0', '$12', NULL),
('node', 'tariff_plan', '0', '184', '184', 'und', '0', 'Free', NULL);
/*!40000 ALTER TABLE field_revision_field_plan_price ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_product_categories'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_product_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_categories_tid` (`field_product_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 119 (field_product...' COMMENT='Revision archive storage for field 119 (field_product...';

--
-- Dumping data for table 'field_revision_field_product_categories'
--

/*!40000 ALTER TABLE field_revision_field_product_categories DISABLE KEYS */;
INSERT INTO `field_revision_field_product_categories` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', '156'),
('node', 'product_display', '0', '180', '180', 'und', '1', '158');
/*!40000 ALTER TABLE field_revision_field_product_categories ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_product_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_product_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_product_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_product_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_product_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_product_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_image_fid` (`field_product_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 121 (field_product_image)' COMMENT='Revision archive storage for field 121 (field_product_image)';

--
-- Dumping data for table 'field_revision_field_product_image'
--

/*!40000 ALTER TABLE field_revision_field_product_image DISABLE KEYS */;
INSERT INTO `field_revision_field_product_image` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_revision_field_product_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_product_reference'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_product_reference` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_reference_product_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_reference_product_id` (`field_product_reference_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 118 (field_product...' COMMENT='Revision archive storage for field 118 (field_product...';

--
-- Dumping data for table 'field_revision_field_product_reference'
--

/*!40000 ALTER TABLE field_revision_field_product_reference DISABLE KEYS */;
INSERT INTO `field_revision_field_product_reference` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', '1');
/*!40000 ALTER TABLE field_revision_field_product_reference ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_product_share'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_product_share` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_share_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 123 (field_product_share)' COMMENT='Revision archive storage for field 123 (field_product_share)';

--
-- Dumping data for table 'field_revision_field_product_share'
--

/*!40000 ALTER TABLE field_revision_field_product_share DISABLE KEYS */;
INSERT INTO `field_revision_field_product_share` VALUES
('node', 'product_display', '0', '180', '180', 'und', '0', 'Dummy value');
/*!40000 ALTER TABLE field_revision_field_product_share ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_product_tags'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_product_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_product_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_product_tags_tid` (`field_product_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 122 (field_product_tags)' COMMENT='Revision archive storage for field 122 (field_product_tags)';

--
-- Dumping data for table 'field_revision_field_product_tags'
--

/*!40000 ALTER TABLE field_revision_field_product_tags DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_product_tags ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_project_category'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_project_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_project_category_tid` (`field_project_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 87 (field_project...' COMMENT='Revision archive storage for field 87 (field_project...';

--
-- Dumping data for table 'field_revision_field_project_category'
--

/*!40000 ALTER TABLE field_revision_field_project_category DISABLE KEYS */;
INSERT INTO `field_revision_field_project_category` VALUES
('node', 'project', '0', '52', '52', 'und', '0', '29'),
('node', 'project', '0', '53', '53', 'und', '0', '142'),
('node', 'project', '0', '54', '54', 'und', '0', '142'),
('node', 'project', '0', '55', '55', 'und', '0', '29'),
('node', 'project', '0', '56', '56', 'und', '0', '31'),
('node', 'project', '0', '56', '56', 'und', '1', '29'),
('node', 'project', '0', '57', '57', 'und', '0', '31'),
('node', 'project', '0', '58', '58', 'und', '0', '31'),
('node', 'project', '0', '82', '82', 'und', '0', '30'),
('node', 'project', '0', '82', '82', 'und', '1', '29'),
('node', 'project', '0', '103', '103', 'und', '0', '31'),
('node', 'project', '0', '103', '103', 'und', '1', '29'),
('node', 'project', '0', '104', '104', 'und', '0', '30'),
('node', 'project', '0', '175', '175', 'und', '0', '29'),
('node', 'project', '0', '175', '175', 'und', '1', '142'),
('node', 'project', '0', '176', '176', 'und', '0', '30'),
('node', 'project', '0', '176', '176', 'und', '1', '29'),
('node', 'project', '0', '177', '177', 'und', '0', '30'),
('node', 'project', '0', '178', '178', 'und', '0', '31'),
('node', 'project', '0', '178', '178', 'und', '1', '29'),
('node', 'project', '0', '179', '179', 'und', '0', '31'),
('node', 'project', '0', '179', '179', 'und', '1', '30');
/*!40000 ALTER TABLE field_revision_field_project_category ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_project_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_project_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_project_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_project_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_project_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_project_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_project_image_fid` (`field_project_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 88 (field_project_image)' COMMENT='Revision archive storage for field 88 (field_project_image)';

--
-- Dumping data for table 'field_revision_field_project_image'
--

/*!40000 ALTER TABLE field_revision_field_project_image DISABLE KEYS */;
INSERT INTO `field_revision_field_project_image` VALUES
('node', 'project', '0', '52', '52', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '53', '53', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '54', '54', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '55', '55', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '56', '56', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '57', '57', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '58', '58', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '82', '82', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '103', '103', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '104', '104', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '175', '175', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '176', '176', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '177', '177', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '178', '178', 'und', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'project', '0', '179', '179', 'und', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_revision_field_project_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_project_masonry_thumb'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_project_masonry_thumb` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_project_masonry_thumb_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_project_masonry_thumb_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_project_masonry_thumb_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_project_masonry_thumb_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_project_masonry_thumb_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_project_masonry_thumb_fid` (`field_project_masonry_thumb_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 93 (field_project...' COMMENT='Revision archive storage for field 93 (field_project...';

--
-- Dumping data for table 'field_revision_field_project_masonry_thumb'
--

/*!40000 ALTER TABLE field_revision_field_project_masonry_thumb DISABLE KEYS */;
INSERT INTO `field_revision_field_project_masonry_thumb` VALUES
('node', 'project', '0', '53', '53', 'und', '0', '19', NULL, NULL, '270', '270'),
('node', 'project', '0', '54', '54', 'und', '0', '21', NULL, NULL, '870', '270'),
('node', 'project', '0', '55', '55', 'und', '0', '23', NULL, NULL, '270', '270'),
('node', 'project', '0', '82', '82', 'und', '0', '17', NULL, NULL, '270', '270'),
('node', 'project', '0', '103', '103', 'und', '0', '15', NULL, NULL, '570', '270'),
('node', 'project', '0', '104', '104', 'und', '0', '13', NULL, NULL, '570', '570');
/*!40000 ALTER TABLE field_revision_field_project_masonry_thumb ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_question_category'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_question_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_question_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_question_category_tid` (`field_question_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 69 (field_question...' COMMENT='Revision archive storage for field 69 (field_question...';

--
-- Dumping data for table 'field_revision_field_question_category'
--

/*!40000 ALTER TABLE field_revision_field_question_category DISABLE KEYS */;
INSERT INTO `field_revision_field_question_category` VALUES
('node', 'faq', '0', '42', '42', 'und', '0', '127'),
('node', 'faq', '0', '42', '42', 'und', '1', '129'),
('node', 'faq', '0', '42', '42', 'und', '2', '130'),
('node', 'faq', '0', '43', '43', 'und', '0', '130'),
('node', 'faq', '0', '44', '44', 'und', '0', '128'),
('node', 'faq', '0', '44', '44', 'und', '1', '127'),
('node', 'faq', '0', '44', '44', 'und', '2', '129'),
('node', 'faq', '0', '45', '45', 'und', '0', '127'),
('node', 'faq', '0', '46', '46', 'und', '0', '129'),
('node', 'faq', '0', '136', '136', 'und', '0', '128'),
('node', 'faq', '0', '137', '137', 'und', '0', '127'),
('node', 'faq', '0', '138', '138', 'und', '0', '127'),
('node', 'faq', '0', '138', '138', 'und', '1', '130'),
('node', 'faq', '0', '139', '139', 'und', '0', '128'),
('node', 'faq', '0', '139', '139', 'und', '1', '129');
/*!40000 ALTER TABLE field_revision_field_question_category ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_rating'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_rating` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_rating_rating` int(10) unsigned DEFAULT NULL,
  `field_rating_target` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 125 (field_rating)' COMMENT='Revision archive storage for field 125 (field_rating)';

--
-- Dumping data for table 'field_revision_field_rating'
--

/*!40000 ALTER TABLE field_revision_field_rating DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_rating ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_service_categories'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_service_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_service_categories_tid` (`field_service_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 67 (field_service...' COMMENT='Revision archive storage for field 67 (field_service...';

--
-- Dumping data for table 'field_revision_field_service_categories'
--

/*!40000 ALTER TABLE field_revision_field_service_categories DISABLE KEYS */;
INSERT INTO `field_revision_field_service_categories` VALUES
('node', 'service', '0', '152', '152', 'und', '0', '133'),
('node', 'service', '0', '153', '153', 'und', '0', '133'),
('node', 'service', '0', '154', '154', 'und', '0', '133'),
('node', 'service', '0', '155', '155', 'und', '0', '135'),
('node', 'service', '0', '156', '156', 'und', '0', '134'),
('node', 'service', '0', '157', '157', 'und', '0', '134'),
('node', 'service', '0', '158', '158', 'und', '0', '134'),
('node', 'service', '0', '159', '159', 'und', '0', '134'),
('node', 'service', '0', '160', '160', 'und', '0', '135'),
('node', 'service', '0', '161', '161', 'und', '0', '135'),
('node', 'service', '0', '162', '162', 'und', '0', '135'),
('node', 'service', '0', '163', '163', 'und', '0', '135'),
('node', 'service', '0', '164', '164', 'und', '0', '135'),
('node', 'service', '0', '165', '165', 'und', '0', '136'),
('node', 'service', '0', '166', '166', 'und', '0', '136'),
('node', 'service', '0', '167', '167', 'und', '0', '136'),
('node', 'service', '0', '168', '168', 'und', '0', '136'),
('node', 'service', '0', '169', '169', 'und', '0', '137'),
('node', 'service', '0', '170', '170', 'und', '0', '137'),
('node', 'service', '0', '171', '171', 'und', '0', '137');
/*!40000 ALTER TABLE field_revision_field_service_categories ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_service_icon'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_service_icon` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_icon_value` varchar(255) DEFAULT NULL,
  `field_service_icon_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_service_icon_format` (`field_service_icon_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 85 (field_service_icon)' COMMENT='Revision archive storage for field 85 (field_service_icon)';

--
-- Dumping data for table 'field_revision_field_service_icon'
--

/*!40000 ALTER TABLE field_revision_field_service_icon DISABLE KEYS */;
INSERT INTO `field_revision_field_service_icon` VALUES
('node', 'service', '0', '152', '152', 'und', '0', '<span class="lnr lnr-users"></span>', 'full_html'),
('node', 'service', '0', '153', '153', 'und', '0', '<span class="lnr lnr-unlink"></span>', 'full_html'),
('node', 'service', '0', '154', '154', 'und', '0', '<span class="lnr lnr-rocket"></span>', 'full_html'),
('node', 'service', '0', '155', '155', 'und', '0', '<span class="fa fa-briefcase"></span>', 'full_html'),
('node', 'service', '0', '156', '156', 'und', '0', '<span class="lnr lnr-gift"></span>', 'full_html'),
('node', 'service', '0', '157', '157', 'und', '0', '<span class="lnr lnr-briefcase"></span>', 'full_html'),
('node', 'service', '0', '158', '158', 'und', '0', '<span class="lnr lnr-bubble"></span>', 'full_html'),
('node', 'service', '0', '159', '159', 'und', '0', '<span class="lnr lnr-layers"></span>', 'full_html'),
('node', 'service', '0', '160', '160', 'und', '0', '<span class="fa fa-truck"></span>', 'full_html'),
('node', 'service', '0', '161', '161', 'und', '0', '<span class="fa fa-calendar"></span>', 'full_html'),
('node', 'service', '0', '162', '162', 'und', '0', '<span class="fa fa-money"></span>', 'full_html'),
('node', 'service', '0', '163', '163', 'und', '0', '<span class="fa fa-book"></span>', 'full_html'),
('node', 'service', '0', '164', '164', 'und', '0', '<span class="fa fa-area-chart"></span>', 'full_html');
/*!40000 ALTER TABLE field_revision_field_service_icon ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_service_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_service_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_service_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_service_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_service_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_service_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_service_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_service_image_fid` (`field_service_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 70 (field_service_image)' COMMENT='Revision archive storage for field 70 (field_service_image)';

--
-- Dumping data for table 'field_revision_field_service_image'
--

/*!40000 ALTER TABLE field_revision_field_service_image DISABLE KEYS */;
INSERT INTO `field_revision_field_service_image` VALUES
('node', 'service', '0', '165', '165', 'und', '0', '8', NULL, NULL, '1200', '800'),
('node', 'service', '0', '166', '166', 'und', '0', '8', NULL, NULL, '1200', '800'),
('node', 'service', '0', '167', '167', 'und', '0', '8', NULL, NULL, '1200', '800'),
('node', 'service', '0', '168', '168', 'und', '0', '8', NULL, NULL, '1200', '800');
/*!40000 ALTER TABLE field_revision_field_service_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_slide_category'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_slide_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slide_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slide_category_tid` (`field_slide_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 92 (field_slide_category)' COMMENT='Revision archive storage for field 92 (field_slide_category)';

--
-- Dumping data for table 'field_revision_field_slide_category'
--

/*!40000 ALTER TABLE field_revision_field_slide_category DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_slide_category ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_slide_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_slide_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slide_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slide_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slide_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slide_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slide_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slide_image_fid` (`field_slide_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (field_slide_image)' COMMENT='Revision archive storage for field 7 (field_slide_image)';

--
-- Dumping data for table 'field_revision_field_slide_image'
--

/*!40000 ALTER TABLE field_revision_field_slide_image DISABLE KEYS */;
INSERT INTO `field_revision_field_slide_image` VALUES
('node', 'slide', '0', '47', '47', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'slide', '0', '50', '50', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'slide', '0', '89', '89', 'en', '0', '8', NULL, NULL, '4100', '2730'),
('node', 'slide', '0', '90', '90', 'en', '0', '8', NULL, NULL, '4100', '2730');
/*!40000 ALTER TABLE field_revision_field_slide_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_tags'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)' COMMENT='Revision archive storage for field 3 (field_tags)';

--
-- Dumping data for table 'field_revision_field_tags'
--

/*!40000 ALTER TABLE field_revision_field_tags DISABLE KEYS */;
INSERT INTO `field_revision_field_tags` VALUES
('node', 'article', '0', '147', '147', 'und', '0', '76'),
('node', 'article', '0', '148', '148', 'und', '0', '131'),
('node', 'article', '0', '150', '150', 'und', '0', '132'),
('node', 'article', '0', '151', '151', 'und', '0', '132'),
('node', 'article', '0', '172', '172', 'und', '0', '141');
/*!40000 ALTER TABLE field_revision_field_tags ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_testi_author_info'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_testi_author_info` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_testi_author_info_value` varchar(255) DEFAULT NULL,
  `field_testi_author_info_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_testi_author_info_format` (`field_testi_author_info_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 21 (field_testi_author...' COMMENT='Revision archive storage for field 21 (field_testi_author...';

--
-- Dumping data for table 'field_revision_field_testi_author_info'
--

/*!40000 ALTER TABLE field_revision_field_testi_author_info DISABLE KEYS */;
INSERT INTO `field_revision_field_testi_author_info` VALUES
('node', 'testimonial', '0', '84', '84', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '85', '85', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '86', '86', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '87', '87', 'und', '0', 'client', NULL),
('node', 'testimonial', '0', '88', '88', 'und', '0', 'client', NULL);
/*!40000 ALTER TABLE field_revision_field_testi_author_info ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_testi_image'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_testi_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_testi_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_testi_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_testi_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_testi_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_testi_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_testi_image_fid` (`field_testi_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 22 (field_testi_image)' COMMENT='Revision archive storage for field 22 (field_testi_image)';

--
-- Dumping data for table 'field_revision_field_testi_image'
--

/*!40000 ALTER TABLE field_revision_field_testi_image DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_field_testi_image ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_user_bio'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_user_bio` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_bio_value` longtext,
  `field_user_bio_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_user_bio_format` (`field_user_bio_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 47 (field_user_bio)' COMMENT='Revision archive storage for field 47 (field_user_bio)';

--
-- Dumping data for table 'field_revision_field_user_bio'
--

/*!40000 ALTER TABLE field_revision_field_user_bio DISABLE KEYS */;
INSERT INTO `field_revision_field_user_bio` VALUES
('user', 'user', '0', '1', '1', 'und', '0', 'Nunc sit amet rhoncus erat. Donec euismod suscipit quam eu tincidunt. Fusce quis pulvinar lorem, nec pellentesque risus. Curabitur metus mi, varius ut mollis sit amet, ornare egestas enim. In dictum, massa vel aliquam elementum, sem sapien sollicitudin est, id bibendum est mi et ipsum. Cras ultricies eros at lectus laoreet, mattis fermentum ex suscipit. Nulla efficitur odio at fermentum consequat. Sed bibendum velit sapien, ut imperdiet tellus faucibus ut. Donec et metus ut mi egestas laoreet', NULL);
/*!40000 ALTER TABLE field_revision_field_user_bio ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_user_linkedin'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_user_linkedin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_linkedin_url` varchar(2048) DEFAULT NULL,
  `field_user_linkedin_title` varchar(255) DEFAULT NULL,
  `field_user_linkedin_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 97 (field_user_linkedin)' COMMENT='Revision archive storage for field 97 (field_user_linkedin)';

--
-- Dumping data for table 'field_revision_field_user_linkedin'
--

/*!40000 ALTER TABLE field_revision_field_user_linkedin DISABLE KEYS */;
INSERT INTO `field_revision_field_user_linkedin` VALUES
('user', 'user', '0', '1', '1', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_revision_field_user_linkedin ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_user_tumblr'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_user_tumblr` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_tumblr_url` varchar(2048) DEFAULT NULL,
  `field_user_tumblr_title` varchar(255) DEFAULT NULL,
  `field_user_tumblr_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 98 (field_user_tumblr)' COMMENT='Revision archive storage for field 98 (field_user_tumblr)';

--
-- Dumping data for table 'field_revision_field_user_tumblr'
--

/*!40000 ALTER TABLE field_revision_field_user_tumblr DISABLE KEYS */;
INSERT INTO `field_revision_field_user_tumblr` VALUES
('user', 'user', '0', '1', '1', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_revision_field_user_tumblr ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_user_vimeo'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_user_vimeo` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_user_vimeo_url` varchar(2048) DEFAULT NULL,
  `field_user_vimeo_title` varchar(255) DEFAULT NULL,
  `field_user_vimeo_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 99 (field_user_vimeo)' COMMENT='Revision archive storage for field 99 (field_user_vimeo)';

--
-- Dumping data for table 'field_revision_field_user_vimeo'
--

/*!40000 ALTER TABLE field_revision_field_user_vimeo DISABLE KEYS */;
INSERT INTO `field_revision_field_user_vimeo` VALUES
('user', 'user', '0', '1', '1', 'und', '0', '#', NULL, 'a:0:{}');
/*!40000 ALTER TABLE field_revision_field_user_vimeo ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_video_categories'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_video_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_video_categories_tid` (`field_video_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 113 (field_video...' COMMENT='Revision archive storage for field 113 (field_video...';

--
-- Dumping data for table 'field_revision_field_video_categories'
--

/*!40000 ALTER TABLE field_revision_field_video_categories DISABLE KEYS */;
INSERT INTO `field_revision_field_video_categories` VALUES
('node', 'video_entry', '0', '174', '174', 'und', '0', '152');
/*!40000 ALTER TABLE field_revision_field_video_categories ENABLE KEYS */;

--
-- Table structure for table 'field_revision_field_video_media'
--

CREATE TABLE IF NOT EXISTS `field_revision_field_video_media` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_media_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_video_media_display` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Flag to control whether this file should be displayed when viewing content.',
  `field_video_media_description` text COMMENT 'A description of the file.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_video_media_fid` (`field_video_media_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 112 (field_video_media)' COMMENT='Revision archive storage for field 112 (field_video_media)';

--
-- Dumping data for table 'field_revision_field_video_media'
--

/*!40000 ALTER TABLE field_revision_field_video_media DISABLE KEYS */;
INSERT INTO `field_revision_field_video_media` VALUES
('node', 'video_entry', '0', '174', '174', 'und', '0', '24', '1', NULL);
/*!40000 ALTER TABLE field_revision_field_video_media ENABLE KEYS */;

--
-- Table structure for table 'field_revision_taxonomy_forums'
--

CREATE TABLE IF NOT EXISTS `field_revision_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (taxonomy_forums)' COMMENT='Revision archive storage for field 5 (taxonomy_forums)';

--
-- Dumping data for table 'field_revision_taxonomy_forums'
--

/*!40000 ALTER TABLE field_revision_taxonomy_forums DISABLE KEYS */;
INSERT INTO `field_revision_taxonomy_forums` VALUES
('node', 'forum', '0', '12', '12', 'und', '0', '1'),
('node', 'forum', '0', '13', '13', 'und', '0', '1'),
('node', 'forum', '0', '14', '14', 'und', '0', '1'),
('node', 'forum', '0', '15', '15', 'und', '0', '1'),
('node', 'forum', '0', '16', '16', 'und', '0', '1'),
('node', 'forum', '0', '17', '17', 'und', '0', '5'),
('node', 'forum', '0', '18', '18', 'und', '0', '5'),
('node', 'forum', '0', '19', '19', 'und', '0', '5'),
('node', 'forum', '0', '20', '20', 'und', '0', '5'),
('node', 'forum', '0', '21', '21', 'und', '0', '6'),
('node', 'forum', '0', '22', '22', 'und', '0', '6'),
('node', 'forum', '0', '23', '23', 'und', '0', '6'),
('node', 'forum', '0', '24', '24', 'und', '0', '6'),
('node', 'forum', '0', '25', '25', 'und', '0', '7'),
('node', 'forum', '0', '26', '26', 'und', '0', '7'),
('node', 'forum', '0', '27', '27', 'und', '0', '7'),
('node', 'forum', '0', '28', '28', 'und', '0', '8'),
('node', 'forum', '0', '29', '29', 'und', '0', '8'),
('node', 'forum', '0', '30', '30', 'und', '0', '8'),
('node', 'forum', '0', '31', '31', 'und', '0', '8'),
('node', 'forum', '0', '32', '32', 'und', '0', '8'),
('node', 'forum', '0', '33', '33', 'und', '0', '9'),
('node', 'forum', '0', '34', '34', 'und', '0', '9'),
('node', 'forum', '0', '35', '35', 'und', '0', '10');
/*!40000 ALTER TABLE field_revision_taxonomy_forums ENABLE KEYS */;

--
-- Table structure for table 'field_revision_views_isotope_example_color'
--

CREATE TABLE IF NOT EXISTS `field_revision_views_isotope_example_color` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `views_isotope_example_color_value` varchar(255) DEFAULT NULL,
  `views_isotope_example_color_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `views_isotope_example_color_format` (`views_isotope_example_color_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 89 (views_isotope...' COMMENT='Revision archive storage for field 89 (views_isotope...';

--
-- Dumping data for table 'field_revision_views_isotope_example_color'
--

/*!40000 ALTER TABLE field_revision_views_isotope_example_color DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_views_isotope_example_color ENABLE KEYS */;

--
-- Table structure for table 'field_revision_views_isotope_example_shape'
--

CREATE TABLE IF NOT EXISTS `field_revision_views_isotope_example_shape` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `views_isotope_example_shape_value` varchar(255) DEFAULT NULL,
  `views_isotope_example_shape_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `views_isotope_example_shape_format` (`views_isotope_example_shape_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 90 (views_isotope...' COMMENT='Revision archive storage for field 90 (views_isotope...';

--
-- Dumping data for table 'field_revision_views_isotope_example_shape'
--

/*!40000 ALTER TABLE field_revision_views_isotope_example_shape DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_views_isotope_example_shape ENABLE KEYS */;

--
-- Table structure for table 'field_revision_views_isotope_example_size'
--

CREATE TABLE IF NOT EXISTS `field_revision_views_isotope_example_size` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `views_isotope_example_size_value` varchar(255) DEFAULT NULL,
  `views_isotope_example_size_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `views_isotope_example_size_format` (`views_isotope_example_size_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 91 (views_isotope...' COMMENT='Revision archive storage for field 91 (views_isotope...';

--
-- Dumping data for table 'field_revision_views_isotope_example_size'
--

/*!40000 ALTER TABLE field_revision_views_isotope_example_size DISABLE KEYS */;
/*!40000 ALTER TABLE field_revision_views_isotope_example_size ENABLE KEYS */;

--
-- Table structure for table 'file_display'
--

CREATE TABLE IF NOT EXISTS `file_display` (
  `name` varchar(255) NOT NULL COMMENT 'A combined string (FILE_TYPE__VIEW_MODE__FILE_FORMATTER) identifying a file display configuration. For integration with CTools Exportables, stored as a single string rather than as a compound primary key.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of formatter within the display chain for the associated file type and view mode. A file is rendered using the lowest weighted enabled display configuration that matches the file type and view mode and that is capable of displaying the file.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The status of the display. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the formatter settings for the display.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for file displays.' COMMENT='Stores configuration options for file displays.';

--
-- Dumping data for table 'file_display'
--

/*!40000 ALTER TABLE file_display DISABLE KEYS */;
INSERT INTO `file_display` VALUES
('image__block_blog_image__file_field_file_default', '0', '0', 'N;'),
('image__block_blog_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__block_blog_image__file_field_file_table', '0', '0', 'N;'),
('image__block_blog_image__file_field_file_url_plain', '0', '0', 'N;'),
('image__block_blog_image__file_field_media_large_icon', '0', '0', 'N;'),
('image__block_blog_image__file_image', '0', '1', 'a:1:{s:11:"image_style";s:16:"block_blog_image";}'),
('image__blog_carousel_image__file_field_file_default', '0', '0', 'N;'),
('image__blog_carousel_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__blog_carousel_image__file_field_file_table', '0', '0', 'N;'),
('image__blog_carousel_image__file_field_file_url_plain', '0', '0', 'N;'),
('image__blog_carousel_image__file_field_media_large_icon', '0', '0', 'N;'),
('image__blog_carousel_image__file_image', '0', '1', 'a:1:{s:11:"image_style";s:19:"blog_carousel_image";}'),
('image__blog_image__file_field_file_default', '0', '0', 'N;'),
('image__blog_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__blog_image__file_field_file_table', '0', '0', 'N;'),
('image__blog_image__file_field_file_url_plain', '0', '0', 'N;'),
('image__blog_image__file_field_media_large_icon', '0', '0', 'N;'),
('image__blog_image__file_image', '0', '1', 'a:1:{s:11:"image_style";s:10:"blog_image";}'),
('image__blog_masonry_image__file_field_file_default', '0', '0', 'N;'),
('image__blog_masonry_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__blog_masonry_image__file_field_file_table', '0', '0', 'N;'),
('image__blog_masonry_image__file_field_file_url_plain', '0', '0', 'N;'),
('image__blog_masonry_image__file_field_media_large_icon', '0', '0', 'N;'),
('image__blog_masonry_image__file_image', '0', '1', 'a:1:{s:11:"image_style";s:18:"blog_masonry_image";}'),
('image__default__file_field_file_default', '0', '0', 'N;'),
('image__default__file_field_file_rendered', '0', '0', 'N;'),
('image__default__file_field_file_table', '0', '0', 'N;'),
('image__default__file_field_file_url_plain', '0', '0', 'N;'),
('image__default__file_field_media_large_icon', '0', '0', 'N;'),
('image__default__file_image', '0', '1', 'a:1:{s:11:"image_style";s:0:"";}'),
('image__full_post_image__file_field_file_default', '0', '0', 'N;'),
('image__full_post_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__full_post_image__file_field_file_table', '0', '0', 'N;'),
('image__full_post_image__file_field_file_url_plain', '0', '0', 'N;'),
('image__full_post_image__file_field_media_large_icon', '0', '0', 'N;'),
('image__full_post_image__file_image', '0', '1', 'a:1:{s:11:"image_style";s:9:"full_post";}'),
('image__media_link__file_field_file_default', '0', '0', 'N;'),
('image__media_link__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__media_link__file_field_file_table', '0', '0', 'N;'),
('image__media_link__file_field_file_url_plain', '0', '1', 'N;'),
('image__media_link__file_field_media_large_icon', '0', '0', 'N;'),
('image__media_link__file_image', '0', '0', 'a:1:{s:11:"image_style";s:0:"";}'),
('image__media_small__file_field_file_default', '0', '0', 'N;'),
('image__media_small__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('image__media_small__file_field_file_table', '0', '0', 'N;'),
('image__media_small__file_field_file_url_plain', '0', '0', 'N;'),
('image__media_small__file_field_media_large_icon', '0', '0', 'N;'),
('image__media_small__file_image', '0', '1', 'a:1:{s:11:"image_style";s:6:"medium";}'),
('video__blog_carousel_image__file_field_file_default', '0', '0', 'N;'),
('video__blog_carousel_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('video__blog_carousel_image__file_field_file_table', '0', '0', 'N;'),
('video__blog_carousel_image__file_field_file_url_plain', '0', '0', 'N;'),
('video__blog_carousel_image__file_field_media_large_icon', '0', '0', 'N;'),
('video__blog_carousel_image__file_image', '0', '0', 'a:1:{s:11:"image_style";s:0:"";}'),
('video__blog_carousel_image__media_vimeo_image', '0', '1', 'a:1:{s:11:"image_style";s:19:"blog_carousel_image";}'),
('video__blog_carousel_image__media_vimeo_video', '0', '0', 'a:11:{s:5:"width";s:3:"640";s:6:"height";s:3:"360";s:5:"color";s:0:"";s:16:"protocol_specify";i:0;s:8:"protocol";s:8:"https://";s:8:"autoplay";i:0;s:4:"loop";i:0;s:5:"title";i:1;s:6:"byline";i:1;s:8:"portrait";i:1;s:3:"api";i:0;}'),
('video__blog_carousel_image__media_youtube_image', '0', '1', 'a:1:{s:11:"image_style";s:19:"blog_carousel_image";}'),
('video__blog_carousel_image__media_youtube_video', '0', '0', 'a:16:{s:5:"width";s:3:"640";s:6:"height";s:3:"390";s:5:"theme";s:4:"dark";s:5:"color";s:3:"red";s:8:"autohide";s:1:"2";s:8:"captions";b:0;s:8:"autoplay";i:0;s:4:"loop";i:0;s:8:"showinfo";i:1;s:14:"modestbranding";i:0;s:3:"rel";i:1;s:8:"nocookie";i:0;s:16:"protocol_specify";i:0;s:8:"protocol";s:6:"https:";s:11:"enablejsapi";i:0;s:6:"origin";s:0:"";}'),
('video__blog_masonry_image__file_field_file_default', '0', '0', 'N;'),
('video__blog_masonry_image__file_field_file_rendered', '0', '0', 'a:1:{s:14:"file_view_mode";s:7:"default";}'),
('video__blog_masonry_image__file_field_file_table', '0', '0', 'N;'),
('video__blog_masonry_image__file_field_file_url_plain', '0', '0', 'N;'),
('video__blog_masonry_image__file_field_media_large_icon', '0', '0', 'N;'),
('video__blog_masonry_image__file_image', '0', '0', 'a:1:{s:11:"image_style";s:0:"";}'),
('video__blog_masonry_image__media_vimeo_image', '0', '0', 'a:1:{s:11:"image_style";s:0:"";}'),
('video__blog_masonry_image__media_vimeo_video', '0', '1', 'a:11:{s:5:"width";s:3:"370";s:6:"height";s:3:"270";s:5:"color";s:0:"";s:16:"protocol_specify";i:0;s:8:"protocol";s:8:"https://";s:8:"autoplay";i:0;s:4:"loop";i:0;s:5:"title";i:1;s:6:"byline";i:1;s:8:"portrait";i:1;s:3:"api";i:0;}'),
('video__blog_masonry_image__media_youtube_image', '0', '0', 'a:1:{s:11:"image_style";s:0:"";}'),
('video__blog_masonry_image__media_youtube_video', '0', '1', 'a:16:{s:5:"width";s:3:"370";s:6:"height";s:3:"270";s:5:"theme";s:4:"dark";s:5:"color";s:3:"red";s:8:"autohide";s:1:"2";s:8:"captions";b:0;s:8:"autoplay";i:0;s:4:"loop";i:0;s:8:"showinfo";i:1;s:14:"modestbranding";i:0;s:3:"rel";i:1;s:8:"nocookie";i:0;s:16:"protocol_specify";i:0;s:8:"protocol";s:6:"https:";s:11:"enablejsapi";i:0;s:6:"origin";s:0:"";}');
/*!40000 ALTER TABLE file_display ENABLE KEYS */;

--
-- Table structure for table 'file_managed'
--

CREATE TABLE IF NOT EXISTS `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  `type` varchar(50) NOT NULL DEFAULT 'undefined' COMMENT 'The type of this file.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`),
  KEY `file_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.' COMMENT='Stores information for uploaded files.';

--
-- Dumping data for table 'file_managed'
--

/*!40000 ALTER TABLE file_managed DISABLE KEYS */;
INSERT INTO `file_managed` VALUES
('8', '1', 'image.png', 'public://image.png', 'image/png', '70605', '1', '1421160089', 'image'),
('13', '1', 'portfolio_img_32.jpg', 'public://portfolio_img_32.jpg', 'image/jpeg', '34366', '1', '1464870818', 'image'),
('15', '1', 'portfolio_img_33.jpg', 'public://portfolio_img_33.jpg', 'image/jpeg', '36159', '1', '1464871405', 'image'),
('17', '1', 'portfolio_img_35.jpg', 'public://portfolio_img_35.jpg', 'image/jpeg', '17689', '1', '1464872007', 'image'),
('19', '1', 'portfolio_img_34.jpg', 'public://portfolio_img_34.jpg', 'image/jpeg', '17173', '1', '1464872274', 'image'),
('21', '1', 'portfolio_img_37.jpg', 'public://portfolio_img_37.jpg', 'image/jpeg', '54649', '1', '1464872855', 'image'),
('23', '1', 'portfolio_img_36.jpg', 'public://portfolio_img_36.jpg', 'image/jpeg', '19850', '1', '1464873109', 'image'),
('24', '1', 'GoPro HERO4: The Adventure of Life in 4K', 'youtube://v/wTcNtgA6gHs', 'video/youtube', '0', '1', '1466408836', 'video'),
('25', '1', 'section_bg_2.jpg', 'public://section_bg_2.jpg', 'image/jpeg', '83309', '1', '1467118323', 'image'),
('26', '1', 'call_out_bg_6.jpg', 'public://call_out_bg_6.jpg', 'image/jpeg', '146414', '1', '1467118604', 'image'),
('27', '1', 'section_bg_3.jpg', 'public://section_bg_3.jpg', 'image/jpeg', '75911', '1', '1467118722', 'image'),
('28', '1', 'fullscreen_bg_10.jpg', 'public://fullscreen_bg_10.jpg', 'image/jpeg', '175220', '1', '1468228057', 'image'),
('29', '1', 'section_bg_5.jpg', 'public://section_bg_5.jpg', 'image/jpeg', '42466', '1', '1468230486', 'image'),
('30', '1', 'call_out_bg_1.jpg', 'public://call_out_bg_1.jpg', 'image/jpeg', '277981', '1', '1468230839', 'image'),
('31', '1', 'section_bg_6.jpg', 'public://section_bg_6.jpg', 'image/jpeg', '47798', '1', '1468235897', 'image'),
('32', '1', 'call_out_bg_7.jpg', 'public://call_out_bg_7.jpg', 'image/jpeg', '446650', '1', '1468236173', 'image'),
('33', '1', 'call_out_bg_2.jpg', 'public://call_out_bg_2.jpg', 'image/jpeg', '258104', '1', '1468491602', 'image'),
('34', '1', 'call_out_bg_3.jpg', 'public://call_out_bg_3.jpg', 'image/jpeg', '501698', '1', '1468497439', 'image'),
('35', '1', 'call_out_bg_4.jpg', 'public://call_out_bg_4.jpg', 'image/jpeg', '114736', '1', '1468497818', 'image'),
('36', '1', 'call_out_bg_5.jpg', 'public://call_out_bg_5.jpg', 'image/jpeg', '733301', '1', '1468498092', 'image'),
('37', '1', 'content_image_2.jpg', 'public://content_image_2.jpg', 'image/jpeg', '249109', '1', '1468842059', 'image'),
('38', '1', 'content_image_3.jpg', 'public://content_image_3.jpg', 'image/jpeg', '120628', '1', '1469001610', 'image');
/*!40000 ALTER TABLE file_managed ENABLE KEYS */;

--
-- Table structure for table 'file_metadata'
--

CREATE TABLE IF NOT EXISTS `file_metadata` (
  `fid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The file_managed.fid of the metadata.',
  `name` varchar(255) NOT NULL COMMENT 'The name of the metadata (e.g. ’width’).',
  `value` longblob COMMENT 'The value of the metadata (e.g. ’200px’).',
  PRIMARY KEY (`fid`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores file metadata in a key/value store.' COMMENT='Stores file metadata in a key/value store.';

--
-- Dumping data for table 'file_metadata'
--

/*!40000 ALTER TABLE file_metadata DISABLE KEYS */;
INSERT INTO `file_metadata` VALUES
('8', 'height', 'i:800;'),
('8', 'width', 'i:1200;'),
('10', 'height', 'i:320;'),
('10', 'width', 'i:630;'),
('11', 'height', 'i:600;'),
('11', 'width', 'i:600;'),
('12', 'height', 'i:600;'),
('12', 'width', 'i:600;'),
('13', 'height', 'i:800;'),
('13', 'width', 'i:1200;');
/*!40000 ALTER TABLE file_metadata ENABLE KEYS */;

--
-- Table structure for table 'file_type'
--

CREATE TABLE IF NOT EXISTS `file_type` (
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The machine name of the file type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human readable name of the file type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this file type.',
  `mimetypes` longblob COMMENT 'Mimetypes mapped to this file type.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the settings for file types.' COMMENT='Stores the settings for file types.';

--
-- Dumping data for table 'file_type'
--

/*!40000 ALTER TABLE file_type DISABLE KEYS */;
/*!40000 ALTER TABLE file_type ENABLE KEYS */;

--
-- Table structure for table 'file_usage'
--

CREATE TABLE IF NOT EXISTS `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.' COMMENT='Track where a file is used.';

--
-- Dumping data for table 'file_usage'
--

/*!40000 ALTER TABLE file_usage DISABLE KEYS */;
INSERT INTO `file_usage` VALUES
('8', 'file', 'node', '37', '1'),
('8', 'file', 'node', '38', '1'),
('8', 'file', 'node', '39', '1'),
('8', 'file', 'node', '40', '1'),
('8', 'file', 'node', '41', '1'),
('8', 'file', 'node', '47', '1'),
('8', 'file', 'node', '50', '1'),
('8', 'file', 'node', '52', '1'),
('8', 'file', 'node', '53', '1'),
('8', 'file', 'node', '54', '1'),
('8', 'file', 'node', '55', '1'),
('8', 'file', 'node', '56', '1'),
('8', 'file', 'node', '57', '1'),
('8', 'file', 'node', '58', '1'),
('8', 'file', 'node', '67', '1'),
('8', 'file', 'node', '82', '1'),
('8', 'file', 'node', '83', '1'),
('8', 'file', 'node', '89', '1'),
('8', 'file', 'node', '90', '1'),
('8', 'file', 'node', '91', '1'),
('8', 'file', 'node', '92', '1'),
('8', 'file', 'node', '93', '1'),
('8', 'file', 'node', '94', '1'),
('8', 'file', 'node', '103', '1'),
('8', 'file', 'node', '105', '1'),
('8', 'file', 'node', '123', '1'),
('8', 'file', 'node', '124', '1'),
('8', 'file', 'node', '125', '1'),
('8', 'file', 'node', '126', '1'),
('8', 'file', 'node', '133', '1'),
('8', 'file', 'node', '134', '1'),
('8', 'file', 'node', '135', '1'),
('8', 'file', 'node', '146', '1'),
('8', 'file', 'node', '147', '1'),
('8', 'file', 'node', '148', '1'),
('8', 'file', 'node', '150', '1'),
('8', 'file', 'node', '151', '1'),
('8', 'file', 'node', '165', '1'),
('8', 'file', 'node', '166', '1'),
('8', 'file', 'node', '167', '1'),
('8', 'file', 'node', '168', '1'),
('8', 'file', 'node', '172', '1'),
('8', 'file', 'node', '175', '1'),
('8', 'file', 'node', '176', '1'),
('8', 'file', 'node', '177', '1'),
('8', 'file', 'node', '178', '1'),
('8', 'file', 'node', '179', '1'),
('8', 'file', 'node', '180', '1'),
('8', 'file', 'node', '183', '1'),
('8', 'file', 'node', '184', '1'),
('8', 'file', 'node', '104', '2'),
('13', 'file', 'node', '104', '1'),
('15', 'file', 'node', '103', '1'),
('17', 'file', 'node', '82', '1'),
('19', 'file', 'node', '53', '1'),
('21', 'file', 'node', '54', '1'),
('23', 'file', 'node', '55', '1'),
('24', 'file', 'node', '174', '1');
/*!40000 ALTER TABLE file_usage ENABLE KEYS */;

--
-- Table structure for table 'filter'
--

CREATE TABLE IF NOT EXISTS `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...' COMMENT='Table that maps filters (HTML corrector) to text formats ...';

--
-- Dumping data for table 'filter'
--

/*!40000 ALTER TABLE filter DISABLE KEYS */;
INSERT INTO `filter` VALUES
('filtered_html', 'faq', 'faq_embed', '0', '0', 'a:0:{}'),
('filtered_html', 'filter', 'filter_autop', '-44', '1', 'a:0:{}'),
('filtered_html', 'flickr', 'filter_flickr', '0', '0', 'a:0:{}'),
('filtered_html', 'filter', 'filter_html', '-46', '0', 'a:3:{s:12:"allowed_html";s:87:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd> <p> <iframe>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),
('filtered_html', 'filter', 'filter_htmlcorrector', '-42', '0', 'a:0:{}'),
('filtered_html', 'filter', 'filter_html_escape', '-43', '0', 'a:0:{}'),
('filtered_html', 'filter', 'filter_url', '-49', '1', 'a:1:{s:17:"filter_url_length";s:2:"72";}'),
('filtered_html', 'gmap', 'gmap_macro', '0', '0', 'a:0:{}'),
('filtered_html', 'likebtn', 'likebtn', '0', '0', 'a:0:{}'),
('filtered_html', 'media', 'media_filter', '-45', '1', 'a:0:{}'),
('filtered_html', 'php', 'php_code', '-50', '0', 'a:0:{}'),
('filtered_html', 'shortcode', 'shortcode', '-48', '0', 'a:12:{s:6:"button";i:0;s:5:"clear";i:1;s:3:"col";i:1;s:7:"counter";i:1;s:7:"dropcap";i:1;s:4:"gmap";i:1;s:4:"grid";i:1;s:9:"highlight";i:0;s:4:"icon";i:0;s:7:"message";i:0;s:8:"piegraph";i:0;s:11:"progressbar";i:0;}'),
('filtered_html', 'shortcode', 'shortcode_text_corrector', '-47', '0', 'a:0:{}'),
('full_html', 'add_func_shortcodes', 'add_func_shortcodes', '-42', '1', 'a:0:{}'),
('full_html', 'add_func_shortcodes', 'add_func_shortcodes_txt_corr', '-48', '0', 'a:0:{}'),
('full_html', 'filter', 'filter_autop', '-47', '0', 'a:0:{}'),
('full_html', 'filter', 'filter_html', '-45', '0', 'a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),
('full_html', 'filter', 'filter_htmlcorrector', '-43', '1', 'a:0:{}'),
('full_html', 'filter', 'filter_html_escape', '-44', '0', 'a:0:{}'),
('full_html', 'filter', 'filter_url', '-50', '1', 'a:1:{s:17:"filter_url_length";s:2:"72";}'),
('full_html', 'media', 'media_filter', '-46', '1', 'a:0:{}'),
('full_html', 'php', 'php_code', '-49', '0', 'a:0:{}'),
('full_html', 'shortcode', 'shortcode', '0', '1', 'a:14:{s:10:"blockquote";i:1;s:6:"button";i:1;s:7:"callout";i:1;s:5:"clear";i:1;s:7:"counter";i:1;s:7:"divider";i:1;s:7:"dropcap";i:1;s:4:"gmap";i:1;s:4:"grid";i:1;s:4:"icon";i:1;s:3:"img";i:1;s:4:"list";i:1;s:7:"message";i:1;s:11:"progressbar";i:1;}'),
('full_html', 'shortcode', 'shortcode_text_corrector', '0', '1', 'a:0:{}'),
('gmap', 'filter', 'filter_autop', '0', '0', 'a:0:{}'),
('gmap', 'filter', 'filter_html', '-10', '0', 'a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),
('gmap', 'filter', 'filter_htmlcorrector', '10', '0', 'a:0:{}'),
('gmap', 'filter', 'filter_html_escape', '-10', '0', 'a:0:{}'),
('gmap', 'filter', 'filter_url', '0', '0', 'a:1:{s:17:"filter_url_length";s:2:"72";}'),
('gmap', 'gmap', 'gmap_macro', '0', '1', 'a:0:{}'),
('gmap', 'likebtn', 'likebtn', '0', '0', 'a:0:{}'),
('gmap', 'media', 'media_filter', '2', '0', 'a:0:{}'),
('gmap', 'php', 'php_code', '0', '0', 'a:0:{}'),
('gmap', 'shortcode', 'shortcode', '0', '0', 'a:14:{s:5:"quote";i:0;s:3:"img";i:0;s:9:"highlight";i:0;s:6:"button";i:0;s:7:"dropcap";i:0;s:4:"item";i:0;s:5:"clear";i:0;s:4:"link";i:0;s:6:"random";i:0;s:3:"col";i:0;s:7:"counter";i:0;s:4:"icon";i:0;s:8:"piegraph";i:0;s:11:"progressbar";i:0;}'),
('gmap', 'shortcode', 'shortcode_text_corrector', '0', '0', 'a:0:{}'),
('php_code', 'add_func_shortcodes', 'add_func_shortcodes', '0', '1', 'a:0:{}'),
('php_code', 'add_func_shortcodes', 'add_func_shortcodes_txt_corr', '0', '0', 'a:0:{}'),
('php_code', 'filter', 'filter_autop', '10', '0', 'a:0:{}'),
('php_code', 'filter', 'filter_html', '10', '0', 'a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),
('php_code', 'filter', 'filter_htmlcorrector', '10', '0', 'a:0:{}'),
('php_code', 'filter', 'filter_html_escape', '10', '0', 'a:0:{}'),
('php_code', 'filter', 'filter_url', '10', '0', 'a:1:{s:17:"filter_url_length";s:2:"72";}'),
('php_code', 'media', 'media_filter', '2', '0', 'a:0:{}'),
('php_code', 'php', 'php_code', '0', '1', 'a:0:{}'),
('php_code', 'shortcode', 'shortcode', '0', '1', 'a:14:{s:10:"blockquote";i:1;s:6:"button";i:1;s:7:"callout";i:1;s:5:"clear";i:1;s:7:"counter";i:1;s:7:"divider";i:1;s:7:"dropcap";i:1;s:4:"gmap";i:1;s:4:"grid";i:1;s:4:"icon";i:1;s:3:"img";i:1;s:4:"list";i:1;s:7:"message";i:1;s:11:"progressbar";i:1;}'),
('php_code', 'shortcode', 'shortcode_text_corrector', '0', '1', 'a:0:{}'),
('plain_text', 'filter', 'filter_autop', '2', '1', 'a:0:{}'),
('plain_text', 'filter', 'filter_html', '10', '0', 'a:3:{s:12:"allowed_html";s:74:"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>";s:16:"filter_html_help";i:1;s:20:"filter_html_nofollow";i:0;}'),
('plain_text', 'filter', 'filter_htmlcorrector', '10', '0', 'a:0:{}'),
('plain_text', 'filter', 'filter_html_escape', '0', '1', 'a:0:{}'),
('plain_text', 'filter', 'filter_url', '1', '1', 'a:1:{s:17:"filter_url_length";s:2:"72";}'),
('plain_text', 'media', 'media_filter', '2', '0', 'a:0:{}'),
('plain_text', 'php', 'php_code', '0', '0', 'a:0:{}'),
('plain_text', 'add_func_shortcodes', 'shortcode', '0', '0', 'a:13:{s:6:"button";i:0;s:5:"clear";i:0;s:3:"col";i:0;s:7:"counter";i:0;s:7:"dropcap";i:0;s:4:"gmap";i:0;s:9:"container";i:0;s:4:"grid";i:0;s:9:"highlight";i:0;s:4:"icon";i:0;s:7:"message";i:0;s:8:"piegraph";i:0;s:11:"progressbar";i:1;}'),
('plain_text', 'add_func_shortcodes', 'shortcode_text_corrector', '0', '0', 'a:0:{}');
/*!40000 ALTER TABLE filter ENABLE KEYS */;

--
-- Table structure for table 'filter_format'
--

CREATE TABLE IF NOT EXISTS `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...' COMMENT='Stores text formats: custom groupings of filters, such as...';

--
-- Dumping data for table 'filter_format'
--

/*!40000 ALTER TABLE filter_format DISABLE KEYS */;
INSERT INTO `filter_format` VALUES
('filtered_html', 'Filtered HTML', '1', '1', '-9'),
('full_html', 'Full HTML', '1', '1', '-10'),
('gmap', 'Gmap', '1', '0', '-6'),
('php_code', 'PHP code', '0', '1', '-8'),
('plain_text', 'Plain text', '1', '1', '-7');
/*!40000 ALTER TABLE filter_format ENABLE KEYS */;

--
-- Table structure for table 'flag'
--

CREATE TABLE IF NOT EXISTS `flag` (
  `fid` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID for this particular flag.',
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The flag type, for example `node`, `comment`, or `user`.',
  `name` varchar(32) DEFAULT '' COMMENT 'The machine-name for this flag.',
  `title` varchar(255) DEFAULT '' COMMENT 'The human-readable title for this flag.',
  `global` tinyint(4) DEFAULT '0' COMMENT 'Whether this flag state should act as a single toggle to all users across the site.',
  `options` text COMMENT 'The options and configuration of this flag.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='All available flags in the system.' COMMENT='All available flags in the system.';

--
-- Dumping data for table 'flag'
--

/*!40000 ALTER TABLE flag DISABLE KEYS */;
INSERT INTO `flag` VALUES
(1, 'node', 'like', 'Like', '0', 'a:15:{s:10:"flag_short";s:4:"Like";s:9:"flag_long";s:0:"";s:12:"flag_message";s:0:"";s:12:"unflag_short";s:6:"Unlike";s:11:"unflag_long";s:0:"";s:14:"unflag_message";s:0:"";s:18:"unflag_denied_text";s:0:"";s:9:"link_type";s:6:"toggle";s:6:"weight";i:0;s:13:"show_in_links";a:6:{s:4:"full";s:4:"full";s:6:"teaser";i:0;s:3:"rss";i:0;s:12:"search_index";i:0;s:13:"search_result";i:0;s:5:"print";i:0;}s:13:"show_as_field";i:1;s:12:"show_on_form";i:0;s:13:"access_author";s:0:"";s:20:"show_contextual_link";i:0;s:4:"i18n";i:0;}');
/*!40000 ALTER TABLE flag ENABLE KEYS */;

--
-- Table structure for table 'flag_counts'
--

CREATE TABLE IF NOT EXISTS `flag_counts` (
  `fid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The flag type, for example `node`, `comment`, or `user`.',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique ID of the flagged entity, for example the uid, cid, or nid.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this object has been flagged for this flag.',
  `last_updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The UNIX time stamp representing when the flag was last updated.',
  PRIMARY KEY (`fid`,`entity_id`),
  KEY `fid_entity_type` (`fid`,`entity_type`),
  KEY `entity_type_entity_id` (`entity_type`,`entity_id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_last_updated` (`fid`,`last_updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The number of times an item has been flagged.' COMMENT='The number of times an item has been flagged.';

--
-- Dumping data for table 'flag_counts'
--

/*!40000 ALTER TABLE flag_counts DISABLE KEYS */;
INSERT INTO `flag_counts` VALUES
(1, 'node', '38', '1', '1465199329');
/*!40000 ALTER TABLE flag_counts ENABLE KEYS */;

--
-- Table structure for table 'flag_types'
--

CREATE TABLE IF NOT EXISTS `flag_types` (
  `fid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The unqiue flag ID as defined for the flag in flag.',
  `type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity bundles that can be flagged by this fid.',
  KEY `fid` (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The entity bundles that are affected by a flag.' COMMENT='The entity bundles that are affected by a flag.';

--
-- Dumping data for table 'flag_types'
--

/*!40000 ALTER TABLE flag_types DISABLE KEYS */;
INSERT INTO `flag_types` VALUES
(1, 'blog');
/*!40000 ALTER TABLE flag_types ENABLE KEYS */;

--
-- Table structure for table 'flagging'
--

CREATE TABLE IF NOT EXISTS `flagging` (
  `flagging_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID for this particular tag.',
  `fid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique flag ID this object has been flagged with, from flag.',
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The flag type, for example `node`, `comment`, or `user`.',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique ID of the flagged entity, for example the uid, cid, or nid.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user ID by whom this object was flagged.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user’s numeric sid from the session_api table.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The UNIX time stamp representing when the flag was set.',
  PRIMARY KEY (`flagging_id`),
  UNIQUE KEY `fid_entity_id_uid_sid` (`fid`,`entity_id`,`uid`,`sid`),
  KEY `entity_type_uid_sid` (`entity_type`,`uid`,`sid`),
  KEY `entity_type_entity_id_uid_sid` (`entity_type`,`entity_id`,`uid`,`sid`),
  KEY `entity_id_fid` (`entity_id`,`fid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Objects that have been flagged.' COMMENT='Objects that have been flagged.';

--
-- Dumping data for table 'flagging'
--

/*!40000 ALTER TABLE flagging DISABLE KEYS */;
INSERT INTO `flagging` VALUES
('1', 1, 'node', '38', '1', '0', '1465199329');
/*!40000 ALTER TABLE flagging ENABLE KEYS */;

--
-- Table structure for table 'flexslider_optionset'
--

CREATE TABLE IF NOT EXISTS `flexslider_optionset` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `theme` varchar(255) NOT NULL DEFAULT 'classic' COMMENT 'The flexslider theme.',
  `options` longblob COMMENT 'The options array.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store option sets for flexslider instances.' COMMENT='Store option sets for flexslider instances.';

--
-- Dumping data for table 'flexslider_optionset'
--

/*!40000 ALTER TABLE flexslider_optionset DISABLE KEYS */;
INSERT INTO `flexslider_optionset` VALUES
('carousel', 'Carousel', 'classic', 'a:40:{s:9:"namespace";s:5:"flex-";s:8:"selector";s:12:".slides > li";s:6:"easing";s:5:"swing";s:9:"direction";s:10:"horizontal";s:7:"reverse";i:0;s:12:"smoothHeight";i:0;s:7:"startAt";s:1:"0";s:14:"animationSpeed";s:3:"600";s:9:"initDelay";s:1:"0";s:6:"useCSS";i:1;s:5:"touch";i:1;s:5:"video";i:0;s:8:"keyboard";i:0;s:16:"multipleKeyboard";i:0;s:10:"mousewheel";i:0;s:17:"controlsContainer";s:27:".flex-control-nav-container";s:4:"sync";s:0:"";s:8:"asNavFor";s:0:"";s:9:"itemWidth";s:3:"370";s:10:"itemMargin";s:2:"30";s:8:"minItems";s:1:"1";s:8:"maxItems";s:1:"3";s:4:"move";s:1:"1";s:9:"animation";s:5:"slide";s:9:"slideshow";i:0;s:14:"slideshowSpeed";s:4:"7000";s:12:"directionNav";i:1;s:10:"controlNav";s:1:"0";s:8:"prevText";s:0:"";s:8:"nextText";s:0:"";s:9:"pausePlay";i:0;s:9:"pauseText";s:5:"Pause";s:8:"playText";s:4:"Play";s:9:"randomize";i:0;s:13:"thumbCaptions";i:0;s:17:"thumbCaptionsBoth";i:0;s:13:"animationLoop";i:1;s:13:"pauseOnAction";i:1;s:12:"pauseOnHover";i:0;s:14:"manualControls";s:0:"";}'),
('default', 'Slider', 'classic', 'a:40:{s:9:"namespace";s:5:"flex-";s:8:"selector";s:12:".slides > li";s:6:"easing";s:5:"swing";s:9:"direction";s:10:"horizontal";s:7:"reverse";i:0;s:12:"smoothHeight";i:0;s:7:"startAt";s:1:"0";s:14:"animationSpeed";s:3:"600";s:9:"initDelay";s:1:"0";s:6:"useCSS";i:1;s:5:"touch";i:1;s:5:"video";i:0;s:8:"keyboard";i:1;s:16:"multipleKeyboard";i:0;s:10:"mousewheel";i:0;s:17:"controlsContainer";s:27:".flex-control-nav-container";s:4:"sync";s:0:"";s:8:"asNavFor";s:0:"";s:9:"itemWidth";s:1:"0";s:10:"itemMargin";s:1:"0";s:8:"minItems";s:1:"0";s:8:"maxItems";s:1:"0";s:4:"move";s:1:"0";s:9:"animation";s:4:"fade";s:9:"slideshow";i:1;s:14:"slideshowSpeed";s:4:"7000";s:12:"directionNav";i:0;s:10:"controlNav";s:1:"1";s:8:"prevText";s:0:"";s:8:"nextText";s:0:"";s:9:"pausePlay";i:0;s:9:"pauseText";s:5:"Pause";s:8:"playText";s:4:"Play";s:9:"randomize";i:0;s:13:"thumbCaptions";i:0;s:17:"thumbCaptionsBoth";i:0;s:13:"animationLoop";i:1;s:13:"pauseOnAction";i:1;s:12:"pauseOnHover";i:0;s:14:"manualControls";s:0:"";}'),
('gallery', 'Gallery', 'classic', 'a:40:{s:9:"namespace";s:5:"flex-";s:8:"selector";s:12:".slides > li";s:6:"easing";s:5:"swing";s:9:"direction";s:10:"horizontal";s:7:"reverse";i:0;s:12:"smoothHeight";i:0;s:7:"startAt";s:1:"0";s:14:"animationSpeed";s:3:"600";s:9:"initDelay";s:1:"0";s:6:"useCSS";i:1;s:5:"touch";i:1;s:5:"video";i:0;s:8:"keyboard";i:1;s:16:"multipleKeyboard";i:0;s:10:"mousewheel";i:0;s:17:"controlsContainer";s:27:".flex-control-nav-container";s:4:"sync";s:0:"";s:8:"asNavFor";s:0:"";s:9:"itemWidth";s:1:"0";s:10:"itemMargin";s:1:"0";s:8:"minItems";s:1:"0";s:8:"maxItems";s:1:"0";s:4:"move";s:1:"0";s:9:"animation";s:4:"fade";s:9:"slideshow";i:1;s:14:"slideshowSpeed";s:4:"7000";s:12:"directionNav";i:0;s:10:"controlNav";s:10:"thumbnails";s:8:"prevText";s:8:"Previous";s:8:"nextText";s:4:"Next";s:9:"pausePlay";i:0;s:9:"pauseText";s:5:"Pause";s:8:"playText";s:4:"Play";s:9:"randomize";i:0;s:13:"thumbCaptions";i:0;s:17:"thumbCaptionsBoth";i:0;s:13:"animationLoop";i:1;s:13:"pauseOnAction";i:1;s:12:"pauseOnHover";i:0;s:14:"manualControls";s:0:"";}'),
('pager', 'Pager', 'classic', 'a:40:{s:9:"namespace";s:5:"flex-";s:8:"selector";s:12:".slides > li";s:6:"easing";s:5:"swing";s:9:"direction";s:10:"horizontal";s:7:"reverse";i:0;s:12:"smoothHeight";i:0;s:7:"startAt";s:1:"0";s:14:"animationSpeed";s:3:"600";s:9:"initDelay";s:1:"0";s:6:"useCSS";i:1;s:5:"touch";i:1;s:5:"video";i:0;s:8:"keyboard";i:1;s:16:"multipleKeyboard";i:0;s:10:"mousewheel";i:0;s:17:"controlsContainer";s:27:".flex-control-nav-container";s:4:"sync";s:0:"";s:8:"asNavFor";s:0:"";s:9:"itemWidth";s:1:"0";s:10:"itemMargin";s:1:"0";s:8:"minItems";s:1:"0";s:8:"maxItems";s:1:"0";s:4:"move";s:1:"0";s:9:"animation";s:4:"fade";s:9:"slideshow";i:0;s:14:"slideshowSpeed";s:4:"7000";s:12:"directionNav";i:0;s:10:"controlNav";s:1:"1";s:8:"prevText";s:8:"Previous";s:8:"nextText";s:4:"Next";s:9:"pausePlay";i:0;s:9:"pauseText";s:5:"Pause";s:8:"playText";s:4:"Play";s:9:"randomize";i:0;s:13:"thumbCaptions";i:0;s:17:"thumbCaptionsBoth";i:0;s:13:"animationLoop";i:1;s:13:"pauseOnAction";i:1;s:12:"pauseOnHover";i:0;s:14:"manualControls";s:0:"";}');
/*!40000 ALTER TABLE flexslider_optionset ENABLE KEYS */;

--
-- Table structure for table 'flood'
--

CREATE TABLE IF NOT EXISTS `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...' COMMENT='Flood controls the threshold of events, such as the...';

--
-- Dumping data for table 'flood'
--

/*!40000 ALTER TABLE flood DISABLE KEYS */;
/*!40000 ALTER TABLE flood ENABLE KEYS */;

--
-- Table structure for table 'forum'
--

CREATE TABLE IF NOT EXISTS `forum` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the node.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The node.vid of the node.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_term_data.tid of the forum term assigned to the node.',
  PRIMARY KEY (`vid`),
  KEY `forum_topic` (`nid`,`tid`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the relationship of nodes to forum terms.' COMMENT='Stores the relationship of nodes to forum terms.';

--
-- Dumping data for table 'forum'
--

/*!40000 ALTER TABLE forum DISABLE KEYS */;
INSERT INTO `forum` VALUES
('12', '12', '1'),
('13', '13', '1'),
('14', '14', '1'),
('15', '15', '1'),
('16', '16', '1'),
('17', '17', '5'),
('18', '18', '5'),
('19', '19', '5'),
('20', '20', '5'),
('21', '21', '6'),
('22', '22', '6'),
('23', '23', '6'),
('24', '24', '6'),
('25', '25', '7'),
('26', '26', '7'),
('27', '27', '7'),
('28', '28', '8'),
('29', '29', '8'),
('30', '30', '8'),
('31', '31', '8'),
('32', '32', '8'),
('33', '33', '9'),
('34', '34', '9'),
('35', '35', '10');
/*!40000 ALTER TABLE forum ENABLE KEYS */;

--
-- Table structure for table 'forum_index'
--

CREATE TABLE IF NOT EXISTS `forum_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.timestamp.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  KEY `forum_topics` (`nid`,`tid`,`sticky`,`last_comment_timestamp`),
  KEY `created` (`created`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...' COMMENT='Maintains denormalized information about node/term...';

--
-- Dumping data for table 'forum_index'
--

/*!40000 ALTER TABLE forum_index DISABLE KEYS */;
INSERT INTO `forum_index` VALUES
('17', 'Nunc ligula sem, aliquet sit amet feugiat eu', '5', '0', '1305117638', '1305117638', '0'),
('20', 'Aenean varius vehicula eros', '5', '0', '1305117721', '1305117721', '0'),
('25', 'Maecenas pulvinar arcu sed orci commodo pharetra', '7', '0', '1305117888', '1305117888', '0'),
('28', 'Nullam sed ipsum ut tellus facilisis tincidunt', '8', '0', '1305117979', '1305117979', '0'),
('15', 'Sed ut urna ac dui dapibus ultrices', '1', '0', '1305117558', '1305117558', '0'),
('31', 'Duis maximus mauris non urna porta', '8', '0', '1305118075', '1305118075', '0'),
('24', 'Curabitur a nulla non ligula aliquam', '6', '0', '1305117855', '1305117855', '0'),
('16', 'Vehicula ipsum ultricies non', '1', '0', '1305117592', '1305117601', '2'),
('35', 'Duis blandit semper condimentum', '10', '0', '1305118193', '1305118193', '0'),
('18', 'Habitant morbi tristique senectus', '5', '0', '1305117661', '1305117661', '0'),
('14', 'Quisque blandit cursus velit', '1', '0', '1305117493', '1305117530', '5'),
('21', 'Quisque ornare erat nunc', '6', '0', '1305117759', '1305117759', '0'),
('12', 'Malesuada, purus leo dignissim leo', '1', '0', '1305117326', '1305117353', '3'),
('34', 'Fringilla dolor sed, hendrerit velit', '9', '0', '1305118163', '1305118163', '0'),
('13', 'Phasellus faucibus turpis et libero maximus', '1', '0', '1305117431', '1305117437', '1'),
('19', 'Nunc sed blandit lorem, quis semper orci', '5', '0', '1305117686', '1305117686', '0'),
('30', 'Cras elementum consectetur dictum', '8', '0', '1305118030', '1305118030', '0'),
('29', 'Elit eu finibus consectetur', '8', '0', '1305118002', '1305118002', '0'),
('27', 'Ut aliquam molestie purus ac elementum', '7', '0', '1305117944', '1305117944', '0'),
('22', 'Praesent laoreet cursus arcu', '6', '0', '1305117790', '1305117790', '0'),
('23', 'Sapien tortor viverra eros', '6', '0', '1305117828', '1305117828', '0'),
('32', 'Fusce vestibulum dictum arcu vitae rutrum', '8', '0', '1305118101', '1305118101', '0'),
('33', 'Morbi faucibus imperdiet fringilla', '9', '0', '1305118138', '1305118138', '0'),
('26', 'Pellentesque ut nisi purus', '7', '0', '1305117913', '1305117913', '0');
/*!40000 ALTER TABLE forum_index ENABLE KEYS */;

--
-- Table structure for table 'history'
--

CREATE TABLE IF NOT EXISTS `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.' COMMENT='A record of which users have read which nodes.';

--
-- Dumping data for table 'history'
--

/*!40000 ALTER TABLE history DISABLE KEYS */;
INSERT INTO `history` VALUES
('1', '38', '1467192581'),
('1', '47', '1467017925'),
('1', '50', '1467017993'),
('1', '67', '1467292945'),
('1', '89', '1467017808'),
('1', '90', '1467017732'),
('1', '123', '1468237293'),
('1', '124', '1468237262'),
('1', '125', '1468237231'),
('1', '133', '1467292795'),
('1', '134', '1467292838'),
('1', '135', '1467292926'),
('1', '145', '1469097101'),
('1', '173', '1467274675'),
('1', '180', '1468313436'),
('1', '181', '1468853167'),
('1', '182', '1468930309'),
('1', '183', '1469100352'),
('1', '184', '1469099652');
/*!40000 ALTER TABLE history ENABLE KEYS */;

--
-- Table structure for table 'image_dimensions'
--

CREATE TABLE IF NOT EXISTS `image_dimensions` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `height` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The height of the image in pixels.',
  `width` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The width of the image in pixels..',
  PRIMARY KEY (`fid`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=utf8 COMMENT='Cache images dimensions.' COMMENT='Cache images dimensions.';

--
-- Dumping data for table 'image_dimensions'
--

/*!40000 ALTER TABLE image_dimensions DISABLE KEYS */;
INSERT INTO `image_dimensions` VALUES
('2', '800', '1200'),
('3', '600', '600'),
('6', '130', '250'),
('8', '800', '1200'),
('13', '570', '570'),
('15', '270', '570'),
('17', '270', '270'),
('19', '270', '270'),
('21', '270', '870'),
('23', '270', '270'),
('25', '1522', '1920'),
('26', '1299', '1920'),
('27', '928', '1920'),
('28', '1080', '1920'),
('29', '770', '1920'),
('30', '1275', '1920'),
('31', '910', '1920'),
('32', '1318', '1920'),
('33', '1275', '1920'),
('34', '1200', '1920'),
('35', '1080', '1920'),
('36', '1440', '1920'),
('37', '495', '1170'),
('38', '495', '569');
/*!40000 ALTER TABLE image_dimensions ENABLE KEYS */;

--
-- Table structure for table 'image_effects'
--

CREATE TABLE IF NOT EXISTS `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.' COMMENT='Stores configuration options for image effects.';

--
-- Dumping data for table 'image_effects'
--

/*!40000 ALTER TABLE image_effects DISABLE KEYS */;
INSERT INTO `image_effects` VALUES
('1', '1', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:4:"1170";s:6:"height";s:3:"400";s:8:"retinafy";i:1;}'),
('2', '2', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"270";s:6:"height";s:3:"310";s:8:"retinafy";i:1;}'),
('3', '3', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"270";s:6:"height";s:3:"160";s:8:"retinafy";i:1;}'),
('5', '5', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"570";s:6:"height";s:3:"330";s:8:"retinafy";i:1;}'),
('6', '6', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"370";s:6:"height";s:3:"220";s:8:"retinafy";i:1;}'),
('7', '7', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:4:"1170";s:6:"height";s:3:"400";s:8:"retinafy";i:1;}'),
('8', '8', '0', 'image_scale_and_crop', 'a:3:{s:5:"width";s:4:"1920";s:6:"height";s:4:"1080";s:8:"retinafy";i:1;}'),
('9', '9', '0', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"160";s:6:"height";s:3:"100";s:8:"retinafy";i:1;}'),
('10', '10', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"250";s:6:"height";s:3:"130";s:8:"retinafy";i:1;}'),
('11', '11', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:2:"80";s:6:"height";s:2:"80";s:8:"retinafy";i:1;}'),
('12', '13', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"270";s:6:"height";s:3:"310";s:8:"retinafy";i:1;}'),
('13', '14', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"470";s:6:"height";s:3:"370";s:8:"retinafy";i:1;}'),
('14', '15', '0', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"220";s:6:"height";s:3:"220";s:8:"retinafy";i:0;}'),
('16', '17', '1', 'image_scale', 'a:4:{s:5:"width";s:3:"370";s:6:"height";s:0:"";s:7:"upscale";i:1;s:8:"retinafy";i:1;}'),
('17', '18', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"570";s:6:"height";s:3:"330";s:8:"retinafy";i:1;}'),
('18', '19', '0', 'image_scale', 'a:3:{s:5:"width";i:220;s:6:"height";i:220;s:7:"upscale";i:1;}'),
('19', '20', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"270";s:6:"height";s:3:"300";s:8:"retinafy";i:1;}'),
('20', '16', '2', 'image_scale_and_crop', 'a:3:{s:5:"width";s:2:"80";s:6:"height";s:2:"80";s:8:"retinafy";i:1;}'),
('21', '21', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"557";s:6:"height";s:3:"502";s:8:"retinafy";i:1;}'),
('22', '22', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"370";s:6:"height";s:3:"270";s:8:"retinafy";i:1;}'),
('23', '23', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"370";s:6:"height";s:3:"220";s:8:"retinafy";i:1;}'),
('24', '24', '1', 'image_scale', 'a:4:{s:5:"width";s:3:"370";s:6:"height";s:0:"";s:7:"upscale";i:1;s:8:"retinafy";i:1;}'),
('25', '25', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:4:"1170";s:6:"height";s:3:"400";s:8:"retinafy";i:1;}'),
('26', '26', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"384";s:6:"height";s:3:"384";s:8:"retinafy";i:1;}'),
('27', '27', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"330";s:6:"height";s:3:"330";s:8:"retinafy";i:1;}'),
('28', '28', '1', 'image_scale_and_crop', 'a:3:{s:5:"width";s:3:"370";s:6:"height";s:3:"280";s:8:"retinafy";i:1;}');
/*!40000 ALTER TABLE image_effects ENABLE KEYS */;

--
-- Table structure for table 'image_styles'
--

CREATE TABLE IF NOT EXISTS `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.' COMMENT='Stores configuration options for image styles.';

--
-- Dumping data for table 'image_styles'
--

/*!40000 ALTER TABLE image_styles DISABLE KEYS */;
INSERT INTO `image_styles` VALUES
('1', 'blog_image', 'Blog image'),
('2', 'employee_image', 'Employee image'),
('3', 'portfolio_4_cols', 'Portfolio 4 cols image'),
('5', 'portfolio_2_cols', 'Portfolio 2 cols image'),
('6', 'portfolio_3_cols', 'Portfolio 3 cols image'),
('7', 'full_post', 'Full post image'),
('8', 'flexslider_full', 'Flexslider full image'),
('9', 'flexslider_thumbnail', 'Flexslider thumbnail image'),
('10', 'banner_image', 'Banner image'),
('11', 'testimonial_image', 'Testimonial image'),
('13', 'employee_image_page', 'Employee image (Page)'),
('14', 'block_blog_image', 'Blog block image'),
('15', 'square_thumbnail', 'square_thumbnail'),
('16', 'user_picture', 'User picture'),
('17', 'portfolio_masonry', 'Portfolio masonry image'),
('18', 'portfolio_1_col', 'Portfolio 1 col image'),
('19', 'medium', 'Medium (220x220)'),
('20', 'service_image', 'Service image'),
('21', 'article_image_1', 'Article image 1'),
('22', 'article_image_2', 'Article image 2'),
('23', 'article_image_3', 'Article image 3'),
('24', 'blog_masonry_image', 'Blog masonry image'),
('25', 'article_image_4', 'Article image 4'),
('26', 'portfolio_5_cols', 'Portfolio 5 cols image'),
('27', 'employee_image_2', 'Employee image 2'),
('28', 'blog_carousel_image', 'Blog carousel image');
/*!40000 ALTER TABLE image_styles ENABLE KEYS */;

--
-- Table structure for table 'isotope_configurations'
--

CREATE TABLE IF NOT EXISTS `isotope_configurations` (
  `pid` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for configs. Used to identify them programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Human readable name.',
  `layoutMode` varchar(255) DEFAULT NULL COMMENT 'One of a list of Isotope Layout Modes.',
  `plugins` longtext COMMENT 'A serialized array of plugin names',
  `transitionDuration` varchar(10) DEFAULT NULL COMMENT 'In CSS Time format.',
  `isFitWidth` tinyint(11) DEFAULT NULL COMMENT 'isFitWidth',
  `isHorizontal` tinyint(11) DEFAULT NULL COMMENT 'isHorizontal',
  `stamp` varchar(255) DEFAULT NULL COMMENT 'Selector of element to be stamped',
  `horizontalAlignment` varchar(3) DEFAULT NULL COMMENT 'Decimal between 0 and 1',
  `verticalAlignment` varchar(3) DEFAULT NULL COMMENT 'Decimal between 0 and 1',
  `urlFilters` tinyint(4) DEFAULT NULL COMMENT 'Should filters be represented in URL?',
  `isOriginLeft` tinyint(4) DEFAULT NULL COMMENT 'isOriginLeft',
  PRIMARY KEY (`pid`),
  UNIQUE KEY `pid` (`pid`),
  UNIQUE KEY `pid_2` (`pid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'isotope_configurations'
--

/*!40000 ALTER TABLE isotope_configurations DISABLE KEYS */;
INSERT INTO `isotope_configurations` VALUES
('2', 'grid', 'Grid', 'fitRows', 'a:1:{s:12:"imagesLoaded";i:0;}', '.3s', '0', '0', '', '', '', '0', '1'),
('3', 'masonry', 'Masonry', 'masonry', 'a:1:{s:12:"imagesLoaded";i:0;}', '.3s', '0', '0', '', '', '', '0', '1');
/*!40000 ALTER TABLE isotope_configurations ENABLE KEYS */;

--
-- Table structure for table 'languages'
--

CREATE TABLE IF NOT EXISTS `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.' COMMENT='List of all available languages in the system.';

--
-- Dumping data for table 'languages'
--

/*!40000 ALTER TABLE languages DISABLE KEYS */;
INSERT INTO `languages` VALUES
('de', 'German', 'Deutsch', '0', '1', '2', '($n!=1)', '', 'de', '-10', ''),
('en', 'English', 'English', '0', '1', '0', '', '', 'en', '-9', '');
/*!40000 ALTER TABLE languages ENABLE KEYS */;

--
-- Table structure for table 'locales_source'
--

CREATE TABLE IF NOT EXISTS `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=11497 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.' COMMENT='List of English source strings.';

--
-- Dumping data for table 'locales_source'
--

/*!40000 ALTER TABLE locales_source DISABLE KEYS */;
INSERT INTO `locales_source` VALUES
('1', '; misc/drupal.js', 'default', 'An AJAX HTTP error occurred.', '', 'none'),
('2', '; misc/drupal.js', 'default', 'HTTP Result Code: !status', '', 'none'),
('3', '; misc/drupal.js', 'default', 'An AJAX HTTP request terminated abnormally.', '', 'none'),
('4', '; misc/drupal.js', 'default', 'Debugging information follows.', '', 'none'),
('5', '; misc/drupal.js', 'default', 'Path: !uri', '', 'none'),
('6', '; misc/drupal.js', 'default', 'StatusText: !statusText', '', 'none'),
('7', '; misc/drupal.js', 'default', 'ResponseText: !responseText', '', 'none'),
('8', '; misc/drupal.js', 'default', 'ReadyState: !readyState', '', 'none'),
('9', '', 'default', 'Loading', '', 'none'),
('10', '; misc/vertical-tabs.js', 'default', '(active tab)', '', '7.42'),
('11', '; misc/collapse.js', 'default', 'Hide', '', 'none'),
('12', '; misc/collapse.js', 'default', 'Show', '', 'none'),
('13', '; modules/block/block.js', 'default', 'Not restricted', '', 'none'),
('14', '; modules/block/block.js', 'default', 'Restricted to certain pages', '', 'none'),
('15', '; modules/block/block.js', 'default', 'Not customizable', '', '7.41'),
('16', '; modules/block/block.js', 'default', 'The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.', '', 'none'),
('17', '; modules/block/block.js', 'default', 'The block cannot be placed in this region.', '', 'none'),
('18', '; misc/tabledrag.js', 'default', 'Re-order rows by numerical weight instead of dragging.', '', 'none'),
('19', '; misc/tabledrag.js', 'default', 'Show row weights', '', 'none'),
('20', '; misc/tabledrag.js', 'default', 'Hide row weights', '', 'none'),
('21', '; misc/tabledrag.js', 'default', 'Drag to re-order', '', 'none'),
('22', '; misc/tabledrag.js', 'default', 'Changes made in this table will not be saved until the form is submitted.', '', 'none'),
('23', '', 'default', '@title dialog', '', 'none'),
('24', '; modules/contextual/contextual.js', 'default', 'Configure', '', '7.34'),
('25', '', 'default', 'Show shortcuts', '', 'none'),
('26', '', 'default', 'Hide shortcuts', '', 'none'),
('27', '; modules/field/modules/text/text.js', 'default', 'Hide summary', '', 'none'),
('28', '; modules/field/modules/text/text.js', 'default', 'Edit summary', '', 'none'),
('29', '; modules/menu/menu.js', 'default', 'Not in menu', '', 'none'),
('30', '; misc/ajax.js', 'default', 'Please wait...', '', 'none'),
('31', '; modules/book/book.js', 'default', 'Not in book', '', 'none'),
('32', '; modules/book/book.js', 'default', 'New book', '', 'none'),
('33', '; modules/node/node.js', 'default', 'New revision', '', 'none'),
('34', '; modules/node/node.js', 'default', 'No revision', '', 'none'),
('35', '; modules/node/node.js', 'default', 'By @name on @date', '', 'none'),
('36', '; modules/node/node.js', 'default', 'By @name', '', 'none'),
('37', '; modules/node/content_types.js; modules/node/node.js', 'default', 'Not published', '', '7.42'),
('38', '', 'default', 'Alias: @alias', '', 'none'),
('39', '', 'default', 'No alias', '', 'none'),
('40', '; modules/comment/comment-node-form.js', 'default', '@number comments per page', '', 'none'),
('41', '; misc/autocomplete.js', 'default', 'Autocomplete popup', '', 'none'),
('42', '; misc/autocomplete.js', 'default', 'Searching for matches...', '', 'none'),
('43', '; misc/tableselect.js', 'default', 'Select all rows in this table', '', 'none'),
('44', '; misc/tableselect.js', 'default', 'Deselect all rows in this table', '', 'none'),
('45', '; modules/file/file.js', 'default', 'The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.', '', 'none'),
('46', '; misc/machine-name.js', 'default', 'Edit', '', '7.42'),
('47', '; modules/filter/filter.admin.js; sites/all/modules/media/file_entity/file_entity.admin.js', 'default', 'Enabled', '', '7.41'),
('48', '; modules/filter/filter.admin.js; sites/all/modules/media/file_entity/file_entity.admin.js', 'default', 'Disabled', '', '7.42'),
('49', '; modules/user/user.permissions.js', 'default', 'This permission is inherited from the authenticated user role.', '', 'none'),
('50', '; modules/node/content_types.js', 'default', 'Requires a title', '', 'none'),
('51', '; modules/node/content_types.js', 'default', 'Don''t display post information', '', 'none'),
('52', '', 'default', 'Resume', '', 'none'),
('53', '', 'default', 'Pause', '', '7.41'),
('54', '; sites/all/modules/views/js/views-admin.js', 'default', 'Remove group', '', 'none'),
('57', 'sites/all/modules/panels/plugins/layouts/flexible/flexible-admin.js', 'default', 'Hide layout designer', '', 'none'),
('58', 'sites/all/modules/panels/plugins/layouts/flexible/flexible-admin.js', 'default', 'Show layout designer', '', 'none'),
('59', '; sites/all/modules/views/js/views-admin.js', 'default', 'Apply (all displays)', '', 'none'),
('60', '; sites/all/modules/views/js/views-admin.js', 'default', 'Apply (this display)', '', 'none'),
('61', '; sites/all/modules/views/js/views-admin.js', 'default', 'Revert to default', '', 'none'),
('63', '', 'default', 'There was no action specified.', '', 'none'),
('64', 'sites/all/modules/views_slideshow/js/views_slideshow.js', 'default', 'This slideshow is forced paused.', '', 'none'),
('65', '', 'default', 'An invalid integer was specified for slideNum.', '', 'none'),
('66', '', 'default', 'An invalid action "!action" was specified.', '', 'none'),
('78', '; sites/all/modules/webform/js/webform.js', 'default', 'This field is required.', '', '7.42'),
('87', '; sites/all/modules/views/js/views-admin.js', 'default', 'Add', '', '7.42'),
('91', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', '+@count', '', 'none'),
('92', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', '-@count', '', 'none'),
('96', '', 'default', 'On', '', '7.41'),
('97', '', 'default', 'Off', '', '7.41'),
('110', '; sites/all/modules/admin_menu/admin_menu.admin.js', 'default', 'Also allow !name role to !permission?', '', 'none'),
('111', 'sites/all/modules/dismiss/js/dismiss.js', 'default', 'Close this message.', '', 'none'),
('112', 'sites/all/modules/panels/js/display_editor.js', 'default', 'Remove this pane?', '', 'none'),
('113', '; sites/all/modules/media/js/media.popups.js', 'default', 'OK', '', '7.34'),
('114', 'sites/all/modules/media/js/plugins/media.library.js', 'default', 'There is nothing in your media library. Select the Upload tab above to add a file.', '', 'none'),
('115', '; sites/all/modules/media/js/plugins/media.library.js; sites/all/modules/media/js/plugins/media.upload_multiple.js', 'default', 'Loading...', '', 'none'),
('116', 'sites/all/modules/media/js/plugins/media.library.js', 'default', 'Error getting media.', '', 'none'),
('117', '; sites/all/modules/media/js/media.browser.js; sites/all/modules/media/js/media.format_form.js', 'default', 'Submit', '', '7.41'),
('118', '; sites/all/modules/media/js/media.browser.js; sites/all/modules/shortcode_wysiwyg/plugins/shortcode_wysiwyg/shortcode_wysiwyg.js; sites/all/modules/media/js/media.format_form.js', 'default', 'Cancel', '', '7.41'),
('119', 'sites/all/modules/media/js/media.browser.js', 'default', 'Cannot continue, nothing selected', '', 'none'),
('120', 'sites/all/modules/media/js/media.admin.js', 'default', 'If you switch views, you will lose your selection.', '', 'none'),
('121', 'sites/all/modules/media/js/media.admin.js', 'default', 'Add file', '', 'none'),
('122', '; sites/all/modules/media/js/media.admin.js', 'default', 'all', '', 'none'),
('123', '; sites/all/modules/media/js/media.admin.js', 'default', 'none', '', 'none'),
('124', '; sites/all/modules/media/js/media.admin.js', 'default', 'Select', '', 'none'),
('126', 'sites/all/modules/rate/rate.js', 'default', 'Saving vote...', '', 'none'),
('127', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Select files', '', 'none'),
('128', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Add files to the upload queue and click the start button.', '', 'none'),
('129', '; sites/all/modules/plupload/js/i18n.js', 'default', 'Filename', '', 'none'),
('130', '; sites/all/modules/plupload/js/i18n.js', 'default', 'Status', '', '7.42'),
('131', '; sites/all/modules/plupload/js/i18n.js', 'default', 'Size', '', '7.42'),
('132', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Add files', '', 'none'),
('133', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Stop current upload', '', 'none'),
('134', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Start uploading queue', '', 'none'),
('135', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Uploaded %d/%d files', '', 'none'),
('136', '; sites/all/modules/plupload/js/i18n.js', 'default', 'N/A', '', 'none'),
('137', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Drag files here.', '', 'none'),
('138', 'sites/all/modules/plupload/js/i18n.js', 'default', 'File extension error.', '', 'none'),
('139', 'sites/all/modules/plupload/js/i18n.js', 'default', 'File size error.', '', 'none'),
('140', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Init error.', '', 'none'),
('141', 'sites/all/modules/plupload/js/i18n.js', 'default', 'HTTP Error.', '', 'none'),
('142', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Security error.', '', 'none'),
('143', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Generic error.', '', 'none'),
('144', 'sites/all/modules/plupload/js/i18n.js', 'default', 'IO error.', '', 'none'),
('145', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Start upload', '', 'none'),
('146', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Stop upload', '', 'none'),
('147', 'sites/all/modules/plupload/js/i18n.js', 'default', '%d files queued', '', 'none'),
('148', 'sites/all/modules/plupload/plupload.js', 'default', 'Please wait while your files are being uploaded.', '', 'none'),
('149', 'sites/all/modules/plupload/plupload.js', 'default', '@index: You must upload at least one file.\\n', '', 'none'),
('150', 'sites/all/modules/shortcode_wysiwyg/plugins/shortcode_wysiwyg/shortcode_wysiwyg.js', 'default', 'Insert shortcode', '', 'none'),
('151', 'sites/all/modules/shortcode_wysiwyg/plugins/shortcode_wysiwyg/shortcode_wysiwyg.js', 'default', 'Insert Shortcode', '', 'none'),
('152', 'sites/all/modules/views_roundabout/views_roundabout.js; sites/all/modules/tm/modules/tm_views_roundabout/js/tm-views-roundabout.js; sites/all/modules/tm_views_roundabout/js/tm-views-roundabout.js', 'default', 'prev', '', 'none'),
('153', 'sites/all/modules/views_roundabout/views_roundabout.js; sites/all/modules/tm/modules/tm_views_roundabout/js/tm-views-roundabout.js; sites/all/modules/tm_views_roundabout/js/tm-views-roundabout.js', 'default', 'next', '', 'none'),
('154', 'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js', 'default', 'All unsaved changed has been reseted!', '', 'none'),
('155', 'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js', 'default', 'Saved config sucessfully!', '', 'none'),
('156', 'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js', 'default', 'Remove this block', '', 'none'),
('157', 'sites/all/modules/module_filter/js/module_filter.js', 'default', 'No results', '', 'none'),
('158', 'sites/all/modules/module_filter/js/module_filter.js', 'default', 'clear', '', 'none'),
('159', '; sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'All', '', '7.43'),
('160', '; sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'New', '', 'none'),
('161', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'Modules installed within the last week.', '', 'none'),
('162', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'No modules added within the last week.', '', 'none'),
('163', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'Recent', '', 'none'),
('164', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'Modules enabled/disabled within the last week.', '', 'none'),
('165', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', 'No modules were enabled or disabled within the last week.', '', 'none'),
('166', 'sites/all/modules/module_filter/js/module_filter_tab.js', 'default', '@enabled of @total', '', 'none'),
('167', 'sites/all/modules/module_filter/js/update_status.js', 'default', 'Ignored from settings', '', 'none'),
('168', 'sites/all/modules/file_entity/file_entity.js', 'default', 'Destination: @scheme', '', 'none'),
('169', 'sites/all/modules/file_entity/file_entity.js', 'default', 'Associated with @name', '', 'none'),
('170', 'sites/all/modules/plupload/js/i18n.js', 'default', 'File: %s', '', 'none'),
('171', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Close', '', '7.42'),
('172', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Using runtime: ', '', 'none'),
('173', 'sites/all/modules/plupload/js/i18n.js', 'default', 'File: %f, size: %s, max file size: %m', '', 'none'),
('174', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Upload element accepts only %d file(s) at a time. Extra files were stripped.', '', 'none'),
('175', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Upload URL might be wrong or doesn\\"t exist', '', 'none'),
('176', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Error: File too large: ', '', 'none'),
('177', 'sites/all/modules/plupload/js/i18n.js', 'default', 'Error: Invalid file extension: ', '', 'none'),
('178', 'sites/all/modules/plupload/js/i18n.js', 'default', 'File count error.', '', 'none'),
('179', '', 'default', 'Home', '', '7.42'),
('180', '', 'default', 'Title', '', '7.43'),
('181', '', 'default', 'Body', '', '7.43'),
('182', '', 'default', 'user', '', 'none'),
('183', '', 'default', 'Filter HTML tags', '', 'none'),
('184', '', 'default', 'Show on every page except the listed pages.', '', 'none'),
('185', '', 'default', 'Show on only the listed pages.', '', 'none'),
('186', '', 'default', 'Pages', '', '7.42'),
('187', '', 'default', 'Save configuration', '', '7.34'),
('188', '', 'default', 'Reset to defaults', '', 'none'),
('189', '', 'default', 'enable', '', 'none'),
('190', '', 'default', 'delete', '', '7.41'),
('191', '', 'default', 'Administer', '', 'none'),
('192', '', 'default', 'Create a new user account.', '', 'none'),
('193', '', 'default', 'Request new password via e-mail.', '', 'none'),
('194', '', 'default', 'E-mail', '', '7.42'),
('195', '', 'default', 'Delete', '', '7.42'),
('196', '', 'default', 'Operations', '', '7.41'),
('197', '', 'default', 'Content', '', '7.42'),
('198', '', 'default', 'Value', '', '7.42'),
('199', '', 'default', 'Username', '', 'none'),
('200', '', 'default', 'left sidebar', '', 'none'),
('201', '', 'default', 'content', '', 'none'),
('202', '', 'default', 'Type', '', '7.42'),
('203', '', 'default', 'Author', '', '7.43'),
('204', '', 'default', 'Replies', '', '7.41'),
('205', '', 'default', 'Closed', '', 'none'),
('206', '', 'default', 'Wrong username or password.', '', 'none'),
('207', '', 'default', 'List', '', '7.42'),
('208', '', 'default', 'Subject', '', '7.42'),
('209', '', 'default', 'closed', '', 'none'),
('210', '', 'default', 'disabled', '', '7.34'),
('211', '', 'default', 'Confirm', '', 'none'),
('212', '', 'default', 'deny', '', 'none'),
('213', '', 'default', 'Description', '', '7.42'),
('214', '', 'default', 'Language', '', '7.42'),
('215', '', 'default', 'Read more', '', '7.50'),
('216', '', 'default', 'Log', '', 'none'),
('217', '', 'default', 'RSS feed', '', 'none'),
('218', '', 'default', 'more', '', '7.50'),
('219', '', 'default', 'The node access table has been rebuilt.', '', 'none'),
('220', '', 'default', 'Disable', '', '7.42'),
('221', '', 'default', 'Access control', '', 'none'),
('222', '', 'default', 'Explanation or submission guidelines', '', 'none'),
('223', '', 'default', 'Your %post has been created.', '', 'none'),
('224', '', 'default', 'Administration', '', '7.42'),
('225', '', 'default', 'right sidebar', '', 'none'),
('226', '', 'default', 'footer', '', '7.42'),
('227', '', 'default', 'Comments', '', '7.42'),
('228', '', 'default', 'More', '', '7.44'),
('229', '', 'default', 'not verified', '', 'none'),
('230', '', 'default', 'Last updated', '', 'none'),
('231', '', 'default', 'new', '', 'none'),
('232', '', 'default', 'error', '', 'none'),
('233', '', 'default', 'Block title', '', '7.41'),
('234', '', 'default', 'The title of the block as shown to the user.', '', '7.41'),
('235', '', 'default', 'Taxonomy', '', '7.42'),
('236', '', 'default', 'Yes', '', '7.41'),
('237', '', 'default', 'No', '', '7.41'),
('238', '', 'default', 'cron', '', 'none'),
('239', '', 'default', '!date — !username', '', 'none'),
('240', '', 'default', 'Blue Lagoon (Default)', '', 'none'),
('241', '', 'default', 'Ash', '', 'none'),
('242', '', 'default', 'Aquamarine', '', 'none'),
('243', '', 'default', 'Belgian Chocolate', '', 'none'),
('244', '', 'default', 'Bluemarine', '', 'none'),
('245', '', 'default', 'Citrus Blast', '', 'none'),
('246', '', 'default', 'Cold Day', '', 'none'),
('247', '', 'default', 'Greenbeam', '', 'none'),
('248', '', 'default', 'Mediterrano', '', 'none'),
('249', '', 'default', 'Mercury', '', 'none'),
('250', '', 'default', 'Nocturnal', '', 'none'),
('251', '', 'default', 'Olivia', '', 'none'),
('252', '', 'default', 'Pink Plastic', '', 'none'),
('253', '', 'default', 'Shiny Tomato', '', 'none'),
('254', '', 'default', 'Teal Top', '', 'none'),
('255', '', 'default', 'Content types', '', '7.42'),
('256', '', 'default', 'Homepage', '', '7.42'),
('257', '', 'default', 'Categories', '', '7.43'),
('258', '', 'default', 'Version', '', '7.42'),
('259', '', 'default', 'view', '', '7.42'),
('260', '', 'default', 'updated', '', 'none'),
('261', '', 'default', 'Available variables are:', '', 'none'),
('262', '', 'default', 'Advanced options', '', 'none'),
('263', '', 'default', 'Date', '', '7.42'),
('264', '', 'default', 'Search', '', '7.42'),
('265', '', 'default', 'Reset', '', '7.50'),
('266', '', 'default', 'default', '', 'none'),
('267', '', 'default', 'This action cannot be undone.', '', 'none'),
('268', '', 'default', 'Logs', '', 'none'),
('269', '', 'default', 'Message', '', 'none'),
('270', '', 'default', 'No log messages available.', '', 'none'),
('271', '', 'default', 'Password', '', 'none'),
('272', '', 'default', '- None -', '', '7.41'),
('273', '', 'default', 'Weight', '', '7.42'),
('274', '', 'default', 'The configuration options have been saved.', '', 'none'),
('275', '', 'default', 'Variable', '', 'none'),
('276', '', 'default', 'by %a on %b', '', 'none'),
('277', '', 'default', 'There are currently no posts in this category.', '', 'none'),
('278', '', 'default', 'Help text', '', 'none'),
('279', '', 'default', 'Types', '', '7.42'),
('280', '', 'default', 'Hierarchy', '', '7.42'),
('281', '', 'default', 'Single', '', 'none'),
('282', '', 'default', 'Multiple', '', 'none'),
('283', '', 'default', 'Related terms', '', 'none'),
('284', '', 'default', 'Synonyms', '', 'none'),
('285', '', 'default', 'Free tagging', '', 'none'),
('286', '', 'default', 'Content is categorized by typing terms instead of choosing from a list.', '', 'none'),
('287', '', 'default', 'Multiple select', '', 'none'),
('288', '', 'default', 'Required', '', 'none'),
('289', '', 'default', 'root', '', 'none'),
('290', '', 'default', 'Parent', '', '7.42'),
('291', '', 'default', 'Parents', '', 'none'),
('292', '', 'default', 'Pages at a given level are ordered first by weight and then by title.', '', 'none'),
('293', '', 'default', 'Category', '', '7.42'),
('294', '', 'default', 'Add container', '', '7.42'),
('295', '', 'default', 'Settings', '', '7.42'),
('296', '', 'default', 'Add category', '', '7.42'),
('297', '', 'default', 'Name', '', '7.43'),
('298', '', 'default', 'edit container', '', 'none'),
('299', '', 'default', 'edit', '', '7.41'),
('300', '', 'default', 'No categories available.', '', 'none'),
('301', '', 'default', '‹ ', '', 'none'),
('302', '', 'default', 'Go to previous page', '', '7.41'),
('303', '', 'default', 'up', '', 'none'),
('304', '', 'default', 'Go to parent page', '', 'none'),
('305', '', 'default', ' ›', '', 'none'),
('306', '', 'default', 'Go to next page', '', '7.41'),
('307', '', 'default', 'Import', '', '7.42'),
('308', '', 'default', 'Book', '', '7.42'),
('309', '', 'default', 'Export', '', '7.42'),
('310', '', 'default', 'Taxonomy term', '', '7.42'),
('311', '', 'default', 'General settings', '', 'none'),
('312', '', 'default', 'category', '', 'none'),
('313', '', 'default', 'Outline', '', '7.42'),
('314', '', 'default', '%type: updated %title.', '', 'none'),
('315', '', 'default', 'header', '', '7.42'),
('316', '', 'default', 'Preview', '', '7.42'),
('317', '', 'default', 'Session opened for %name.', '', 'none'),
('318', '', 'default', 'Help', '', '7.42'),
('319', '', 'default', 'username', '', 'none'),
('320', '', 'default', 'Default', '', '7.42'),
('321', '', 'default', 'Update', '', '7.42'),
('322', '', 'default', 'Sunday', '', 'none'),
('323', '', 'default', 'Monday', '', 'none'),
('324', '', 'default', 'Tuesday', '', 'none'),
('325', '', 'default', 'Wednesday', '', 'none'),
('326', '', 'default', 'Thursday', '', 'none'),
('327', '', 'default', 'Friday', '', 'none'),
('328', '', 'default', 'Saturday', '', 'none'),
('329', '', 'default', 'Time', '', 'none'),
('330', '', 'default', 'View', '', '7.42'),
('331', '', 'default', 'History', '', 'none'),
('332', '', 'default', 'The configuration options have been reset to their default values.', '', 'none'),
('333', '', 'default', 'URL', '', '7.34'),
('334', '', 'default', 'Path', '', '7.42'),
('335', '', 'default', 'Modules', '', '7.42'),
('336', '', 'default', '<p>Blocks are boxes of content that may be rendered into certain regions of your web pages, for example, into sidebars. They are usually generated automatically by modules, but administrators can create blocks manually.</p>\n<p>Only enabled blocks are shown. You can position blocks by specifying which area of the page they should appear in (e.g., a sidebar).  Highlighted labels on this page show the regions into which blocks can be rendered. You can specify where within a region a block will appear by adjusting its weight.</p>\n<p>If you want certain blocks to disable themselves temporarily during high server loads, check the "Throttle" box. You can configure the auto-throttle on the <a href="@throttle">throttle configuration page</a> after having enabled the throttle module.</p>\n<p>You can configure the behaviour of each block (for example, specifying on which pages and for what users it will appear) by clicking the "configure" link for each block.</p>', '', 'none'),
('337', '', 'default', 'Clear index', '', '7.42'),
('338', '', 'default', 'edit forum', '', 'none'),
('339', '', 'default', 'Forum name', '', 'none'),
('340', '', 'default', 'The forum name is used to identify related discussions.', '', 'none'),
('341', '', 'default', 'The forum description can give users more information about the discussion topics it contains.', '', 'none'),
('342', '', 'default', 'When listing forums, those with lighter (smaller) weights get listed before containers with heavier (larger) weights. Forums with equal weights are sorted alphabetically.', '', 'none'),
('343', '', 'default', 'forum', '', 'none'),
('344', '', 'default', 'Are you sure you want to delete the forum %name?', '', 'none'),
('345', '', 'default', 'Deleting a forum or container will delete all sub-forums and associated posts as well. This action cannot be undone.', '', 'none'),
('346', '', 'default', 'The forum %term and all sub-forums and associated posts have been deleted.', '', 'none'),
('347', '', 'default', 'forum: deleted %term and all its sub-forums and associated posts.', '', 'none'),
('348', '', 'default', 'Region', '', '7.41'),
('349', '', 'default', 'Menu', '', '7.42'),
('350', '', 'default', 'results', '', 'none'),
('351', '', 'default', 'search', '', 'none'),
('352', '', 'default', 'Core - optional', '', 'none'),
('353', '', 'default', 'never', '', 'none'),
('354', '', 'default', 'The username %name does not exist.', '', 'none'),
('355', '', 'default', 'mail', '', 'none'),
('356', '', 'default', 'Add item', '', 'none'),
('357', '', 'default', 'aggregator', '', 'none'),
('358', '', 'default', 'read more', '', 'none'),
('359', '', 'default', 'The name of the feed; typically the name of the web site you syndicate content from.', '', 'none'),
('360', '', 'default', 'Update interval', '', 'none'),
('361', '', 'default', 'The fully-qualified URL of the feed.', '', 'none'),
('362', '', 'default', 'Add forum', '', '7.42'),
('363', '', 'default', 'Add term', '', '7.42'),
('364', '', 'default', 'Screenshot for %theme theme', '', 'none'),
('365', '', 'default', 'no screenshot', '', 'none'),
('366', '', 'default', 'Timestamp', '', '7.42'),
('367', '', 'default', 'Access log settings', '', 'none'),
('368', '', 'default', 'Enable access log', '', 'none'),
('369', '', 'default', 'Discard access logs older than', '', 'none'),
('370', '', 'default', 'Preview comment', '', 'none'),
('371', '', 'default', 'Please contact the site administrator.', '', 'none'),
('372', '', 'default', 'The selected file %name can not be attached to this post, because it is only possible to attach files with the following extensions: %files-allowed.', '', 'none'),
('373', '', 'default', 'Statistics', '', '7.42'),
('374', '', 'default', 'Advanced search', '', 'none'),
('375', '', 'default', 'You are not authorized to access this page.', '', 'none'),
('376', '', 'default', 'Attachment', '', '7.43'),
('377', '', 'default', 'Settings for @role', '', 'none'),
('378', '', 'default', 'Permitted file extensions', '', 'none'),
('379', '', 'default', 'Extensions that users in this role can upload. Separate extensions with a space and do not include the leading dot.', '', 'none'),
('380', '', 'default', 'n/a', '', '7.41'),
('381', '', 'default', 'Upload', '', 'none'),
('382', '', 'default', 'Picture', '', '7.42'),
('383', '', 'default', 'The uploaded file was not an image.', '', 'none'),
('384', '', 'default', 'The uploaded image is too large; the maximum file size is %size kB.', '', 'none'),
('385', '', 'default', 'The uploaded image is too large; the maximum dimensions are %dimensions pixels.', '', 'none'),
('386', '', 'default', 'type', '', '7.41'),
('387', '', 'default', 'Database type', '', 'none'),
('388', '', 'default', 'User', '', '7.42'),
('389', '', 'default', 'Continue', '', 'none'),
('390', '', 'default', 'file', '', 'none'),
('391', '', 'default', 'status', '', '7.41'),
('392', '', 'default', 'Error', '', '7.34'),
('393', '', 'default', 'Contact', '', '7.42'),
('394', '', 'default', 'New user: %name %email.', '', 'none'),
('395', '', 'default', 'Created', '', 'none'),
('396', '', 'default', 'Node', '', '7.42'),
('397', '', 'default', 'Are you sure you want to delete %title?', '', '7.42'),
('398', '', 'default', 'Save categories', '', 'none'),
('399', '', 'default', 'Content management', '', 'none'),
('400', '', 'default', 'Menu item', '', 'none'),
('401', '', 'default', 'Expanded', '', 'none'),
('402', '', 'default', 'The name of the menu.', '', 'none'),
('403', '', 'default', 'The path this menu item links to. This can be an internal Drupal path such as %add-node or an external URL such as %drupal. Enter %front to link to the front page.', '', 'none'),
('404', '', 'default', 'If selected and this menu item has children, the menu will always appear expanded.', '', 'none'),
('405', '', 'default', 'Parent item', '', 'none'),
('406', '', 'default', 'Optional. In the menu, the heavier items will sink and the lighter items will be positioned nearer the top.', '', 'none'),
('407', '', 'default', 'Question', '', '7.42'),
('408', '', 'default', 'Add child page', '', 'none'),
('409', '', 'default', 'Printer-friendly version', '', 'none'),
('410', '', 'default', 'Orphan pages', '', 'none'),
('411', '', 'default', 'Update options', '', '7.41'),
('412', '', 'default', 'top-level', '', 'none'),
('413', '', 'default', 'Unknown export format.', '', 'none'),
('414', '', 'default', 'outline', '', 'none'),
('415', '', 'default', 'There are no orphan pages.', '', 'none'),
('416', '', 'default', 'see printer-friendly version', '', 'none'),
('417', '', 'default', 'Active', '', '7.42'),
('418', '', 'default', 'Post', '', 'none'),
('419', '', 'default', 'Last post', '', '7.41'),
('420', '', 'default', 'Submit @name', '', 'none'),
('421', '', 'default', 'Access denied', '', 'none'),
('422', '', 'default', 'Page title', '', '7.42'),
('423', '', 'default', 'Block', '', '7.44'),
('424', '', 'default', 'Add block', '', '7.42'),
('425', '', 'default', 'Page', '', '7.44'),
('426', '', 'default', 'RSS', '', '7.42'),
('427', '', 'default', '1 hour', '', 'none'),
('428', '', 'default', '@count hours', '', 'none'),
('429', '', 'default', '@count[2] hours', '', 'none'),
('430', '', 'default', '1 day', '', 'none'),
('431', '', 'default', '@count days', '', 'none'),
('432', '', 'default', '@count[2] days', '', 'none'),
('433', '', 'default', 'Configuration saved.', '', '7.34'),
('434', '', 'default', 'Footer message', '', 'none'),
('435', '', 'default', 'Logo', '', 'none'),
('436', '', 'default', 'Mission', '', 'none'),
('437', '', 'default', 'Search box', '', 'none'),
('438', '', 'default', 'Site name', '', '7.34'),
('439', '', 'default', 'Site slogan', '', '7.34'),
('440', '', 'default', 'php', '', 'none'),
('441', '', 'default', 'User settings', '', 'none'),
('442', '', 'default', 'Public registrations', '', 'none'),
('443', '', 'default', 'Only site administrators can create new user accounts.', '', 'none'),
('444', '', 'default', 'Drupal', '', '7.34'),
('445', '', 'default', 'Url', '', 'none'),
('446', '', 'default', 'PHP', '', '7.34'),
('447', '', 'default', 'Host', '', 'none'),
('448', '', 'default', 'Never', '', 'none'),
('449', '', 'default', 'Up to date', '', '7.41'),
('450', '', 'default', 'Out of date', '', '7.34'),
('451', '', 'default', 'Header', '', '7.42'),
('452', '', 'default', 'Left sidebar', '', '7.41'),
('453', '', 'default', 'Right sidebar', '', '7.41'),
('454', '', 'default', 'Footer', '', '7.42'),
('455', '', 'default', 'The menu item can be customized and configured only once the menu module has been <a href="@modules-page">enabled</a>.', '', 'none'),
('456', '', 'default', 'Recipients', '', 'none'),
('457', '', 'default', 'Selected', '', 'none'),
('458', '', 'default', 'Set this to <em>Yes</em> if you would like this category to be selected by default.', '', 'none'),
('459', '', 'default', 'You must enter a category.', '', 'none'),
('460', '', 'default', 'You must enter one or more recipients.', '', 'none'),
('461', '', 'default', 'Category %category has been added.', '', 'none'),
('462', '', 'default', 'Category %category has been updated.', '', 'none'),
('463', '', 'default', 'Are you sure you want to delete %category?', '', 'none'),
('464', '', 'default', 'Category not found.', '', 'none'),
('465', '', 'default', 'Category %category has been deleted.', '', 'none'),
('466', '', 'default', 'Hourly threshold', '', 'none'),
('467', '', 'default', 'You cannot send more than %number messages per hour. Please try again later.', '', 'none'),
('468', '', 'default', 'Your name', '', '7.42'),
('469', '', 'default', 'Your e-mail address', '', 'none'),
('470', '', 'default', '--', '', 'none'),
('471', '', 'default', 'Send e-mail', '', '7.41'),
('472', '', 'default', 'You must select a valid category.', '', 'none'),
('473', '', 'default', 'You must enter a valid e-mail address.', '', 'none'),
('474', '', 'default', '[!category] !subject', '', 'none'),
('475', '', 'default', 'To', '', 'none'),
('476', '', 'default', 'From', '', 'none'),
('477', '', 'default', 'Custom', '', '7.41'),
('478', '', 'default', 'Throttle', '', 'none'),
('479', '', 'default', 'Visibility', '', 'none'),
('480', '', 'default', 'Roles', '', '7.42'),
('481', '', 'default', 'Comment', '', '7.42'),
('482', '', 'default', 'Hostname', '', '7.42'),
('483', '', 'default', 'Published', '', '7.42'),
('484', '', 'default', 'Input format', '', 'none'),
('485', '', 'default', 'Signature', '', '7.42'),
('486', '', 'default', 'Filter', '', '7.41'),
('487', '', 'default', 'Location', '', '7.42'),
('488', '', 'default', 'Locale', '', 'none'),
('489', '', 'default', 'Title field label', '', 'none'),
('490', '', 'default', 'Body field label', '', 'none'),
('491', '', 'default', 'Promoted to front page', '', '7.42'),
('492', '', 'default', 'Sticky at top of lists', '', 'none'),
('493', '', 'default', 'Revisions', '', 'none'),
('494', '', 'default', 'Log message', '', '7.42'),
('495', '', 'default', 'Poll duration', '', 'none'),
('496', '', 'default', 'Explanation', '', 'none'),
('497', '', 'default', 'Selection options', '', 'none'),
('498', '', 'default', 'Vocabulary name', '', 'none'),
('499', '', 'default', 'Term name', '', '7.34'),
('500', '', 'default', 'Role name', '', 'none'),
('501', '', 'default', 'E-mail address', '', 'none'),
('502', '', 'default', 'Theme configuration', '', 'none'),
('503', '', 'default', 'Last access', '', '7.42'),
('504', '', 'default', 'Time zone', '', 'none'),
('505', '', 'default', 'Severity', '', 'none'),
('506', '', 'default', 'Global settings', '', '7.42'),
('507', '', 'default', 'Vote', '', 'none'),
('508', '', 'default', 'Count', '', '7.41'),
('509', '', 'default', 'The selected file %name can not be attached to this post, because it exceeded the maximum filesize of %maxsize.', '', 'none'),
('510', '', 'default', 'The selected file %name can not be attached to this post, because the disk quota of %quota has been reached.', '', 'none'),
('511', '', 'default', 'The selected file %name can not be attached to this post, because the filename is too long.', '', 'none'),
('512', '', 'default', 'RSS - blogs', '', 'none'),
('513', '', 'default', 'Watchdog', '', 'none'),
('514', '', 'default', 'Search settings', '', '7.42'),
('515', '', 'default', 'Mode', '', '7.41'),
('516', '', 'default', 'blocked', '', 'none'),
('517', '', 'default', 'active', '', 'none'),
('518', '', 'default', 'OPML feed', '', 'none'),
('519', '', 'default', 'configure', '', '7.41'),
('520', '', 'default', 'Number of news items in block', '', 'none'),
('521', '', 'default', 'View this feed''s recent news.', '', 'none'),
('522', '', 'default', 'View this category''s recent news.', '', 'none'),
('523', '', 'default', 'Feed overview', '', 'none'),
('524', '', 'default', 'Items', '', 'none'),
('525', '', 'default', 'Last update', '', '7.43'),
('526', '', 'default', 'Next update', '', 'none'),
('527', '', 'default', '%time left', '', 'none'),
('528', '', 'default', 'remove items', '', 'none'),
('529', '', 'default', 'update items', '', 'none'),
('530', '', 'default', 'Category overview', '', 'none'),
('531', '', 'default', 'Categorize', '', 'none'),
('532', '', 'default', 'You are not allowed to categorize this feed item.', '', 'none'),
('533', '', 'default', 'The categories have been saved.', '', 'none'),
('534', '', 'default', 'in category', '', 'none'),
('535', '', 'default', 'aggregated feeds', '', 'none'),
('536', '', 'default', 'URL:', '', 'none'),
('537', '', 'default', 'Updated:', '', 'none'),
('538', '', 'default', 'blog it', '', 'none'),
('539', '', 'default', 'Comment on this news item in your personal blog.', '', 'none'),
('540', '', 'default', '%age old', '', 'none'),
('541', '', 'default', '%ago ago', '', 'none'),
('542', '', 'default', 'Authored by', '', 'none'),
('543', '', 'default', 'The news aggregator is a powerful on-site RSS syndicator/news reader that can gather fresh content from news sites and weblogs around the web.', '', 'none'),
('544', '', 'default', 'Items shown in sources and categories pages', '', 'none'),
('545', '', 'default', 'The number of items which will be shown with each feed or category in the feed and category summary pages.', '', 'none'),
('546', '', 'default', 'Discard news items older than', '', 'none'),
('547', '', 'default', 'A feed with this URL %url already exists. Please enter a unique URL.', '', 'none'),
('548', '', 'default', 'The feed %feed has been updated.', '', 'none'),
('549', '', 'default', 'Feed %feed deleted.', '', 'none'),
('550', '', 'default', 'The feed %feed has been deleted.', '', 'none'),
('551', '', 'default', 'Feed %feed added.', '', 'none'),
('552', '', 'default', 'The feed %feed has been added.', '', 'none'),
('553', '', 'default', 'Delete all', '', 'none'),
('554', '', 'default', 'The news items from %site have been removed.', '', 'none'),
('555', '', 'default', 'administer news feeds', '', 'none'),
('556', '', 'default', 'access news feeds', '', 'none'),
('557', '', 'default', 'Performance', '', '7.42'),
('558', '', 'default', 'Read full article to view attachments.', '', 'none'),
('559', '', 'default', '1 attachment', '', 'none'),
('560', '', 'default', '@count attachments', '', 'none'),
('561', '', 'default', '@count[2] attachments', '', 'none'),
('562', '', 'default', 'Details', '', 'none'),
('563', '', 'default', 'Last reply', '', 'none'),
('564', '', 'default', 'System', '', '7.42'),
('565', '', 'default', 'Unlimited', '', 'none'),
('566', '', 'default', 'Code', '', '7.34'),
('567', '', 'default', 'No posts available.', '', 'none'),
('568', '', 'default', 'Add a role to the selected users', '', 'none'),
('569', '', 'default', 'Remove a role from the selected users', '', 'none'),
('570', '', 'default', 'security', '', 'none'),
('571', '', 'default', 'node', '', '7.42'),
('572', '', 'default', 'Recent posts', '', '7.43'),
('573', '', 'default', 'Tonga', '', '7.41'),
('574', '', 'default', 'Navajo', '', '7.41'),
('575', '', 'default', 'Table', '', '7.42'),
('576', '', 'default', 'Mon', '', 'none'),
('577', '', 'default', 'Tue', '', 'none'),
('578', '', 'default', 'Wed', '', 'none'),
('579', '', 'default', 'Thu', '', 'none'),
('580', '', 'default', 'Fri', '', 'none'),
('581', '', 'default', 'Sat', '', 'none'),
('582', '', 'default', 'Sun', '', 'none'),
('583', '', 'default', 'January', '', 'none'),
('584', '', 'default', 'February', '', 'none'),
('585', '', 'default', 'March', '', 'none'),
('586', '', 'default', 'April', '', 'none'),
('587', '', 'default', 'May', '', 'none'),
('588', '', 'default', 'June', '', 'none'),
('589', '', 'default', 'July', '', 'none'),
('590', '', 'default', 'August', '', 'none'),
('591', '', 'default', 'September', '', 'none'),
('592', '', 'default', 'October', '', 'none'),
('593', '', 'default', 'November', '', 'none'),
('594', '', 'default', 'December', '', 'none'),
('595', '', 'default', 'am', '', 'none'),
('596', '', 'default', 'pm', '', 'none'),
('597', '', 'default', 'Forum', '', '7.41'),
('598', '', 'default', '!time ago', '', 'none'),
('599', '', 'default', 'Other', '', 'none'),
('600', '', 'default', 'Text color', '', 'none'),
('601', '', 'default', 'Navigation', '', '7.42'),
('602', '', 'default', 'Color', '', 'none'),
('603', '', 'default', 'Theme-specific settings', '', 'none'),
('604', '', 'default', 'These settings only exist for the %theme theme and all the styles based on it.', '', 'none'),
('605', '', 'default', 'access content', '', 'none'),
('606', '', 'default', 'Allow', '', 'none'),
('607', '', 'default', 'Deny', '', 'none'),
('608', '', 'default', 'User login', '', '7.41'),
('609', '', 'default', 'Log in', '', 'none'),
('610', '', 'default', 'Updated URL for feed %title to %url.', '', 'none'),
('611', '', 'default', 'Blog', '', '7.50'),
('612', '', 'default', 'Read the rest of this posting.', '', 'none'),
('613', '', 'default', 'Jump to the first comment of this posting.', '', 'none'),
('614', '', 'default', 'Jump to the first new comment of this posting.', '', 'none'),
('615', '', 'default', 'Add new comment', '', '7.42'),
('616', '', 'default', 'Add a new comment to this page.', '', 'none'),
('617', '', 'default', 'Share your thoughts and opinions related to this posting.', '', 'none'),
('618', '', 'default', 'No terms available.', '', 'none'),
('619', '', 'default', 'reset', '', 'none'),
('620', '', 'default', 'String', '', '7.41'),
('621', '', 'default', 'Users', '', '7.43'),
('622', '', 'default', 'Not installed', '', 'none'),
('623', '', 'default', 'Choices', '', 'none'),
('624', '', 'default', '<a href="@help-url">Synonyms</a> of this term, one synonym per line.', '', 'none'),
('625', '', 'default', 'Minimum cache lifetime', '', 'none'),
('626', '', 'default', 'Referrer', '', '7.42'),
('627', '', 'default', '1 vote', '', 'none'),
('628', '', 'default', '@count votes', '', 'none'),
('629', '', 'default', '@count[2] votes', '', 'none'),
('630', '', 'default', 'Site maintenance', '', 'none'),
('631', '', 'default', 'Online', '', 'none'),
('632', '', 'default', 'Off-line', '', 'none'),
('633', '', 'default', 'When set to "Online", all visitors will be able to browse your site normally. When set to "Off-line", only users with the "administer site configuration" permission will be able to access your site to perform maintenance; all other visitors will see the site off-line message configured below. Authorized users can log in during "Off-line" mode directly via the <a href="@user-login">user login</a> page.', '', 'none'),
('634', '', 'default', 'Site off-line message', '', 'none'),
('635', '', 'default', '@site is currently under maintenance. We should be back shortly. Thank you for your patience.', '', 'none'),
('636', '', 'default', 'Message to show visitors when the site is in off-line mode.', '', 'none'),
('637', '', 'default', 'Default front page', '', 'none'),
('638', '', 'default', 'Top pages', '', '7.42'),
('639', '', 'default', 'Create content', '', 'none'),
('640', '', 'default', 'access denied', '', 'none'),
('641', '', 'default', 'Anonymous', '', '7.34'),
('642', '', 'default', 'Uninstall', '', '7.42'),
('643', '', 'default', 'Filters', '', 'none'),
('644', '', 'default', 'Optional', '', 'none'),
('645', '', 'default', 'Recent comments', '', '7.41'),
('646', '', 'default', 'Recent hits', '', '7.42'),
('647', '', 'default', 'The comment no longer exists.', '', 'none'),
('648', '', 'default', 'The comment and all its replies have been deleted.', '', 'none'),
('649', '', 'default', 'Do not display', '', 'none'),
('650', '', 'default', 'Show if the following PHP code returns <code>TRUE</code> (PHP-mode, experts only).', '', 'none'),
('651', '', 'default', 'Preformatted', '', 'none'),
('652', '', 'default', 'Profile', '', 'none'),
('653', '', 'default', 'module', '', 'none'),
('654', '', 'default', 'Votes', '', '7.42'),
('655', '', 'default', 'Save settings', '', '7.34'),
('656', '', 'default', 'reply', '', 'none'),
('657', '', 'default', 'Session closed for %name.', '', 'none'),
('658', '', 'default', 'Tracker', '', '7.42'),
('659', '', 'default', 'You have to specify a valid date.', '', 'none'),
('660', '', 'default', 'The name %name is a reserved username.', '', 'none'),
('661', '', 'default', 'The field %field is required.', '', 'none'),
('662', '', 'default', '1 new', '', 'none'),
('663', '', 'default', '@count new', '', 'none'),
('664', '', 'default', '@count[2] new', '', 'none'),
('665', '', 'default', 'Add rule', '', 'none'),
('666', '', 'default', 'Delete rule', '', 'none'),
('667', '', 'default', 'Nauru', '', '7.41'),
('668', '', 'default', 'Table prefix', '', 'none'),
('669', '', 'default', 'Database username', '', 'none'),
('670', '', 'default', 'Database password', '', 'none'),
('671', '', 'default', 'Database name', '', 'none'),
('672', '', 'default', 'Add user', '', '7.42'),
('673', '', 'default', 'Formatting guidelines', '', 'none'),
('674', '', 'default', 'Authoring information', '', 'none'),
('675', '', 'default', 'Authored on', '', '7.42'),
('676', '', 'default', 'Format: %time. Leave blank to use the time of form submission.', '', 'none'),
('677', '', 'default', 'Leave blank for %anonymous.', '', 'none'),
('678', '', 'default', 'Attachments', '', 'none'),
('679', '', 'default', 'File attachments', '', 'none'),
('680', '', 'default', 'Changes made to the attachments are not permanent until you save this post. The first "listed" file will be included in RSS feeds.', '', 'none'),
('681', '', 'default', 'File attachments are disabled. The file directories have not been properly configured.', '', 'none'),
('682', '', 'default', 'Please visit the <a href="@admin-file-system">file system configuration page</a>.', '', 'none'),
('683', '', 'default', 'Choose the appropriate item from the list:', '', 'none'),
('684', '', 'default', 'On high-traffic sites it can become necessary to enforce a minimum cache lifetime. The minimum cache lifetime is the minimum amount of time that will go by before the cache is emptied and recreated. A larger minimum cache lifetime offers better performance, but users will not see new content for a longer period of time.', '', 'none'),
('685', '', 'default', 'Enter one page per line as Drupal paths. The ''*'' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.', '', 'none'),
('686', '', 'default', 'The maximum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Set to 0 for no restriction.', '', 'none'),
('687', '', 'default', 'Depending on your sever environment, these settings may be changed in the system-wide php.ini file, a php.ini file in your Drupal root directory, in your Drupal site''s settings.php file, or in the .htaccess file in your Drupal root directory.', '', 'none'),
('688', '', 'default', 'The %role file size limit must be a number and greater than zero.', '', 'none'),
('689', '', 'default', 'The %role maximum file size per upload is greater than the total file size allowed per user', '', 'none'),
('690', '', 'default', 'Maximum resolution for uploaded images', '', 'none'),
('691', '', 'default', 'The maximum allowed image size (e.g. 640x480). Set to 0 for no restriction.', '', 'none'),
('692', '', 'default', 'WIDTHxHEIGHT', '', 'none'),
('693', '', 'default', 'Maximum file size per upload', '', 'none'),
('694', '', 'default', 'Total file size per user', '', 'none'),
('695', '', 'default', 'The maximum size of all files a user can have on the site (in megabytes).', '', 'none'),
('696', '', 'default', 'The image was resized to fit within the maximum allowed resolution of %resolution pixels.', '', 'none'),
('697', '', 'default', '[<a href="@link">more help...</a>]', '', 'none'),
('698', '', 'default', 'Arabic', '', '7.41'),
('699', '', 'default', 'English', '', '7.41'),
('700', '', 'default', 'French', '', '7.41'),
('701', '', 'default', 'Italian', '', '7.41'),
('702', '', 'default', 'Spanish', '', '7.41'),
('703', '', 'default', 'Japanese', '', '7.41'),
('704', '', 'default', 'Korean', '', '7.41'),
('705', '', 'default', 'Edit term', '', 'none'),
('706', '', 'default', 'Are you sure you want to delete these items?', '', 'none'),
('707', '', 'default', 'The items have been deleted.', '', 'none'),
('708', '', 'default', 'Your preferred username; punctuation is not allowed except for periods, hyphens, and underscores.', '', 'none'),
('709', '', 'default', 'A valid e-mail address. All e-mails from the system will be sent to this address. The e-mail address is not made public and will only be used if you wish to receive a new password or wish to receive certain news or notifications by e-mail.', '', 'none'),
('710', '', 'default', 'The e-mail address %email is already registered. <a href="@password">Have you forgotten your password?</a>', '', 'none'),
('711', '', 'default', 'The e-mail address %email has been denied access.', '', 'none'),
('712', '', 'default', 'Remove items', '', 'none'),
('713', '', 'default', 'Allowed HTML tags', '', 'none'),
('714', '', 'default', 'The list of tags which are allowed in feeds, i.e., which will not be removed by Drupal.', '', 'none'),
('715', '', 'default', 'News aggregator', '', 'none'),
('716', '', 'default', 'Sources', '', 'none'),
('717', '', 'default', '!title category latest items', '', '7.41'),
('718', '', 'default', '!title feed latest items', '', '7.41'),
('719', '', 'default', 'A category named %category already exists. Please enter a unique title.', '', 'none'),
('720', '', 'default', 'The category %category has been updated.', '', 'none'),
('721', '', 'default', 'Category %category deleted.', '', 'none'),
('722', '', 'default', 'The category %category has been deleted.', '', 'none'),
('723', '', 'default', 'Category %category added.', '', 'none'),
('724', '', 'default', 'The category %category has been added.', '', 'none'),
('725', '', 'default', 'aggregator - @title', '', 'none'),
('726', '', 'default', '1 item', '', 'none'),
('727', '', 'default', '@count items', '', 'none'),
('728', '', 'default', '@count[2] items', '', 'none'),
('729', '', 'default', 'Add menu', '', '7.42'),
('730', '', 'default', 'Are you sure you want to delete the menu %item?', '', 'none'),
('731', '', 'default', 'Are you sure you want to delete the custom menu item %item?', '', 'none'),
('732', '', 'default', 'The menu %title has been deleted.', '', 'none'),
('733', '', 'default', 'Deleted menu %title.', '', 'none'),
('734', '', 'default', 'The menu item %title has been deleted.', '', 'none'),
('735', '', 'default', 'Deleted menu item %title.', '', 'none'),
('736', '', 'default', 'menu', '', 'none'),
('737', '', 'default', '‹ previous', '', '7.50'),
('738', '', 'default', 'next ›', '', '7.50'),
('739', '', 'default', 'No items selected.', '', 'none'),
('740', '', 'default', 'The update has been performed.', '', 'none'),
('741', '', 'default', 'View user profile.', '', '7.42'),
('742', '', 'default', 'locked', '', 'none'),
('743', '', 'default', 'Titles only', '', 'none'),
('744', '', 'default', 'Full text', '', 'none'),
('745', '', 'default', 'Upload picture', '', 'none'),
('746', '', 'default', 'Message:', '', 'none'),
('747', '', 'default', 'Language file', '', '7.41'),
('748', '', 'default', 'published', '', '7.41'),
('749', '', 'default', 'Average page generation time', '', 'none'),
('750', '', 'default', 'The changes have been saved.', '', 'none'),
('751', '', 'default', 'Show only users where', '', 'none'),
('752', '', 'default', 'Refine', '', 'none'),
('753', '', 'default', 'Undo', '', '7.42'),
('754', '', 'default', 'Member for', '', 'none'),
('755', '', 'default', '@time ago', '', 'none'),
('756', '', 'default', 'No users available.', '', 'none'),
('757', '', 'default', 'No users selected.', '', 'none'),
('758', '', 'default', 'Detected malicious attempt to alter protected user fields.', '', 'none'),
('759', '', 'default', '%engine.engine was instructed to override the %name theme function, but no valid template file was found.', '', 'none'),
('760', '', 'default', 'Search results', '', '7.34'),
('761', '', 'default', 'Your search yielded no results', '', 'none'),
('762', '', 'default', 'Please enter some keywords.', '', 'none'),
('763', '', 'default', 'Request new password', '', '7.42'),
('764', '', 'default', 'Visitors can create accounts and no administrator approval is required.', '', 'none'),
('765', '', 'default', 'Deleted', '', '7.42'),
('766', '', 'default', 'Topics', '', 'none'),
('767', '', 'default', 'Topic', '', '7.41'),
('768', '', 'default', 'The maximum size of a file a user can upload (in megabytes).', '', 'none'),
('769', '', 'default', 'Edit menu', '', '7.42'),
('770', '', 'default', 'Delete menu', '', '7.42'),
('771', '', 'default', 'Add menu item', '', 'none');
INSERT INTO `locales_source` VALUES
('772', '', 'default', 'Edit menu item', '', 'none'),
('773', '', 'default', 'Reset menu item', '', 'none'),
('774', '', 'default', 'Disable menu item', '', 'none'),
('775', '', 'default', 'Delete menu item', '', 'none'),
('776', '', 'default', 'No menu items defined.', '', 'none'),
('777', '', 'default', 'Publishing options', '', 'none'),
('778', '', 'default', 'Create new revision', '', 'none'),
('779', '', 'default', 'Locale settings', '', 'none'),
('780', '', 'default', 'Configure block', '', '7.42'),
('781', '', 'default', 'How many content items to display in "day" list.', '', 'none'),
('782', '', 'default', 'Jan', '', 'none'),
('783', '', 'default', 'Feb', '', 'none'),
('784', '', 'default', 'Mar', '', 'none'),
('785', '', 'default', 'Apr', '', 'none'),
('786', '', 'default', 'Jun', '', 'none'),
('787', '', 'default', 'Jul', '', 'none'),
('788', '', 'default', 'Aug', '', 'none'),
('789', '', 'default', 'Sep', '', 'none'),
('790', '', 'default', 'Oct', '', 'none'),
('791', '', 'default', 'Nov', '', 'none'),
('792', '', 'default', 'Dec', '', 'none'),
('793', '', 'default', 'Posts', '', 'none'),
('794', '', 'default', 'Mission statement', '', 'none'),
('795', '', 'default', 'Configure permissions', '', 'none'),
('796', '', 'default', 'Workflow', '', '7.42'),
('797', '', 'default', 'Revert', '', '7.42'),
('798', '', 'default', 'Existing system path', '', 'none'),
('799', '', 'default', 'Specify the existing path you wish to alias. For example: node/28, forum/1, taxonomy/term/1+2.', '', 'none'),
('800', '', 'default', 'Specify an alternative path by which this data can be accessed. For example, type "about" when writing an about page. Use a relative path and don''t add a trailing slash or the URL alias won''t work.', '', 'none'),
('801', '', 'default', 'Greater than', '', 'none'),
('802', '', 'default', 'Less than', '', 'none'),
('803', '', 'default', 'Submitted by !a on @b.', '', 'none'),
('804', '', 'default', 'Log out', '', '7.42'),
('805', '', 'default', 'Number of day''s top views to display', '', 'none'),
('806', '', 'default', 'Number of all time views to display', '', 'none'),
('807', '', 'default', 'Number of most recent views to display', '', 'none'),
('808', '', 'default', 'The settings have not been saved because of the errors.', '', 'none'),
('809', '', 'default', 'Spam link deterrent', '', 'none'),
('810', '', 'default', 'profile', '', 'none'),
('811', '', 'default', 'First day of week', '', 'none'),
('812', '', 'default', 'Autocomplete taxonomy', '', 'none'),
('813', '', 'default', 'Post comment', '', 'none'),
('814', '', 'default', 'The menu item has been disabled.', '', 'none'),
('815', '', 'default', 'Send yourself a copy.', '', 'none'),
('816', '', 'default', '!name (!name-url) has sent you a message via your contact form (!form-url) at !site.', '', 'none'),
('817', '', 'default', 'If you don''t want to receive such e-mails, you can change your settings at !url.', '', 'none'),
('818', '', 'default', '%name-from sent %name-to an e-mail.', '', 'none'),
('819', '', 'default', 'The message has been sent.', '', 'none'),
('820', '', 'default', '!name sent a message using the contact form at !form.', '', 'none'),
('821', '', 'default', '%name-from sent an e-mail regarding %category.', '', 'none'),
('822', '', 'default', 'Your message has been sent.', '', 'none'),
('823', '', 'default', 'Create new account', '', 'none'),
('824', '', 'default', 'role', '', 'none'),
('825', '', 'default', 'Are you sure you want to delete the block %name?', '', 'none'),
('826', '', 'default', 'The block %name has been removed.', '', 'none'),
('827', '', 'default', 'In listings, the heavier terms will sink and the lighter terms will be positioned nearer the top.', '', 'none'),
('828', '', 'default', 'list terms', '', 'none'),
('829', '', 'default', 'add terms', '', 'none'),
('830', '', 'default', 'Created new term %term.', '', 'none'),
('831', '', 'default', 'Are you sure you want to delete the term %title?', '', 'none'),
('832', '', 'default', 'Deleted term %name.', '', 'none'),
('833', '', 'default', 'warning', '', 'none'),
('834', '', 'default', 'Last run !time ago', '', '7.34'),
('835', '', 'default', 'Never run', '', 'none'),
('836', '', 'default', 'Site information', '', '7.42'),
('837', '', 'default', 'Blocked', '', '7.42'),
('838', '', 'default', 'Default permitted file extensions', '', 'none'),
('839', '', 'default', 'Results', '', 'none'),
('840', '', 'default', 'Older polls', '', 'none'),
('841', '', 'default', 'View the list of polls on this site.', '', 'none'),
('842', '', 'default', 'Need more choices', '', 'none'),
('843', '', 'default', 'You must fill in at least two choices.', '', 'none'),
('844', '', 'default', 'open', '', 'none'),
('845', '', 'default', 'Visitor', '', 'none'),
('846', '', 'default', 'Cancel your vote', '', 'none'),
('847', '', 'default', 'View the current poll results.', '', 'none'),
('848', '', 'default', 'Your vote was canceled.', '', 'none'),
('849', '', 'default', 'create polls', '', 'none'),
('850', '', 'default', 'vote on polls', '', 'none'),
('851', '', 'default', 'cancel own vote', '', 'none'),
('852', '', 'default', 'inspect all votes', '', 'none'),
('853', '', 'default', 'List terms', '', 'none'),
('854', '', 'default', 'Deleting a term will delete all its children if there are any. This action cannot be undone.', '', 'none'),
('855', '', 'default', 'Parent term', '', '7.42'),
('856', '', 'default', 'Parent terms', '', 'none'),
('857', '', 'default', 'Syndicate', '', '7.41'),
('858', '', 'default', 'Syndicate content', '', 'none'),
('859', '', 'default', 'Blogs', '', 'none'),
('860', '', 'default', 'Books', '', '7.42'),
('861', '', 'default', 'The feed from %site seems to be broken, due to an error "%error" on line %line.', '', 'none'),
('862', '', 'default', 'The feed from %site seems to be broken, because of error "%error" on line %line.', '', 'none'),
('863', '', 'default', 'Forums', '', '7.42'),
('864', '', 'default', 'administer taxonomy', '', 'none'),
('865', '', 'default', 'access administration pages', '', 'none'),
('866', '', 'default', 'administer filters', '', 'none'),
('867', '', 'default', 'view revisions', '', 'none'),
('868', '', 'default', 'Revisions for %title', '', 'none'),
('869', '', 'default', '!date by !username', '', 'none'),
('870', '', 'default', 'revert', '', 'none'),
('871', '', 'default', 'Revision', '', 'none'),
('872', '', 'default', 'current revision', '', 'none'),
('873', '', 'default', 'The specified passwords do not match.', '', 'none'),
('874', '', 'default', 'Track', '', '7.42'),
('875', '', 'default', 'Database schema', '', 'none'),
('876', '', 'default', 'Post new forum topic.', '', 'none'),
('877', '', 'default', 'You are not allowed to post a new forum topic.', '', 'none'),
('878', '', 'default', '<a href="@login">Login</a> to post a new forum topic.', '', 'none'),
('879', '', 'default', 'No forums defined', '', 'none'),
('880', '', 'default', 'This topic has been moved', '', 'none'),
('881', '', 'default', 'User management', '', 'none'),
('882', '', 'default', 'e-mail', '', 'none'),
('883', '', 'default', 'Cron has not run. It appears cron jobs have not been setup on your system. Please check the help pages for <a href="@url">configuring cron jobs</a>.', '', 'none'),
('884', '', 'default', 'permission', '', 'none'),
('885', '', 'default', 'Number of items per feed', '', 'none'),
('886', '', 'default', 'Display of XML feed items', '', 'none'),
('887', '', 'default', 'This table lists all the recorded votes for this poll.  If anonymous users are allowed to vote, they will be identified by the IP address of the computer they used when they voted.', '', 'none'),
('888', '', 'default', 'Your vote was recorded.', '', 'none'),
('889', '', 'default', 'You are not allowed to cancel an invalid poll choice.', '', 'none'),
('890', '', 'default', 'Total votes: %votes', '', 'none'),
('891', '', 'default', 'Allows your site to capture votes on different topics in the form of multiple choice questions.', '', '7.34'),
('892', '', 'default', 'Link color', '', 'none'),
('893', '', 'default', 'Your password and further instructions have been sent to your e-mail address.', '', 'none'),
('894', '', 'default', 'Fiji', '', '7.41'),
('895', '', 'default', 'Length of trimmed posts', '', 'none'),
('896', '', 'default', '200 characters', '', 'none'),
('897', '', 'default', '400 characters', '', 'none'),
('898', '', 'default', '600 characters', '', 'none'),
('899', '', 'default', '800 characters', '', 'none'),
('900', '', 'default', '1000 characters', '', 'none'),
('901', '', 'default', '1200 characters', '', 'none'),
('902', '', 'default', '1400 characters', '', 'none'),
('903', '', 'default', '1600 characters', '', 'none'),
('904', '', 'default', '1800 characters', '', 'none'),
('905', '', 'default', '2000 characters', '', 'none'),
('906', '', 'default', 'The maximum number of characters used in the trimmed version of a post. Drupal will use this setting to determine at which offset long posts should be trimmed. The trimmed version of a post is typically used as a teaser when displaying the post on the main page, in XML feeds, etc. To disable teasers, set to ''Unlimited''. Note that this setting will only affect new or updated content and will not affect existing teasers.', '', 'none'),
('907', '', 'default', 'System default', '', 'none'),
('908', '', 'default', 'File settings', '', 'none'),
('909', '', 'default', 'Default extensions that users can upload. Separate extensions with a space and do not include the leading dot.', '', 'none'),
('910', '', 'default', 'Default maximum file size per upload', '', 'none'),
('911', '', 'default', 'MB', '', 'none'),
('912', '', 'default', 'Default total file size per user', '', 'none'),
('913', '', 'default', 'Your PHP settings limit the maximum file size per upload to %size.', '', 'none'),
('914', '', 'default', 'Menu settings', '', 'none'),
('915', '', 'default', 'The name to display for this menu link.', '', 'none'),
('916', '', 'default', 'The description displayed when hovering over a menu item.', '', 'none'),
('917', '', 'default', 'Check to delete this menu item.', '', 'none'),
('918', '', 'default', 'You may also <a href="@edit">edit the advanced settings</a> for this menu item.', '', 'none'),
('919', '', 'default', 'XML feed', '', 'none'),
('920', '', 'default', 'Color scheme', '', 'none'),
('921', '', 'default', 'Attach new file', '', 'none'),
('922', '', 'default', 'Attach', '', 'none'),
('923', '', 'default', 'List files by default', '', 'none'),
('924', '', 'default', 'File system path', '', 'none'),
('925', '', 'default', 'Add a new @s.', '', 'none'),
('926', '', 'default', '%title has been deleted.', '', 'none'),
('927', '', 'default', '@type: deleted %title.', '', 'none'),
('928', '', 'default', 'details', '', 'none'),
('929', '', 'default', 'The username %name has not been activated or is blocked.', '', 'none'),
('930', '', 'default', 'Login attempt failed for %user.', '', 'none'),
('931', '', 'default', 'Revision of %title from %date', '', 'none'),
('932', '', 'default', 'Themes', '', 'none'),
('933', '', 'default', 'If you want to add a static page, like a contact page or an about page, use a page.', '', 'none'),
('934', '', 'default', 'Story', '', 'none'),
('935', '', 'default', 'Stories are articles in their simplest form: they have a title, a teaser and a body, but can be extended by other modules. The teaser is part of the body too. Stories may be used as a personal blog or for news articles.', '', 'none'),
('936', '', 'default', 'JPEG quality', '', 'none'),
('937', '', 'default', '%', '', 'none'),
('938', '', 'default', 'administer nodes', '', 'none'),
('939', '', 'default', 'administer comments', '', 'none'),
('940', '', 'default', 'Delete comments', '', 'none'),
('941', '', 'default', 'not published', '', '7.41'),
('942', '', 'default', 'by', '', 'none'),
('943', '', 'default', 'The comments have been deleted.', '', 'none'),
('944', '', 'default', 'Published comments', '', '7.42'),
('945', '', 'default', 'SQL', '', 'none'),
('946', '', 'default', 'Your comment has been queued for moderation by site administrators and will be published after approval.', '', 'none'),
('947', '', 'default', '!name field is required.', '', 'none'),
('948', '', 'default', 'Protected', '', '7.34'),
('949', '', 'default', 'Comment settings', '', 'none'),
('950', '', 'default', 'Hits', '', 'none'),
('951', '', 'default', 'not sticky', '', '7.41'),
('952', '', 'default', 'sticky', '', '7.41'),
('953', '', 'default', 'not promoted', '', '7.41'),
('954', '', 'default', 'promoted', '', '7.41'),
('955', '', 'default', 'Default options', '', 'none'),
('956', '', 'default', 'Read only', '', 'none'),
('957', '', 'default', 'Contact settings', '', '7.34'),
('958', '', 'default', 'Reset password', '', 'none'),
('959', '', 'default', 'disable', '', 'none'),
('960', '', 'default', 'Line break converter', '', 'none'),
('961', '', 'default', 'Temporary directory', '', 'none'),
('962', '', 'default', 'date', '', 'none'),
('963', '', 'default', 'File upload error. Could not move uploaded file.', '', 'none'),
('964', '', 'default', 'upload files', '', 'none'),
('965', '', 'default', 'Site configuration', '', 'none'),
('966', '', 'default', 'The specified date is invalid.', '', 'none'),
('967', '', 'default', 'Choice @n', '', 'none'),
('968', '', 'default', 'If the amount of boxes above isn''t enough, check this box and click the Preview button below to add some more.', '', 'none'),
('969', '', 'default', 'The name of this web site.', '', 'none'),
('970', '', 'default', 'A valid e-mail address to be used as the "From" address by the auto-mailer during registration, new password requests, notifications, etc.  To lessen the likelihood of e-mail being marked as spam, this e-mail address should use the same domain as the website.', '', 'none'),
('971', '', 'default', 'Slogan', '', 'none'),
('972', '', 'default', 'The slogan of this website. Some themes display a slogan when available.', '', 'none'),
('973', '', 'default', 'Your site''s mission statement or focus.', '', 'none'),
('974', '', 'default', 'This text will be displayed at the bottom of each page. Useful for adding a copyright notice to your pages.', '', 'none'),
('975', '', 'default', 'Anonymous user', '', 'none'),
('976', '', 'default', 'The name used to indicate anonymous users.', '', '7.34'),
('977', '', 'default', 'The home page displays content from this relative URL. If unsure, specify "node".', '', 'none'),
('978', '', 'default', 'Get help', '', 'none'),
('979', '', 'default', 'rebuild permissions', '', 'none'),
('980', '', 'default', 'is', '', 'none'),
('981', '', 'default', 'Approval queue', '', 'none'),
('982', '', 'default', 'Display on separate page', '', 'none'),
('983', '', 'default', 'Location of comment submission form', '', 'none'),
('984', '', 'default', 'Go to first page', '', '7.41'),
('985', '', 'default', 'Go to last page', '', '7.41'),
('986', '', 'default', 'Go to page @number', '', '7.41'),
('987', '', 'default', 'Go to previous forum topic', '', 'none'),
('988', '', 'default', 'Go to next forum topic', '', 'none'),
('989', '', 'default', 'Enter the terms you wish to search for.', '', 'none'),
('990', '', 'default', 'Underlined', '', 'none'),
('991', '', 'default', 'Site building', '', 'none'),
('992', '', 'default', 'No primary links', '', 'none'),
('993', '', 'default', 'No secondary links', '', 'none'),
('994', '', 'default', 'No content types available.', '', 'none'),
('995', '', 'default', 'Delete role', '', 'none'),
('996', '', 'default', 'all messages', '', 'none'),
('997', '', 'default', '!type messages', '', 'none'),
('998', '', 'default', 'Filter by message type', '', 'none'),
('999', '', 'default', 'Role specific visibility settings', '', 'none'),
('1000', '', 'default', 'Enter the name for your new menu. Remember to enable the newly created block in the <a href="@blocks">blocks administration page</a>.', '', 'none'),
('1001', '', 'default', 'Manage languages', '', 'none'),
('1002', '', 'default', 'English name', '', '7.34'),
('1003', '', 'default', 'Translated', '', 'none'),
('1004', '', 'default', 'Block description', '', '7.41'),
('1005', '', 'default', 'No fields defined.', '', 'none'),
('1006', '', 'default', 'Form name', '', 'none'),
('1007', '', 'default', 'The title of the new field. The title will be shown to the user. An example title is "Favorite color".', '', 'none'),
('1008', '', 'default', 'An optional explanation to go with the new field. The explanation will be shown to the user.', '', 'none'),
('1009', '', 'default', 'To enable browsing this field by value, enter a title for the resulting page. The word <code>%value</code> will be substituted with the corresponding value. An example page title is "People whose favorite color is %value". This is only applicable for a public field.', '', 'none'),
('1010', '', 'default', 'To enable browsing this field by value, enter a title for the resulting page. An example page title is "People who are employed". This is only applicable for a public field.', '', 'none'),
('1011', '', 'default', 'Save field', '', 'none'),
('1012', '', 'default', 'Blocks are boxes of content that may be rendered into certain regions of your web pages, for example, into sidebars. Blocks are usually generated automatically by modules (e.g., Recent Forum Topics), but administrators can also define custom blocks.', '', 'none'),
('1013', '', 'default', 'The region each block appears in depends on both which theme you are using (some themes allow greater control over block placement than others), and on the settings in the block administration section.', '', 'none'),
('1014', '', 'default', 'The block administration screen lets you specify the vertical placement of the blocks within a region. You do this by assigning a weight to each block. Lighter blocks (those having a smaller weight) "float up" towards the top of the region; heavier ones "sink".', '', 'none'),
('1015', '', 'default', '<p>A block''s visibility depends on:</p>\n<ul>\n<li>Its region placement. Blocks with no region assigned to them are never shown.</li>\n<li>Its throttle checkbox when throttle module is enabled. Throttled blocks are hidden during high server loads.</li>\n<li>Its page visibility settings. Blocks can be configured to be visible/hidden on certain pages.</li>\n<li>Its custom visibility settings. Blocks can be configured to be visible only when specific conditions are true.</li>\n<li>Its user visibility settings. Administrators can choose to let users decide whether to show/hide certain blocks.</li>\n<li>Its user-role visibility settings. Administrators can choose to let blocks be visible only for certain user roles.</li>\n<li>Its function. Some dynamic blocks, such as those generated by modules, will be displayed only on certain pages.</li>\n</ul>\n', '', 'none'),
('1016', '', 'default', 'Module blocks', '', 'none'),
('1017', '', 'default', 'Some modules generate blocks that become available when the modules are enabled. These blocks can be administered via the <a href="@admin-block">blocks administration page</a>.</p>', '', 'none'),
('1018', '', 'default', 'Administrator defined blocks', '', 'none'),
('1019', '', 'default', 'Administrators can also define custom blocks. These blocks consist of a title, a description, and a body which can be as long as you wish. Block content can be in any of the input formats supported for other content.', '', 'none'),
('1020', '', 'default', 'For more information please read the configuration and customization handbook <a href="@block">Block page</a>.', '', 'none'),
('1021', '', 'default', 'Here you can create a new block. Once you have created this block you must make it active and give it a place on the page using <a href="@overview">blocks</a>. The description is used in the "block" column on the <a href="@overview">blocks</a> page.', '', 'none'),
('1022', '', 'default', 'Blocks', '', '7.42'),
('1023', '', 'default', 'Configure what block content appears in your site''s sidebars and other regions.', '', '7.42'),
('1024', '', 'default', 'Delete block', '', '7.41'),
('1025', '', 'default', '!key settings', '', 'none'),
('1026', '', 'default', 'Save blocks', '', '7.41'),
('1027', '', 'default', 'The block settings have been updated.', '', 'none'),
('1028', '', 'default', '@region', '', 'none'),
('1029', '', 'default', 'Block specific settings', '', 'none'),
('1030', '', 'default', 'Override the default title for the block. Use <em>&lt;none&gt;</em> to display no title, or leave blank to use the default block title.', '', 'none'),
('1031', '', 'default', '''%name'' block', '', '7.41'),
('1032', '', 'default', 'User specific visibility settings', '', 'none'),
('1033', '', 'default', 'Custom visibility settings', '', 'none'),
('1034', '', 'default', 'Users cannot control whether or not they see this block.', '', 'none'),
('1035', '', 'default', 'Show this block by default, but let individual users hide it.', '', 'none'),
('1036', '', 'default', 'Hide this block by default but let individual users show it.', '', 'none'),
('1037', '', 'default', 'Allow individual users to customize the visibility of this block in their account settings.', '', '7.41'),
('1038', '', 'default', 'Show block for specific roles', '', '7.41'),
('1039', '', 'default', 'Show this block only for the selected role(s). If you select no roles, the block will be visible to all users.', '', '7.41'),
('1040', '', 'default', 'Page specific visibility settings', '', 'none'),
('1041', '', 'default', 'If the PHP-mode is chosen, enter PHP code between %php. Note that executing incorrect PHP-code can break your Drupal site.', '', 'none'),
('1042', '', 'default', 'Show block on specific pages', '', '7.41'),
('1043', '', 'default', 'Save block', '', '7.41'),
('1044', '', 'default', 'Please ensure that each block description is unique.', '', 'none'),
('1045', '', 'default', 'The block configuration has been saved.', '', 'none'),
('1046', '', 'default', 'The block has been created.', '', 'none'),
('1047', '', 'default', 'A brief description of your block. Used on the <a href="@overview">block overview page</a>.', '', 'none'),
('1048', '', 'default', 'Block body', '', '7.41'),
('1049', '', 'default', 'The content of the block as shown to the user.', '', '7.41'),
('1050', '', 'default', 'Block configuration', '', 'none'),
('1051', '', 'default', 'administer blocks', '', 'none'),
('1052', '', 'default', 'use PHP for block visibility', '', 'none'),
('1053', '', 'default', 'Controls the boxes that are displayed around the main content.', '', 'none'),
('1054', '', 'default', 'Core - required', '', 'none'),
('1055', '', 'default', '<p>Menus are a collection of links (menu items) used to navigate a website. The menu module provides an interface to control and customize the powerful menu system that comes with Drupal. Menus are primarily displayed as a hierarchical list of links using Drupal''s highly flexible <a href="@admin-block">blocks</a> feature. Each menu automatically creates a block of the same name. By default, new menu items are placed inside a built-in menu labelled %navigation, but administrators can also create custom menus.</p>\n<p>Drupal themes generally provide out-of-the-box support for two menus commonly labelled %primary-links and %secondary-links. These are sets of links which are usually displayed in the header or footer of each page (depending on the currently active theme). Any menu can be designated as the primary or secondary links menu via the <a href="@menu-settings">menu settings page</a>.</p>\nMenu administration tabs:\n<ul>\n  <li>On the administer menu page, administrators can "edit" to change the title, description, parent or weight of a menu item. Under the "operations" column, click on "enable/disable" to toggle a menu item on or off. Only menu items which are enabled are displayed in the corresponding menu block. Note that the default menu items generated by the menu module cannot be deleted, only disabled.</li>\n  <li>Use the "add menu" tab to submit a title for a new custom menu. Once submitted, the menu will appear in a list toward the bottom of the administer menu page underneath the main navigation menu. Under the menu name there will be links to edit or delete the menu, and a link to add new items to the menu.</li>\n  <li>Use the "add menu item" tab to create new links in either the navigation or a custom menu (such as a primary/secondary links menu). Select the parent item to place the new link within an existing menu structure. For top level menu items, choose the name of the menu in which the link is to be added.</li>\n</ul>', '', 'none'),
('1056', '', 'default', 'For more information please read the configuration and customization handbook <a href="@menu">Menu page</a>.', '', 'none'),
('1057', '', 'default', 'Menus are a collection of links (menu items) used to navigate a website. The list(s) below display the currently available menus along with their menu items. Select an operation from the list to manage each menu or menu item.', '', 'none'),
('1058', '', 'default', 'Enter the title, path, position and the weight for your new menu item.', '', 'none'),
('1059', '', 'default', 'Menus', '', '7.42'),
('1060', '', 'default', 'Control your site''s navigation menu, primary links and secondary links. as well as rename and reorganize menu items.', '', 'none'),
('1061', '', 'default', 'Primary and secondary links settings', '', 'none'),
('1062', '', 'default', 'Primary and secondary links provide a navigational menu system which usually (depending on your theme) appears at the top-right of the browser window. The links displayed can be generated either from a custom list created via the <a href="@menu">menu administration</a> page or from a built-in list of menu items such as the navigation menu links.', '', 'none'),
('1063', '', 'default', 'Menu containing primary links', '', 'none'),
('1064', '', 'default', 'Menu containing secondary links', '', 'none'),
('1065', '', 'default', 'If you select the same menu as primary links then secondary links will display the appropriate second level of your navigation hierarchy.', '', 'none'),
('1066', '', 'default', 'Content authoring form settings', '', 'none'),
('1067', '', 'default', 'The menu module allows on-the-fly creation of menu links in the content authoring forms. The following option limits the menus in which a new link may be added. E.g., this can be used to force new menu items to be created in the primary links menu or to hide admin menu items.', '', 'none'),
('1068', '', 'default', 'Show all menus', '', 'none'),
('1069', '', 'default', 'Restrict parent items to', '', 'none'),
('1070', '', 'default', 'Choose the menu to be made available in the content authoring form. Only this menu item and its children will be shown.', '', 'none'),
('1071', '', 'default', 'The name of the menu item.', '', 'none'),
('1072', '', 'default', 'Are you sure you want to reset the item %item to its default values?', '', 'none'),
('1073', '', 'default', 'Any customizations will be lost. This action cannot be undone.', '', 'none'),
('1074', '', 'default', 'The menu item was reset to its default settings.', '', 'none'),
('1075', '', 'default', 'The menu item %title has been updated.', '', 'none'),
('1076', '', 'default', 'The menu item %title has been added.', '', 'none'),
('1077', '', 'default', 'Added menu item %title.', '', 'none'),
('1078', '', 'default', 'administer menu', '', 'none'),
('1079', '', 'default', 'Allows administrators to customize the site navigation menu.', '', '7.34'),
('1080', '', 'default', 'Create vocabularies and terms to categorize your content.', '', 'none'),
('1081', '', 'default', 'Add vocabulary', '', '7.42'),
('1082', '', 'default', 'Edit vocabulary', '', 'none'),
('1083', '', 'default', 'edit vocabulary', '', 'none'),
('1084', '', 'default', 'The name for this vocabulary. Example: "Topic".', '', 'none'),
('1085', '', 'default', 'Description of the vocabulary; can be used by modules.', '', 'none'),
('1086', '', 'default', 'Instructions to present to the user when choosing a term.', '', 'none'),
('1087', '', 'default', 'A list of node types you want to associate with this vocabulary.', '', 'none'),
('1088', '', 'default', 'Allows <a href="@help-url">a tree-like hierarchy</a> between terms of this vocabulary.', '', 'none'),
('1089', '', 'default', 'Allows <a href="@help-url">related terms</a> in this vocabulary.', '', 'none'),
('1090', '', 'default', 'Allows nodes to have more than one term from this vocabulary (always true for free tagging).', '', 'none'),
('1091', '', 'default', 'If enabled, every node <strong>must</strong> have at least one term in this vocabulary.', '', 'none'),
('1092', '', 'default', 'In listings, the heavier vocabularies will sink and the lighter vocabularies will be positioned nearer the top.', '', 'none'),
('1093', '', 'default', 'Created new vocabulary %name.', '', 'none'),
('1094', '', 'default', 'Updated vocabulary %name.', '', 'none'),
('1095', '', 'default', 'Are you sure you want to delete the vocabulary %title?', '', 'none'),
('1096', '', 'default', 'Deleting a vocabulary will delete all the terms in it. This action cannot be undone.', '', 'none'),
('1097', '', 'default', 'Deleted vocabulary %name.', '', 'none'),
('1098', '', 'default', 'The name of this term.', '', 'none'),
('1099', '', 'default', 'A description of the term.', '', 'none'),
('1100', '', 'default', 'A comma-separated list of terms describing this content. Example: funny, bungee jumping, "Company, Inc.".', '', 'none'),
('1101', '', 'default', 'The %name vocabulary can not be modified in this way.', '', 'none'),
('1102', '', 'default', 'The taxonomy module is one of the most popular features because users often want to create categories to organize content by type. A simple example would be organizing a list of music reviews by musical genre.', '', 'none'),
('1103', '', 'default', 'Taxonomy is the study of classification. The taxonomy module allows you to define vocabularies (sets of categories) which are used to classify content. The module supports hierarchical classification and association between terms, allowing for truly flexible information retrieval and classification. The taxonomy module allows multiple lists of categories for classification (controlled vocabularies) and offers the possibility of creating thesauri (controlled vocabularies that indicate the relationship of terms) and taxonomies (controlled vocabularies where relationships are indicated hierarchically). To view and manage the terms of each vocabulary, click on the associated <em>list terms</em> link. To delete a vocabulary and all its terms, choose <em>edit vocabulary.</em>', '', 'none'),
('1104', '', 'default', 'A controlled vocabulary is a set of terms to use for describing content (known as descriptors in indexing lingo). Drupal allows you to describe each piece of content (blog, story, etc.) using one or many of these terms. For simple implementations, you might create a set of categories without subcategories, similar to Slashdot''s sections. For more complex implementations, you might create a hierarchical list of categories.', '', 'none'),
('1105', '', 'default', 'For more information please read the configuration and customization handbook <a href="@taxonomy">Taxonomy page</a>.', '', 'none'),
('1106', '', 'default', 'The taxonomy module allows you to classify content into categories and subcategories; it allows multiple lists of categories for classification (controlled vocabularies) and offers the possibility of creating thesauri (controlled vocabularies that indicate the relationship of terms), taxonomies (controlled vocabularies where relationships are indicated hierarchically), and free vocabularies where terms, or tags, are defined during content creation. To view and manage the terms of each vocabulary, click on the associated <em>list terms</em> link. To delete a vocabulary and all its terms, choose "edit vocabulary".', '', 'none'),
('1107', '', 'default', 'When you create a controlled vocabulary you are creating a set of terms to use for describing content (known as descriptors in indexing lingo). Drupal allows you to describe each piece of content (blog, story, etc.) using one or many of these terms. For simple implementations, you might create a set of categories without subcategories. For more complex implementations, you might create a hierarchical list of categories.', '', 'none'),
('1108', '', 'default', 'Default time zone', '', 'none'),
('1109', '', 'default', '!title: !required', '', 'none'),
('1110', '', 'default', 'Add field', '', 'none'),
('1111', '', 'default', 'These settings only exist for all the templates and styles based on the %engine theme engine.', '', 'none'),
('1112', '', 'default', 'New external user: %user using module %module.', '', 'none'),
('1113', '', 'default', 'Publish', '', 'none'),
('1114', '', 'default', 'Unpublish', '', 'none'),
('1115', '', 'default', 'Permission', '', '7.42'),
('1116', '', 'default', '@module module', '', 'none'),
('1117', '', 'default', 'My blog', '', 'none'),
('1118', '', 'default', 'Input formats', '', 'none'),
('1119', '', 'default', 'The comment module creates a discussion board for each post. Users can post comments to discuss a forum topic, weblog post, story, collaborative book page, etc. The ability to comment is an important part of involving members in a community dialogue.', '', 'none'),
('1120', '', 'default', 'An administrator can give comment permissions to user groups, and users can (optionally) edit their last comment, assuming no others have been posted since. Attached to each comment board is a control panel for customizing the way that comments are displayed. Users can control the chronological ordering of posts (newest or oldest first) and the number of posts to display on each page. Comments behave like other user submissions. Filters, smileys and HTML that work in nodes will also work with comments. The comment module provides specific features to inform site members when new comments have been posted.', '', 'none'),
('1121', '', 'default', 'For more information please read the configuration and customization handbook <a href="@comment">Comment page</a>.', '', 'none'),
('1122', '', 'default', 'Posting settings', '', 'none'),
('1123', '', 'default', 'Anonymous commenting', '', 'none'),
('1124', '', 'default', 'Anonymous posters may not enter their contact information', '', 'none'),
('1125', '', 'default', 'Anonymous posters may leave their contact information', '', 'none'),
('1126', '', 'default', 'Anonymous posters must leave their contact information', '', 'none'),
('1127', '', 'default', 'This option is enabled when anonymous users have permission to post comments on the <a href="@url">permissions page</a>.', '', 'none'),
('1128', '', 'default', 'Display below post or comments', '', 'none'),
('1129', '', 'default', 'Default comment setting', '', 'none'),
('1130', '', 'default', 'Read/Write', '', 'none'),
('1131', '', 'default', 'Users with the <em>administer comments</em> permission will be able to override this setting.', '', 'none'),
('1132', '', 'default', 'The content of this field is kept private and will not be shown publicly.', '', '7.42'),
('1133', '', 'default', 'Your signature will be publicly displayed at the end of your comments.', '', 'none'),
('1134', '', 'default', 'parent', '', 'none'),
('1135', '', 'default', 'Can not delete non-existent comment.', '', 'none'),
('1136', '', 'default', 'Flat list - collapsed', '', 'none'),
('1137', '', 'default', 'Flat list - expanded', '', 'none'),
('1138', '', 'default', 'Threaded list - collapsed', '', 'none'),
('1139', '', 'default', 'Threaded list - expanded', '', 'none'),
('1140', '', 'default', 'Date - newest first', '', 'none'),
('1141', '', 'default', 'Date - oldest first', '', 'none'),
('1142', '', 'default', '1 comment', '', 'none'),
('1143', '', 'default', '@count comments', '', 'none'),
('1144', '', 'default', '@count[2] comments', '', '7.42'),
('1145', '', 'default', '1 new comment', '', 'none'),
('1146', '', 'default', '@count new comments', '', 'none'),
('1147', '', 'default', '@count[2] new comments', '', 'none'),
('1148', '', 'default', 'access comments', '', 'none'),
('1149', '', 'default', 'post comments', '', 'none'),
('1150', '', 'default', 'post comments without approval', '', 'none'),
('1151', '', 'default', 'Save content type', '', 'none'),
('1152', '', 'default', 'Show descriptions', '', 'none'),
('1153', '', 'default', 'Subtitle', '', 'none'),
('1154', '', 'default', 'Language code', '', 'none'),
('1155', '', 'default', 'Save role', '', 'none'),
('1156', '', 'default', 'file system', '', 'none'),
('1157', '', 'default', 'Escape all tags', '', 'none'),
('1158', '', 'default', 'Strip disallowed tags', '', 'none'),
('1159', '', 'default', 'input formats', '', 'none'),
('1160', '', 'default', 'Number of users to display', '', 'none'),
('1161', '', 'default', 'RSS - !title', '', 'none'),
('1162', '', 'default', 'Profiles', '', 'none'),
('1163', '', 'default', 'Edit container', '', 'none'),
('1164', '', 'default', 'Last visit', '', '7.41'),
('1165', '', 'default', '<a href="@login">Login</a> to post comments', '', 'none'),
('1166', '', 'default', 'Reply', '', 'none'),
('1167', '', 'default', 'Hot topic threshold', '', 'none'),
('1168', '', 'default', 'The number of posts a topic must have to be considered hot.', '', 'none'),
('1169', '', 'default', 'Topics per page', '', 'none'),
('1170', '', 'default', 'The default number of topics displayed per page; links to browse older messages are automatically being displayed.', '', 'none'),
('1171', '', 'default', 'Posts - most active first', '', 'none'),
('1172', '', 'default', 'Posts - least active first', '', 'none'),
('1173', '', 'default', 'URL path settings', '', 'none'),
('1174', '', 'default', 'You must include at least one positive keyword with @count characters or more.', '', 'none'),
('1175', '', 'default', '@user''s picture', '', '7.38'),
('1176', '', 'default', 'Are you sure you want to revert to the revision from %revision-date?', '', 'none'),
('1177', '', 'default', 'Are you sure you want to delete the revision from %revision-date?', '', 'none'),
('1178', '', 'default', 'revert revisions', '', 'none'),
('1179', '', 'default', 'KB', '', '7.34'),
('1180', '', 'default', 'Search users', '', 'none'),
('1181', '', 'default', 'New forum topics', '', '7.41'),
('1182', '', 'default', '@type: deleted %title revision %revision.', '', 'none'),
('1183', '', 'default', 'Page not found', '', '7.34'),
('1184', '', 'default', 'Your filename has been renamed to conform to site policy.', '', 'none'),
('1185', '', 'default', '(site default theme)', '', 'none'),
('1186', '', 'default', 'Screenshot', '', 'none'),
('1187', '', 'default', 'Preview trimmed version', '', 'none'),
('1188', '', 'default', 'Preview full version', '', 'none'),
('1189', '', 'default', 'The body of your @type is too short. You need at least %words words.', '', 'none'),
('1190', '', 'default', 'This content has been modified by another user, changes cannot be saved.', '', 'none'),
('1191', '', 'default', 'List, add, and edit users.', '', 'none'),
('1192', '', 'default', 'The name %name is already taken.', '', 'none'),
('1193', '', 'default', '« first', '', '7.50'),
('1194', '', 'default', 'last »', '', '7.50'),
('1195', '', 'default', 'The directory %directory does not exist.', '', 'none'),
('1196', '', 'default', 'The directory %directory is not writable', '', 'none'),
('1197', '', 'default', 'The directory %directory is not writable, because it does not have the correct permissions set.', '', 'none'),
('1198', '', 'default', 'Rearrange', '', 'none'),
('1199', '', 'default', 'If enabled, Drupal will add rel="nofollow" to all links, as a measure to reduce the effectiveness of spam links. Note: this will also prevent valid links from being followed by search engines, therefore it is likely most effective when enabled for anonymous users.', '', 'none'),
('1200', '', 'default', 'Show only items where', '', '7.41'),
('1201', '', 'default', 'No comments available.', '', '7.41'),
('1202', '', 'default', '1 user', '', 'none'),
('1203', '', 'default', '@count users', '', 'none'),
('1204', '', 'default', '@count[2] users', '', 'none'),
('1205', '', 'default', 'Rebuild permissions', '', '7.34'),
('1206', '', 'default', '@type: updated %title.', '', 'none'),
('1207', '', 'default', '@type: added %title.', '', 'none'),
('1208', '', 'default', 'Add role', '', 'none'),
('1209', '', 'default', 'You must specify a valid role name.', '', 'none'),
('1210', '', 'default', 'The role has been added.', '', 'none'),
('1211', '', 'default', 'Path to custom logo', '', 'none'),
('1212', '', 'default', 'taxonomy', '', 'none'),
('1213', '', 'default', 'Updated term %term.', '', 'none'),
('1214', '', 'default', '- Please choose -', '', 'none'),
('1215', '', 'default', '- None selected -', '', 'none'),
('1216', '', 'default', 'Aggregator', '', '7.42'),
('1217', '', 'default', 'The feed from %site seems to be broken, because of error "%error".', '', '7.34'),
('1218', '', 'default', 'There is no new syndicated content from %site.', '', '7.41'),
('1219', '', 'default', 'There is new syndicated content from %site.', '', 'none'),
('1220', '', 'default', 'The feed from %site seems to be broken, due to "%error".', '', 'none'),
('1221', '', 'default', 'Aggregates syndicated content (RSS, RDF, and Atom feeds).', '', '7.34'),
('1222', '', 'default', 'Alias', '', 'none'),
('1223', '', 'default', 'Account settings', '', '7.42'),
('1224', '', 'default', 'The content type %name has been deleted.', '', 'none'),
('1225', '', 'default', 'Deleted content type %name.', '', 'none'),
('1226', '', 'default', 'Enter your keywords', '', 'none'),
('1227', '', 'default', 'Clean URLs', '', '7.42'),
('1228', '', 'default', 'My account', '', '7.42'),
('1229', '', 'default', 'Pictures', '', 'none'),
('1230', '', 'default', 'Number of topics', '', 'none'),
('1231', '', 'default', 'Active forum topics', '', '7.41'),
('1232', '', 'default', 'Read the latest forum topics.', '', 'none'),
('1233', '', 'default', 'User activity', '', 'none'),
('1234', '', 'default', 'The GD library for PHP is missing or outdated. Please check the <a href="@url">PHP image documentation</a> for information on how to correct this.', '', 'none'),
('1235', '', 'default', 'GD library', '', 'none'),
('1236', '', 'default', 'The category the new field should be part of. Categories are used to group fields logically. An example category is "Personal information".', '', 'none'),
('1237', '', 'default', 'The user must enter a value.', '', 'none'),
('1238', '', 'default', 'Visible in user registration form.', '', 'none'),
('1239', '', 'default', 'A user is considered online for this long after they have last viewed a page.', '', 'none'),
('1240', '', 'default', 'Maximum number of currently online users to display.', '', 'none'),
('1241', '', 'default', 'There is currently %members and %visitors online.', '', 'none'),
('1242', '', 'default', 'There are currently %members and %visitors online.', '', 'none'),
('1243', '', 'default', '1 guest', '', 'none'),
('1244', '', 'default', '@count guests', '', 'none'),
('1245', '', 'default', '@count[2] guests', '', 'none'),
('1246', '', 'default', 'Book navigation', '', '7.41'),
('1247', '', 'default', '!a comments per page', '', 'none'),
('1248', '', 'default', '1 year', '', 'none'),
('1249', '', 'default', '@count years', '', 'none'),
('1250', '', 'default', '@count[2] years', '', 'none'),
('1251', '', 'default', '1 week', '', 'none'),
('1252', '', 'default', '@count weeks', '', 'none'),
('1253', '', 'default', '@count[2] weeks', '', 'none'),
('1254', '', 'default', '1 min', '', 'none'),
('1255', '', 'default', '@count min', '', '7.34'),
('1256', '', 'default', '@count[2] min', '', '7.34'),
('1257', '', 'default', '1 sec', '', 'none'),
('1258', '', 'default', '@count sec', '', '7.34'),
('1259', '', 'default', '@count[2] sec', '', '7.34'),
('1260', '', 'default', 'Bulgarian', '', '7.41'),
('1261', '', 'default', 'Croatian', '', '7.41'),
('1262', '', 'default', 'Czech', '', '7.41'),
('1263', '', 'default', 'Danish', '', '7.41'),
('1264', '', 'default', 'Dutch', '', '7.41'),
('1265', '', 'default', 'Finnish', '', '7.41'),
('1266', '', 'default', 'German', '', '7.41'),
('1267', '', 'default', 'Greek', '', '7.41'),
('1268', '', 'default', 'Hebrew', '', '7.41'),
('1269', '', 'default', 'Hungarian', '', '7.41'),
('1270', '', 'default', 'Indonesian', '', '7.41'),
('1271', '', 'default', 'Polish', '', '7.41'),
('1272', '', 'default', 'Romanian', '', '7.41'),
('1273', '', 'default', 'Russian', '', '7.42'),
('1274', '', 'default', 'Slovak', '', '7.41'),
('1275', '', 'default', 'Swedish', '', '7.41'),
('1276', '', 'default', 'Turkish', '', '7.41'),
('1277', '', 'default', 'Edit comment', '', 'none'),
('1278', '', 'default', 'Promote to front page', '', 'none'),
('1279', '', 'default', 'Edit rule', '', 'none'),
('1280', '', 'default', '%keys (@type).', '', 'none'),
('1281', '', 'default', 'The file could not be created.', '', 'none'),
('1282', '', 'default', 'Password reset instructions mailed to %name at %email.', '', 'none'),
('1283', '', 'default', 'Error mailing password reset instructions to %name at %email.', '', 'none'),
('1284', '', 'default', 'Unable to send mail. Please contact the site admin.', '', 'none'),
('1285', '', 'default', 'Account information', '', 'none'),
('1286', '', 'default', 'The e-mail address %mail is not valid.', '', 'none'),
('1287', '', 'default', 'The user receives the combined permissions of the %au role, and all roles selected here.', '', 'none'),
('1288', '', 'default', 'authenticated user', '', '7.41'),
('1289', '', 'default', 'Default authentication server', '', 'none'),
('1290', '', 'default', 'Only allow authentication from default server', '', 'none'),
('1291', '', 'default', 'Logging into a Drupal site', '', 'none'),
('1292', '', 'default', 'Allow your site to accept logins from other Drupal sites such as drupal.org.', '', 'none'),
('1293', '', 'default', 'Field settings', '', '7.42'),
('1294', '', 'default', 'Validation error, please try again. If this error persists, please contact the site administrator.', '', 'none'),
('1295', '', 'default', 'The forum module lets you create threaded discussion forums for a particular topic on your site. This is similar to a message board system such as phpBB. Forums are very useful because they allow community members to discuss topics with one another, and they are archived for future reference.', '', 'none'),
('1296', '', 'default', 'Forums can be organized under what are called <em>containers</em>. Containers hold forums and, in turn, forums hold threaded discussions. Both containers and forums can be placed inside other containers and forums. By planning the structure of your containers and forums well, you make it easier for users to find a topic area of interest to them. Forum topics can be moved by selecting a different forum and can be left in the existing forum by selecting <em>leave a shadow copy</em>. Forum topics can also have their own URL.', '', 'none'),
('1297', '', 'default', 'Forums module <strong>requires Taxonomy and Comments module</strong> be enabled.', '', 'none'),
('1298', '', 'default', 'For more information please read the configuration and customization handbook <a href="@forum">Forum page</a>.', '', 'none'),
('1299', '', 'default', 'This is a list of existing containers and forums that you can edit. Containers hold forums and, in turn, forums hold threaded discussions. Both containers and forums can be placed inside other containers and forums. By planning the structure of your containers and forums well, you make it easier for users to find a topic area of interest to them.', '', 'none'),
('1300', '', 'default', 'Containers help you organize your forums. The job of a container is to hold, or contain, other forums that are related. For example, a container named "Food" might hold two forums named "Fruit" and "Vegetables".', '', 'none'),
('1301', '', 'default', 'A forum holds discussion topics that are related. For example, a forum named "Fruit" might contain topics titled "Apples" and "Bananas".', '', 'none'),
('1302', '', 'default', 'These settings provide the ability to fine tune the display of your forum topics.', '', 'none'),
('1303', '', 'default', 'Control forums and their hierarchy and change forum settings.', '', 'none'),
('1304', '', 'default', 'Edit forum', '', 'none'),
('1305', '', 'default', 'Default order', '', 'none'),
('1306', '', 'default', 'The default display order for topics.', '', 'none'),
('1307', '', 'default', 'This is the designated forum vocabulary. Some of the normal vocabulary options have been removed.', '', 'none'),
('1308', '', 'default', 'forum topic', '', 'none'),
('1309', '', 'default', 'forum topic is affixed to the forum vocabulary.', '', 'none'),
('1310', '', 'default', 'The item %forum is only a container for forums. Please select one of the forums below it.', '', 'none'),
('1311', '', 'default', 'Leave shadow copy', '', 'none'),
('1312', '', 'default', 'If you move this topic, you can leave a link in the old forum to the new forum.', '', 'none'),
('1313', '', 'default', 'Container name', '', 'none'),
('1314', '', 'default', 'The container name is used to identify related forums.', '', 'none'),
('1315', '', 'default', 'The container description can give users more information about the forums it contains.', '', 'none'),
('1316', '', 'default', 'When listing containers, those with with light (small) weights get listed before containers with heavier (larger) weights. Containers with equal weights are sorted alphabetically.', '', 'none'),
('1317', '', 'default', 'forum container', '', 'none'),
('1318', '', 'default', 'Created new @type %term.', '', 'none'),
('1319', '', 'default', 'The @type %term has been updated.', '', 'none'),
('1320', '', 'default', 'There are no existing containers or forums. You may add some on the <a href="@container">add container</a> or <a href="@forum">add forum</a> pages.', '', 'none'),
('1321', '', 'default', 'Containers are usually placed at the top (root) level of your forum but you can also place a container inside a parent container or forum.', '', 'none'),
('1322', '', 'default', 'You may place your forum inside a parent container or forum, or at the top (root) level of your forum.', '', 'none'),
('1323', '', 'default', '@time ago<br />by !author', '', 'none'),
('1324', '', 'default', 'Create a new topic for discussion in the forums.', '', 'none'),
('1325', '', 'default', 'create forum topics', '', 'none'),
('1326', '', 'default', 'edit own forum topics', '', 'none'),
('1327', '', 'default', 'administer forums', '', 'none'),
('1328', '', 'default', 'Add new field', '', 'none'),
('1329', '', 'default', 'Search content', '', 'none');
INSERT INTO `locales_source` VALUES
('1330', '', 'default', 'Search content by keyword.', '', 'none'),
('1331', '', 'default', 'Containing any of the words', '', 'none'),
('1332', '', 'default', 'Containing the phrase', '', 'none'),
('1333', '', 'default', 'Containing none of the words', '', 'none'),
('1334', '', 'default', 'Only in the category(s)', '', 'none'),
('1335', '', 'default', 'Only of the type(s)', '', 'none'),
('1336', '', 'default', 'Content ranking', '', 'none'),
('1337', '', 'default', 'The following numbers control which properties the content search should favor when ordering the results. Higher numbers mean more influence, zero means the property is ignored. Changing these numbers does not require the search index to be rebuilt. Changes take effect immediately.', '', 'none'),
('1338', '', 'default', 'Keyword relevance', '', 'none'),
('1339', '', 'default', 'Recently posted', '', 'none'),
('1340', '', 'default', 'Number of comments', '', 'none'),
('1341', '', 'default', 'Number of views', '', 'none'),
('1342', '', 'default', 'Factor', '', 'none'),
('1343', '', 'default', 'Hide descriptions', '', '7.34'),
('1344', '', 'default', 'The selected file %file could not be uploaded, because the destination %directory is not properly configured.', '', 'none'),
('1345', '', 'default', 'The selected file %file could not be copied, because no file by that name exists. Please check that you supplied the correct filename.', '', 'none'),
('1346', '', 'default', 'The selected file %file could not be copied, because a file by that name already exists in the destination.', '', 'none'),
('1347', '', 'default', 'The selected file %file could not be copied.', '', 'none'),
('1348', '', 'default', 'The removal of the original file %file has failed.', '', 'none'),
('1349', '', 'default', 'Color set', '', 'none'),
('1350', '', 'default', '<ul>\n<li>Check if your spelling is correct.</li>\n<li>Remove quotes around phrases to match each word individually: <em>"blue smurf"</em> will match less than <em>blue smurf</em>.</li>\n<li>Consider loosening your query with <em>OR</em>: <em>blue smurf</em> will match less than <em>blue OR smurf</em>.</li>\n</ul>', '', 'none'),
('1351', '', 'default', 'Database host', '', 'none'),
('1352', '', 'default', 'Maximum link text length', '', 'none'),
('1353', '', 'default', 'URLs longer than this number of characters will be truncated to prevent long strings that break formatting. The link itself will be retained; just the text portion of the link will be truncated.', '', 'none'),
('1354', '', 'default', 'Check e-mail', '', 'none'),
('1355', '', 'default', 'Default picture', '', '7.34'),
('1356', '', 'default', 'URL of picture to display for users with no custom picture selected. Leave blank for none.', '', '7.34'),
('1357', '', 'default', 'Select the default site time zone.', '', 'none'),
('1358', '', 'default', 'Site status', '', 'none'),
('1359', '', 'default', 'Toggle display', '', 'none'),
('1360', '', 'default', 'If you don''t have direct file access to the server, use this field to upload your logo.', '', 'none'),
('1361', '', 'default', 'Only JPEG, PNG and GIF images are allowed to be used as logos.', '', 'none'),
('1362', '', 'default', 'Configuration file', '', '7.34'),
('1363', '', 'default', '%percentage of the site has been indexed.', '', 'none'),
('1364', '', 'default', 'Download method', '', 'none'),
('1365', '', 'default', 'Web server', '', '7.34'),
('1366', '', 'default', 'Error reporting', '', 'none'),
('1367', '', 'default', 'There is 1 item left to index.', '', 'none'),
('1368', '', 'default', 'There are @count items left to index.', '', 'none'),
('1369', '', 'default', 'There are @count[2] items left to index.', '', 'none'),
('1370', '', 'default', 'sort by @s', '', '7.41'),
('1371', '', 'default', 'Sorry, unrecognized username or password. <a href="@password">Have you forgotten your password?</a>', '', 'none'),
('1372', '', 'default', 'and', '', '7.41'),
('1373', '', 'default', 'where', '', 'none'),
('1374', '', 'default', 'URL filter', '', 'none'),
('1375', '', 'default', 'Please select one or more comments to perform the update on.', '', 'none'),
('1376', '', 'default', '1 read', '', 'none'),
('1377', '', 'default', '@count reads', '', '7.42'),
('1378', '', 'default', '@count[2] reads', '', 'none'),
('1379', '', 'default', 'access statistics', '', 'none'),
('1380', '', 'default', 'view post access counter', '', 'none'),
('1381', '', 'default', 'All necessary changes to %file have been made, so you should now remove write permissions to this file. Failure to remove write permissions to this file is a security risk.', '', 'none'),
('1382', '', 'default', 'Are you sure you want to disable the menu item %menu-item?', '', 'none'),
('1383', '', 'default', 'Enables the categorization of content.', '', '7.34'),
('1384', '', 'default', 'Save rule', '', 'none'),
('1385', '', 'default', 'Delete contact', '', 'none'),
('1386', '', 'default', 'Example: ''webmaster@example.com'' or ''sales@example.com,support@example.com''. To specify multiple recipients, separate each e-mail address with a comma.', '', 'none'),
('1387', '', 'default', 'Auto-reply', '', 'none'),
('1388', '', 'default', 'Optional auto-reply. Leave empty if you do not want to send the user an auto-reply message.', '', 'none'),
('1389', '', 'default', '%recipient is an invalid e-mail address.', '', 'none'),
('1390', '', 'default', 'Additional information', '', 'none'),
('1391', '', 'default', 'You can leave a message using the contact form below.', '', 'none'),
('1392', '', 'default', 'The maximum number of contact form submissions a user can perform per hour.', '', 'none'),
('1393', '', 'default', 'Contact form: category %category added.', '', 'none'),
('1394', '', 'default', 'Contact form: category %category updated.', '', 'none'),
('1395', '', 'default', 'Lithuanian', '', '7.41'),
('1396', '', 'default', ' (<span class="admin-disabled">disabled</span>)', '', 'none'),
('1397', '', 'default', ' (<span class="admin-missing">missing</span>)', '', 'none'),
('1398', '', 'default', ' (<span class="admin-enabled">enabled</span>)', '', 'none'),
('1399', '', 'default', 'Depends on: !dependencies', '', 'none'),
('1400', '', 'default', 'Required by: !required', '', 'none'),
('1401', '', 'default', 'Some required modules must be enabled', '', 'none'),
('1402', '', 'default', 'Would you like to continue with enabling the above?', '', 'none'),
('1403', '', 'default', 'You must enable the %dependencies module to install %module.', '', 'none'),
('1404', '', 'default', 'You must enable the %dependencies modules to install %module.', '', 'none'),
('1405', '', 'default', 'administer site configuration', '', 'none'),
('1406', '', 'default', 'The translation import failed, because the file %filename could not be read.', '', 'none'),
('1407', '', 'default', 'The translation file %filename contains an error: "msgstr" was expected but not found on line %line.', '', 'none'),
('1408', '', 'default', 'The translation file %filename contains an error: "msgid_plural" was expected but not found on line %line.', '', 'none'),
('1409', '', 'default', 'The translation file %filename contains a syntax error on line %line.', '', 'none'),
('1410', '', 'default', 'The translation file %filename contains an error: "msgid" is unexpected on line %line.', '', 'none'),
('1411', '', 'default', 'The translation file %filename contains an error: "msgstr[]" is unexpected on line %line.', '', 'none'),
('1412', '', 'default', 'The translation file %filename contains an error: "msgstr" is unexpected on line %line.', '', 'none'),
('1413', '', 'default', 'The translation file %filename contains an error: there is an unexpected string on line %line.', '', 'none'),
('1414', '', 'default', 'The translation file %filename ended unexpectedly at line %line.', '', 'none'),
('1415', '', 'default', 'Save translations', '', '7.41'),
('1416', '', 'default', 'Export template', '', 'none'),
('1417', '', 'default', 'anonymous user', '', '7.41'),
('1418', '', 'default', 'Password and further instructions have been e-mailed to the new user %user.', '', 'none'),
('1419', '', 'default', 'Save permissions', '', 'none'),
('1420', '', 'default', 'The name %name has been denied access.', '', 'none'),
('1421', '', 'default', 'directory ping', '', 'none'),
('1422', '', 'default', 'Original text', '', '7.41'),
('1423', '', 'default', 'Delete content type', '', 'none'),
('1424', '', 'default', 'edit permissions', '', 'none'),
('1425', '', 'default', 'notice', '', 'none'),
('1426', '', 'default', 'by !name', '', 'none'),
('1427', '', 'default', 'User account', '', '7.42'),
('1428', '', 'default', 'File download', '', 'none'),
('1429', '', 'default', 'Acronym', '', '7.42'),
('1430', '', 'default', 'Failed to upload the picture image; the %directory directory doesn''t exist or is not writable.', '', 'none'),
('1431', '', 'default', 'Post new comment', '', 'none'),
('1432', '', 'default', 'The field has been updated.', '', 'none'),
('1433', '', 'default', 'The machine-readable name can only consist of lowercase letters, underscores, and numbers.', '', 'none'),
('1434', '', 'default', 'The blog API module enables a post to be posted to a site via external GUI applications. Many users prefer to use external tools to improve their ability to read and post responses in a customized way. The blog api provides users the freedom to use the blogging tools they want but still have the blogging server of choice.', '', 'none'),
('1435', '', 'default', 'When this module is enabled and configured you can use programs like <a href="@external-http-ecto-kung-foo-tv">Ecto</a> to create and publish posts from your desktop. Blog API module supports several XML-RPC based blogging APIs such as the <a href="@-">Blogger API</a>, <a href="@external-http-www-xmlrpc-com-metaWeblogApi">MetaWeblog API</a>, and most of the <a href="@external-http-www-movabletype-org-docs-mtmanual_programmatic-html">Movable Type API</a>. Any desktop blogging tools or other services (e.g. <a href="@external-http-www-flickr-com">Flickr''s</a> "post to blog") that support these APIs should work with this site.', '', 'none'),
('1436', '', 'default', 'This module also allows site administrators to configure which content types can be posted via the external applications. So, for instance, users can post forum topics as well as blog posts. Where supported, the external applications will display each content type as a separate "blog".', '', 'none'),
('1437', '', 'default', 'For more information please read the configuration and customization handbook <a href="@blogapi">BlogApi page</a>.', '', 'none'),
('1438', '', 'default', 'Returns a list of weblogs to which an author has posting privileges.', '', 'none'),
('1439', '', 'default', 'Returns information about an author in the system.', '', 'none'),
('1440', '', 'default', 'Creates a new post, and optionally publishes it.', '', 'none'),
('1441', '', 'default', 'Updates the information about an existing post.', '', 'none'),
('1442', '', 'default', 'Returns information about a specific post.', '', 'none'),
('1443', '', 'default', 'Deletes a post.', '', 'none'),
('1444', '', 'default', 'Returns a list of the most recent posts in the system.', '', 'none'),
('1445', '', 'default', 'Updates information about an existing post.', '', 'none'),
('1446', '', 'default', 'Uploads a file to your webserver.', '', 'none'),
('1447', '', 'default', 'Returns a list of all categories to which the post is assigned.', '', 'none'),
('1448', '', 'default', 'Returns a bandwidth-friendly list of the most recent posts in the system.', '', 'none'),
('1449', '', 'default', 'Returns a list of all categories defined in the weblog.', '', 'none'),
('1450', '', 'default', 'Sets the categories for a post.', '', 'none'),
('1451', '', 'default', 'Retrieve information about the XML-RPC methods supported by the server.', '', 'none'),
('1452', '', 'default', 'Retrieve information about the text formatting plugins supported by the server.', '', 'none'),
('1453', '', 'default', 'Publish (rebuild) all of the static files related to an entry from your weblog. Equivalent to saving an entry in the system (but without the ping).', '', 'none'),
('1454', '', 'default', 'You do not have permission to create the type of post you wanted to create.', '', 'none'),
('1455', '', 'default', 'Error storing post.', '', 'none'),
('1456', '', 'default', 'You do not have permission to update this post.', '', 'none'),
('1457', '', 'default', 'It is not possible to upload the file, because it exceeded the maximum filesize of @maxsize.', '', 'none'),
('1458', '', 'default', 'The file can not be attached to this post, because the disk quota of @quota has been reached.', '', 'none'),
('1459', '', 'default', 'It is not possible to upload the file, because it is only possible to upload files with the following extensions: @extensions', '', 'none'),
('1460', '', 'default', 'No file sent.', '', 'none'),
('1461', '', 'default', 'Error storing file.', '', 'none'),
('1462', '', 'default', 'Invalid post.', '', 'none'),
('1463', '', 'default', 'You either tried to edit somebody else''s blog or you don''t have permission to edit your own blog.', '', 'none'),
('1464', '', 'default', 'Blog types', '', 'none'),
('1465', '', 'default', 'Select the content types for which you wish to enable posting via blogapi. Each type will appear as a different "blog" in the client application (if supported).', '', 'none'),
('1466', '', 'default', 'The default maximum file size a user can upload.', '', 'none'),
('1467', '', 'default', 'The default maximum size of all files a user can have on the site.', '', 'none'),
('1468', '', 'default', 'RSD', '', 'none'),
('1469', '', 'default', 'administer content with blog api', '', 'none'),
('1470', '', 'default', 'List, edit, or add user roles.', '', '7.42'),
('1471', '', 'default', 'edit role', '', 'none'),
('1472', '', 'default', 'All recent posts', '', 'none'),
('1473', '', 'default', 'My recent posts', '', 'none'),
('1474', '', 'default', 'Track posts', '', 'none'),
('1475', '', 'default', 'Enables tracking of recent posts for users.', '', 'none'),
('1476', '', 'default', 'Minimum number of words', '', 'none'),
('1477', '', 'default', 'Password field is required.', '', 'none'),
('1478', '', 'default', 'Confirm password', '', 'none'),
('1479', '', 'default', 'Default display order', '', 'none'),
('1480', '', 'default', 'The default sorting for new users and anonymous users while viewing comments. These users may change their view using the comment control panel. For registered users, this change is remembered as a persistent user preference.', '', 'none'),
('1481', '', 'default', 'Administration theme', '', 'none'),
('1482', '', 'default', 'Check username', '', 'none'),
('1483', '', 'default', 'Enable personal contact form by default', '', 'none'),
('1484', '', 'default', 'Default status of the personal contact form for new users.', '', 'none'),
('1485', '', 'default', 'Information to show on the <a href="@form">contact page</a>. Can be anything from submission guidelines to your postal address or telephone number.', '', 'none'),
('1486', '', 'default', 'Afar', '', '7.41'),
('1487', '', 'default', 'Somali', '', '7.41'),
('1488', '', 'default', 'Komi', '', '7.41'),
('1489', '', 'default', 'Run cron', '', '7.42'),
('1490', '', 'default', 'Security warning: Couldn''t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>', '', 'none'),
('1491', '', 'default', 'The file %file could not be saved, because the upload did not complete.', '', 'none'),
('1492', '', 'default', 'The file %file could not be saved. An unknown error has occurred.', '', 'none'),
('1493', '', 'default', 'Add to book outline', '', 'none'),
('1494', '', 'default', 'Discard log entries older than', '', 'none'),
('1495', '', 'default', 'The time log entries should be kept. Older entries will be automatically discarded. Requires crontab.', '', 'none'),
('1496', '', 'default', 'Database port', '', 'none'),
('1497', '', 'default', 'Re-index site', '', 'none'),
('1498', '', 'default', 'Items to index per cron run', '', 'none'),
('1499', '', 'default', 'Are you sure you want to re-index the site?', '', 'none'),
('1500', '', 'default', 'These options are only necessary for some sites. If you''re not sure what you should enter here, leave the default settings or check with your hosting provider.', '', 'none'),
('1501', '', 'default', 'If your database is located on a different server, change this.', '', 'none'),
('1502', '', 'default', 'If your database server is listening to a non-standard port, enter its number.', '', 'none'),
('1503', '', 'default', 'Database port must be a number.', '', 'none'),
('1504', '', 'default', 'view uploaded files', '', 'none'),
('1505', '', 'default', 'Enable or disable the display of certain page elements.', '', 'none'),
('1506', '', 'default', 'create url aliases', '', 'none'),
('1507', '', 'default', 'administer url aliases', '', 'none'),
('1508', '', 'default', 'An illegal choice has been detected. Please contact the site administrator.', '', 'none'),
('1509', '', 'default', 'Illegal choice %choice in !name element.', '', 'none'),
('1510', '', 'default', 'Status report', '', '7.42'),
('1511', '', 'default', 'Not writable', '', 'none'),
('1512', '', 'default', 'Identification', '', 'none'),
('1513', '', 'default', 'host', '', 'none'),
('1514', '', 'default', 'Set whether files attached to nodes are listed or not in the node view by default.', '', 'none'),
('1515', '', 'default', 'Notify user of new account', '', 'none'),
('1516', '', 'default', 'The selected file %file could not be uploaded, because the destination %directory could not be found, or because its permissions do not allow the file to be written.', '', 'none'),
('1517', '', 'default', 'Path to custom icon', '', 'none'),
('1518', '', 'default', 'Below is a list of the comments posted to your site that need approval. To approve a comment, click on ''edit'' and then change its ''moderation status'' to Approved. Click on a subject to see the comment, the author''s name to edit the author''s user information, ''edit'' to modify the text, and ''delete'' to remove their submission.', '', 'none'),
('1519', '', 'default', 'Comments can be attached to any node, and their settings are below. The display comes in two types: a ''flat list'' where everything is flush to the left side, and comments come in chronological order, and a ''threaded list'' where replies to other comments are placed immediately below and slightly indented, forming an outline. They also come in two styles: ''expanded'', where you see both the title and the contents, and ''collapsed'' where you only see the title. Preview comment forces a user to look at their comment by clicking on a ''Preview'' button before they can actually add the comment.', '', 'none'),
('1520', '', 'default', 'List and edit site comments and the comment moderation queue.', '', 'none'),
('1521', '', 'default', 'Delete comment', '', 'none'),
('1522', '', 'default', 'Reply to comment', '', 'none'),
('1523', '', 'default', 'Viewing options', '', 'none'),
('1524', '', 'default', 'Default display mode', '', 'none'),
('1525', '', 'default', 'The default view for comments. Expanded views display the body of the comment. Threaded views keep replies together.', '', 'none'),
('1526', '', 'default', 'Default comments per page', '', 'none'),
('1527', '', 'default', 'Default number of comments for each page: more comments are distributed in several pages.', '', 'none'),
('1528', '', 'default', 'Comment controls', '', 'none'),
('1529', '', 'default', 'Display above the comments', '', 'none'),
('1530', '', 'default', 'Display below the comments', '', 'none'),
('1531', '', 'default', 'Display above and below the comments', '', 'none'),
('1532', '', 'default', 'Position of the comment controls box. The comment controls let the user change the default display mode and display order of comments.', '', 'none'),
('1533', '', 'default', 'Comment subject field', '', 'none'),
('1534', '', 'default', 'Can users provide a unique subject for their comments?', '', 'none'),
('1535', '', 'default', 'You are not authorized to post comments.', '', 'none'),
('1536', '', 'default', 'The comment you are replying to does not exist.', '', 'none'),
('1537', '', 'default', 'This discussion is closed: you can''t post new comments.', '', 'none'),
('1538', '', 'default', 'You are not authorized to view comments.', '', 'none'),
('1539', '', 'default', 'Comment: updated %subject.', '', 'none'),
('1540', '', 'default', 'Comment: duplicate %subject.', '', 'none'),
('1541', '', 'default', 'Comment: added %subject.', '', 'none'),
('1542', '', 'default', 'Comment: unauthorized comment submitted or comment submitted to a closed node %subject.', '', 'none'),
('1543', '', 'default', 'Are you sure you want to delete the comment %title?', '', 'none'),
('1544', '', 'default', 'Any replies to this comment will be lost. This action cannot be undone.', '', 'none'),
('1545', '', 'default', 'Publish the selected comments', '', 'none'),
('1546', '', 'default', 'Unpublish the selected comments', '', '7.41'),
('1547', '', 'default', 'There do not appear to be any comments to delete or your selected comment was deleted by another administrator.', '', 'none'),
('1548', '', 'default', 'Are you sure you want to delete these comments and all their children?', '', 'none'),
('1549', '', 'default', 'You have to specify a valid author.', '', 'none'),
('1550', '', 'default', 'The name you used belongs to a registered user.', '', 'none'),
('1551', '', 'default', 'You have to leave your name.', '', 'none'),
('1552', '', 'default', 'The e-mail address you specified is not valid.', '', 'none'),
('1553', '', 'default', 'You have to leave an e-mail address.', '', 'none'),
('1554', '', 'default', 'The URL of your homepage is not valid. Remember that it must be fully qualified, i.e. of the form <code>http://example.com/directory</code>.', '', 'none'),
('1555', '', 'default', '(No subject)', '', 'none'),
('1556', '', 'default', 'Select your preferred way to display the comments and click "Save settings" to activate your changes.', '', 'none'),
('1557', '', 'default', 'Comment viewing options', '', 'none'),
('1558', '', 'default', '<a href="@login">Login</a> or <a href="@register">register</a> to post comments', '', 'none'),
('1559', '', 'default', 'Comment: deleted %subject.', '', 'none'),
('1560', '', 'default', 'Access type', '', 'none'),
('1561', '', 'default', 'Add feed', '', '7.42'),
('1562', '', 'default', 'The refresh interval indicating how often you want to update this feed. Requires crontab.', '', 'none'),
('1563', '', 'default', 'File system', '', '7.42'),
('1564', '', 'default', '@name''s blog', '', 'none'),
('1565', '', 'default', 'You need to provide a valid e-mail address to contact other users. Please update your <a href="@url">user information</a> and try again.', '', 'none'),
('1566', '', 'default', 'You cannot contact more than %number users per hour. Please try again later.', '', 'none'),
('1567', '', 'default', 'Enter your @s username.', '', 'none'),
('1568', '', 'default', 'Your virtual face or picture. Maximum dimensions are %dimensions and the maximum size is %size kB.', '', 'none'),
('1569', '', 'default', 'All languages', '', '7.41'),
('1570', '', 'default', 'This page is displayed when no other content matches the requested document. If unsure, specify nothing.', '', 'none'),
('1571', '', 'default', '%message in %file on line %line.', '', 'none'),
('1572', '', 'default', 'Picture image path', '', 'none'),
('1573', '', 'default', 'One or more problems were detected with your Drupal installation. Check the <a href="@status">status report</a> for more information.', '', '7.34'),
('1574', '', 'default', 'No help is available for module %module.', '', 'none'),
('1575', '', 'default', '@module administration pages', '', 'none'),
('1576', '', 'default', 'By module', '', 'none'),
('1577', '', 'default', 'Manage your site''s content.', '', 'none'),
('1578', '', 'default', 'Control how your site looks and feels.', '', 'none'),
('1579', '', 'default', 'Adjust basic site configuration options.', '', 'none'),
('1580', '', 'default', 'Manage your site''s users, groups and access to site features.', '', 'none'),
('1581', '', 'default', 'The locale module allows you to present your Drupal site in a language other than the default English. You can use it to set up a multi-lingual web site or replace given <em>built-in</em> text with text which has been customized for your site. Whenever the locale module encounters text which needs to be displayed, it tries to translate it into the currently selected language. If a translation is not available, then the string is remembered, so you can look up untranslated strings easily.', '', 'none'),
('1582', '', 'default', 'The locale module provides two options for providing translations. The first is the integrated web interface, via which you can search for untranslated strings, and specify their translations. An easier and less time-consuming method is to import existing translations for your language. These translations are available as <em>GNU gettext Portable Object files</em> (<em>.po</em> files for short). Translations for many languages are available for download from the translation page.', '', 'none'),
('1583', '', 'default', 'If an existing translation does not meet your needs, the <em>.po</em> files are easily edited with special editing tools. The locale module''s import feature allows you to add strings from such files into your site''s database. The export functionality enables you to share your translations with others, generating Portable Object files from your site strings.', '', 'none'),
('1584', '', 'default', 'For more information please read the configuration and customization handbook <a href="@locale">Locale page</a>.', '', 'none'),
('1585', '', 'default', '<p>Drupal provides support for the translation of its interface text into different languages. This page provides an overview of the installed languages. You can add a language on the <a href="@add-language">add language page</a>, or directly by <a href="@import">importing a translation</a>. If multiple languages are enabled, registered users will be able to set their preferred language. The site default will be used for anonymous visitors and for users without their own settings.</p><p>Drupal interface translations may be added or extended by several courses: by <a href="@import">importing</a> an existing translation, by <a href="@search">translating everything</a> from scratch, or by a combination of these approaches.</p>', '', 'none'),
('1586', '', 'default', 'You need to add all languages in which you would like to display the site interface. If you can''t find the desired language in the quick-add dropdown, then you will need to provide the proper language code yourself. The language code may be used to negotiate with browsers and to present flags, etc., so it is important to pick a code that is standardised for the desired language. You can also add a language by <a href="@import">importing a translation</a>.', '', 'none'),
('1587', '', 'default', 'This page allows you to import a translation provided in the gettext Portable Object (.po) format. The easiest way to get your site translated is to obtain an existing Drupal translation and to import it. You can find existing translations on the <a href="@url">Drupal translation page</a>. Note that importing a translation file might take a while.', '', 'none'),
('1588', '', 'default', 'This page allows you to export Drupal strings. The first option is to export a translation so it can be shared. The second option generates a translation template, which contains all Drupal strings, but without their translations. You can use this template to start a new translation using various software packages designed for this task.', '', 'none'),
('1589', '', 'default', 'It is often convenient to get the strings from your setup on the <a href="@export">export page</a>, and use a desktop Gettext translation editor to edit the translations. On this page you can search in the translated and untranslated strings, and the default English texts provided by Drupal.', '', 'none'),
('1590', '', 'default', 'Localization', '', 'none'),
('1591', '', 'default', 'Configure site localization and user interface translation.', '', 'none'),
('1592', '', 'default', 'Manage strings', '', 'none'),
('1593', '', 'default', 'Add language', '', '7.42'),
('1594', '', 'default', 'Edit string', '', '7.41'),
('1595', '', 'default', 'Delete string', '', '7.41'),
('1596', '', 'default', 'Interface language settings', '', 'none'),
('1597', '', 'default', 'Selecting a different locale will change the interface language of the site.', '', 'none'),
('1598', '', 'default', 'The English locale cannot be deleted.', '', 'none'),
('1599', '', 'default', 'Are you sure you want to delete the language %name?', '', 'none'),
('1600', '', 'default', 'Deleting a language will remove all data associated with it. This action cannot be undone.', '', 'none'),
('1601', '', 'default', 'The language %locale has been removed.', '', 'none'),
('1602', '', 'default', 'Are you sure you want to delete the string "%source"?', '', '7.41'),
('1603', '', 'default', 'Deleting the string will remove all translations of this string in all languages. This action cannot be undone.', '', '7.41'),
('1604', '', 'default', 'locale', '', 'none'),
('1605', '', 'default', 'administer locales', '', 'none'),
('1606', '', 'default', 'AM', '', 'none'),
('1607', '', 'default', 'PM', '', 'none'),
('1608', '', 'default', 'The selected image handling toolkit %toolkit can not correctly process %function.', '', 'none'),
('1609', '', 'default', '@username''s blog', '', 'none'),
('1610', '', 'default', 'Currently using !item !version', '', 'none'),
('1611', '', 'default', 'Hindi', '', '7.41'),
('1612', '', 'default', 'You have tried to use a one-time login for an account which has been blocked.', '', 'none'),
('1613', '', 'default', 'User %name used one-time login link at time %timestamp.', '', 'none'),
('1614', '', 'default', 'Failed to modify %settings, please verify the file permissions.', '', 'none'),
('1615', '', 'default', 'Failed to open %settings, please verify the file permissions.', '', 'none'),
('1616', '', 'default', 'You have just used your one-time login link. It is no longer necessary to use this link to login. Please change your password.', '', 'none'),
('1617', '', 'default', '!username has applied for an account.\n\n!edit_uri', '', 'none'),
('1618', '', 'default', 'Username or e-mail address', '', 'none'),
('1619', '', 'default', 'You do not have permission to publish this type of post. Please save it as a draft instead.', '', 'none'),
('1620', '', 'default', 'You do not have permission to save this post as a draft. Please publish it instead.', '', 'none'),
('1621', '', 'default', 'Invalid categories submitted.', '', 'none'),
('1622', '', 'default', 'A category from the @vocabulary_name vocabulary is required.', '', 'none'),
('1623', '', 'default', 'You may only choose one category from the @vocabulary_name vocabulary.', '', 'none'),
('1624', '', 'default', 'Error saving categories. This feature is not available.', '', 'none'),
('1625', '', 'default', '@type: added %title using blog API.', '', 'none'),
('1626', '', 'default', 'Blog API', '', 'none'),
('1627', '', 'default', 'Allows users to post content using applications that support XML-RPC blog APIs.', '', 'none'),
('1628', '', 'default', '<em>and</em> where <strong>%property</strong> is <strong>%value</strong>', '', 'none'),
('1629', '', 'default', '<strong>%property</strong> is <strong>%value</strong>', '', 'none'),
('1630', '', 'default', 'User autocomplete', '', 'none'),
('1631', '', 'default', '0 sec', '', 'none'),
('1632', '', 'default', 'form', '', 'none'),
('1633', '', 'default', 'Basic options', '', 'none'),
('1634', '', 'default', 'To change the current user password, enter the new password in both fields.', '', 'none'),
('1635', '', 'default', 'You have already used this one-time login link. It is not necessary to use this link to login anymore. You are already logged in.', '', 'none'),
('1636', '', 'default', 'You have tried to use a one-time login link that has expired. Please request a new one using the form below.', '', 'none'),
('1637', '', 'default', 'This login can be used only once.', '', 'none'),
('1638', '', 'default', 'You have tried to use a one-time login link which has either been used or is no longer valid. Please request a new one using the form below.', '', 'none'),
('1639', '', 'default', 'The translation import of %filename failed.', '', 'none'),
('1640', '', 'default', 'Abbreviation', '', '7.42'),
('1641', '', 'default', 'Inserted', '', '7.42'),
('1642', '', 'default', 'Provide a password for the new account in both fields.', '', 'none'),
('1643', '', 'default', 'For more information, please refer to the <a href="@help">help section</a>, or the <a href="@handbook">online Drupal handbooks</a>. You may also post at the <a href="@forum">Drupal forum</a>, or view the wide range of <a href="@support">other support options</a> available.', '', 'none'),
('1644', '', 'default', 'Account details for !username at !site', '', 'none'),
('1645', '', 'default', '!username,\n\nThank you for registering at !site. You may now log in to !login_uri using the following username and password:\n\nusername: !username\npassword: !password\n\nYou may also log in by clicking on this link or copying and pasting it in your browser:\n\n!login_url\n\nThis is a one-time login, so it can be used only once.\n\nAfter logging in, you will be redirected to !edit_uri so you can change your password.\n\n\n--  !site team', '', 'none'),
('1646', '', 'default', 'User e-mail settings', '', 'none'),
('1647', '', 'default', 'Subject of welcome e-mail', '', 'none'),
('1648', '', 'default', 'Customize the subject of your welcome e-mail, which is sent to new members upon registering.', '', 'none'),
('1649', '', 'default', 'Body of welcome e-mail', '', 'none'),
('1650', '', 'default', 'Customize the body of the welcome e-mail, which is sent to new members upon registering.', '', 'none'),
('1651', '', 'default', '(@language)', '', 'none'),
('1652', '', 'default', 'Poll', '', '7.42'),
('1653', '', 'default', 'Preview post', '', 'none'),
('1654', '', 'default', 'Must users preview posts before submitting?', '', 'none'),
('1655', '', 'default', 'More information about formatting options', '', 'none'),
('1656', '', 'default', 'Cron has been running for more than an hour and is most likely stuck.', '', 'none'),
('1657', '', 'default', 'Attempting to re-run cron while it is already running.', '', 'none'),
('1658', '', 'default', 'Cron run completed.', '', 'none'),
('1659', '', 'default', 'An explanation of the additions or updates being made to help other authors understand your motivations.', '', 'none'),
('1660', '', 'default', 'The minimum number of words for the body field to be considered valid for this content type. This can be useful to rule out submissions that do not meet the site''s standards, such as short test posts.', '', 'none'),
('1661', '', 'default', 'Optionally specify an alternative URL by which this node can be accessed. For example, type "about" when writing an about page. Use a relative path and don''t add a trailing slash or the URL alias won''t work.', '', 'none'),
('1662', '', 'default', 'Already added languages', '', '7.41'),
('1663', '', 'default', 'Recent blog posts', '', '7.41'),
('1664', '', 'default', 'Who''s new', '', '7.41'),
('1665', '', 'default', 'Are you sure you want to delete these users?', '', 'none'),
('1666', '', 'default', 'The users have been deleted.', '', 'none'),
('1667', '', 'default', 'Language name', '', 'none'),
('1668', '', 'default', 'allow', '', 'none'),
('1669', '', 'default', 'Edit category', '', 'none'),
('1670', '', 'default', 'The content type %name has been updated.', '', 'none'),
('1671', '', 'default', 'The content type %name has been added.', '', 'none'),
('1672', '', 'default', 'Catalan', '', '7.41'),
('1673', '', 'default', 'Cron ran successfully', '', 'none'),
('1674', '', 'default', 'Contact form', '', '7.42'),
('1675', '', 'default', 'Rule type', '', 'none'),
('1676', '', 'default', 'Mask', '', 'none'),
('1677', '', 'default', 'Are you sure you want to delete the @type rule for %rule?', '', 'none'),
('1678', '', 'default', 'The access rule has been deleted.', '', 'none'),
('1679', '', 'default', 'Sorry, %name is not recognized as a user name or an email address.', '', 'none'),
('1680', '', 'default', 'Database configuration', '', 'none'),
('1681', '', 'default', 'Your web server does not appear to support any common database types. Check with your hosting provider to see if they offer any databases that <a href="@drupal-databases">Drupal supports</a>.', '', 'none'),
('1682', '', 'default', 'To set up your @drupal database, enter the following information.', '', 'none'),
('1683', '', 'default', 'The type of database your @drupal data will be stored in.', '', 'none'),
('1684', '', 'default', 'The name of the database your @drupal data will be stored in. It must exist on your server before @drupal can be installed.', '', 'none'),
('1685', '', 'default', 'The name of the %db_type database your @drupal data will be stored in. It must exist on your server before @drupal can be installed.', '', 'none'),
('1686', '', 'default', 'In your %settings_file file you have configured @drupal to use a %db_type server, however your PHP installation currently does not support this database type.', '', 'none'),
('1687', '', 'default', 'Select an installation profile', '', 'none'),
('1688', '', 'default', '(built-in)', '', 'none'),
('1689', '', 'default', 'No profiles available', '', 'none'),
('1690', '', 'default', 'We were unable to find any installer profiles. Installer profiles tell us what modules to enable and what schema to install in the database. A profile is necessary to continue with the installation process.', '', 'none'),
('1691', '', 'default', 'Drupal already installed', '', 'none'),
('1692', '', 'default', '@drupal installation complete', '', 'none'),
('1693', '', 'default', 'Congratulations, @drupal has been successfully installed.', '', 'none'),
('1694', '', 'default', 'Please review the messages above before continuing on to <a href="@url">your new site</a>.', '', 'none'),
('1695', '', 'default', 'You may now visit <a href="@url">your new site</a>.', '', 'none'),
('1696', '', 'default', 'Site off-line', '', 'none'),
('1697', '', 'default', '@size @suffix', '', 'none'),
('1698', '', 'default', 'Cron run exceeded the time limit and was aborted.', '', 'none'),
('1699', '', 'default', '1 byte', '', 'none'),
('1700', '', 'default', '@count bytes', '', 'none'),
('1701', '', 'default', '@count[2] bytes', '', 'none'),
('1702', '', 'default', 'MySQL database', '', 'none'),
('1703', '', 'default', 'Your MySQL Server is too old. Drupal requires at least MySQL %version.', '', 'none'),
('1704', '', 'default', 'PostgreSQL database', '', 'none'),
('1705', '', 'default', 'Your PostgreSQL Server is too old. Drupal requires at least PostgreSQL %version.', '', 'none'),
('1706', '', 'default', 'Your PostgreSQL database is set up with the wrong character encoding (%encoding). It is possible it will not work as expected. It is advised to recreate it with UTF-8/Unicode encoding. More information can be found in the <a href="@url">PostgreSQL documentation</a>.', '', 'none'),
('1707', '', 'default', 'The directory %directory has been created.', '', 'none'),
('1708', '', 'default', 'The permissions of directory %directory have been changed to make it writable.', '', 'none'),
('1709', '', 'default', '!name cannot be longer than %max characters but is currently %length characters long.', '', 'none'),
('1710', '', 'default', 'Illegal choice %choice in %name element.', '', 'none'),
('1711', '', 'default', 'Define the image quality for JPEG manipulations. Ranges from 0 to 100. Higher values mean better image quality but bigger files.', '', 'none'),
('1712', '', 'default', 'The %module module is required but was not found. Please move it into the <em>modules</em> subdirectory.', '', 'none'),
('1713', '', 'default', 'PHP MySQL support not enabled.', '', 'none'),
('1714', '', 'default', 'PHP MySQLi support not enabled.', '', 'none'),
('1715', '', 'default', 'PHP PostgreSQL support not enabled.', '', 'none'),
('1716', '', 'default', 'Custom language', '', 'none'),
('1717', '', 'default', 'Add custom language', '', 'none'),
('1718', '', 'default', 'Language name in English', '', 'none'),
('1719', '', 'default', 'The language %language (%code) already exists.', '', 'none'),
('1720', '', 'default', 'Invalid language code.', '', 'none'),
('1721', '', 'default', 'Leave blank to show all strings. The search is case sensitive.', '', '7.41'),
('1722', '', 'default', 'English (provided by Drupal)', '', '7.41'),
('1723', '', 'default', 'Search in', '', '7.41'),
('1724', '', 'default', 'Only translated strings', '', '7.41'),
('1725', '', 'default', 'Only untranslated strings', '', '7.41'),
('1726', '', 'default', 'Languages not yet added', '', '7.41'),
('1727', '', 'default', 'Import translation', '', '7.41'),
('1728', '', 'default', 'Import into', '', '7.41'),
('1729', '', 'default', 'Strings in the uploaded file replace existing ones, new ones are added', '', 'none'),
('1730', '', 'default', 'Existing strings are kept, only new strings are added', '', 'none'),
('1731', '', 'default', 'Export translation', '', 'none'),
('1732', '', 'default', 'String not found.', '', 'none'),
('1733', '', 'default', 'The string has been saved.', '', '7.41'),
('1734', '', 'default', 'The string has been removed.', '', '7.41'),
('1735', '', 'default', 'The language selected for import is not supported.', '', 'none'),
('1736', '', 'default', 'The translation file %filename appears to have a missing or malformed header.', '', 'none'),
('1737', '', 'default', 'The translation file %filename contains an error: the plural formula could not be parsed.', '', 'none'),
('1738', '', 'default', 'Exported %locale translation file: %filename.', '', 'none'),
('1739', '', 'default', 'Exported translation file: %filename.', '', 'none'),
('1740', '', 'default', 'Abkhazian', '', '7.41'),
('1741', '', 'default', 'Avestan', '', '7.41'),
('1742', '', 'default', 'Afrikaans', '', '7.41'),
('1743', '', 'default', 'Akan', '', '7.41'),
('1744', '', 'default', 'Amharic', '', '7.41'),
('1745', '', 'default', 'Assamese', '', '7.41'),
('1746', '', 'default', 'Avar', '', '7.41'),
('1747', '', 'default', 'Aymara', '', '7.41'),
('1748', '', 'default', 'Azerbaijani', '', '7.41'),
('1749', '', 'default', 'Bashkir', '', '7.41'),
('1750', '', 'default', 'Belarusian', '', '7.41'),
('1751', '', 'default', 'Bihari', '', '7.41'),
('1752', '', 'default', 'Bislama', '', '7.41'),
('1753', '', 'default', 'Bambara', '', '7.41'),
('1754', '', 'default', 'Bengali', '', '7.41'),
('1755', '', 'default', 'Tibetan', '', '7.41'),
('1756', '', 'default', 'Breton', '', '7.41'),
('1757', '', 'default', 'Bosnian', '', '7.41'),
('1758', '', 'default', 'Chechen', '', '7.41'),
('1759', '', 'default', 'Chamorro', '', '7.41'),
('1760', '', 'default', 'Corsican', '', '7.41'),
('1761', '', 'default', 'Cree', '', '7.41'),
('1762', '', 'default', 'Old Slavonic', '', '7.41'),
('1763', '', 'default', 'Chuvash', '', '7.41'),
('1764', '', 'default', 'Welsh', '', '7.41'),
('1765', '', 'default', 'Maldivian', '', '7.41'),
('1766', '', 'default', 'Bhutani', '', '7.41'),
('1767', '', 'default', 'Ewe', '', '7.41'),
('1768', '', 'default', 'Esperanto', '', '7.41'),
('1769', '', 'default', 'Estonian', '', '7.41'),
('1770', '', 'default', 'Basque', '', '7.41'),
('1771', '', 'default', 'Persian', '', '7.41'),
('1772', '', 'default', 'Fulah', '', '7.41'),
('1773', '', 'default', 'Faeroese', '', '7.41'),
('1774', '', 'default', 'Frisian', '', '7.41'),
('1775', '', 'default', 'Irish', '', '7.41'),
('1776', '', 'default', 'Scots Gaelic', '', '7.41'),
('1777', '', 'default', 'Galician', '', '7.41'),
('1778', '', 'default', 'Guarani', '', '7.41'),
('1779', '', 'default', 'Gujarati', '', '7.41'),
('1780', '', 'default', 'Manx', '', '7.41'),
('1781', '', 'default', 'Hausa', '', '7.41'),
('1782', '', 'default', 'Hiri Motu', '', '7.41'),
('1783', '', 'default', 'Armenian', '', '7.41'),
('1784', '', 'default', 'Herero', '', '7.41'),
('1785', '', 'default', 'Interlingua', '', '7.41'),
('1786', '', 'default', 'Interlingue', '', '7.41'),
('1787', '', 'default', 'Igbo', '', '7.41'),
('1788', '', 'default', 'Inupiak', '', '7.41'),
('1789', '', 'default', 'Icelandic', '', '7.41'),
('1790', '', 'default', 'Inuktitut', '', '7.41'),
('1791', '', 'default', 'Javanese', '', '7.41'),
('1792', '', 'default', 'Georgian', '', '7.41'),
('1793', '', 'default', 'Kongo', '', '7.41'),
('1794', '', 'default', 'Kikuyu', '', '7.41'),
('1795', '', 'default', 'Kwanyama', '', '7.41'),
('1796', '', 'default', 'Kazakh', '', '7.41'),
('1797', '', 'default', 'Greenlandic', '', '7.41'),
('1798', '', 'default', 'Cambodian', '', '7.41'),
('1799', '', 'default', 'Kannada', '', '7.41'),
('1800', '', 'default', 'Kanuri', '', '7.41'),
('1801', '', 'default', 'Kashmiri', '', '7.41'),
('1802', '', 'default', 'Kurdish', '', '7.41'),
('1803', '', 'default', 'Cornish', '', '7.41'),
('1804', '', 'default', 'Kirghiz', '', 'none'),
('1805', '', 'default', 'Latin', '', '7.41'),
('1806', '', 'default', 'Luxembourgish', '', '7.41'),
('1807', '', 'default', 'Luganda', '', '7.41'),
('1808', '', 'default', 'Lingala', '', '7.41'),
('1809', '', 'default', 'Laothian', '', '7.41'),
('1810', '', 'default', 'Latvian', '', '7.41'),
('1811', '', 'default', 'Malagasy', '', '7.41'),
('1812', '', 'default', 'Marshallese', '', '7.41'),
('1813', '', 'default', 'Maori', '', 'none'),
('1814', '', 'default', 'Macedonian', '', '7.41'),
('1815', '', 'default', 'Malayalam', '', '7.41'),
('1816', '', 'default', 'Mongolian', '', '7.41'),
('1817', '', 'default', 'Moldavian', '', '7.41'),
('1818', '', 'default', 'Marathi', '', '7.41'),
('1819', '', 'default', 'Malay', '', '7.41'),
('1820', '', 'default', 'Maltese', '', '7.41'),
('1821', '', 'default', 'Burmese', '', '7.41'),
('1822', '', 'default', 'North Ndebele', '', '7.41'),
('1823', '', 'default', 'Nepali', '', '7.41'),
('1824', '', 'default', 'Ndonga', '', '7.41'),
('1825', '', 'default', 'Norwegian Bokmål', '', '7.41'),
('1826', '', 'default', 'Norwegian Nynorsk', '', '7.41'),
('1827', '', 'default', 'South Ndebele', '', '7.41'),
('1828', '', 'default', 'Chichewa', '', '7.41'),
('1829', '', 'default', 'Occitan', '', '7.41'),
('1830', '', 'default', 'Oromo', '', '7.41'),
('1831', '', 'default', 'Oriya', '', '7.41'),
('1832', '', 'default', 'Ossetian', '', '7.41'),
('1833', '', 'default', 'Punjabi', '', '7.41'),
('1834', '', 'default', 'Pali', '', '7.41'),
('1835', '', 'default', 'Pashto', '', '7.41'),
('1836', '', 'default', 'Portuguese, Portugal', '', '7.41'),
('1837', '', 'default', 'Portuguese, Brazil', '', '7.41'),
('1838', '', 'default', 'Quechua', '', '7.41'),
('1839', '', 'default', 'Rhaeto-Romance', '', '7.41'),
('1840', '', 'default', 'Kirundi', '', '7.41'),
('1841', '', 'default', 'Kinyarwanda', '', '7.41'),
('1842', '', 'default', 'Sanskrit', '', '7.41'),
('1843', '', 'default', 'Sardinian', '', '7.41'),
('1844', '', 'default', 'Sindhi', '', '7.41'),
('1845', '', 'default', 'Northern Sami', '', '7.41'),
('1846', '', 'default', 'Sango', '', '7.41'),
('1847', '', 'default', 'Serbo-Croatian', '', '7.41'),
('1848', '', 'default', 'Slovenian', '', '7.41'),
('1849', '', 'default', 'Samoan', '', '7.41'),
('1850', '', 'default', 'Shona', '', '7.41'),
('1851', '', 'default', 'Albanian', '', '7.41'),
('1852', '', 'default', 'Serbian', '', '7.41'),
('1853', '', 'default', 'Siswati', '', '7.41'),
('1854', '', 'default', 'Sesotho', '', '7.41'),
('1855', '', 'default', 'Sudanese', '', '7.41'),
('1856', '', 'default', 'Swahili', '', '7.41'),
('1857', '', 'default', 'Tamil', '', '7.41'),
('1858', '', 'default', 'Telugu', '', '7.41'),
('1859', '', 'default', 'Tajik', '', '7.41'),
('1860', '', 'default', 'Thai', '', '7.41'),
('1861', '', 'default', 'Tigrinya', '', '7.41'),
('1862', '', 'default', 'Turkmen', '', '7.41'),
('1863', '', 'default', 'Tagalog', '', '7.41'),
('1864', '', 'default', 'Setswana', '', '7.41'),
('1865', '', 'default', 'Tsonga', '', '7.41'),
('1866', '', 'default', 'Tatar', '', '7.41'),
('1867', '', 'default', 'Twi', '', '7.41'),
('1868', '', 'default', 'Tahitian', '', '7.41'),
('1869', '', 'default', 'Uighur', '', 'none'),
('1870', '', 'default', 'Ukrainian', '', '7.41'),
('1871', '', 'default', 'Urdu', '', '7.41'),
('1872', '', 'default', 'Uzbek', '', '7.41'),
('1873', '', 'default', 'Venda', '', '7.41'),
('1874', '', 'default', 'Vietnamese', '', '7.41'),
('1875', '', 'default', 'Wolof', '', '7.41'),
('1876', '', 'default', 'Xhosa', '', '7.41'),
('1877', '', 'default', 'Yiddish', '', '7.41'),
('1878', '', 'default', 'Yoruba', '', '7.41'),
('1879', '', 'default', 'Zhuang', '', '7.41'),
('1880', '', 'default', 'Chinese, Simplified', '', '7.41'),
('1881', '', 'default', 'Chinese, Traditional', '', '7.41'),
('1882', '', 'default', 'Zulu', '', '7.41'),
('1883', '', 'default', 'Operating in off-line mode.', '', 'none'),
('1884', '', 'default', 'sort icon', '', 'none'),
('1885', '', 'default', 'sort ascending', '', '7.41'),
('1886', '', 'default', 'sort descending', '', 'none'),
('1887', '', 'default', 'The following errors must be resolved before you can continue the installation process', '', 'none'),
('1888', '', 'default', 'The following error must be resolved before you can continue the installation process', '', 'none'),
('1889', '', 'default', 'The following installation warnings should be carefully reviewed, but in most cases may be safely ignored', '', 'none'),
('1890', '', 'default', 'The following installation warning should be carefully reviewed, but in most cases may be safely ignored', '', 'none'),
('1891', '', 'default', 'The PCRE library in your PHP installation is outdated. This will cause problems when handling Unicode text. If you are running PHP 4.3.3 or higher, make sure you are using the PCRE library supplied by PHP. Please refer to the <a href="@url">PHP PCRE documentation</a> for more information.', '', 'none'),
('1892', '', 'default', 'Operations on Unicode strings are emulated on a best-effort basis. Install the <a href="@url">PHP mbstring extension</a> for improved Unicode support.', '', 'none'),
('1893', '', 'default', 'Multibyte string function overloading in PHP is active and must be disabled. Check the php.ini <em>mbstring.func_overload</em> setting. Please refer to the <a href="@url">PHP mbstring documentation</a> for more information.', '', 'none');
INSERT INTO `locales_source` VALUES
('1894', '', 'default', 'Multibyte string input conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.encoding_translation</em> setting. Please refer to the <a href="@url">PHP mbstring documentation</a> for more information.', '', 'none'),
('1895', '', 'default', 'Multibyte string input conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.http_input</em> setting. Please refer to the <a href="@url">PHP mbstring documentation</a> for more information.', '', 'none'),
('1896', '', 'default', 'Multibyte string output conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.http_output</em> setting. Please refer to the <a href="@url">PHP mbstring documentation</a> for more information.', '', 'none'),
('1897', '', 'default', 'Standard PHP', '', '7.34'),
('1898', '', 'default', 'PHP Mbstring Extension', '', '7.34'),
('1899', '', 'default', 'Unicode library', '', '7.34'),
('1900', '', 'default', 'Could not convert XML encoding %s to UTF-8.', '', 'none'),
('1901', '', 'default', 'Unsupported encoding %s. Please install iconv, GNU recode or mbstring for PHP.', '', 'none'),
('1902', '', 'default', 'Parse error. Not well formed', '', 'none'),
('1903', '', 'default', 'Parse error. Request not well formed.', '', 'none'),
('1904', '', 'default', 'Server error. Invalid XML-RPC. Request must be a methodCall.', '', 'none'),
('1905', '', 'default', 'Server error. Requested method @methodname not specified.', '', 'none'),
('1906', '', 'default', 'Server error. Wrong number of method parameters.', '', 'none'),
('1907', '', 'default', 'Server error. Invalid method parameters.', '', 'none'),
('1908', '', 'default', 'Server error. Requested function @method does not exist.', '', 'none'),
('1909', '', 'default', 'Invalid syntax for system.multicall.', '', 'none'),
('1910', '', 'default', 'Recursive calls to system.multicall are forbidden.', '', 'none'),
('1911', '', 'default', 'Server error. Requested method @methodname signature not specified.', '', 'none'),
('1912', '', 'default', 'Categorize news items', '', 'none'),
('1913', '', 'default', 'A feed named %feed already exists. Please enter a unique title.', '', 'none'),
('1914', '', 'default', 'Are you sure you want to remove all items from the feed %feed?', '', 'none'),
('1915', '', 'default', 'Category selection type', '', 'none'),
('1916', '', 'default', 'checkboxes', '', 'none'),
('1917', '', 'default', 'multiple selector', '', 'none'),
('1918', '', 'default', 'Configure which content your site aggregates from other sites, how often it polls them, and how they''re categorized.', '', '7.42'),
('1919', '', 'default', 'Update items', '', 'none'),
('1920', '', 'default', 'Edit feed', '', 'none'),
('1921', '', 'default', 'Post new blog entry.', '', 'none'),
('1922', '', 'default', 'You are not allowed to post a new blog entry.', '', 'none'),
('1923', '', 'default', 'Blog entry', '', '7.42'),
('1924', '', 'default', 'View recent blog entries', '', 'none'),
('1925', '', 'default', 'Read the latest blog entries.', '', 'none'),
('1926', '', 'default', 'Enables keeping easily and regularly updated user web pages or blogs.', '', 'none'),
('1927', '', 'default', 'Save book pages', '', 'none'),
('1928', '', 'default', 'Updated book %title.', '', 'none'),
('1929', '', 'default', 'Update book outline', '', 'none'),
('1930', '', 'default', 'Remove from book outline', '', 'none'),
('1931', '', 'default', 'The book outline has been updated.', '', 'none'),
('1932', '', 'default', 'The post has been removed from the book.', '', 'none'),
('1933', '', 'default', 'Show a printer-friendly version of this book page and its sub-pages.', '', 'none'),
('1934', '', 'default', 'Users can select the <em>printer-friendly version</em> link visible at the bottom of a book page to generate a printer-friendly display of the page and all of its subsections. ', '', 'none'),
('1935', '', 'default', 'create new books', '', 'none'),
('1936', '', 'default', 'Book page', '', 'none'),
('1937', '', 'default', 'The color picker only works if the <a href="@url">download method</a> is set to public.', '', 'none'),
('1938', '', 'default', 'Base color', '', 'none'),
('1939', '', 'default', 'Header top', '', '7.42'),
('1940', '', 'default', 'Header bottom', '', '7.42'),
('1941', '', 'default', 'There is not enough memory available to PHP to change this theme''s color scheme. You need at least %size more. Check the <a href="@url">PHP documentation</a> for more information.', '', 'none'),
('1942', '', 'default', 'The GD library for PHP is enabled, but was compiled without PNG support. Please check the <a href="@url">PHP image documentation</a> for information on how to correct this.', '', 'none'),
('1943', '', 'default', 'Allows the user to change the color scheme of certain themes.', '', 'none'),
('1944', '', 'default', 'Delete the selected comments', '', '7.41'),
('1945', '', 'default', 'Allows users to comment on and discuss published content.', '', '7.34'),
('1946', '', 'default', 'Example: ''website feedback'' or ''product information''.', '', 'none'),
('1947', '', 'default', 'When listing categories, those with lighter (smaller) weights get listed before categories with heavier (larger) weights. Categories with equal weights are sorted alphabetically.', '', 'none'),
('1948', '', 'default', 'Contact form: category %category deleted.', '', 'none'),
('1949', '', 'default', 'The contact module also adds a <a href="@menu-settings">menu item</a> (disabled by default) to the navigation block.', '', 'none'),
('1950', '', 'default', 'Personal contact form', '', 'none'),
('1951', '', 'default', 'Allow other users to contact you by e-mail via <a href="@url">your personal contact form</a>. Note that while your e-mail address is not made public to other members of the community, privileged users such as site administrators are able to contact you even if you choose not to enable this feature.', '', 'none'),
('1952', '', 'default', 'access site-wide contact form', '', 'none'),
('1953', '', 'default', 'Create a system contact form and set up categories for the form to use.', '', '7.42'),
('1954', '', 'default', 'Edit contact category', '', 'none'),
('1955', '', 'default', 'Enables the use of both personal and site-wide contact forms.', '', '7.34'),
('1956', '', 'default', 'Recent log entries', '', 'none'),
('1957', '', 'default', 'View events that have recently been logged.', '', 'none'),
('1958', '', 'default', 'Top ''page not found'' errors', '', 'none'),
('1959', '', 'default', 'View ''page not found'' errors (404s).', '', 'none'),
('1960', '', 'default', 'Top ''access denied'' errors', '', 'none'),
('1961', '', 'default', 'View ''access denied'' errors (403s).', '', 'none'),
('1962', '', 'default', 'All roles may use default format', '', 'none'),
('1963', '', 'default', 'No roles may use this format', '', 'none'),
('1964', '', 'default', 'Set default format', '', 'none'),
('1965', '', 'default', 'Default format updated.', '', 'none'),
('1966', '', 'default', 'Add input format', '', 'none'),
('1967', '', 'default', 'All roles for the default format must be enabled and cannot be changed.', '', 'none'),
('1968', '', 'default', 'Specify a unique name for this filter format.', '', 'none'),
('1969', '', 'default', 'Choose which roles may use this filter format. Note that roles with the "administer filters" permission can always use all the filter formats.', '', 'none'),
('1970', '', 'default', 'Choose the filters that will be used in this filter format.', '', 'none'),
('1971', '', 'default', 'No guidelines available.', '', 'none'),
('1972', '', 'default', 'These are the guidelines that users will see for posting in this input format. They are automatically generated from the filter settings.', '', 'none'),
('1973', '', 'default', 'Filter format names need to be unique. A format named %name already exists.', '', 'none'),
('1974', '', 'default', 'Added input format %format.', '', 'none'),
('1975', '', 'default', 'The input format settings have been updated.', '', 'none'),
('1976', '', 'default', 'Are you sure you want to delete the input format %format?', '', 'none'),
('1977', '', 'default', 'If you have any content left in this input format, it will be switched to the default input format. This action cannot be undone.', '', 'none'),
('1978', '', 'default', 'The default format cannot be deleted.', '', 'none'),
('1979', '', 'default', 'Deleted input format %format.', '', 'none'),
('1980', '', 'default', 'No settings are available.', '', 'none'),
('1981', '', 'default', 'The filter ordering has been saved.', '', 'none'),
('1982', '', 'default', 'If you cannot find the settings for a certain filter, make sure you have enabled it on the <a href="@url">view tab</a> first.', '', 'none'),
('1983', '', 'default', 'Allowed HTML tags: @tags', '', 'none'),
('1984', '', 'default', '\n<p>This site allows HTML content. While learning all of HTML may feel intimidating, learning how to use a very small number of the most basic HTML "tags" is very easy. This table provides examples for each tag that is enabled on this site.</p>\n<p>For more information see W3C''s <a href="http://www.w3.org/TR/html/">HTML Specifications</a> or use your favorite search engine to find other sites that explain HTML.</p>', '', 'none'),
('1985', '', 'default', 'Anchors are used to make links to other pages.', '', 'none'),
('1986', '', 'default', 'By default line break tags are automatically added, so use this tag to add additional ones. Use of this tag is different because it is not used with an open/close pair like all the others. Use the extra " /" inside the tag to maintain XHTML 1.0 compatibility', '', 'none'),
('1987', '', 'default', 'Text with <br />line break', '', 'none'),
('1988', '', 'default', 'By default paragraph tags are automatically added, so use this tag to add additional ones.', '', 'none'),
('1989', '', 'default', 'Paragraph one.', '', 'none'),
('1990', '', 'default', 'Paragraph two.', '', 'none'),
('1991', '', 'default', 'Strong', '', 'none'),
('1992', '', 'default', 'Emphasized', '', 'none'),
('1993', '', 'default', 'Cited', '', 'none'),
('1994', '', 'default', 'Coded text used to show programming source code', '', 'none'),
('1995', '', 'default', 'Coded', '', 'none'),
('1996', '', 'default', 'Bolded', '', 'none'),
('1997', '', 'default', 'Italicized', '', 'none'),
('1998', '', 'default', 'Superscripted', '', 'none'),
('1999', '', 'default', '<sup>Super</sup>scripted', '', 'none'),
('2000', '', 'default', 'Subscripted', '', 'none'),
('2001', '', 'default', '<sub>Sub</sub>scripted', '', 'none'),
('2002', '', 'default', '<abbr title="Abbreviation">Abbrev.</abbr>', '', 'none'),
('2003', '', 'default', '<acronym title="Three-Letter Acronym">TLA</acronym>', '', 'none'),
('2004', '', 'default', 'Block quoted', '', 'none'),
('2005', '', 'default', 'Quoted inline', '', 'none'),
('2006', '', 'default', 'Table header', '', 'none'),
('2007', '', 'default', 'Table cell', '', 'none'),
('2008', '', 'default', 'Ordered list - use the &lt;li&gt; to begin each list item', '', 'none'),
('2009', '', 'default', 'First item', '', 'none'),
('2010', '', 'default', 'Second item', '', 'none'),
('2011', '', 'default', 'Unordered list - use the &lt;li&gt; to begin each list item', '', 'none'),
('2012', '', 'default', 'Definition lists are similar to other HTML lists. &lt;dl&gt; begins the definition list, &lt;dt&gt; begins the definition term and &lt;dd&gt; begins the definition description.', '', 'none'),
('2013', '', 'default', 'First term', '', 'none'),
('2014', '', 'default', 'First definition', '', 'none'),
('2015', '', 'default', 'Second term', '', 'none'),
('2016', '', 'default', 'Second definition', '', 'none'),
('2017', '', 'default', 'Subtitle three', '', 'none'),
('2018', '', 'default', 'Subtitle four', '', 'none'),
('2019', '', 'default', 'Subtitle five', '', 'none'),
('2020', '', 'default', 'Subtitle six', '', 'none'),
('2021', '', 'default', 'Tag Description', '', 'none'),
('2022', '', 'default', 'You Type', '', 'none'),
('2023', '', 'default', 'You Get', '', 'none'),
('2024', '', 'default', 'No help provided for tag %tag.', '', 'none'),
('2025', '', 'default', '\n<p>Most unusual characters can be directly entered without any problems.</p>\n<p>If you do encounter problems, try using HTML character entities. A common example looks like &amp;amp; for an ampersand &amp; character. For a full list of entities see HTML''s <a href="http://www.w3.org/TR/html4/sgml/entities.html">entities</a> page. Some of the available characters include:</p>', '', 'none'),
('2026', '', 'default', 'Ampersand', '', 'none'),
('2027', '', 'default', 'Quotation mark', '', 'none'),
('2028', '', 'default', 'Character Description', '', 'none'),
('2029', '', 'default', 'No HTML tags allowed', '', 'none'),
('2030', '', 'default', 'Lines and paragraphs break automatically.', '', '7.42'),
('2031', '', 'default', 'Lines and paragraphs are automatically recognized. The &lt;br /&gt; line break, &lt;p&gt; paragraph and &lt;/p&gt; close paragraph tags are inserted automatically. If paragraphs are not recognized simply add a couple blank lines.', '', 'none'),
('2032', '', 'default', 'Web page addresses and e-mail addresses turn into links automatically.', '', '7.42'),
('2033', '', 'default', 'HTML filter', '', 'none'),
('2034', '', 'default', 'Converts line breaks into HTML (i.e. &lt;br&gt; and &lt;p&gt; tags).', '', 'none'),
('2035', '', 'default', 'Turns web and e-mail addresses into clickable links.', '', 'none'),
('2036', '', 'default', 'How to deal with HTML tags in user-contributed content. If set to "Strip disallowed tags", dangerous tags are removed (see below). If set to "Escape tags", all HTML is escaped and presented as it was typed.', '', 'none'),
('2037', '', 'default', 'If "Strip disallowed tags" is selected, optionally specify tags which should not be stripped. JavaScript event attributes are always stripped.', '', 'none'),
('2038', '', 'default', 'Display HTML help', '', 'none'),
('2039', '', 'default', 'If enabled, Drupal will display some basic HTML help in the long filter tips.', '', 'none'),
('2040', '', 'default', 'Delete input format', '', 'none'),
('2041', '', 'default', 'Compose tips', '', '7.42'),
('2042', '', 'default', 'Handles the filtering of content in preparation for display.', '', 'none'),
('2043', '', 'default', 'Forum topic', '', '7.42'),
('2044', '', 'default', 'Enables threaded discussions about general topics.', '', 'none'),
('2045', '', 'default', 'Manages the display of online help.', '', 'none'),
('2046', '', 'default', 'The machine-readable name of this content type. This field cannot be modified for system-defined content types.', '', 'none'),
('2047', '', 'default', 'A brief description of this content type. This text will be displayed as part of the list on the <em>create content</em> page.', '', 'none'),
('2048', '', 'default', 'This content type does not have a title field.', '', 'none'),
('2049', '', 'default', 'To omit the body field for this content type, remove any text and leave this field blank.', '', 'none'),
('2050', '', 'default', 'This text will be displayed at the top of the submission form for this content type. It is useful for helping or instructing your users.', '', 'none'),
('2051', '', 'default', 'Users with the <em>administer nodes</em> permission will be able to override these options.', '', 'none'),
('2052', '', 'default', 'The machine-readable name %type is already taken.', '', 'none'),
('2053', '', 'default', 'Invalid machine-readable name. Please enter a name other than %invalid.', '', 'none'),
('2054', '', 'default', 'The human-readable name %name is already taken.', '', 'none'),
('2055', '', 'default', 'The content type %name has been reset to its default values.', '', 'none'),
('2056', '', 'default', 'Are you sure you want to delete the content type %type?', '', 'none'),
('2057', '', 'default', 'Added content type %name.', '', 'none'),
('2058', '', 'default', 'If the site is experiencing problems with permissions to content, you may have to rebuild the permissions cache. Possible causes for permission problems are disabling modules or configuration changes to permissions. Rebuilding will remove all privileges to posts, and replace them with permissions based on the current modules and settings.', '', 'none'),
('2059', '', 'default', 'Rebuilding may take some time if there is a lot of content or complex permission settings. After rebuilding has completed posts will automatically use the new permissions.', '', 'none'),
('2060', '', 'default', 'Node access status', '', 'none'),
('2061', '', 'default', 'Number of posts on main page', '', 'none'),
('2062', '', 'default', 'The default maximum number of posts to display per page on overview pages such as the main page.', '', 'none'),
('2063', '', 'default', 'Demote from front page', '', 'none'),
('2064', '', 'default', 'Make sticky', '', 'none'),
('2065', '', 'default', 'Remove stickiness', '', 'none'),
('2066', '', 'default', 'Copy of the revision from %date.', '', 'none'),
('2067', '', 'default', '@type: reverted %title revision %revision.', '', 'none'),
('2068', '', 'default', 'Below is a list of all the content types on your site. All posts that exist on your site are instances of one of these content types.', '', 'none'),
('2069', '', 'default', 'To create a new content type, enter the human-readable name, the machine-readable name, and all other relevant fields that are on this page. Once created, users of your site will be able to create posts that are instances of this content type.', '', 'none'),
('2070', '', 'default', 'The revisions let you track differences between multiple versions of a post.', '', 'none'),
('2071', '', 'default', '<h1 class="title">Welcome to your new Drupal website!</h1><p>Please follow these steps to set up and start using your website:</p>', '', 'none'),
('2072', '', 'default', '<strong>Configure your website</strong> Once logged in, visit the <a href="@admin">administration section</a>, where you can <a href="@config">customize and configure</a> all aspects of your website.', '', 'none'),
('2073', '', 'default', '<strong>Enable additional functionality</strong> Next, visit the <a href="@modules">module list</a> and enable features which suit your specific needs. You can find additional modules in the <a href="@download_modules">Drupal modules download section</a>.', '', 'none'),
('2074', '', 'default', '<strong>Customize your website design</strong> To change the "look and feel" of your website, visit the <a href="@themes">themes section</a>. You may choose from one of the included themes or download additional themes from the <a href="@download_themes">Drupal themes download section</a>.', '', 'none'),
('2075', '', 'default', '<strong>Start posting content</strong> Finally, you can <a href="@content">create content</a> for your website. This message will disappear once you have promoted a post to the front page.', '', 'none'),
('2076', '', 'default', 'administer content types', '', 'none'),
('2077', '', 'default', 'View, edit, and delete your site''s content.', '', 'none'),
('2078', '', 'default', 'Post settings', '', 'none'),
('2079', '', 'default', 'Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.', '', 'none'),
('2080', '', 'default', 'Manage posts by content type, including default status, front page promotion, etc.', '', 'none'),
('2081', '', 'default', 'Add content type', '', '7.42'),
('2082', '', 'default', 'Allows content to be submitted to the site and displayed on pages.', '', '7.34'),
('2083', '', 'default', 'No URL aliases available.', '', 'none'),
('2084', '', 'default', 'Update alias', '', 'none'),
('2085', '', 'default', 'Create new alias', '', 'none'),
('2086', '', 'default', 'The alias has been saved.', '', 'none'),
('2087', '', 'default', 'Are you sure you want to delete path alias %title?', '', 'none'),
('2088', '', 'default', 'The path module allows you to specify aliases for Drupal URLs. Such aliases improve readability of URLs for your users and may help internet search engines to index your content more effectively. More than one alias may be created for a given page.', '', 'none'),
('2089', '', 'default', '<p>Some examples of URL aliases are:</p>\n<ul>\n<li>user/login =&gt; login</li>\n<li>image/tid/16 =&gt; store</li>\n<li>taxonomy/term/7+19+20+21 =&gt; store/products/whirlygigs</li>\n<li>node/3 =&gt; contact</li>\n</ul>\n', '', 'none'),
('2090', '', 'default', 'Enter the path you wish to create the alias for, followed by the name of the new alias.', '', 'none'),
('2091', '', 'default', 'The alias has been deleted.', '', 'none'),
('2092', '', 'default', 'The path is already in use.', '', 'none'),
('2093', '', 'default', 'URL aliases', '', 'none'),
('2094', '', 'default', 'Change your site''s URL paths by aliasing them.', '', 'none'),
('2095', '', 'default', 'Edit alias', '', 'none'),
('2096', '', 'default', 'Delete alias', '', 'none'),
('2097', '', 'default', 'Add alias', '', 'none'),
('2098', '', 'default', 'Allows users to rename URLs.', '', 'none'),
('2099', '', 'default', 'You may post PHP code. You should include &lt;?php ?&gt; tags.', '', '7.42'),
('2100', '', 'default', 'PHP evaluator', '', '7.42'),
('2101', '', 'default', 'Failed to notify pingomatic.com (site).', '', 'none'),
('2102', '', 'default', 'Ping', '', 'none'),
('2103', '', 'default', 'Alerts other sites when your site has been updated.', '', 'none'),
('2104', '', 'default', 'Most recent poll', '', '7.41'),
('2105', '', 'default', 'Poll status', '', 'none'),
('2106', '', 'default', 'When a poll is closed, visitors can no longer vote for it.', '', 'none'),
('2107', '', 'default', 'After this period, the poll will be closed automatically.', '', 'none'),
('2108', '', 'default', 'Votes for choice @n', '', 'none'),
('2109', '', 'default', 'Negative values are not allowed.', '', 'none'),
('2110', '', 'default', 'Polls', '', '7.42'),
('2111', '', 'default', 'edit %title', '', 'none'),
('2112', '', 'default', 'add new %type', '', 'none'),
('2113', '', 'default', 'The name of the field. The form name is not shown to the user but used internally in the HTML code and URLs.\nUnless you know what you are doing, it is highly recommended that you prefix the form name with <code>profile_</code> to avoid name clashes with other fields. Spaces or any other special characters except dash (-) and underscore (_) are not allowed. An example name is "profile_favorite_color" or perhaps just "profile_color".', '', 'none'),
('2114', '', 'default', 'A list of all options. Put each option on a separate line. Example options are "red", "blue", "green", etc.', '', 'none'),
('2115', '', 'default', 'Hidden profile field, only accessible by administrators, modules and themes.', '', 'none'),
('2116', '', 'default', 'Private field, content only available to privileged users.', '', 'none'),
('2117', '', 'default', 'Public field, content shown on profile page but not used on member list pages.', '', 'none'),
('2118', '', 'default', 'Public field, content shown on profile page and on member list pages.', '', 'none'),
('2119', '', 'default', 'The weights define the order in which the form fields are shown. Lighter fields "float up" towards the top of the category.', '', 'none'),
('2120', '', 'default', 'Form will auto-complete while user is typing.', '', 'none'),
('2121', '', 'default', 'The specified form name contains one or more illegal characters. Spaces or any other special characters except dash (-) and underscore (_) are not allowed.', '', 'none'),
('2122', '', 'default', 'The specified form name is reserved for use by Drupal.', '', 'none'),
('2123', '', 'default', 'The specified category name is reserved for use by Drupal.', '', 'none'),
('2124', '', 'default', 'The specified title is already in use.', '', 'none'),
('2125', '', 'default', 'The specified name is already in use.', '', 'none'),
('2126', '', 'default', 'A hidden field cannot be required.', '', 'none'),
('2127', '', 'default', 'A hidden field cannot be set to visible on the user registration form.', '', 'none'),
('2128', '', 'default', 'The field has been created.', '', 'none'),
('2129', '', 'default', 'Are you sure you want to delete the field %field?', '', 'none'),
('2130', '', 'default', 'This action cannot be undone. If users have entered values into this field in their profile, these entries will also be deleted. If you want to keep the user-entered data, instead of deleting the field you may wish to <a href="@edit-field">edit this field</a> and change it to a hidden profile field so that it may only be accessed by administrators.', '', 'none'),
('2131', '', 'default', 'The field %field has been deleted.', '', 'none'),
('2132', '', 'default', 'Profile field %field added under category %category.', '', 'none'),
('2133', '', 'default', 'Profile field %field deleted.', '', 'none'),
('2134', '', 'default', 'User list', '', 'none'),
('2135', '', 'default', 'single-line textfield', '', 'none'),
('2136', '', 'default', 'multi-line textfield', '', 'none'),
('2137', '', 'default', 'checkbox', '', 'none'),
('2138', '', 'default', 'list selection', '', 'none'),
('2139', '', 'default', 'freeform list', '', 'none'),
('2140', '', 'default', 'Author information', '', 'none'),
('2141', '', 'default', 'Link to full user profile', '', 'none'),
('2142', '', 'default', 'Profile fields to display', '', 'none'),
('2143', '', 'default', 'Select which profile fields you wish to display in the block. Only fields designated as public in the <a href="@profile-admin">profile field configuration</a> are available.', '', 'none'),
('2144', '', 'default', 'View full user profile', '', 'none'),
('2145', '', 'default', 'About %name', '', 'none'),
('2146', '', 'default', 'Put each item on a separate line or separate them by commas. No HTML allowed.', '', 'none'),
('2147', '', 'default', 'The value provided for %field is not a valid URL.', '', 'none'),
('2148', '', 'default', 'Create customizable fields for your users.', '', 'none'),
('2149', '', 'default', 'Profile category autocomplete', '', 'none'),
('2150', '', 'default', 'Edit field', '', 'none'),
('2151', '', 'default', 'Delete field', '', 'none'),
('2152', '', 'default', 'Profile autocomplete', '', 'none'),
('2153', '', 'default', 'Supports configurable user profiles.', '', 'none'),
('2154', '', 'default', ' The search index is not cleared but systematically updated to reflect the new settings. Searching will continue to work but new content won''t be indexed until all existing content has been re-indexed. This action cannot be undone.', '', 'none'),
('2155', '', 'default', 'The index will be rebuilt.', '', 'none'),
('2156', '', 'default', 'Indexing status', '', 'none'),
('2157', '', 'default', 'Indexing throttle', '', 'none'),
('2158', '', 'default', 'Indexing settings', '', 'none'),
('2159', '', 'default', 'Minimum word length to index', '', 'none'),
('2160', '', 'default', 'The number of characters a word has to be to be indexed. A lower setting means better search result ranking, but also a larger database. Each search query must contain at least one keyword that is this size (or longer).', '', 'none'),
('2161', '', 'default', 'Simple CJK handling', '', 'none'),
('2162', '', 'default', 'Whether to apply a simple Chinese/Japanese/Korean tokenizer based on overlapping sequences. Turn this off if you want to use an external preprocessor for this instead. Does not affect other languages.', '', 'none'),
('2163', '', 'default', 'Search form', '', '7.41'),
('2164', '', 'default', 'search content', '', 'none'),
('2165', '', 'default', 'use advanced search', '', 'none'),
('2166', '', 'default', 'administer search', '', 'none'),
('2167', '', 'default', 'Configure relevance settings for search and other indexing options', '', 'none'),
('2168', '', 'default', 'Top search phrases', '', 'none'),
('2169', '', 'default', 'View most popular search phrases.', '', 'none'),
('2170', '', 'default', 'Enables site-wide keyword searching.', '', '7.34'),
('2171', '', 'default', 'Total page generation time', '', 'none'),
('2172', '', 'default', '%time ms', '', 'none'),
('2173', '', 'default', 'Top pages in the past %interval', '', 'none'),
('2174', '', 'default', 'unban', '', 'none'),
('2175', '', 'default', 'ban', '', 'none'),
('2176', '', 'default', 'Top visitors in the past %interval', '', 'none'),
('2177', '', 'default', 'Top referrers in the past %interval', '', 'none'),
('2178', '', 'default', 'Log each page access. Required for referrer statistics.', '', 'none'),
('2179', '', 'default', 'Content viewing counter settings', '', 'none'),
('2180', '', 'default', 'Count content views', '', 'none'),
('2181', '', 'default', 'Increment a counter each time content is viewed.', '', 'none'),
('2182', '', 'default', 'Settings for the statistical information that Drupal will keep about the site. See <a href="@statistics">site statistics</a> for the actual information.', '', 'none'),
('2183', '', 'default', 'Popular content', '', '7.41'),
('2184', '', 'default', 'How many content items to display in "all time" list.', '', 'none'),
('2185', '', 'default', 'How many content items to display in "recently viewed" list.', '', 'none'),
('2186', '', 'default', 'Today''s:', '', 'none'),
('2187', '', 'default', 'All time:', '', 'none'),
('2188', '', 'default', 'Last viewed:', '', 'none'),
('2189', '', 'default', 'View pages that have recently been visited.', '', '7.42'),
('2190', '', 'default', 'View pages that have been hit frequently.', '', '7.42'),
('2191', '', 'default', 'Top visitors', '', '7.42'),
('2192', '', 'default', 'View visitors that hit many pages.', '', '7.42'),
('2193', '', 'default', 'Top referrers', '', '7.42'),
('2194', '', 'default', 'View top referrers.', '', '7.42'),
('2195', '', 'default', 'View access log.', '', 'none'),
('2196', '', 'default', 'Control details about what and how your site logs.', '', 'none'),
('2197', '', 'default', 'Track page visits', '', 'none'),
('2198', '', 'default', 'Logs access statistics for your site.', '', '7.34'),
('2199', '', 'default', 'Choose which theme the administration pages should display in. If you choose "System default" the administration pages will use the same theme as the rest of the site.', '', 'none'),
('2200', '', 'default', 'Please note that the <a href="!admin_theme_page">administration theme</a> is still set to the %admin_theme theme; consequently, the theme on this page remains unchanged. All non-administrative sections of the site, however, will show the selected %selected_theme theme by default.', '', 'none'),
('2201', '', 'default', 'User pictures in posts', '', 'none'),
('2202', '', 'default', 'User pictures in comments', '', 'none'),
('2203', '', 'default', 'Shortcut icon', '', 'none'),
('2204', '', 'default', 'Display post information on', '', 'none'),
('2205', '', 'default', 'Enable or disable the <em>submitted by Username on date</em> text when displaying posts of the following type.', '', 'none'),
('2206', '', 'default', 'Logo image settings', '', 'none'),
('2207', '', 'default', 'If toggled on, the following logo will be displayed.', '', 'none'),
('2208', '', 'default', 'Use the default logo', '', 'none'),
('2209', '', 'default', 'Check here if you want the theme to use the logo supplied with it.', '', 'none'),
('2210', '', 'default', 'The path to the file you would like to use as your logo file instead of the default logo.', '', 'none'),
('2211', '', 'default', 'Upload logo image', '', 'none'),
('2212', '', 'default', 'Shortcut icon settings', '', 'none'),
('2213', '', 'default', 'Use the default shortcut icon.', '', 'none'),
('2214', '', 'default', 'Check here if you want the theme to use the default shortcut icon.', '', 'none'),
('2215', '', 'default', 'The path to the image file you would like to use as your custom shortcut icon.', '', 'none'),
('2216', '', 'default', 'Upload icon image', '', 'none'),
('2217', '', 'default', 'If you don''t have direct file access to the server, use this field to upload your shortcut icon.', '', 'none'),
('2218', '', 'default', 'The following modules will be completely uninstalled from your site, and <em>all data from these modules will be lost</em>!', '', 'none'),
('2219', '', 'default', 'Confirm uninstall', '', 'none'),
('2220', '', 'default', 'Would you like to continue with uninstalling the above?', '', 'none'),
('2221', '', 'default', 'No modules selected.', '', 'none'),
('2222', '', 'default', 'The selected modules have been uninstalled.', '', 'none'),
('2223', '', 'default', 'Default 403 (access denied) page', '', 'none'),
('2224', '', 'default', 'This page is displayed when the requested document is denied to the current user. If unsure, specify nothing.', '', 'none'),
('2225', '', 'default', 'Default 404 (not found) page', '', 'none'),
('2226', '', 'default', 'Write errors to the log', '', 'none'),
('2227', '', 'default', 'Write errors to the log and to the screen', '', 'none'),
('2228', '', 'default', '<strong class="ok">Currently, all enabled modules are compatible with the aggressive caching policy.</strong> Please note, if you use aggressive caching and enable new modules, you will need to check this page again to ensure compatibility.', '', 'none'),
('2229', '', 'default', 'Page cache', '', 'none'),
('2230', '', 'default', 'Caching mode', '', 'none'),
('2231', '', 'default', 'Aggressive (experts only, possible side effects)', '', 'none'),
('2232', '', 'default', 'Bandwidth optimizations', '', 'none'),
('2233', '', 'default', 'Public - files are available using HTTP directly.', '', 'none'),
('2234', '', 'default', 'Private - files are transferred by Drupal.', '', 'none'),
('2235', '', 'default', 'Select an image processing toolkit', '', 'none'),
('2236', '', 'default', 'Titles plus teaser', '', 'none'),
('2237', '', 'default', 'The first day of the week for calendar views.', '', 'none'),
('2238', '', 'default', 'Short date format', '', 'none'),
('2239', '', 'default', 'The short format of date display.', '', 'none'),
('2240', '', 'default', 'Medium date format', '', 'none'),
('2241', '', 'default', 'The medium sized date display.', '', 'none'),
('2242', '', 'default', 'Long date format', '', 'none'),
('2243', '', 'default', 'Longer date format used for detailed display.', '', 'none'),
('2244', '', 'default', 'Command counters', '', 'none'),
('2245', '', 'default', 'The number of <code>SELECT</code>-statements.', '', 'none'),
('2246', '', 'default', 'The number of <code>INSERT</code>-statements.', '', 'none'),
('2247', '', 'default', 'The number of <code>UPDATE</code>-statements.', '', 'none'),
('2248', '', 'default', 'The number of <code>DELETE</code>-statements.', '', 'none'),
('2249', '', 'default', 'The number of table locks.', '', 'none'),
('2250', '', 'default', 'The number of table unlocks.', '', 'none'),
('2251', '', 'default', 'Query performance', '', 'none'),
('2252', '', 'default', 'The number of joins without an index; should be zero.', '', 'none'),
('2253', '', 'default', 'The number of sorts done without using an index; should be zero.', '', 'none'),
('2254', '', 'default', 'The number of times a lock could be acquired immediately.', '', 'none'),
('2255', '', 'default', 'The number of times the server had to wait for a lock.', '', 'none'),
('2256', '', 'default', 'Query cache information', '', 'none'),
('2257', '', 'default', 'The number of queries in the query cache.', '', 'none'),
('2258', '', 'default', 'No modules are available to uninstall.', '', 'none'),
('2259', '', 'default', 'Welcome to the administration section. Here you may control how your site functions.', '', 'none'),
('2260', '', 'default', 'This page shows you all available administration tasks for each module.', '', '7.34'),
('2261', '', 'default', 'These options control the display settings for the <code>%template</code> theme. When your site is displayed using this theme, these settings will be used. By clicking "Reset to defaults," you can choose to use the <a href="@global">global settings</a> for this theme.', '', 'none'),
('2262', '', 'default', 'These options control the default display settings for your entire site, across all themes. Unless they have been overridden by a specific theme, these settings will be used.', '', 'none'),
('2263', '', 'default', 'The uninstall process removes all data related to a module. To uninstall a module, you must first disable it. Not all modules support this feature.', '', 'none'),
('2264', '', 'default', 'Selecting a different theme will change the look and feel of the site.', '', 'none'),
('2265', '', 'default', 'Select your current local time. Dates and times throughout this site will be displayed using this time zone.', '', 'none'),
('2266', '', 'default', 'select different theme', '', 'none'),
('2267', '', 'default', 'Compact mode', '', 'none'),
('2268', '', 'default', 'By task', '', 'none'),
('2269', '', 'default', 'Settings for how your administrative pages should look.', '', 'none'),
('2270', '', 'default', 'Change which theme your site uses or allows users to set.', '', 'none'),
('2271', '', 'default', 'Select the default theme.', '', 'none'),
('2272', '', 'default', 'Enable or disable add-on modules for your site.', '', 'none'),
('2273', '', 'default', 'Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.', '', 'none'),
('2274', '', 'default', 'Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.', '', 'none'),
('2275', '', 'default', 'Tell Drupal where to store uploaded files and how they are accessed.', '', '7.42'),
('2276', '', 'default', 'Image toolkit', '', '7.42'),
('2277', '', 'default', 'Choose which image toolkit to use if you have installed optional toolkits.', '', '7.42'),
('2278', '', 'default', 'RSS publishing', '', '7.42'),
('2279', '', 'default', 'Configure the number of items per feed and whether feeds should be titles/teasers/full-text.', '', 'none'),
('2280', '', 'default', 'Date and time', '', '7.42'),
('2281', '', 'default', 'Settings for how Drupal displays date and time, as well as the system''s default timezone.', '', 'none'),
('2282', '', 'default', 'Take the site off-line for maintenance or bring it back online.', '', 'none'),
('2283', '', 'default', 'Enable or disable clean URLs for your site.', '', '7.42'),
('2284', '', 'default', 'Get a status report about your site''s operation and any detected problems.', '', '7.42'),
('2285', '', 'default', 'Your PHP installation is too old. Drupal requires at least PHP %version.', '', 'none'),
('2286', '', 'default', 'PHP register globals', '', '7.34'),
('2287', '', 'default', '<em>register_globals</em> is enabled. Drupal requires this configuration directive to be disabled. Your site may not be secure when <em>register_globals</em> is enabled. The PHP manual has instructions for <a href="http://php.net/configuration.changes">how to change configuration settings</a>.', '', 'none'),
('2288', '', 'default', 'Enabled (''@value'')', '', 'none'),
('2289', '', 'default', 'Not protected', '', 'none'),
('2290', '', 'default', 'The file %file is not protected from modifications and poses a security risk. You must change the file''s permissions to be non-writable.', '', 'none'),
('2291', '', 'default', 'Cron maintenance tasks', '', '7.34'),
('2292', '', 'default', 'You can <a href="@cron">run cron manually</a>.', '', '7.34'),
('2293', '', 'default', 'The directory %directory is not writable.', '', 'none'),
('2294', '', 'default', 'You may need to set the correct directory at the <a href="@admin-file-system">file system settings page</a> or change the current directory''s permissions so that it is writable.', '', 'none'),
('2295', '', 'default', 'Writable (<em>public</em> download method)', '', '7.34'),
('2296', '', 'default', 'Writable (<em>private</em> download method)', '', 'none'),
('2297', '', 'default', 'Some modules have database schema updates to install. You should run the <a href="@update">database update script</a> immediately.', '', '7.34'),
('2298', '', 'default', 'Handles general site configuration for administrators.', '', '7.34'),
('2299', '', 'default', 'Auto-throttle on anonymous users', '', 'none'),
('2300', '', 'default', 'The congestion control throttle can be automatically enabled when the number of anonymous users currently visiting your site exceeds the specified threshold. For example, to start the throttle when your site has 250 anonymous users online at once, enter ''250'' in this field. Leave this value blank or set to "0" if you do not wish to auto-throttle on anonymous users. You can inspect the current number of anonymous users using the "Who''s online" block.', '', 'none'),
('2301', '', 'default', 'Auto-throttle on authenticated users', '', 'none'),
('2302', '', 'default', 'The congestion control throttle can be automatically enabled when the number of authenticated users currently visiting your site exceeds the specified threshold. For example, to start the throttle when your site has 50 registered users online at once, enter ''50'' in this field. Leave this value blank or set to "0" if you do not wish to auto-throttle on authenticated users. You can inspect the current number of authenticated users using the "Who''s online" block.', '', 'none'),
('2303', '', 'default', 'Auto-throttle probability limiter', '', 'none'),
('2304', '', 'default', 'The auto-throttle probability limiter is an efficiency mechanism to statistically reduce the overhead of the auto-throttle. The limiter is expressed as a percentage of page views, so for example if set to the default of 10% we only perform the extra database queries to update the throttle status 1 out of every 10 page views. The busier your site, the lower you should set the limiter value.', '', 'none'),
('2305', '', 'default', '%value is not a valid auto-throttle setting. Please enter a positive numeric value.', '', 'none'),
('2306', '', 'default', 'throttle', '', 'none'),
('2307', '', 'default', '1 user accessing site; throttle enabled.', '', 'none'),
('2308', '', 'default', '@count users accessing site; throttle enabled.', '', 'none'),
('2309', '', 'default', '@count[2] users accessing site; throttle enabled.', '', 'none'),
('2310', '', 'default', '1 guest accessing site; throttle enabled.', '', 'none'),
('2311', '', 'default', '@count guests accessing site; throttle enabled.', '', 'none'),
('2312', '', 'default', '@count[2] guests accessing site; throttle enabled.', '', 'none'),
('2313', '', 'default', '1 guest accessing site; throttle disabled', '', 'none'),
('2314', '', 'default', '@count guests accessing site; throttle disabled', '', 'none'),
('2315', '', 'default', '@count[2] guests accessing site; throttle disabled', '', 'none'),
('2316', '', 'default', 'Control how your site cuts out content during heavy load.', '', 'none'),
('2317', '', 'default', 'Handles the auto-throttling mechanism, to control site congestion.', '', 'none'),
('2318', '', 'default', 'Users with the <a href="@permissions">upload files permission</a> can upload attachments. Users with the <a href="@permissions">view uploaded files permission</a> can view uploaded attachments. You can choose which post types can take attachments on the <a href="@types">content types settings</a> page.', '', 'none'),
('2319', '', 'default', 'File uploads', '', 'none'),
('2320', '', 'default', 'Control how files may be attached to content.', '', 'none'),
('2321', '', 'default', 'Allows users to upload and attach files to content.', '', 'none'),
('2322', '', 'default', 'User registration settings', '', 'none'),
('2323', '', 'default', 'Visitors can create accounts but administrator approval is required.', '', 'none'),
('2324', '', 'default', 'Require e-mail verification when a visitor creates an account', '', 'none'),
('2325', '', 'default', 'User registration guidelines', '', 'none'),
('2326', '', 'default', 'Picture support', '', 'none'),
('2327', '', 'default', 'Subdirectory in the directory %dir where pictures will be stored.', '', 'none'),
('2328', '', 'default', 'Picture maximum dimensions', '', 'none'),
('2329', '', 'default', 'Maximum dimensions for pictures, in pixels.', '', 'none'),
('2330', '', 'default', 'Picture maximum file size', '', 'none'),
('2331', '', 'default', 'Maximum file size for pictures, in kB.', '', 'none'),
('2332', '', 'default', 'Picture guidelines', '', '7.34'),
('2333', '', 'default', 'This text is displayed at the picture upload form in addition to the default guidelines. It''s useful for helping or instructing your users.', '', '7.34'),
('2334', '', 'default', 'The name for this role. Example: "moderator", "editorial board", "site architect".', '', 'none'),
('2335', '', 'default', 'The role name %name already exists. Please choose another role name.', '', 'none'),
('2336', '', 'default', 'The role has been renamed.', '', 'none'),
('2337', '', 'default', 'The role has been deleted.', '', 'none'),
('2338', '', 'default', 'Matches any number of characters, even zero characters', '', 'none'),
('2339', '', 'default', 'Matches exactly one character.', '', 'none'),
('2340', '', 'default', 'The access rule has been saved.', '', 'none'),
('2341', '', 'default', 'The access rule has been added.', '', 'none'),
('2342', '', 'default', 'No value entered. Please enter a test string and try again.', '', 'none'),
('2343', '', 'default', 'Enter a username to check if it will be denied or allowed.', '', 'none'),
('2344', '', 'default', 'Enter an e-mail address to check if it will be denied or allowed.', '', 'none'),
('2345', '', 'default', 'Enter a hostname or IP address to check if it will be denied or allowed.', '', 'none'),
('2346', '', 'default', 'Check hostname', '', 'none'),
('2347', '', 'default', 'The username %name is not allowed.', '', 'none'),
('2348', '', 'default', 'The username %name is allowed.', '', 'none'),
('2349', '', 'default', 'The e-mail address %mail is not allowed.', '', 'none'),
('2350', '', 'default', 'The e-mail address %mail is allowed.', '', 'none'),
('2351', '', 'default', 'The hostname %host is not allowed.', '', 'none'),
('2352', '', 'default', 'The hostname %host is allowed.', '', 'none'),
('2353', '', 'default', 'There are currently no access rules.', '', 'none'),
('2354', '', 'default', 'E-mail new password', '', 'none'),
('2355', '', 'default', '%name is not allowed to request a new password.', '', 'none'),
('2356', '', 'default', 'Further instructions have been sent to your e-mail address.', '', 'none'),
('2357', '', 'default', 'Are you sure you want to delete the account %name?', '', 'none'),
('2358', '', 'default', 'All submissions made by this user will be attributed to the anonymous account. This action cannot be undone.', '', 'none'),
('2359', '', 'default', '%name has been deleted.', '', 'none'),
('2360', '', 'default', 'You must enter a username.', '', 'none'),
('2361', '', 'default', 'The username cannot begin with a space.', '', 'none'),
('2362', '', 'default', 'The username cannot end with a space.', '', 'none'),
('2363', '', 'default', 'The username cannot contain multiple spaces in a row.', '', 'none'),
('2364', '', 'default', 'The username contains an illegal character.', '', 'none'),
('2365', '', 'default', 'The username is not a valid authentication ID.', '', 'none'),
('2366', '', 'default', 'The username %name is too long: it must be %max characters or less.', '', 'none'),
('2367', '', 'default', 'You must enter an e-mail address.', '', 'none'),
('2368', '', 'default', 'Who''s online', '', '7.41'),
('2369', '', 'default', 'User list length', '', 'none'),
('2370', '', 'default', 'Online users', '', 'none'),
('2371', '', 'default', 'Enter the password that accompanies your username.', '', 'none'),
('2372', '', 'default', 'The name %name is registered using a reserved e-mail address and therefore could not be logged in.', '', 'none'),
('2373', '', 'default', 'Delete picture', '', 'none'),
('2374', '', 'default', 'Check this box to delete your current picture.', '', 'none'),
('2375', '', 'default', 'An administrator created an account for you at !site', '', 'none'),
('2376', '', 'default', '!username,\n\nA site administrator at !site has created an account for you. You may now log in to !login_uri using the following username and password:\n\nusername: !username\npassword: !password\n\nYou may also log in by clicking on this link or copying and pasting it in your browser:\n\n!login_url\n\nThis is a one-time login, so it can be used only once.\n\nAfter logging in, you will be redirected to !edit_uri so you can change your password.\n\n\n--  !site team', '', 'none'),
('2377', '', 'default', 'Account details for !username at !site (pending admin approval)', '', 'none'),
('2378', '', 'default', 'Replacement login information for !username at !site', '', 'none'),
('2379', '', 'default', 'Unblock the selected users', '', 'none'),
('2380', '', 'default', 'Block the selected users', '', 'none'),
('2381', '', 'default', 'Delete the selected users', '', 'none'),
('2382', '', 'default', 'Drupal allows users to register, login, log out, maintain user profiles, etc. Users of the site may not use their own names to post content until they have signed up for a user account.', '', 'none'),
('2383', '', 'default', 'Set up username and e-mail address access rules for new <em>and</em> existing accounts (currently logged in accounts will not be logged out). If a username or e-mail address for an account matches any deny rule, but not an allow rule, then the account will not be allowed to be created or to log in. A host rule is effective for every page view, not just registrations.', '', 'none'),
('2384', '', 'default', 'Permissions let you control what users can do on your site. Each user role (defined on the <a href="@role">user roles page</a>) has its own set of permissions. For example, you could give users classified as "Administrators" permission to "administer nodes" but deny this power to ordinary, "authenticated" users. You can use permissions to reveal new features to privileged users (those with subscriptions, for example). Permissions also allow trusted users to share the administrative burden of running a busy site.', '', 'none');
INSERT INTO `locales_source` VALUES
('2385', '', 'default', '<p>Roles allow you to fine tune the security and administration of Drupal. A role defines a group of users that have certain privileges as defined in <a href="@permissions">user permissions</a>. Examples of roles include: anonymous user, authenticated user, moderator, administrator and so on. In this area you will define the <em>role names</em> of the various roles. To delete a role choose "edit".</p><p>By default, Drupal comes with two user roles:</p>\n      <ul>\n      <li>Anonymous user: this role is used for users that don''t have a user account or that are not authenticated.</li>\n      <li>Authenticated user: this role is automatically granted to all logged in users.</li>\n      </ul>', '', 'none'),
('2386', '', 'default', 'Deleted user: %name %email.', '', 'none'),
('2387', '', 'default', 'administer users', '', 'none'),
('2388', '', 'default', 'access user profiles', '', 'none'),
('2389', '', 'default', 'change own username', '', 'none'),
('2390', '', 'default', 'Configure default behavior of users, including registration requirements, e-mails, and user pictures.', '', 'none'),
('2391', '', 'default', 'Determine access to features by selecting permissions for roles.', '', '7.42'),
('2392', '', 'default', 'Edit role', '', 'none'),
('2393', '', 'default', 'Access rules', '', 'none'),
('2394', '', 'default', 'List and create rules to disallow usernames, e-mail addresses, and IP addresses.', '', 'none'),
('2395', '', 'default', 'Check rules', '', 'none'),
('2396', '', 'default', 'Manages the user registration and login system.', '', '7.34'),
('2397', '', 'default', 'By !author at @date', '', 'none'),
('2398', '', 'default', 'Skip navigation', '', 'none'),
('2399', '', 'default', 'All necessary changes to %file have been made. It has been set to read-only for security.', '', 'none'),
('2400', '', 'default', 'The @drupal installer requires write permissions to %file during the installation process.', '', 'none'),
('2401', '', 'default', 'Drupal database setup', '', 'none'),
('2402', '', 'default', 'If more than one @drupal web site will be sharing this database, enter a table prefix for your @drupal site here.', '', 'none'),
('2403', '', 'default', 'You have configured @drupal to use the default username and password. This is not allowed for security reasons.', '', 'none'),
('2404', '', 'default', 'The database table prefix you have entered, %db_prefix, is invalid. The table prefix can only contain alphanumeric characters or underscores.', '', 'none'),
('2405', '', 'default', 'In order for Drupal to work and to proceed with the installation process you must resolve all permission issues reported above. We were able to verify that we have permission for the following commands: %commands. For more help with configuring your database server, see the <a href="http://drupal.org/node/258">Installation and upgrading handbook</a>. If you are unsure what any of this means you should probably contact your hosting provider.', '', 'none'),
('2406', '', 'default', 'Choose your preferred language', '', 'none'),
('2407', '', 'default', 'Modules missing', '', 'none'),
('2408', '', 'default', 'One or more required modules are missing. Please check the error messages and <a href="!url">try again</a>.', '', 'none'),
('2409', '', 'default', 'Incompatible environment', '', 'none'),
('2410', '', 'default', 'page not found', '', 'none'),
('2411', '', 'default', 'The file %file could not be saved, because it exceeds the maximum allowed size for uploads.', '', 'none'),
('2412', '', 'default', 'Upload Error. Could not move uploaded file (%file) to destination (%destination).', '', 'none'),
('2413', '', 'default', 'Built-in GD2 toolkit', '', 'none'),
('2414', '', 'default', 'The built-in GD2 toolkit is installed and working properly.', '', 'none'),
('2415', '', 'default', 'The built-in GD image toolkit requires that the GD module for PHP be installed and configured properly. For more information see <a href="@url">PHP''s image documentation</a>.', '', 'none'),
('2416', '', 'default', 'Failure to connect to your MySQL database server. MySQL reports the following message: %error.<ul><li>Are you sure you have the correct username and password?</li><li>Are you sure that you have typed the correct database hostname?</li><li>Are you sure that the database server is running?</li></ul>For more help, see the <a href="http://drupal.org/node/258">Installation and upgrading handbook</a>. If you are unsure what these terms mean you should probably contact your hosting provider.', '', 'none'),
('2417', '', 'default', 'We were able to connect to the MySQL database server (which means your username and password are valid) but not able to select your database. MySQL reports the following message: %error.<ul><li>Are you sure you have the correct database name?</li><li>Are you sure the database exists?</li><li>Are you sure the username has permission to access the database?</li></ul>For more help, see the <a href="http://drupal.org/node/258">Installation and upgrading handbook</a>. If you are unsure what these terms mean you should probably contact your hosting provider.', '', 'none'),
('2418', '', 'default', 'We were unable to create a test table on your MySQL database server with the command %query. MySQL reports the following message: %error.<ul><li>Are you sure the configured username has the necessary MySQL permissions to create tables in the database?</li></ul>For more help, see the <a href="http://drupal.org/node/258">Installation and upgrading handbook</a>. If you are unsure what these terms mean you should probably contact your hosting provider.', '', 'none'),
('2419', '', 'default', 'We were unable to insert a value into a test table on your MySQL database server. We tried inserting a value with the command %query and MySQL reported the following error: %error.', '', 'none'),
('2420', '', 'default', 'We were unable to update a value in a test table on your MySQL database server. We tried updating a value with the command %query and MySQL reported the following error: %error.', '', 'none'),
('2421', '', 'default', 'We were unable to lock a test table on your MySQL database server. We tried locking a table with the command %query and MySQL reported the following error: %error.', '', 'none'),
('2422', '', 'default', 'We were unable to unlock a test table on your MySQL database server. We tried unlocking a table with the command %query and MySQL reported the following error: %error.', '', 'none'),
('2423', '', 'default', 'We were unable to delete a value from a test table on your MySQL database server. We tried deleting a value with the command %query and MySQL reported the following error: %error.', '', 'none'),
('2424', '', 'default', 'We were unable to drop a test table from your MySQL database server. We tried dropping a table with the command %query and MySQL reported the following error %error.', '', 'none'),
('2425', '', 'default', 'Failure to connect to your PostgreSQL database server. PostgreSQL reports the following message: %error.<ul><li>Are you sure you have the correct username and password?</li><li>Are you sure that you have typed the correct database hostname?</li><li>Are you sure that the database server is running?</li><li>Are you sure you typed the correct database name?</li></ul>For more help, see the <a href="http://drupal.org/node/258">Installation and upgrading handbook</a>. If you are unsure what these terms mean you should probably contact your hosting provider.', '', 'none'),
('2426', '', 'default', 'We were unable to create a test table on your PostgreSQL database server with the command %query. PostgreSQL reports the following message: %error.<ul><li>Are you sure the configured username has the necessary PostgreSQL permissions to create tables in the database?</li></ul>For more help, see the <a href="http://drupal.org/node/258">Installation and upgrading handbook</a>. If you are unsure what these terms mean you should probably contact your hosting provider.', '', 'none'),
('2427', '', 'default', 'We were unable to insert a value into a test table on your PostgreSQL database server. We tried inserting a value with the command %query and PostgreSQL reported the following error: %error.', '', 'none'),
('2428', '', 'default', 'We were unable to update a value in a test table on your PostgreSQL database server. We tried updating a value with the command %query and PostgreSQL reported the following error: %error.', '', 'none'),
('2429', '', 'default', 'We were unable to lock a test table on your PostgreSQL database server. We tried locking a table with the command %query and PostgreSQL reported the following error: %error.', '', 'none'),
('2430', '', 'default', 'We were unable to unlock a test table on your PostgreSQL database server. We tried unlocking a table with the command %query and PostgreSQL reported the following error: %error.', '', 'none'),
('2431', '', 'default', 'We were unable to delete a value from a test table on your PostgreSQL database server. We tried deleting a value with the command %query and PostgreSQL reported the following error: %error.', '', 'none'),
('2432', '', 'default', 'We were unable to drop a test table from your PostgreSQL database server. We tried dropping a table with the command %query and PostgreSQL reported the following error %error.', '', 'none'),
('2433', '', 'default', 'The language %locale has been created and can now be used to import a translation. More information is available in the <a href="@locale-help">help screen</a>.', '', 'none'),
('2434', '', 'default', 'The language %locale has been created.', '', 'none'),
('2435', '', 'default', 'The %language language (%locale) has been created.', '', 'none'),
('2436', '', 'default', 'Language list', '', 'none'),
('2437', '', 'default', 'Select your language here, or add it below, if you are unable to find it.', '', 'none'),
('2438', '', 'default', 'Commonly this is an <a href="@iso-codes">ISO 639 language code</a> with an optional country code for regional variants. Examples include "en", "en-US" and "zh-cn".', '', 'none'),
('2439', '', 'default', 'Name of the language. Will be available for translation in all languages.', '', 'none'),
('2440', '', 'default', 'A gettext Portable Object (.po) file.', '', 'none'),
('2441', '', 'default', 'Choose the language you want to add strings into. If you choose a language which is not yet set up, then it will be added.', '', 'none'),
('2442', '', 'default', 'Select the language you would like to export in gettext Portable Object (.po) format.', '', 'none'),
('2443', '', 'default', 'Generate a gettext Portable Object Template (.pot) file with all the interface strings from the Drupal locale database.', '', 'none'),
('2444', '', 'default', 'Strings to search for', '', 'none'),
('2445', '', 'default', 'All strings in that language', '', 'none'),
('2446', '', 'default', 'The translation was successfully imported. There are %number newly created translated strings and %update strings were updated.', '', 'none'),
('2447', '', 'default', 'Imported %file into %locale: %number new strings added and %update updated.', '', 'none'),
('2448', '', 'default', 'Locales', '', 'none'),
('2449', '', 'default', 'Singhalese', '', 'none'),
('2450', '', 'default', 'Edit primary links', '', 'none'),
('2451', '', 'default', '!title by !name', '', 'none'),
('2452', '', 'default', 'Users can view the latest news chronologically in the <a href="@aggregator">main news aggregator display</a> or by <a href="@aggregator-sources">source</a>. Administrators can add, edit and delete feeds and choose how often to check for newly updated news for each individual feed. Administrators can also tag individual feeds with categories, offering selective grouping of some feeds into separate displays. Listings of the latest news for individual sources or categorized sources can be enabled as blocks for display in the sidebar through the <a href="@admin-block">block administration page</a>. The news aggregator requires cron to check for the latest news from the sites to which you have subscribed. Drupal also provides a <a href="@aggregator-opml">machine-readable OPML file</a> of all of your subscribed feeds.', '', 'none'),
('2453', '', 'default', 'For more information please read the configuration and customization handbook <a href="@aggregator">Aggregator page</a>.', '', 'none'),
('2454', '', 'default', 'Thousands of sites (particularly news sites and weblogs) publish their latest headlines and/or stories in a machine-readable format so that other sites can easily link to them. This content is usually in the form of an <a href="http://blogs.law.harvard.edu/tech/rss">RSS</a> feed (which is an XML-based syndication standard). To display the feed or category in a block you must decide how many items to show by editing the feed or block and turning on the <a href="@block">feed''s block</a>.', '', 'none'),
('2455', '', 'default', 'Add a site that has an RSS/RDF/Atom feed. The URL is the full path to the feed file. For the feed to update automatically you must run "cron.php" on a regular basis. If you already have a feed with the URL you are planning to use, the system will not accept another feed with the same URL.', '', 'none'),
('2456', '', 'default', 'Categories provide a way to group items from different news feeds together. Each news category has its own feed page and block. For example, you could tag various sport-related feeds as belonging to a category called <em>Sports</em>. News items can be added to a category automatically by setting a feed to automatically place its item into that category, or by using the categorize items link in any listing of news items.', '', 'none'),
('2457', '', 'default', 'Older news items will be automatically discarded. Requires crontab.', '', 'none'),
('2458', '', 'default', 'The type of category selection widget which is shown on categorization pages. Checkboxes are easier to use; a multiple selector is good for working with large numbers of categories.', '', 'none'),
('2459', '', 'default', 'New items in this feed will be automatically filed in the checked categories as they are received.', '', 'none'),
('2460', '', 'default', 'A blog is a regularly updated journal or diary made up of individual posts shown in reversed chronological order. Each member of the site may create and maintain a blog.', '', 'none'),
('2461', '', 'default', 'Read @username''s latest blog entries.', '', 'none'),
('2462', '', 'default', 'The blog module allows registered users to maintain an online weblog (commonly known as a blog), often referred to as an online journal or diary. Blogs are made up of individual posts that are time stamped and are typically viewed by date as you would a diary. Blogs often contain links to web pages users have read and/or agree/disagree with.', '', 'none'),
('2463', '', 'default', 'The blog module adds a <em>user blogs</em> navigation link to the site, which takes any visitor to a page that displays the most recent blog entries from all the users on the site. The navigation menu has a <em>create a blog entry</em> link (which takes you to a submission form) and a <em>view personal blog</em> link (which displays your blog entries as other people will see them). The blog module also creates a <em>recent blog posts</em> block that can be enabled.', '', 'none'),
('2464', '', 'default', 'If a user has the ability to post blogs, then the import module (news aggregator) will display a blog-it link next to each news item in its lists. Clicking on this takes the user to the blog submission form, with the title, a link to the item, and a link to the source into the body text already in the text box, ready for the user to add a comment or explanation. This actively encourages people to add blog entries about things they see and hear elsewhere in the website and from your syndicated partner sites.', '', 'none'),
('2465', '', 'default', 'For more information please read the configuration and customization handbook <a href="@blog">Blog page</a>.', '', 'none'),
('2466', '', 'default', 'edit own blog', '', 'none'),
('2467', '', 'default', '@type: updated %title using blog API.', '', 'none'),
('2468', '', 'default', 'Blog APIs', '', 'none'),
('2469', '', 'default', 'Configure which content types and engines external blog clients can use.', '', 'none'),
('2470', '', 'default', 'A book is a collaborative writing effort: users can collaborate writing the pages of the book, positioning the pages in the right order, and reviewing or modifying pages previously written. So when you have some information to share or when you read a page of the book and you didn''t like it, or if you think a certain page could have been written better, you can do something about it.', '', 'none'),
('2471', '', 'default', 'Manage site''s books and orphaned book pages.', '', 'none'),
('2472', '', 'default', 'The parent section in which to place this page. Note that each page whose parent is &lt;top-level&gt; is an independent, top-level book.', '', 'none'),
('2473', '', 'default', 'The parent that this page belongs in.', '', 'none'),
('2474', '', 'default', 'The parent page in the book.', '', 'none'),
('2475', '', 'default', 'An explanation to help other authors understand your motivations to put this post into the book.', '', 'none'),
('2476', '', 'default', 'The post has been added to the book.', '', 'none'),
('2477', '', 'default', 'book', '', 'none'),
('2478', '', 'default', 'Updated orphan book pages.', '', 'none'),
('2479', '', 'default', 'The <em>book</em> module is suited for creating structured, multi-page hypertexts such as site resource guides, manuals, and Frequently Asked Questions (FAQs). It permits a document to have chapters, sections, subsections, etc. Authors with suitable permissions can add pages to a collaborative book,  placing them into the existing document by adding them to a table of contents menu.', '', 'none'),
('2480', '', 'default', 'Book pages have navigation elements at the bottom of the page for moving through the text.  These link to the previous and next pages in the book, as well as a link labeled <em>up</em>, leading to the level above in the structure.  More comprehensive navigation may be provided by enabling the <em>book navigation block</em> on the <a href="@admin-block">block administration page</a>.', '', 'none'),
('2481', '', 'default', 'Posts of type %book are automatically added to the book hierarchy. Users with the <em>outline posts in books</em> permission can also add content of any other type to a book, placing it into the existing book structure through the interface that''s available by clicking on the <em>outline</em> tab while viewing that post.', '', 'none'),
('2482', '', 'default', 'Administrators can view a list of all books on the <a href="@admin-node-book">book administration page</a>.  In this list there is a link to an outline page for each book, from which is it possible to change the titles of sections, or to change their weight, thus reordering sections. From this administrative interface, it is also possible to determine whether there are any orphan pages - pages that have become disconnected from the rest of the book structure.', '', 'none'),
('2483', '', 'default', 'For more information please read the configuration and customization handbook <a href="@book">Book page</a>.', '', 'none'),
('2484', '', 'default', 'The book module offers a means to organize content, authored by many users, in an online manual, outline or FAQ.', '', 'none'),
('2485', '', 'default', 'Pages in a book are like a tree. As pages are edited, reorganized and removed, child pages might be left with no link to the rest of the book. Such pages are referred to as "orphan pages". On this page, administrators can review their books for orphans and reattach those pages as desired.', '', 'none'),
('2486', '', 'default', 'The outline feature allows you to include posts in the <a href="@book">book hierarchy</a>.', '', 'none'),
('2487', '', 'default', 'outline posts in books', '', 'none'),
('2488', '', 'default', 'create book pages', '', 'none'),
('2489', '', 'default', 'edit book pages', '', 'none'),
('2490', '', 'default', 'edit own book pages', '', 'none'),
('2491', '', 'default', 'Allows users to collaboratively author a book.', '', 'none'),
('2492', '', 'default', 'Color module allows a site administrator to quickly and easily change the color scheme of the entire site. In order for color module to work however, a theme must be specifically designed to use the color changing features. The default theme, Garland, (as well as its fixed width counterpart, Minnelli) was designed to take advantage of these features. With color module, you can easily change the color of links, backgrounds, text, and more depending on which color module enabled theme you are using. Color module requires your <a href="@url">file download method</a> to be set to public.', '', 'none'),
('2493', '', 'default', 'It is important to remember that color module saves a modified copy of the theme''s style.css file in the files directory, and includes it after the theme''s original style.css. This means that if you make any manual changes to your theme''s style.css file, you must save your color settings again, even if they haven''t changed. This causes the color module generated version of style.css in the files directory to be recreated using the new version of the original file.', '', 'none'),
('2494', '', 'default', 'Below is a list of the latest comments posted to your site. Click on a subject to see the comment, the author''s name to edit the author''s user information , ''edit'' to modify the text, and ''delete'' to remove their submission.', '', 'none'),
('2495', '', 'default', 'The contact module enables the use of both personal and site-wide contact forms, thereby facilitating easy communication within the community. While personal contact forms allow users to contact each other by e-mail, site-wide forms allow community members to contact the site administration from a central location. Users can specify a subject and message in the contact form, and also request that a copy of the e-mail be sent to their own address.', '', 'none'),
('2496', '', 'default', 'Users can activate/deactivate their personal contact forms in their account settings. Upon activation, a contact tab will appear in their user profiles. Privileged users such as site administrators are able to contact users even if they have chosen not to enable this feature.', '', 'none'),
('2497', '', 'default', 'Note that the contact tab will not appear when a user views his or her own profile; only when viewing another user''s profile, if that user''s contact form is enabled.', '', 'none'),
('2498', '', 'default', 'If the menu module is enabled, a menu item linking to the site-wide contact page is added to the navigation block. It is disabled by default, but can be enabled via the <a href="@menu-module">menu management</a> page. Links to the contact page may also be added to the primary and secondary links using the same page.', '', 'none'),
('2499', '', 'default', 'For more information, please read the configuration and customization handbook page for the <a href="@contact">contact module</a>.', '', 'none'),
('2500', '', 'default', 'This page lets you setup <a href="@form">your site-wide contact form</a>. To do so, add one or more categories. You can associate different recipients with each category to route e-mails to different people. For example, you can route website feedback to the webmaster and direct product information requests to the sales department. On the <a href="@settings">settings page</a>, you can customize the information shown above the contact form. This can be useful to provide additional contact information such as your postal address and telephone number.', '', 'none'),
('2501', '', 'default', 'The contact form has not been configured.', '', 'none'),
('2502', '', 'default', 'The Drupal module uses the XML-RPC network communication protocol to connect your site with a central server that maintains a directory of client sites.', '', 'none'),
('2503', '', 'default', '<p>Enabling the Drupal module will allow you to:</p>\n<ul>\n  <li>register your site with a server, including (optionally) posting information on your installed modules and themes and summary statistics on your number of posts and users, information that can help rank Drupal modules and themes</li>\n  <li>enable other sites to register with your site</li>\n  <li>allow members on all sites using the Drupal module to log in to your site without registering using their distributed identification</li>\n  <li>allow members to log in to any other site that uses the Drupal module, using a login name that looks much like an e-mail address: <em>username@example.com</em></li>\n</ul>\n', '', 'none'),
('2504', '', 'default', 'The Drupal module administration page allows you to set the xml-rpc server page and other related options.', '', 'none'),
('2505', '', 'default', '<p>If you maintain a directory of sites, you can list them on a page using the <code>drupal_client_page()</code> function. Sample instructions: </p>\n<ul>\n  <li>Ensure that you have the page content type enabled, and you can use PHP in an input format.</li>\n  <li>Select create content &gt;&gt; page.</li>\n  <li>For input format, select PHP code.</li>\n  <li>Give the page a title. For body, put:\n<pre>\n&lt;?php\nprint drupal_client_page();\n?&gt;\n</pre>\n  <li>Save the page.</li>\n</ul>', '', 'none'),
('2506', '', 'default', 'For more information please read the configuration and customization handbook <a href="@drupal">Drupal page</a>.', '', 'none'),
('2507', '', 'default', 'Using this your site can "call home" to another Drupal server. By calling home to drupal.org and sending a list of your installed modules and themes, you help rank projects on drupal.org and so assist all Drupal administrators to find the best components for meeting their needs. If you want to register with a different server, you can change the Drupal XML-RPC server setting -- but the server has to be able to handle Drupal XML. Some XML-RPC servers may present directories of all registered sites. To get all your site information listed, go to the <a href="@site-settings">site information settings page</a> and set the site name, the e-mail address, the slogan, and the mission statement.', '', 'none'),
('2508', '', 'default', '<p><a href="@Drupal">Drupal</a> is the name of the software that powers %this-site. There are Drupal websites all over the world, and many of them share their registration databases so that users may freely log in to any Drupal site using a single <strong>Drupal ID</strong>.</p>\n<p>So please feel free to log in to your account here at %this-site with a username from another Drupal site. The format of a Drupal ID is similar to an e-mail address: <strong>username</strong>@<em>server</em>. An example of a valid Drupal ID is <strong>mwlily</strong>@<em>drupal.org</em>.</p>', '', 'none'),
('2509', '', 'default', 'You must set the name of your site on the <a href="@url">administer &raquo; settings &raquo; site information</a> page.', '', 'none'),
('2510', '', 'default', 'You must set an e-mail address for your site on the <a href="@url">site information settings page</a>.', '', 'none'),
('2511', '', 'default', 'You must set your site slogan on the <a href="@url">site information settings page</a>.', '', 'none'),
('2512', '', 'default', 'You must set your site mission on the <a href="@url">site information settings page</a>.', '', 'none'),
('2513', '', 'default', 'Register with a Drupal server', '', 'none'),
('2514', '', 'default', 'If enabled, your Drupal site will register itself with the specified Drupal XML-RPC server. For this to work properly, you must set your site''s name, e-mail address, slogan and mission statement. When the Drupal XML-RPC server field is set to %drupal-xml-rpc, your web site will register itself with drupal.org. Requires the cron feature to be enabled.', '', 'none'),
('2515', '', 'default', 'Drupal XML-RPC server', '', 'none'),
('2516', '', 'default', 'The URL of the Drupal XML-RPC server you wish to register with.', '', 'none'),
('2517', '', 'default', 'Send system information', '', 'none'),
('2518', '', 'default', 'If enabled, your site will send information on its installed components (modules, themes, and theme engines). This information can help in compiling statistics on usage of Drupal projects.', '', 'none'),
('2519', '', 'default', 'Send statistics', '', 'none'),
('2520', '', 'default', 'If enabled, your site will send summary statistics on the number of registered users and the total number of posts. No private information will be sent. These data help to improve the ranking statistics of Drupal projects.', '', 'none'),
('2521', '', 'default', 'Allow other Drupal sites to register', '', 'none'),
('2522', '', 'default', 'If enabled, your Drupal site will allow other sites to register with your site and send information to this site. This functionality can be used to maintain a list of related sites.', '', 'none'),
('2523', '', 'default', 'Authentication service', '', 'none'),
('2524', '', 'default', 'If enabled, your Drupal site will accept logins with the user names of other Drupal sites, and likewise provide authentication for users logging into other Drupal sites, based on their user accounts here.', '', 'none'),
('2525', '', 'default', 'The URL of the default Drupal authentication server. Omit the %http prefix (e.g. drupal.org, www.example.com, etc.). If the authentication service has been enabled, users registered at the server specified here, will not need to append the server to their user name when logging into your site. This enables users to provide a briefer, more familiar username in the login form.', '', 'none'),
('2526', '', 'default', 'Only accept remote logins from the above specified default authentication server and not from any other server. Useful when an external system is the solitary authority on user accounts for this site. A common usage is to enable this setting and also enable an authentication module which talks to your company''s directory server.', '', 'none'),
('2527', '', 'default', 'Ping from %name (%link).', '', 'none'),
('2528', '', 'default', 'Handling ping request', '', 'none'),
('2529', '', 'default', 'Failed to notify %server; error code: %errno; error message: %error_msg.', '', 'none'),
('2530', '', 'default', 'Error %code: %message', '', 'none'),
('2531', '', 'default', 'Sites registry', '', 'none'),
('2532', '', 'default', 'Register with another Drupal site (drupal.org by default) for statistics sharing, or set up your server to be a central server for registrations.', '', 'none'),
('2533', '', 'default', 'Distributed authentication', '', 'none'),
('2534', '', 'default', 'client ping', '', 'none'),
('2535', '', 'default', 'server ping', '', 'none'),
('2536', '', 'default', 'Lets you register your site with a central server and improve ranking of Drupal projects by posting information on your installed modules and themes', '', 'none'),
('2537', '', 'default', 'The filter module allows administrators to configure  text input formats for the site. For example, an administrator may want a filter to strip out malicious HTML from user''s comments. Administrators may also want to make URLs linkable even if they are only entered in an unlinked format.', '', 'none'),
('2538', '', 'default', 'Users can choose between the available input formats when creating or editing content. Administrators can configure which input formats are available to which user roles, as well as choose a default input format. Administrators can also create new input formats. Each input format can be configured to use a selection of filters.', '', 'none'),
('2539', '', 'default', 'For more information please read the configuration and customization handbook <a href="@filter">Filter page</a>.', '', 'none'),
('2540', '', 'default', '\n<p><em>Input formats</em> define a way of processing user-supplied text in Drupal. Every input format has its own settings of which <em>filters</em> to apply. Possible filters include stripping out malicious HTML and making URLs clickable.</p>\n<p>Users can choose between the available input formats when submitting content.</p>\n<p>Below you can configure which input formats are available to which roles, as well as choose a default input format (used for imported content, for example).</p>\n<p>Note that (1) the default format is always available to all roles, and (2) all filter formats can always be used by roles with the "administer filters" permission even if they are not explicitly listed in the Roles column of this table.</p>', '', 'none'),
('2541', '', 'default', '\n<p>Every <em>filter</em> performs one particular change on the user input, for example stripping out malicious HTML or making URLs clickable. Choose which filters you want to apply to text in this input format.</p>\n<p>If you notice some filters are causing conflicts in the output, you can <a href="@rearrange">rearrange them</a>.</p>', '', 'none'),
('2542', '', 'default', '\n<p>Because of the flexible filtering system, you might encounter a situation where one filter prevents another from doing its job. For example: a word in an URL gets converted into a glossary term, before the URL can be converted in a clickable link. When this happens, you will need to rearrange the order in which filters get executed.</p>\n<p>Filters are executed from top-to-bottom. You can use the weight column to rearrange them: heavier filters "sink" to the bottom.</p>', '', 'none'),
('2543', '', 'default', 'Configure how content input by users is filtered, including allowed HTML tags, PHP code tags. Also allows enabling of module-provided filters.', '', 'none'),
('2544', '', 'default', '!format input format', '', 'none'),
('2545', '', 'default', '\n<h4>Using custom PHP code</h4>\n<p>If you know how to script in PHP, Drupal gives you the power to embed any script you like. It will be executed when the page is viewed and dynamically embedded into the page. This gives you amazing flexibility and power, but of course with that comes danger and insecurity if you do not write good code. If you are not familiar with PHP, SQL or with the site engine, avoid experimenting with PHP because you can corrupt your database or render your site insecure or even unusable! If you do not plan to do fancy stuff with your content then you are probably better off with straight HTML.</p>\n<p>Remember that the code within each PHP item must be valid PHP code - including things like correctly terminating statements with a semicolon. It is highly recommended that you develop your code separately using a simple test script on top of a test database before migrating to your production environment.</p>\n<p>Notes:</p><ul><li>You can use global variables, such as configuration parameters, within the scope of your PHP code but remember that global variables which have been given values in your code will retain these values in the engine afterwards.</li><li>register_globals is now set to <strong>off</strong> by default. If you need form information you need to get it from the "superglobals" $_POST, $_GET, etc.</li><li>You can either use the <code>print</code> or <code>return</code> statement to output the actual content for your item.</li></ul>\n<p>A basic example:</p>\n<blockquote><p>You want to have a box with the title "Welcome" that you use to greet your visitors. The content for this box could be created by going:</p>\n<pre>\n  print t("Welcome visitor, ... welcome message goes here ...");\n</pre>\n<p>If we are however dealing with a registered user, we can customize the message by using:</p>\n<pre>\n  global $user;\n  if ($user->uid) {\n    print t("Welcome $user->name, ... welcome message goes here ...");\n  }\n  else {\n    print t("Welcome visitor, ... welcome message goes here ...");\n  }\n</pre></blockquote>\n<p>For more in-depth examples, we recommend that you check the existing Drupal code and use it as a starting point, especially for sidebar boxes.</p>', '', 'none'),
('2546', '', 'default', 'Allows you to restrict if users can post HTML and which tags to filter out.', '', 'none'),
('2547', '', 'default', 'Runs a piece of PHP code. The usage of this filter should be restricted to administrators only!', '', 'none'),
('2548', '', 'default', '\n  <h2>Help topics</h2>\n  <p>Help is available on the following items:</p>\n  !help_pages\n  <h2>Glossary of Drupal terminology</h2>\n  <dl>\n   <dt>Block</dt><dd>A small box containing information or content placed in a region of a web page (e.g. in a sidebar, below or above the content, or in any other region the current theme allows).</dd>\n   <dt>Comment</dt><dd>Text attached to a post intended to clarify, explain, criticize, or express an opinion on the original post.</dd>\n   <dt>Node</dt><dd>The basic unit of content in Drupal, often referred to as a "post". All content that can be created using the "create content" menu is a node. Keep in mind that comments, blocks, and users are <em>not</em> nodes.</dd>\n   <dt>Published</dt><dd>A post that is viewable by every visitor of the site, regardless of whether he is logged in (see also "Unpublished").</dd>\n   <dt>Role</dt><dd>A classification users are placed into for the purpose of setting users'' permissions. A user receives the combined permissions of all roles to which he or she is subscribed.</dd>\n   <dt>Taxonomy</dt><dd>A categorization system that allows the building of complex hierarchial or relational structures and tagging of content (see <a href="@taxonomy">taxonomy help</a>).</dd>\n   <dt>Unpublished</dt><dd>A post that is only viewable by administrators and moderators.</dd>\n   <dt>User</dt><dd>A person who has an account at your Drupal site, and is currently logged in with that account.</dd>\n   <dt>Visitor</dt><dd>A person who does not have an account at your Drupal site or a person who has an account at your Drupal site but is <em>not</em> currently logged in with that account. A visitor is also called an "anonymous user".</dd>\n  </dl>', '', 'none'),
('2549', '', 'default', '<p>This guide explains what the various modules in <a href="@Drupal">Drupal</a> do and how to configure them. Additionally, you will find a glossary of basic Drupal terminology to help get you started.</p>\n<p>It is not a substitute for the <a href="@handbook">Drupal handbook</a> available online and should be used in conjunction with it. The online reference handbook might be more up-to-date and has helpful user-contributed comments. It is your definitive reference point for all Drupal documentation.</p>\n', '', 'none'),
('2550', '', 'default', 'The help module displays context sensitive help information. Users can learn how to use modules and accomplish tasks quicker with less errors by clicking on links in provided by the help module.', '', 'none'),
('2551', '', 'default', '<p>Modules can make documentation available to other modules with this module. All user help should be presented using this module. Some examples of help: </p>\n<ul>\n<li>The module''s help text, displayed on the <a href="@help">help page</a> and through the module''s individual help link.</li>\n<li>More elaborate help text on sites a module defines.</li>\n<li>The help for a distributed authorization module (if applicable).</li>\n</ul>\n', '', 'none'),
('2552', '', 'default', 'For more information please read the configuration and customization handbook <a href="@help">Help page</a>.', '', 'none'),
('2553', '', 'default', 'The legacy module provides legacy handlers for upgrades from older installations. These handlers help automatically redirect references to pages from old installations and prevent <em>page not found</em> errors for your site.', '', 'none'),
('2554', '', 'default', 'The legacy module handles legacy style taxonomy page, taxonomy feed, and blog feed paths. It also handles URL upgrades from Drupal 4.1. It rewrites old-style URLs to new-style URLs (clean URLs). ', '', 'none'),
('2555', '', 'default', '<p>Example Mappings:</p>\n<ul>\n<li><em>taxonomy/page/or/52,97</em> to <em>taxonomy/term/52+97</em>.</li>\n<li><em>taxonomy/feed/or/52,97</em> to <em>taxonomy/term/52+97/0/feed</em>.</li>\n<li><em>blog/feed/52</em> to <em>blog/52/feed</em>.</li>\n<li><em>node/view/52</em> to <em>node/52</em>.</li>\n<li><em>book/view/52</em> to <em>node/52</em>.</li>\n<li><em>user/view/52</em> to <em>user/52</em>.</li>\n</ul>\n', '', 'none'),
('2556', '', 'default', 'For more information please read the configuration and customization handbook <a href="@legacy">Legacy page</a>.', '', 'none'),
('2557', '', 'default', 'Legacy filter', '', 'none'),
('2558', '', 'default', 'Replaces URLs from Drupal 4.1 (and lower) with updated equivalents.', '', 'none'),
('2559', '', 'default', 'Legacy', '', 'none'),
('2560', '', 'default', 'Provides legacy handlers for upgrades from older Drupal installations.', '', 'none'),
('2561', '', 'default', 'Enables the translation of the user interface to languages other than English.', '', 'none'),
('2562', '', 'default', 'The human-readable name of this content type. This text will be displayed as part of the list on the <em>create content</em> page. It is recommended that this name begins with a capital letter and consists only of letters, numbers, and <strong>spaces</strong>. This name must be unique to this content type.', '', 'none'),
('2563', '', 'default', 'The machine-readable name of this content type. This text will be used for constructing the URL of the <em>create content</em> page for this content type. This name may consist of only of lowercase letters, numbers, and underscores. Dashes are not allowed. Underscores will be converted into dashes when constructing the URL of the <em>create content</em> page. This name must be unique to this content type.', '', 'none'),
('2564', '', 'default', 'Submission form', '', 'none'),
('2565', '', 'default', '<strong>Warning:</strong> there is currently @count %type post on your site. It may not be able to be displayed or edited correctly, once you have removed this content type.', '', 'none'),
('2566', '', 'default', '<strong>Warning:</strong> there are currently @count %type posts on your site. They may not be able to be displayed or edited correctly, once you have removed this content type.', '', 'none'),
('2567', '', 'default', '<strong>Warning:</strong> there are currently @count[2] %type posts on your site. They may not be able to be displayed or edited correctly, once you have removed this content type.', '', 'none'),
('2568', '', 'default', 'All content in a website is stored and treated as <b>nodes</b>. Therefore nodes are any postings such as blogs, stories, polls and forums. The node module manages these content types and is one of the strengths of Drupal over other content management systems.', '', 'none'),
('2569', '', 'default', 'Treating all content as nodes allows the flexibility of creating new types of content. It also allows you to painlessly apply new features or changes to all content. Comments are not stored as nodes but are always associated with a node.', '', 'none'),
('2570', '', 'default', '<p>Node module features</p>\n<ul>\n<li>The list tab provides an interface to search and sort all content on your site.</li>\n<li>The configure settings tab has basic settings for content on your site.</li>\n<li>The configure content types tab lists all content types for your site and lets you configure their default workflow.</li>\n<li>The search tab lets you search all content on your site</li>\n</ul>\n', '', 'none'),
('2571', '', 'default', 'For more information please read the configuration and customization handbook <a href="@node">Node page</a>.', '', 'none'),
('2572', '', 'default', 'Enter a simple pattern to search for a post. Words are matched exactly. Phrases can be surrounded by quotes to do an exact search.', '', 'none'),
('2573', '', 'default', 'Are you sure you want to rebuild node permissions on the site?', '', 'none'),
('2574', '', 'default', 'This will wipe all current node permissions and rebuild them based on current settings. Rebuilding the permissions may take a while so please be patient. This action cannot be undone.', '', 'none'),
('2575', '', 'default', 'You tried to revert to an invalid revision.', '', 'none'),
('2576', '', 'default', '%title has been reverted back to the revision from %revision-date', '', 'none'),
('2577', '', 'default', 'Deletion failed. You tried to delete a non-existing revision.', '', 'none'),
('2578', '', 'default', 'Deletion failed. You tried to delete the current revision.', '', 'none'),
('2579', '', 'default', 'Deleted %title revision %revision.', '', 'none'),
('2580', '', 'default', 'The trimmed version of your post shows what your post looks like when promoted to the main page or when exported for syndication. You can insert the delimiter "&lt;!--break--&gt;" (without the quotes) to fine-tune where your post gets split.', '', 'none'),
('2581', '', 'default', 'The %post has been updated.', '', 'none'),
('2582', '', 'default', 'The path module enables an extra field for aliases in all node input and editing forms (when users have the appropriate permissions). It also provides an interface to view and edit all URL aliases. The two permissions related to URL aliasing are "administer url aliases" and "create url aliases". ', '', 'none'),
('2583', '', 'default', 'This module also comes with user-defined mass URL aliasing capabilities, which is useful if you wish to uniformly use URLs different from the default. For example, you may want to have your URLs presented in a different language. Access to the Drupal source code on the web server is required to set up these kinds of aliases. ', '', 'none'),
('2584', '', 'default', 'For more information please read the configuration and customization handbook <a href="@path">Path page</a>.', '', 'none'),
('2585', '', 'default', 'Drupal provides users complete control over URLs through aliasing. This feature is typically used to make URLs human-readable or easy to remember. For example, one could map the relative URL ''node/1'' onto ''about''. Each system path can have multiple aliases.', '', 'none'),
('2586', '', 'default', 'The alias %alias is already in use.', '', 'none'),
('2587', '', 'default', 'The ping module is useful for notifying interested sites that your site has changed. It automatically sends notifications (called "pings") to the <a href="@external-http-pingomatic-com">pingomatic</a> service to tell it that your site has changed. In turn pingomatic will ping other services such as weblogs.com, Technorati, blo.gs, BlogRolling, Feedster.com, Moreover, etc.', '', 'none'),
('2588', '', 'default', 'The ping module requires <code>cron</code> or a similar periodic job scheduler to be enabled.', '', 'none'),
('2589', '', 'default', 'For more information please read the configuration and customization handbook <a href="@ping">Ping page</a>.', '', 'none'),
('2590', '', 'default', 'The poll module can be used to create simple polls for site users. A poll is a simple multiple choice questionnaire which displays the cumulative results of the answers to the poll. Having polls on the site is a good way to get instant feedback from community members.', '', 'none'),
('2591', '', 'default', 'Users can create a poll. The title of the poll should be the question, then enter the answers and the "base" vote counts. You can also choose the time period over which the vote will run.The <a href="@poll">poll</a> item in the navigation menu will take you to a page where you can see all the current polls, vote on them (if you haven''t already) and view the results.', '', 'none'),
('2592', '', 'default', 'For more information please read the configuration and customization handbook <a href="@poll">Poll page</a>.', '', 'none'),
('2593', '', 'default', 'A poll is a multiple-choice question which visitors can vote on.', '', 'none'),
('2594', '', 'default', 'You are not allowed to vote on this poll.', '', 'none'),
('2595', '', 'default', 'You did not specify a valid poll choice.', '', 'none'),
('2596', '', 'default', 'The profile module allows you to define custom fields (such as country, real name, age, ...) in the user profile. This permits users of a site to share more information about themselves, and can help community-based sites to organize users around profile fields.', '', 'none'),
('2597', '', 'default', '<p>The following types of fields can be added to the user profile:</p>\n<ul>\n<li>single-line textfield</li>\n<li>multi-line textfield</li>\n<li>checkbox</li>\n<li>list selection</li>\n<li>freeform list</li>\n<li>URL</li>\n<li>date</li>\n</ul>\n', '', 'none'),
('2598', '', 'default', 'For more information please read the configuration and customization handbook <a href="@profile">Profile page</a>.', '', 'none'),
('2599', '', 'default', 'Here you can define custom fields that users can fill in as part of their user profile (such as <em>country</em>, <em>real name</em>, <em>age</em>, ...).', '', 'none'),
('2600', '', 'default', 'The search module adds the ability to search for content by keywords. Search is often the only practical way to find content on a large site. Search is useful for finding users and posts by searching on keywords.', '', 'none'),
('2601', '', 'default', 'The search engine works by maintaining an index of the words in your site''s content. It indexes the posts and users. You can adjust the settings to tweak the indexing behaviour. Note that the search requires cron to be set up correctly. The index percentage sets the maximum amount of items that will be indexed in one cron run. Set this number lower if your cron is timing out or if PHP is running out of memory.', '', 'none'),
('2602', '', 'default', 'For more information please read the configuration and customization handbook <a href="@search">Search page</a>.', '', 'none'),
('2603', '', 'default', 'The search engine works by maintaining an index of the words in your site''s content. You can adjust the settings below to tweak the indexing behaviour. Note that the search requires cron to be set up correctly.', '', 'none');
INSERT INTO `locales_source` VALUES
('2604', '', 'default', 'The maximum amount of items that will be indexed in one cron run. Set this number lower if your cron is timing out or if PHP is running out of memory.', '', 'none'),
('2605', '', 'default', '<p>Changing the settings below will cause the site index to be rebuilt. The search index is not cleared but systematically updated to reflect the new settings. Searching will continue to work but new content won''t be indexed until all existing content has been re-indexed.</p><p>The default settings should be appropriate for the majority of sites.</p>', '', 'none'),
('2606', '', 'default', 'The statistics module keeps track of numerous statistics of site usage. It counts how many times, and from where each of your posts is viewed. The statistics module can be used to learn many useful things about how users are interacting with each other and with your site.', '', 'none'),
('2607', '', 'default', '<p>Statistics module features</p>\n<ul>\n<li>Logs show statistics for how many times your site and specific content on your site has been accessed.</li>\n<li>Referrers tells you from where visitors came from (referrer URL).</li>\n<li>Top pages shows you what''s hot, what is the most popular content on your site.</li>\n<li>Top users shows you the most active users for your site.</li>\n<li>Recent hits displays information about the latest activity on your site.</li>\n<li>Node count displays the number of times a node has been accessed in the node''s link section next to <em># comments</em>.</li>\n<li>Popular content block creates a block that can display the day''s top viewed content, the all time top viewed content, and the last content viewed.</li>\n</ul>\n', '', 'none'),
('2608', '', 'default', '<p>Configuring the statistics module</p>\n<ul>\n<li>Enable access log allows you to turn the access log on and off. This log is used to store data about every page accessed, such as the remote host''s IP address, where they came from (referrer), what node they''ve viewed, and their user name. Enabling the log adds one database call per page displayed by Drupal.</li>\n<li>Discard access logs older than allows you to configure how long an access log entry is saved, after which time it is deleted from the database table. To use this you need to run <em>cron.php</em></li>\n<li>Enable node view counter allows you to turn on and off the node-counting functionality of this module. If it is turned on, an extra database query is added for each node displayed, which increments a counter.</li>\n</ul>\n', '', 'none'),
('2609', '', 'default', 'For more information please read the configuration and customization handbook <a href="@statistics">Statistics page</a>.', '', 'none'),
('2610', '', 'default', 'This page shows you the most recent hits.', '', 'none'),
('2611', '', 'default', 'This page shows you all external referrers. These are links pointing to your web site from outside your web site.', '', 'none'),
('2612', '', 'default', 'When you ban a visitor, you prevent the visitor''s IP address from accessing your site. Unlike blocking a user, banning a visitor works even for anonymous users. The most common use for this is to block bots/web crawlers that are consuming too many resources.', '', 'none'),
('2613', '', 'default', 'Older access log entries (including referrer statistics) will be automatically discarded. Requires crontab.', '', 'none'),
('2614', '', 'default', 'The system module provides system-wide defaults such as running jobs at a particular time, and storing web pages to improve efficiency. The ability to run scheduled jobs makes administering the web site more usable, as administrators do not have to manually start jobs. The storing of web pages, or caching, allows the site to efficiently re-use web pages and improve web site performance. The system module provides control over preferences, behaviours including visual and operational settings.', '', 'none'),
('2615', '', 'default', 'Some modules require regularly scheduled actions, such as cleaning up logfiles. Cron, which stands for chronograph, is a periodic command scheduler executing commands at intervals specified in seconds. It can be used to control the execution of daily, weekly and monthly jobs (or anything with a period measured in seconds). The aggregator module periodically updates feeds using cron. Ping periodically notifies services of new content on your site. Search periodically indexes the content on your site. Automating tasks is one of the best ways to keep a system running smoothly, and if most of your administration does not require your direct involvement, cron is an ideal solution. Cron can, if necessary, also be run manually.', '', 'none'),
('2616', '', 'default', 'There is a caching mechanism which stores dynamically generated web pages in a database. By caching a web page, the system module does not have to create the page each time someone wants to view it, instead it takes only one SQL query to display it, reducing response time and the server''s load. Only pages requested by <em>anonymous</em> users are cached. In order to reduce server load and save bandwidth, the system module stores and sends cached pages compressed.', '', 'none'),
('2617', '', 'default', 'For more information please read the configuration and customization handbook <a href="@system">System page</a>.', '', 'none'),
('2618', '', 'default', 'Select which themes are available to your users and specify the default theme. To configure site-wide display settings, click the "configure" task above. Alternately, to override these settings in a specific theme, click the "configure" link for the corresponding theme. Note that different themes may have different regions available for rendering content like blocks. If you want consistency in what your users see, you may wish to enable only one theme.', '', 'none'),
('2619', '', 'default', '<p>Modules are plugins for Drupal that extend its core functionality. Here you can select which modules are enabled. Click on the name of the module in the navigation menu for their individual configuration pages. Once a module is enabled, new <a href="@permissions">permissions</a> might be made available. Modules can automatically be temporarily disabled to reduce server load when your site becomes extremely busy by enabling the throttle.module and checking throttle. The auto-throttle functionality must be enabled on the <a href="@throttle">throttle configuration page</a> after having enabled the throttle module.</p>\n<p>It is important that <a href="@update-php">update.php</a> is run every time a module is updated to a newer version.</p><p>You can find all administration tasks belonging to a particular module on the <a href="@by-module">administration by module page</a>.</p>', '', 'none'),
('2620', '', 'default', 'Here you can find a short overview of your Drupal site''s parameters as well as any problems detected with your installation. It is useful to copy/paste this information when you need support.', '', 'none'),
('2621', '', 'default', 'Enable or disable page caching for anonymous users, and enable or disable CSS preprocessor.', '', 'none'),
('2622', '', 'default', 'View system logs and other status information.', '', 'none'),
('2623', '', 'default', 'This option makes Drupal emit "clean" URLs (i.e. without <code>?q=</code> in the URL.)', '', 'none'),
('2624', '', 'default', ' Before enabling clean URLs, you must perform a test to determine if your server is properly configured. If you are able to see this page again after clicking the "Run the clean URL test" link, the test has succeeded and the radio buttons above will be available. If instead you are directed to a "Page not found" error, you will need to change the configuration of your server. The <a href="@handbook">handbook page on Clean URLs</a> has additional troubleshooting information. !run-test', '', 'none'),
('2625', '', 'default', 'Run the clean URL test', '', 'none'),
('2626', '', 'default', ' You have successfully demonstrated that clean URLs work on your server. You may enable/disable them as you wish.', '', 'none'),
('2627', '', 'default', 'Where Drupal, PHP and SQL errors are logged. On a production server it is recommended that errors are only written to the error log. On a test server it can be helpful to write logs to the screen.', '', 'none'),
('2628', '', 'default', 'The normal cache mode is suitable for most sites and does not cause any side effects. The aggressive cache mode causes Drupal to skip the loading (init) and unloading (exit) of enabled modules when serving a cached page. This results in an additional performance boost but can cause unwanted side effects.', '', 'none'),
('2629', '', 'default', '<strong class="error">The following enabled modules are incompatible with aggressive mode caching and might not function properly: %modules</strong>', '', 'none'),
('2630', '', 'default', 'Enabling the cache will offer a significant performance boost. Drupal can store and send compressed cached pages requested by <em>anonymous</em> users. By caching a web page, Drupal does not have to construct the page each time someone wants to view it.', '', 'none'),
('2631', '', 'default', 'Normal (recommended, no side effects)', '', 'none'),
('2632', '', 'default', 'These options can help reduce both the size and number of requests made to your website. This can reduce the server load, the bandwidth used, and the average page loading time for your visitors.', '', 'none'),
('2633', '', 'default', 'Aggregate and compress CSS files', '', 'none'),
('2634', '', 'default', 'Some Drupal modules include their own CSS files. When these modules are enabled, each module''s CSS file adds an additional HTTP request to the page, which can increase the load time of each page. These HTTP requests can also slightly increase server load. It is recommended to only turn this option on when your site is in production, as it can interfere with theme development. This option is disabled if you have not set up your files directory, or if your download method is set to private.', '', 'none'),
('2635', '', 'default', 'A file system path where the files will be stored. This directory has to exist and be writable by Drupal. If the download method is set to public this directory has to be relative to the Drupal installation directory, and be accessible over the web. When download method is set to private this directory should not be accessible over the web. Changing this location after the site has been in use will cause problems so only change this setting on an existing site if you know what you are doing.', '', 'none'),
('2636', '', 'default', 'Location where uploaded files will be kept during previews. Relative paths will be resolved relative to the Drupal installation directory.', '', 'none'),
('2637', '', 'default', 'If you want any sort of access control on the downloading of files, this needs to be set to <em>private</em>. You can change this at any time, however all download URLs will change and there may be unexpected problems so it is not recommended.', '', 'none'),
('2638', '', 'default', 'No image toolkits found. Drupal will use PHP''s built-in GD library for image handling.', '', 'none'),
('2639', '', 'default', 'The default number of items to include in a feed.', '', 'none'),
('2640', '', 'default', 'Global setting for the length of XML feed items that are output by default.', '', 'none'),
('2641', '', 'default', 'Configurable time zones', '', 'none'),
('2642', '', 'default', 'Enable or disable user-configurable time zones. When enabled, users can set their own time zone and dates will be updated accordingly.', '', 'none'),
('2643', '', 'default', 'Cron run failed', '', 'none'),
('2644', '', 'default', 'The MySQL query cache can improve performance of your site by storing the result of queries.  Then, if an identical query is received later, the MySQL server retrieves the result from the query cache rather than parsing and executing the statement again.', '', 'none'),
('2645', '', 'default', 'The number of times that MySQL found previous results in the cache.', '', 'none'),
('2646', '', 'default', 'The number of times that MySQL added a query to the cache (misses).', '', 'none'),
('2647', '', 'default', 'The number of times that MySQL had to remove queries from the cache because it ran out of memory.  Ideally should be zero.', '', 'none'),
('2648', '', 'default', 'Your shortcut icon or ''favicon'' is displayed in the address bar and bookmarks of most browsers.', '', 'none'),
('2649', '', 'default', 'Engine-specific settings', '', 'none'),
('2650', '', 'default', 'Produce a less compact layout that includes descriptions.', '', 'none'),
('2651', '', 'default', 'Produce a more compact layout that doesn''t include descriptions.', '', 'none'),
('2652', '', 'default', 'URL Filter module was disabled; this functionality has now been added to core.', '', 'none'),
('2653', '', 'default', 'legacy', '', 'none'),
('2654', '', 'default', 'The throttle module provides a congestion control throttling mechanism for automatically detecting a surge in incoming traffic. If the site gets linked to by a popular website, or otherwise comes under a "Denial of Service" (DoS) attack, your webserver might become overwhelmed. This mechanism is utilized by other modules to automatically optimize their performance by temporarily disabling CPU-intensive functionality. For example, in the site theme, you might choose to disable pictures when the site is too busy (reducing bandwidth), or in modules, you might choose to disable some complicated logic (reducing CPU utilization).', '', 'none'),
('2655', '', 'default', 'The congestion control throttle can be automatically enabled when the number of anonymous or authenticated users currently visiting the site exceeds the specified threshold. ', '', 'none'),
('2656', '', 'default', 'For more information please read the configuration and customization handbook <a href="@throttle">Throttle page</a>.', '', 'none'),
('2657', '', 'default', 'If your site gets linked to by a popular website, or otherwise comes under a "Denial of Service" (DoS) attack, your webserver might become overwhelmed. This module provides a congestion control throttling mechanism for automatically detecting a surge in incoming traffic. This mechanism is utilized by other Drupal modules to automatically optimize their performance by temporarily disabling CPU-intensive functionality.', '', 'none'),
('2658', '', 'default', 'The tracker module displays the most recently added or updated content to the website allowing users to see the most recent contributions. The tracker module provides user level tracking for those who like to follow the contributions of particular authors.', '', 'none'),
('2659', '', 'default', 'The  &quot;recent posts&quot; page is available via a link in the navigation menu block and contains a reverse chronological list of new and recently-updated content. The table displays  the content type, the title, the author''s name, how many comments that item has received, and when it was last updated. Updates include any changes to the text, either by the original author or someone else, as well as any new comments added to an item. To use the tracker module to <em>watch</em> for a user''s updated content, click on that user''s profile, then the <em>track</em> tab.', '', 'none'),
('2660', '', 'default', 'For more information please read the configuration and customization handbook <a href="@tracker">Tracker page</a>.', '', 'none'),
('2661', '', 'default', 'The upload module allows users to upload files to the site. The ability to upload files to a site is important for members of a community who want to share work. It is also useful to administrators who want to keep uploaded files connected to a node or page.', '', 'none'),
('2662', '', 'default', 'Users with the upload files permission can upload attachments. You can choose which post types can take attachments on the content types settings page. Each user role can be customized for the file size of uploads, and the dimension of image files.', '', 'none'),
('2663', '', 'default', 'For more information please read the configuration and customization handbook <a href="@upload">Upload page</a>.', '', 'none'),
('2664', '', 'default', 'Search users by name.', '', 'none'),
('2665', '', 'default', 'Enter your @s username, or an ID from one of our affiliates: !a.', '', 'none'),
('2666', '', 'default', 'External load by %user using module %module.', '', 'none'),
('2667', '', 'default', '<p>This is a one-time login for %user_name and will expire on %expiration_date</p><p>Click on this button to login to the site and change your password.</p>', '', 'none'),
('2668', '', 'default', 'Note: if you have an account with one of our affiliates (!s), you may <a href="@login_uri">login now</a> instead of registering.', '', 'none'),
('2669', '', 'default', 'Drupal user account details for !s', '', 'none'),
('2670', '', 'default', '!username,\n\nYou may now login to !uri using the following username and password:\n\n  username: !username\n  password: !password\n\n!edit_uri\n\n--drupal', '', 'none'),
('2671', '', 'default', '<p>Welcome to Drupal. You are user #1, which gives you full and immediate access. All future registrants will receive their passwords via e-mail, so please make sure your website e-mail address is set properly under the general settings on the <a href="@settings">site information settings page</a>.</p><p> Your password is <strong>%pass</strong>. You may change your password below.</p>', '', 'none'),
('2672', '', 'default', 'Created a new user account. No e-mail has been sent.', '', 'none'),
('2673', '', 'default', 'Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />In the meantime, your password and further instructions have been sent to your e-mail address.', '', 'none'),
('2674', '', 'default', 'The account does not exist or has already been deleted.', '', 'none'),
('2675', '', 'default', '!username,\n\nThank you for registering at !site. Your application for an account is currently pending approval. Once it has been granted, you may log in to !login_uri using the following username and password:\n\nusername: !username\npassword: !password\n\nYou may also log in by clicking on this link or copying and pasting it in your browser:\n\n!login_url\n\nThis is a one-time login, so it can be used only once.\n\nAfter logging in, you may wish to change your password at !edit_uri\n\n\n--  !site team', '', 'none'),
('2676', '', 'default', 'If this box is checked, new users will be required to validate their e-mail address prior to logging into to the site, and will be assigned a system-generated password. With it unchecked, users will be logged in immediately upon registering, and may select their own passwords during registration.', '', 'none'),
('2677', '', 'default', 'This text is displayed at the top of the user registration form. It''s useful for helping or instructing your users.', '', 'none'),
('2678', '', 'default', 'Subject of welcome e-mail (user created by administrator)', '', 'none'),
('2679', '', 'default', 'Customize the subject of your welcome e-mail, which is sent to new member accounts created by an administrator.', '', 'none'),
('2680', '', 'default', 'Body of welcome e-mail (user created by administrator)', '', 'none'),
('2681', '', 'default', 'Customize the body of the welcome e-mail, which is sent to new member accounts created by an administrator.', '', 'none'),
('2682', '', 'default', 'Subject of welcome e-mail (awaiting admin approval)', '', 'none'),
('2683', '', 'default', 'Customize the subject of your awaiting approval welcome e-mail, which is sent to new members upon registering.', '', 'none'),
('2684', '', 'default', 'Body of welcome e-mail (awaiting admin approval)', '', 'none'),
('2685', '', 'default', 'Customize the body of the awaiting approval welcome e-mail, which is sent to new members upon registering.', '', 'none'),
('2686', '', 'default', 'Subject of password recovery e-mail', '', 'none'),
('2687', '', 'default', 'Customize the subject of your forgotten password e-mail.', '', 'none'),
('2688', '', 'default', 'Body of password recovery e-mail', '', 'none'),
('2689', '', 'default', 'Customize the body of the forgotten password e-mail.', '', 'none'),
('2690', '', 'default', 'Enable picture support.', '', 'none'),
('2691', '', 'default', 'The user module allows users to register, login, and log out. Users benefit from being able to sign on because it associates content they create with their account and allows various permissions to be set for their roles. The user module supports user roles which can setup fine grained permissions allowing each role to do only what the administrator wants them to. Each user is assigned to one or more roles. By default there are two roles <em>anonymous</em> - a user who has not logged in, and <em>authenticated</em> a user who has signed up and who has been authorized.', '', 'none'),
('2692', '', 'default', 'Users can use their own name or handle and can fine tune some personal configuration settings through their individual my account page. Registered users need to authenticate by supplying either a local username and password, or a remote username and password such as DelphiForums ID, or one from a Drupal powered website. A visitor accessing your website is assigned an unique ID, the so-called session ID, which is stored in a cookie. For security''s sake, the cookie does not contain personal information but acts as a key to retrieve the information stored on your server.', '', 'none'),
('2693', '', 'default', 'For more information please read the configuration and customization handbook <a href="@user">User page</a>.', '', 'none'),
('2694', '', 'default', 'This web page allows the administrators to register new users by hand. Note that you cannot have a user where either the e-mail address or the username match another user in the system.', '', 'none'),
('2695', '', 'default', 'Enter a simple pattern ("*" may be used as a wildcard match) to search for a username. For example, one may search for "br" and Drupal might return "brian", "brad", and "brenda".', '', 'none'),
('2696', '', 'default', 'one of our affiliates', '', 'none'),
('2697', '', 'default', 'administer access control', '', 'none'),
('2698', '', 'default', 'The watchdog module monitors your system, capturing system events in a log to be reviewed by an authorized individual at a later time. This is useful for site administrators who want a quick overview of activities on their site. The logs also record the sequence of events, so it can be useful for debugging site errors.', '', 'none'),
('2699', '', 'default', 'The watchdog log is simply a list of recorded events containing usage data, performance data, errors, warnings and operational information. Administrators should check the watchdog report on a regular basis to ensure their site is working properly.', '', 'none'),
('2700', '', 'default', 'For more information please read the configuration and customization handbook <a href="@watchdog">Watchdog page</a>.', '', 'none'),
('2701', '', 'default', 'The watchdog module monitors your web site, capturing system events in a log to be reviewed by an authorized individual at a later time. The watchdog log is simply a list of recorded events containing usage data, performance data, errors, warnings and operational information. It is vital to check the watchdog report on a regular basis as it is often the only way to tell what is going on.', '', 'none'),
('2702', '', 'default', 'Logs and records system events.', '', 'none'),
('2703', '', 'default', 'The characters &lt;, &gt;, " and '' are not allowed in the language code field.', '', 'none'),
('2704', '', 'default', 'The characters &lt;, &gt;, " and '' are not allowed in the language name in English field.', '', 'none'),
('2705', '', 'default', 'User interface', '', '7.42'),
('2706', '', 'default', 'Next', '', '7.41'),
('2707', '', 'default', 'Prefix', '', 'none'),
('2708', '', 'default', 'Suffix', '', 'none'),
('2709', '', 'default', 'approve', '', 'none'),
('2710', '', 'default', 'Approve', '', 'none'),
('2711', '', 'default', 'Email address', '', 'none'),
('2712', '', 'default', 'Development', '', '7.42'),
('2713', '', 'default', 'Group', '', '7.42'),
('2714', '', 'default', 'yes', '', 'none'),
('2715', '', 'default', 'Actions', '', '7.42'),
('2716', '', 'default', 'Remove', '', 'none'),
('2717', '', 'default', 'administrator', '', 'none'),
('2718', '', 'default', 'Enable', '', '7.42'),
('2719', '', 'default', 'Article', '', 'none'),
('2720', '', 'default', 'Action', '', 'none'),
('2721', '', 'default', 'Tags', '', 'none'),
('2722', '', 'default', 'Home page', '', 'none'),
('2723', '', 'default', 'Download', '', 'none'),
('2724', '', 'default', 'Overview', '', '7.42'),
('2725', '', 'default', 'File information', '', 'none'),
('2726', '', 'default', 'File', '', '7.42'),
('2727', '', 'default', 'Release notes', '', 'none'),
('2728', '', 'default', 'Daily', '', 'none'),
('2729', '', 'default', 'Weekly', '', 'none'),
('2730', '', 'default', 'None', '', '7.42'),
('2731', '', 'default', 'Display settings', '', 'none'),
('2732', '', 'default', 'Test', '', 'none'),
('2733', '', 'default', 'Number', '', 'none'),
('2734', '', 'default', 'Link', '', '7.42'),
('2735', '', 'default', 'Image', '', '7.42'),
('2736', '', 'default', 'Center', '', '7.41'),
('2737', '', 'default', 'Field', '', '7.42'),
('2738', '', 'default', 'Label', '', 'none'),
('2739', '', 'default', 'Save', '', '7.42'),
('2740', '', 'default', 'Summary', '', 'none'),
('2741', '', 'default', 'Open', '', 'none'),
('2742', '', 'default', 'Core', '', '7.42'),
('2743', '', 'default', 'Format', '', 'none'),
('2744', '', 'default', 'Vocabularies', '', 'none'),
('2745', '', 'default', 'General discussion', '', 'none'),
('2746', '', 'default', 'Refresh', '', 'none'),
('2747', '', 'default', 'Visible', '', 'none'),
('2748', '', 'default', 'Anchor', '', '7.42'),
('2749', '', 'default', 'Display', '', 'none'),
('2750', '', 'default', 'Advanced settings', '', '7.42'),
('2751', '', 'default', 'Teaser', '', '7.42'),
('2752', '', 'default', 'Updated', '', '7.41'),
('2753', '', 'default', 'actions', '', 'none'),
('2754', '', 'default', 'Text', '', '7.42'),
('2755', '', 'default', 'theme', '', 'none'),
('2756', '', 'default', 'Keywords', '', '7.34'),
('2757', '', 'default', '<none>', '', '7.50'),
('2758', '', 'default', 'Unassign', '', 'none'),
('2759', '', 'default', 'Unknown', '', '7.34'),
('2760', '', 'default', 'Find content', '', 'none'),
('2761', '', 'default', 'Content type', '', '7.43'),
('2762', '', 'default', 'action', '', 'none'),
('2763', '', 'default', 'Email', '', 'none'),
('2764', '', 'default', 'Files', '', '7.34'),
('2765', '', 'default', 'User ID', '', 'none'),
('2766', '', 'default', 'Options', '', '7.42'),
('2767', '', 'default', 'no', '', 'none'),
('2768', '', 'default', 'Sent email to %recipient', '', 'none'),
('2769', '', 'default', 'Unable to send email to %recipient', '', 'none'),
('2770', '', 'default', 'The subject of the message.', '', 'none'),
('2771', '', 'default', 'Create', '', 'none'),
('2772', '', 'default', 'Content type for child pages', '', '7.34'),
('2773', '', 'default', 'Remove from outline', '', 'none'),
('2774', '', 'default', 'Done', '', 'none'),
('2775', '', 'default', 'Year', '', '7.41'),
('2776', '', 'default', 'Date format', '', 'none'),
('2777', '', 'default', 'Add content', '', '7.42'),
('2778', '', 'default', 'Taxonomy terms', '', '7.34'),
('2779', '', 'default', 'Good', '', 'none'),
('2780', '', 'default', 'Not found', '', 'none'),
('2781', '', 'default', 'PostgreSQL', '', 'none'),
('2782', '', 'default', 'Available updates', '', '7.42'),
('2783', '', 'default', 'Manual update check', '', 'none'),
('2784', '', 'default', 'Check manually', '', 'none'),
('2785', '', 'default', 'Update available', '', 'none'),
('2786', '', 'default', 'Drupal core update status', '', '7.41'),
('2787', '', 'default', 'Inline', '', 'none'),
('2788', '', 'default', 'Menu link', '', 'none'),
('2789', '', 'default', 'Feed description', '', 'none'),
('2790', '', 'default', 'Revision ID', '', 'none'),
('2791', '', 'default', 'Comment ID', '', 'none'),
('2792', '', 'default', 'URL alias', '', 'none'),
('2793', '', 'default', 'Poll choices', '', 'none'),
('2794', '', 'default', 'Poll votes', '', 'none'),
('2795', '', 'default', 'File ID', '', '7.42'),
('2796', '', 'default', 'File name', '', 'none'),
('2797', '', 'default', 'File size', '', 'none'),
('2798', '', 'default', 'Vocabulary', '', '7.42'),
('2799', '', 'default', 'Vocabulary ID', '', '7.42'),
('2800', '', 'default', 'Term ID', '', '7.42'),
('2801', '', 'default', 'Last login', '', '7.42'),
('2802', '', 'default', 'Field name', '', 'none'),
('2803', '', 'default', 'Field type', '', 'none'),
('2804', '', 'default', 'Widget type', '', '7.42'),
('2805', '', 'default', 'Overridden', '', '7.42'),
('2806', '', 'default', 'Set name', '', 'none'),
('2807', '', 'default', 'Original image', '', 'none'),
('2808', '', 'default', 'Heading', '', 'none'),
('2809', '', 'default', 'Warning', '', '7.34'),
('2810', '', 'default', 'Nodes', '', 'none'),
('2811', '', 'default', 'Width', '', 'none'),
('2812', '', 'default', 'Height', '', 'none'),
('2813', '', 'default', 'Maximum', '', '7.41'),
('2814', '', 'default', 'Line', '', 'none'),
('2815', '', 'default', 'Scale', '', '7.34'),
('2816', '', 'default', 'Medium', '', '7.42'),
('2817', '', 'default', 'Media', '', '7.42'),
('2818', '', 'default', 'Plain text', '', '7.42'),
('2819', '', 'default', 'Caching', '', 'none'),
('2820', '', 'default', 'Month', '', '7.41'),
('2821', '', 'default', 'Widget', '', 'none'),
('2822', '', 'default', 'Prev', '', 'none'),
('2823', '', 'default', 'Domain', '', 'none'),
('2824', '', 'default', 'Processors', '', 'none'),
('2825', '', 'default', 'Send', '', 'none'),
('2826', '', 'default', 'Enter a valid username.', '', 'none'),
('2827', '', 'default', 'Owner', '', 'none'),
('2828', '', 'default', 'Recipient', '', 'none'),
('2829', '', 'default', 'Administer content', '', 'none'),
('2830', '', 'default', 'General', '', '7.42'),
('2831', '', 'default', 'Method', '', 'none'),
('2832', '', 'default', 'Egypt', '', 'none'),
('2833', '', 'default', 'Namibia', '', 'none'),
('2834', '', 'default', 'Israel', '', 'none'),
('2835', '', 'default', 'Iran', '', 'none'),
('2836', '', 'default', 'New Zealand', '', 'none'),
('2837', '', 'default', 'Cuba', '', 'none'),
('2838', '', 'default', 'Brazil', '', 'none'),
('2839', '', 'default', 'Chile', '', 'none'),
('2840', '', 'default', 'Paraguay', '', 'none'),
('2841', '', 'default', 'Jamaica', '', 'none'),
('2842', '', 'default', 'Japan', '', 'none'),
('2843', '', 'default', 'Libya', '', 'none'),
('2844', '', 'default', 'Poland', '', 'none'),
('2845', '', 'default', 'Portugal', '', 'none'),
('2846', '', 'default', 'Singapore', '', 'none'),
('2847', '', 'default', 'Turkey', '', 'none'),
('2848', '', 'default', 'Day', '', '7.41'),
('2849', '', 'default', 'Configuration', '', '7.42'),
('2850', '', 'default', 'Background color', '', 'none'),
('2851', '', 'default', 'Basic', '', '7.42'),
('2852', '', 'default', 'Appearance', '', '7.42'),
('2853', '', 'default', 'Role', '', '7.42'),
('2854', '', 'default', 'Text processing', '', 'none'),
('2855', '', 'default', 'Maximum length', '', 'none'),
('2856', '', 'default', 'Rows', '', 'none'),
('2857', '', 'default', 'Save changes', '', 'none'),
('2858', '', 'default', 'Install', '', 'none'),
('2859', '', 'default', 'Order', '', 'none'),
('2860', '', 'default', 'Set default', '', 'none'),
('2861', '', 'default', 'Integer', '', '7.42'),
('2862', '', 'default', 'IP Address', '', '7.42'),
('2863', '', 'default', 'Anonymous users', '', '7.34'),
('2864', '', 'default', 'Clear cache', '', 'none'),
('2865', '', 'default', 'Visibility settings', '', '7.41'),
('2866', '', 'default', 'Term description', '', '7.42'),
('2867', '', 'default', 'Operation', '', '7.41'),
('2868', '', 'default', 'Function', '', '7.42'),
('2869', '', 'default', 'Server settings', '', 'none'),
('2870', '', 'default', 'Germany', '', 'none'),
('2871', '', 'default', 'Logout', '', 'none'),
('2872', '', 'default', 'Default language', '', '7.34'),
('2873', '', 'default', 'Afghanistan', '', 'none'),
('2874', '', 'default', 'Albania', '', 'none'),
('2875', '', 'default', 'Algeria', '', 'none'),
('2876', '', 'default', 'American Samoa', '', 'none'),
('2877', '', 'default', 'Andorra', '', 'none'),
('2878', '', 'default', 'Angola', '', 'none'),
('2879', '', 'default', 'Anguilla', '', 'none'),
('2880', '', 'default', 'Antarctica', '', 'none'),
('2881', '', 'default', 'Antigua and Barbuda', '', 'none'),
('2882', '', 'default', 'Argentina', '', 'none'),
('2883', '', 'default', 'Armenia', '', 'none'),
('2884', '', 'default', 'Aruba', '', 'none'),
('2885', '', 'default', 'Australia', '', 'none'),
('2886', '', 'default', 'Austria', '', 'none'),
('2887', '', 'default', 'Azerbaijan', '', 'none'),
('2888', '', 'default', 'Bahamas', '', 'none'),
('2889', '', 'default', 'Bahrain', '', 'none'),
('2890', '', 'default', 'Bangladesh', '', 'none'),
('2891', '', 'default', 'Barbados', '', 'none'),
('2892', '', 'default', 'Belarus', '', 'none'),
('2893', '', 'default', 'Belgium', '', 'none'),
('2894', '', 'default', 'Belize', '', 'none'),
('2895', '', 'default', 'Benin', '', 'none'),
('2896', '', 'default', 'Bermuda', '', 'none'),
('2897', '', 'default', 'Bhutan', '', 'none'),
('2898', '', 'default', 'Bolivia', '', 'none'),
('2899', '', 'default', 'Bosnia and Herzegovina', '', 'none'),
('2900', '', 'default', 'Botswana', '', 'none'),
('2901', '', 'default', 'Bouvet Island', '', 'none'),
('2902', '', 'default', 'Brunei', '', 'none'),
('2903', '', 'default', 'Bulgaria', '', 'none'),
('2904', '', 'default', 'Burkina Faso', '', 'none'),
('2905', '', 'default', 'Burundi', '', 'none'),
('2906', '', 'default', 'Cambodia', '', 'none'),
('2907', '', 'default', 'Cameroon', '', 'none'),
('2908', '', 'default', 'Canada', '', 'none'),
('2909', '', 'default', 'Cape Verde', '', 'none'),
('2910', '', 'default', 'Cayman Islands', '', 'none'),
('2911', '', 'default', 'Central African Republic', '', 'none'),
('2912', '', 'default', 'Chad', '', 'none'),
('2913', '', 'default', 'China', '', 'none'),
('2914', '', 'default', 'Christmas Island', '', 'none'),
('2915', '', 'default', 'Cocos (Keeling) Islands', '', 'none'),
('2916', '', 'default', 'Colombia', '', 'none'),
('2917', '', 'default', 'Comoros', '', 'none'),
('2918', '', 'default', 'Cook Islands', '', 'none'),
('2919', '', 'default', 'Costa Rica', '', 'none'),
('2920', '', 'default', 'Cyprus', '', 'none'),
('2921', '', 'default', 'Czech Republic', '', 'none'),
('2922', '', 'default', 'Denmark', '', 'none'),
('2923', '', 'default', 'Djibouti', '', 'none'),
('2924', '', 'default', 'Dominica', '', 'none'),
('2925', '', 'default', 'Dominican Republic', '', 'none'),
('2926', '', 'default', 'Ecuador', '', 'none'),
('2927', '', 'default', 'El Salvador', '', 'none'),
('2928', '', 'default', 'Equatorial Guinea', '', 'none'),
('2929', '', 'default', 'Eritrea', '', 'none'),
('2930', '', 'default', 'Estonia', '', 'none'),
('2931', '', 'default', 'Ethiopia', '', 'none'),
('2932', '', 'default', 'Faroe Islands', '', 'none'),
('2933', '', 'default', 'Finland', '', 'none'),
('2934', '', 'default', 'France', '', 'none'),
('2935', '', 'default', 'French Guiana', '', 'none'),
('2936', '', 'default', 'French Polynesia', '', 'none'),
('2937', '', 'default', 'Gabon', '', 'none'),
('2938', '', 'default', 'Gambia', '', 'none'),
('2939', '', 'default', 'Georgia', '', 'none'),
('2940', '', 'default', 'Ghana', '', 'none'),
('2941', '', 'default', 'Gibraltar', '', 'none'),
('2942', '', 'default', 'Greece', '', 'none'),
('2943', '', 'default', 'Greenland', '', 'none'),
('2944', '', 'default', 'Grenada', '', 'none'),
('2945', '', 'default', 'Guadeloupe', '', 'none'),
('2946', '', 'default', 'Guam', '', 'none'),
('2947', '', 'default', 'Guatemala', '', 'none'),
('2948', '', 'default', 'Guinea', '', 'none'),
('2949', '', 'default', 'Guinea-Bissau', '', 'none'),
('2950', '', 'default', 'Guyana', '', 'none'),
('2951', '', 'default', 'Haiti', '', 'none'),
('2952', '', 'default', 'Heard Island and McDonald Islands', '', 'none'),
('2953', '', 'default', 'Honduras', '', 'none'),
('2954', '', 'default', 'Hungary', '', 'none'),
('2955', '', 'default', 'Iceland', '', 'none'),
('2956', '', 'default', 'India', '', 'none'),
('2957', '', 'default', 'Indonesia', '', 'none'),
('2958', '', 'default', 'Iraq', '', 'none'),
('2959', '', 'default', 'Ireland', '', 'none'),
('2960', '', 'default', 'Italy', '', 'none'),
('2961', '', 'default', 'Jordan', '', 'none'),
('2962', '', 'default', 'Kazakhstan', '', 'none'),
('2963', '', 'default', 'Kenya', '', 'none'),
('2964', '', 'default', 'Kiribati', '', 'none'),
('2965', '', 'default', 'Kuwait', '', 'none'),
('2966', '', 'default', 'Kyrgyzstan', '', 'none'),
('2967', '', 'default', 'Laos', '', 'none'),
('2968', '', 'default', 'Latvia', '', 'none'),
('2969', '', 'default', 'Lebanon', '', 'none'),
('2970', '', 'default', 'Lesotho', '', 'none'),
('2971', '', 'default', 'Liberia', '', 'none'),
('2972', '', 'default', 'Liechtenstein', '', 'none'),
('2973', '', 'default', 'Lithuania', '', 'none'),
('2974', '', 'default', 'Luxembourg', '', 'none'),
('2975', '', 'default', 'Madagascar', '', 'none'),
('2976', '', 'default', 'Malawi', '', 'none'),
('2977', '', 'default', 'Malaysia', '', 'none'),
('2978', '', 'default', 'Maldives', '', 'none'),
('2979', '', 'default', 'Mali', '', 'none'),
('2980', '', 'default', 'Malta', '', 'none'),
('2981', '', 'default', 'Marshall Islands', '', 'none'),
('2982', '', 'default', 'Martinique', '', 'none'),
('2983', '', 'default', 'Mauritania', '', 'none'),
('2984', '', 'default', 'Mauritius', '', 'none'),
('2985', '', 'default', 'Mayotte', '', 'none'),
('2986', '', 'default', 'Mexico', '', 'none'),
('2987', '', 'default', 'Micronesia', '', 'none'),
('2988', '', 'default', 'Moldova', '', 'none'),
('2989', '', 'default', 'Monaco', '', 'none'),
('2990', '', 'default', 'Mongolia', '', 'none'),
('2991', '', 'default', 'Montserrat', '', 'none'),
('2992', '', 'default', 'Morocco', '', 'none'),
('2993', '', 'default', 'Mozambique', '', 'none'),
('2994', '', 'default', 'Myanmar', '', 'none'),
('2995', '', 'default', 'Nepal', '', 'none'),
('2996', '', 'default', 'Netherlands', '', 'none'),
('2997', '', 'default', 'Netherlands Antilles', '', 'none'),
('2998', '', 'default', 'New Caledonia', '', 'none'),
('2999', '', 'default', 'Nicaragua', '', 'none'),
('3000', '', 'default', 'Niger', '', 'none'),
('3001', '', 'default', 'Nigeria', '', 'none'),
('3002', '', 'default', 'Niue', '', 'none'),
('3003', '', 'default', 'Norfolk Island', '', 'none'),
('3004', '', 'default', 'North Korea', '', 'none'),
('3005', '', 'default', 'Northern Mariana Islands', '', 'none'),
('3006', '', 'default', 'Norway', '', 'none'),
('3007', '', 'default', 'Oman', '', 'none'),
('3008', '', 'default', 'Pakistan', '', 'none'),
('3009', '', 'default', 'Palau', '', 'none'),
('3010', '', 'default', 'Panama', '', 'none'),
('3011', '', 'default', 'Papua New Guinea', '', 'none'),
('3012', '', 'default', 'Peru', '', 'none'),
('3013', '', 'default', 'Philippines', '', 'none'),
('3014', '', 'default', 'Puerto Rico', '', 'none'),
('3015', '', 'default', 'Qatar', '', 'none'),
('3016', '', 'default', 'Reunion', '', 'none'),
('3017', '', 'default', 'Romania', '', 'none'),
('3018', '', 'default', 'Russia', '', 'none'),
('3019', '', 'default', 'Rwanda', '', 'none'),
('3020', '', 'default', 'Samoa', '', 'none'),
('3021', '', 'default', 'San Marino', '', 'none'),
('3022', '', 'default', 'Saudi Arabia', '', 'none'),
('3023', '', 'default', 'Senegal', '', 'none'),
('3024', '', 'default', 'Seychelles', '', 'none'),
('3025', '', 'default', 'Sierra Leone', '', 'none'),
('3026', '', 'default', 'Slovakia', '', 'none'),
('3027', '', 'default', 'Slovenia', '', 'none'),
('3028', '', 'default', 'Solomon Islands', '', 'none'),
('3029', '', 'default', 'Somalia', '', 'none'),
('3030', '', 'default', 'South Africa', '', 'none'),
('3031', '', 'default', 'South Georgia and the South Sandwich Islands', '', 'none'),
('3032', '', 'default', 'Spain', '', 'none'),
('3033', '', 'default', 'Sri Lanka', '', 'none'),
('3034', '', 'default', 'Sudan', '', 'none'),
('3035', '', 'default', 'Suriname', '', 'none'),
('3036', '', 'default', 'Svalbard and Jan Mayen', '', 'none'),
('3037', '', 'default', 'Swaziland', '', 'none'),
('3038', '', 'default', 'Sweden', '', 'none'),
('3039', '', 'default', 'Switzerland', '', 'none'),
('3040', '', 'default', 'Syria', '', 'none'),
('3041', '', 'default', 'Taiwan', '', 'none'),
('3042', '', 'default', 'Tajikistan', '', 'none'),
('3043', '', 'default', 'Tanzania', '', 'none'),
('3044', '', 'default', 'Thailand', '', 'none'),
('3045', '', 'default', 'Togo', '', 'none'),
('3046', '', 'default', 'Tokelau', '', 'none'),
('3047', '', 'default', 'Trinidad and Tobago', '', 'none'),
('3048', '', 'default', 'Tunisia', '', 'none'),
('3049', '', 'default', 'Turkmenistan', '', 'none'),
('3050', '', 'default', 'Turks and Caicos Islands', '', 'none'),
('3051', '', 'default', 'Tuvalu', '', 'none'),
('3052', '', 'default', 'Uganda', '', 'none'),
('3053', '', 'default', 'Ukraine', '', 'none'),
('3054', '', 'default', 'United Arab Emirates', '', 'none'),
('3055', '', 'default', 'United Kingdom', '', 'none'),
('3056', '', 'default', 'United States', '', 'none'),
('3057', '', 'default', 'United States Minor Outlying Islands', '', 'none'),
('3058', '', 'default', 'Uruguay', '', 'none'),
('3059', '', 'default', 'Uzbekistan', '', 'none'),
('3060', '', 'default', 'Vanuatu', '', 'none'),
('3061', '', 'default', 'Venezuela', '', 'none'),
('3062', '', 'default', 'Wallis and Futuna', '', 'none'),
('3063', '', 'default', 'Yemen', '', 'none'),
('3064', '', 'default', 'Zambia', '', 'none'),
('3065', '', 'default', 'Zimbabwe', '', 'none'),
('3066', '', 'default', 'Port', '', 'none'),
('3067', '', 'default', 'Size of textfield', '', 'none'),
('3068', '', 'default', 'Hidden', '', 'none'),
('3069', '', 'default', 'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.', '', '7.42'),
('3070', '', 'default', 'Syslog', '', 'none'),
('3071', '', 'default', 'Key', '', '7.42'),
('3072', '', 'default', 'Enabled languages', '', '7.34'),
('3073', '', 'default', 'Import OPML', '', '7.42'),
('3074', '', 'default', 'OPML File', '', 'none'),
('3075', '', 'default', 'Browser', '', '7.34'),
('3076', '', 'default', 'This cannot be undone.', '', 'none'),
('3077', '', 'default', 'Front page', '', 'none'),
('3078', '', 'default', 'Languages', '', '7.42'),
('3079', '', 'default', 'Allowed values list', '', 'none'),
('3080', '', 'default', 'Today', '', 'none'),
('3081', '', 'default', 'Minimum height', '', 'none'),
('3082', '', 'default', 'Minimum width', '', 'none'),
('3083', '', 'default', 'Select list', '', '7.42'),
('3084', '', 'default', 'Text field', '', '7.42'),
('3085', '', 'default', 'Long', '', '7.42'),
('3086', '', 'default', 'Short', '', '7.42'),
('3087', '', 'default', 'Randomize', '', 'none'),
('3088', '', 'default', 'Empty', '', 'none'),
('3089', '', 'default', 'Path alias', '', 'none'),
('3090', '', 'default', 'any', '', '7.41'),
('3091', '', 'default', 'Choice', '', 'none'),
('3092', '', 'default', 'characters', '', 'none'),
('3093', '', 'default', 'Su', '', 'none'),
('3094', '', 'default', 'Mo', '', 'none'),
('3095', '', 'default', 'Tu', '', 'none'),
('3096', '', 'default', 'We', '', 'none'),
('3097', '', 'default', 'Th', '', 'none'),
('3098', '', 'default', 'Fr', '', 'none'),
('3099', '', 'default', 'Sa', '', 'none'),
('3100', '', 'default', 'Info', '', '7.34'),
('3101', '', 'default', 'People', '', '7.42'),
('3102', '', 'default', 'No statistics available.', '', 'none'),
('3103', '', 'default', 'Enabled filters', '', 'none'),
('3104', '', 'default', 'critical', '', 'none'),
('3105', '', 'default', 'Poll settings', '', 'none'),
('3106', '', 'default', 'This table lists all the recorded votes for this poll. If anonymous users are allowed to vote, they will be identified by the IP address of the computer they used when they voted.', '', 'none'),
('3107', '', 'default', 'Session', '', '7.34'),
('3108', '', 'default', 'Permissions', '', '7.42'),
('3109', '', 'default', 'Your settings have been saved.', '', 'none'),
('3110', '', 'default', 'Cron', '', '7.42'),
('3111', '', 'default', 'Installed', '', 'none'),
('3112', '', 'default', 'Date created', '', 'none'),
('3113', '', 'default', 'Testing', '', 'none'),
('3114', '', 'default', 'Standard', '', 'none'),
('3115', '', 'default', 'Aland Islands', '', 'none'),
('3116', '', 'default', 'Falkland Islands', '', 'none'),
('3117', '', 'default', 'Saint Kitts and Nevis', '', 'none'),
('3118', '', 'default', 'South Korea', '', 'none'),
('3119', '', 'default', 'Saint Lucia', '', 'none'),
('3120', '', 'default', 'Saint Helena', '', 'none'),
('3121', '', 'default', 'Sao Tome and Principe', '', 'none'),
('3122', '', 'default', 'French Southern Territories', '', 'none'),
('3123', '', 'default', 'Saint Vincent and the Grenadines', '', 'none'),
('3124', '', 'default', 'British Virgin Islands', '', 'none'),
('3125', '', 'default', 'U.S. Virgin Islands', '', 'none'),
('3126', '', 'default', 'Vietnam', '', 'none'),
('3127', '', 'default', 'Guernsey', '', 'none'),
('3128', '', 'default', 'Jersey', '', 'none'),
('3129', '', 'default', '%type settings', '', 'none'),
('3130', '', 'default', 'Unformatted', '', '7.42'),
('3131', '', 'default', 'Formats', '', '7.42'),
('3132', '', 'default', 'Allowed file extensions', '', 'none'),
('3133', '', 'default', 'New comments', '', '7.42'),
('3134', '', 'default', 'Redirect to URL', '', '7.41'),
('3135', '', 'default', 'Top left', '', 'none'),
('3136', '', 'default', 'Top right', '', 'none'),
('3137', '', 'default', 'Bottom right', '', 'none'),
('3138', '', 'default', 'Bottom left', '', 'none'),
('3139', '', 'default', 'image', '', 'none'),
('3140', '', 'default', 'The username of the user to which you would like to assign ownership.', '', 'none'),
('3141', '', 'default', 'Manage the actions defined for your site.', '', '7.42'),
('3142', '', 'default', 'Delete action', '', 'none'),
('3143', '', 'default', 'The action has been successfully saved.', '', 'none'),
('3144', '', 'default', 'Deleted action %aid (%action)', '', 'none'),
('3145', '', 'default', 'Action ''%action'' added.', '', 'none'),
('3146', '', 'default', 'Remove orphaned actions', '', 'none'),
('3147', '', 'default', 'You are here', '', '7.42'),
('3148', '', 'default', 'Processing', '', 'none'),
('3149', '', 'default', 'Finished', '', 'none'),
('3150', '', 'default', 'Shortcuts', '', '7.42'),
('3151', '', 'default', 'Shortcut', '', 'none'),
('3152', '', 'default', 'Default value', '', 'none'),
('3153', '', 'default', 'Timezone', '', 'none'),
('3154', '', 'default', 'Password strength:', '', 'none'),
('3155', '', 'default', 'Passwords match:', '', 'none'),
('3156', '', 'default', 'Alternate text', '', 'none'),
('3157', '', 'default', 'Assign', '', 'none'),
('3158', '', 'default', 'Not translated', '', 'none'),
('3159', '', 'default', 'Tasks', '', '7.42'),
('3160', '', 'default', 'Basic configuration', '', 'none'),
('3161', '', 'default', 'List menus', '', '7.42'),
('3162', '', 'default', 'Customize menu', '', 'none'),
('3163', '', 'default', 'British Indian Ocean Territory', '', 'none'),
('3164', '', 'default', 'Croatia', '', 'none'),
('3165', '', 'default', 'Macedonia', '', 'none'),
('3166', '', 'default', 'Pitcairn', '', 'none'),
('3167', '', 'default', 'Western Sahara', '', 'none'),
('3168', '', 'default', 'Native name', '', '7.34'),
('3169', '', 'default', 'Above', '', 'none'),
('3170', '', 'default', 'Number of values', '', 'none'),
('3171', '', 'default', 'Add another item', '', 'none'),
('3172', '', 'default', 'Manage fields', '', '7.42'),
('3173', '', 'default', 'Trimmed', '', '7.42'),
('3174', '', 'default', 'Used in', '', 'none'),
('3175', '', 'default', 'Add existing field', '', 'none'),
('3176', '', 'default', 'If you have any content left in this field, it will be lost. This action cannot be undone.', '', 'none'),
('3177', '', 'default', 'Save field settings', '', 'none'),
('3178', '', 'default', 'The update has encountered an error.', '', 'none'),
('3179', '', 'default', '1 item successfully processed:', '', 'none'),
('3180', '', 'default', '@count items successfully processed:', '', 'none'),
('3181', '', 'default', '@count[2] items successfully processed:', '', 'none'),
('3182', '', 'default', 'Decimal', '', '7.42'),
('3183', '', 'default', 'Float', '', '7.42'),
('3184', '', 'default', 'Minimum', '', '7.41'),
('3185', '', 'default', 'Precision', '', 'none'),
('3186', '', 'default', 'The total number of digits to store in the database, including those to the right of the decimal.', '', 'none'),
('3187', '', 'default', 'The number of digits to the right of the decimal.', '', 'none'),
('3188', '', 'default', 'Decimal marker', '', 'none'),
('3189', '', 'default', 'The character users will input to mark the decimal point in forms.', '', 'none'),
('3190', '', 'default', 'Defines numeric field types.', '', 'none'),
('3191', '', 'default', 'For a ''single on/off checkbox'' widget, define the ''off'' value first, then the ''on'' value in the <strong>Allowed values</strong> section. Note that the checkbox will be labeled with the label of the ''on'' value.', '', 'none'),
('3192', '', 'default', 'Check boxes/radio buttons', '', '7.42'),
('3193', '', 'default', 'Single on/off checkbox', '', '7.42'),
('3194', '', 'default', 'Defines selection, check box and radio button widgets for text and numeric fields.', '', 'none'),
('3195', '', 'default', 'Text area (multiple rows)', '', '7.42'),
('3196', '', 'default', 'Defines simple text field types.', '', 'none'),
('3197', '', 'default', 'Index', '', '7.42'),
('3198', '', 'default', 'Enable clean URLs', '', 'none'),
('3199', '', 'default', 'Permalink', '', 'none'),
('3200', '', 'default', 'Theme-engine-specific settings', '', 'none'),
('3201', '', 'default', 'Debug', '', 'none'),
('3202', '', 'default', 'Exception', '', 'none'),
('3203', '', 'default', 'Incompatible with this version of PHP', '', 'none'),
('3204', '', 'default', 'This module requires PHP version @php_required and is incompatible with PHP version !php_version.', '', 'none'),
('3205', '', 'default', 'More information', '', 'none'),
('3206', '', 'default', '!title !required', '', '7.42'),
('3207', '', 'default', 'debug', '', 'none'),
('3208', '', 'default', 'Menu link title', '', 'none'),
('3209', '', 'default', 'The menu system stores system paths only, but will use the URL alias for display. %link_path has been stored as %normal_path', '', 'none'),
('3210', '', 'default', 'The path ''@link_path'' is either invalid or you do not have access to it.', '', 'none'),
('3211', '', 'default', 'There was an error saving the menu link.', '', 'none');
INSERT INTO `locales_source` VALUES
('3212', '', 'default', 'Menu name', '', 'none'),
('3213', '', 'default', 'Are you sure you want to delete the custom menu %title?', '', 'none'),
('3214', '', 'default', '...', '', '7.42'),
('3215', '', 'default', 'RDF', '', 'none'),
('3216', '', 'default', 'Maximum upload size', '', 'none'),
('3217', '', 'default', 'Space', '', 'none'),
('3218', '', 'default', 'Language neutral', '', '7.41'),
('3219', '', 'default', 'More help', '', 'none'),
('3220', '', 'default', 'Account blocked', '', '7.34'),
('3221', '', 'default', 'Expand', '', 'none'),
('3222', '', 'default', 'info', '', 'none'),
('3223', '', 'default', 'OpenID redirect', '', 'none'),
('3224', '', 'default', 'OpenID Login', '', 'none'),
('3225', '', 'default', 'Delete OpenID', '', 'none'),
('3226', '', 'default', 'Log in using OpenID', '', 'none'),
('3227', '', 'default', 'Cancel OpenID login', '', 'none'),
('3228', '', 'default', 'What is OpenID?', '', 'none'),
('3229', '', 'default', 'OpenID login failed.', '', 'none'),
('3230', '', 'default', 'OpenID login cancelled.', '', 'none'),
('3231', '', 'default', 'Successfully added %identity', '', 'none'),
('3232', '', 'default', 'OpenID', '', 'none'),
('3233', '', 'default', 'Add an OpenID', '', 'none'),
('3234', '', 'default', 'That OpenID is already in use on this site.', '', 'none'),
('3235', '', 'default', 'Are you sure you want to delete the OpenID %authname for %user?', '', 'none'),
('3236', '', 'default', 'OpenID deleted.', '', 'none'),
('3237', '', 'default', 'edit menu', '', '7.41'),
('3238', '', 'default', 'Overlay', '', 'none'),
('3239', '', 'default', 'Resize', '', '7.34'),
('3240', '', 'default', 'Defines a file field type.', '', 'none'),
('3241', '', 'default', 'ok', '', 'none'),
('3242', '', 'default', 'Error saving user account.', '', 'none'),
('3243', '', 'default', 'Action %action has been unassigned.', '', 'none'),
('3244', '', 'default', 'Parser', '', 'none'),
('3245', '', 'default', 'Discard items older than', '', 'none'),
('3246', '', 'default', '@site_name - aggregated feeds in category @title', '', 'none'),
('3247', '', 'default', '@site_name - aggregated feeds', '', 'none'),
('3248', '', 'default', '@site_name aggregator', '', 'none'),
('3249', '', 'default', '!title feed', '', 'none'),
('3250', '', 'default', 'Feed aggregator', '', '7.42'),
('3251', '', 'default', 'HTTP authentication', '', 'none'),
('3252', '', 'default', 'New feed items are automatically filed in the checked categories.', '', 'none'),
('3253', '', 'default', 'ajax', '', 'none'),
('3254', '', 'default', 'Context', '', '7.42'),
('3255', '', 'default', 'Taxonomy vocabulary', '', '7.42'),
('3256', '', 'default', '-n/a-', '', 'none'),
('3257', '', 'default', 'Found the @submit button', '', 'none'),
('3258', '', 'default', 'Failed to set field @name to @value', '', 'none'),
('3259', '', 'default', 'No temporary directories to remove.', '', 'none'),
('3260', '', 'default', 'Run tests against Drupal core and your active modules. These tests help assure that your site code is working as designed.', '', 'none'),
('3261', '', 'default', 'Palestinian Territory', '', 'none'),
('3262', '', 'default', 'Vatican', '', 'none'),
('3263', '', 'default', 'Featured', '', '7.42'),
('3264', '', 'default', 'Send message', '', 'none'),
('3265', '', 'default', 'Machine name', '', '7.42'),
('3266', '', 'default', 'Allow Upscaling', '', 'none'),
('3267', '', 'default', 'Let scale make images larger than their original size', '', 'none'),
('3268', '', 'default', 'Rotation angle', '', 'none'),
('3269', '', 'default', 'The number of degrees the image should be rotated. Positive numbers are clockwise, negative are counter-clockwise.', '', 'none'),
('3270', '', 'default', 'Randomize the rotation angle for each image. The angle specified above is used as a maximum.', '', 'none'),
('3271', '', 'default', 'Print', '', '7.42'),
('3272', '', 'default', 'Locked', '', 'none'),
('3273', '', 'default', 'Account', '', 'none'),
('3274', '', 'default', 'Any', '', 'none'),
('3275', '', 'default', 'E-mail addresses to notify when updates are available', '', 'none'),
('3276', '', 'default', 'Whenever your site checks for available updates and finds new releases, it can notify a list of users via e-mail. Put each address on a separate line. If blank, no e-mails will be sent.', '', 'none'),
('3277', '', 'default', 'Check for updates', '', 'none'),
('3278', '', 'default', 'All newer versions', '', 'none'),
('3279', '', 'default', 'Only security updates', '', 'none'),
('3280', '', 'default', '%email is not a valid e-mail address.', '', 'none'),
('3281', '', 'default', '%emails are not valid e-mail addresses.', '', 'none'),
('3282', '', 'default', 'No update data available', '', '7.34'),
('3283', '', 'default', 'Not secure!', '', 'none'),
('3284', '', 'default', 'Revoked!', '', 'none'),
('3285', '', 'default', 'Unsupported release', '', 'none'),
('3286', '', 'default', 'Can not determine status', '', 'none'),
('3287', '', 'default', '(version @version available)', '', 'none'),
('3288', '', 'default', 'See the available updates page for more information:', '', 'none'),
('3289', '', 'default', 'New release(s) available for !site_name', '', 'none'),
('3290', '', 'default', 'There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!', '', 'none'),
('3291', '', 'default', 'Your version of Drupal has been revoked and is no longer available for download. Upgrading is strongly recommended!', '', 'none'),
('3292', '', 'default', 'The installed version of at least one of your modules or themes has been revoked and is no longer available for download. Upgrading or disabling is strongly recommended!', '', 'none'),
('3293', '', 'default', 'Your version of Drupal is no longer supported. Upgrading is strongly recommended!', '', 'none'),
('3294', '', 'default', 'There are updates available for your version of Drupal. To ensure the proper functioning of your site, you should update as soon as possible.', '', 'none'),
('3295', '', 'default', 'See the <a href="@available_updates">available updates</a> page for more information.', '', 'none'),
('3296', '', 'default', 'Project not secure', '', 'none'),
('3297', '', 'default', 'This project has been labeled insecure by the Drupal security team, and is no longer available for download. Immediately disabling everything included by this project is strongly recommended!', '', 'none'),
('3298', '', 'default', 'Project revoked', '', 'none'),
('3299', '', 'default', 'This project has been revoked, and is no longer available for download. Disabling everything included by this project is strongly recommended!', '', 'none'),
('3300', '', 'default', 'Project not supported', '', 'none'),
('3301', '', 'default', 'This project is no longer supported, and is no longer available for download. Disabling everything included by this project is strongly recommended!', '', 'none'),
('3302', '', 'default', 'No available releases found', '', '7.34'),
('3303', '', 'default', 'Release revoked', '', 'none'),
('3304', '', 'default', 'Your currently installed release has been revoked, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!', '', 'none'),
('3305', '', 'default', 'Release not supported', '', 'none'),
('3306', '', 'default', 'Your currently installed release is now unsupported, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!', '', 'none'),
('3307', '', 'default', 'Invalid info', '', 'none'),
('3308', '', 'default', 'Security update required!', '', 'none'),
('3309', '', 'default', 'Not supported!', '', 'none'),
('3310', '', 'default', 'Recommended version:', '', 'none'),
('3311', '', 'default', 'Security update:', '', 'none'),
('3312', '', 'default', 'Latest version:', '', 'none'),
('3313', '', 'default', 'Development version:', '', 'none'),
('3314', '', 'default', 'Also available:', '', 'none'),
('3315', '', 'default', 'Node count', '', 'none'),
('3316', '', 'default', 'Skip to main content', '', '7.42'),
('3317', '', 'default', '@title', '', 'none'),
('3318', '', 'default', 'Expand layout to include descriptions.', '', 'none'),
('3319', '', 'default', 'Compress layout by hiding descriptions.', '', '7.34'),
('3320', '', 'default', 'Or', '', 'none'),
('3321', '', 'default', 'Content ID', '', 'none'),
('3322', '', 'default', 'About', '', '7.42'),
('3323', '', 'default', 'Reports', '', '7.42'),
('3324', '', 'default', 'If the amount of boxes above isn''t enough, click here to add more choices.', '', 'none'),
('3325', '', 'default', 'Install profile', '', 'none'),
('3326', '', 'default', 'File directory', '', 'none'),
('3327', '', 'default', 'Default theme', '', 'none'),
('3328', '', 'default', 'The content access permissions have been rebuilt.', '', 'none'),
('3329', '', 'default', 'Publish content', '', '7.41'),
('3330', '', 'default', 'Stack overflow: too many calls to actions_do(). Aborting to prevent infinite recursion.', '', 'none'),
('3331', '', 'default', 'Action %action saved.', '', 'none'),
('3332', '', 'default', 'You may proceed to the <a href="@url">Triggers</a> page to assign these actions to system events.', '', 'none'),
('3333', '', 'default', 'Manage actions', '', '7.42'),
('3334', '', 'default', 'Configure an advanced action', '', '7.42'),
('3335', '', 'default', 'Delete an action.', '', 'none'),
('3336', '', 'default', 'Remove orphans', '', 'none'),
('3337', '', 'default', 'Triggers', '', '7.42'),
('3338', '', 'default', 'Unassign an action from a trigger.', '', 'none'),
('3339', '', 'default', 'Choose an advanced action', '', 'none'),
('3340', '', 'default', 'Action type', '', 'none'),
('3341', '', 'default', 'Are you sure you want to delete the action %action?', '', 'none'),
('3342', '', 'default', 'Action %action was deleted', '', 'none'),
('3343', '', 'default', 'Deleted orphaned action (%action).', '', 'none'),
('3344', '', 'default', 'Are you sure you want to unassign the action %title?', '', 'none'),
('3345', '', 'default', 'You can assign it again later if you wish.', '', 'none'),
('3346', '', 'default', 'unassign', '', 'none'),
('3347', '', 'default', 'Choose an action', '', 'none'),
('3348', '', 'default', 'The action you chose is already assigned to that trigger.', '', 'none'),
('3349', '', 'default', 'When cron runs', '', '7.42'),
('3350', '', 'default', 'The URL to which the user should be redirected. This can be an internal URL like node/1234 or an external URL like http://drupal.org.', '', 'none'),
('3351', '', 'default', 'When content is viewed by an authenticated user', '', '7.42'),
('3352', '', 'default', 'Display a message to the user', '', '7.41'),
('3353', '', 'default', 'Unpublish comment', '', '7.41'),
('3354', '', 'default', 'Unpublish comment containing keyword(s)', '', '7.41'),
('3355', '', 'default', 'Block current user', '', '7.41'),
('3356', '', 'default', 'Ban IP address of current user', '', '7.41'),
('3357', '', 'default', 'Set @type %title to published.', '', 'none'),
('3358', '', 'default', 'Set @type %title to unpublished.', '', 'none'),
('3359', '', 'default', 'Set @type %title to sticky.', '', 'none'),
('3360', '', 'default', 'Set @type %title to unsticky.', '', 'none'),
('3361', '', 'default', 'Promoted @type %title to front page.', '', 'none'),
('3362', '', 'default', 'Removed @type %title from front page.', '', 'none'),
('3363', '', 'default', 'Saved @type %title', '', 'none'),
('3364', '', 'default', 'Changed owner of @type %title to uid %name.', '', 'none'),
('3365', '', 'default', 'After saving a new comment', '', '7.42'),
('3366', '', 'default', 'After saving an updated comment', '', '7.42'),
('3367', '', 'default', 'After deleting a comment', '', '7.42'),
('3368', '', 'default', 'When a comment is being viewed by an authenticated user', '', '7.42'),
('3369', '', 'default', 'Unpublished comment %subject.', '', 'none'),
('3370', '', 'default', 'After a user has been deleted', '', '7.42'),
('3371', '', 'default', 'After a user has logged in', '', '7.42'),
('3372', '', 'default', 'After a user has logged out', '', '7.42'),
('3373', '', 'default', 'When a user''s profile is being viewed', '', '7.42'),
('3374', '', 'default', 'Blocked user %name.', '', 'none'),
('3375', '', 'default', 'Banned IP address %ip', '', 'none'),
('3376', '', 'default', 'After saving a new term to the database', '', '7.42'),
('3377', '', 'default', 'After saving an updated term to the database', '', '7.42'),
('3378', '', 'default', 'After deleting a term', '', '7.42'),
('3379', '', 'default', 'Enables actions to be fired on certain system events, such as when new content is created.', '', '7.34'),
('3380', '', 'default', '- Select -', '', '7.41'),
('3381', '', 'default', 'Path prefix', '', 'none'),
('3382', '', 'default', 'Up to date translation', '', 'none'),
('3383', '', 'default', 'Outdated translation', '', 'none'),
('3384', '', 'default', 'New posts', '', 'none'),
('3385', '', 'default', 'mm/dd/yy', '', 'none'),
('3386', '', 'default', 'Translate', '', '7.42'),
('3387', '', 'default', 'File to import not found.', '', 'none'),
('3388', '', 'default', 'Create @name', '', 'none'),
('3389', '', 'default', 'The custom menu %title has been deleted.', '', 'none'),
('3390', '', 'default', '@type %title has been deleted.', '', 'none'),
('3391', '', 'default', 'Crop', '', '7.34'),
('3392', '', 'default', 'Not enabled', '', '7.34'),
('3393', '', 'default', 'Instructions to present to the user below this field on the editing form.<br />Allowed HTML tags: @tags', '', 'none'),
('3394', '', 'default', '@module (<span class="admin-disabled">disabled</span>)', '', 'none'),
('3395', '', 'default', '@module (<span class="admin-enabled">enabled</span>)', '', 'none'),
('3396', '', 'default', 'Web services', '', '7.42'),
('3397', '', 'default', 'The e-mail address %email is already taken.', '', 'none'),
('3398', '', 'default', 'Effect', '', 'none'),
('3399', '', 'default', 'Error message', '', '7.42'),
('3400', '', 'default', 'Change book (update list of parents)', '', 'none'),
('3401', '', 'default', 'create a new book', '', 'none'),
('3402', '', 'default', 'edit order and titles', '', '7.41'),
('3403', '', 'default', 'Manage your site''s book outlines.', '', '7.42'),
('3404', '', 'default', 'For security reasons, your upload has been renamed to %filename.', '', '7.41'),
('3405', '', 'default', 'Installed version', '', 'none'),
('3406', '', 'default', 'Recommended version', '', 'none'),
('3407', '', 'default', 'Cron run successfully.', '', 'none'),
('3408', '', 'default', 'original', '', 'none'),
('3409', '', 'default', 'Dates', '', 'none'),
('3410', '', 'default', 'pixels', '', '7.34'),
('3411', '', 'default', '1 month', '', 'none'),
('3412', '', 'default', '@count months', '', 'none'),
('3413', '', 'default', '@count[2] months', '', 'none'),
('3414', '', 'default', 'Save order', '', 'none'),
('3415', '', 'default', 'done', '', 'none'),
('3416', '', 'default', 'Custom format', '', 'none'),
('3417', '', 'default', 'Direction', '', '7.34'),
('3418', '', 'default', '%name: illegal value.', '', 'none'),
('3419', '', 'default', 'Edit %title', '', 'none'),
('3420', '', 'default', 'Drupal core', '', 'none'),
('3421', '', 'default', 'Book navigation block display', '', 'none'),
('3422', '', 'default', 'Relations', '', 'none'),
('3423', '', 'default', 'No content available.', '', '7.41'),
('3424', '', 'default', 'Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />In the meantime, a welcome message with further instructions has been sent to your e-mail address.', '', 'none'),
('3425', '', 'default', 'Congo (Kinshasa)', '', 'none'),
('3426', '', 'default', 'Congo (Brazzaville)', '', 'none'),
('3427', '', 'default', 'Ivory Coast', '', 'none'),
('3428', '', 'default', 'Hong Kong S.A.R., China', '', 'none'),
('3429', '', 'default', 'Isle of Man', '', 'none'),
('3430', '', 'default', 'Montenegro', '', 'none'),
('3431', '', 'default', 'Macao S.A.R., China', '', 'none'),
('3432', '', 'default', 'Saint Pierre and Miquelon', '', 'none'),
('3433', '', 'default', 'Serbia', '', 'none'),
('3434', '', 'default', 'Warning message', '', '7.42'),
('3435', '', 'default', 'The specified file %file could not be copied, because no file by that name exists. Please check that you supplied the correct filename.', '', 'none'),
('3436', '', 'default', 'The specified file %file was not copied because it would overwrite itself.', '', 'none'),
('3437', '', 'default', 'The file %file could not be saved, because it exceeds %maxsize, the maximum allowed size for uploads.', '', 'none'),
('3438', '', 'default', 'The specified file %name could not be uploaded.', '', 'none'),
('3439', '', 'default', 'The file''s name is empty. Please give a name to the file.', '', 'none'),
('3440', '', 'default', 'Only files with the following extensions are allowed: %files-allowed.', '', 'none'),
('3441', '', 'default', 'The file is %filesize exceeding the maximum file size of %maxsize.', '', 'none'),
('3442', '', 'default', 'The file is %filesize which would exceed your disk quota of %quota.', '', 'none'),
('3443', '', 'default', 'Only JPEG, PNG and GIF images are allowed.', '', 'none'),
('3444', '', 'default', 'The image was resized to fit within the maximum allowed dimensions of %dimensions pixels.', '', 'none'),
('3445', '', 'default', 'The image is too large; the maximum dimensions are %dimensions pixels.', '', 'none'),
('3446', '', 'default', 'The image is too small; the minimum dimensions are %dimensions pixels.', '', 'none'),
('3447', '', 'default', 'The file %path was not deleted, because it does not exist.', '', 'none'),
('3448', '', 'default', 'Upload error. Could not move uploaded file %file to destination %destination.', '', 'none'),
('3449', '', 'default', 'Stark', '', 'none'),
('3450', '', 'default', 'New set', '', 'none'),
('3451', '', 'default', 'outdated', '', 'none'),
('3452', '', 'default', '<strong>@language_name</strong> (source)', '', 'none'),
('3453', '', 'default', 'add translation', '', 'none'),
('3454', '', 'default', 'Translations of %title', '', 'none'),
('3455', '', 'default', 'Manage tagging, categorization, and classification of your content.', '', '7.42'),
('3456', '', 'default', 'cURL', '', 'none'),
('3457', '', 'default', 'Pass', '', 'none'),
('3458', '', 'default', 'Fail', '', 'none'),
('3459', '', 'default', 'No test results to display.', '', 'none'),
('3460', '', 'default', 'Save and continue', '', 'none'),
('3461', '', 'default', 'Spaces are allowed; punctuation is not allowed except for periods, hyphens, and underscores.', '', 'none'),
('3462', '', 'default', 'IP address', '', 'none'),
('3463', '', 'default', 'Maximum height', '', 'none'),
('3464', '', 'default', 'Maximum width', '', 'none'),
('3465', '', 'default', 'Timor-Leste', '', 'none'),
('3466', '', 'default', 'Primary tabs', '', '7.41'),
('3467', '', 'default', 'Secondary tabs', '', '7.41'),
('3468', '', 'default', 'Add new content', '', '7.41'),
('3469', '', 'default', 'Boolean', '', '7.42'),
('3470', '', 'default', 'Maximum image resolution', '', 'none'),
('3471', '', 'default', 'First sidebar', '', '7.41'),
('3472', '', 'default', 'Decimal point', '', 'none'),
('3473', '', 'default', 'Book outline', '', 'none'),
('3474', '', 'default', 'This will be the top-level page in this book.', '', 'none'),
('3475', '', 'default', 'Revision information', '', 'none'),
('3476', '', 'default', 'View comment', '', 'none'),
('3477', '', 'default', 'Comma', '', 'none'),
('3478', '', 'default', 'Uses', '', 'none'),
('3479', '', 'default', 'Current user', '', '7.42'),
('3480', '', 'default', 'Digest', '', 'none'),
('3481', '', 'default', 'Default image', '', 'none'),
('3482', '', 'default', 'This text will be used by screen readers, search engines, or when the image cannot be loaded.', '', 'none'),
('3483', '', 'default', 'List links', '', '7.42'),
('3484', '', 'default', 'MIME type', '', 'none'),
('3485', '', 'default', 'Toolbar', '', 'none'),
('3486', '', 'default', 'Posted in', '', '7.41'),
('3487', '', 'default', 'Comment: unauthorized comment submitted or comment submitted to a closed post %subject.', '', 'none'),
('3488', '', 'default', '!name''s blog', '', 'none'),
('3489', '', 'default', 'Email:', '', 'none'),
('3490', '', 'default', 'Dashboard', '', '7.42'),
('3491', '', 'default', 'Search index', '', '7.42'),
('3492', '', 'default', 'The size of the file.', '', '7.42'),
('3493', '', 'default', 'The MIME type of the file.', '', 'none'),
('3494', '', 'default', '@type %title has been created.', '', 'none'),
('3495', '', 'default', '@type %title has been updated.', '', 'none'),
('3496', '', 'default', 'The post could not be saved.', '', 'none'),
('3497', '', 'default', '1 character', '', 'none'),
('3498', '', 'default', '@count characters', '', 'none'),
('3499', '', 'default', '@count[2] characters', '', 'none'),
('3500', '', 'default', 'Filter settings', '', 'none'),
('3501', '', 'default', 'You do not have any administrative items.', '', 'none'),
('3502', '', 'default', 'Help topics', '', 'none'),
('3503', '', 'default', 'Help is available on the following items:', '', 'none'),
('3504', '', 'default', 'Translate interface', '', '7.42'),
('3505', '', 'default', 'PHP extensions', '', '7.34'),
('3506', '', 'default', 'Comments per page', '', 'none'),
('3507', '', 'default', 'Multilingual support', '', 'none'),
('3508', '', 'default', 'Enabled, with translation', '', 'none'),
('3509', '', 'default', 'Publish comment', '', '7.41'),
('3510', '', 'default', 'The file could not be uploaded.', '', 'none'),
('3511', '', 'default', 'FTP', '', 'none'),
('3512', '', 'default', 'The directory %file is not protected from modifications and poses a security risk. You must change the directory''s permissions to be non-writable. ', '', 'none'),
('3513', '', 'default', 'Collaboration', '', 'none'),
('3514', '', 'default', 'Administration pages', '', 'none'),
('3515', '', 'default', 'Created content type %type.', '', 'none'),
('3516', '', 'default', 'User created with name %name and pass %pass', '', 'none'),
('3517', '', 'default', 'Created permissions: @perms', '', 'none'),
('3518', '', 'default', 'Invalid permission %permission.', '', 'none'),
('3519', '', 'default', 'Username field found.', '', 'none'),
('3520', '', 'default', 'Password field found.', '', 'none'),
('3521', '', 'default', '!method @url returned @status (!length).', '', 'none'),
('3522', '', 'default', 'Valid HTML found on "@path"', '', 'none'),
('3523', '', 'default', 'Parsed page successfully.', '', 'none'),
('3524', '', 'default', 'Found the requested form fields at @path', '', 'none'),
('3525', '', 'default', 'Did not find field by name @name', '', 'none'),
('3526', '', 'default', 'Found field by id @id', '', 'none'),
('3527', '', 'default', 'Did not find field by id @id', '', 'none'),
('3528', '', 'default', 'HTTP response expected !code, actual !curl_code', '', 'none'),
('3529', '', 'default', 'The website encountered an unexpected error. Please try again later.', '', 'none'),
('3530', '', 'default', 'Tests', '', 'none'),
('3531', '', 'default', 'Run tests', '', 'none'),
('3532', '', 'default', 'Clean test environment', '', 'none'),
('3533', '', 'default', 'Remove tables with the prefix "simpletest" and temporary directories that are left over from tests that crashed. This is intended for developers when creating tests.', '', 'none'),
('3534', '', 'default', 'Clean environment', '', 'none'),
('3535', '', 'default', 'No tests to display.', '', 'none'),
('3536', '', 'default', '@pass, @fail, and @exception', '', 'none'),
('3537', '', 'default', 'No test(s) selected.', '', 'none'),
('3538', '', 'default', 'Processing test @num of @max - %test.', '', 'none'),
('3539', '', 'default', '@name: @summary', '', 'none'),
('3540', '', 'default', 'Processed test @num of @max - %test.', '', 'none'),
('3541', '', 'default', '1 pass', '', 'none'),
('3542', '', 'default', '@count passes', '', 'none'),
('3543', '', 'default', '@count[2] passes', '', 'none'),
('3544', '', 'default', '1 fail', '', 'none'),
('3545', '', 'default', '@count fails', '', 'none'),
('3546', '', 'default', '@count[2] fails', '', 'none'),
('3547', '', 'default', '1 exception', '', 'none'),
('3548', '', 'default', '@count exceptions', '', 'none'),
('3549', '', 'default', '@count[2] exceptions', '', 'none'),
('3550', '', 'default', 'PHP DOMDocument class', '', 'none'),
('3551', '', 'default', 'Provides a framework for unit and functional testing.', '', 'none'),
('3552', '', 'default', 'Main menu', '', '7.42'),
('3553', '', 'default', 'Created a new user account for <a href="@url">%name</a>. No e-mail has been sent.', '', 'none'),
('3554', '', 'default', 'Registration successful. You are now logged in.', '', 'none'),
('3555', '', 'default', 'New user: %name (%email).', '', 'none'),
('3556', '', 'default', 'Trigger', '', 'none'),
('3557', '', 'default', 'Add link', '', '7.42'),
('3558', '', 'default', 'View comments', '', 'none'),
('3559', '', 'default', '%name: this field cannot hold more than @count values.', '', 'none'),
('3560', '', 'default', 'No fields available.', '', 'none'),
('3561', '', 'default', 'After saving new content', '', '7.42'),
('3562', '', 'default', 'After deleting content', '', '7.42'),
('3563', '', 'default', 'Vertical Tabs', '', '7.41'),
('3564', '', 'default', 'Initializing.', '', 'none'),
('3565', '', 'default', 'An error has occurred.', '', 'none'),
('3566', '', 'default', 'Please continue to <a href="@error_url">the error page</a>', '', 'none'),
('3567', '', 'default', 'HTTP POST is required.', '', 'none'),
('3568', '', 'default', 'Your page will be a part of the selected book.', '', 'none'),
('3569', '', 'default', 'alert', '', 'none'),
('3570', '', 'default', 'emergency', '', 'none'),
('3571', '', 'default', 'Filter log messages', '', 'none'),
('3572', '', 'default', 'You must select something to filter by.', '', 'none'),
('3573', '', 'default', 'More choices', '', 'none'),
('3574', '', 'default', 'filter', '', 'none'),
('3575', '', 'default', 'The title of the comment.', '', '7.42'),
('3576', '', 'default', 'Comment count', '', '7.42'),
('3577', '', 'default', 'The title of the node.', '', 'none'),
('3578', '', 'default', 'The date the node was posted.', '', 'none'),
('3579', '', 'default', 'Views today', '', '7.42'),
('3580', '', 'default', 'contact', '', 'none'),
('3581', '', 'default', 'Search for either of the two terms with uppercase <strong>OR</strong>. For example, <strong>cats OR dogs</strong>.', '', 'none'),
('3582', '', 'default', 'PHP filter', '', 'none'),
('3583', '', 'default', 'Language settings', '', 'none'),
('3584', '', 'default', 'HTTP request status', '', 'none'),
('3585', '', 'default', 'Fails', '', 'none'),
('3586', '', 'default', 'Visitors', '', '7.34'),
('3587', '', 'default', 'The maximum length of the field in characters.', '', 'none'),
('3588', '', 'default', 'Machine-readable name', '', 'none'),
('3589', '', 'default', 'Edit language', '', 'none'),
('3590', '', 'default', 'list links', '', '7.41'),
('3591', '', 'default', 'Blue Lagoon (default)', '', 'none'),
('3592', '', 'default', 'The requested page could not be found.', '', 'none'),
('3593', '', 'default', 'The user account %id does not exist.', '', 'none'),
('3594', '', 'default', 'Attempted to cancel non-existing user account: %id.', '', 'none'),
('3595', '', 'default', 'Requirements problem', '', 'none'),
('3596', '', 'default', 'If more than one application will be sharing this database, enter a table prefix such as %prefix for your @drupal site here.', '', 'none'),
('3597', '', 'default', 'Choose language', '', 'none'),
('3598', '', 'default', 'Learn how to install Drupal in other languages', '', 'none'),
('3599', '', 'default', '<ul><li>To start over, you must empty your existing database.</li><li>To install to a different database, edit the appropriate <em>settings.php</em> file in the <em>sites</em> folder.</li><li>To upgrade an existing installation, proceed to the <a href="@base-url/update.php">update script</a>.</li><li>View your <a href="@base-url">existing site</a>.</li></ul>', '', 'none'),
('3600', '', 'default', 'Installing @drupal', '', 'none'),
('3601', '', 'default', 'The installation has encountered an error.', '', 'none'),
('3602', '', 'default', 'Configure site', '', 'none'),
('3603', '', 'default', 'Installed %module module.', '', 'none'),
('3604', '', 'default', 'Choose profile', '', 'none'),
('3605', '', 'default', 'Verify requirements', '', 'none'),
('3606', '', 'default', 'Set up database', '', 'none'),
('3607', '', 'default', 'Set up translations', '', 'none'),
('3608', '', 'default', 'Install site', '', 'none'),
('3609', '', 'default', 'Finish translations', '', 'none'),
('3610', '', 'default', 'Site e-mail address', '', 'none'),
('3611', '', 'default', 'The <em>From</em> address in automated e-mails sent during registration and new password requests, and other notifications. (Use an address ending in your site''s domain to help prevent this e-mail being flagged as spam.)', '', 'none'),
('3612', '', 'default', 'By default, dates in this site will be displayed in the chosen time zone.', '', 'none'),
('3613', '', 'default', 'Update notifications', '', '7.34'),
('3614', '', 'default', 'Check for updates automatically', '', 'none'),
('3615', '', 'default', 'Removed orphaned action ''%action'' from database.', '', 'none'),
('3616', '', 'default', 'GD2 image manipulation toolkit', '', 'none'),
('3617', '', 'default', 'The GD toolkit is installed and working properly.', '', 'none'),
('3618', '', 'default', 'The GD image toolkit requires that the GD module for PHP be installed and configured properly. For more information see <a href="@url">PHP''s image documentation</a>.', '', 'none'),
('3619', '', 'default', 'JPEG quality must be a number between 0 and 100.', '', 'none'),
('3620', '', 'default', 'Right to left', '', 'none'),
('3621', '', 'default', 'Left to right', '', '7.34'),
('3622', '', 'default', 'Predefined language', '', 'none'),
('3623', '', 'default', 'Save language', '', 'none'),
('3624', '', 'default', '<a href="@rfc4646">RFC 4646</a> compliant language identifier. Language codes typically use a country code, and optionally, a script or regional variant name. <em>Examples: "en", "en-US" and "zh-Hant".</em>', '', 'none'),
('3625', '', 'default', 'Name of the language in English. Will be available for translation in all languages.', '', 'none'),
('3626', '', 'default', 'Native language name', '', 'none'),
('3627', '', 'default', 'Name of the language in the language being added.', '', 'none'),
('3628', '', 'default', 'Language domain', '', 'none'),
('3629', '', 'default', 'Direction that text in this language is presented.', '', 'none'),
('3630', '', 'default', 'The language %language has been created and can now be used. More information is available on the <a href="@locale-help">help screen</a>.', '', 'none'),
('3631', '', 'default', 'Domain and path prefix values should not be set at the same time.', '', 'none'),
('3632', '', 'default', 'The domain (%domain) is already tied to a language (%language).', '', 'none'),
('3633', '', 'default', 'Only the default language can have both the domain and prefix empty.', '', 'none'),
('3634', '', 'default', 'The prefix (%prefix) is already tied to a language (%language).', '', 'none'),
('3635', '', 'default', 'The English language cannot be deleted.', '', 'none'),
('3636', '', 'default', 'The default language cannot be deleted.', '', 'none'),
('3637', '', 'default', 'Deleting a language will remove all interface translations associated with it, and posts in this language will be set to be language neutral. This action cannot be undone.', '', 'none'),
('3638', '', 'default', 'Language negotiation configuration saved.', '', '7.34'),
('3639', '', 'default', 'English (built-in)', '', '7.41'),
('3640', '', 'default', 'String contains', '', '7.41'),
('3641', '', 'default', 'Both translated and untranslated strings', '', '7.41'),
('3642', '', 'default', 'Limit search to', '', '7.41'),
('3643', '', 'default', 'All text groups', '', '7.41'),
('3644', '', 'default', 'A Gettext Portable Object (<em>.po</em>) file.', '', '7.41'),
('3645', '', 'default', 'Choose the language you want to add strings into. If you choose a language which is not yet set up, it will be added.', '', '7.41'),
('3646', '', 'default', 'Text group', '', '7.41'),
('3647', '', 'default', 'Imported translations will be added to this text group.', '', '7.41'),
('3648', '', 'default', 'The language %language has been created.', '', 'none'),
('3649', '', 'default', 'Select the language to export in Gettext Portable Object (<em>.po</em>) format.', '', 'none'),
('3650', '', 'default', 'Generate a Gettext Portable Object Template (<em>.pot</em>) file with all strings from the Drupal locale database.', '', 'none'),
('3651', '', 'default', 'The submitted string contains disallowed HTML: %string', '', 'none'),
('3652', '', 'default', 'The translation was successfully imported. There are %number newly created translated strings, %update strings were updated and %delete strings were removed.', '', '7.41'),
('3653', '', 'default', 'Importing interface translations', '', 'none'),
('3654', '', 'default', 'Starting import', '', 'none'),
('3655', '', 'default', 'Error importing interface translations', '', 'none'),
('3656', '', 'default', 'Attempted submission of a translation string with disallowed HTML: %string', '', 'none'),
('3657', '', 'default', 'The %language language (%code) has been created.', '', 'none'),
('3658', '', 'default', 'Imported %file into %locale: %number new strings added, %update updated and %delete removed.', '', 'none'),
('3659', '', 'default', 'Updated JavaScript translation file for the language %language.', '', 'none'),
('3660', '', 'default', 'Created JavaScript translation file for the language %language.', '', 'none'),
('3661', '', 'default', 'Removed JavaScript translation file for the language %language, because no translations currently exist for that language.', '', 'none'),
('3662', '', 'default', 'An error occurred during creation of the JavaScript translation file for the language %language.', '', 'none'),
('3663', '', 'default', 'One translation string was skipped because it contains disallowed HTML.', '', 'none'),
('3664', '', 'default', '@count translation strings were skipped because they contain disallowed HTML.', '', 'none'),
('3665', '', 'default', '@count[2] translation strings were skipped because they contain disallowed HTML.', '', 'none'),
('3666', '', 'default', 'One translation file imported for the newly installed modules.', '', 'none'),
('3667', '', 'default', '@count translation files imported for the newly installed modules.', '', 'none'),
('3668', '', 'default', '@count[2] translation files imported for the newly installed modules.', '', 'none'),
('3669', '', 'default', 'One translation file imported for the enabled modules.', '', 'none'),
('3670', '', 'default', '@count translation files imported for the enabled modules.', '', 'none'),
('3671', '', 'default', '@count[2] translation files imported for the enabled modules.', '', 'none'),
('3672', '', 'default', 'Sinhala', '', '7.41'),
('3673', '', 'default', 'Error sending e-mail (from %from to %to).', '', 'none'),
('3674', '', 'default', 'The name of the feed (or the name of the website providing the feed).', '', 'none'),
('3675', '', 'default', 'Thousands of sites (particularly news sites and blogs) publish their latest headlines and posts in feeds, using a number of standardized XML-based formats. Formats supported by the aggregator include <a href="@rss">RSS</a>, <a href="@rdf">RDF</a>, and <a href="@atom">Atom</a>.', '', 'none'),
('3676', '', 'default', 'Current feeds are listed below, and <a href="@addfeed">new feeds may be added</a>. For each feed or feed category, the <em>latest items</em> block may be enabled at the <a href="@block">blocks administration page</a>.', '', 'none'),
('3677', '', 'default', 'Add a feed in RSS, RDF or Atom format. A feed may only have one entry.', '', 'none'),
('3678', '', 'default', 'Categories allow feed items from different feeds to be grouped together. For example, several sport-related feeds may belong to a category named <em>Sports</em>. Feed items may be grouped automatically (by selecting a category when creating or editing a feed) or manually (via the <em>Categorize</em> page available from feed item listings). Each category provides its own feed page and block.', '', 'none'),
('3679', '', 'default', 'No blocks in this region', '', '7.41'),
('3680', '', 'default', 'The block %info was assigned to the invalid region %region and has been disabled.', '', 'none'),
('3681', '', 'default', 'You have not created any blog entries.', '', 'none'),
('3682', '', 'default', '!author has not created any blog entries.', '', 'none'),
('3683', '', 'default', 'No blog entries have been created.', '', 'none'),
('3684', '', 'default', 'Read !username''s latest blog entries.', '', 'none'),
('3685', '', 'default', '!username''s blog', '', 'none'),
('3686', '', 'default', 'The content type for the %add-child link must be one of those selected as an allowed book outline type.', '', 'none'),
('3687', '', 'default', 'This book has been modified by another user, the changes could not be saved.', '', 'none'),
('3688', '', 'default', 'Title changed from %original to %current.', '', 'none'),
('3689', '', 'default', 'book: updated %title.', '', 'none'),
('3690', '', 'default', 'No changes were made', '', 'none'),
('3691', '', 'default', 'The post has been added to the selected book. You may now position it relative to other pages.', '', 'none'),
('3692', '', 'default', 'There was an error adding the post to the book.', '', 'none'),
('3693', '', 'default', '%title has associated child pages, which will be relocated automatically to maintain their connection to the book. To recreate the hierarchy (as it was before removing this page), %title may be added again using the Outline tab, and each of its former child pages will need to be relocated manually.', '', 'none'),
('3694', '', 'default', '%title may be added to hierarchy again using the Outline tab.', '', 'none'),
('3695', '', 'default', 'Are you sure you want to remove %title from the book hierarchy?', '', 'none'),
('3696', '', 'default', 'Show block on all pages', '', 'none'),
('3697', '', 'default', 'Show block only on book pages', '', 'none'),
('3698', '', 'default', 'If <em>Show block on all pages</em> is selected, the block will contain the automatically generated menus for all of the site''s books. If <em>Show block only on book pages</em> is selected, the block will contain only the one menu corresponding to the current page''s book. In this case, if the current page is not in a book, no block will be displayed. The <em>Page specific visibility settings</em> or other visibility settings can be used in addition to selectively display this block.', '', 'none'),
('3699', '', 'default', 'This is the top-level page in this book.', '', 'none'),
('3700', '', 'default', 'No book selected.', '', 'none'),
('3701', '', 'default', 'The parent page in the book. The maximum depth for a book and all child pages is !maxdepth. Some pages in the selected book may not be available as parents if selecting them would exceed this limit.', '', 'none'),
('3702', '', 'default', '%title is part of a book outline, and has associated child pages. If you proceed with deletion, the child pages will be relocated automatically.', '', 'none'),
('3703', '', 'default', 'Re-order book pages and change titles', '', 'none'),
('3704', '', 'default', 'The contact form has not been configured. <a href="@add">Add one or more categories</a> to the form.', '', 'none'),
('3705', '', 'default', 'Database logging', '', 'none'),
('3706', '', 'default', 'Logs and records system events to the database.', '', 'none'),
('3707', '', 'default', 'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.', '', '7.42'),
('3708', '', 'default', 'Short but meaningful name for this collection of threaded discussions.', '', 'none'),
('3709', '', 'default', 'Description and guidelines for discussions within this forum.', '', 'none'),
('3710', '', 'default', 'Forums are displayed in ascending order by weight (forums with equal weights are displayed alphabetically).', '', 'none'),
('3711', '', 'default', 'Short but meaningful name for this collection of related forums.', '', 'none'),
('3712', '', 'default', 'Description and guidelines for forums within this container.', '', 'none'),
('3713', '', 'default', 'Containers are displayed in ascending order by weight (containers with equal weights are displayed alphabetically).', '', 'none'),
('3714', '', 'default', 'Deleting a forum or container will also delete its sub-forums, if any. To delete posts in this forum, visit <a href="@content">content administration</a> first. This action cannot be undone.', '', 'none'),
('3715', '', 'default', 'Default number of forum topics displayed per page.', '', 'none'),
('3716', '', 'default', 'Default display order for topics.', '', 'none'),
('3717', '', 'default', 'Containers are usually placed at the top (root) level, but may also be placed inside another container or forum.', '', 'none'),
('3718', '', 'default', 'Forums may be placed at the top (root) level, or inside another container or forum.', '', 'none'),
('3719', '', 'default', 'For more information, see the online handbook entry for <a href="@forum">Forum module</a>.', '', 'none'),
('3720', '', 'default', 'You are not allowed to post new content in the forum.', '', 'none'),
('3721', '', 'default', 'This page provides an overview of available translatable strings. Drupal displays translatable strings in text groups; modules may define additional text groups containing other translatable strings. Because text groups provide a method of grouping related strings, they are often used to focus translation efforts on specific areas of the Drupal interface.', '', '7.41'),
('3722', '', 'default', 'Note that the <em>.po</em> files within a translation package are imported automatically (if available) when new modules or themes are enabled, or as new languages are added. Since this page only allows the import of one <em>.po</em> file at a time, it may be simpler to download and extract a translation package into your Drupal installation directory and <a href="@language-add">add the language</a> (which automatically imports all <em>.po</em> files within the package). Translation packages are available for download on the <a href="@translations">Drupal translation page</a>.', '', '7.41'),
('3723', '', 'default', 'This page exports the translated strings used by your site. An export file may be in Gettext Portable Object (<em>.po</em>) form, which includes both the original string and the translation (used to share translations with others), or in Gettext Portable Object Template (<em>.pot</em>) form, which includes the original strings only (used to create new translations with a Gettext translation editor).', '', 'none'),
('3724', '', 'default', 'Built-in interface', '', '7.41'),
('3725', '', 'default', 'This account''s default language for e-mails, and preferred language for site presentation.', '', 'none'),
('3726', '', 'default', 'This account''s default language for e-mails.', '', 'none'),
('3727', '', 'default', 'A path alias set for a specific language will always be used when displaying this page in that language, and takes precedence over path aliases set for <em>All languages</em>.', '', 'none'),
('3728', '', 'default', 'Enable multilingual support for this content type. If enabled, a language selection field will be added to the editing form, allowing you to select from one of the <a href="!languages">enabled languages</a>. If disabled, new posts are saved with the default language. Existing content will not be affected by changing this option.', '', 'none'),
('3729', '', 'default', 'Configure languages for content and the user interface.', '', '7.42'),
('3730', '', 'default', 'Translate the built in interface and optionally other text.', '', '7.42'),
('3731', '', 'default', 'Adds language handling functionality and enables the translation of the user interface to languages other than English.', '', '7.34'),
('3732', '', 'default', 'Submission form settings', '', 'none'),
('3733', '', 'default', 'The machine-readable name must contain only lowercase letters, numbers, and underscores.', '', 'none'),
('3734', '', 'default', 'Changed the content type of 1 post from %old-type to %type.', '', 'none'),
('3735', '', 'default', 'Changed the content type of @count posts from %old-type to %type.', '', 'none'),
('3736', '', 'default', 'Changed the content type of @count[2] posts from %old-type to %type.', '', 'none'),
('3737', '', 'default', 'Are you sure you want to rebuild the permissions on site content?', '', 'none'),
('3738', '', 'default', 'This action rebuilds all permissions on site content, and may be a lengthy process. This action cannot be undone.', '', 'none'),
('3739', '', 'default', 'language', '', '7.41'),
('3740', '', 'default', 'An error occurred and processing did not complete.', '', 'none'),
('3741', '', 'default', 'The trimmed version of your post shows what your post looks like when promoted to the main page or when exported for syndication.<span class="no-js"> You can insert the delimiter "&lt;!--break--&gt;" (without the quotes) to fine-tune where your post gets split.</span>', '', 'none'),
('3742', '', 'default', '@type %title has been reverted back to the revision from %revision-date.', '', 'none'),
('3743', '', 'default', 'Revision from %revision-date of @type %title has been deleted.', '', 'none'),
('3744', '', 'default', 'The content access permissions need to be rebuilt.', '', 'none'),
('3745', '', 'default', 'Rebuilding content access permissions', '', 'none'),
('3746', '', 'default', 'Content permissions have been rebuilt.', '', 'none'),
('3747', '', 'default', 'The content access permissions have not been properly rebuilt.', '', 'none'),
('3748', '', 'default', 'Revert to earlier revision', '', 'none'),
('3749', '', 'default', 'Delete earlier revision', '', 'none'),
('3750', '', 'default', 'To use OpenID you must first establish an identity on a public or private OpenID server. If you do not have an OpenID and would like one, look into one of the <a href="@openid-providers">free public providers</a>. You can find out more about OpenID at <a href="@openid-net">this website</a>.', '', 'none'),
('3751', '', 'default', 'OpenID identities', '', 'none'),
('3752', '', 'default', 'Allows users to log into your site using OpenID.', '', 'none'),
('3753', '', 'default', 'The alias %alias is already in use in this language.', '', 'none'),
('3754', '', 'default', 'Filter aliases', '', 'none'),
('3755', '', 'default', '<a href="@drupal">Drupal.org</a> offers <a href="@php-snippets">some example PHP snippets</a>, or you can create your own with some PHP experience and knowledge of the Drupal system.', '', 'none'),
('3756', '', 'default', 'Using custom PHP code', '', 'none'),
('3757', '', 'default', 'Custom PHP code may be embedded in some types of site content, including posts and blocks. While embedding PHP code inside a post or block is a powerful and flexible feature when used by a trusted user with PHP experience, it is a significant and dangerous security risk when used improperly. Even a small mistake when posting PHP code may accidentally compromise your site.', '', 'none'),
('3758', '', 'default', 'If you are unfamiliar with PHP, SQL, or Drupal, avoid using custom PHP code within posts. Experimenting with PHP may corrupt your database, render your site inoperable, or significantly compromise security.', '', 'none'),
('3759', '', 'default', 'Notes:', '', 'none'),
('3760', '', 'default', 'Remember to double-check each line for syntax and logic errors <strong>before</strong> saving.', '', 'none'),
('3761', '', 'default', 'Statements must be correctly terminated with semicolons.', '', 'none'),
('3762', '', 'default', 'Global variables used within your PHP code retain their values after your script executes.', '', 'none'),
('3763', '', 'default', '<code>register_globals</code> is <strong>turned off</strong>. If you need to use forms, understand and use the functions in <a href="@formapi">the Drupal Form API</a>.', '', 'none'),
('3764', '', 'default', 'Use a <code>print</code> or <code>return</code> statement in your code to output content.', '', 'none'),
('3765', '', 'default', 'Develop and test your PHP code using a separate test script and sample database before deploying on a production site.', '', 'none'),
('3766', '', 'default', 'Consider including your custom PHP code within a site-specific module or <code>template.php</code> file rather than embedding it directly into a post or block.', '', 'none'),
('3767', '', 'default', 'Be aware that the ability to embed PHP code within content is provided by the PHP Filter module. If this module is disabled or deleted, then blocks and posts with embedded PHP may display, rather than execute, the PHP code.', '', 'none'),
('3768', '', 'default', 'A basic example: <em>Creating a "Welcome" block that greets visitors with a simple message.</em>', '', 'none'),
('3769', '', 'default', 'Executes a piece of PHP code. The usage of this filter should be restricted to administrators only!', '', '7.42'),
('3770', '', 'default', 'Allows embedded PHP code/snippets to be evaluated.', '', '7.34'),
('3771', '', 'default', 'Total votes: @votes', '', 'none'),
('3772', '', 'default', 'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.', '', '7.42'),
('3773', '', 'default', 'Your vote could not be recorded because you did not select any of the choices.', '', 'none'),
('3774', '', 'default', 'Vote count', '', 'none'),
('3775', '', 'default', 'Profile fields have been updated.', '', 'none'),
('3776', '', 'default', 'No fields in this category. If this category remains empty when saved, it will be removed.', '', 'none'),
('3777', '', 'default', 'For security, auto-complete will be disabled if the user does not have access to user profiles.', '', 'none'),
('3778', '', 'default', 'Number of items to index per cron run', '', 'none'),
('3779', '', 'default', 'The maximum number of items indexed in each pass of a <a href="@cron">cron maintenance task</a>. If necessary, reduce the number of items to prevent timeouts and memory errors while indexing.', '', 'none');
INSERT INTO `locales_source` VALUES
('3780', '', 'default', '<p><em>Changing the settings below will cause the site index to be rebuilt. The search index is not cleared but systematically updated to reflect the new settings. Searching will continue to work but new content won''t be indexed until all existing content has been re-indexed.</em></p><p><em>The default settings should be appropriate for the majority of sites.</em></p>', '', 'none'),
('3781', '', 'default', 'The search engine maintains an index of words found in your site''s content. To build and maintain this index, a correctly configured <a href="@cron">cron maintenance task</a> is required. Indexing behavior can be adjusted using the settings below.', '', 'none'),
('3782', '', 'default', 'Older access log entries (including referrer statistics) will be automatically discarded. (Requires a correctly configured <a href="@cron">cron maintenance task</a>.)', '', 'none'),
('3783', '', 'default', 'This page displays the site''s most recent hits.', '', 'none'),
('3784', '', 'default', 'This page displays all external referrers, or external references to your website.', '', 'none'),
('3785', '', 'default', 'When you ban a visitor, you prevent the visitor''s IP address from accessing your site. Unlike blocking a user, banning a visitor works even for anonymous users. This is most commonly used to block resource-intensive bots or web crawlers.', '', 'none'),
('3786', '', 'default', 'Logs and records system events to syslog.', '', 'none'),
('3787', '', 'default', 'Your shortcut icon, or ''favicon'', is displayed in the address bar and bookmarks of most browsers.', '', 'none'),
('3788', '', 'default', '@module (<span class="admin-missing">missing</span>)', '', 'none'),
('3789', '', 'default', 'Caches cleared.', '', 'none'),
('3790', '', 'default', 'Number of items in each feed', '', 'none'),
('3791', '', 'default', 'Default number of items to include in each feed.', '', 'none'),
('3792', '', 'default', 'Feed content', '', 'none'),
('3793', '', 'default', 'Global setting for the default display of content items in each feed.', '', 'none'),
('3794', '', 'default', 'Cron ran successfully.', '', 'none'),
('3795', '', 'default', 'Cron run failed.', '', 'none'),
('3796', '', 'default', 'This theme requires PHP version @php_required and is incompatible with PHP version !php_version.', '', 'none'),
('3797', '', 'default', 'The <em>Powered by Drupal</em> block is an optional link to the home page of the Drupal project. While there is absolutely no requirement that sites feature this link, it may be used to show support for Drupal.', '', 'none'),
('3798', '', 'default', 'Here you can find a short overview of your site''s parameters as well as any problems detected with your installation. It may be useful to copy and paste this information into support requests filed on drupal.org''s support forums and project issue queues.', '', '7.34'),
('3799', '', 'default', 'Powered by Drupal', '', '7.41'),
('3800', '', 'default', 'Could not delete temporary file "%path" during garbage collection', '', 'none'),
('3801', '', 'default', 'Date and time lookup', '', 'none'),
('3802', '', 'default', 'Clean URL check', '', 'none'),
('3803', '', 'default', '-1 (Unlimited)', '', 'none'),
('3804', '', 'default', 'PHP memory limit', '', '7.34'),
('3805', '', 'default', 'Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the installation process.', '', 'none'),
('3806', '', 'default', 'Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the update process.', '', 'none'),
('3807', '', 'default', 'Depending on your configuration, Drupal can run with a %memory_limit PHP memory limit. However, a %memory_minimum_limit PHP memory limit or above is recommended, especially if your site uses additional custom or contributed modules.', '', 'none'),
('3808', '', 'default', 'Increase the memory limit by editing the memory_limit parameter in the file %configuration-file and then restart your web server (or contact your system administrator or hosting provider for assistance).', '', 'none'),
('3809', '', 'default', 'Contact your system administrator or hosting provider for assistance with increasing your PHP memory limit.', '', 'none'),
('3810', '', 'default', 'See the <a href="@url">Drupal requirements</a> for more information.', '', 'none'),
('3811', '', 'default', 'For more information, see the online handbook entry for <a href="@cron-handbook">configuring cron jobs</a>.', '', '7.34'),
('3812', '', 'default', 'Cron has not run recently.', '', 'none'),
('3813', '', 'default', 'Database updates', '', '7.34'),
('3814', '', 'default', 'The update.php script is accessible to everyone without authentication check, which is a security risk. You must change the $update_free_access value in your settings.php back to FALSE.', '', 'none'),
('3815', '', 'default', 'Access to update.php', '', '7.34'),
('3816', '', 'default', 'Reset to alphabetical', '', 'none'),
('3817', '', 'default', 'Terms are displayed in ascending order by weight.', '', 'none'),
('3818', '', 'default', 'Weight value must be numeric.', '', 'none'),
('3819', '', 'default', 'Are you sure you want to reset the vocabulary %title to alphabetical order?', '', 'none'),
('3820', '', 'default', 'Resetting a vocabulary will discard all custom ordering and sort items alphabetically.', '', 'none'),
('3821', '', 'default', 'Reset vocabulary %name to alphabetical order.', '', 'none'),
('3822', '', 'default', 'Translations of a piece of content are managed with translation sets. Each translation set has one source post and any number of translations in any of the <a href="!languages">enabled languages</a>. All translations are tracked to be up to date or outdated based on whether the source post was modified significantly.', '', 'none'),
('3823', '', 'default', 'Translation settings', '', 'none'),
('3824', '', 'default', 'Flag translations as outdated', '', 'none'),
('3825', '', 'default', 'If you made a significant change, which means translations should be updated, you can flag all translations of this post as outdated. This will not change any other property of those posts, like whether they are published or not.', '', 'none'),
('3826', '', 'default', 'This translation needs to be updated', '', 'none'),
('3827', '', 'default', 'When this option is checked, this translation needs to be updated because the source post has changed. Uncheck when the translation is up to date again.', '', 'none'),
('3828', '', 'default', 'Content translation', '', 'none'),
('3829', '', 'default', 'Allows content to be translated into different languages.', '', 'none'),
('3830', '', 'default', 'Unknown release date', '', 'none'),
('3831', '', 'default', 'Last checked: @time ago', '', 'none'),
('3832', '', 'default', 'Last checked: never', '', 'none'),
('3833', '', 'default', 'Includes: %includes', '', 'none'),
('3834', '', 'default', 'Disabled modules', '', 'none'),
('3835', '', 'default', 'Disabled themes', '', 'none'),
('3836', '', 'default', 'Select how frequently you want to automatically check for new releases of your currently installed modules and themes.', '', 'none'),
('3837', '', 'default', 'E-mail notification threshold', '', 'none'),
('3838', '', 'default', 'You can choose to send e-mail only if a security update is available, or to be notified about all newer versions. If there are updates available of Drupal core or any of your installed modules and themes, your site will always print a message on the <a href="@status_report">status report</a> page, and will also display an error message on administration pages if there is a security update.', '', 'none'),
('3839', '', 'default', 'Here you can find information about available updates for your installed modules and themes. Note that each module or theme is part of a "project", which may or may not have the same name, and might include multiple modules or themes within it.', '', 'none'),
('3840', '', 'default', 'Module and theme update status', '', '7.41'),
('3841', '', 'default', 'There are security updates available for one or more of your modules or themes. To ensure the security of your server, you should update immediately!', '', 'none'),
('3842', '', 'default', 'There are updates available for one or more of your modules or themes. To ensure the proper functioning of your site, you should update as soon as possible.', '', 'none'),
('3843', '', 'default', 'Get a status report about available updates for your installed modules and themes.', '', '7.42'),
('3844', '', 'default', 'Notify user when account is activated.', '', '7.34'),
('3845', '', 'default', 'Notify user when account is blocked.', '', '7.34'),
('3846', '', 'default', 'Sorry, %name is not recognized as a user name or an e-mail address.', '', 'none'),
('3847', '', 'default', 'Signature settings', '', 'none'),
('3848', '', 'default', 'This web page allows administrators to register new users. Users'' e-mail addresses and usernames must be unique.', '', 'none'),
('3849', '', 'default', 'Enter a simple pattern ("*" may be used as a wildcard match) to search for a username or e-mail address. For example, one may search for "br" and Drupal might return "brian", "brad", and "brenda@example.com".', '', 'none'),
('3850', '', 'default', 'Garland', '', '7.42'),
('3851', '', 'default', 'The title is used as a tool tip when the user hovers the mouse over the image.', '', 'none'),
('3852', '', 'default', 'Progress indicator', '', 'none'),
('3853', '', 'default', 'Bar with progress meter', '', 'none'),
('3854', '', 'default', 'Throbber', '', 'none'),
('3855', '', 'default', 'The file upload failed. %upload', '', 'none'),
('3856', '', 'default', 'URL to file', '', '7.42'),
('3857', '', 'default', 'An unrecoverable error occurred. The uploaded file likely exceeded the maximum file size (@size) that this server supports.', '', 'none'),
('3858', '', 'default', 'Starting upload...', '', 'none'),
('3859', '', 'default', 'Uploading... (@current of @total)', '', 'none'),
('3860', '', 'default', 'Your server is capable of displaying file upload progress, but does not have the required libraries. It is recommended to install the <a href="http://pecl.php.net/package/uploadprogress">PECL uploadprogress library</a> (preferred) or to install <a href="http://us2.php.net/apc">APC</a>.', '', '7.34'),
('3861', '', 'default', 'Your server is capable of displaying file upload progress using APC RFC1867. Note that only one upload at a time is supported. It is recommended to use the <a href="http://pecl.php.net/package/uploadprogress">PECL uploadprogress library</a> if possible.', '', 'none'),
('3862', '', 'default', 'Your server is not capable of displaying file upload progress. File upload progress requires PHP be run with mod_php and not as FastCGI.', '', 'none'),
('3863', '', 'default', 'Your server is capable of displaying file upload progress through APC, but it is not enabled. Add <code>apc.rfc1867 = 1</code> to your php.ini configuration. Alternatively, it is recommended to use <a href="http://pecl.php.net/package/uploadprogress">PECL uploadprogress</a>, which supports more than one simultaneous upload.', '', 'none'),
('3864', '', 'default', 'Enabled (<a href="http://php.net/manual/en/apc.configuration.php#ini.apc.rfc1867">APC RFC1867</a>)', '', 'none'),
('3865', '', 'default', 'Enabled (<a href="http://pecl.php.net/package/uploadprogress">PECL uploadprogress</a>)', '', 'none'),
('3866', '', 'default', 'Upload progress', '', '7.34'),
('3867', '', 'default', 'Interface', '', '7.34'),
('3868', '', 'default', '@size KB', '', '7.41'),
('3869', '', 'default', '@size MB', '', '7.41'),
('3870', '', 'default', '@size GB', '', '7.41'),
('3871', '', 'default', '@size TB', '', '7.41'),
('3872', '', 'default', '@size PB', '', '7.41'),
('3873', '', 'default', '@size EB', '', '7.41'),
('3874', '', 'default', '@size ZB', '', '7.41'),
('3875', '', 'default', '@size YB', '', '7.41'),
('3876', '', 'default', 'All messages', '', 'none'),
('3877', '', 'default', '(empty)', '', 'none'),
('3878', '', 'default', 'Text format', '', '7.42'),
('3879', '', 'default', 'No new posts', '', 'none'),
('3880', '', 'default', 'Sticky topic', '', 'none'),
('3881', '', 'default', 'The translation file %filename contains an error: "msgctxt" is unexpected on line %line.', '', 'none'),
('3882', '', 'default', 'The name of the site.', '', 'none'),
('3883', '', 'default', 'Region settings', '', '7.41'),
('3884', '', 'default', 'Format string', '', 'none'),
('3885', '', 'default', 'Are you sure you want to remove the format %format?', '', 'none'),
('3886', '', 'default', 'Removed date format %format.', '', 'none'),
('3887', '', 'default', 'Add format', '', '7.42'),
('3888', '', 'default', 'Allow users to add additional date formats.', '', '7.42'),
('3889', '', 'default', 'Delete date format', '', 'none'),
('3890', '', 'default', 'Allow users to delete a configured date format.', '', 'none'),
('3891', '', 'default', 'Configure date formats for each locale', '', '7.42'),
('3892', '', 'default', 'Content type name', '', 'none'),
('3893', '', 'default', 'Slate', '', 'none'),
('3894', '', 'default', 'manage fields', '', 'none'),
('3895', '', 'default', '@field_name (Locked)', '', 'none'),
('3896', '', 'default', '- Select a field type -', '', 'none'),
('3897', '', 'default', '- Select a widget -', '', 'none'),
('3898', '', 'default', 'Type of data to store.', '', 'none'),
('3899', '', 'default', 'Form element to edit the data.', '', 'none'),
('3900', '', 'default', '- Select an existing field -', '', 'none'),
('3901', '', 'default', 'Field to share', '', 'none'),
('3902', '', 'default', 'Add new field: you need to provide a label.', '', 'none'),
('3903', '', 'default', 'Add new field: you need to provide a field name.', '', 'none'),
('3904', '', 'default', 'Add new field: you need to select a field type.', '', 'none'),
('3905', '', 'default', 'Add new field: you need to select a widget.', '', 'none'),
('3906', '', 'default', 'Add new field: invalid widget.', '', 'none'),
('3907', '', 'default', 'Add existing field: you need to provide a label.', '', 'none'),
('3908', '', 'default', 'Add existing field: you need to select a field.', '', 'none'),
('3909', '', 'default', 'Add existing field: you need to select a widget.', '', 'none'),
('3910', '', 'default', 'Add existing field: invalid widget.', '', 'none'),
('3911', '', 'default', '@type: @field (@label)', '', 'none'),
('3912', '', 'default', 'The field %field is locked and cannot be edited.', '', 'none'),
('3913', '', 'default', 'Maximum number of values users can enter for this field.', '', 'none'),
('3914', '', 'default', '''Unlimited'' will provide an ''Add more'' button so the users can add as many values as they like.', '', 'none'),
('3915', '', 'default', '%name must be an integer.', '', 'none'),
('3916', '', 'default', '%name must be a positive integer.', '', 'none'),
('3917', '', 'default', '%name must be a number.', '', 'none'),
('3918', '', 'default', 'Only numbers are allowed in %field.', '', 'none'),
('3919', '', 'default', 'Regional settings', '', '7.42'),
('3920', '', 'default', 'Rotate', '', '7.34'),
('3921', '', 'default', 'Page top', '', '7.42'),
('3922', '', 'default', 'Page bottom', '', '7.42'),
('3923', '', 'default', 'Hello <strong>@username</strong>', '', '7.42'),
('3924', '', 'default', 'width @width', '', 'none'),
('3925', '', 'default', 'height @height', '', 'none'),
('3926', '', 'default', 'upscaling allowed', '', 'none'),
('3927', '', 'default', 'random between -@degrees&deg and @degrees&deg', '', 'none'),
('3928', '', 'default', '@degrees&deg', '', 'none'),
('3929', '', 'default', 'Sidebar first', '', '7.41'),
('3930', '', 'default', 'Database is encoded in UTF-8', '', 'none'),
('3931', '', 'default', 'Drupal could not determine the encoding of the database was set to UTF-8', '', 'none'),
('3932', '', 'default', 'PostgreSQL has initialized itself.', '', 'none'),
('3933', '', 'default', 'Structure', '', '7.42'),
('3934', '', 'default', 'Created role of name: @name, id: @rid', '', 'none'),
('3935', '', 'default', 'User %name successfully logged in.', '', 'none'),
('3936', '', 'default', 'Raw "@raw" found', '', 'none'),
('3937', '', 'default', 'Raw "@raw" not found', '', 'none'),
('3938', '', 'default', '"@text" found', '', 'none'),
('3939', '', 'default', '"@text" not found', '', 'none'),
('3940', '', 'default', 'Pattern "@pattern" found', '', 'none'),
('3941', '', 'default', 'Pattern "@pattern" not found', '', 'none'),
('3942', '', 'default', 'Checkbox field @id is checked.', '', 'none'),
('3943', '', 'default', 'Checkbox field @id is not checked.', '', 'none'),
('3944', '', 'default', 'Verbose message', '', 'none'),
('3945', '', 'default', 'Select the test(s) or test group(s) you would like to run, and click <em>Run tests</em>.', '', 'none'),
('3946', '', 'default', 'All (@count)', '', 'none'),
('3947', '', 'default', 'Pass (@count)', '', 'none'),
('3948', '', 'default', 'Fail (@count)', '', 'none'),
('3949', '', 'default', 'Return to list', '', 'none'),
('3950', '', 'default', 'Clear results after each complete test suite run', '', 'none'),
('3951', '', 'default', 'Provide verbose information when running tests', '', 'none'),
('3952', '', 'default', 'The verbose data will be printed along with the standard assertions and is useful for debugging. The verbose data will be erased between each test suite run. The verbose data output is very detailed and should only be used when debugging.', '', 'none'),
('3953', '', 'default', 'HTTP auth settings to be used by the SimpleTest browser during testing. Useful when the site requires basic HTTP authentication.', '', 'none'),
('3954', '', 'default', '@pass, @fail, @exception, and @debug', '', 'none'),
('3955', '', 'default', 'The test run did not successfully finish.', '', 'none'),
('3956', '', 'default', 'Clear results is disabled and the test results table will not be cleared.', '', 'none'),
('3957', '', 'default', 'No leftover tables to remove.', '', 'none'),
('3958', '', 'default', '1 debug message', '', 'none'),
('3959', '', 'default', '@count debug messages', '', 'none'),
('3960', '', 'default', '@count[2] debug messages', '', 'none'),
('3961', '', 'default', 'Removed 1 test result.', '', 'none'),
('3962', '', 'default', 'Removed @count test results.', '', 'none'),
('3963', '', 'default', 'Removed @count[2] test results.', '', 'none'),
('3964', '', 'default', 'Removed 1 leftover table.', '', 'none'),
('3965', '', 'default', 'Removed @count leftover tables.', '', 'none'),
('3966', '', 'default', 'Removed @count[2] leftover tables.', '', 'none'),
('3967', '', 'default', 'Removed 1 temporary directory.', '', 'none'),
('3968', '', 'default', 'Removed @count temporary directories.', '', 'none'),
('3969', '', 'default', 'Removed @count[2] temporary directories.', '', 'none'),
('3970', '', 'default', 'Test result', '', 'none'),
('3971', '', 'default', 'View result of tests.', '', 'none'),
('3972', '', 'default', 'hash', '', 'none'),
('3973', '', 'default', 'Comment permalink', '', 'none'),
('3974', '', 'default', '!site_name blogs', '', 'none'),
('3975', '', 'default', 'Search block', '', 'none'),
('3976', '', 'default', 'Edit style', '', 'none'),
('3977', '', 'default', 'Delete style', '', 'none'),
('3978', '', 'default', 'Check for updates of disabled modules and themes', '', 'none'),
('3979', '', 'default', 'Fetcher', '', 'none'),
('3980', '', 'default', 'Seven', '', '7.42'),
('3981', '', 'default', 'openid', '', 'none'),
('3982', '', 'default', 'Submitted by !username on !datetime', '', '7.42'),
('3983', '', 'default', 'Administer forums', '', 'none'),
('3984', '', 'default', 'Cancel account', '', 'none'),
('3985', '', 'default', 'Secondary menu', '', 'none'),
('3986', '', 'default', 'Administrator role', '', '7.34'),
('3987', '', 'default', 'Private files', '', '7.42'),
('3988', '', 'default', 'Other blocks', '', 'none'),
('3989', '', 'default', 'The unique ID of the comment.', '', 'none'),
('3990', '', 'default', 'The IP address of the computer the comment was posted from.', '', 'none'),
('3991', '', 'default', 'The name left by the comment author.', '', 'none'),
('3992', '', 'default', 'The email address left by the comment author.', '', 'none'),
('3993', '', 'default', 'The home page URL left by the comment author.', '', 'none'),
('3994', '', 'default', 'The formatted content of the comment itself.', '', 'none'),
('3995', '', 'default', 'The URL of the comment.', '', 'none'),
('3996', '', 'default', 'Edit URL', '', 'none'),
('3997', '', 'default', 'The URL of the comment''s edit page.', '', 'none'),
('3998', '', 'default', 'The date the comment was posted.', '', 'none'),
('3999', '', 'default', 'The comment''s parent, if comment threading is active.', '', 'none'),
('4000', '', 'default', 'The node the comment was posted to.', '', 'none'),
('4001', '', 'default', 'The author of the comment, if they were logged in.', '', 'none'),
('4002', '', 'default', 'The number of comments posted on a node.', '', 'none'),
('4003', '', 'default', 'New comment count', '', 'none'),
('4004', '', 'default', 'The number of comments posted on a node since the reader last viewed it.', '', 'none'),
('4005', '', 'default', 'The unique ID of the node''s latest revision.', '', 'none'),
('4006', '', 'default', 'Translation set ID', '', 'none'),
('4007', '', 'default', 'The unique ID of the original-language version of this node, if one exists.', '', 'none'),
('4008', '', 'default', 'The type of the node.', '', 'none'),
('4009', '', 'default', 'The human-readable name of the node type.', '', 'none'),
('4010', '', 'default', 'The language the node is written in.', '', 'none'),
('4011', '', 'default', 'The URL of the node.', '', 'none'),
('4012', '', 'default', 'The URL of the node''s edit page.', '', 'none'),
('4013', '', 'default', 'Date changed', '', 'none'),
('4014', '', 'default', 'The date the node was most recently updated.', '', 'none'),
('4015', '', 'default', 'The author of the node.', '', 'none'),
('4016', '', 'default', 'Poll winner', '', 'none'),
('4017', '', 'default', 'The winning poll answer.', '', 'none'),
('4018', '', 'default', 'Poll winner votes', '', 'none'),
('4019', '', 'default', 'The number of votes received by the winning poll answer.', '', 'none'),
('4020', '', 'default', 'Poll winner percent', '', 'none'),
('4021', '', 'default', 'The percentage of votes received by the winning poll answer.', '', 'none'),
('4022', '', 'default', 'The number of visitors who have read the node.', '', 'none'),
('4023', '', 'default', 'The number of visitors who have read the node today.', '', 'none'),
('4024', '', 'default', 'Last view', '', 'none'),
('4025', '', 'default', 'The date on which a visitor last read the node.', '', 'none'),
('4026', '', 'default', 'The slogan of the site.', '', 'none'),
('4027', '', 'default', 'The administrative email address for the site.', '', 'none'),
('4028', '', 'default', 'The URL of the site''s front page.', '', 'none'),
('4029', '', 'default', 'Login page', '', 'none'),
('4030', '', 'default', 'The URL of the site''s login page.', '', 'none'),
('4031', '', 'default', 'The unique ID of the uploaded file.', '', 'none'),
('4032', '', 'default', 'The name of the file on disk.', '', 'none'),
('4033', '', 'default', 'The web-accessible URL for the file.', '', 'none'),
('4034', '', 'default', 'The date the file was most recently changed.', '', 'none'),
('4035', '', 'default', 'The user who originally uploaded the file.', '', 'none'),
('4036', '', 'default', 'The unique ID of the taxonomy term.', '', 'none'),
('4037', '', 'default', 'The name of the taxonomy term.', '', 'none'),
('4038', '', 'default', 'The optional description of the taxonomy term.', '', 'none'),
('4039', '', 'default', 'The number of nodes tagged with the taxonomy term.', '', 'none'),
('4040', '', 'default', 'The URL of the taxonomy term.', '', 'none'),
('4041', '', 'default', 'The vocabulary the taxonomy term belongs to.', '', 'none'),
('4042', '', 'default', 'The parent term of the taxonomy term, if one exists.', '', 'none'),
('4043', '', 'default', 'The unique ID of the taxonomy vocabulary.', '', 'none'),
('4044', '', 'default', 'The name of the taxonomy vocabulary.', '', 'none'),
('4045', '', 'default', 'The optional description of the taxonomy vocabulary.', '', 'none'),
('4046', '', 'default', 'The number of nodes tagged with terms belonging to the taxonomy vocabulary.', '', 'none'),
('4047', '', 'default', 'Term count', '', 'none'),
('4048', '', 'default', 'The number of terms belonging to the taxonomy vocabulary.', '', 'none'),
('4049', '', 'default', 'The unique ID of the user account.', '', 'none'),
('4050', '', 'default', 'The login name of the user account.', '', 'none'),
('4051', '', 'default', 'The email address of the user account.', '', 'none'),
('4052', '', 'default', 'The URL of the account profile page.', '', 'none'),
('4053', '', 'default', 'The date the user last logged in to the site.', '', 'none'),
('4054', '', 'default', 'The date the user account was created.', '', 'none'),
('4055', '', 'default', 'Your OpenID', '', 'none'),
('4056', '', 'default', 'This OpenID will be attached to your account after registration.', '', 'none'),
('4057', '', 'default', 'Main page content', '', '7.41'),
('4058', '', 'default', 'You are not allowed to access this page.', '', 'none'),
('4059', '', 'default', 'Authorize file system changes', '', 'none'),
('4060', '', 'default', 'It appears you have reached this page in error.', '', 'none'),
('4061', '', 'default', 'Cron could not run because an invalid key was used.', '', 'none'),
('4062', '', 'default', 'Cron could not run because the site is in maintenance mode.', '', 'none'),
('4063', '', 'default', 'Default country', '', 'none'),
('4064', '', 'default', 'Check the error messages and <a href="!url">proceed with the installation</a>.', '', 'none'),
('4065', '', 'default', 'In your %settings_file file you have configured @drupal to use a %driver server, however your PHP installation currently does not support this database type.', '', 'none'),
('4066', '', 'default', 'Sorry, you must select a language to continue the installation.', '', 'none'),
('4067', '', 'default', 'We were unable to find any installation profiles. Installation profiles tell us what modules to enable and what schema to install in the database. A profile is necessary to continue with the installation process.', '', 'none'),
('4068', '', 'default', 'Sorry, the profile you have chosen cannot be loaded.', '', 'none'),
('4069', '', 'default', 'All necessary changes to %dir and %file have been made, so you should remove write permissions to them now in order to avoid security risks. If you are unsure how to do so, consult the <a href="@handbook_url">online handbook</a>.', '', 'none'),
('4070', '', 'default', 'Congratulations, you installed @drupal!', '', 'none'),
('4071', '', 'default', 'Review the messages above before visiting <a href="@url">your new site</a>.', '', 'none'),
('4072', '', 'default', '<a href="@url">Visit your new site</a>.', '', 'none'),
('4073', '', 'default', 'Settings file', '', 'none'),
('4074', '', 'default', 'The settings file does not exist.', '', 'none'),
('4075', '', 'default', 'The @drupal installer requires that you create a settings file as part of the installation process. Copy the %default_file file to %file. More details about installing Drupal are available in <a href="@install_txt">INSTALL.txt</a>.', '', 'none'),
('4076', '', 'default', 'The %file file exists.', '', 'none'),
('4077', '', 'default', 'The settings file is not writable.', '', 'none'),
('4078', '', 'default', 'The @drupal installer requires write permissions to %file during the installation process. If you are unsure how to grant file permissions, consult the <a href="@handbook_url">online handbook</a>.', '', 'none'),
('4079', '', 'default', 'Automated e-mails, such as registration information, will be sent from this address. Use an address ending in your site''s domain to help prevent these e-mails from being flagged as spam.', '', 'none'),
('4080', '', 'default', 'Site maintenance account', '', 'none'),
('4081', '', 'default', 'Select the default country for the site.', '', 'none'),
('4082', '', 'default', 'Receive e-mail notifications', '', 'none'),
('4083', '', 'default', 'The system will notify you when updates and important security releases are available for installed components. Anonymous information about your site is sent to <a href="@drupal">Drupal.org</a>.', '', 'none'),
('4084', '', 'default', 'No pending updates.', '', 'none'),
('4085', '', 'default', '1 pending update', '', 'none'),
('4086', '', 'default', '@count pending updates', '', 'none'),
('4087', '', 'default', '@count[2] pending updates', '', 'none'),
('4088', '', 'default', 'An error occurred while handling the request: The server received invalid input.', '', 'none'),
('4089', '', 'default', 'Invalid form POST data.', '', 'none'),
('4090', '', 'default', 'Unable to continue, no available methods of file transfer', '', 'none'),
('4091', '', 'default', 'WARNING: You are not using an encrypted connection, so your password will be sent in plain text. <a href="@https-link">Learn more</a>.', '', 'none'),
('4092', '', 'default', 'To continue, provide your server connection details', '', 'none'),
('4093', '', 'default', 'Connection method', '', 'none'),
('4094', '', 'default', 'Enter connection settings', '', 'none'),
('4095', '', 'default', '@backend connection settings', '', 'none'),
('4096', '', 'default', 'Change connection type', '', 'none'),
('4097', '', 'default', 'Error, this type of connection protocol (%backend) does not exist.', '', 'none'),
('4098', '', 'default', 'No active batch.', '', 'none'),
('4099', '', 'default', 'Site under maintenance', '', 'none'),
('4100', '', 'default', 'Archivers can only operate on local files: %file not supported', '', 'none'),
('4101', '', 'default', 'The file could not be uploaded, because the destination %destination is invalid.', '', 'none'),
('4102', '', 'default', 'The file %source could not be uploaded because a file by that name already exists in the destination %directory.', '', 'none'),
('4103', '', 'default', 'The file''s name exceeds the 240 characters limit. Please rename the file and try again.', '', 'none'),
('4104', '', 'default', '%path is a directory and cannot be removed using file_unmanaged_delete().', '', 'none'),
('4105', '', 'default', 'The file %path is not of a recognized type so it was not deleted.', '', 'none'),
('4106', '', 'default', 'The file permissions could not be set on %uri.', '', 'none'),
('4107', '', 'default', 'Completed @current of @total.', '', 'none'),
('4108', '', 'default', 'Failed to run all tasks against the database server. The task %task wasn''t found.', '', 'none'),
('4109', '', 'default', 'Failed to modify %settings. Verify the file permissions.', '', 'none'),
('4110', '', 'default', 'Failed to open %settings. Verify the file permissions.', '', 'none'),
('4111', '', 'default', 'Required modules', '', 'none'),
('4112', '', 'default', 'Required modules not found.', '', 'none'),
('4113', '', 'default', 'The following modules are required but were not found. Move them into the appropriate modules subdirectory, such as <em>sites/all/modules</em>. Missing modules: !modules', '', 'none'),
('4114', '', 'default', 'system', '', 'none'),
('4115', '', 'default', '%module module uninstalled.', '', 'none'),
('4116', '', 'default', 'Saint Barthélemy', '', 'none'),
('4117', '', 'default', 'Saint Martin (French part)', '', 'none'),
('4118', '', 'default', 'Use the default site language (@language_name).', '', '7.34'),
('4119', '', 'default', 'The translation file %filepath contains an error: the plural formula could not be parsed.', '', 'none'),
('4120', '', 'default', 'No strings available.', '', '7.41'),
('4121', '', 'default', '@count disallowed HTML string(s) in %file', '', 'none'),
('4122', '', 'default', 'JavaScript translation file %file.js was lost.', '', 'none'),
('4123', '', 'default', 'Unable to send e-mail. Contact the site administrator if the problem persists.', '', 'none'),
('4124', '', 'default', 'Class %class does not implement interface %interface', '', 'none'),
('4125', '', 'default', 'Operating in maintenance mode. <a href="@url">Go online.</a>', '', '7.38'),
('4126', '', 'default', 'Operating in maintenance mode.', '', 'none'),
('4127', '', 'default', '%module module enabled.', '', 'none'),
('4128', '', 'default', '%module module disabled.', '', 'none'),
('4129', '', 'default', 'Status message', '', '7.42'),
('4130', '', 'default', 'Unable to determine the type of the source directory.', '', 'none'),
('4131', '', 'default', 'Cannot determine the type of project.', '', 'none'),
('4132', '', 'default', 'Fatal error in update, cowardly refusing to wipe out the install directory.', '', 'none'),
('4133', '', 'default', 'File Transfer failed, reason: !reason', '', 'none'),
('4134', '', 'default', 'Unable to create %directory due to the following: %reason', '', 'none'),
('4135', '', 'default', 'Drupal could not be correctly setup with the existing database. Revise any errors.', '', 'none'),
('4136', '', 'default', 'No feeds available. <a href="@link">Add feed</a>.', '', 'none'),
('4137', '', 'default', 'No categories available. <a href="@link">Add category</a>.', '', 'none'),
('4138', '', 'default', 'The length of time between feed updates. Requires a correctly configured <a href="@cron">cron maintenance task</a>.', '', 'none'),
('4139', '', 'default', 'News items in block', '', 'none'),
('4140', '', 'default', 'Drupal can make a block with the most recent news items of this feed. You can <a href="@block-admin">configure blocks</a> to be displayed in the sidebar of your page. This setting lets you configure the number of news items to show in this feed''s block. If you choose ''0'' this feed''s block will be disabled.', '', 'none'),
('4141', '', 'default', 'The URL %url is invalid. Enter a fully-qualified URL, such as http://www.example.com/feed.xml.', '', 'none'),
('4142', '', 'default', 'A feed named %feed already exists. Enter a unique title.', '', 'none'),
('4143', '', 'default', 'A feed with this URL %url already exists. Enter a unique URL.', '', 'none'),
('4144', '', 'default', 'Upload an OPML file containing a list of feeds to be imported.', '', 'none'),
('4145', '', 'default', 'OPML Remote URL', '', 'none'),
('4146', '', 'default', 'Enter the URL of an OPML file. This file will be downloaded and processed only once on submission of the form.', '', 'none'),
('4147', '', 'default', 'Drupal can make a block with the most recent news items of a feed. You can <a href="@block-admin">configure blocks</a> to be displayed in the sidebar of your page. This setting lets you configure the number of news items to show in a feed''s block. If you choose ''0'' these feeds'' blocks will be disabled.', '', 'none'),
('4148', '', 'default', 'You must <em>either</em> upload a file or enter a URL.', '', 'none'),
('4149', '', 'default', 'This URL is not valid.', '', 'none'),
('4150', '', 'default', 'No new feed has been added.', '', 'none'),
('4151', '', 'default', 'The URL %url is invalid.', '', 'none'),
('4152', '', 'default', 'A feed named %title already exists.', '', 'none'),
('4153', '', 'default', 'A feed with the URL %url already exists.', '', 'none'),
('4154', '', 'default', 'Fetchers download data from an external source. Choose a fetcher suitable for the external source you would like to download from.', '', 'none'),
('4155', '', 'default', 'Parsers transform downloaded data into standard structures. Choose a parser suitable for the type of feeds you would like to aggregate.', '', 'none'),
('4156', '', 'default', 'Processors act on parsed feed data, for example they store feed items. Choose the processors suitable for your task.', '', 'none'),
('4157', '', 'default', 'For most aggregation tasks, the default settings are fine.', '', 'none'),
('4158', '', 'default', 'A category named %category already exists. Enter a unique title.', '', 'none'),
('4159', '', 'default', 'Default fetcher', '', 'none'),
('4160', '', 'default', 'Downloads data from a URL using Drupal''s HTTP request handler.', '', 'none'),
('4161', '', 'default', 'Default parser', '', 'none'),
('4162', '', 'default', 'Parses RSS, Atom and RDF feeds.', '', 'none'),
('4163', '', 'default', 'Default processor', '', 'none'),
('4164', '', 'default', 'Creates lightweight records from feed items.', '', 'none'),
('4165', '', 'default', 'Default processor settings', '', 'none'),
('4166', '', 'default', 'Number of items shown in listing pages', '', 'none'),
('4167', '', 'default', 'Requires a correctly configured <a href="@cron">cron maintenance task</a>.', '', 'none'),
('4168', '', 'default', 'Select categories using', '', 'none'),
('4169', '', 'default', 'For a small number of categories, checkboxes are easier to use, while a multiple selector works well with large numbers of categories.', '', 'none'),
('4170', '', 'default', 'Length of trimmed description', '', 'none'),
('4171', '', 'default', 'The maximum number of characters used in the trimmed version of content.', '', 'none'),
('4172', '', 'default', 'The Aggregator module is an on-site syndicator and news reader that gathers and displays fresh content from RSS-, RDF-, and Atom-based feeds made available across the web. Thousands of sites (particularly news sites and blogs) publish their latest headlines in feeds, using a number of standardized XML-based formats. For more information, see the online handbook entry for <a href="@aggregator-module">Aggregator module</a>.', '', 'none'),
('4173', '', 'default', 'Viewing feeds', '', 'none'),
('4174', '', 'default', 'Feeds contain published content, and may be grouped in categories, generally by topic. Users view feed content in the <a href="@aggregator">main aggregator display</a>, or by <a href="@aggregator-sources">their source</a> (usually via an RSS feed reader). The most recent content in a feed or category can be displayed as a block through the <a href="@admin-block">Blocks administration page</a>.', '', 'none'),
('4175', '', 'default', 'Adding, editing, and deleting feeds', '', 'none'),
('4176', '', 'default', 'Administrators can add, edit, and delete feeds, and choose how often to check each feed for newly updated items on the <a href="@feededit">Feed aggregator administration page</a>.', '', 'none'),
('4177', '', 'default', 'OPML integration', '', 'none'),
('4178', '', 'default', 'A <a href="@aggregator-opml">machine-readable OPML file</a> of all feeds is available. OPML is an XML-based file format used to share outline-structured information such as a list of RSS feeds. Feeds can also be <a href="@import-opml">imported via an OPML file</a>.', '', 'none'),
('4179', '', 'default', 'Configuring cron', '', 'none'),
('4180', '', 'default', 'A correctly configured <a href="@cron">cron maintenance task</a> is required to update feeds automatically.', '', 'none'),
('4181', '', 'default', '<acronym title="Outline Processor Markup Language">OPML</acronym> is an XML format used to exchange multiple feeds between aggregators. A single OPML document may contain a collection of many feeds. Drupal can parse such a file and import all feeds at once, saving you the effort of adding them manually. You may either upload a local file from your computer or enter a URL where Drupal can download it.', '', 'none'),
('4182', '', 'default', 'Administer news feeds', '', 'none'),
('4183', '', 'default', 'View news feeds', '', 'none'),
('4184', '', 'default', 'Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.', '', '7.42'),
('4185', '', 'default', 'Override the default title for the block. Use <em>!placeholder</em> to display no title, or leave blank to use the default block title.', '', '7.41'),
('4186', '', 'default', 'Specify in which themes and regions this block is displayed.', '', '7.41'),
('4187', '', 'default', 'All pages except those listed', '', '7.41'),
('4188', '', 'default', 'Only the listed pages', '', '7.41'),
('4189', '', 'default', 'Specify pages by using their paths. Enter one path per line. The ''*'' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.', '', '7.41'),
('4190', '', 'default', 'Pages on which this PHP code returns <code>TRUE</code> (experts only)', '', '7.41'),
('4191', '', 'default', 'Pages or PHP code', '', '7.41'),
('4192', '', 'default', 'If the PHP option is chosen, enter PHP code between %php. Note that executing incorrect PHP code can break your Drupal site.', '', '7.41'),
('4193', '', 'default', 'Customizable per user', '', '7.41'),
('4194', '', 'default', 'Customizable, visible by default', '', '7.41'),
('4195', '', 'default', 'Customizable, hidden by default', '', '7.41'),
('4196', '', 'default', 'Ensure that each block description is unique.', '', 'none'),
('4197', '', 'default', 'The Block module allows you to create boxes of content, which are rendered into an area, or region, of one or more pages of a website. The core Seven administration theme, for example, implements the regions "Content", "Help", "Dashboard main", and "Dashboard sidebar", and a block may appear in any one of these regions. The <a href="@blocks">Blocks administration page</a> provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. For more information, see the online handbook entry for <a href="@block">Block module</a>.', '', 'none'),
('4198', '', 'default', 'Positioning content', '', 'none'),
('4199', '', 'default', 'When working with blocks, remember that all themes do <em>not</em> implement the same regions, or display regions in the same way. Blocks are positioned on a per-theme basis. Users with the <em>Administer blocks</em> permission can disable blocks. Disabled blocks are listed on the <a href="@blocks">Blocks administration page</a>, but are not displayed in any region.', '', 'none'),
('4200', '', 'default', 'Controlling visibility', '', 'none'),
('4201', '', 'default', 'Blocks can be configured to be visible only on certain pages, only to users of certain roles, or only on pages displaying certain <a href="@content-type">content types</a>. Administrators can also allow specific blocks to be enabled or disabled by users when they edit their <a href="@user">My account</a> page. Some dynamic blocks, such as those generated by modules, will be displayed only on certain pages.', '', 'none'),
('4202', '', 'default', 'Creating custom blocks', '', 'none'),
('4203', '', 'default', 'Users with the <em>Administer blocks</em> permission can <a href="@block-add">add custom blocks</a>, which are then listed on the <a href="@blocks">Blocks administration page</a>. Once created, custom blocks behave just like default and module-generated blocks.', '', 'none'),
('4204', '', 'default', 'This page provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. Since not all themes implement the same regions, or display regions in the same way, blocks are positioned on a per-theme basis. Remember that your changes will not be saved until you click the <em>Save blocks</em> button at the bottom of the page. Click the <em>configure</em> link next to each block to configure its specific title and visibility settings.', '', '7.41'),
('4205', '', 'default', 'Demonstrate block regions (@theme)', '', 'none'),
('4206', '', 'default', 'Administer blocks', '', 'none'),
('4207', '', 'default', 'A brief description of your block. Used on the <a href="@overview">Blocks administration page</a>.', '', '7.41'),
('4208', '', 'default', 'Personalize blocks', '', 'none'),
('4209', '', 'default', 'Blocks consist of content or information that complements the main content of the page. Enable or disable optional blocks using the checkboxes below.', '', 'none'),
('4210', '', 'default', 'Cache blocks', '', 'none'),
('4211', '', 'default', 'Block caching is inactive because you have enabled modules defining content access restrictions.', '', 'none'),
('4212', '', 'default', 'Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.', '', '7.34'),
('4213', '', 'default', 'Use for multi-user blogs. Every user gets a personal blog.', '', '7.42'),
('4214', '', 'default', 'Single-user blogs', '', 'none'),
('4215', '', 'default', 'Each user''s blog entries are automatically displayed with a link to the user''s main blog page. You can create as many single-user blogs as you have site users with permission to create blog content.', '', 'none'),
('4216', '', 'default', 'Multi-user blogs', '', 'none'),
('4217', '', 'default', 'Blog entries from each single-user blog are also aggregated into one central multi-user blog, which displays the blog content of all users in a single listing.', '', 'none'),
('4218', '', 'default', 'There is an optional <em>Blogs</em> menu item added to the Navigation menu, which displays all blogs available on your site, and a <em>My blog</em> item displaying the current user''s blog entries.', '', 'none'),
('4219', '', 'default', 'The Blog module also creates a default <em>Recent blog posts</em> block that may be enabled at the <a href="@blocks">blocks administration page</a>.', '', 'none'),
('4220', '', 'default', 'Create new blog entry', '', 'none'),
('4221', '', 'default', 'Enables multi-user blogs.', '', 'none'),
('4222', '', 'default', 'No books available.', '', '7.41'),
('4223', '', 'default', 'Content types allowed in book outlines', '', '7.34'),
('4224', '', 'default', 'Users with the %outline-perm permission can add all content types.', '', '7.34'),
('4225', '', 'default', 'Administer book outlines', '', '7.34'),
('4226', '', 'default', 'The Book module is used for creating structured, multi-page content, such as site resource guides, manuals, and wikis. It allows you to create content that has chapters, sections, subsections, or any similarly-tiered structure. For more information, see the online handbook entry for <a href="@book">Book module</a>.', '', 'none'),
('4227', '', 'default', 'Adding and managing book content', '', 'none'),
('4228', '', 'default', 'You can assign separate permissions for <em>creating</em>, <em>editing</em>, and <em>deleting</em> book content, as well as <em>adding content to books</em>, and <em>creating new books</em>. Users with the <em>Administer book outlines</em> permission can add <em>any</em> type of content to a book by selecting the appropriate book outline while editing the content. They can also view a list of all books, and edit and rearrange section titles on the <a href="@admin-book">Book administration page</a>.', '', 'none'),
('4229', '', 'default', 'Book pages have a default book-specific navigation block. This navigation block contains links that lead to the previous and next pages in the book, and to the level above the current page in the book''s structure. This block can be enabled on the <a href=''@admin-block''>Blocks administration page</a>. For book pages to show up in the book navigation, they must be added to a book outline.', '', 'none'),
('4230', '', 'default', 'Books can be created collaboratively, as they allow users with appropriate permissions to add pages into existing books, and add those pages to a custom table of contents menu.', '', 'none'),
('4231', '', 'default', 'Printing books', '', 'none'),
('4232', '', 'default', 'Users with the <em>View printer-friendly books</em> permission can select the <em>printer-friendly version</em> link visible at the bottom of a book page''s content to generate a printer-friendly display of the page and all of its subsections.', '', 'none'),
('4233', '', 'default', 'The book module offers a means to organize a collection of related content pages, collectively known as a book. When viewed, this content automatically displays links to adjacent book pages, providing a simple navigation system for creating and reviewing structured content.', '', '7.41'),
('4234', '', 'default', 'The outline feature allows you to include pages in the <a href="@book">Book hierarchy</a>, as well as move them within the hierarchy or to <a href="@book-admin">reorder an entire book</a>.', '', 'none'),
('4235', '', 'default', 'Create new books', '', 'none'),
('4236', '', 'default', 'Add content and child pages to books', '', 'none'),
('4237', '', 'default', 'View printer-friendly books', '', 'none'),
('4238', '', 'default', 'View a book page and all of its sub-pages as a single document for ease of printing. Can be performance heavy.', '', 'none'),
('4239', '', 'default', '<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.', '', '7.42'),
('4240', '', 'default', 'Allows users to create and organize related content in an outline.', '', '7.34'),
('4241', '', 'default', 'The Color module allows users with the <em>Administer site configuration</em> permission to quickly and easily change the color scheme of themes that have been built to be compatible with it. For more information, see the online handbook entry for <a href="@color">Color module</a>.', '', 'none'),
('4242', '', 'default', 'Changing colors', '', 'none'),
('4243', '', 'default', 'Using the Color module allows you to easily change the color of links, backgrounds, text, and other theme elements. To change the color settings for a compatible theme, select the <em>Settings</em> link for your theme on the <a href=''@configure''>Themes administration page</a>. If you don''t see a color picker on that page, then your theme is not compatible with the color module. If you are sure that the theme does indeed support the color module, but the color picker does not appear, then <a href=''@troubleshoot''>follow these troubleshooting procedures</a>.', '', 'none'),
('4244', '', 'default', 'The Color module saves a modified copy of the theme''s specified stylesheets in the files directory. This means that if you make any manual changes to your theme''s stylesheet, <em>you must save your color settings again, even if they haven''t changed</em>. This step is required because the module stylesheets (in the files directory) need to be recreated to include your changes.', '', 'none'),
('4245', '', 'default', 'The GD library for PHP is enabled, but was compiled without PNG support. Check the <a href="@url">PHP image documentation</a> for information on how to correct this.', '', 'none');
INSERT INTO `locales_source` VALUES
('4246', '', 'default', 'The GD library for PHP is missing or outdated. Check the <a href="@url">PHP image documentation</a> for information on how to correct this.', '', 'none'),
('4247', '', 'default', 'Allows administrators to change the color scheme of compatible themes.', '', 'none'),
('4248', '', 'default', 'Select one or more comments to perform the update on.', '', 'none'),
('4249', '', 'default', 'There do not appear to be any comments to delete, or your selected comment was deleted by another administrator.', '', 'none'),
('4250', '', 'default', 'Deleted @count comments.', '', 'none'),
('4251', '', 'default', 'Deleted comment @cid and its replies.', '', 'none'),
('4252', '', 'default', 'Comment approved.', '', 'none'),
('4253', '', 'default', 'Tokens for comments posted on the site.', '', 'none'),
('4254', '', 'default', 'The Comment module allows users to comment on site content, set commenting defaults and permissions, and moderate comments. For more information, see the online handbook entry for <a href="@comment">Comment module</a>.', '', 'none'),
('4255', '', 'default', 'Default and custom settings', '', 'none'),
('4256', '', 'default', 'Each <a href=''@content-type''>content type</a> can have its own default comment settings configured as: <em>Open</em> to allow new comments, <em>Hidden</em> to hide existing comments and prevent new comments, or <em>Closed</em> to view existing comments, but prevent new comments. These defaults will apply to all new content created (changes to the settings on existing content must be done manually). Other comment settings can also be customized per content type, and can be overridden for any given item of content. When a comment has no replies, it remains editable by its author, as long as the author has a user account and is logged in.', '', 'none'),
('4257', '', 'default', 'Full comment', '', '7.42'),
('4258', '', 'default', 'Unapproved comments (@count)', '', '7.42'),
('4259', '', 'default', 'Administer comments and comment settings', '', 'none'),
('4260', '', 'default', 'Edit own comments', '', 'none'),
('4261', '', 'default', 'Number of recent comments', '', 'none'),
('4262', '', 'default', 'Threading', '', 'none'),
('4263', '', 'default', 'Show comment replies in a threaded list.', '', 'none'),
('4264', '', 'default', 'Default comment setting for new content', '', 'none'),
('4265', '', 'default', 'Allow comment title', '', 'none'),
('4266', '', 'default', 'Show reply form on the same page as comments', '', 'none'),
('4267', '', 'default', 'Users with the "Post comments" permission can post comments.', '', 'none'),
('4268', '', 'default', 'Users cannot post comments, but existing comments will be displayed.', '', 'none'),
('4269', '', 'default', 'Comments are hidden from view.', '', 'none'),
('4270', '', 'default', 'Users cannot post comments.', '', 'none'),
('4271', '', 'default', 'Your comment has been queued for review by site administrators and will be published after approval.', '', 'none'),
('4272', '', 'default', 'Your comment has been posted.', '', 'none'),
('4273', '', 'default', '<a href="@login">Log in</a> or <a href="@register">register</a> to post comments', '', 'none'),
('4274', '', 'default', '<a href="@login">Log in</a> to post comments', '', 'none'),
('4275', '', 'default', 'Flat list', '', 'none'),
('4276', '', 'default', 'Threaded list', '', 'none'),
('4277', '', 'default', 'Save comment', '', '7.41'),
('4278', '', 'default', 'The comment will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, "Company, Inc."', '', 'none'),
('4279', '', 'default', 'Published comment %subject.', '', 'none'),
('4280', '', 'default', 'Saved comment %title', '', 'none'),
('4281', '', 'default', 'List and edit site comments and the comment approval queue.', '', '7.42'),
('4282', '', 'default', 'Unapproved comments', '', 'none'),
('4283', '', 'default', 'Example: ''webmaster@example.com'' or ''sales@example.com,support@example.com'' . To specify multiple recipients, separate each e-mail address with a comma.', '', 'none'),
('4284', '', 'default', 'Category %category has been saved.', '', 'none'),
('4285', '', 'default', 'You cannot send more than %limit messages in @interval. Try again later.', '', 'none'),
('4286', '', 'default', 'Contact @username', '', 'none'),
('4287', '', 'default', '%sender-name (@sender-from) sent an e-mail regarding %category.', '', 'none'),
('4288', '', 'default', '%sender-name (@sender-from) sent %recipient-name an e-mail.', '', 'none'),
('4289', '', 'default', 'The Contact module allows visitors to contact site administrators and other users. Users specify a subject, write their message, and can have a copy of their message sent to their own e-mail address. For more information, see the online handbook entry for <a href="@contact">Contact module</a>.', '', 'none'),
('4290', '', 'default', 'User contact forms', '', 'none'),
('4291', '', 'default', 'Site users can be contacted with a user contact form that keeps their e-mail address private. Users may enable or disable their personal contact forms by editing their <em>My account</em> page. If enabled, a <em>Contact</em> tab leads to a personal contact form displayed on their user profile. Site administrators are still able to use the contact form, even if has been disabled. The <em>Contact</em> tab is not shown when you view your own profile.', '', 'none'),
('4292', '', 'default', 'Site-wide contact forms', '', 'none'),
('4293', '', 'default', 'The <a href="@contact">Contact page</a> provides a simple form for users with the <em>Use the site-wide contact form</em> permission to send comments, feedback, or other requests. You can create categories for directing the contact form messages to a set of defined recipients. Common categories for a business site, for example, might include "Website feedback" (messages are forwarded to website administrators) and "Product information" (messages are forwarded to members of the sales department). E-mail addresses defined within a category are not displayed publicly.', '', 'none'),
('4294', '', 'default', 'When the site-wide contact form is enabled, a link in the main <em>Navigation</em> menu is created, but the link is disabled by default. This menu link can be enabled on the <a href=''@menu''>Menus administration page</a>.', '', 'none'),
('4295', '', 'default', 'Customization', '', 'none'),
('4296', '', 'default', 'If you would like additional text to appear on the site-wide or personal contact page, use a block. You can create and edit blocks on the <a href="@blocks">Blocks administration page</a>.', '', 'none'),
('4297', '', 'default', 'Add one or more categories on this page to set up your site-wide <a href="@form">contact form</a>.', '', 'none'),
('4298', '', 'default', 'A <em>Contact</em> menu item (disabled by default) is added to the Navigation menu, which you can modify on the <a href="@menu-settings">Menus administration page</a>.', '', 'none'),
('4299', '', 'default', 'If you would like additional text to appear on the site-wide contact page, use a block. You can create and edit blocks on the <a href="@blocks">Blocks administration page</a>.', '', 'none'),
('4300', '', 'default', 'Administer contact forms and contact form settings', '', 'none'),
('4301', '', 'default', 'Use the site-wide contact form', '', 'none'),
('4302', '', 'default', 'Use users'' personal contact forms', '', 'none'),
('4303', '', 'default', '!sender-name (!sender-url) sent a message using the contact form at !form-url.', '', 'none'),
('4304', '', 'default', '[!site-name] !subject', '', 'none'),
('4305', '', 'default', '!sender-name (!sender-url) has sent you a message via your contact form (!form-url) at !site-name.', '', 'none'),
('4306', '', 'default', 'If you don''t want to receive such e-mails, you can change your settings at !recipient-edit-url.', '', 'none'),
('4307', '', 'default', 'Allow other users to contact you via a <a href="@url">personal contact form</a> which keeps your e-mail address hidden. Note that some privileged users such as site administrators are still able to contact you even if you choose to disable this feature.', '', 'none'),
('4308', '', 'default', 'Enable the personal contact form by default for new users.', '', '7.34'),
('4309', '', 'default', 'Changing this setting will not affect existing users.', '', '7.34'),
('4310', '', 'default', 'The Contextual links module displays links related to regions of pages on your site to users with <em>access contextual links</em> permission. For more information, see the online handbook entry for <a href="@contextual">Contextual links module</a>.', '', 'none'),
('4311', '', 'default', 'Displaying contextual links', '', 'none'),
('4312', '', 'default', 'Contextual links are supplied by modules, to give you quick access to tasks associated with regions of pages on your site. For instance, if you have a custom menu block displayed in a sidebar of your site, the Blocks and Menus modules will supply links to configure the block and edit the menu. The Contextual links module collects these links into a list for display by your theme, and also adds JavaScript code to the page to hide the links initially, and display them when your mouse hovers over the block.', '', 'none'),
('4313', '', 'default', 'Use contextual links', '', 'none'),
('4314', '', 'default', 'Use contextual links to perform actions related to elements on a page.', '', 'none'),
('4315', '', 'default', 'Contextual links', '', 'none'),
('4316', '', 'default', 'Provides contextual links to perform actions related to elements on a page.', '', '7.34'),
('4317', '', 'default', 'Tracking user activity', '', 'none'),
('4318', '', 'default', 'By enabling blocks such as <em>Who''s online</em> and <em>Who''s new</em>, site users can track who is logged in and new user signups at a centralized location.', '', 'none'),
('4319', '', 'default', 'Tracking content activity', '', 'none'),
('4320', '', 'default', 'By enabling blocks such as <em>Recent blog posts</em>, <em>New forum topics</em> and <em>Recent comments</em>, site users can view newly added site content at a glance.', '', 'none'),
('4321', '', 'default', 'View the administrative dashboard', '', 'none'),
('4322', '', 'default', 'This dashboard region is empty. Click <em>Customize dashboard</em> to add blocks to it.', '', 'none'),
('4323', '', 'default', 'DRAG HERE', '', 'none'),
('4324', '', 'default', 'Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.', '', 'none'),
('4325', '', 'default', 'Customize dashboard', '', 'none'),
('4326', '', 'default', 'Clear log messages', '', 'none'),
('4327', '', 'default', 'This will permanently remove the log messages from the database.', '', 'none'),
('4328', '', 'default', 'Database log cleared.', '', 'none'),
('4329', '', 'default', 'The Database logging module logs system events in the Drupal database. For more information, see the online handbook entry for the <a href="@dblog">Database logging module</a>.', '', 'none'),
('4330', '', 'default', 'Monitoring your site', '', 'none'),
('4331', '', 'default', 'Debugging site problems', '', 'none'),
('4332', '', 'default', 'Field validation errors', '', 'none'),
('4333', '', 'default', 'Attempt to create a field with a name longer than 32 characters: %name', '', 'none'),
('4334', '', 'default', 'Attempt to create field name %name which already exists and is active.', '', 'none'),
('4335', '', 'default', 'Attempt to create field name %name which already exists, although it is inactive.', '', 'none'),
('4336', '', 'default', 'Attempt to create field name %name which is reserved by entity type %type.', '', 'none'),
('4337', '', 'default', 'Attempt to create a field of unknown type %type.', '', 'none'),
('4338', '', 'default', 'Attempt to create a field with unknown storage type %type.', '', 'none'),
('4339', '', 'default', 'Attempt to create an instance of field @field_name without a bundle.', '', 'none'),
('4340', '', 'default', 'Enabling field types', '', 'none'),
('4341', '', 'default', 'The Field module provides the infrastructure for fields and field attachment; the field types and input widgets themselves are provided by additional modules. Some of the modules are required; the optional modules can be enabled from the <a href="@modules">Modules administration page</a>. Drupal core includes the following field type modules: Number (required), Text (required), List (required), Taxonomy (optional), Image (optional), and File (optional); the required Options module provides input widgets for other field modules. Additional fields and widgets may be provided by contributed modules, which you can find in the <a href="@contrib">contributed module section of Drupal.org</a>. Currently enabled field and input widget modules:', '', 'none'),
('4342', '', 'default', 'Managing field data storage', '', 'none'),
('4343', '', 'default', 'Developers of field modules can either use the default <a href="@sql-store">Field SQL storage module</a> to store data for their fields, or a contributed or custom module developed using the <a href="@storage-api">field storage API</a>.', '', 'none'),
('4344', '', 'default', 'The Field SQL storage module stores field data in the database. It is the default field storage module; other field storage mechanisms may be available as contributed modules. See the <a href="@field-help">Field module help page</a> for more information about fields.', '', 'none'),
('4345', '', 'default', 'Default SQL storage', '', '7.42'),
('4346', '', 'default', 'Stores fields in the local SQL database, using per-field tables.', '', '7.42'),
('4347', '', 'default', 'Field SQL storage', '', 'none'),
('4348', '', 'default', 'Stores field data in an SQL database.', '', 'none'),
('4349', '', 'default', 'The List module defines various fields for storing a list of items, for use with the Field module. Usually these items are entered through a select list, checkboxes, or radio buttons. See the <a href="@field-help">Field module help page</a> for more information about fields.', '', 'none'),
('4350', '', 'default', 'This field stores simple on/off or yes/no options.', '', '7.42'),
('4351', '', 'default', 'List (text)', '', '7.42'),
('4352', '', 'default', 'The ''checkboxes/radio buttons'' widget will display checkboxes if the <em>Number of values</em> option is greater than 1 for this field, otherwise radios will be displayed.', '', 'none'),
('4353', '', 'default', 'Allowed HTML tags in labels: @tags', '', 'none'),
('4354', '', 'default', 'The value of this field is being determined by the %function function and may not be changed.', '', 'none'),
('4355', '', 'default', 'Allowed values list: each key must be a valid integer or decimal.', '', 'none'),
('4356', '', 'default', 'Allowed values list: each key must be a string at most 255 characters long.', '', 'none'),
('4357', '', 'default', 'Allowed values list: keys must be integers.', '', 'none'),
('4358', '', 'default', 'Defines list field types. Use with Options to create selection lists.', '', 'none'),
('4359', '', 'default', 'The Number module defines various numeric field types for the Field module. Numbers can be in integer, decimal, or floating-point form, and they can be formatted when displayed. Number fields can be limited to a specific set of input values or to a range of values. See the <a href="@field-help">Field module help page</a> for more information about fields.', '', 'none'),
('4360', '', 'default', 'This field stores a number in the database as an integer.', '', '7.42'),
('4361', '', 'default', 'This field stores a number in the database in a fixed decimal format.', '', '7.42'),
('4362', '', 'default', 'This field stores a number in the database in a floating point format.', '', '7.42'),
('4363', '', 'default', 'The minimum value that should be allowed in this field. Leave blank for no minimum.', '', 'none'),
('4364', '', 'default', 'The maximum value that should be allowed in this field. Leave blank for no maximum.', '', 'none'),
('4365', '', 'default', 'Define a string that should be prefixed to the value, like ''$ '' or ''&euro; ''. Leave blank for none. Separate singular and plural values with a pipe (''pound|pounds'').', '', 'none'),
('4366', '', 'default', 'Only numbers and the decimal separator (@separator) allowed in %field.', '', 'none'),
('4367', '', 'default', 'The Options module defines checkbox, selection, and other input widgets for the Field module. See the <a href="@field-help">Field module help page</a> for more information about fields.', '', 'none'),
('4368', '', 'default', 'The Text module defines various text field types for the Field module. A text field may contain plain text only, or optionally, may use Drupal''s <a href=''@filter-help''>text filters</a> to securely manage HTML output. Text input fields may be either a single line (text field), multiple lines (text area), or for greater input control, a select box, checkbox, or radio buttons. If desired, the field can be validated, so that it is limited to a set of allowed values. See the <a href=''@field-help''>Field module help page</a> for more information about fields.', '', 'none'),
('4369', '', 'default', 'This field stores varchar text in the database.', '', '7.42'),
('4370', '', 'default', 'Long text', '', '7.42'),
('4371', '', 'default', 'This field stores long text in the database.', '', '7.42'),
('4372', '', 'default', 'Long text and summary', '', '7.42'),
('4373', '', 'default', 'This field stores long text in the database along with optional summary text.', '', '7.42'),
('4374', '', 'default', 'Filtered text (user selects text format)', '', 'none'),
('4375', '', 'default', 'Summary input', '', 'none'),
('4376', '', 'default', 'This allows authors to input an explicit summary, to be displayed instead of the automatically trimmed text when using the "Summary or trimmed" display type.', '', 'none'),
('4377', '', 'default', '%name: the text may not be longer than %max characters.', '', 'none'),
('4378', '', 'default', '%name: the summary may not be longer than %max characters.', '', 'none'),
('4379', '', 'default', 'Summary or trimmed', '', '7.42'),
('4380', '', 'default', 'Text area with a summary', '', '7.42'),
('4381', '', 'default', 'Leave blank to use trimmed value of full text as the summary.', '', 'none'),
('4382', '', 'default', '%field (@field_name) field requires the %widget_type widget provided by %widget_module module', '', 'none'),
('4383', '', 'default', 'Inactive fields are not shown unless their providing modules are enabled. The following fields are not enabled: !list', '', 'none'),
('4384', '', 'default', 'Edit field settings.', '', 'none'),
('4385', '', 'default', 'Change widget type.', '', 'none'),
('4386', '', 'default', 'Edit instance settings.', '', 'none'),
('4387', '', 'default', 'Delete instance.', '', 'none'),
('4388', '', 'default', 'The field %label cannot be added because it is locked.', '', 'none'),
('4389', '', 'default', 'There was a problem creating field instance %label: @message.', '', 'none'),
('4390', '', 'default', 'There are no fields yet added. You can add new fields on the <a href="@link">Manage fields</a> page.', '', 'none'),
('4391', '', 'default', 'These settings apply to the %field field everywhere it is used. These settings impact the way that data is stored in the database and cannot be changed once data has been created.', '', 'none'),
('4392', '', 'default', '%field has no field settings.', '', 'none'),
('4393', '', 'default', 'Updated field %label field settings.', '', 'none'),
('4394', '', 'default', 'Attempt to update field %label failed: %message.', '', 'none'),
('4395', '', 'default', 'Change widget', '', 'none'),
('4396', '', 'default', 'The type of form element you would like to present to the user when creating this field in the %type type.', '', 'none'),
('4397', '', 'default', 'Changed the widget for field %label.', '', 'none'),
('4398', '', 'default', 'There was a problem changing the widget for field %label.', '', 'none'),
('4399', '', 'default', 'This field is <strong>locked</strong> and cannot be deleted.', '', 'none'),
('4400', '', 'default', 'The field %field has been deleted from the %type content type.', '', 'none'),
('4401', '', 'default', 'There was a problem removing the %field from the %type content type.', '', 'none'),
('4402', '', 'default', 'These settings apply only to the %field field when used in the %type type.', '', 'none'),
('4403', '', 'default', 'Required field', '', 'none'),
('4404', '', 'default', 'These settings apply to the %field field everywhere it is used. Because the field already has data, some settings can no longer be changed.', '', 'none'),
('4405', '', 'default', 'These settings apply to the %field field everywhere it is used.', '', 'none'),
('4406', '', 'default', '%field field settings', '', 'none'),
('4407', '', 'default', 'The default value for this field, used when creating new content.', '', 'none'),
('4408', '', 'default', 'Saved %label configuration.', '', 'none'),
('4409', '', 'default', 'This list shows all fields currently in use for easy reference.', '', 'none'),
('4410', '', 'default', 'Save and add fields', '', 'none'),
('4411', '', 'default', 'Field list', '', '7.42'),
('4412', '', 'default', 'Manage display', '', '7.42'),
('4413', '', 'default', 'Field UI', '', 'none'),
('4414', '', 'default', 'This field stores the ID of a file as an integer value.', '', '7.42'),
('4415', '', 'default', 'Enable <em>Display</em> field', '', 'none'),
('4416', '', 'default', 'The display option allows users to choose if a file should be shown when viewing the content.', '', 'none'),
('4417', '', 'default', 'Files displayed by default', '', 'none'),
('4418', '', 'default', 'This setting only has an effect if the display option is enabled.', '', 'none'),
('4419', '', 'default', 'Upload destination', '', 'none'),
('4420', '', 'default', 'Select where the final files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.', '', 'none'),
('4421', '', 'default', 'Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.', '', 'none'),
('4422', '', 'default', 'Enter a value like "512" (bytes), "80 KB" (kilobytes) or "50 MB" (megabytes) in order to restrict the allowed file size. If left empty the file sizes will be limited only by PHP''s maximum post and file upload sizes (current limit <strong>%limit</strong>).', '', 'none'),
('4423', '', 'default', 'Enable <em>Description</em> field', '', 'none'),
('4424', '', 'default', 'The description field allows users to enter a description about the uploaded file.', '', 'none'),
('4425', '', 'default', 'The "!name" option must contain a valid value. You may either leave the text field empty or enter a string like "512" (bytes), "80 KB" (kilobytes) or "50 MB" (megabytes).', '', 'none'),
('4426', '', 'default', 'The list of allowed extensions is not valid, be sure to exclude leading dots and to separate extensions with a comma or space.', '', 'none'),
('4427', '', 'default', 'Generic file', '', '7.42'),
('4428', '', 'default', 'Table of files', '', '7.42'),
('4429', '', 'default', 'Add a new file', '', 'none'),
('4430', '', 'default', 'Include file in display', '', 'none'),
('4431', '', 'default', 'The description may be used as the label of the link to the file.', '', 'none'),
('4432', '', 'default', 'Files must be less than !size.', '', 'none'),
('4433', '', 'default', 'Allowed file types: !extensions.', '', 'none'),
('4434', '', 'default', 'Images must be exactly !size pixels.', '', 'none'),
('4435', '', 'default', 'Images must be between !min and !max pixels.', '', 'none'),
('4436', '', 'default', 'Images must be larger than !min pixels.', '', 'none'),
('4437', '', 'default', 'Images must be smaller than !max pixels.', '', 'none'),
('4438', '', 'default', 'The File module defines a <em>File</em> field type for the Field module, which lets you manage and validate uploaded files attached to content on your site (see the <a href="@field-help">Field module help page</a> for more information about fields). For more information, see the online handbook entry for <a href="@file">File module</a>.', '', 'none'),
('4439', '', 'default', 'Attaching files to content', '', 'none'),
('4440', '', 'default', 'The File module allows users to attach files to content (e.g., PDF files, spreadsheets, etc.), when a <em>File</em> field is added to a given content type using the <a href="@fieldui-help">Field UI module</a>. You can add validation options to your File field, such as specifying a maximum file size and allowed file extensions.', '', 'none'),
('4441', '', 'default', 'Managing attachment display', '', 'none'),
('4442', '', 'default', 'When you attach a file to content, you can specify whether it is <em>listed</em> or not. Listed files are displayed automatically in a section at the bottom of your content; non-listed files are available for embedding in your content, but are not included in the list at the bottom.', '', 'none'),
('4443', '', 'default', 'Managing file locations', '', 'none'),
('4444', '', 'default', 'When you create a File field, you can specify a directory where the files will be stored, which can be within either the <em>public</em> or <em>private</em> files directory. Files in the public directory can be accessed directly through the web server; when public files are listed, direct links to the files are used, and anyone who knows a file''s URL can download the file. Files in the private directory are not accessible directly through the web server; when private files are listed, the links are Drupal path requests. This adds to server load and download time, since Drupal must start up and resolve the path for each file download request, but allows for access restrictions.', '', 'none'),
('4445', '', 'default', 'An unrecoverable error occurred. Use of this form has expired. Try reloading the page and submitting again.', '', 'none'),
('4446', '', 'default', 'The file referenced by the !name field does not exist.', '', 'none'),
('4447', '', 'default', 'The file in the !name field was unable to be uploaded.', '', 'none'),
('4448', '', 'default', 'The upload directory %directory for the file field !name could not be created or is not accessible. A newly uploaded file could not be saved in this directory as a consequence, and the upload was canceled.', '', 'none'),
('4449', '', 'default', 'Your server is not capable of displaying file upload progress. File upload progress requires an Apache server running PHP with mod_php.', '', 'none'),
('4450', '', 'default', 'All roles may use this format', '', 'none'),
('4451', '', 'default', 'The text format ordering has been saved.', '', 'none'),
('4452', '', 'default', 'Add text format', '', '7.42'),
('4453', '', 'default', 'All roles for this text format must be enabled and cannot be changed.', '', 'none'),
('4454', '', 'default', 'Filter processing order', '', 'none'),
('4455', '', 'default', 'Text format names must be unique. A format named %name already exists.', '', 'none'),
('4456', '', 'default', 'Added text format %format.', '', 'none'),
('4457', '', 'default', 'The text format %format has been updated.', '', 'none'),
('4458', '', 'default', 'Text formats', '', '7.42'),
('4459', '', 'default', 'The Filter module allows administrators to configure text formats. A text format defines the HTML tags, codes, and other input allowed in content and comments, and is a key feature in guarding against potentially damaging input from malicious users. For more information, see the online handbook entry for <a href="@filter">Filter module</a>.', '', 'none'),
('4460', '', 'default', 'Applying filters to text', '', 'none'),
('4461', '', 'default', 'Each text format uses filters to manipulate text, and most formats apply several different filters to text in a specific order. Each filter is designed for a specific purpose, and generally either adds, removes, or transforms elements within user-entered text before it is displayed. A filter does not change the actual content, but instead, modifies it temporarily before it is displayed. One filter may remove unapproved HTML tags, while another automatically adds HTML to make URLs display as clickable links.', '', 'none'),
('4462', '', 'default', 'Defining text formats', '', 'none'),
('4463', '', 'default', 'One format is included by default: <em>Plain text</em> (which removes all HTML tags). Additional formats may be created by your installation profile when you install Drupal, and more can be created by an administrator on the <a href="@text-formats">Text formats page</a>.', '', 'none'),
('4464', '', 'default', 'Choosing a text format', '', 'none'),
('4465', '', 'default', 'A text format contains filters that change the user input, for example stripping out malicious HTML or making URLs clickable. Filters are executed from top to bottom and the order is important, since one filter may prevent another filter from doing its job. For example, when URLs are converted into links before disallowed HTML tags are removed, all links may be removed. When this happens, the order of filters may need to be re-arranged.', '', 'none'),
('4466', '', 'default', 'Warning: This permission may have security implications depending on how the text format is configured.', '', 'none'),
('4467', '', 'default', 'Use the !text_format text format', '', 'none'),
('4468', '', 'default', 'More information about text formats', '', '7.42'),
('4469', '', 'default', 'Limit allowed HTML tags', '', '7.42'),
('4470', '', 'default', 'Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)', '', '7.42'),
('4471', '', 'default', 'Convert URLs into links', '', '7.42'),
('4472', '', 'default', 'Correct faulty and chopped off HTML', '', '7.42'),
('4473', '', 'default', 'Display any HTML as plain text', '', '7.42'),
('4474', '', 'default', 'A list of HTML tags that can be used. JavaScript event attributes, JavaScript URLs, and CSS are always stripped.', '', 'none'),
('4475', '', 'default', 'Display basic HTML help in long filter tips', '', 'none'),
('4476', '', 'default', 'Add rel="nofollow" to all links', '', 'none'),
('4477', '', 'default', 'This site allows HTML content. While learning all of HTML may feel intimidating, learning how to use a very small number of the most basic HTML "tags" is very easy. This table provides examples for each tag that is enabled on this site.', '', 'none'),
('4478', '', 'default', 'For more information see W3C''s <a href="@html-specifications">HTML Specifications</a> or use your favorite search engine to find other sites that explain HTML.', '', 'none'),
('4479', '', 'default', 'Most unusual characters can be directly entered without any problems.', '', 'none'),
('4480', '', 'default', 'If you do encounter problems, try using HTML character entities. A common example looks like &amp;amp; for an ampersand &amp; character. For a full list of entities see HTML''s <a href="@html-entities">entities</a> page. Some of the available characters include:', '', 'none'),
('4481', '', 'default', 'No HTML tags allowed.', '', '7.42'),
('4482', '', 'default', 'Filters content in preparation for display.', '', '7.34'),
('4483', '', 'default', 'By !author @time ago', '', 'none'),
('4484', '', 'default', 'The forum %term and all sub-forums have been deleted.', '', 'none'),
('4485', '', 'default', 'The number of replies a topic must have to be considered "hot".', '', 'none'),
('4486', '', 'default', 'No containers or forums available. <a href="@container">Add container</a> or <a href="@forum">Add forum</a>.', '', 'none'),
('4487', '', 'default', 'forum: deleted %term and all its sub-forums.', '', 'none'),
('4488', '', 'default', 'The Forum module lets you create threaded discussion forums with functionality similar to other message board systems. Forums are useful because they allow community members to discuss topics with one another while ensuring those conversations are archived for later reference. In a forum, users post topics and threads in nested hierarchies, allowing discussions to be categorized and grouped. The forum hierarchy consists of:', '', 'none'),
('4489', '', 'default', 'Optional containers (for example, <em>Support</em>), which can hold:', '', 'none'),
('4490', '', 'default', 'Forums (for example, <em>Installing Drupal</em>), which can hold:', '', 'none'),
('4491', '', 'default', 'Forum topics submitted by users (for example, <em>How to start a Drupal 6 Multisite</em>), which start discussions and are starting points for:', '', 'none'),
('4492', '', 'default', 'Threaded comments submitted by users (for example, <em>You have these options...</em>).', '', 'none'),
('4493', '', 'default', 'Setting up forum structure', '', 'none'),
('4494', '', 'default', 'Visit the <a href="@forums">Forums page</a> to set up containers and forums to hold your discussion topics.', '', 'none'),
('4495', '', 'default', 'Starting a discussion', '', 'none'),
('4496', '', 'default', 'The <a href="@create-topic">Forum topic</a> link on the <a href="@content-add">Add new content</a> page creates the first post of a new threaded discussion, or thread.', '', 'none'),
('4497', '', 'default', 'Enabling the Forum module provides a default <em>Forums</em> menu item in the navigation menu that links to the <a href="@forums">Forums page</a>.', '', 'none'),
('4498', '', 'default', 'Moving forum topics', '', 'none'),
('4499', '', 'default', 'A forum topic (and all of its comments) may be moved between forums by selecting a different forum while editing a forum topic. When moving a forum topic between forums, the <em>Leave shadow copy</em> option creates a link in the original forum pointing to the new location.', '', 'none'),
('4500', '', 'default', 'Locking and disabling comments', '', 'none'),
('4501', '', 'default', 'Selecting <em>Closed</em> under <em>Comment settings</em> while editing a forum topic will lock (prevent new comments on) the thread. Selecting <em>Hidden</em> under <em>Comment settings</em> while editing a forum topic will hide all existing comments on the thread, and prevent new ones.', '', 'none'),
('4502', '', 'default', 'Forums contain forum topics. Use containers to group related forums.', '', 'none'),
('4503', '', 'default', 'Use containers to group related forums.', '', 'none'),
('4504', '', 'default', 'A forum holds related forum topics.', '', 'none'),
('4505', '', 'default', 'Adjust the display of your forum topics. Organize the forums on the <a href="@forum-structure">forum structure page</a>.', '', 'none'),
('4506', '', 'default', 'Add new @node_type', '', 'none'),
('4507', '', 'default', '<a href="@login">Log in</a> to post new content in the forum.', '', 'none'),
('4508', '', 'default', 'The item %forum is a forum container, not a forum. Select one of the forums below instead.', '', 'none'),
('4509', '', 'default', 'A <em>forum topic</em> starts a new discussion thread within a forum.', '', '7.42'),
('4510', '', 'default', 'Control forum hierarchy settings.', '', '7.42'),
('4511', '', 'default', 'Forum navigation vocabulary', '', 'none'),
('4512', '', 'default', 'Provides discussion forums.', '', '7.34'),
('4513', '', 'default', 'Follow these steps to set up and start using your website:', '', 'none'),
('4514', '', 'default', '<strong>Start posting content</strong> Finally, you can <a href="@content">add new content</a> for your website.', '', 'none'),
('4515', '', 'default', 'For more information, refer to the specific topics listed in the next section or to the <a href="@handbook">online Drupal handbooks</a>. You may also post at the <a href="@forum">Drupal forum</a> or view the wide range of <a href="@support">other support options</a> available.', '', 'none'),
('4516', '', 'default', 'The Help module provides <a href="@help-page">Help reference pages</a> and context-sensitive advice to guide you through the use and configuration of modules. It is a starting point for the online <a href="@handbook">Drupal handbooks</a>. The handbooks contain more extensive and up-to-date information, are annotated with user-contributed comments, and serve as the definitive reference point for all Drupal documentation. For more information, see the online handbook entry for the <a href="@help">Help module</a>.', '', 'none'),
('4517', '', 'default', 'Providing a help reference', '', 'none'),
('4518', '', 'default', 'The Help module displays explanations for using each module listed on the main <a href="@help">Help reference page</a>.', '', 'none'),
('4519', '', 'default', 'Providing context-sensitive help', '', 'none'),
('4520', '', 'default', 'The Help module displays context-sensitive advice and explanations on various pages.', '', 'none'),
('4521', '', 'default', 'Edit %name style', '', 'none'),
('4522', '', 'default', 'This image style is currently being provided by a module. Click the "Override defaults" button to change its settings.', '', 'none'),
('4523', '', 'default', 'Image style name', '', 'none'),
('4524', '', 'default', 'The name is used in URLs for generated images. Use only lowercase alphanumeric characters, underscores (_), and hyphens (-).', '', 'none'),
('4525', '', 'default', 'Select a new effect', '', 'none'),
('4526', '', 'default', 'Override defaults', '', 'none'),
('4527', '', 'default', 'Update style', '', 'none'),
('4528', '', 'default', 'Select an effect to add.', '', 'none'),
('4529', '', 'default', 'The image effect was successfully applied.', '', 'none'),
('4530', '', 'default', 'The %style style has been overridden, allowing you to change its settings.', '', 'none'),
('4531', '', 'default', 'Style name', '', 'none'),
('4532', '', 'default', 'Create new style', '', 'none'),
('4533', '', 'default', 'Style %name was created.', '', 'none'),
('4534', '', 'default', 'The image style name %name is already in use.', '', 'none'),
('4535', '', 'default', 'Please only use lowercase alphanumeric characters, underscores (_), and hyphens (-) for style names.', '', 'none'),
('4536', '', 'default', 'No replacement, just delete', '', 'none'),
('4537', '', 'default', 'Replacement style', '', 'none'),
('4538', '', 'default', 'Optionally select a style before deleting %style', '', 'none'),
('4539', '', 'default', 'If this style is in use on the site, you may select another style to replace it. All images that have been generated for this style will be permanently deleted.', '', 'none'),
('4540', '', 'default', 'Style %name was deleted.', '', 'none'),
('4541', '', 'default', 'Revert the %style style?', '', 'none'),
('4542', '', 'default', 'Reverting this style will delete the customized settings and restore the defaults provided by the @module module.', '', 'none'),
('4543', '', 'default', 'Edit %label effect', '', 'none'),
('4544', '', 'default', 'Add %label effect', '', 'none'),
('4545', '', 'default', 'Update effect', '', 'none'),
('4546', '', 'default', 'Add effect', '', 'none'),
('4547', '', 'default', 'Are you sure you want to delete the @effect effect from the %style style?', '', 'none'),
('4548', '', 'default', 'The image effect %name has been deleted.', '', 'none'),
('4549', '', 'default', '!name must be an integer.', '', 'none'),
('4550', '', 'default', '!name must be a positive integer.', '', 'none'),
('4551', '', 'default', '!name must be a hexadecimal color value.', '', 'none'),
('4552', '', 'default', 'Width and height can not both be blank.', '', 'none'),
('4553', '', 'default', 'The part of the image that will be retained during the crop.', '', 'none'),
('4554', '', 'default', 'The background color to use for exposed areas of the image. Use web-style hex colors (#FFFFFF for white, #000000 for black). Leave blank for transparency on image types that support it.', '', 'none'),
('4555', '', 'default', 'There are currently no styles. <a href="!url">Add a new one</a>.', '', 'none'),
('4556', '', 'default', 'There are currently no effects in this style. Add one by selecting an option below.', '', 'none'),
('4557', '', 'default', 'view actual size', '', 'none'),
('4558', '', 'default', 'Sample original image', '', 'none'),
('4559', '', 'default', 'Sample modified image', '', 'none'),
('4560', '', 'default', 'Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.', '', '7.34'),
('4561', '', 'default', 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.', '', '7.34'),
('4562', '', 'default', 'Scale and crop', '', '7.34'),
('4563', '', 'default', 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.', '', '7.34'),
('4564', '', 'default', 'Cropping will remove portions of an image to make it the specified dimensions.', '', '7.34'),
('4565', '', 'default', 'Desaturate', '', '7.34'),
('4566', '', 'default', 'Desaturate converts an image to grayscale.', '', '7.34'),
('4567', '', 'default', 'Rotating an image may cause the dimensions of an image to increase to fit the diagonal.', '', '7.34'),
('4568', '', 'default', 'Image resize failed using the %toolkit toolkit on %path (%mimetype, %dimensions)', '', 'none'),
('4569', '', 'default', 'Image scale failed using the %toolkit toolkit on %path (%mimetype, %dimensions)', '', 'none'),
('4570', '', 'default', 'Image crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)', '', 'none'),
('4571', '', 'default', 'Image scale and crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)', '', 'none'),
('4572', '', 'default', 'Image desaturate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)', '', 'none'),
('4573', '', 'default', 'Image rotate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)', '', 'none'),
('4574', '', 'default', 'This field stores the ID of an image file as an integer value.', '', '7.42'),
('4575', '', 'default', 'If no image is uploaded, this image will be shown on display.', '', 'none'),
('4576', '', 'default', 'The maximum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Leave blank for no restriction. If a larger image is uploaded, it will be resized to reflect the given width and height. Resizing images on upload will cause the loss of <a href="http://en.wikipedia.org/wiki/Exchangeable_image_file_format">EXIF data</a> in the image.', '', 'none'),
('4577', '', 'default', 'Minimum image resolution', '', 'none'),
('4578', '', 'default', 'The minimum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Leave blank for no restriction. If a smaller image is uploaded, it will be rejected.', '', 'none'),
('4579', '', 'default', 'Enable <em>Alt</em> field', '', 'none'),
('4580', '', 'default', 'The alt attribute may be used by search engines, screen readers, and when the image cannot be loaded.', '', 'none'),
('4581', '', 'default', 'Enable <em>Title</em> field', '', 'none'),
('4582', '', 'default', 'The title attribute is used as a tooltip when the mouse hovers over the image.', '', 'none'),
('4583', '', 'default', 'Height and width values must be numeric.', '', 'none'),
('4584', '', 'default', 'Both a height and width value must be specified in the !name field.', '', 'none'),
('4585', '', 'default', 'Preview image style', '', 'none'),
('4586', '', 'default', 'no preview', '', 'none'),
('4587', '', 'default', 'The preview image will be shown while editing the content.', '', 'none'),
('4588', '', 'default', 'The Image module allows you to manipulate images on your website. It exposes a setting for using the <em>Image toolkit</em>, allows you to configure <em>Image styles</em> that can be used for resizing or adjusting images on display, and provides an <em>Image</em> field for attaching images to content. For more information, see the online handbook entry for <a href="@image">Image module</a>.', '', 'none'),
('4589', '', 'default', 'Manipulating images', '', 'none'),
('4590', '', 'default', 'With the Image module you can scale, crop, resize, rotate and desaturate images without affecting the original image using <a href="@image">image styles</a>. When you change an image style, the module automatically refreshes all created images. Every image style must have a name, which will be used in the URL of the generated images. There are two common approaches to naming image styles (which you use will depend on how the image style is being applied):', '', 'none'),
('4591', '', 'default', 'Based on where it will be used: eg. <em>profile-picture</em>', '', 'none'),
('4592', '', 'default', 'Describing its appearance: eg. <em>square-85x85</em>', '', 'none'),
('4593', '', 'default', 'Attaching images to content as fields', '', 'none'),
('4594', '', 'default', 'Image module also allows you to attach images to content as fields. To add an image field to a <a href=''@content-type''>content type</a>, go to the content type''s <em>manage fields</em> page, and add a new field of type <em>Image</em>. Attaching images to content this way allows image styles to be applied and maintained, and also allows you more flexibility when theming.', '', 'none'),
('4595', '', 'default', 'Image styles commonly provide thumbnail sizes by scaling and cropping images, but can also add various effects before an image is displayed. When an image is displayed with a style, a new file is created and the original image is left unchanged.', '', 'none'),
('4596', '', 'default', 'Administer image styles', '', 'none'),
('4597', '', 'default', 'Create and modify styles for generating image modifications such as thumbnails.', '', 'none'),
('4598', '', 'default', 'No defined styles', '', 'none'),
('4599', '', 'default', 'Image generation in progress. Try again shortly.', '', 'none'),
('4600', '', 'default', 'Error generating image.', '', 'none'),
('4601', '', 'default', 'Unable to generate the derived image located at %path.', '', 'none'),
('4602', '', 'default', 'Failed to create style directory: %directory', '', 'none'),
('4603', '', 'default', 'Cached image file %destination already exists. There may be an issue with your rewrite configuration.', '', 'none'),
('4604', '', 'default', 'Generate image style', '', 'none'),
('4605', '', 'default', 'Image styles', '', '7.42'),
('4606', '', 'default', 'Configure styles that can be used for resizing or adjusting images on display.', '', '7.42'),
('4607', '', 'default', 'List the current image styles on the site.', '', '7.42'),
('4608', '', 'default', 'Add style', '', '7.42'),
('4609', '', 'default', 'Add a new image style.', '', '7.42'),
('4610', '', 'default', 'Configure an image style.', '', 'none'),
('4611', '', 'default', 'Delete an image style.', '', 'none'),
('4612', '', 'default', 'Revert style', '', 'none'),
('4613', '', 'default', 'Revert an image style.', '', 'none'),
('4614', '', 'default', 'Edit image effect', '', 'none'),
('4615', '', 'default', 'Delete image effect', '', 'none'),
('4616', '', 'default', 'Add image effect', '', 'none'),
('4617', '', 'default', 'Add a new effect to a style.', '', 'none'),
('4618', '', 'default', 'Provides image manipulation tools.', '', '7.34'),
('4619', '', 'default', 'Use the <em>Custom language</em> section below if your desired language does not appear in this list.', '', 'none'),
('4620', '', 'default', 'Path prefix language code', '', 'none'),
('4621', '', 'default', 'Language code or other custom text to use as a path prefix for URL language detection, if your <em>Detection and selection</em> settings use URL path prefixes. For the default language, this value may be left blank. <strong>Modifying this value may break existing URLs. Use with caution in a production environment.</strong> Example: Specifying "deutsch" as the path prefix code for German results in URLs like "example.com/deutsch/contact".', '', 'none'),
('4622', '', 'default', 'Detection method', '', '7.34'),
('4623', '', 'default', 'Part of the URL that determines language', '', 'none'),
('4624', '', 'default', '<em>Path prefix</em>: URLs like http://example.com/de/contact set language to German (de). <em>Domain</em>: URLs like http://de.example.com/contact set the language to German. <strong>Warning: Changing this setting may break incoming URLs. Use with caution on a production site.</strong>', '', 'none'),
('4625', '', 'default', 'Request/session parameter', '', 'none'),
('4626', '', 'default', 'Name of the request/session parameter used to determine the desired language.', '', 'none'),
('4627', '', 'default', 'Filter translatable strings', '', '7.41'),
('4628', '', 'default', 'Date type', '', 'none'),
('4629', '', 'default', 'Are you sure you want to reset the date formats for %language to the global defaults?', '', 'none'),
('4630', '', 'default', 'Resetting will remove all localized date formats for this language. This action cannot be undone.', '', 'none'),
('4631', '', 'default', 'The Locale module allows your Drupal site to be presented in languages other than the default English, and to be multilingual. The Locale module works by maintaining a database of translations, and examining text as it is about to be displayed. When a translation of the text is available in the language to be displayed, the translation is displayed rather than the original text. When a translation is unavailable, the original text is displayed, and then stored for review by a translator. For more information, see the online handbook entry for <a href="@locale">Locale module</a>.', '', 'none'),
('4632', '', 'default', 'Translating interface text', '', 'none'),
('4633', '', 'default', 'Translations of text in the Drupal interface may be provided by:', '', 'none'),
('4634', '', 'default', 'Translating within your site, using the Locale module''s integrated <a href=''@translate''>translation interface</a>.', '', 'none'),
('4635', '', 'default', 'Importing files from a set of existing translations, known as a translation package. A translation package enables the display of a specific version of Drupal in a specific language, and contains files in the Gettext Portable Object (<em>.po</em>) format. Although not all languages are available for every version of Drupal, translation packages for many languages are available for download from the <a href="@translations">Drupal translations page</a>.', '', 'none');
INSERT INTO `locales_source` VALUES
('4636', '', 'default', 'If an existing translation package does not meet your needs, the Gettext Portable Object (<em>.po</em>) files within a package may be modified, or new <em>.po</em> files may be created, using a desktop Gettext editor. The Locale module''s <a href=''@import''>import</a> feature allows the translated strings from a new or modified <em>.po</em> file to be added to your site. The Locale module''s <a href=''@export''>export</a> feature generates files from your site''s translated strings, that can either be shared with others or edited offline by a Gettext translation editor.', '', 'none'),
('4637', '', 'default', 'Configuring a multilingual site', '', 'none'),
('4638', '', 'default', 'Language negotiation allows your site to automatically change language based on the domain or path used for each request. Users may (optionally) select their preferred language on their <em>My account</em> page, and your site can be configured to honor a web browser''s preferred language settings. Site content can be translated using the <a href=''@content-help''>Content translation module</a>.', '', 'none'),
('4639', '', 'default', 'With multiple languages enabled, interface text can be translated, registered users may select their preferred language, and authors can assign a specific language to content. <a href="@translations">Download contributed translations</a> from Drupal.org.', '', '7.34'),
('4640', '', 'default', 'Add a language to be supported by your site. If your desired language is not available in the <em>Language name</em> drop-down, click <em>Custom language</em> and provide a language code and other details manually. When providing a language code manually, be sure to enter a standardized language code, since this code may be used by browsers to determine an appropriate display language.', '', 'none'),
('4641', '', 'default', 'Determine the language from a request/session parameter. Example: "http://example.com?language=de" sets language to German based on the use of "de" within the "language" parameter.', '', 'none'),
('4642', '', 'default', 'See the <a href="@languages">Languages page</a> for more information on adding support for additional languages.', '', '7.41'),
('4643', '', 'default', 'This page imports the translated strings contained in an individual Gettext Portable Object (<em>.po</em>) file. Normally distributed as part of a translation package (each translation package may contain several <em>.po</em> files), a <em>.po</em> file may need to be imported after offline editing in a Gettext translation editor. Importing an individual <em>.po</em> file may be a lengthy process.', '', '7.41'),
('4644', '', 'default', 'This page allows a translator to search for specific translated and untranslated strings, and is used when creating or editing translations. (Note: For translation tasks involving many strings, it may be more convenient to <a href="@export">export</a> strings for offline editing in a desktop Gettext translation editor.) Searches may be limited to strings found within a specific text group or in a specific language.', '', '7.41'),
('4645', '', 'default', 'Administer languages', '', 'none'),
('4646', '', 'default', 'Translate interface texts', '', 'none'),
('4647', '', 'default', 'Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.', '', '7.41'),
('4648', '', 'default', 'Order of language detection methods for user interface text. If a translation of user interface text is available in the detected language, it will be displayed.', '', '7.41'),
('4649', '', 'default', 'Determine the language from the URL (Path prefix or domain).', '', '7.34'),
('4650', '', 'default', 'Determine the language from a request/session parameter.', '', '7.34'),
('4651', '', 'default', 'Follow the user''s language preference.', '', '7.34'),
('4652', '', 'default', 'Determine the language from the browser''s language settings.', '', '7.34'),
('4653', '', 'default', 'Language switcher (@type)', '', '7.41'),
('4654', '', 'default', 'Detection and selection', '', '7.42'),
('4655', '', 'default', 'URL language detection configuration', '', '7.42'),
('4656', '', 'default', 'Session language detection configuration', '', '7.42'),
('4657', '', 'default', 'Localize', '', '7.42'),
('4658', '', 'default', 'Localize date formats', '', 'none'),
('4659', '', 'default', 'Reset date formats', '', 'none'),
('4660', '', 'default', 'Reset localized date formats to global defaults', '', 'none'),
('4661', '', 'default', 'January', 'Long month name', 'none'),
('4662', '', 'default', 'February', 'Long month name', 'none'),
('4663', '', 'default', 'March', 'Long month name', 'none'),
('4664', '', 'default', 'April', 'Long month name', 'none'),
('4665', '', 'default', 'May', 'Long month name', 'none'),
('4666', '', 'default', 'June', 'Long month name', 'none'),
('4667', '', 'default', 'July', 'Long month name', 'none'),
('4668', '', 'default', 'August', 'Long month name', 'none'),
('4669', '', 'default', 'September', 'Long month name', 'none'),
('4670', '', 'default', 'October', 'Long month name', 'none'),
('4671', '', 'default', 'November', 'Long month name', 'none'),
('4672', '', 'default', 'December', 'Long month name', 'none'),
('4673', '', 'default', 'add link', '', '7.41'),
('4674', '', 'default', 'There are no menu links yet. <a href="@link">Add link</a>.', '', 'none'),
('4675', '', 'default', 'The text to be used for this link in the menu.', '', 'none'),
('4676', '', 'default', 'The path for this menu link. This can be an internal Drupal path such as %add-node or an external URL such as %drupal. Enter %front to link to the front page.', '', 'none'),
('4677', '', 'default', 'Menu links that are not enabled will not be listed in any menu.', '', 'none'),
('4678', '', 'default', 'Show as expanded', '', 'none'),
('4679', '', 'default', 'If selected and this menu link has children, the menu will always appear expanded.', '', 'none'),
('4680', '', 'default', 'Parent link', '', 'none'),
('4681', '', 'default', 'The maximum depth for a link and all its children is fixed at !maxdepth. Some menu links may not be available as parents if selecting them would exceed this limit.', '', 'none'),
('4682', '', 'default', 'Optional. In the menu, the heavier links will sink and the lighter links will be positioned nearer the top.', '', 'none'),
('4683', '', 'default', 'Are you sure you want to delete the custom menu link %item?', '', 'none'),
('4684', '', 'default', 'The menu link %title has been deleted.', '', 'none'),
('4685', '', 'default', 'Are you sure you want to reset the link %item to its default values?', '', 'none'),
('4686', '', 'default', 'The menu link was reset to its default settings.', '', 'none'),
('4687', '', 'default', 'No Main links', '', 'none'),
('4688', '', 'default', 'Source for the Main links', '', 'none'),
('4689', '', 'default', 'Select what should be displayed as the Main links (typically at the top of the page).', '', 'none'),
('4690', '', 'default', 'No Secondary links', '', 'none'),
('4691', '', 'default', 'Source for the Secondary links', '', 'none'),
('4692', '', 'default', 'Select the source for the Secondary links. An advanced option allows you to use the same source for both Main links (currently %main) and Secondary links: if your source menu has two levels of hierarchy, the top level menu links will appear in the Main links, and the children of the active link will appear in the Secondary links.', '', 'none'),
('4693', '', 'default', 'Deleted custom menu %title and all its menu links.', '', 'none'),
('4694', '', 'default', 'Deleted menu link %title.', '', 'none'),
('4695', '', 'default', '<strong>Warning:</strong> There is currently 1 menu link in %title. It will be deleted (system-defined items will be reset).', '', 'none'),
('4696', '', 'default', '<strong>Warning:</strong> There are currently @count menu links in %title. They will be deleted (system-defined links will be reset).', '', 'none'),
('4697', '', 'default', '<strong>Warning:</strong> There are currently @count[2] menu links in %title. They will be deleted (system-defined links will be reset).', '', 'none'),
('4698', '', 'default', 'Managing menus', '', 'none'),
('4699', '', 'default', 'Users with the <em>Administer menus and menu items</em> permission can add, edit and delete custom menus on the <a href="@menu">Menus administration page</a>. Custom menus can be special site menus, menus of external links, or any combination of internal and external links. You may create an unlimited number of additional menus, each of which will automatically have an associated block. By selecting <em>list links</em>, you can add, edit, or delete links for a given menu. The links listing page provides a drag-and-drop interface for controlling the order of links, and creating a hierarchy within the menu.', '', 'none'),
('4700', '', 'default', 'Displaying menus', '', 'none'),
('4701', '', 'default', 'After you have created a menu, you must enable and position the associated block on the <a href="@blocks">Blocks administration page</a>.', '', 'none'),
('4702', '', 'default', 'You can enable the newly-created block for this menu on the <a href="@blocks">Blocks administration page</a>.', '', 'none'),
('4703', '', 'default', 'Each menu has a corresponding block that is managed on the <a href="@blocks">Blocks administration page</a>.', '', '7.41'),
('4704', '', 'default', 'Administer menus and menu items', '', 'none'),
('4705', '', 'default', 'Provide a menu link', '', 'none'),
('4706', '', 'default', 'Menu links with smaller weights are displayed before links with larger weights.', '', 'none'),
('4707', '', 'default', 'Available menus', '', 'none'),
('4708', '', 'default', 'The menus available to place links in for this content type.', '', 'none'),
('4709', '', 'default', 'Default parent item', '', 'none'),
('4710', '', 'default', 'Choose the menu item to be the default parent for a new link in the content authoring form.', '', 'none'),
('4711', '', 'default', 'Add new menus to your site, edit existing menus, and rename and reorganize menu links.', '', '7.42'),
('4712', '', 'default', 'Parent menu items', '', 'none'),
('4713', '', 'default', 'Edit menu link', '', 'none'),
('4714', '', 'default', 'Reset menu link', '', 'none'),
('4715', '', 'default', 'Delete menu link', '', 'none'),
('4716', '', 'default', 'The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.', '', 'none'),
('4717', '', 'default', 'The <em>User</em> menu contains links related to the user''s account, as well as the ''Log out'' link.', '', 'none'),
('4718', '', 'default', 'The <em>Management</em> menu contains links for administrative tasks.', '', 'none'),
('4719', '', 'default', 'The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.', '', 'none'),
('4720', '', 'default', 'manage display', '', 'none'),
('4721', '', 'default', 'No content types available. <a href="@link">Add content type</a>.', '', 'none'),
('4722', '', 'default', 'The human-readable name of this content type. This text will be displayed as part of the list on the <em>Add new content</em> page. It is recommended that this name begin with a capital letter and contain only letters, numbers, and spaces. This name must be unique.', '', 'none'),
('4723', '', 'default', 'Describe this content type. The text will be displayed on the <em>Add new content</em> page.', '', 'none'),
('4724', '', 'default', 'Preview before submitting', '', 'none'),
('4725', '', 'default', 'This text will be displayed at the top of the page when creating or editing content of this type.', '', 'none'),
('4726', '', 'default', 'Users with the <em>Administer content</em> permission will be able to override these options.', '', 'none'),
('4727', '', 'default', 'Display author and date information.', '', 'none'),
('4728', '', 'default', 'Author username and publish date will be displayed.', '', 'none'),
('4729', '', 'default', 'Invalid machine-readable name. Enter a name other than %invalid.', '', 'none'),
('4730', '', 'default', '%type is used by 1 piece of content on your site. If you remove this content type, you will not be able to edit the %type content and it may not display correctly.', '', 'none'),
('4731', '', 'default', '%type is used by @count pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.', '', 'none'),
('4732', '', 'default', '%type is used by @count[2] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.', '', 'none'),
('4733', '', 'default', 'Publish selected content', '', '7.41'),
('4734', '', 'default', 'Unpublish selected content', '', '7.41'),
('4735', '', 'default', 'Promote selected content to front page', '', '7.41'),
('4736', '', 'default', 'Demote selected content from front page', '', '7.41'),
('4737', '', 'default', 'Make selected content sticky', '', '7.41'),
('4738', '', 'default', 'Make selected content not sticky', '', '7.41'),
('4739', '', 'default', 'Delete selected content', '', '7.41'),
('4740', '', 'default', 'Deleted @count posts.', '', 'none'),
('4741', '', 'default', 'Are you sure you want to delete this item?', '', 'none'),
('4742', '', 'default', '<em>Edit @type</em> @title', '', 'none'),
('4743', '', 'default', 'You have not created any content types yet. Go to the <a href="@create-content">content type creation page</a> to add a new content type.', '', 'none'),
('4744', '', 'default', 'Revision log message', '', 'none'),
('4745', '', 'default', 'Provide an explanation of the changes you are making. This will help other authors understand your motivations.', '', 'none'),
('4746', '', 'default', 'Tokens related to individual content items, or "nodes".', '', 'none'),
('4747', '', 'default', 'The unique ID of the content item, or "node".', '', 'none'),
('4748', '', 'default', 'The main body text of the node.', '', 'none'),
('4749', '', 'default', 'The summary of the node''s main body text.', '', 'none'),
('4750', '', 'default', 'The content access permissions need to be rebuilt. <a href="@node_access_rebuild">Rebuild permissions</a>.', '', 'none'),
('4751', '', 'default', 'The Node module manages the creation, editing, deletion, settings, and display of the main site content. Content items managed by the Node module are typically displayed as pages on your site, and include a title, some meta-data (author, creation time, content type, etc.), and optional fields containing text or other data (fields are managed by the <a href="@field">Field module</a>). For more information, see the online handbook entry for <a href="@node">Node module</a>.', '', 'none'),
('4752', '', 'default', 'Creating content', '', 'none'),
('4753', '', 'default', 'When new content is created, the Node module records basic information about the content, including the author, date of creation, and the <a href="@content-type">Content type</a>. It also manages the <em>publishing options</em>, which define whether or not the content is published, promoted to the front page of the site, and/or sticky at the top of content lists. Default settings can be configured for each <a href="@content-type">type of content</a> on your site.', '', 'none'),
('4754', '', 'default', 'Creating custom content types', '', 'none'),
('4755', '', 'default', 'The Node module gives users with the <em>Administer content types</em> permission the ability to <a href="@content-new">create new content types</a> in addition to the default ones already configured. Creating custom content types allows you the flexibility to add <a href="@field">fields</a> and configure default settings that suit the differing needs of various site content.', '', 'none'),
('4756', '', 'default', 'Administering content', '', 'none'),
('4757', '', 'default', 'The <a href="@content">Content administration page</a> allows you to review and bulk manage your site content.', '', 'none'),
('4758', '', 'default', 'Creating revisions', '', 'none'),
('4759', '', 'default', 'The Node module also enables you to create multiple versions of any content, and revert to older versions using the <em>Revision information</em> settings.', '', 'none'),
('4760', '', 'default', 'User permissions', '', 'none'),
('4761', '', 'default', 'The Node module makes a number of permissions available for each content type, which can be set by role on the <a href="@permissions">permissions page</a>.', '', 'none'),
('4762', '', 'default', 'Individual content types can have different fields, behaviors, and permissions assigned to them.', '', 'none'),
('4763', '', 'default', 'Content items can be displayed using different view modes: Teaser, Full content, Print, RSS, etc. <em>Teaser</em> is a short format that is typically used in lists of multiple content items. <em>Full content</em> is typically used when the content is displayed on its own page.', '', 'none'),
('4764', '', 'default', 'Here, you can define which fields are shown and hidden when %type content is displayed in each view mode, and define how the fields are displayed in each view mode.', '', 'none'),
('4765', '', 'default', 'Revisions allow you to track differences between multiple versions of your content, and revert back to older versions.', '', 'none'),
('4766', '', 'default', 'Full content', '', '7.42'),
('4767', '', 'default', 'The content on this page has either been modified by another user, or you have already submitted modifications using this form. As a result, your changes cannot be saved.', '', 'none'),
('4768', '', 'default', 'Administer content types', '', 'none'),
('4769', '', 'default', 'Warning: Give to trusted roles only; this permission has security implications.', '', 'none'),
('4770', '', 'default', 'View published content', '', 'none'),
('4771', '', 'default', 'Access the content overview page', '', 'none'),
('4772', '', 'default', 'Bypass content access control', '', 'none'),
('4773', '', 'default', 'View content revisions', '', 'none'),
('4774', '', 'default', 'Revert content revisions', '', 'none'),
('4775', '', 'default', 'Delete content revisions', '', 'none'),
('4776', '', 'default', 'View own unpublished content', '', 'none'),
('4777', '', 'default', 'Content is sticky at top of lists', '', 'none'),
('4778', '', 'default', 'Content is promoted to the front page', '', 'none'),
('4779', '', 'default', 'Recent content', '', '7.42'),
('4780', '', 'default', 'Number of recent content items to display', '', 'none'),
('4781', '', 'default', 'Show block for specific content types', '', '7.41'),
('4782', '', 'default', 'Show this block only on pages that display content of the given type(s). If you select no types, there will be no type-specific limitation.', '', '7.41'),
('4783', '', 'default', 'Welcome to @site-name', '', '7.41'),
('4784', '', 'default', 'No front page content has been created yet.', '', '7.41'),
('4785', '', 'default', 'Unpublish content', '', '7.41'),
('4786', '', 'default', 'Make content sticky', '', '7.41'),
('4787', '', 'default', 'Make content unsticky', '', '7.41'),
('4788', '', 'default', 'Promote content to front page', '', '7.41'),
('4789', '', 'default', 'Remove content from front page', '', '7.41'),
('4790', '', 'default', 'Change the author of content', '', '7.41'),
('4791', '', 'default', 'Save content', '', '7.41'),
('4792', '', 'default', 'Unpublish content containing keyword(s)', '', '7.41'),
('4793', '', 'default', 'The content will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, "Company, Inc."', '', 'none'),
('4794', '', 'default', 'If the site is experiencing problems with permissions to content, you may have to rebuild the permissions cache. Rebuilding will remove all privileges to content and replace them with permissions based on the current modules and settings. Rebuilding may take some time if there is a lot of content or complex permission settings. After rebuilding has completed, content will automatically use the new permissions.', '', '7.34'),
('4795', '', 'default', 'Node Access Permissions', '', '7.34'),
('4796', '', 'default', 'One permission in use', '', 'none'),
('4797', '', 'default', '@count permissions in use', '', 'none'),
('4798', '', 'default', '@count[2] permissions in use', '', 'none'),
('4799', '', 'default', 'Find and manage content.', '', 'none'),
('4800', '', 'default', 'Manage content types, including default status, front page promotion, comment settings, etc.', '', '7.42'),
('4801', '', 'default', 'Edit content type', '', 'none'),
('4802', '', 'default', 'This site supports <a href="@openid-net">OpenID</a>, a secure way to log in to many websites using a single username and password. OpenID can reduce the necessity of managing many usernames and passwords for many websites.', '', 'none'),
('4803', '', 'default', 'If you already have an OpenID, enter the URL to your OpenID server below (e.g. myusername.openidprovider.com). Next time you log in, you will be able to use this URL instead of a regular username and password. You can have multiple OpenID servers if you like; just keep adding them here.', '', 'none'),
('4804', '', 'default', 'The OpenID module allows users to log in using the OpenID single sign on service. <a href="@openid-net">OpenID</a> is a secure method for logging into many websites with a single username and password. It does not require special software, and it does not share passwords with any site to which it is associated, including the site being logged into. The main benefit to users is that they can have a single password that they can use on many websites. This means they can easily update their single password from a centralized location, rather than having to change dozens of passwords individually. For more information, see the online handbook entry for <a href="@handbook">OpenID module</a>.', '', 'none'),
('4805', '', 'default', 'Logging in with OpenID', '', 'none'),
('4806', '', 'default', 'To log in using OpenID, a user must already have an OpenID account. Users can then create site accounts using their OpenID, assign one or more OpenIDs to an existing account, and log in using an OpenID. This lowers the barrier to registration, which helps increase the user base, and offers convenience and security to the users. Because OpenID cannot guarantee a user is legitimate, email verification is still necessary. When logging in, users are presented with the option of entering their OpenID URL, which will look like <em>myusername.openidprovider.com</em>. The site then communicates with the OpenID server, asking it to verify the identity of the user. If the user is logged into their OpenID server, the server communicates back to your site, verifying the user. If they are not logged in, the OpenID server will ask the user for their password. At no point does the site being logged into record the user''s OpenID password.', '', 'none'),
('4807', '', 'default', 'Once you have verified your e-mail address, you may log in via OpenID.', '', 'none'),
('4808', '', 'default', 'Sorry, that is not a valid OpenID. Ensure you have spelled your ID correctly.', '', 'none'),
('4809', '', 'default', 'Complete the registration by filling out the form below. If you already have an account, you can <a href="@login">log in</a> now and add your OpenID under "My account".', '', 'none'),
('4810', '', 'default', 'Account registration using the information provided by your OpenID provider failed due to the reasons listed below. Complete the registration by filling out the form below. If you already have an account, you can <a href="@login">log in</a> now and add your OpenID under "My account".', '', 'none'),
('4811', '', 'default', 'The Overlay module makes the administration pages on your site display in a JavaScript overlay of the page you were viewing when you clicked the administrative link, instead of replacing the page in your browser window. Use the close link on the overlay to return to the page you were viewing when you clicked the link. For more information, see the online handbook entry for <a href="@overlay">Overlay module</a>.', '', 'none'),
('4812', '', 'default', 'Access the administrative overlay', '', 'none'),
('4813', '', 'default', 'View administrative pages in the overlay.', '', 'none'),
('4814', '', 'default', 'Displays the Drupal administration interface in an overlay.', '', 'none'),
('4815', '', 'default', 'Specify the existing path you wish to alias. For example: node/28, forum/1, taxonomy/term/1.', '', 'none'),
('4816', '', 'default', 'The Path module allows you to specify an alias, or custom URL, for any existing internal system path. Aliases should not be confused with URL redirects, which allow you to forward a changed or inactive URL to a new URL. In addition to making URLs more readable, aliases also help search engines index content more effectively. Multiple aliases may be used for a single internal system path. To automate the aliasing of paths, you can install the contributed module <a href="@pathauto">Pathauto</a>. For more information, see the online handbook entry for the <a href="@path">Path module</a>.', '', 'none'),
('4817', '', 'default', 'Creating aliases', '', 'none'),
('4818', '', 'default', 'Users with sufficient <a href="@permissions">permissions</a> can create aliases under the <em>URL path settings</em> section when they create or edit content. Some examples of aliases are: ', '', 'none'),
('4819', '', 'default', '<em>member/jane-smith</em> aliased to internal path <em>user/123</em>', '', 'none'),
('4820', '', 'default', '<em>about-us/team</em> aliased to internal path <em>node/456</em>', '', 'none'),
('4821', '', 'default', 'Managing aliases', '', 'none'),
('4822', '', 'default', 'The Path module provides a way to search and view a <a href="@aliases">list of all aliases</a> that are in use on your website. Aliases can be added, edited and deleted through this list.', '', 'none'),
('4823', '', 'default', 'An alias defines a different name for an existing URL path - for example, the alias ''about'' for the URL path ''node/1''. A URL path can have multiple aliases.', '', 'none'),
('4824', '', 'default', 'Administer URL aliases', '', 'none'),
('4825', '', 'default', 'Create and edit URL aliases', '', 'none'),
('4826', '', 'default', 'The alias is already in use.', '', 'none'),
('4827', '', 'default', 'Optionally specify an alternative URL by which this term can be accessed. Use a relative path and don''t add a trailing slash or the URL alias won''t work.', '', 'none'),
('4828', '', 'default', 'Enabling execution of PHP in text fields', '', 'none'),
('4829', '', 'default', 'The PHP filter module allows users with the proper permissions to include custom PHP code that will get executed when pages of your site are processed. While this is a powerful and flexible feature if used by a trusted user with PHP experience, it is a significant and dangerous security risk in the hands of a malicious or inexperienced user. Even a trusted user may accidentally compromise the site by entering malformed or incorrect PHP code. Only the most trusted users should be granted permission to use the PHP filter, and all PHP code added through the PHP filter should be carefully examined before use. <a href="@php-snippets">Example PHP snippets</a> can be found on Drupal.org.', '', 'none'),
('4830', '', 'default', 'Use PHP for settings', '', 'none'),
('4831', '', 'default', '<p>Add a custom block to your site, named "Welcome" . With its text format set to "PHP code" (or another format supporting PHP input), add the following in the Block body:</p>\n<pre>\nprint t(''Welcome visitor! Thank you for visiting.'');\n</pre>', '', 'none'),
('4832', '', 'default', '<p>To display the name of a registered user, use this instead:</p>\n<pre>\nglobal $user;\nif ($user->uid) {\n  print t(''Welcome @name! Thank you for visiting.'', array(''@name'' => format_username($user)));\n}\nelse {\n  print t(''Welcome visitor! Thank you for visiting.'');\n}\n</pre>', '', 'none'),
('4833', '', 'default', 'The PHP module has been disabled. Any existing content that was using the PHP filter will now be visible in plain text. This might pose a security risk by exposing sensitive information, if any, used in the PHP code.', '', 'none'),
('4834', '', 'default', 'The Poll module can be used to create simple surveys or questionnaires that display cumulative results. A poll is a good way to receive feedback from site users and community members. For more information, see the online handbook entry for the <a href="@poll">Poll module</a>.', '', 'none'),
('4835', '', 'default', 'Creating a poll', '', 'none'),
('4836', '', 'default', 'Users can create a poll by clicking on Poll on the <a href="@add-content">Add new content</a> page, and entering the question being posed, the answer choices, and beginning vote counts for each choice. The status (closed or active) and duration (length of time the poll remains active for new votes) can also be specified.', '', 'none'),
('4837', '', 'default', 'Viewing polls', '', 'none'),
('4838', '', 'default', 'You can visit the <a href="@poll">Polls</a> page to view all current polls, or alternately enable the <em>Most recent poll</em> block on the <a href="@blocks">Blocks administration page</a>. To vote in or view the results of a specific poll, you can click on the poll itself.', '', 'none'),
('4839', '', 'default', 'Vote on polls', '', 'none'),
('4840', '', 'default', 'Cancel and change own votes', '', 'none'),
('4841', '', 'default', 'Your vote was cancelled.', '', 'none'),
('4842', '', 'default', 'To enable browsing this field by value, enter a title for the resulting page. The word <code>%value</code> will be substituted with the corresponding value. An example page title is "People whose favorite color is %value" . This is only applicable for a public field.', '', 'none'),
('4843', '', 'default', 'To enable browsing this field by value, enter a title for the resulting page. An example page title is "People who are employed" . This is only applicable for a public field.', '', 'none'),
('4844', '', 'default', 'The Profile module allows site administrators to define custom fields (such as country, full name, or age) for user profiles, which are then displayed in the <a href="@user">My Account</a> section. This permits users of a site to share more information about themselves, and can help community-based sites organize users around specific information. For more information, see the online handbook entry for <a href="@profile">Profile module</a>.', '', 'none'),
('4845', '', 'default', 'Adding fields to the default profile', '', 'none'),
('4846', '', 'default', 'To provide the ability for users to enter more information about themselves, the Profile module allows additional fields to be added to the default user profile. Examples of common additions would be <em>Location</em>, <em>Company</em>, <em>Age</em>, or <em>About me</em>.', '', 'none'),
('4847', '', 'default', 'User information pages', '', 'none'),
('4848', '', 'default', 'The Profile module enables links to see further information about site users. You can view both a main <a href="@profile">User list page</a>, and more specified pages by clicking on linked fields in any profile. For example, the <a href="@profile-country">People who live in Canada</a> listing on Drupal.org displays all users who have entered <em>Canada</em> in the <em>Country</em> field on their user profile.', '', 'none'),
('4849', '', 'default', 'Author information block', '', 'none'),
('4850', '', 'default', 'The <em>Author information block</em> is a default block created by the Profile module that can be enabled on the <a href="@blocks">Blocks administration page</a>. It shows visitors of your website information about the author of the page they are reading.', '', 'none'),
('4851', '', 'default', 'This page displays a list of the existing custom profile fields to be displayed on a user''s <em>My account</em> page. To provide structure, similar or related fields may be placed inside a category. To add a new category (or edit an existing one), edit a profile field and provide a new category name.', '', 'none'),
('4852', '', 'default', 'Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.', '', 'none'),
('4853', '', 'default', 'The active search modules have been changed.', '', 'none'),
('4854', '', 'default', 'You must include at least one positive keyword with 1 character or more.', '', 'none'),
('4855', '', 'default', 'You must include at least one positive keyword with @count[2] characters or more.', '', 'none'),
('4856', '', 'default', 'Searched %type for %keys.', '', 'none'),
('4857', '', 'default', 'The Search module provides the ability to index and search for content by exact keywords, and for users by username or e-mail. For more information, see the online handbook entry for <a href="@search-module">Search module</a>.', '', 'none'),
('4858', '', 'default', 'Searching content and users', '', 'none'),
('4859', '', 'default', 'Users with <em>Use search</em> permission can use the search block and <a href="@search">Search page</a>. Users with the <em>View published content</em> permission can search for content containing exact keywords. Users with the <em>View user profiles</em> permission can search for users containing the keyword anywhere in the user name, and users with the <em>Administer users</em> permission can search for users by email address. Additionally, users with <em>Use advanced search</em> permission can find content using more complex search methods and filtering by choosing the <em>Advanced search</em> option on the <a href="@search">Search page</a>.', '', 'none'),
('4860', '', 'default', 'Indexing content with cron', '', 'none'),
('4861', '', 'default', 'Configuring search settings', '', 'none'),
('4862', '', 'default', 'Indexing behavior can be adjusted using the <a href="@searchsettings">Search settings page</a>. Users with <em>Administer search</em> permission can control settings such as the <em>Number of items to index per cron run</em>, <em>Indexing settings</em> (word length), <em>Active search modules</em>, and <em>Content ranking</em>, which lets you adjust the priority in which indexed content is returned in results.', '', 'none'),
('4863', '', 'default', 'The Search module includes a default <em>Search form</em> block, which can be enabled and configured on the <a href="@blocks">Blocks administration page</a>. The block is available to users with the <em>Search content</em> permission.', '', 'none'),
('4864', '', 'default', 'Extending Search module', '', 'none'),
('4865', '', 'default', 'By default, the Search module only supports exact keyword matching in content searches. You can modify this behavior by installing a language-specific stemming module for your language (such as <a href="http://drupal.org/project/porterstemmer">Porter Stemmer</a> for American English), which allows words such as walk, walking, and walked to be matched in the Search module. Another approach is to use a third-party search technology with stemming or partial word matching features built in, such as <a href="http://drupal.org/project/apachesolr">Apache Solr</a> or <a href="http://drupal.org/project/sphinx">Sphinx</a>. These and other <a href="@contrib-search">search-related contributed modules</a> can be downloaded by visiting Drupal.org.', '', 'none'),
('4866', '', 'default', '<ul>\n<li>Check if your spelling is correct.</li>\n<li>Remove quotes around phrases to search for each word individually. <em>bike shed</em> will often show more results than <em>&quot;bike shed&quot;</em>.</li>\n<li>Consider loosening your query with <em>OR</em>. <em>bike OR shed</em> will often show more results than <em>bike shed</em>.</li>\n</ul>', '', 'none'),
('4867', '', 'default', 'Administer search', '', 'none'),
('4868', '', 'default', 'Use search', '', 'none'),
('4869', '', 'default', 'Use advanced search', '', 'none'),
('4870', '', 'default', 'Configure relevance settings for search and other indexing options.', '', '7.42'),
('4871', '', 'default', 'Choose a set of shortcuts to use', '', 'none'),
('4872', '', 'default', 'Choose a set of shortcuts for this user', '', 'none'),
('4873', '', 'default', 'You are now using the new %set_name shortcut set. You can edit it from this page or <a href="@switch-url">switch back to a different one.</a>', '', 'none'),
('4874', '', 'default', '%user is now using a new shortcut set called %set_name. You can edit it from this page.', '', 'none'),
('4875', '', 'default', 'You are now using the %set_name shortcut set.', '', 'none'),
('4876', '', 'default', '%user is now using the %set_name shortcut set.', '', 'none'),
('4877', '', 'default', 'Change set', '', 'none'),
('4878', '', 'default', 'The shortcut set has been updated.', '', 'none'),
('4879', '', 'default', 'Add new shortcut', '', 'none'),
('4880', '', 'default', 'Editing @shortcut', '', 'none'),
('4881', '', 'default', 'The name of the shortcut.', '', 'none'),
('4882', '', 'default', 'The path to the shortcut.', '', 'none'),
('4883', '', 'default', 'The link must correspond to a valid path on the site.', '', 'none'),
('4884', '', 'default', 'The shortcut %link has been updated.', '', 'none'),
('4885', '', 'default', 'Added a shortcut for %title.', '', 'none'),
('4886', '', 'default', 'Are you sure you want to delete the shortcut %title?', '', 'none'),
('4887', '', 'default', 'The shortcut %title has been deleted.', '', 'none'),
('4888', '', 'default', 'Unable to add a shortcut for %title.', '', 'none'),
('4889', '', 'default', 'Adding and removing shortcuts', '', 'none'),
('4890', '', 'default', 'Displaying shortcuts', '', 'none'),
('4891', '', 'default', 'You can display your shortcuts by enabling the Shortcuts block on the <a href="@blocks">Blocks administration page</a>. Certain administrative modules also display your shortcuts; for example, the core <a href="@toolbar-help">Toolbar module</a> displays them near the top of the page, along with an <em>Edit shortcuts</em> link.', '', 'none'),
('4892', '', 'default', 'Administer shortcuts', '', 'none'),
('4893', '', 'default', '@shortcut_set shortcuts', '', 'none'),
('4894', '', 'default', 'Add to %shortcut_set shortcuts', '', '7.42'),
('4895', '', 'default', 'Add to shortcuts', '', 'none'),
('4896', '', 'default', 'Remove from %shortcut_set shortcuts', '', '7.41'),
('4897', '', 'default', 'Remove from shortcuts', '', 'none'),
('4898', '', 'default', 'Edit shortcuts', '', 'none'),
('4899', '', 'default', 'Add shortcut', '', 'none'),
('4900', '', 'default', 'Edit shortcut', '', 'none'),
('4901', '', 'default', 'Delete shortcut', '', 'none'),
('4902', '', 'default', 'Allows users to manage customizable lists of shortcut links.', '', '7.34'),
('4903', '', 'default', 'Value @value is TRUE.', '', 'none'),
('4904', '', 'default', 'Value @value is FALSE.', '', 'none'),
('4905', '', 'default', 'Value @value is NULL.', '', 'none'),
('4906', '', 'default', 'Value @value is not NULL.', '', 'none'),
('4907', '', 'default', 'Value @first is equal to value @second.', '', 'none'),
('4908', '', 'default', 'Value @first is not equal to value @second.', '', 'none'),
('4909', '', 'default', 'Value @first is identical to value @second.', '', 'none'),
('4910', '', 'default', 'Value @first is not identical to value @second.', '', 'none'),
('4911', '', 'default', 'The test did not complete due to a fatal error.', '', 'none'),
('4912', '', 'default', 'Link with label %label found.', '', 'none'),
('4913', '', 'default', 'Link with label %label not found.', '', 'none'),
('4914', '', 'default', 'Link containing href %href found.', '', 'none'),
('4915', '', 'default', 'No link containing href %href found.', '', 'none'),
('4916', '', 'default', 'Clicked link %label (@url_target) from @url_before', '', 'none'),
('4917', '', 'default', 'Option @option for field @id is selected.', '', 'none'),
('4918', '', 'default', 'Option @option for field @id is not selected.', '', 'none'),
('4919', '', 'default', 'By default SimpleTest will clear the results after they have been viewed on the results page, but in some cases it may be useful to leave the results in the database. The results can then be viewed at <em>admin/config/development/testing/[test_id]</em>. The test ID can be found in the database, simpletest table, or kept track of when viewing the results the first time. Additionally, some modules may provide more analysis or features that require this setting to be disabled.', '', 'none'),
('4920', '', 'default', 'GSS negotiate', '', 'none'),
('4921', '', 'default', 'NTLM', '', 'none'),
('4922', '', 'default', 'Any safe', '', 'none'),
('4923', '', 'default', 'The Testing module provides a framework for running automated unit tests. It can be used to verify a working state of Drupal before and after any code changes, or as a means for developers to write and execute tests for their modules. For more information, see the online handbook entry for <a href="@simpletest">Testing module</a>.', '', 'none'),
('4924', '', 'default', 'Running tests', '', 'none'),
('4925', '', 'default', 'Visit the <a href="@admin-simpletest">Testing page</a> to display a list of available tests. For comprehensive testing, select <em>all</em> tests, or individually select tests for more targeted testing. Note that it might take several minutes for all tests to complete. For more information on creating and modifying your own tests, see the <a href="@simpletest-api">Testing API Documentation</a> in the Drupal handbook.', '', 'none'),
('4926', '', 'default', 'After the tests run, a message will be displayed next to each test group indicating whether tests within it passed, failed, or had exceptions. A pass means that the test returned the expected results, while fail means that it did not. An exception normally indicates an error outside of the test, such as a PHP warning or notice. If there were failures or exceptions, the results will be expanded to show details, and the tests that had failures or exceptions will be indicated in red or pink rows. You can then use these results to refine your code and tests, until all tests pass.', '', 'none'),
('4927', '', 'default', 'Administer tests', '', 'none'),
('4928', '', 'default', 'The test run finished in @elapsed.', '', 'none'),
('4929', '', 'default', 'Use the <em>Clean environment</em> button to clean-up temporary files and tables.', '', 'none'),
('4930', '', 'default', 'The testing framework requires the PHP <a href="@open_basedir-url">open_basedir</a> restriction to be disabled. Check your webserver configuration or contact your web host.', '', 'none'),
('4931', '', 'default', 'The testing framework could not be installed because the PHP <a href="@curl_url">cURL</a> library is not available.', '', 'none'),
('4932', '', 'default', 'The testing framework could not be installed because the PHP <a href="@hash_url">hash</a> extension is disabled.', '', 'none'),
('4933', '', 'default', 'PHP open_basedir restriction', '', 'none'),
('4934', '', 'default', 'unblock IP address', '', 'none'),
('4935', '', 'default', 'block IP address', '', 'none'),
('4936', '', 'default', 'The Statistics module shows you how often a given page is viewed, who viewed it, the previous page the user visited (referrer URL), and when it was viewed. These statistics are useful in determining how users are visiting and navigating your site. For more information, see the online handbook entry for the <a href="@statistics">Statistics module</a>.', '', 'none'),
('4937', '', 'default', 'Managing logs', '', 'none'),
('4938', '', 'default', 'To enable collection of statistics, the <em>Enable access log</em> checkbox on the <a href="@statistics-settings">Statistics settings page</a> must be checked. The <em>Discard access logs older than</em> setting on the settings page specifies the length of time entries are kept in the log before they are deleted. This setting requires a correctly configured <a href="@cron">cron maintenance task</a> to run.', '', 'none'),
('4939', '', 'default', 'Viewing site usage', '', 'none'),
('4940', '', 'default', 'The Statistics module can help you break down details about your users and how they are using the site. The module offers four reports:', '', 'none'),
('4941', '', 'default', '<a href="@recent-hits">Recent hits</a> displays information about the latest activity on your site, including the URL and title of the page that was accessed, the user name (if available) and the IP address of the viewer.', '', 'none'),
('4942', '', 'default', '<a href="@top-referrers">Top referrers</a> displays where visitors came from (referrer URL).', '', 'none'),
('4943', '', 'default', '<a href="@top-pages">Top pages</a> displays a list of pages ordered by how often they were viewed.', '', 'none'),
('4944', '', 'default', '<a href="@top-visitors">Top visitors</a> shows you the most active visitors for your site and allows you to ban abusive visitors.', '', 'none'),
('4945', '', 'default', 'Displaying popular content', '', 'none'),
('4946', '', 'default', 'The module includes a <em>Popular content</em> block that displays the most viewed pages today and for all time, and the last content viewed. To use the block, enable <em>Count content views</em> on the <a href="@statistics-settings">statistics settings page</a>, and then you can enable and configure the block on the <a href="@blocks">blocks administration page</a>.', '', 'none'),
('4947', '', 'default', 'Page view counter', '', 'none'),
('4948', '', 'default', 'The Statistics module includes a counter for each page that increases whenever the page is viewed. To use the counter, enable <em>Count content views</em> on the <a href="@statistics-settings">statistics settings page</a>, and set the necessary <a href="@permissions">permissions</a> (<em>View content hits</em>) so that the counter is visible to the users.', '', 'none'),
('4949', '', 'default', 'Administer statistics', '', 'none'),
('4950', '', 'default', 'View content access statistics', '', 'none'),
('4951', '', 'default', 'View content hits', '', 'none'),
('4952', '', 'default', 'Control details about what and how your site logs access statistics.', '', '7.42'),
('4953', '', 'default', 'The Syslog module logs events by sending messages to the logging facility of your web server''s operating system. Syslog is an operating system administrative logging tool that provides valuable information for use in system management and security auditing. Most suited to medium and large sites, Syslog provides filtering tools that allow messages to be routed by type and severity. For more information, see the online handbook entry for <a href=''@syslog''>Syslog module</a> and PHP''s <a href=''@php_openlog''>openlog</a> and <a href=''@php_syslog''>syslog</a> functions.', '', 'none'),
('4954', '', 'default', 'Logging for UNIX, Linux, and Mac OS X', '', 'none'),
('4955', '', 'default', 'On UNIX, Linux, and Mac OS X, the file <em>/etc/syslog.conf</em> defines the routing configuration. Messages can be flagged with the codes <code>LOG_LOCAL0</code> through <code>LOG_LOCAL7</code>. For information on Syslog facilities, severity levels, and how to set up <em>syslog.conf</em>, see the <em>syslog.conf</em> manual page on your command line.', '', 'none'),
('4956', '', 'default', 'Logging for Microsoft Windows', '', 'none'),
('4957', '', 'default', 'On Microsoft Windows, messages are always sent to the Event Log using the code <code>LOG_USER</code>.', '', 'none'),
('4958', '', 'default', 'Syslog facility', '', 'none'),
('4959', '', 'default', 'Depending on the system configuration, Syslog and other logging tools use this code to identify or filter messages from within the entire system log.', '', 'none'),
('4960', '', 'default', 'The image %file could not be rotated because the imagerotate() function is not available in this PHP installation.', '', 'none'),
('4961', '', 'default', 'The image %file could not be desaturated because the imagefilter() function is not available in this PHP installation.', '', 'none'),
('4962', '', 'default', 'Screenshot for !theme theme', '', 'none'),
('4963', '', 'default', 'Settings for !theme theme', '', 'none'),
('4964', '', 'default', 'Disable !theme theme', '', 'none'),
('4965', '', 'default', 'Set !theme as default theme', '', 'none'),
('4966', '', 'default', 'Enable !theme theme', '', 'none'),
('4967', '', 'default', 'Enable and set default', '', 'none'),
('4968', '', 'default', 'Enable !theme as default theme', '', 'none'),
('4969', '', 'default', 'default theme', '', 'none'),
('4970', '', 'default', 'Choose "Default theme" to always use the same theme as the rest of the site.', '', 'none'),
('4971', '', 'default', 'Use the administration theme when editing or creating content', '', 'none'),
('4972', '', 'default', 'The %theme theme has been enabled.', '', 'none'),
('4973', '', 'default', 'The %theme theme was not found.', '', 'none'),
('4974', '', 'default', '%theme is the default theme and cannot be disabled.', '', 'none'),
('4975', '', 'default', 'The %theme theme has been disabled.', '', 'none'),
('4976', '', 'default', 'Please note that the administration theme is still set to the %admin_theme theme; consequently, the theme on this page remains unchanged. All non-administrative sections of the site, however, will show the selected %selected_theme theme by default.', '', 'none'),
('4977', '', 'default', '%theme is now the default theme.', '', 'none'),
('4978', '', 'default', 'User verification status in comments', '', 'none'),
('4979', '', 'default', 'These settings only exist for the themes based on the %engine theme engine.', '', 'none'),
('4980', '', 'default', 'The logo could not be uploaded.', '', 'none'),
('4981', '', 'default', 'The favicon could not be uploaded.', '', 'none'),
('4982', '', 'default', 'The custom logo path is invalid.', '', 'none'),
('4983', '', 'default', 'The custom favicon path is invalid.', '', 'none'),
('4984', '', 'default', '@module (<span class="admin-missing">incompatible with</span> version @version)', '', 'none'),
('4985', '', 'default', 'This version is not compatible with Drupal !core_version and should be replaced.', '', 'none');
INSERT INTO `locales_source` VALUES
('4986', '', 'default', 'Would you like to continue with the above?', '', 'none'),
('4987', '', 'default', 'Enter a valid IP address.', '', 'none'),
('4988', '', 'default', 'This IP address is already blocked.', '', 'none'),
('4989', '', 'default', 'You may not block your own IP address.', '', 'none'),
('4990', '', 'default', 'The IP address %ip has been blocked.', '', 'none'),
('4991', '', 'default', 'Are you sure you want to delete %ip?', '', 'none'),
('4992', '', 'default', 'The IP address %ip was deleted.', '', 'none'),
('4993', '', 'default', 'How this is used depends on your site''s theme.', '', 'none'),
('4994', '', 'default', 'Number of posts on front page', '', 'none'),
('4995', '', 'default', 'The maximum number of posts displayed on overview pages such as the front page.', '', 'none'),
('4996', '', 'default', 'This page is displayed when the requested document is denied to the current user. Leave blank to display a generic "access denied" page.', '', 'none'),
('4997', '', 'default', 'This page is displayed when no other content matches the requested document. Leave blank to display a generic "page not found" page.', '', 'none'),
('4998', '', 'default', 'Errors and warnings', '', 'none'),
('4999', '', 'default', 'Clear all caches', '', 'none'),
('5000', '', 'default', '<strong class="error">Set up the <a href="!file-system">public files directory</a> to make these optimizations available.</strong>', '', 'none'),
('5001', '', 'default', 'Bandwidth optimization', '', 'none'),
('5002', '', 'default', 'Compress cached pages.', '', 'none'),
('5003', '', 'default', 'Public file system path', '', 'none'),
('5004', '', 'default', 'A local file system path where public files will be stored. This directory must exist and be writable by Drupal. This directory must be relative to the Drupal installation directory and be accessible over the web.', '', 'none'),
('5005', '', 'default', 'Private file system path', '', 'none'),
('5006', '', 'default', 'A local file system path where temporary files will be stored. This directory should not be accessible over the web.', '', 'none'),
('5007', '', 'default', 'Default download method', '', 'none'),
('5008', '', 'default', 'This setting is used as the preferred download method. The use of public files is more efficient, but does not provide any access control.', '', 'none'),
('5009', '', 'default', 'No image toolkits were detected. Drupal includes support for <a href=''!gd-link''>PHP''s built-in image processing functions</a> but they were not detected on this system. You should consult your system administrator to have them enabled, or try using a third party toolkit.', '', 'none'),
('5010', '', 'default', 'Description of your site, included in each feed.', '', 'none'),
('5011', '', 'default', 'Time zones', '', 'none'),
('5012', '', 'default', 'Users may set their own time zone.', '', 'none'),
('5013', '', 'default', 'Remind users at login if their time zone is not set.', '', 'none'),
('5014', '', 'default', 'Only applied if users may set their own time zone.', '', 'none'),
('5015', '', 'default', 'Time zone for new users', '', 'none'),
('5016', '', 'default', 'Default time zone.', '', 'none'),
('5017', '', 'default', 'Empty time zone.', '', 'none'),
('5018', '', 'default', 'Users may set their own time zone at registration.', '', 'none'),
('5019', '', 'default', 'No date types available. <a href="@link">Add date type</a>.', '', 'none'),
('5020', '', 'default', 'Add date type', '', '7.42'),
('5021', '', 'default', 'The date type must contain only alphanumeric characters and underscores.', '', 'none'),
('5022', '', 'default', 'This date type already exists. Enter a unique type.', '', 'none'),
('5023', '', 'default', 'New date type added successfully.', '', 'none'),
('5024', '', 'default', 'Put site into maintenance mode', '', 'none'),
('5025', '', 'default', 'Maintenance mode message', '', 'none'),
('5026', '', 'default', 'Message to show visitors when the site is in maintenance mode.', '', 'none'),
('5027', '', 'default', 'Use URLs like <code>example.com/user</code> instead of <code>example.com/?q=user</code>.', '', 'none'),
('5028', '', 'default', 'Requires: !module-list', '', 'none'),
('5029', '', 'default', 'Required by: !module-list', '', 'none'),
('5030', '', 'default', 'Are you sure you want to remove the date type %type?', '', 'none'),
('5031', '', 'default', 'Removed date type %type.', '', 'none'),
('5032', '', 'default', 'No custom date formats available. <a href="@link">Add date format</a>.', '', 'none'),
('5033', '', 'default', 'Displayed as', '', 'none'),
('5034', '', 'default', 'Displayed as %date', '', 'none'),
('5035', '', 'default', 'A user-defined date format. See the <a href="@url">PHP manual</a> for available options.', '', 'none'),
('5036', '', 'default', 'Save format', '', 'none'),
('5037', '', 'default', 'This format already exists. Enter a unique format string.', '', 'none'),
('5038', '', 'default', 'Custom date format updated.', '', 'none'),
('5039', '', 'default', 'Custom date format added.', '', 'none'),
('5040', '', 'default', 'Available actions:', '', 'none'),
('5041', '', 'default', 'Create an advanced action', '', 'none'),
('5042', '', 'default', 'A unique label for this advanced action. This label will be displayed in the interface of modules that integrate with actions, such as Trigger module.', '', 'none'),
('5043', '', 'default', 'Deleted %ip', '', 'none'),
('5044', '', 'default', 'Enabled theme', '', 'none'),
('5045', '', 'default', 'Enabled themes', '', 'none'),
('5046', '', 'default', 'Disabled theme', '', 'none'),
('5047', '', 'default', 'You must enable the @required module to install @module.', '', 'none'),
('5048', '', 'default', 'You must enable the @required modules to install @module.', '', 'none'),
('5049', '', 'default', 'Tokens for site-wide settings and other global information.', '', 'none'),
('5050', '', 'default', 'Tokens related to times and dates.', '', 'none'),
('5051', '', 'default', 'Tokens related to uploaded files.', '', 'none'),
('5052', '', 'default', 'URL (brief)', '', 'none'),
('5053', '', 'default', 'The URL of the site''s front page without the protocol.', '', 'none'),
('5054', '', 'default', 'Short format', '', 'none'),
('5055', '', 'default', 'A date in ''short'' format. (%date)', '', 'none'),
('5056', '', 'default', 'Medium format', '', 'none'),
('5057', '', 'default', 'A date in ''medium'' format. (%date)', '', 'none'),
('5058', '', 'default', 'Long format', '', 'none'),
('5059', '', 'default', 'A date in ''long'' format. (%date)', '', 'none'),
('5060', '', 'default', 'A date in a custom format. See !php-date for details.', '', 'none'),
('5061', '', 'default', 'the PHP documentation', '', 'none'),
('5062', '', 'default', 'Time-since', '', 'none'),
('5063', '', 'default', 'Raw timestamp', '', 'none'),
('5064', '', 'default', 'A date in UNIX timestamp format (%date)', '', 'none'),
('5065', '', 'default', 'The System module is integral to the site, and provides basic but extensible functionality for use by other modules and themes. Some integral elements of Drupal are contained in and managed by the System module, including caching, enabling and disabling modules and themes, preparing and displaying the administrative page, and configuring fundamental site settings. A number of key system maintenance operations are also part of the System module. For more information, see the online handbook entry for <a href="@system">System module</a>.', '', 'none'),
('5066', '', 'default', 'Managing modules', '', 'none'),
('5067', '', 'default', 'The System module allows users with the appropriate permissions to enable and disable modules on the <a href="@modules">Modules administration page</a>. Drupal comes with a number of core modules, and each module provides a discrete set of features and may be enabled or disabled depending on the needs of the site. Many additional modules contributed by members of the Drupal community are available for download at the <a href="@drupal-modules">Drupal.org module page</a>.', '', 'none'),
('5068', '', 'default', 'Managing themes', '', 'none'),
('5069', '', 'default', 'The System module allows users with the appropriate permissions to enable and disable themes on the <a href="@themes">Appearance administration page</a>. Themes determine the design and presentation of your site. Drupal comes packaged with several core themes, and additional contributed themes are available at the <a href="@drupal-themes">Drupal.org theme page</a>.', '', 'none'),
('5070', '', 'default', 'Managing caching', '', 'none'),
('5071', '', 'default', 'The System module allows users with the appropriate permissions to manage caching on the <a href=''@cache-settings''>Performance settings page</a>. Drupal has a robust caching system that allows the efficient re-use of previously-constructed web pages and web page components. Pages requested by anonymous users are stored in a compressed format; depending on your site configuration and the amount of your web traffic tied to anonymous visitors, the caching system may significantly increase the speed of your site.', '', 'none'),
('5072', '', 'default', 'Performing system maintenance', '', 'none'),
('5073', '', 'default', 'Configuring basic site settings', '', 'none'),
('5074', '', 'default', 'The System module also handles basic configuration options for your site, including <a href="@date-time-settings">Date and time settings</a>, <a href="@file-system">File system settings</a>, <a href="@clean-url">Clean URL support</a>, <a href="@site-info">Site name and other information</a>, and a <a href="@maintenance-mode">Maintenance mode</a> for taking your site temporarily offline.', '', 'none'),
('5075', '', 'default', 'Configuring actions', '', 'none'),
('5076', '', 'default', 'Actions are individual tasks that the system can do, such as unpublishing a piece of content or banning a user. Modules, such as the <a href="@trigger-help">Trigger module</a>, can fire these actions when certain system events happen; for example, when a new post is added or when a user logs in. Modules may also provide additional actions. Visit the <a href="@actions">Actions page</a> to configure actions.', '', 'none'),
('5077', '', 'default', 'Set and configure the default theme for your website.  Alternative <a href="@themes">themes</a> are available.', '', 'none'),
('5078', '', 'default', 'Download additional <a href="@modules">contributed modules</a> to extend Drupal''s functionality.', '', 'none'),
('5079', '', 'default', 'Regularly review and install <a href="@updates">available updates</a> to maintain a secure and current site. Always run the <a href="@update-php">update script</a> each time a module is updated.', '', 'none'),
('5080', '', 'default', 'Regularly review <a href="@updates">available updates</a> to maintain a secure and current site. Always run the <a href="@update-php">update script</a> each time a module is updated.', '', 'none'),
('5081', '', 'default', 'Regularly review available updates to maintain a secure and current site. Always run the <a href="@update-php">update script</a> each time a module is updated. Enable the Update manager module to update and install modules and themes.', '', 'none'),
('5082', '', 'default', 'If you are upgrading to a newer version of Drupal or upgrading contributed modules or themes, you may need to run the <a href="@update-php">update script</a>.', '', 'none'),
('5083', '', 'default', 'There are two types of actions: simple and advanced. Simple actions do not require any additional configuration, and are listed here automatically. Advanced actions need to be created and configured before they can be used, because they have options that need to be specified; for example, sending an e-mail to a specified address, or unpublishing content containing certain words. To create an advanced action, select the action from the drop-down list in the advanced action section below and click the <em>Create</em> button.', '', 'none'),
('5084', '', 'default', 'An advanced action offers additional configuration options which may be filled out below. Changing the <em>Description</em> field is recommended, in order to better identify the precise action taking place. This description will be displayed in modules such as the Trigger module when assigning actions to system events, so it is best if it is as descriptive as possible (for example, "Send e-mail to Moderation Team" rather than simply "Send e-mail").', '', 'none'),
('5085', '', 'default', 'Administer modules', '', 'none'),
('5086', '', 'default', 'Administer site configuration', '', 'none'),
('5087', '', 'default', 'Administer themes', '', 'none'),
('5088', '', 'default', 'Administer actions', '', 'none'),
('5089', '', 'default', 'Use the administration pages and help', '', 'none'),
('5090', '', 'default', 'Use the site in maintenance mode', '', 'none'),
('5091', '', 'default', 'View site reports', '', 'none'),
('5092', '', 'default', 'Block IP addresses', '', 'none'),
('5093', '', 'default', 'Public files', '', '7.42'),
('5094', '', 'default', 'Public local files served by the webserver.', '', '7.42'),
('5095', '', 'default', 'Private local files served by Drupal.', '', '7.42'),
('5096', '', 'default', 'Temporary files', '', '7.42'),
('5097', '', 'default', 'Temporary local files for upload and previews.', '', '7.42'),
('5098', '', 'default', 'Update modules', '', 'none'),
('5099', '', 'default', 'Update themes', '', 'none'),
('5100', '', 'default', 'SSH', '', 'none'),
('5101', '', 'default', 'Your password is not saved in the database and is only used to establish a connection.', '', 'none'),
('5102', '', 'default', 'The connection will be created between your web server and the machine hosting the web server files. In the vast majority of cases, this will be the same machine, and "localhost" is correct.', '', 'none'),
('5103', '', 'default', 'Configure your <a href="@user-edit">account time zone setting</a>.', '', 'none'),
('5104', '', 'default', 'Select the desired local time and time zone. Dates and times throughout this site will be displayed using this time zone.', '', 'none'),
('5105', '', 'default', 'Your time zone setting will be automatically detected if possible. Confirm the selection and click save.', '', 'none'),
('5106', '', 'default', 'System help', '', '7.41'),
('5107', '', 'default', 'The directory %directory does not exist and could not be created.', '', 'none'),
('5108', '', 'default', 'The directory %directory exists but is not writable and could not be made writable.', '', 'none'),
('5109', '', 'default', 'The email address to which the message should be sent OR enter [node:author:mail], [comment:author:mail], etc. if you would like to send an e-mail to the author of the original post.', '', 'none'),
('5110', '', 'default', 'The message that should be sent. You may include placeholders like [node:title], [user:name], and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.', '', 'none'),
('5111', '', 'default', 'The message to be displayed to the current user. You may include placeholders like [node:title], [user:name], and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.', '', 'none'),
('5112', '', 'default', '@zone: @date', '', 'none'),
('5113', '', 'default', 'Powered by <a href="@poweredby">Drupal</a>', '', 'none'),
('5114', '', 'default', 'AHAH callback', '', 'none'),
('5115', '', 'default', 'Administer blocks, content types, menus, etc.', '', '7.42'),
('5116', '', 'default', 'Select and configure your theme', '', '7.42'),
('5117', '', 'default', 'Enable theme', '', 'none'),
('5118', '', 'default', 'Disable theme', '', 'none'),
('5119', '', 'default', 'Set default theme', '', 'none'),
('5120', '', 'default', 'Configure default and theme specific settings.', '', '7.42'),
('5121', '', 'default', 'IP address blocking', '', '7.42'),
('5122', '', 'default', 'Manage blocked IP addresses.', '', '7.42'),
('5123', '', 'default', 'Delete IP address', '', 'none'),
('5124', '', 'default', 'Media tools.', '', '7.42'),
('5125', '', 'default', 'Tools related to web services.', '', '7.42'),
('5126', '', 'default', 'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.', '', '7.42'),
('5127', '', 'default', 'Development tools.', '', '7.42'),
('5128', '', 'default', 'Maintenance mode', '', '7.42'),
('5129', '', 'default', 'Take the site offline for maintenance or bring it back online.', '', '7.42'),
('5130', '', 'default', 'Logging and errors', '', '7.42'),
('5131', '', 'default', 'Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destinations, such as syslog, database, email, etc.', '', '7.42'),
('5132', '', 'default', 'Regional and language', '', '7.42'),
('5133', '', 'default', 'Regional settings, localization and translation.', '', '7.42'),
('5134', '', 'default', 'Settings for the site''s default time zone and country.', '', '7.42'),
('5135', '', 'default', 'Configure display formats for date and time.', '', '7.42'),
('5136', '', 'default', 'Add new date type.', '', '7.42'),
('5137', '', 'default', 'Delete date type', '', 'none'),
('5138', '', 'default', 'Allow users to delete a configured date type.', '', 'none'),
('5139', '', 'default', 'Configure display format strings for date and time.', '', '7.42'),
('5140', '', 'default', 'Edit date format', '', 'none'),
('5141', '', 'default', 'Allow users to edit a configured date format.', '', 'none'),
('5142', '', 'default', 'Search and metadata', '', '7.42'),
('5143', '', 'default', 'Local site search, metadata and SEO.', '', '7.42'),
('5144', '', 'default', 'General system related configuration.', '', '7.42'),
('5145', '', 'default', 'Tools that enhance the user interface.', '', '7.42'),
('5146', '', 'default', 'Content workflow, editorial workflow tools.', '', '7.42'),
('5147', '', 'default', 'Content authoring', '', '7.42'),
('5148', '', 'default', 'Settings related to formatting and authoring content.', '', '7.42'),
('5149', '', 'default', 'The host !host is no longer blocked because it is not a valid IP address.', '', 'none'),
('5150', '', 'default', 'Inserted into {role_permission} the permissions for role ID !id', '', 'none'),
('5151', '', 'default', 'Aggressive caching was disabled and replaced with normal caching. Read the page caching section in default.settings.php for more information on how to enable similar functionality.', '', 'none'),
('5152', '', 'default', '%profile_name (%profile-%version)', '', 'none'),
('5153', '', 'default', 'more information', '', '7.34'),
('5154', '', 'default', 'The phpinfo() function has been disabled for security reasons. To see your server''s phpinfo() information, change your PHP settings or contact your server administrator. For more information, <a href="@phpinfo">Enabling and disabling phpinfo()</a> handbook page.', '', 'none'),
('5155', '', 'default', 'To run cron from outside the site, go to <a href="!cron">!cron</a>', '', '7.34'),
('5156', '', 'default', 'An automated attempt to create this directory failed, possibly due to a permissions problem. To proceed with the installation, either create the directory and modify its permissions manually or ensure that the installer has the permissions to create it automatically. For more information, see INSTALL.txt or the <a href="@handbook_url">online handbook</a>.', '', 'none'),
('5157', '', 'default', 'Your configuration has been saved.', '', 'none'),
('5158', '', 'default', 'No vocabularies available. <a href="@link">Add vocabulary</a>.', '', 'none'),
('5159', '', 'default', 'No terms available. <a href="@link">Add term</a>.', '', 'none'),
('5160', '', 'default', 'There is currently no content classified with this term.', '', 'none'),
('5161', '', 'default', 'Tokens related to taxonomy terms.', '', 'none'),
('5162', '', 'default', 'Tokens related to taxonomy vocabularies.', '', 'none'),
('5163', '', 'default', 'The Taxonomy module allows you to classify the content of your website. To classify content, you define <em>vocabularies</em> that contain related <em>terms</em>, and then assign the vocabularies to content types. For more information, see the online handbook entry for the <a href="@taxonomy">Taxonomy module</a>.', '', 'none'),
('5164', '', 'default', 'Creating vocabularies', '', 'none'),
('5165', '', 'default', 'Users with sufficient <a href="@perm">permissions</a> can create <em>vocabularies</em> and <em>terms</em> through the <a href="@taxo">Taxonomy page</a>. The page listing the terms provides a drag-and-drop interface for controlling the order of the terms and sub-terms within a vocabulary, in a hierarchical fashion. A <em>controlled vocabulary</em> classifying music by genre with terms and sub-terms could look as follows:', '', 'none'),
('5166', '', 'default', '<em>vocabulary</em>: Music', '', 'none'),
('5167', '', 'default', '<em>term</em>: Jazz', '', 'none'),
('5168', '', 'default', '<em>sub-term</em>: Swing', '', 'none'),
('5169', '', 'default', '<em>sub-term</em>: Fusion', '', 'none'),
('5170', '', 'default', '<em>term</em>: Rock', '', 'none'),
('5171', '', 'default', '<em>sub-term</em>: Country rock', '', 'none'),
('5172', '', 'default', '<em>sub-term</em>: Hard rock', '', 'none'),
('5173', '', 'default', 'You can assign a sub-term to multiple parent terms. For example, <em>fusion</em> can be assigned to both <em>rock</em> and <em>jazz</em>.', '', 'none'),
('5174', '', 'default', 'Terms in a <em>free-tagging vocabulary</em> can be built gradually as you create or edit content. This is often done used for blogs or photo management applications.', '', 'none'),
('5175', '', 'default', 'Assigning vocabularies to content types', '', 'none'),
('5176', '', 'default', 'Before you can use a new vocabulary to classify your content, a new Taxonomy term field must be added to a <a href="@ctedit">content type</a> on its <em>manage fields</em> page. When adding a taxonomy field, you choose a <em>widget</em> to use to enter the taxonomy information on the content editing page: a select list, checkboxes, radio buttons, or an auto-complete field (to build a free-tagging vocabulary). After choosing the field type and widget, on the subsequent <em>field settings</em> page you can choose the desired vocabulary, whether one or multiple terms can be chosen from the vocabulary, and other settings. The same vocabulary can be added to multiple content types, by using the "Add existing field" section on the manage fields page.', '', 'none'),
('5177', '', 'default', 'Classifying content', '', 'none'),
('5178', '', 'default', 'After the vocabulary is assigned to the content type, you can start classifying content. The field with terms will appear on the content editing screen when you edit or <a href="@addnode">add new content</a>.', '', 'none'),
('5179', '', 'default', 'Viewing listings and RSS feeds by term', '', 'none'),
('5180', '', 'default', 'Each taxonomy term automatically provides a page listing content that has its classification, and a corresponding RSS feed. For example, if the taxonomy term <em>country rock</em> has the ID 123 (you can see this by looking at the URL when hovering on the linked term, which you can click to navigate to the listing page), then you will find this list at the path <em>taxonomy/term/123</em>. The RSS feed will use the path <em>taxonomy/term/123/feed</em> (the RSS icon for this term''s listing will automatically display in your browser''s address bar when viewing the listing page).', '', 'none'),
('5181', '', 'default', 'Extending Taxonomy module', '', 'none'),
('5182', '', 'default', 'There are <a href="@taxcontrib">many contributed modules</a> that extend the behavior of the Taxonomy module for both display and organization of terms.', '', 'none'),
('5183', '', 'default', 'Taxonomy is for categorizing content. Terms are grouped into vocabularies. For example, a vocabulary called "Fruit" would contain the terms "Apple" and "Banana".', '', 'none'),
('5184', '', 'default', 'You can reorganize the terms in %capital_name using their drag-and-drop handles, and group terms under a parent term by sliding them under and to the right of the parent.', '', 'none'),
('5185', '', 'default', '%capital_name contains terms grouped under parent terms. You can reorganize the terms in %capital_name using their drag-and-drop handles.', '', 'none'),
('5186', '', 'default', '%capital_name contains terms with multiple parents. Drag and drop of terms with multiple parents is not supported, but you can re-enable drag-and-drop support by editing each term to include only a single parent.', '', 'none'),
('5187', '', 'default', 'Administer vocabularies and terms', '', 'none'),
('5188', '', 'default', 'Edit terms in %vocabulary', '', 'none'),
('5189', '', 'default', 'Delete terms from %vocabulary', '', 'none'),
('5190', '', 'default', 'Taxonomy term page', '', '7.42'),
('5191', '', 'default', 'Term reference', '', '7.42'),
('5192', '', 'default', 'This field stores a reference to a taxonomy term.', '', '7.42'),
('5193', '', 'default', 'Autocomplete term widget (tagging)', '', '7.42'),
('5194', '', 'default', 'The vocabulary which supplies the options for this field.', '', 'none'),
('5195', '', 'default', 'The Toolbar module displays links to top-level administration menu items and links from other modules at the top of the screen. For more information, see the online handbook entry for <a href="@toolbar">Toolbar module</a>.', '', 'none'),
('5196', '', 'default', 'Displaying administrative links', '', 'none'),
('5197', '', 'default', 'Use the administration toolbar', '', 'none'),
('5198', '', 'default', 'Toggle drawer visibility', '', 'none'),
('5199', '', 'default', 'Provides a toolbar that shows the top-level administration menu items and links from other modules.', '', 'none'),
('5200', '', 'default', 'The Tracker module displays the most recently added and updated content on your site, and allows you to follow new content created by each user. This module has no configuration options. For more information, see the online handbook entry for <a href="@tracker">Tracker module</a>.', '', 'none'),
('5201', '', 'default', 'The Tracker module adds a new menu item to the Navigation menu, called <em>Recent content</em>. You can configure menu items via the <a href="@menus">Menus administration page</a>.', '', 'none'),
('5202', '', 'default', 'Tracking new and updated site content', '', 'none'),
('5203', '', 'default', 'The <a href=''@recent''>Recent content</a> page shows new and updated content in reverse chronological order, listing the content type, title, author''s name, number of comments, and time of last update. Content is considered updated when changes occur in the text, or when new comments are added. The <em>My recent content</em> tab limits the list to the currently logged-in user.', '', 'none'),
('5204', '', 'default', 'Tracking user-specific content', '', 'none'),
('5205', '', 'default', 'To follow a specific user''s new and updated content, select the <em>Track</em> tab from the user''s profile page.', '', 'none'),
('5206', '', 'default', 'All recent content', '', 'none'),
('5207', '', 'default', 'My recent content', '', 'none'),
('5208', '', 'default', 'Track content', '', 'none'),
('5209', '', 'default', 'Enables tracking of recent content for users.', '', 'none'),
('5210', '', 'default', 'The Content translation module allows content to be translated into different languages. Working with the <a href="@locale">Locale module</a> (which manages enabled languages and provides translation for the site interface), the Content translation module is key to creating and maintaining translated site content. For more information, see the online handbook entry for <a href="@translation">Content translation module</a>.', '', 'none'),
('5211', '', 'default', 'Configuring content types for translation', '', 'none'),
('5212', '', 'default', 'To configure a particular content type for translation, visit the <a href="@content-types">Content types</a> page, and click the <em>edit</em> link for the content type. In the <em>Publishing options</em> section, select <em>Enabled, with translation</em> under <em>Multilingual support</em>.', '', 'none'),
('5213', '', 'default', 'Assigning a language to content', '', 'none'),
('5214', '', 'default', 'Use the <em>Language</em> drop down to select the appropriate language when creating or editing content.', '', 'none'),
('5215', '', 'default', 'Translating content', '', 'none'),
('5216', '', 'default', 'Users with the <em>translate content</em> permission can translate content, if the content type has been configured to allow translations. To translate content, select the <em>Translation</em> tab when viewing the content, select the language for which you wish to provide content, and then enter the content.', '', 'none'),
('5217', '', 'default', 'Maintaining translations', '', 'none'),
('5218', '', 'default', 'If editing content in one language requires that translated versions also be updated to reflect the change, use the <em>Flag translations as outdated</em> check box to mark the translations as outdated and in need of revision. Individual translations may also be marked for revision by selecting the <em>This translation needs to be updated</em> check box on the translation editing form.', '', 'none'),
('5219', '', 'default', 'Translate content', '', 'none'),
('5220', '', 'default', 'There is already a translation in this language.', '', 'none'),
('5221', '', 'default', 'Trigger: !description', '', 'none'),
('5222', '', 'default', 'No actions available for this trigger. <a href="@link">Add action</a>.', '', 'none'),
('5223', '', 'default', 'Missing/undefined save action (%save_aid) for %aid action.', '', 'none'),
('5224', '', 'default', 'The %label action has been appended, which is required to save the property change.', '', 'none'),
('5225', '', 'default', 'The %label action was moved to save the property change.', '', 'none'),
('5226', '', 'default', 'Triggers are events on your site, such as new content being added or a user logging in. The Trigger module associates these triggers with actions (functional tasks), such as unpublishing content containing certain keywords or e-mailing an administrator. The <a href="@url">Actions settings page</a> contains a list of existing actions and provides the ability to create and configure advanced actions (actions requiring configuration, such as an e-mail address or a list of banned words).', '', 'none'),
('5227', '', 'default', 'The Trigger module provides the ability to cause <em>actions</em> to run when certain <em>triggers</em> take place on your site. Triggers are events, such as new content being added to your site or a user logging in, and actions are tasks, such as unpublishing content or e-mailing an administrator. For more information, see the online handbook entry for <a href="@trigger">Trigger module</a>.', '', 'none'),
('5228', '', 'default', 'Configuring triggers and actions', '', 'none'),
('5229', '', 'default', 'The combination of actions and triggers can perform many useful tasks, such as e-mailing an administrator if a user account is deleted, or automatically unpublishing comments that contain certain words. To set up a trigger/action combination, first visit the <a href="@actions-page">Actions configuration page</a>, where you can either verify that the action you want is already listed, or create a new <em>advanced</em> action. You will need to set up an advanced action if there are configuration options in your trigger/action combination, such as specifying an e-mail address or a list of banned words. After configuring or verifying your action, visit the <a href="@triggers-page">Triggers configuration page</a> and choose the appropriate tab (Comment, Taxonomy, etc.), where you can assign the action to run when the trigger event occurs.', '', 'none'),
('5230', '', 'default', 'When either saving new content or updating existing content', '', '7.42'),
('5231', '', 'default', 'After saving updated content', '', '7.42'),
('5232', '', 'default', 'When either saving a new comment or updating an existing comment', '', '7.42'),
('5233', '', 'default', 'After creating a new user account', '', '7.42'),
('5234', '', 'default', 'After updating a user account', '', '7.42'),
('5235', '', 'default', 'Configure when to execute actions.', '', '7.42'),
('5236', '', 'default', 'Installing updates', '', 'none'),
('5237', '', 'default', 'Preparing to update your site', '', 'none'),
('5238', '', 'default', 'Installing %project', '', 'none'),
('5239', '', 'default', 'Preparing to install', '', 'none'),
('5240', '', 'default', 'Error installing / updating', '', 'none'),
('5241', '', 'default', 'Installed %project_name successfully', '', 'none'),
('5242', '', 'default', 'Update was completed successfully. Your site has been taken out of maintenance mode.', '', 'none'),
('5243', '', 'default', 'Update was completed successfully.', '', 'none'),
('5244', '', 'default', 'Update failed! See the log below for more information.', '', 'none'),
('5245', '', 'default', 'Update failed! See the log below for more information. Your site is still in maintenance mode.', '', 'none'),
('5246', '', 'default', 'Installation was completed successfully. Your site has been taken out of maintenance mode.', '', 'none'),
('5247', '', 'default', 'Installation was completed successfully.', '', 'none'),
('5248', '', 'default', 'Installation failed! See the log below for more information.', '', 'none'),
('5249', '', 'default', 'Installation failed! See the log below for more information. Your site is still in maintenance mode.', '', 'none'),
('5250', '', 'default', 'Failed to get available update data.', '', 'none'),
('5251', '', 'default', 'No available update data', '', 'none'),
('5252', '', 'default', 'Checking available update data', '', 'none'),
('5253', '', 'default', 'Trying to check available update data ...', '', 'none'),
('5254', '', 'default', 'Error checking available update data.', '', 'none'),
('5255', '', 'default', 'Checking available update data ...', '', 'none'),
('5256', '', 'default', 'Checked available update data for %title.', '', 'none'),
('5257', '', 'default', 'Failed to check available update data for %title.', '', 'none'),
('5258', '', 'default', 'An error occurred trying to get available update data.', '', 'none'),
('5259', '', 'default', 'Checked available update data for one project.', '', 'none'),
('5260', '', 'default', 'Checked available update data for @count projects.', '', 'none'),
('5261', '', 'default', 'Failed to get available update data for one project.', '', 'none'),
('5262', '', 'default', 'Failed to get available update data for @count projects.', '', 'none'),
('5263', '', 'default', 'Failed to get available update data for @count[2] projects.', '', 'none'),
('5264', '', 'default', 'There was a problem getting update information. Try again later.', '', 'none'),
('5265', '', 'default', '(Theme)', '', 'none'),
('5266', '', 'default', '(Release notes)', '', 'none'),
('5267', '', 'default', 'This update is a major version update which means that it may not be backwards compatible with your currently running version.  It is recommended that you read the release notes and proceed at your own risk.', '', 'none'),
('5268', '', 'default', '(Security update)', '', 'none'),
('5269', '', 'default', '(Unsupported)', '', 'none'),
('5270', '', 'default', 'All of your projects are up to date.', '', 'none'),
('5271', '', 'default', 'Download these updates', '', 'none'),
('5272', '', 'default', 'Manual updates required', '', 'none'),
('5273', '', 'default', 'Updates of Drupal core are not supported at this time.', '', 'none'),
('5274', '', 'default', 'You must select at least one project to update.', '', 'none'),
('5275', '', 'default', 'Downloading updates', '', 'none'),
('5276', '', 'default', 'Preparing to download selected updates', '', 'none'),
('5277', '', 'default', 'Downloading updates failed:', '', 'none'),
('5278', '', 'default', 'Updates downloaded successfully.', '', 'none'),
('5279', '', 'default', 'Fatal error trying to download.', '', 'none'),
('5280', '', 'default', 'Back up your database and site before you continue. <a href="@backup_url">Learn how</a>.', '', 'none'),
('5281', '', 'default', 'Perform updates with site in maintenance mode (strongly recommended)', '', 'none'),
('5282', '', 'default', 'Install from a URL', '', 'none'),
('5283', '', 'default', 'For example: %url', '', 'none'),
('5284', '', 'default', 'Upload a module or theme archive to install', '', 'none'),
('5285', '', 'default', 'For example: %filename from your local computer', '', 'none'),
('5286', '', 'default', 'You must either provide a URL or upload an archive file to install.', '', 'none'),
('5287', '', 'default', 'The provided URL is invalid.', '', 'none'),
('5288', '', 'default', 'Unable to retrieve Drupal project from %url.', '', 'none'),
('5289', '', 'default', 'Provided archive contains no files.', '', 'none'),
('5290', '', 'default', 'Unable to determine %project name.', '', 'none'),
('5291', '', 'default', '%project is already installed.', '', 'none'),
('5292', '', 'default', 'Cannot extract %file, not a valid archive.', '', 'none'),
('5293', '', 'default', 'Downloading %project', '', 'none'),
('5294', '', 'default', 'Failed to download %project from %url', '', 'none'),
('5295', '', 'default', 'Includes:', '', 'none'),
('5296', '', 'default', 'Enabled: %includes', '', 'none'),
('5297', '', 'default', 'Disabled: %disabled', '', 'none'),
('5298', '', 'default', '%base_theme (!base_label)', '', 'none'),
('5299', '', 'default', 'Depends on: !basethemes', '', 'none'),
('5300', '', 'default', 'Required by: %subthemes', '', 'none'),
('5301', '', 'default', 'The Update manager module periodically checks for new versions of your site''s software (including contributed modules and themes), and alerts administrators to available updates. In order to provide update information, anonymous usage statistics are sent to Drupal.org. If desired, you may disable the Update manager module from the <a href=''@modules''>Module administration page</a>. For more information, see the online handbook entry for <a href=''@update''>Update manager module</a>.', '', 'none'),
('5302', '', 'default', 'The Update manager also allows administrators to update and install modules and themes through the administration interface.', '', 'none'),
('5303', '', 'default', 'Checking for available updates', '', 'none'),
('5304', '', 'default', 'A report of <a href="@update-report">available updates</a> will alert you when new releases are available for download. You may configure options for the frequency for checking updates (which are performed during <a href="@cron">cron</a> runs) and e-mail notifications at the <a href="@update-settings">Update manager settings</a>  page.', '', 'none'),
('5305', '', 'default', 'Performing updates through the user interface', '', 'none'),
('5306', '', 'default', 'The Update manager module allows administrators to perform updates directly through the administration interface. At the top of the <a href="@modules_page">modules</a> and <a href="@themes_page">themes</a> pages you will see a link to update to new releases. This will direct you to the <a href="@update-page">update page</a> where you see a listing of all the missing updates and confirm which ones you want to upgrade. From there, you are prompted for your FTP/SSH password, which then transfers the files into your Drupal installation, overwriting your old files. More detailed instructions can be found in the <a href="@update">online handbook</a>.', '', 'none'),
('5307', '', 'default', 'Installing new modules and themes through the user interface', '', 'none'),
('5308', '', 'default', 'You can also install new modules and themes in the same fashion, through the <a href="@install">install page</a>, or by clicking the <em>Install new module/theme</em> link at the top of the <a href="@modules_page">modules</a> and <a href="@themes_page">themes</a> pages. In this case, you are prompted to provide either the URL to the download, or to upload a packaged release file from your local computer.', '', 'none'),
('5309', '', 'default', 'No update information available. <a href="@run_cron">Run cron</a> or <a href="@check_manually">check manually</a>.', '', '7.34'),
('5310', '', 'default', 'You can automatically install your missing updates using the Update manager:', '', 'none'),
('5311', '', 'default', 'Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, !url.', '', 'none'),
('5312', '', 'default', 'Your site is currently configured to send these emails only when security updates are available. To get notified for any available updates, !url.', '', 'none'),
('5313', '', 'default', 'The installed version of at least one of your modules or themes is no longer supported. Upgrading or disabling is strongly recommended. See the project homepage for more details.', '', 'none'),
('5314', '', 'default', 'There was a problem checking <a href="@update-report">available updates</a> for Drupal.', '', 'none'),
('5315', '', 'default', 'There was a problem checking <a href="@update-report">available updates</a> for your modules or themes.', '', 'none'),
('5316', '', 'default', 'See the <a href="@available_updates">available updates</a> page for more information and to install your missing updates.', '', 'none'),
('5317', '', 'default', 'Ready to update', '', 'none'),
('5318', '', 'default', 'Update manager', '', 'none'),
('5319', '', 'default', 'Checks for available updates, and can securely install or update modules and themes via a web interface.', '', '7.34'),
('5320', '', 'default', 'No people available.', '', 'none'),
('5321', '', 'default', 'This role will be automatically assigned new permissions whenever a module is enabled. Changing this setting will not affect existing permissions.', '', '7.34'),
('5322', '', 'default', 'Registration and cancellation', '', '7.34'),
('5323', '', 'default', 'Who can register accounts?', '', '7.34'),
('5324', '', 'default', 'Administrators only', '', '7.34'),
('5325', '', 'default', 'Visitors, but administrator approval is required', '', '7.34'),
('5326', '', 'default', 'Require e-mail verification when a visitor creates an account.', '', '7.34'),
('5327', '', 'default', 'New users will be required to validate their e-mail address prior to logging into the site, and will be assigned a system-generated password. With this setting disabled, users will be logged in immediately upon registering, and may select their own passwords during registration.', '', '7.34'),
('5328', '', 'default', 'When cancelling a user account', '', '7.34'),
('5329', '', 'default', 'Users with the %select-cancel-method or %administer-users <a href="@permissions-url">permissions</a> can override this default method.', '', '7.34'),
('5330', '', 'default', 'Select method for cancelling account', '', '7.34'),
('5331', '', 'default', 'Administer users', '', '7.34'),
('5332', '', 'default', 'Personalization', '', '7.34'),
('5333', '', 'default', 'Enable signatures.', '', '7.34'),
('5334', '', 'default', 'The directory %directory does not exist or is not writable.', '', 'none'),
('5335', '', 'default', 'Enable user pictures.', '', '7.34'),
('5336', '', 'default', 'Picture directory', '', '7.34'),
('5337', '', 'default', 'Picture display style', '', '7.34'),
('5338', '', 'default', 'The style selected will be used on display, while the original image is retained. Styles may be configured in the <a href="!url">Image styles</a> administration area.', '', '7.34'),
('5339', '', 'default', 'Picture upload dimensions', '', '7.34'),
('5340', '', 'default', 'Picture upload file size', '', '7.34'),
('5341', '', 'default', 'E-mails', '', '7.34'),
('5342', '', 'default', 'Welcome (new user created by administrator)', '', '7.34'),
('5343', '', 'default', 'Edit the welcome e-mail messages sent to new member accounts created by an administrator.', '', '7.34'),
('5344', '', 'default', 'Welcome (awaiting approval)', '', '7.34'),
('5345', '', 'default', 'Edit the welcome e-mail messages sent to new members upon registering, when administrative approval is required.', '', '7.34'),
('5346', '', 'default', 'Welcome (no approval required)', '', '7.34'),
('5347', '', 'default', 'Edit the welcome e-mail messages sent to new members upon registering, when no administrator approval is required.', '', '7.34'),
('5348', '', 'default', 'Password recovery', '', '7.34'),
('5349', '', 'default', 'Edit the e-mail messages sent to users who request a new password.', '', '7.34'),
('5350', '', 'default', 'Account activation', '', '7.34'),
('5351', '', 'default', 'Enable and edit e-mail messages sent to users upon account activation (when an administrator activates an account of a user who has already registered, on a site where administrative approval is required).', '', '7.34'),
('5352', '', 'default', 'Enable and edit e-mail messages sent to users when their accounts are blocked.', '', '7.34'),
('5353', '', 'default', 'Account cancellation confirmation', '', '7.34'),
('5354', '', 'default', 'Edit the e-mail messages sent to users when they attempt to cancel their accounts.', '', '7.34'),
('5355', '', 'default', 'Account canceled', '', '7.34'),
('5356', '', 'default', 'Enable and edit e-mail messages sent to users when their accounts are canceled.', '', '7.34'),
('5357', '', 'default', 'Notify user when account is canceled.', '', '7.34'),
('5358', '', 'default', 'The role name %name already exists. Choose another role name.', '', 'none'),
('5359', '', 'default', 'You are logged in as %user. <a href="!user_edit">Change your password.</a>', '', 'none'),
('5360', '', 'default', 'Another user (%other_user) is already logged into the site on this computer, but you tried to use a one-time link for user %resetting_user. Please <a href="!logout">logout</a> and try using the link again.', '', 'none'),
('5361', '', 'default', 'The one-time login link you clicked is invalid.', '', 'none'),
('5362', '', 'default', 'You have just used your one-time login link. It is no longer necessary to use this link to log in. Please change your password.', '', 'none'),
('5363', '', 'default', '<p>This is a one-time login for %user_name and will expire on %expiration_date.</p><p>Click on this button to log in to the site and change your password.</p>', '', 'none'),
('5364', '', 'default', 'You have tried to use a one-time login link that has either been used or is no longer valid. Please request a new one using the form below.', '', 'none'),
('5365', '', 'default', 'When cancelling your account', '', 'none'),
('5366', '', 'default', 'When cancelling the account', '', 'none'),
('5367', '', 'default', 'Require e-mail confirmation to cancel account.', '', 'none'),
('5368', '', 'default', 'When enabled, the user must confirm the account cancellation via e-mail.', '', 'none'),
('5369', '', 'default', 'When enabled, the user will receive an e-mail notification after the account has been cancelled.', '', 'none'),
('5370', '', 'default', 'Are you sure you want to cancel your account?', '', 'none'),
('5371', '', 'default', 'Are you sure you want to cancel the account %name?', '', 'none'),
('5372', '', 'default', 'Select the method to cancel the account above.', '', 'none'),
('5373', '', 'default', 'A confirmation request to cancel your account has been sent to your e-mail address.', '', 'none'),
('5374', '', 'default', 'Your account will be blocked and you will no longer be able to log in. All of your content will remain attributed to your user name.', '', '7.34'),
('5375', '', 'default', 'Your account will be blocked and you will no longer be able to log in. All of your content will be hidden from everyone but administrators.', '', '7.34'),
('5376', '', 'default', 'Your account will be removed and all account information deleted. All of your content will be assigned to the %anonymous-name user.', '', '7.34'),
('5377', '', 'default', 'Your account will be removed and all account information deleted. All of your content will also be deleted.', '', '7.34'),
('5378', '', 'default', 'You have tried to use an account cancellation link that has expired. Please request a new one using the form below.', '', 'none'),
('5379', '', 'default', 'Sent account cancellation request to %name %email.', '', 'none'),
('5380', '', 'default', 'Tokens related to individual user accounts.', '', 'none'),
('5381', '', 'default', 'Tokens related to the currently logged in user.', '', 'none'),
('5382', '', 'default', 'The User module allows users to register, log in, and log out. It also allows users with proper permissions to manage user roles (used to classify users) and permissions associated with those roles. For more information, see the online handbook entry for <a href="@user">User module</a>.', '', 'none'),
('5383', '', 'default', 'Creating and managing users', '', 'none'),
('5384', '', 'default', 'The User module allows users with the appropriate <a href="@permissions">permissions</a> to create user accounts through the <a href="@people">People administration page</a>, where they can also assign users to one or more roles, and block or delete user accounts. If allowed, users without accounts (anonymous users) can create their own accounts on the <a href="@register">Create new account</a> page.', '', 'none'),
('5385', '', 'default', 'User roles and permissions', '', 'none'),
('5386', '', 'default', '<em>Roles</em> are used to group and classify users; each user can be assigned one or more roles. By default there are two roles: <em>anonymous user</em> (users that are not logged in) and <em>authenticated user</em> (users that are registered and logged in). Depending on choices you made when you installed Drupal, the installation process may have defined more roles, and you can create additional custom roles on the <a href="@roles">Roles page</a>. After creating roles, you can set permissions for each role on the <a href="@permissions_user">Permissions page</a>. Granting a permission allows users who have been assigned a particular role to perform an action on the site, such as viewing a particular type of content, editing or creating content, administering settings for a particular module, or using a particular function of the site (such as search).', '', 'none');
INSERT INTO `locales_source` VALUES
('5387', '', 'default', 'The <a href="@accounts">Account settings page</a> allows you to manage settings for the displayed name of the anonymous user role, personal contact forms, user registration, and account cancellation. On this page you can also manage settings for account personalization (including signatures and user pictures), and adapt the text for the e-mail messages that are sent automatically during the user registration process.', '', 'none'),
('5388', '', 'default', 'By default, Drupal comes with two user roles:', '', 'none'),
('5389', '', 'default', 'Anonymous user: this role is used for users that don''t have a user account or that are not authenticated.', '', 'none'),
('5390', '', 'default', 'Authenticated user: this role is automatically granted to all logged in users.', '', 'none'),
('5391', '', 'default', 'This form lets administrators add, edit, and arrange fields for storing user data.', '', 'none'),
('5392', '', 'default', 'This form lets administrators configure how fields should be displayed when rendering a user profile page.', '', 'none'),
('5393', '', 'default', 'User module timezone form element.', '', 'none'),
('5394', '', 'default', 'User module history view element.', '', 'none'),
('5395', '', 'default', 'Administer permissions', '', 'none'),
('5396', '', 'default', 'View user profiles', '', 'none'),
('5397', '', 'default', 'Change own username', '', 'none'),
('5398', '', 'default', 'Cancel own user account', '', 'none'),
('5399', '', 'default', 'Note: content may be kept, unpublished, deleted or transferred to the %anonymous-name user depending on the configured <a href="@user-settings-url">user settings</a>.', '', 'none'),
('5400', '', 'default', 'Select method for cancelling own account', '', 'none'),
('5401', '', 'default', 'Spaces are allowed; punctuation is not allowed except for periods, hyphens, apostrophes, and underscores.', '', 'none'),
('5402', '', 'default', 'The signature is too long: it must be %max characters or less.', '', 'none'),
('5403', '', 'default', 'Sorry, too many failed login attempts from your IP address. This IP address is temporarily blocked. Try again later or <a href="@url">request a new password</a>.', '', 'none'),
('5404', '', 'default', 'Cancelling account', '', 'none'),
('5405', '', 'default', 'Cancelling user account', '', 'none'),
('5406', '', 'default', '%name has been disabled.', '', 'none'),
('5407', '', 'default', 'Account details for [user:name] at [site:name]', '', 'none'),
('5408', '', 'default', 'An administrator created an account for you at [site:name]', '', 'none'),
('5409', '', 'default', 'Account details for [user:name] at [site:name] (pending admin approval)', '', 'none'),
('5410', '', 'default', '[user:name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team', '', 'none'),
('5411', '', 'default', '[user:name] has applied for an account.\n\n[user:edit-url]', '', 'none'),
('5412', '', 'default', 'Replacement login information for [user:name] at [site:name]', '', 'none'),
('5413', '', 'default', 'Account details for [user:name] at [site:name] (approved)', '', 'none'),
('5414', '', 'default', 'Account details for [user:name] at [site:name] (blocked)', '', 'none'),
('5415', '', 'default', 'Account cancellation request for [user:name] at [site:name]', '', 'none'),
('5416', '', 'default', 'Account details for [user:name] at [site:name] (canceled)', '', 'none'),
('5417', '', 'default', 'Cancel the selected user accounts', '', 'none'),
('5418', '', 'default', 'The user account %name cannot be cancelled.', '', 'none'),
('5419', '', 'default', 'When cancelling these accounts', '', 'none'),
('5420', '', 'default', 'Are you sure you want to cancel these user accounts?', '', 'none'),
('5421', '', 'default', 'Cancel accounts', '', 'none'),
('5422', '', 'default', 'To make your password stronger:', '', 'none'),
('5423', '', 'default', 'Make it at least 6 characters', '', 'none'),
('5424', '', 'default', 'Add lowercase letters', '', 'none'),
('5425', '', 'default', 'Add uppercase letters', '', 'none'),
('5426', '', 'default', 'Add numbers', '', 'none'),
('5427', '', 'default', 'Add punctuation', '', 'none'),
('5428', '', 'default', 'Make it different from your username', '', 'none'),
('5429', '', 'default', 'Weak', '', 'none'),
('5430', '', 'default', 'Fair', '', 'none'),
('5431', '', 'default', 'Blocked user: %name %email.', '', 'none'),
('5432', '', 'default', 'There is currently 1 user online.', '', 'none'),
('5433', '', 'default', 'There are currently @count users online.', '', 'none'),
('5434', '', 'default', 'There are currently @count[2] users online.', '', 'none'),
('5435', '', 'default', 'Sorry, there has been more than one failed login attempt for this account. It is temporarily blocked. Try again later or <a href="@url">request a new password</a>.', '', 'none'),
('5436', '', 'default', 'Sorry, there have been more than @count failed login attempts for this account. It is temporarily blocked. Try again later or <a href="@url">request a new password</a>.', '', 'none'),
('5437', '', 'default', 'Sorry, there have been more than @count[2] failed login attempts for this account. It is temporarily blocked. Try again later or <a href="@url">request a new password</a>.', '', 'none'),
('5438', '', 'default', 'Find and manage people interacting with your site.', '', '7.42'),
('5439', '', 'default', 'Confirm account cancellation', '', 'none'),
('5440', '', 'default', 'User passwords rehashed to improve security', '', 'none'),
('5441', '', 'default', 'Migrated user time zones', '', 'none'),
('5442', '', 'default', 'Minimal', '', 'none'),
('5443', '', 'default', 'Start with only a few modules enabled.', '', 'none'),
('5444', '', 'default', 'Basic page', '', 'none'),
('5445', '', 'default', 'Use <em>basic pages</em> for your static content, such as an ''About us'' page.', '', '7.42'),
('5446', '', 'default', 'Use tags to group articles on similar topics into categories.', '', 'none'),
('5447', '', 'default', 'Enter a comma-separated list of words to describe your content.', '', 'none'),
('5448', '', 'default', 'Install with commonly used features pre-configured.', '', 'none'),
('5449', '', 'default', 'Content width', '', 'none'),
('5450', '', 'default', 'Fluid width', '', 'none'),
('5451', '', 'default', 'Fixed width', '', 'none'),
('5452', '', 'default', 'Specify whether the content will wrap to a fixed width or will fluidly expand to the width of the browser window.', '', 'none'),
('5453', '', 'default', 'A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.', '', 'none'),
('5454', '', 'default', 'A simple one-column, tableless, fluid width administration theme.', '', 'none'),
('5455', '', 'default', 'This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.', '', 'none'),
('5456', '', 'default', 'Image style', '', 'none'),
('5457', '', 'default', '1 pending update (@number_applied to be applied, @number_incompatible skipped)', '', 'none'),
('5458', '', 'default', '@count pending updates (@number_applied to be applied, @number_incompatible skipped)', '', 'none'),
('5459', '', 'default', '@count[2] pending updates (@number_applied to be applied, @number_incompatible skipped)', '', 'none'),
('5460', '', 'default', 'The Blog module allows registered users to maintain an online journal, or <em>blog</em>. Blogs are made up of individual <em>blog entries</em>. By default, the blog entries are displayed by creation time in descending order, with comments enabled, and are promoted to the site''s front page. For more information, see the online handbook entry for <a href=''@blog''>Blog module</a>.', '', 'none'),
('5461', '', 'default', 'Author textfield', '', 'none'),
('5462', '', 'default', 'Subject textfield', '', 'none'),
('5463', '', 'default', 'A contact form with category %category already exists.', '', 'none'),
('5464', '', 'default', 'Hello !recipient-name,', '', 'none'),
('5465', '', 'default', 'Attempt to create an instance of a field @field_name that doesn''t exist or is currently inactive.', '', 'none'),
('5466', '', 'default', 'Attempt to create an instance of field @field_name on bundle @bundle that already has an instance of that field.', '', 'none'),
('5467', '', 'default', 'Field API to add fields to entities like nodes and users.', '', 'none'),
('5468', '', 'default', 'Overview of fields on all entity types.', '', '7.42'),
('5469', '', 'default', 'Configuring text formats', '', 'none'),
('5470', '', 'default', 'Configure text formats on the <a href="@formats">Text formats page</a>. <strong>Improper text format configuration is a security risk</strong>. To ensure security, untrusted users should only have access to text formats that restrict them to either plain text or a safe set of HTML tags, since certain HTML tags can allow embedding malicious links or scripts in text. More trusted registered users may be granted permission to use less restrictive text formats in order to create rich content.', '', 'none'),
('5471', '', 'default', 'Users with access to more than one text format can use the <em>Text format</em> fieldset to choose between available text formats when creating or editing multi-line content. Administrators can define the text formats available to each user role, and control the order of formats listed in the <em>Text format</em> fieldset on the <a href="@text-formats">Text formats page</a>.', '', 'none'),
('5472', '', 'default', 'Text formats define the HTML tags, code, and other formatting that can be used when entering text. <strong>Improper text format configuration is a security risk</strong>. Learn more on the <a href="@filterhelp">Filter module help page</a>.', '', 'none'),
('5473', '', 'default', 'Show more content', '', 'none'),
('5474', '', 'default', 'Collapse', '', 'none'),
('5475', '', 'default', 'The testing framework requires the DOMDocument class to be available. Check the configure command at the <a href="@link-phpinfo">PHP info page</a>.', '', 'none'),
('5476', '', 'default', 'Error messages to display', '', 'none'),
('5477', '', 'default', 'It is recommended that sites running on production environments do not display any errors.', '', 'none'),
('5478', '', 'default', 'Cannot open %file_path', '', 'none'),
('5479', '', 'default', 'Term name textfield', '', 'none'),
('5480', '', 'default', 'Term description textarea', '', 'none'),
('5481', '', 'default', 'Password reset instructions will be mailed to %email. You must log out to use the password reset link in the e-mail.', '', 'none'),
('5482', '', 'default', 'Enter your current password to change the %mail or %pass. !request_new.', '', 'none'),
('5483', '', 'default', 'Current password', '', 'none'),
('5484', '', 'default', 'Your current password is missing or incorrect; it''s required to change the %name.', '', 'none'),
('5485', '', 'default', 'A welcome message with further instructions has been e-mailed to the new user <a href="@url">%name</a>.', '', 'none'),
('5486', '', 'default', 'A welcome message with further instructions has been sent to your e-mail address.', '', 'none'),
('5487', '', 'default', 'Configure user accounts.', '', '7.42'),
('5488', '', 'default', 'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.', '', '7.42'),
('5489', '', 'default', '%module module installed.', '', 'none'),
('5490', '', 'default', 'Use this page to create a new custom block.', '', '7.41'),
('5491', '', 'default', 'Number of recent blog posts to display', '', 'none'),
('5492', '', 'default', '@node_type comment', '', '7.42'),
('5493', '', 'default', 'Edit comment %comment', '', 'none'),
('5494', '', 'default', 'The Field UI module provides an administrative user interface (UI) for attaching and managing fields. Fields can be defined at the content-type level for content items and comments, at the vocabulary level for taxonomy terms, and at the site level for user accounts. Other modules may also enable fields to be defined for their data. Field types (text, image, number, etc.) are defined by modules, and collected and managed by the <a href="@field">Field module</a>. For more information, see the online handbook entry for <a href="@field_ui" target="_blank">Field UI module</a>.', '', 'none'),
('5495', '', 'default', 'Planning fields', '', 'none'),
('5496', '', 'default', 'What the field will be called', '', 'none'),
('5497', '', 'default', 'A field has a <em>label</em> (the name displayed in the user interface) and a <em>machine name</em> (the name used internally). The label can be changed after you create the field, if needed, but the machine name cannot be changed after you have created the field.', '', 'none'),
('5498', '', 'default', 'What type of data the field will store', '', 'none'),
('5499', '', 'default', 'Each field can store one type of data (text, number, file, etc.). When you define a field, you choose a particular <em>field type</em>, which corresponds to the type of data you want to store. The field type cannot be changed after you have created the field.', '', 'none'),
('5500', '', 'default', 'How the data will be input and displayed', '', 'none'),
('5501', '', 'default', 'How many values the field will store', '', 'none'),
('5502', '', 'default', 'You can store one value, a specific maximum number of values, or an unlimited number of values in each field. For example, an employee identification number field might store a single number, whereas a phone number field might store multiple phone numbers. This setting can be changed after you have created the field, but if you reduce the maximum number of values, you may lose information.', '', 'none'),
('5503', '', 'default', 'Reusing fields', '', 'none'),
('5504', '', 'default', 'Once you have defined a field, you can reuse it. For example, if you define a custom image field for one content type, and you need to have an image field with the same parameters on another content type, you can add the same field to the second content type, in the <em>Add existing field</em> area of the user interface. You could also add this field to a taxonomy vocabulary, comments, user accounts, etc.', '', 'none'),
('5505', '', 'default', 'Some settings of a reused field are unique to each use of the field; others are shared across all places you use the field. For example, the label of a text field is unique to each use, while the setting for the number of values is shared.', '', 'none'),
('5506', '', 'default', 'There are two main reasons for reusing fields. First, reusing fields can save you time over defining new fields. Second, reusing fields also allows you to display, filter, group, and sort content together by field across content types. For example, the contributed Views module allows you to create lists and tables of content. So if you use the same field on multiple content types, you can create a View containing all of those content types together displaying that field, sorted by that field, and/or filtered by that field.', '', 'none'),
('5507', '', 'default', 'Fields on content items', '', 'none'),
('5508', '', 'default', 'Fields on content items are defined at the content-type level, on the <em>Manage fields</em> tab of the content type edit page (which you can reach from the <a href="@types">Content types page</a>). When you define a field for a content type, each content item of that type will have that field added to it. Some fields, such as the Title and Body, are provided for you when you create a content type, or are provided on content types created by your installation profile.', '', 'none'),
('5509', '', 'default', 'Fields on taxonomy terms', '', 'none'),
('5510', '', 'default', 'Fields on taxonomy terms are defined at the taxonomy vocabulary level, on the <em>Manage fields</em> tab of the vocabulary edit page (which you can reach from the <a href="@taxonomy">Taxonomy page</a>). When you define a field for a vocabulary, each term in that vocabulary will have that field added to it. For example, you could define an image field for a vocabulary to store an icon with each term.', '', 'none'),
('5511', '', 'default', 'Fields on user accounts', '', 'none'),
('5512', '', 'default', 'Fields on user accounts are defined on a site-wide basis on the <a href="@fields">Manage fields tab</a> of the <a href="@accounts">Account settings</a> page. When you define a field for user accounts, each user account will have that field added to it. For example, you could add a long text field to allow users to include a biography.', '', 'none'),
('5513', '', 'default', 'Fields on comments', '', 'none'),
('5514', '', 'default', 'Fields on comments are defined at the content-type level, on the <em>Comment fields</em> tab of the content type edit page (which you can reach from the <a href="@types">Content types page</a>). When you add a field for comments, each comment on a content item of that type will have that field added to it. For example, you could add a website field to the comments on forum posts, to allow forum commenters to add a link to their website.', '', 'none'),
('5515', '', 'default', 'Administer text formats and filters', '', 'none'),
('5516', '', 'default', '@type language detection', '', '7.34'),
('5517', '', 'default', 'Strings in the uploaded file replace existing ones, new ones are added. The plural format is updated.', '', '7.41'),
('5518', '', 'default', 'Existing strings and the plural format are kept, only new strings are added.', '', '7.41'),
('5519', '', 'default', 'Define how to decide which language is used to display page elements (primarily text provided by Drupal and modules, such as field labels and help text). This decision is made by evaluating a series of detection methods for languages; the first detection method that gets a result will determine which language is used for that type of text. Define the order of evaluation of language detection methods on this page.', '', '7.34'),
('5520', '', 'default', 'User interface text', '', '7.41'),
('5521', '', 'default', 'Use the detected interface language.', '', '7.34'),
('5522', '', 'default', 'Add new %type', '', 'none'),
('5523', '', 'default', 'The new set is created by copying items from your default shortcut set.', '', 'none'),
('5524', '', 'default', 'The new set is created by copying items from the %default set.', '', 'none'),
('5525', '', 'default', 'You are currently using the %set-name shortcut set.', '', 'none'),
('5526', '', 'default', 'edit set name', '', 'none'),
('5527', '', 'default', 'delete set', '', 'none'),
('5528', '', 'default', 'Create new set', '', 'none'),
('5529', '', 'default', 'The %set_name shortcut set has been created. You can edit it from this page.', '', 'none'),
('5530', '', 'default', 'Updated set name to %set-name.', '', 'none'),
('5531', '', 'default', 'If you have chosen this shortcut set as the default for some or all users, they may also be affected by deleting it.', '', 'none'),
('5532', '', 'default', 'Are you sure you want to delete the shortcut set %title?', '', 'none'),
('5533', '', 'default', 'The shortcut set %title has been deleted.', '', 'none'),
('5534', '', 'default', '1 user has chosen or been assigned to this shortcut set.', '', 'none'),
('5535', '', 'default', '@count users have chosen or been assigned to this shortcut set.', '', 'none'),
('5536', '', 'default', '@count[2] users have chosen or been assigned to this shortcut set.', '', 'none'),
('5537', '', 'default', 'The Shortcut module allows users to create sets of <em>shortcut</em> links to commonly-visited pages of the site. Shortcuts are contained within <em>sets</em>. Each user with <em>Select any shortcut set</em> permission can select a shortcut set created by anyone at the site. For more information, see the online handbook entry for <a href="@shortcut">Shortcut module</a>.', '', 'none'),
('5538', '', 'default', 'Administering shortcuts', '', 'none'),
('5539', '', 'default', 'Users with the <em>Administer shortcuts</em> permission can manage shortcut sets and edit the shortcuts within sets from the <a href="@shortcuts">Shortcuts administration page</a>.', '', 'none'),
('5540', '', 'default', 'Choosing shortcut sets', '', 'none'),
('5541', '', 'default', 'Users with permission to switch shortcut sets can choose a shortcut set to use from the Shortcuts tab of their user account page.', '', 'none'),
('5542', '', 'default', 'The Shortcut module creates an add/remove link for each page on your site; the link lets you add or remove the current page from the currently-enabled set of shortcuts (if your theme displays it and you have permission to edit your shortcut set). The core Seven administration theme displays this link next to the page title, as a small + or - sign. If you click on the + sign, you will add that page to your preferred set of shortcuts. If the page is already part of your shortcut set, the link will be a - sign, and will allow you to remove the current page from your shortcut set.', '', 'none'),
('5543', '', 'default', 'Define which shortcut set you are using on the <a href="@shortcut-link">Shortcuts tab</a> of your account page.', '', 'none'),
('5544', '', 'default', 'Edit current shortcut set', '', 'none'),
('5545', '', 'default', 'Editing the current shortcut set will affect other users if that set has been assigned to or selected by other users. Granting "Select any shortcut set" permission along with this permission will grant permission to edit any shortcut set.', '', 'none'),
('5546', '', 'default', 'Select any shortcut set', '', 'none'),
('5547', '', 'default', 'From all shortcut sets, select one to be own active set. Without this permission, an administrator selects shortcut sets for users.', '', 'none'),
('5548', '', 'default', 'Add and modify shortcut sets.', '', '7.42'),
('5549', '', 'default', 'Add shortcut set', '', '7.42'),
('5550', '', 'default', 'Edit set name', '', 'none'),
('5551', '', 'default', 'Delete shortcut set', '', 'none'),
('5552', '', 'default', '@remote could not be saved to @path.', '', 'none'),
('5553', '', 'default', 'Drupal requires you to enable the PHP extensions in the following list (see the <a href="@system_requirements">system requirements page</a> for more information):', '', 'none'),
('5554', '', 'default', 'Database support', '', 'none'),
('5555', '', 'default', 'Your web server does not appear to support any common PDO database extensions. Check with your hosting provider to see if they support PDO (PHP Data Objects) and offer any databases that <a href="@drupal-databases">Drupal supports</a>.', '', 'none'),
('5556', '', 'default', 'Footer first column', '', '7.41'),
('5557', '', 'default', 'Footer second column', '', '7.41'),
('5558', '', 'default', 'Footer third column', '', '7.41'),
('5559', '', 'default', 'Footer fourth column', '', '7.41'),
('5560', '', 'default', 'Kyrgyz', '', '7.41'),
('5561', '', 'default', 'theme() may not be called until all modules are loaded.', '', 'none'),
('5562', '', 'default', 'GD library PNG support', '', 'none'),
('5563', '', 'default', 'The date the comment was most recently updated.', '', 'none'),
('5564', '', 'default', 'Comment posted: %subject.', '', 'none'),
('5565', '', 'default', 'On value', '', 'none'),
('5566', '', 'default', 'If left empty, "1" will be used.', '', 'none'),
('5567', '', 'default', 'Off value', '', 'none'),
('5568', '', 'default', 'If left empty, "0" will be used.', '', 'none'),
('5569', '', 'default', 'This field has been disabled because you do not have sufficient permissions to edit it.', '', 'none'),
('5570', '', 'default', 'Select a forum.', '', 'none'),
('5571', '', 'default', 'The GD Library for PHP is enabled, but was compiled without support for functions used by the rotate and desaturate effects. It was probably compiled using the official GD libraries from http://www.libgd.org instead of the GD library bundled with PHP. You should recompile PHP --with-gd using the bundled GD library. See <a href="http://www.php.net/manual/book.image.php">the PHP manual</a>.', '', 'none'),
('5572', '', 'default', 'GD library rotate and desaturate effects', '', '7.34'),
('5573', '', 'default', 'View, edit and delete all content regardless of permission restrictions.', '', 'none'),
('5574', '', 'default', 'You must validate your email address for this account before logging in via OpenID.', '', 'none'),
('5575', '', 'default', 'The HTML ID %id is unique.', '', 'none'),
('5576', '', 'default', 'Syslog format', '', 'none'),
('5577', '', 'default', 'Specify the format of the syslog entry. Available variables are: <dl><dt><code>!base_url</code></dt><dd>Base URL of the site.</dd><dt><code>!timestamp</code></dt><dd>Unix timestamp of the log entry.</dd><dt><code>!type</code></dt><dd>The category to which this message belongs.</dd><dt><code>!ip</code></dt><dd>IP address of the user triggering the message.</dd><dt><code>!request_uri</code></dt><dd>The requested URI.</dd><dt><code>!referer</code></dt><dd>HTTP Referer if available.</dd><dt><code>!uid</code></dt><dd>User ID.</dd><dt><code>!link</code></dt><dd>A link to associate with the message.</dd><dt><code>!message</code></dt><dd>The message to store in the log.</dd></dl>', '', 'none'),
('5578', '', 'default', 'External resources can be optimized automatically, which can reduce both the size and number of requests made to your website.', '', 'none'),
('5579', '', 'default', 'A date in ''time-since'' format. (%date)', '', 'none'),
('5580', '', 'default', 'The location of the file relative to Drupal root.', '', 'none'),
('5581', '', 'default', 'HTTP error @errorcode occurred when trying to fetch @remote.', '', 'none'),
('5582', '', 'default', 'Your system or network configuration does not allow Drupal to access web pages, resulting in reduced functionality. This could be due to your webserver configuration or PHP settings, and should be resolved in order to download information about available updates, fetch aggregator feeds, sign in via OpenID, or use other network-dependent services. If you are certain that Drupal can access web pages but you are still seeing this message, you may add <code>$conf[''drupal_http_request_fails''] = FALSE;</code> to the bottom of your settings.php file.', '', 'none'),
('5583', '', 'default', 'A translation of %title in %language already exists, a new %type will be created instead of a translation.', '', 'none'),
('5584', '', 'default', 'Your modules have been downloaded and updated.', '', 'none'),
('5585', '', 'default', '<a href="@update">Run database updates</a>', '', 'none'),
('5586', '', 'default', '@name <em>(locked)</em>', '', 'none'),
('5587', '', 'default', 'Are you sure you want to delete the role %name ?', '', 'none'),
('5588', '', 'default', 'Permissions let you control what users can do and see on your site. You can define a specific set of permissions for each role. (See the <a href="@role">Roles</a> page to create a role). Two important roles to consider are Authenticated Users and Administrators. Any permissions granted to the Authenticated Users role will be given to any user who can log into your site. You can make any role the Administrator role for the site, meaning this will be granted all new permissions automatically. You can do this on the <a href="@settings">User Settings</a> page. You should be careful to ensure that only trusted users are given this access and level of control of your site.', '', 'none'),
('5589', '', 'default', 'Roles allow you to fine tune the security and administration of Drupal. A role defines a group of users that have certain privileges as defined on the <a href="@permissions">permissions page</a>. Examples of roles include: anonymous user, authenticated user, moderator, administrator and so on. In this area you will define the names and order of the roles on your site. It is recommended to order your roles from least permissive (anonymous user) to most permissive (administrator). To delete a role choose "edit role".', '', 'none'),
('5590', '', 'default', 'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.', '', '7.42'),
('5591', '', 'default', 'Filipino', '', '7.41'),
('5592', '', 'default', 'Swiss German', '', '7.41'),
('5593', '', 'default', 'Scots', '', '7.41'),
('5594', '', 'default', 'Cache pages for anonymous users', '', 'none'),
('5595', '', 'default', 'Bartik', '', '7.42'),
('5596', '', 'default', 'A flexible, recolorable theme with many regions.', '', 'none'),
('5597', '', 'default', 'Highlighted', '', '7.42'),
('5598', '', 'default', 'Sidebar second', '', '7.41'),
('5599', '', 'default', 'Triptych first', '', '7.41'),
('5600', '', 'default', 'Triptych middle', '', '7.41'),
('5601', '', 'default', 'Triptych last', '', '7.41'),
('5602', '', 'default', 'Main background', '', 'none'),
('5603', '', 'default', 'Sidebar background', '', 'none'),
('5604', '', 'default', 'Sidebar borders', '', 'none'),
('5605', '', 'default', 'Footer background', '', 'none'),
('5606', '', 'default', 'Plum', '', 'none'),
('5607', '', 'default', '!local-task-title!active', '', '7.42'),
('5608', '', 'default', 'A space-separated list of HTML tags allowed in the content of feed items. Disallowed tags are stripped from the content.', '', 'none'),
('5609', '', 'default', '%field may only contain characters a-z, underscores, or hyphens.', '', 'none'),
('5610', '', 'default', '%field cannot contain any markup.', '', 'none'),
('5611', '', 'default', 'No URL aliases available. <a href="@link">Add URL alias</a>.', '', 'none'),
('5612', '', 'default', 'To provide keyword searching, the search engine maintains an index of words found in the content and its fields, along with text added to your content by other modules (such as comments from the core Comment module, and taxonomy terms from the core Taxonomy module). To build and maintain this index, a correctly configured <a href="@cron">cron maintenance task</a> is required. Users with <em>Administer search</em> permission can further configure the cron settings on the <a href="@searchsettings">Search settings page</a>.', '', 'none'),
('5613', '', 'default', 'Content reindexing', '', 'none'),
('5614', '', 'default', 'Content-related actions on your site (creating, editing, or deleting content and comments) automatically cause affected content items to be marked for indexing or reindexing at the next cron run. When content is marked for reindexing, the previous content remains in the index until cron runs, at which time it is replaced by the new content. Unlike content-related actions, actions related to the structure of your site do not cause affected content to be marked for reindexing. Examples of structure-related actions that affect content include deleting or editing taxonomy terms, enabling or disabling modules that add text to content (such as Taxonomy, Comment, and field-providing modules), and modifying the fields or display parameters of your content types. If you take one of these actions and you want to ensure that the search index is updated to reflect your changed site structure, you can mark all content for reindexing by clicking the "Re-index site" button on the <a href="@searchsettings">Search settings page</a>. If you have a lot of content on your site, it may take several cron runs for the content to be reindexed.', '', 'none'),
('5615', '', 'default', 'Cached pages will not be re-created until at least this much time has elapsed.', '', 'none'),
('5616', '', 'default', 'Expiration of cached pages', '', 'none'),
('5617', '', 'default', 'The maximum time an external cache can use an old version of a page.', '', 'none'),
('5618', '', 'default', 'These options control the display settings for the %name theme. When your site is displayed using this theme, these settings will be used.', '', 'none'),
('5619', '', 'default', 'Administer software updates', '', 'none'),
('5620', '', 'default', 'Enter a valid email address or use a token e-mail address such as %author.', '', 'none'),
('5621', '', 'default', '@required_name (Missing)', '', 'none'),
('5622', '', 'default', '@required_name (Version @compatibility required)', '', 'none'),
('5623', '', 'default', '@name requires at least PHP @version.', '', 'none'),
('5624', '', 'default', 'Unresolved dependency', '', 'none'),
('5625', '', 'default', '@name requires this module.', '', 'none'),
('5626', '', 'default', '@name requires this module and version. Currently using @required_name version @version', '', 'none'),
('5627', '', 'default', 'Site details', '', 'none'),
('5628', '', 'default', 'Title and slogan', '', 'none'),
('5629', '', 'default', 'Firehouse', '', 'none'),
('5630', '', 'default', 'Ice', '', 'none'),
('5631', '', 'default', 'Can''t handle more than one field storage engine', '', 'none'),
('5632', '', 'default', 'Field storage engine not found.', '', 'none'),
('5633', '', 'default', 'For this query an entity type must be specified.', '', 'none'),
('5634', '', 'default', 'Entity %entity has no base table.', '', 'none'),
('5635', '', 'default', 'Do not know how to order on @key for @entity_type', '', 'none'),
('5636', '', 'default', 'The database table prefix you have entered, %prefix, is invalid. The table prefix can only contain alphanumeric characters, periods, or underscores.', '', 'none'),
('5637', '', 'default', 'Default settings file', '', 'none'),
('5638', '', 'default', 'The default settings file does not exist.', '', 'none'),
('5639', '', 'default', 'The @drupal installer requires that the %default-file file not be modified in any way from the original download.', '', 'none'),
('5640', '', 'default', 'Māori', '', '7.41'),
('5641', '', 'default', 'Attempt to create an instance of field @field_name without an entity type.', '', 'none'),
('5642', '', 'default', 'Attempt to create an instance of field @field_name on forbidden entity type @entity_type.', '', 'none'),
('5643', '', 'default', 'Attempt to update an instance of a nonexistent field @field.', '', 'none'),
('5644', '', 'default', 'Attempt to update an instance of field @field on bundle @bundle that doesn''t exist.', '', 'none'),
('5645', '', 'default', 'Attempt to purge a field @field_name that still has instances.', '', 'none'),
('5646', '', 'default', '%name: the value may be no less than %min.', '', 'none'),
('5647', '', 'default', '%name: the value may be no greater than %max.', '', 'none'),
('5648', '', 'default', 'No fields have been defined yet.', '', 'none'),
('5649', '', 'default', 'Weight for new field', '', 'none'),
('5650', '', 'default', 'Weight for added field', '', 'none'),
('5651', '', 'default', 'Custom display settings', '', 'none'),
('5652', '', 'default', 'Use custom display settings for the following view modes', '', 'none'),
('5653', '', 'default', 'The %view_mode mode now uses custom display settings. You might want to <a href="@url">configure them</a>.', '', 'none'),
('5654', '', 'default', 'User interface for the Field API.', '', '7.34'),
('5655', '', 'default', 'Separate extensions with a space or comma and do not include the leading dot.', '', 'none'),
('5656', '', 'default', 'Edit an existing effect within a style.', '', 'none'),
('5657', '', 'default', 'Delete an existing effect from a style.', '', 'none'),
('5658', '', 'default', 'Node module element', '', 'none'),
('5659', '', 'default', 'Close overlay', '', 'none'),
('5660', '', 'default', 'Poll module settings', '', 'none'),
('5661', '', 'default', 'Poll vote', '', 'none'),
('5662', '', 'default', 'Poll results', '', 'none'),
('5663', '', 'default', 'The new set name is required.', '', 'none'),
('5664', '', 'default', 'The shortcut set %name already exists. Choose another name.', '', 'none'),
('5665', '', 'default', 'Expected text found in @field of email message: "@expected".', '', 'none'),
('5666', '', 'default', '1 e-mail was sent during this test.', '', 'none'),
('5667', '', 'default', '@count e-mails were sent during this test.', '', 'none'),
('5668', '', 'default', '@count[2] e-mails were sent during this test.', '', 'none'),
('5669', '', 'default', 'Blocked IP addresses', '', 'none'),
('5670', '', 'default', 'IP addresses listed here are blocked from your site. Blocked addresses are completely forbidden from accessing the site and instead see a brief message explaining the situation.', '', 'none'),
('5671', '', 'default', 'The content type %rowtype had uploads disabled but contained uploaded file data. Uploads have been re-enabled to migrate the existing data. You may delete the "File attachments" field in the %rowtype type if this data is not necessary.', '', 'none'),
('5672', '', 'default', 'Upload module has been migrated to File module.', '', 'none'),
('5673', '', 'default', 'Available variables are: [site:name], [site:url], [user:name], [user:mail], [site:login-url], [site:url-brief], [user:edit-url], [user:one-time-login-url], [user:cancel-url].', '', '7.34'),
('5674', '', 'default', 'not yet assigned', '', 'none'),
('5675', '', 'default', 'not yet created', '', 'none'),
('5676', '', 'default', '[user:name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team', '', 'none'),
('5677', '', 'default', '[user:name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team', '', 'none'),
('5678', '', 'default', '[user:name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it''s not used.\n\n--  [site:name] team', '', 'none'),
('5679', '', 'default', '[user:name],\n\nYour account on [site:name] has been blocked.\n\n--  [site:name] team', '', 'none'),
('5680', '', 'default', '[user:name],\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team', '', 'none'),
('5681', '', 'default', '[user:name],\n\nYour account on [site:name] has been canceled.\n\n--  [site:name] team', '', 'none'),
('5682', '', 'default', 'The ability to send users their passwords in plain text has been removed in Drupal 7. Your existing email templates have been modified to remove it. You should <a href="@template-url">review these templates</a> to make sure they read properly.', '', 'none'),
('5683', '', 'default', 'None (original image)', '', 'none'),
('5684', '', 'default', 'The URL of the account edit page.', '', 'none'),
('5685', '', 'default', 'Nonce from @endpoint rejected because it is not correctly formatted, nonce: @nonce.', '', 'none'),
('5686', '', 'default', 'Nonce received from @endpoint is out of range (time difference: @intervals). Check possible clock skew.', '', 'none'),
('5687', '', 'default', 'Nonce replay attempt blocked from @ip, nonce: @nonce.', '', 'none'),
('5688', '', 'default', 'Comment display', '', 'none'),
('5689', '', 'default', 'New field name', '', 'none'),
('5690', '', 'default', 'Error opening socket @socket', '', '7.34'),
('5691', '', 'default', 'delivery callback not found', '', 'none'),
('5692', '', 'default', 'callback %callback not found: %q.', '', 'none'),
('5693', '', 'default', 'The specified file %file could not be copied, because the destination is invalid. More information is available in the system log.', '', 'none'),
('5694', '', 'default', 'The specified file %file could not be copied, because the destination directory is not properly configured. This may be caused by a problem with file or directory permissions. More information is available in the system log.', '', 'none'),
('5695', '', 'default', 'The file %file could not be copied because a file by that name already exists in the destination directory.', '', 'none'),
('5696', '', 'default', 'The specified file %file could not be moved, because the destination is invalid. More information is available in the system log.', '', 'none'),
('5697', '', 'default', 'The specified file %file could not be deleted, because it is not a valid URI. More information is available in the system log.', '', 'none'),
('5698', '', 'default', 'The data could not be saved, because the destination is invalid. More information is available in the system log.', '', 'none'),
('5699', '', 'default', 'File %file (%realpath) could not be copied, because the destination %destination is invalid. This is often caused by improper use of file_copy() or a missing stream wrapper.', '', 'none'),
('5700', '', 'default', 'File %file (%realpath) could not be copied because it does not exist.', '', 'none'),
('5701', '', 'default', 'File %file could not be copied because a file by that name already exists in the destination directory (%directory)', '', 'none'),
('5702', '', 'default', 'File %file could not be copied because it would overwrite itself.', '', 'none'),
('5703', '', 'default', 'The specified file %file could not be copied to %destination.', '', 'none'),
('5704', '', 'default', 'File %file (%realpath) could not be moved, because the destination %destination is invalid. This may be caused by improper use of file_move() or a missing stream wrapper.', '', 'none'),
('5705', '', 'default', 'File %file (%realpath) could not be deleted because it is not a valid URI. This may be caused by improper use of file_delete() or a missing stream wrapper.', '', 'none'),
('5706', '', 'default', 'The data could not be saved because the destination %destination is invalid. This may be caused by improper use of file_save_data() or a missing stream wrapper.', '', 'none'),
('5707', '', 'default', 'Your PHP configuration only supports a single database type, so it has been automatically selected.', '', 'none'),
('5708', '', 'default', 'Failed to connect to your database server. The server reports the following message: %error.<ul><li>Is the database server running?</li><li>Does the database exist, and have you entered the correct database name?</li><li>Have you entered the correct username and password?</li><li>Have you entered the correct database hostname?</li></ul>', '', 'none'),
('5709', '', 'default', 'The version of PHP you are using has known issues with PostgreSQL. You need to upgrade PHP to 5.2.11, 5.3.1 or greater.', '', 'none'),
('5710', '', 'default', 'Exit block region demonstration', '', '7.41'),
('5711', '', 'default', 'Customizing the dashboard requires the !permission-name permission.', '', 'none'),
('5712', '', 'default', 'To customize the dashboard page, move blocks to the dashboard regions on the <a href="@dashboard">Dashboard administration page</a>, or enable JavaScript on this page to use the drag-and-drop interface.', '', 'none'),
('5713', '', 'default', 'Configure available dashboard blocks', '', 'none'),
('5714', '', 'default', 'Drag and drop these blocks to the columns below. Changes are automatically saved. More options are available on the <a href="@dashboard-url">configuration page</a>.', '', 'none'),
('5715', '', 'default', 'Configure which blocks can be shown on the dashboard.', '', 'none'),
('5716', '', 'default', 'The Database logging module allows you to view an event log on the <a href="@dblog">Recent log messages</a> page. The log is a chronological list of recorded events containing usage data, performance data, errors, warnings and operational information. Administrators should check the log on a regular basis to ensure their site is working properly.', '', 'none'),
('5717', '', 'default', 'In case of errors or problems with the site, the <a href="@dblog">Recent log messages</a> page can be useful for debugging, since it shows the sequence of events. The log messages include usage information, warnings, and errors.', '', 'none'),
('5718', '', 'default', 'The Database logging module monitors your website, capturing system events in a log (shown here) to be reviewed by an authorized individual at a later time. This log is a list of recorded events containing usage data, performance data, errors, warnings and operational information. It is vital to check the Recent log messages report on a regular basis, as it is often the only way to tell what is going on.', '', 'none'),
('5719', '', 'default', 'Database log messages to keep', '', 'none'),
('5720', '', 'default', 'The maximum number of messages to keep in the database log. Requires a <a href="@cron">cron maintenance task</a>.', '', 'none'),
('5721', '', 'default', 'Recent log messages', '', 'none'),
('5722', '', 'default', 'Define a string that should be suffixed to the value, like '' m'', '' kb/s''. Leave blank for none. Separate singular and plural values with a pipe (''pound|pounds'').', '', 'none'),
('5723', '', 'default', 'Thousand marker', '', 'none'),
('5724', '', 'default', 'Display prefix and suffix.', '', 'none'),
('5725', '', 'default', 'Display with prefix and suffix.', '', 'none'),
('5726', '', 'default', '- Select a value -', '', 'none'),
('5727', '', 'default', 'Trim length', '', 'none'),
('5728', '', 'default', 'No field is displayed.', '', 'none'),
('5729', '', 'default', 'No field is hidden.', '', 'none'),
('5730', '', 'default', 'Format settings:', '', 'none'),
('5731', '', 'default', 'The file used in the !name field may not be referenced.', '', 'none'),
('5732', '', 'default', 'Text formats are presented on content editing pages in the order defined on this page. The first format available to a user will be selected by default.', '', 'none'),
('5733', '', 'default', 'Missing text format: %format.', '', 'none'),
('5734', '', 'default', 'Link image to', '', 'none'),
('5735', '', 'default', 'Image style: @style', '', 'none'),
('5736', '', 'default', 'Linked to content', '', 'none'),
('5737', '', 'default', 'Linked to file', '', 'none'),
('5738', '', 'default', 'Shown when hovering over the menu link.', '', 'none'),
('5739', '', 'default', 'The menu module allows on-the-fly creation of menu links in the content authoring forms. To configure these settings for a particular content type, visit the <a href="@content-types">Content types</a> page, click the <em>edit</em> link for the content type, and go to the <em>Menu settings</em> section.', '', 'none'),
('5740', '', 'default', 'Undefined language (@langcode)', '', 'none'),
('5741', '', 'default', 'Format: %time. The date format is YYYY-MM-DD and %timezone is the time zone offset from UTC. Leave blank to use the time of form submission.', '', 'none'),
('5742', '', 'default', 'Administrative overlay', '', 'none'),
('5743', '', 'default', 'Use the overlay for administrative pages.', '', 'none'),
('5744', '', 'default', 'Show administrative pages on top of the page you started from.', '', 'none'),
('5745', '', 'default', 'A <a href="@php-code">PHP code</a> text format has been created.', '', 'none'),
('5746', '', 'default', 'Choose which search modules are active from the available modules.', '', 'none'),
('5747', '', 'default', 'Default search module', '', 'none'),
('5748', '', 'default', 'Choose which search module is the default.', '', 'none'),
('5749', '', 'default', 'Your default search module is not selected as an active module.', '', 'none'),
('5750', '', 'default', 'Search is currently disabled.', '', 'none'),
('5751', '', 'default', '... !excerpt ... !excerpt ...', '', 'none'),
('5752', '', 'default', 'Syslog identity', '', 'none'),
('5753', '', 'default', 'A string that will be prepended to every message logged to Syslog. If you have multiple sites logging to the same Syslog log file, a unique identity per site makes it easy to tell the log entries apart.', '', 'none'),
('5754', '', 'default', 'Optionally, specify a relative URL to display as the front page.  Leave blank to display the default content feed.', '', 'none'),
('5755', '', 'default', 'Error pages', '', 'none'),
('5756', '', 'default', 'The path ''%path'' is either invalid or you do not have access to it.', '', 'none'),
('5757', '', 'default', 'Last run: %cron-last ago.', '', 'none'),
('5758', '', 'default', 'Run cron every', '', 'none'),
('5759', '', 'default', 'When enabled, only users with the "Use the site in maintenance mode" <a href="@permissions-url">permission</a> are able to access your site to perform maintenance; all other visitors see the maintenance mode message configured below. Authorized users can log in directly via the <a href="@user-login">user login</a> page.', '', 'none'),
('5760', '', 'default', 'In order for the site and its modules to continue to operate well, a set of routine administrative operations must run on a regular basis. The System module manages this task by making use of a system cron job. You can verify the status of cron tasks by visiting the <a href="@status">Status report page</a>. For more information, see the online handbook entry for <a href="@handbook">configuring cron jobs</a>. You can set up cron job by visiting <a href="@cron">Cron configuration</a> page', '', 'none'),
('5761', '', 'default', 'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.', '', '7.42'),
('5762', '', 'default', 'Manage automatic site maintenance tasks.', '', '7.42'),
('5763', '', 'default', 'Did not delete temporary file "%path" during garbage collection, because it is in use by the following modules: %modules.', '', 'none');
INSERT INTO `locales_source` VALUES
('5764', '', 'default', 'Weight for added term', '', 'none'),
('5765', '', 'default', 'Subdirectory in the file upload directory where pictures will be stored.', '', '7.34'),
('5766', '', 'default', 'Pictures larger than this will be scaled down to this size.', '', '7.34'),
('5767', '', 'default', 'Maximum allowed file size for uploaded pictures. Upload size is normally limited only by the PHP maximum post and file upload settings, and images are automatically scaled down to the dimensions specified above.', '', '7.34'),
('5768', '', 'default', 'Your virtual face or picture. Pictures larger than @dimensions pixels will be scaled down.', '', 'none'),
('5769', '', 'default', '[user:name],\n\nYour account at [site:name] has been activated.\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team', '', 'none'),
('5770', '', 'default', 'Upload an image to go with this article.', '', 'none'),
('5771', '', 'default', 'Minimal profile for running tests. Includes absolutely required modules only.', '', 'none'),
('5772', '', 'default', 'The settings file is writable.', '', 'none'),
('5773', '', 'default', 'The settings file is owned by the web server.', '', 'none'),
('5774', '', 'default', 'The @drupal installer failed to create a settings file with proper file ownership. Log on to your web server, remove the existing %file file, and create a new one by copying the %default_file file to %file. More details about installing Drupal are available in <a href="@install_txt">INSTALL.txt</a>. If you have problems with the file permissions on your server, consult the <a href="@handbook_url">online handbook</a>.', '', 'none'),
('5775', '', 'default', 'Invalid merge query: no conditions', '', 'none'),
('5776', '', 'default', 'Weight for @block block', '', '7.41'),
('5777', '', 'default', 'Region for @block block', '', '7.41'),
('5778', '', 'default', 'Comment approval', '', 'none'),
('5779', '', 'default', 'Comments from users who have the <em>Skip comment approval</em> permission are published immediately. All other comments are placed in the <a href=''@comment-approval''>Unapproved comments</a> queue, until a user who has permission to <em>Administer comments</em> publishes or deletes them. Published comments can be bulk managed on the <a href=''@admin-comment''>Published comments</a> administration page.', '', 'none'),
('5780', '', 'default', 'Post comments', '', 'none'),
('5781', '', 'default', 'Skip comment approval', '', 'none'),
('5782', '', 'default', 'View and customize your dashboard.', '', 'none'),
('5783', '', 'default', 'Customize your dashboard.', '', 'none'),
('5784', '', 'default', 'This function can only be used to delete fields without data', '', 'none'),
('5785', '', 'default', 'Are you sure you want to disable the text format %format?', '', 'none'),
('5786', '', 'default', 'Disabled text formats are completely removed from the administrative interface, and any content stored with that format will not be displayed. This action cannot be undone.', '', 'none'),
('5787', '', 'default', 'Disabled text format %format.', '', 'none'),
('5788', '', 'default', 'Text Formats', '', 'none'),
('5789', '', 'default', 'Disable text format', '', '7.42'),
('5790', '', 'default', 'Hot topic, new comments', '', 'none'),
('5791', '', 'default', 'Hot topic', '', 'none'),
('5792', '', 'default', 'Normal topic', '', 'none'),
('5793', '', 'default', 'Closed topic', '', 'none'),
('5794', '', 'default', 'Reference for usage, configuration, and modules.', '', 'none'),
('5795', '', 'default', 'and where %property is %value', '', 'none'),
('5796', '', 'default', 'where %property is %value', '', 'none'),
('5797', '', 'default', 'and where', '', 'none'),
('5798', '', 'default', 'The RDF module enriches your content with metadata to let other applications (e.g., search engines, aggregators, and so on) better understand its relationships and attributes. This semantically enriched, machine-readable output for Drupal sites uses the <a href="@rdfa">RDFa specification</a> which allows RDF data to be embedded in HTML markup. Other modules can define mappings of their data to RDF terms, and the RDF module makes this RDF data available to the theme. The core Drupal modules define RDF mappings for their data model, and the core Drupal themes output this RDF metadata information along with the human-readable visual information. For more information, see the online handbook entry for <a href="@rdf">RDF module</a>.', '', 'none'),
('5799', '', 'default', 'Current URL is @url.', '', 'none'),
('5800', '', 'default', 'Page title @actual is equal to @expected.', '', 'none'),
('5801', '', 'default', 'Page title @actual is not equal to @unexpected.', '', 'none'),
('5802', '', 'default', 'HTTP response not expected !code, actual !curl_code', '', 'none'),
('5803', '', 'default', 'Configure @module permissions', '', '7.34'),
('5804', '', 'default', 'Select and configure your themes.', '', '7.42'),
('5805', '', 'default', 'Administer settings.', '', '7.42'),
('5806', '', 'default', 'View reports, updates, and errors.', '', '7.42'),
('5807', '', 'default', 'Stores temporary data for system_update_7061.', '', 'none'),
('5808', '', 'default', 'Administrative toolbar', '', 'none'),
('5809', '', 'default', 'Install new module or theme', '', '7.42'),
('5810', '', 'default', 'Install new module', '', '7.42'),
('5811', '', 'default', 'Install new theme', '', '7.42'),
('5812', '', 'default', '%property is %value', '', 'none'),
('5813', '', 'default', 'Manage user accounts, roles, and permissions.', '', '7.42'),
('5814', '', 'default', 'Renamed the ''post comments without approval'' permission to ''skip comment approval''.', '', 'none'),
('5815', '', 'default', 'Nothing', '', 'none'),
('5816', '', 'default', 'Lolspeak', '', '7.41'),
('5817', '', 'default', '%type: !message in %function (line %line of %file).', '', 'none'),
('5818', '', 'default', 'Update @title', '', '7.41'),
('5819', '', 'default', 'A unique machine-readable name. Can only contain lowercase letters, numbers, and underscores.', '', 'none'),
('5820', '', 'default', 'The machine-readable name must contain unique characters.', '', 'none'),
('5821', '', 'default', 'The machine-readable name must contain only lowercase letters, numbers, and hyphens.', '', 'none'),
('5822', '', 'default', 'The machine-readable name is already in use. It must be unique.', '', 'none'),
('5823', '', 'default', 'Asturian', '', '7.41'),
('5824', '', 'default', 'English, British', '', '7.41'),
('5825', '', 'default', 'Haitian Creole', '', '7.41'),
('5826', '', 'default', 'Portuguese, International', '', '7.41'),
('5827', '', 'default', 'Weight for @title', '', '7.34'),
('5828', '', 'default', 'Weight for row @number', '', 'none'),
('5829', '', 'default', 'Parent for @title', '', 'none'),
('5830', '', 'default', 'New field label', '', 'none'),
('5831', '', 'default', 'Parent for new field', '', 'none'),
('5832', '', 'default', 'Type of new field', '', 'none'),
('5833', '', 'default', 'Widget for new field', '', 'none'),
('5834', '', 'default', 'Existing field label', '', 'none'),
('5835', '', 'default', 'Parent for existing field', '', 'none'),
('5836', '', 'default', 'Existing field to share', '', 'none'),
('5837', '', 'default', 'Widget for existing field', '', 'none'),
('5838', '', 'default', 'Label display for @title', '', 'none'),
('5839', '', 'default', 'Formatter for @title', '', 'none'),
('5840', '', 'default', 'Parents for @title', '', 'none'),
('5841', '', 'default', 'Visibility for @title', '', 'none'),
('5842', '', 'default', 'There is data for this field in the database. The field settings can no longer be changed.', '', 'none'),
('5843', '', 'default', 'Weight for new file', '', 'none'),
('5844', '', 'default', 'Choose a file', '', 'none'),
('5845', '', 'default', 'Weight for new effect', '', 'none'),
('5846', '', 'default', '@title language provider', '', '7.34'),
('5847', '', 'default', 'Enable @title menu link', '', 'none'),
('5848', '', 'default', 'A unique name to construct the URL for the menu. It must only contain lowercase letters, numbers and hyphens.', '', 'none'),
('5849', '', 'default', 'A unique machine-readable name for this content type. It must only contain lowercase letters, numbers, and underscores. This name will be used for constructing the URL of the %node-add page, in which underscores will be converted into hyphens.', '', 'none'),
('5850', '', 'default', 'Choice label', '', 'none'),
('5851', '', 'default', 'New choice label', '', 'none'),
('5852', '', 'default', 'Vote count for choice @label', '', 'none'),
('5853', '', 'default', 'Vote count for new choice', '', 'none'),
('5854', '', 'default', 'Weight for choice @label', '', 'none'),
('5855', '', 'default', 'Weight for new choice', '', 'none'),
('5856', '', 'default', 'Category for @title', '', 'none'),
('5857', '', 'default', 'Active modules', '', 'none'),
('5858', '', 'default', '@original_title (@parent_title)', '', 'none'),
('5859', '', 'default', 'Your PHP installation is too old. Drupal requires at least PHP 5.2.5, or PHP @version with the htmlspecialchars security patch backported.', '', 'none'),
('5860', '', 'default', 'Your web server does not appear to support PDO (PHP Data Objects). Ask your hosting provider if they support the native PDO extension. See the <a href="@link">system requirements</a> page for more information.', '', 'none'),
('5861', '', 'default', 'Your web server seems to have the wrong version of PDO installed. Drupal 7 requires the PDO extension from PHP core. This system has the older PECL version. See the <a href="@link">system requirements</a> page for more information.', '', 'none'),
('5862', '', 'default', 'List of trigger actions when !description', '', 'none'),
('5863', '', 'default', 'The database version %version is less than the minimum required version %minimum_version.', '', 'none'),
('5864', '', 'default', '!theme (default theme)', '', '7.41'),
('5865', '', 'default', '!theme (administration theme)', '', '7.41'),
('5866', '', 'default', 'The Dashboard module provides a <a href="@dashboard">Dashboard page</a> in the administrative interface for organizing administrative tasks and navigation, and tracking information within your site. The Dashboard page contains blocks, which you can add to and arrange using the drag-and-drop interface that appears when you click on the <em>Customize dashboard</em> link. Within this interface, blocks that are not primarily used for site administration do not appear by default, but can be added via the <em>Add other blocks</em> link. For more information, see the online handbook entry for <a href="@handbook">Dashboard module</a>.', '', 'none'),
('5867', '', 'default', 'Rearrange blocks for display on the <a href="@dashboard-url">Dashboard page</a>. Blocks placed in the <em>Dashboard (inactive)</em> region are not displayed when viewing the Dashboard page, but are available within its <em>Customize dashboard</em> interface. Removing a block from active dashboard display makes it available on the main <a href="@blocks-url">blocks administration page</a>.', '', 'none'),
('5868', '', 'default', 'Add other blocks', '', 'none'),
('5869', '', 'default', 'URL fallback', '', '7.34'),
('5870', '', 'default', 'Use an already detected language for URLs if none is found.', '', '7.34'),
('5871', '', 'default', '%type_name: Create new content', '', 'none'),
('5872', '', 'default', '%type_name: Edit own content', '', 'none'),
('5873', '', 'default', '%type_name: Edit any content', '', 'none'),
('5874', '', 'default', '%type_name: Delete own content', '', 'none'),
('5875', '', 'default', '%type_name: Delete any content', '', 'none'),
('5876', '', 'default', 'The message has been dismissed. You can change your overlay settings at any time by visiting your profile page.', '', 'none'),
('5877', '', 'default', 'If you have problems accessing administrative pages on this site, disable the overlay on your profile page.', '', 'none'),
('5878', '', 'default', 'Dismiss this message.', '', 'none'),
('5879', '', 'default', 'Options for the administrative overlay', '', 'none'),
('5880', '', 'default', 'Next steps', '', 'none'),
('5881', '', 'default', 'File %file could not be copied, because the destination directory %destination is not configured correctly.', '', 'none'),
('5882', '', 'default', '@driver_name settings', '', 'none'),
('5883', '', 'default', 'MySQL, MariaDB, or equivalent', '', 'none'),
('5884', '', 'default', 'SQLite', '', 'none'),
('5885', '', 'default', 'Database file', '', 'none'),
('5886', '', 'default', 'The absolute path to the file where @drupal data will be stored. This must be writable by the web server and should exist outside of the web root.', '', 'none'),
('5887', '', 'default', 'The directory you specified is not writable by the web server.', '', 'none'),
('5888', '', 'default', 'The Field module allows custom data fields to be defined for <em>entity</em> types (entities include content items, comments, user accounts, and taxonomy terms). The Field module takes care of storing, loading, editing, and rendering field data. Most users will not interact with the Field module directly, but will instead use the <a href="@field-ui-help">Field UI module</a> user interface. Module developers can use the Field API to make new entity types "fieldable" and thus allow fields to be attached to them. For more information, see the online handbook entry for <a href="@field">Field module</a>.', '', 'none'),
('5889', '', 'default', 'No fields are present yet.', '', 'none'),
('5890', '', 'default', 'Strong', 'Font weight', 'none'),
('5891', '', 'default', 'After you create an image style, you can add effects: crop, scale, resize, rotate, and desaturate (other contributed modules provide additional effects). For example, by combining effects as crop, scale, and desaturate, you can create square, grayscale thumbnails.', '', 'none'),
('5892', '', 'default', 'Read more<span class="element-invisible"> about @title</span>', '', 'none'),
('5893', '', 'default', 'Optionally specify an alternative URL by which this content can be accessed. For example, type "about" when writing an about page. Use a relative path and don''t add a trailing slash or the URL alias won''t work.', '', 'none'),
('5894', '', 'default', 'The PHP filter module adds a PHP filter to your site, for use with <a href="@filter">text formats</a>. This filter adds the ability to execute PHP code in any text field that uses a text format (such as the body of a content item or the text of a comment). <a href="@php-net">PHP</a> is a general-purpose scripting language widely-used for web development, and is the language with which Drupal has been developed. For more information, see the online handbook entry for the <a href="@php">PHP filter module</a>.', '', 'none'),
('5895', '', 'default', 'The number of votes that have been cast on a poll.', '', 'none'),
('5896', '', 'default', 'The length of time the poll is set to run.', '', 'none'),
('5897', '', 'default', 'Uninstall @module module', '', 'none'),
('5898', '', 'default', 'Aggregate and compress CSS files.', '', 'none'),
('5899', '', 'default', 'Aggregate JavaScript files.', '', 'none'),
('5900', '', 'default', 'To uninstall @module, the following module must be uninstalled first: @required_modules', '', 'none'),
('5901', '', 'default', 'To uninstall @module, the following modules must be uninstalled first: @required_modules', '', 'none'),
('5902', '', 'default', 'Enable newly added modules', '', 'none'),
('5903', '', 'default', 'Enable newly added themes', '', 'none'),
('5904', '', 'default', 'The uninstall process removes all data related to a module. To uninstall a module, you must first disable it on the main <a href="@modules">Modules page</a>.', '', 'none'),
('5905', '', 'default', 'View the administration theme', '', 'none'),
('5906', '', 'default', 'This is only used when the site is configured to use a separate administration theme on the <a href="@appearance-url">Appearance</a> page.', '', 'none'),
('5907', '', 'default', 'Database system', '', '7.34'),
('5908', '', 'default', 'Database system version', '', '7.34'),
('5909', '', 'default', 'The Toolbar module displays a bar containing top-level administrative links across the top of the screen. Below that, the Toolbar module has a <em>drawer</em> section where it displays links provided by other modules, such as the core <a href="@shortcuts-help">Shortcut module</a>. The drawer can be hidden/shown by using the show/hide shortcuts link at the end of the toolbar.', '', 'none'),
('5910', '', 'default', 'Indexed %count content items for tracking.', '', 'none'),
('5911', '', 'default', 'There is a tab on this page for each module that defines triggers. On this tab you can assign actions to run when triggers from the <a href="@module-help">@module-name module</a> happen.', '', 'none'),
('5912', '', 'default', 'Release notes for @project_title', '', 'none'),
('5913', '', 'default', 'The role settings have been updated.', '', 'none'),
('5914', '', 'default', 'Disable the account and keep its content.', '', '7.34'),
('5915', '', 'default', 'Disable the account and unpublish its content.', '', '7.34'),
('5916', '', 'default', 'Delete the account and make its content belong to the %anonymous-name user.', '', '7.34'),
('5917', '', 'default', 'Delete the account and its content.', '', '7.34'),
('5918', '', 'default', 'Display on user registration form.', '', 'none'),
('5919', '', 'default', 'This is compulsory for ''required'' fields.', '', 'none'),
('5920', '', 'default', 'Drupal system listing compatible test', '', 'none'),
('5921', '', 'default', 'Support module for testing the drupal_system_listing function.', '', 'none'),
('5922', '', 'default', 'Drupal system listing incompatible test', '', 'none'),
('5923', '', 'default', '@count orphaned actions (%orphans) exist in the actions table. !link', '', 'none'),
('5924', '', 'default', 'Deleted 1 comment.', '', 'none'),
('5925', '', 'default', 'Deleted @count[2] comments.', '', 'none'),
('5926', '', 'default', 'Use field label instead of the "On value" as label', '', 'none'),
('5927', '', 'default', 'Deleted 1 post.', '', 'none'),
('5928', '', 'default', 'Deleted @count[2] posts.', '', 'none'),
('5929', '', 'default', 'tracker', '', 'none'),
('5930', '', 'default', 'Automatic updating of Drupal core is not supported. See the <a href="@upgrade-guide">upgrade guide</a> for information on how to update Drupal core manually.', '', 'none'),
('5931', '', 'default', '%archive_file contains a version of %names that is not compatible with Drupal !version.', '', 'none'),
('5932', '', 'default', '%archive_file contains versions of modules or themes that are not compatible with Drupal !version: %names', '', 'none'),
('5933', '', 'default', 'The %setting setting is currently set to ''%current_value'', but needs to be ''%needed_value''. Change this by running the following query: !query', '', 'none'),
('5934', '', 'default', 'List (integer)', '', '7.42'),
('5935', '', 'default', 'This field stores integer values from a list of allowed ''value => label'' pairs, i.e. ''Lifetime in days'': 1 => 1 day, 7 => 1 week, 31 => 1 month.', '', '7.42'),
('5936', '', 'default', 'List (float)', '', '7.42'),
('5937', '', 'default', 'This field stores float values from a list of allowed ''value => label'' pairs, i.e. ''Fraction'': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.', '', '7.42'),
('5938', '', 'default', 'This field stores text values from a list of allowed ''value => label'' pairs, i.e. ''US States'': IL => Illinois, IA => Iowa, IN => Indiana.', '', '7.42'),
('5939', '', 'default', 'The possible values this field can contain. Enter one value per line, in the format key|label.', '', 'none'),
('5940', '', 'default', 'The key is the stored value, and must be numeric. The label will be used in displayed values and edit forms.', '', 'none'),
('5941', '', 'default', 'The label is optional: if a line contains a single number, it will be used as key and label.', '', 'none'),
('5942', '', 'default', 'Lists of labels are also accepted (one label per line), only if the field does not hold any values yet. Numeric keys will be automatically generated from the positions in the list.', '', 'none'),
('5943', '', 'default', 'The key is the stored value. The label will be used in displayed values and edit forms.', '', 'none'),
('5944', '', 'default', 'The label is optional: if a line contains a single string, it will be used as key and label.', '', 'none'),
('5945', '', 'default', 'Allowed values list: invalid input.', '', 'none'),
('5946', '', 'default', 'Allowed values list: some values are being removed while currently in use.', '', 'none'),
('5947', '', 'default', 'Failed to connect to the server. The server reports the following message: !message For more help installing or updating code on your server, see the <a href="@handbook_url">handbook</a>.', '', 'none'),
('5948', '', 'default', 'Unable to parse info file: %info_file.', '', 'none'),
('5949', '', 'default', 'The info file (%info_file) does not define a ''name'' attribute.', '', 'none'),
('5950', '', 'default', 'The testing framework requires the PHP memory limit to be at least %memory_minimum_limit. The current value is %memory_limit. <a href="@url">Follow these steps to continue</a>.', '', 'none'),
('5951', '', 'default', 'You can find <a href="@module_url">modules</a> and <a href="@theme_url">themes</a> on <a href="@drupal_org_url">drupal.org</a>. The following file extensions are supported: %extensions.', '', 'none'),
('5952', '', 'default', 'Your server does not support updating modules and themes from this interface. Instead, update modules and themes by uploading the new versions directly to the server, as described in the <a href="@handbook_url">handbook</a>.', '', 'none'),
('5953', '', 'default', 'Your server does not support installing modules and themes from this interface. Instead, install modules and themes by uploading them directly to the server, as described in the <a href="@handbook_url">handbook</a>.', '', 'none'),
('5954', '', 'default', 'Updating modules and themes requires <strong>@backends access</strong> to your server. See the <a href="@handbook_url">handbook</a> for other update methods.', '', 'none'),
('5955', '', 'default', 'Updating modules and themes requires access to your server via one of the following methods: <strong>@backends</strong>. See the <a href="@handbook_url">handbook</a> for other update methods.', '', 'none'),
('5956', '', 'default', 'Installing modules and themes requires <strong>@backends access</strong> to your server. See the <a href="@handbook_url">handbook</a> for other installation methods.', '', 'none'),
('5957', '', 'default', 'Installing modules and themes requires access to your server via one of the following methods: <strong>@backends</strong>. See the <a href="@handbook_url">handbook</a> for other installation methods.', '', 'none'),
('5958', '', 'default', '%archive_file does not contain any .info files.', '', 'none'),
('5959', '', 'default', 'Administer content and comments.', '', '7.42'),
('5960', '', 'default', 'Comment fields', '', 'none'),
('5961', '', 'default', 'RSS category', '', '7.42'),
('5962', '', 'default', '%name must be a valid hexadecimal CSS color value.', '', 'none'),
('5963', '', 'default', 'Each field type has one or more available <em>widgets</em> associated with it; each widget provides a mechanism for data input when you are editing (text box, select list, file upload, etc.). Each field type also has one or more display options, which determine how the field is displayed to site visitors. The widget and display options can be changed after you have created the field.', '', 'none'),
('5964', '', 'default', 'Cannot rename field %id (%old_field_name) to %new_field_name because it does not use the field_sql_storage storage type.', '', 'none'),
('5965', '', 'default', 'Changes to the style have been saved.', '', 'none'),
('5966', '', 'default', 'This block is only shown if <a href="@languages">at least two languages are enabled</a> and <a href="@configuration">language negotiation</a> is set to <em>URL</em> or <em>Session</em>.', '', 'none'),
('5967', '', 'default', 'The Menu module provides an interface for managing menus. A menu is a hierarchical collection of links, which can be within or external to the site, generally used for navigation. Each menu is rendered in a block that can be enabled and positioned through the <a href="@blocks">Blocks administration page</a>. You can view and manage menus on the <a href="@menus">Menus administration page</a>. For more information, see the online handbook entry for the <a href="@menu">Menu module</a>.', '', 'none'),
('5968', '', 'default', '(Machine name: @type)', '', 'none'),
('5969', '', 'default', 'OpenID suggests the use of either the <a href="@gmp">GMP Math</a> (recommended for performance) or <a href="@bc">BC Math</a> libraries to enable OpenID associations.', '', 'none'),
('5970', '', 'default', 'Not optimized', '', 'none'),
('5971', '', 'default', 'OpenID suggests the use of the GMP Math library for PHP for optimal performance. Check the <a href="@url">GMP Math Library documentation</a> for installation instructions.', '', 'none'),
('5972', '', 'default', 'OpenID Math library', '', 'none'),
('5973', '', 'default', 'The @module module is missing, so the following module will be disabled: @depends.', '', 'none'),
('5974', '', 'default', 'The @module module is missing, so the following modules will be disabled: @depends.', '', 'none'),
('5975', '', 'default', 'The machine-readable name cannot be "add" or "list".', '', 'none'),
('5976', '', 'default', 'Enable multilingual support for this content type. If enabled, a language selection field will be added to the editing form, allowing you to select from one of the <a href="!languages">enabled languages</a>. You can also turn on translation for this content type, which lets you have content translated to any of the installed languages. If disabled, new posts are saved with the default language. Existing content will not be affected by changing this option.', '', 'none'),
('5977', '', 'default', 'Query tagged for node access but there is no nid. Add foreign keys to node.nid in schema to fix.', '', 'none'),
('5978', '', 'default', 'Your node listing query is using @fallback as a base table in a query tagged for node access. This might not be secure and might not even work. Specify foreign keys in your schema to node.nid ', '', 'none'),
('5979', '', 'default', 'Unknown field: @field_name', '', 'none'),
('5980', '', 'default', '%field: There should only be one decimal separator (@separator).', '', 'none'),
('5981', '', 'default', 'Enable !title', '', '7.34'),
('5982', '', 'default', 'Set !title as default', '', '7.34'),
('5983', '', 'default', 'Enabled modules: %modules', '', 'none'),
('5984', '', 'default', 'File %file could not be copied, because the destination %destination is invalid. This is often caused by improper use of file_copy() or a missing stream wrapper.', '', 'none'),
('5985', '', 'default', 'File %file could not be copied because it does not exist.', '', 'none'),
('5986', '', 'default', 'File %file could not be moved, because the destination %destination is invalid. This may be caused by improper use of file_move() or a missing stream wrapper.', '', 'none'),
('5987', '', 'default', 'File %file could not be deleted because it is not a valid URI. This may be caused by improper use of file_delete() or a missing stream wrapper.', '', 'none'),
('5988', '', 'default', 'An existing local file system path for storing private files. It should be writable by Drupal and not accessible over the web. See the online handbook for <a href="@handbook">more information about securing private files</a>.', '', 'none'),
('5989', '', 'default', 'Curaçao', '', 'none'),
('5990', '', 'default', 'Sint Maarten', '', 'none'),
('5991', '', 'default', 'Missing bundle property on entity of type @entity_type.', '', 'none'),
('5992', '', 'default', 'Fields type(s) in use', '', 'none'),
('5993', '', 'default', 'Fields pending deletion', '', 'none'),
('5994', '', 'default', '(module: !module)', '', 'none'),
('5995', '', 'default', 'Extend site functionality.', '', '7.42'),
('5996', '', 'default', 'The requested page "@path" could not be found.', '', '7.34'),
('5997', '', 'default', 'The form has become outdated. Copy any unsaved work in the form below and then <a href="@link">reload this page</a>.', '', 'none'),
('5998', '', 'default', 'There are several decisions you will need to make before defining a field for content, comments, etc.:', '', 'none'),
('5999', '', 'default', 'The throbber display does not show the status of uploads but takes up less space. The progress bar is helpful for monitoring progress on large uploads.', '', 'none'),
('6000', '', 'default', 'The domain name to use for this language if URL domains are used for <em>Detection and selection</em>. Leave blank for the default language. <strong>Changing this value may break existing URLs.</strong> Example: Specifying "de.example.com" as language domain for German will result in an URL like "http://de.example.com/contact".', '', 'none'),
('6001', '', 'default', 'New OpenID identifier %identity was added as a replacement for invalid identifier %invalid_identity. To finish the invalid OpenID transition process, please go to your <a href="@openid_url">OpenID identities page</a> and remove the old identifier %invalid_identity.', '', 'none'),
('6002', '', 'default', 'There is already an existing account associated with the OpenID identifier that you have provided. However, due to a bug in the previous version of the authentication system, we can''t be sure that this account belongs to you. If you are new on this site, please continue registering the new user account. If you already have a registered account on this site associated with the provided OpenID identifier, please try to <a href="@url_password">reset the password</a> or contact the site administrator.', '', 'none'),
('6003', '', 'default', 'The search index is not cleared but systematically updated to reflect the new settings. Searching will continue to work but new content won''t be indexed until all existing content has been re-indexed. This action cannot be undone.', '', 'none'),
('6004', '', 'default', 'Active search modules', '', 'none'),
('6005', '', 'default', 'No shortcuts available. <a href="@link">Add a shortcut</a>.', '', 'none'),
('6006', '', 'default', 'Leave this blank to delete both the existing username and password.', '', 'none'),
('6007', '', 'default', 'To change the password, enter the new password here.', '', 'none'),
('6008', '', 'default', 'HTTP authentication credentials must include a username in addition to a password.', '', 'none'),
('6009', '', 'default', 'Incompatible with this version of Drupal core.', '', 'none'),
('6010', '', 'default', 'Cron takes care of running periodic tasks like checking for updates and indexing content for search.', '', 'none'),
('6011', '', 'default', 'The clean URL test passed.', '', 'none'),
('6012', '', 'default', 'Clean URLs are enabled, but the clean URL test failed. Uncheck the box below to disable clean URLs.', '', 'none'),
('6013', '', 'default', 'The clean URL test failed.', '', 'none'),
('6014', '', 'default', 'Clean URLs cannot be enabled. If you are directed to this page or to a <em>Page not found (404)</em> error after testing for clean URLs, see the <a href="@handbook">online handbook</a>.', '', 'none'),
('6015', '', 'default', 'User name and password', '', 'none'),
('6016', '', 'default', 'User module account form elements.', '', 'none'),
('6017', '', 'default', 'There was a problem creating field %label: !message', '', 'none'),
('6018', '', 'default', '@module (<span class="admin-missing">incompatible with</span> this version of Drupal core)', '', 'none'),
('6019', '', 'default', 'Update notifications are not enabled. It is <strong>highly recommended</strong> that you enable the update manager module from the <a href="@module">module administration page</a> in order to stay up-to-date on new releases. For more information, <a href="@update">Update status handbook page</a>.', '', 'none'),
('6020', '', 'default', 'Your search used too many AND/OR expressions. Only the first @count terms were included in this search.', '', 'none'),
('6021', '', 'default', 'The test cannot be executed because it has not been set up properly.', '', 'none'),
('6022', '', 'default', 'Found field with name @name', '', 'none'),
('6023', '', 'default', 'Found field with name @name and value @value', '', 'none'),
('6024', '', 'default', 'A list field (@field_name) with existing data cannot have its keys changed.', '', 'none'),
('6025', '', 'default', 'A unique machine-readable name containing letters, numbers, and underscores.', '', 'none'),
('6026', '', 'default', 'The %style style has been reverted to its defaults.', '', 'none'),
('6027', '', 'default', 'If no image is uploaded, this image will be shown on display and will override the field''s default image.', '', 'none'),
('6028', '', 'default', 'View details for all votes', '', 'none'),
('6029', '', 'default', 'No blocked IP addresses available.', '', 'none'),
('6030', '', 'default', 'Taxonomy field @field_name not found.', '', 'none'),
('6031', '', 'default', 'Temporary files directory', '', '7.34'),
('6032', '', 'default', 'Subscribe to !feed-title', '', 'none'),
('6033', '', 'default', 'Theme hook %hook not found.', '', 'none'),
('6034', '', 'default', 'Table @name already exists.', '', 'none'),
('6035', '', 'default', 'Cannot rename @table to @table_new: table @table doesn''t exist.', '', 'none'),
('6036', '', 'default', 'Cannot rename @table to @table_new: table @table_new already exists.', '', 'none'),
('6037', '', 'default', 'Cannot add field @table.@field: table doesn''t exist.', '', 'none'),
('6038', '', 'default', 'Cannot add field @table.@field: field already exists.', '', 'none'),
('6039', '', 'default', 'Cannot set default value of field @table.@field: field doesn''t exist.', '', 'none'),
('6040', '', 'default', 'Cannot remove default value of field @table.@field: field doesn''t exist.', '', 'none'),
('6041', '', 'default', 'Cannot add primary key to table @table: table doesn''t exist.', '', 'none'),
('6042', '', 'default', 'Cannot add primary key to table @table: primary key already exists.', '', 'none'),
('6043', '', 'default', 'Cannot add unique key @name to table @table: table doesn''t exist.', '', 'none'),
('6044', '', 'default', 'Cannot add unique key @name to table @table: unique key already exists.', '', 'none'),
('6045', '', 'default', 'Cannot add index @name to table @table: table doesn''t exist.', '', 'none'),
('6046', '', 'default', 'Cannot add index @name to table @table: index already exists.', '', 'none'),
('6047', '', 'default', 'Cannot change the definition of field @table.@name: field doesn''t exist.', '', 'none'),
('6048', '', 'default', 'Cannot rename field @table.@name to @name_new: target field already exists.', '', 'none'),
('6049', '', 'default', 'No book content available.', '', 'none'),
('6050', '', 'default', 'Field type(s) in use - see <a href="@fields-page">Field list</a>', '', '7.41'),
('6051', '', 'default', 'logged in users only', '', 'none'),
('6052', '', 'default', 'No OpenID identities available for this account.', '', 'none'),
('6053', '', 'default', 'Uyghur', '', '7.41'),
('6054', '', 'default', 'Install another module', '', 'none'),
('6055', '', 'default', 'South Sudan', '', 'none'),
('6056', '', 'default', 'Get an overview of <a href="@url">all content</a>.', '', 'none'),
('6057', '', 'default', 'Get an overview of all content.', '', 'none'),
('6058', '', 'default', 'Caribbean Netherlands', '', 'none'),
('6059', '', 'default', 'Use Ajax to increment the counter', '', 'none'),
('6060', '', 'default', 'Perform the count asynchronously after page load rather than during page generation.', '', 'none'),
('6061', '', 'default', 'Display all menu items', '', 'none'),
('6062', '', 'default', 'Plugins', '', 'none'),
('6063', '', 'default', 'Every', '', '7.34'),
('6064', '', 'default', 'Run updates', '', '7.42'),
('6065', '', 'default', 'Current anonymous / authenticated users', '', 'none'),
('6066', '', 'default', 'Menu link ID', '', 'none'),
('6067', '', 'default', 'Theme registry', '', '7.42'),
('6068', '', 'default', 'Adjust top margin', '', 'none'),
('6069', '', 'default', 'Keep menu at top of page', '', 'none'),
('6070', '', 'default', 'If the Utility module was installed for this purpose, it can be safely disabled and uninstalled.', '', 'none'),
('6071', '', 'default', 'Move local tasks into menu', '', 'none'),
('6072', '', 'default', 'Administration menu settings', '', 'none'),
('6073', '', 'default', 'Parent link ID', '', 'none'),
('6074', '', 'default', 'Display additional data for each menu item', '', 'none'),
('6075', '', 'default', 'Display the selected items next to each menu item link.', '', 'none'),
('6076', '', 'default', 'If enabled, all menu items are displayed regardless of your site permissions. <em>Note: Do not enable on a production site.</em>', '', 'none'),
('6077', '', 'default', 'The administration menu module provides a dropdown menu arranged for one- or two-click access to most administrative tasks and other common destinations (to users with the proper permissions). Use the settings below to customize the appearance of the menu.', '', 'none'),
('6078', '', 'default', 'The administration menu module provides a dropdown menu arranged for one- or two-click access to most administrative tasks and other common destinations (to users with the proper permissions). Administration menu also displays the number of anonymous and authenticated users, and allows modules to add their own custom menu items. Integration with the menu varies from module to module; the contributed module <a href="@drupal">Devel</a>, for instance, makes strong use of the administration menu module to provide quick access to development tools.', '', 'none'),
('6079', '', 'default', 'The administration menu <a href="@settings">settings page</a> allows you to modify some elements of the menu''s behavior and appearance. Since the appearance of the menu is dependent on your site theme, substantial customizations require modifications to your site''s theme and CSS files. See the advanced module README.txt file for more information on theme and CSS customizations.', '', 'none'),
('6080', '', 'default', 'The menu items displayed in the administration menu depend upon the actual permissions of the viewer. First, the administration menu is only displayed to users in roles with the <em>Access administration menu</em> (admin_menu module) permission. Second, a user must be a member of a role with the <em>Access administration pages</em> (system module) permission to view administrative links. And, third, only currently permitted links are displayed; for example, if a user is not a member of a role with the permissions <em>Administer permissions</em> (user module) and <em>Administer users</em> (user module), the <em>User management</em> menu item is not displayed.', '', 'none'),
('6081', '', 'default', 'Administration menu', '', '7.42'),
('6082', '', 'default', 'Adjust administration menu settings.', '', '7.42'),
('6083', '', 'default', '@count-anon / @count-auth', '', 'none'),
('6084', '', 'default', 'Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).', '', '7.34'),
('6085', '', 'default', '@project issue queue', '', '7.42'),
('6086', '', 'default', 'Flush all caches', '', '7.42'),
('6087', '', 'default', 'Administration menu Toolbar style', '', 'none'),
('6088', '', 'default', 'A better Toolbar.', '', 'none'),
('6089', '', 'default', 'Class registry', '', '7.42'),
('6090', '', 'default', 'Shifts the site output down by approximately 20 pixels from the top of the viewport. If disabled, absolute- or fixed-positioned page elements may be covered by the administration menu.', '', 'none'),
('6091', '', 'default', 'Displays the administration menu always at the top of the browser viewport (even when scrolling the page).', '', 'none'),
('6092', '', 'default', 'In some browsers, this setting may result in a malformed page, an invisible cursor, non-selectable elements in forms, or other issues.', '', 'none'),
('6093', '', 'default', 'Collapse module groups on the <a href="!modules-url">%modules</a> page', '', 'none'),
('6094', '', 'default', 'Collapse module groups on the <a href="@permissions-url">%permissions</a> page', '', 'none'),
('6095', '', 'default', 'Moves the tabs on all pages into the administration menu. Only possible for themes using the CSS classes <code>tabs primary</code> and <code>tabs secondary</code>.', '', 'none'),
('6096', '', 'default', 'Access administration menu', '', 'none'),
('6097', '', 'default', 'Display the administration menu at the top of each page.', '', 'none'),
('6098', '', 'default', 'Flush caches', '', 'none'),
('6099', '', 'default', 'Access links to flush caches in the administration menu.', '', 'none'),
('6100', '', 'default', 'Display Drupal links', '', 'none'),
('6101', '', 'default', 'Provide Drupal.org links in the administration menu.', '', 'none'),
('6102', '', 'default', 'Administration tools.', '', '7.42'),
('6103', '', 'default', 'Rebuild system links', '', 'none'),
('6104', '', 'default', 'System links derived from menu router paths have been rebuilt.', '', 'none'),
('6105', '', 'default', 'Administration Development tools', '', 'none'),
('6106', '', 'default', 'Administration and debugging functionality for developers and site builders.', '', 'none'),
('6107', '', 'default', 'Cache menu in client-side browser', '', 'none'),
('6108', '', 'default', '!title cache cleared.', '', '7.34'),
('6109', '', 'default', 'CSS and JavaScript', '', '7.42'),
('6110', '', 'default', 'Page and else', '', '7.42'),
('6111', '', 'default', 'Update data', '', '7.42'),
('6112', '', 'default', 'System tweaks', '', 'none'),
('6113', '', 'default', 'context', '', 'none'),
('6114', '', 'default', 'Go', '', 'none'),
('6115', '', 'default', 'Login', '', 'none'),
('6116', '', 'default', 'Comment form', '', '7.34'),
('6117', '', 'default', 'User edit form', '', 'none'),
('6118', '', 'default', 'User contact form', '', '7.34'),
('6119', '', 'default', 'Admin title', '', 'none'),
('6120', '', 'default', 'Depth', '', '7.42'),
('6121', '', 'default', 'Back', '', 'none'),
('6122', '', 'default', 'Top', '', '7.41'),
('6123', '', 'default', 'Small', '', '7.42'),
('6124', '', 'default', 'Large', '', '7.42'),
('6125', '', 'default', 'Views', '', '7.42'),
('6126', '', 'default', 'Access', '', '7.42'),
('6127', '', 'default', 'Node type', '', 'none'),
('6128', '', 'default', 'style', '', 'none'),
('6129', '', 'default', 'Paths', '', 'none'),
('6130', '', 'default', 'Node edit form', '', 'none'),
('6131', '', 'default', 'Node add form', '', 'none'),
('6132', '', 'default', 'Override title', '', 'none'),
('6133', '', 'default', 'Pager ID', '', 'none'),
('6134', '', 'default', 'Override URL', '', 'none'),
('6135', '', 'default', 'If this is set, override the View URL; this can sometimes be useful to set to the panel URL', '', 'none'),
('6136', '', 'default', 'Bottom', '', '7.41'),
('6137', '', 'default', 'Node links', '', '7.34'),
('6138', '', 'default', 'User picture', '', '7.34'),
('6139', '', 'default', 'Breadcrumb', '', '7.34'),
('6140', '', 'default', 'Delta', '', 'none'),
('6141', '', 'default', 'Term', '', '7.42'),
('6142', '', 'default', 'Normal', '', '7.42'),
('6143', '', 'default', 'Advanced', '', '7.42'),
('6144', '', 'default', 'Up', '', 'none'),
('6145', '', 'default', 'Terms', '', 'none'),
('6146', '', 'default', 'All views', '', '7.34'),
('6147', '', 'default', 'Base', '', 'none'),
('6148', '', 'default', 'Align', '', 'none'),
('6149', '', 'default', 'List type', '', 'none'),
('6150', '', 'default', 'Case', '', 'none'),
('6151', '', 'default', 'Exists', '', '7.34'),
('6152', '', 'default', 'Argument', '', 'none'),
('6153', '', 'default', '<All>', '', 'none'),
('6154', '', 'default', 'Edit view', '', '7.42'),
('6155', '', 'default', 'Clone', '', '7.42'),
('6156', '', 'default', 'Normal menu item', '', 'none'),
('6157', '', 'default', 'Down', '', 'none'),
('6158', '', 'default', 'Arguments', '', 'none'),
('6159', '', 'default', 'Operator', '', 'none'),
('6160', '', 'default', 'Add criteria', '', 'none'),
('6161', '', 'default', 'Node: ID', '', 'none'),
('6162', '', 'default', 'Basic settings', '', '7.42'),
('6163', '', 'default', 'Node template', '', '7.41'),
('6164', '', 'default', 'Child terms', '', 'none'),
('6165', '', 'default', 'Sort by', '', '7.50'),
('6166', '', 'default', 'Created date', '', '7.42'),
('6167', '', 'default', 'Rules', '', 'none'),
('6168', '', 'default', 'Regular expression', '', 'none'),
('6169', '', 'default', 'Some', '', 'none'),
('6170', '', 'default', 'Change', '', 'none'),
('6171', '', 'default', 'Tokens', '', '7.34'),
('6172', '', 'default', 'Token', '', 'none'),
('6173', '', 'default', 'Feeds', '', 'none'),
('6174', '', 'default', 'Node title', '', '7.34'),
('6175', '', 'default', 'Node body', '', '7.34'),
('6176', '', 'default', 'unlimited', '', 'none'),
('6177', '', 'default', 'Activity', '', 'none'),
('6178', '', 'default', 'First', '', 'none'),
('6179', '', 'default', 'Second', '', 'none'),
('6180', '', 'default', 'Entity', '', 'none'),
('6181', '', 'default', 'Fixed', '', 'none'),
('6182', '', 'default', 'Equal to', '', 'none'),
('6183', '', 'default', 'Select a user', '', 'none'),
('6184', '', 'default', 'Open in new window', '', 'none'),
('6185', '', 'default', 'Left', '', '7.41'),
('6186', '', 'default', 'Right', '', '7.41'),
('6187', '', 'default', 'All blogs', '', '7.41'),
('6188', '', 'default', 'Style', '', '7.41'),
('6189', '', 'default', 'Changed', '', 'none'),
('6190', '', 'default', 'Relationships', '', '7.42'),
('6191', '', 'default', 'Basic information', '', 'none'),
('6192', '', 'default', 'Parent menu item', '', 'none'),
('6193', '', 'default', 'Jump Menu', '', 'none'),
('6194', '', 'default', 'Tabs', '', '7.34'),
('6195', '', 'default', 'Storage', '', '7.41'),
('6196', '', 'default', 'Page name', '', 'none'),
('6197', '', 'default', 'Apply', '', '7.50'),
('6198', '', 'default', 'You must select a node.', '', 'none'),
('6199', '', 'default', 'Bold', '', '7.42'),
('6200', '', 'default', 'PHP Code', '', '7.42'),
('6201', '', 'default', 'Simple', '', 'none'),
('6202', '', 'default', 'Double', '', 'none'),
('6203', '', 'default', 'Relationship type', '', 'none'),
('6204', '', 'default', 'Third', '', 'none'),
('6205', '', 'default', 'Fourth', '', 'none'),
('6206', '', 'default', 'Fifth', '', 'none'),
('6207', '', 'default', 'Form', '', '7.34'),
('6208', '', 'default', 'Solid', '', 'none'),
('6209', '', 'default', 'Edit this term', '', 'none'),
('6210', '', 'default', 'Italic', '', '7.42'),
('6211', '', 'default', 'Uppercase', '', 'none'),
('6212', '', 'default', 'Contexts', '', 'none'),
('6213', '', 'default', 'Node author', '', '7.34'),
('6214', '', 'default', 'Miscellaneous', '', '7.41'),
('6215', '', 'default', 'Attach files', '', 'none'),
('6216', '', 'default', 'Views panes', '', 'none'),
('6217', '', 'default', 'Argument type', '', 'none'),
('6218', '', 'default', 'Deleted/missing block @module-@delta', '', 'none'),
('6219', '', 'default', 'New custom content', '', 'none'),
('6220', '', 'default', 'Create a completely custom piece of HTML content.', '', 'none'),
('6221', '', 'default', 'General form', '', '7.34'),
('6222', '', 'default', 'Form goes here.', '', 'none'),
('6223', '', 'default', '"@s" base form', '', 'none'),
('6224', '', 'default', 'Node type description', '', '7.34'),
('6225', '', 'default', 'Attached files', '', '7.34'),
('6226', '', 'default', 'A list of files attached to the node.', '', '7.34'),
('6227', '', 'default', '"@s" attachments', '', 'none'),
('6228', '', 'default', 'Add comment', '', 'none'),
('6229', '', 'default', 'Comment form here.', '', 'none'),
('6230', '', 'default', 'A form to add a new comment.', '', '7.34'),
('6231', '', 'default', '"@s" comment form', '', 'none'),
('6232', '', 'default', 'Node comments', '', '7.34'),
('6233', '', 'default', 'Pager', '', 'none'),
('6234', '', 'default', '"@s" comments', '', 'none'),
('6235', '', 'default', 'Node content', '', '7.34'),
('6236', '', 'default', 'The content of the referenced node.', '', '7.34'),
('6237', '', 'default', 'Node title.', '', 'none'),
('6238', '', 'default', 'Link title to node', '', 'none'),
('6239', '', 'default', 'Identifier', '', 'none'),
('6240', '', 'default', 'Node form publishing options', '', '7.34'),
('6241', '', 'default', 'Node form author information', '', '7.34'),
('6242', '', 'default', 'Author information on the Node form.', '', '7.34'),
('6243', '', 'default', 'Node form comment settings', '', '7.34'),
('6244', '', 'default', 'Node form menu settings', '', '7.34'),
('6245', '', 'default', 'Node form file attachments', '', 'none'),
('6246', '', 'default', 'Comment options', '', 'none'),
('6247', '', 'default', 'Comment options.', '', 'none'),
('6248', '', 'default', 'Authoring information.', '', 'none'),
('6249', '', 'default', 'Menu options', '', 'none'),
('6250', '', 'default', 'Menu options.', '', 'none'),
('6251', '', 'default', 'Attach files.', '', 'none'),
('6252', '', 'default', '"@s" @type', '', 'none'),
('6253', '', 'default', 'Node type description.', '', '7.34'),
('6254', '', 'default', 'Term description.', '', '7.34'),
('6255', '', 'default', '"@s" term description', '', 'none'),
('6256', '', 'default', 'List of related terms', '', '7.34'),
('6257', '', 'default', 'Unordered', '', 'none'),
('6258', '', 'default', 'Ordered', '', 'none'),
('6259', '', 'default', 'The picture of a user.', '', '7.34'),
('6260', '', 'default', '"@s" user picture', '', 'none'),
('6261', '', 'default', 'User profile', '', '7.34'),
('6262', '', 'default', 'The profile of a user.', '', '7.34'),
('6263', '', 'default', '"@s" user profile', '', 'none'),
('6264', '', 'default', 'Vocabulary terms', '', '7.34'),
('6265', '', 'default', 'All the terms in a vocabulary.', '', '7.34'),
('6266', '', 'default', '"@s" terms', '', 'none'),
('6267', '', 'default', 'Maximum depth', '', 'none'),
('6268', '', 'default', 'Display as tree', '', 'none'),
('6269', '', 'default', 'A node object.', '', 'none'),
('6270', '', 'default', 'Currently set to !link', '', 'none');
INSERT INTO `locales_source` VALUES
('6271', '', 'default', 'A node add form.', '', 'none'),
('6272', '', 'default', 'A node edit form.', '', 'none'),
('6273', '', 'default', 'A single taxonomy term object.', '', 'none'),
('6274', '', 'default', 'A single user object.', '', 'none'),
('6275', '', 'default', 'Select the vocabulary for this form.', '', 'none'),
('6276', '', 'default', 'argument', '', 'none'),
('6277', '', 'default', 'Add argument', '', 'none'),
('6278', '', 'default', 'relationship', '', 'none'),
('6279', '', 'default', 'Add relationship', '', 'none'),
('6280', '', 'default', 'Add context', '', 'none'),
('6281', '', 'default', 'Required contexts', '', 'none'),
('6282', '', 'default', 'required context', '', 'none'),
('6283', '', 'default', 'Add required context', '', 'none'),
('6284', '', 'default', 'Close Window', '', 'none'),
('6285', '', 'default', 'Close window', '', 'none'),
('6286', '', 'default', 'Add @type "@context"', '', 'none'),
('6287', '', 'default', 'Edit @type "@context"', '', 'none'),
('6288', '', 'default', 'Enter a name to identify this !type on administrative screens.', '', 'none'),
('6289', '', 'default', 'Keyword', '', 'none'),
('6290', '', 'default', 'Enter a keyword to use for substitution in titles.', '', 'none'),
('6291', '', 'default', 'Ignore it; content that requires this context will not be available.', '', 'none'),
('6292', '', 'default', 'If the argument is missing or is not valid, select how this should behave.', '', 'none'),
('6293', '', 'default', 'Argument @count', '', 'none'),
('6294', '', 'default', 'Context @count', '', 'none'),
('6295', '', 'default', 'Show all', '', 'none'),
('6296', '', 'default', 'Configure !subtype_title', '', 'none'),
('6297', '', 'default', 'Panel settings', '', 'none'),
('6298', '', 'default', 'No title', '', 'none'),
('6299', '', 'default', 'Unknown context', '', 'none'),
('6300', '', 'default', 'No context', '', 'none'),
('6301', '', 'default', 'You may use %keywords from contexts, as well as %title to contain the original title.', '', 'none'),
('6302', '', 'default', 'Context %count', '', 'none'),
('6303', '', 'default', 'Module name', '', 'none'),
('6304', '', 'default', 'Enter the module name to export code to.', '', 'none'),
('6305', '', 'default', 'Local', '', '7.41'),
('6306', '', 'default', 'Panel', '', 'none'),
('6307', '', 'default', 'Add a node from your site as content.', '', '7.34'),
('6308', '', 'default', 'Leave node title', '', 'none'),
('6309', '', 'default', 'Invalid node', '', 'none'),
('6310', '', 'default', 'Path is required.', '', 'none'),
('6311', '', 'default', 'No argument', '', 'none'),
('6312', '', 'default', 'Sixth', '', 'none'),
('6313', '', 'default', 'Fixed argument', '', 'none'),
('6314', '', 'default', 'Use pager', '', 'none'),
('6315', '', 'default', 'Offset', '', '7.50'),
('6316', '', 'default', 'More link', '', 'none'),
('6317', '', 'default', 'Send arguments', '', 'none'),
('6318', '', 'default', 'Book parent', '', '7.42'),
('6319', '', 'default', 'Top level book', '', '7.42'),
('6320', '', 'default', 'Term parent', '', 'none'),
('6321', '', 'default', 'Top level term', '', 'none'),
('6322', '', 'default', 'Finish', '', 'none'),
('6323', '', 'default', 'Underline', '', '7.42'),
('6324', '', 'default', 'Unordered list', '', 'none'),
('6325', '', 'default', 'Font family', '', 'none'),
('6326', '', 'default', 'Case sensitive', '', 'none'),
('6327', '', 'default', 'Widgets', '', '7.34'),
('6328', '', 'default', 'Custom pages', '', '7.41'),
('6329', '', 'default', 'Row', '', 'none'),
('6330', '', 'default', 'Item1', '', 'none'),
('6331', '', 'default', 'Item2', '', 'none'),
('6332', '', 'default', 'Page elements', '', '7.34'),
('6333', '', 'default', 'Variants', '', 'none'),
('6334', '', 'default', 'Primary', '', 'none'),
('6335', '', 'default', 'Search type', '', 'none'),
('6336', '', 'default', 'User: ID', '', 'none'),
('6337', '', 'default', 'Logged in user', '', 'none'),
('6338', '', 'default', 'No description', '', 'none'),
('6339', '', 'default', 'Secondary', '', 'none'),
('6340', '', 'default', 'Chaos tool suite', '', 'none'),
('6341', '', 'default', 'The page has been deleted.', '', 'none'),
('6342', '', 'default', 'Lowercase', '', 'none'),
('6343', '', 'default', 'Justify', '', '7.42'),
('6344', '', 'default', 'Parent term(s)', '', 'none'),
('6345', '', 'default', 'Break lock', '', '7.42'),
('6346', '', 'default', 'Current user''s language', '', 'none'),
('6347', '', 'default', 'Default site language', '', 'none'),
('6348', '', 'default', 'No language', '', 'none'),
('6349', '', 'default', 'Build mode', '', 'none'),
('6350', '', 'default', 'Items per page', '', '7.50'),
('6351', '', 'default', 'No menu entry', '', 'none'),
('6352', '', 'default', 'Normal menu entry', '', 'none'),
('6353', '', 'default', 'Menu tab', '', 'none'),
('6354', '', 'default', 'Default menu tab', '', 'none'),
('6355', '', 'default', 'If set to normal or tab, enter the text to use for the menu item.', '', 'none'),
('6356', '', 'default', 'Insert item into an available menu.', '', 'none'),
('6357', '', 'default', 'Menu selection requires the activation of menu module.', '', 'none'),
('6358', '', 'default', 'The lower the weight the higher/further left it will appear.', '', 'none'),
('6359', '', 'default', 'If creating a parent menu item, enter the title of the item.', '', 'none'),
('6360', '', 'default', '- All -', '', '7.50'),
('6361', '', 'default', 'Import code', '', 'none'),
('6362', '', 'default', 'Equal', '', 'none'),
('6363', '', 'default', 'h1', '', 'none'),
('6364', '', 'default', 'h2', '', 'none'),
('6365', '', 'default', 'h3', '', 'none'),
('6366', '', 'default', 'h4', '', 'none'),
('6367', '', 'default', 'h5', '', 'none'),
('6368', '', 'default', 'h6', '', 'none'),
('6369', '', 'default', 'Styles', '', '7.42'),
('6370', '', 'default', 'Hello world!', '', 'none'),
('6371', '', 'default', 'The item has been deleted.', '', '7.42'),
('6372', '', 'default', 'Greater than or equal to', '', 'none'),
('6373', '', 'default', 'Less than or equal to', '', 'none'),
('6374', '', 'default', 'CTools CSS Cache', '', '7.34'),
('6375', '', 'default', 'The CTools CSS cache directory, %path could not be created due to a misconfigured files directory. Please ensure that the files directory is correctly configured and that the webserver has permission to create directories.', '', 'none'),
('6376', '', 'default', 'Unable to create', '', 'none'),
('6377', '', 'default', 'A special cache used to store objects that are being edited; it serves to save state in an ordinarily stateless environment.', '', '7.34'),
('6378', '', 'default', 'A library of helpful tools by Merlin of Chaos.', '', '7.34'),
('6379', '', 'default', 'Bulk export results', '', 'none'),
('6380', '', 'default', 'Place this in @file', '', 'none'),
('6381', '', 'default', 'There are no objects to be exported at this time.', '', 'none'),
('6382', '', 'default', 'Bulk Exporter', '', 'none'),
('6383', '', 'default', 'Bulk-export multiple CTools-handled data objects to code.', '', 'none'),
('6384', '', 'default', 'Bulk Export', '', 'none'),
('6385', '', 'default', 'Performs bulk exporting of data objects known about by Chaos tools.', '', 'none'),
('6386', '', 'default', '@type:@subtype will not display due to missing context', '', 'none'),
('6387', '', 'default', 'No info available.', '', 'none'),
('6388', '', 'default', 'Configure new !subtype_title', '', 'none'),
('6389', '', 'default', 'All criteria must pass.', '', 'none'),
('6390', '', 'default', 'Only one criteria must pass.', '', 'none'),
('6391', '', 'default', 'Broken/missing access plugin %plugin', '', 'none'),
('6392', '', 'default', 'Configure settings for this item.', '', 'none'),
('6393', '', 'default', 'Remove this item.', '', 'none'),
('6394', '', 'default', 'No criteria selected, this test will pass.', '', 'none'),
('6395', '', 'default', 'Missing callback hooks.', '', 'none'),
('6396', '', 'default', 'Edit criteria', '', 'none'),
('6397', '', 'default', 'Invalid object name.', '', 'none'),
('6398', '', 'default', 'Invalid context type', '', 'none'),
('6399', '', 'default', 'Display page not found or display nothing at all.', '', 'none'),
('6400', '', 'default', 'Unable to delete missing item!', '', 'none'),
('6401', '', 'default', 'Edit @type', '', 'none'),
('6402', '', 'default', 'Summary of contexts', '', 'none'),
('6403', '', 'default', 'Please choose which context and how you would like it converted.', '', 'none'),
('6404', '', 'default', ', and ', '', 'none'),
('6405', '', 'default', ', or ', '', 'none'),
('6406', '', 'default', 'Built in context', '', 'none'),
('6407', '', 'default', 'Keyword: %@keyword', '', 'none'),
('6408', '', 'default', 'From "@title"', '', 'none'),
('6409', '', 'default', 'Unable to create CTools CSS cache directory. Check the permissions on your files directory.', '', 'none'),
('6410', '', 'default', 'Update and return', '', 'none'),
('6411', '', 'default', 'In code', '', '7.41'),
('6412', '', 'default', 'Enabled, title', '', 'none'),
('6413', '', 'default', 'Get a summary of the information about this page.', '', 'none'),
('6414', '', 'default', 'Activate this page so that it will be in use in your system.', '', 'none'),
('6415', '', 'default', 'De-activate this page. The data will remain but the page will not be in use on your system.', '', 'none'),
('6416', '', 'default', 'Add variant', '', 'none'),
('6417', '', 'default', 'Add a new variant to this page.', '', 'none'),
('6418', '', 'default', 'Create variant', '', 'none'),
('6419', '', 'default', 'Import variant', '', 'none'),
('6420', '', 'default', 'Add a new variant to this page from code exported from another page.', '', 'none'),
('6421', '', 'default', 'Reorder variants', '', 'none'),
('6422', '', 'default', 'Change the priority of the variants to ensure that the right one gets selected.', '', 'none'),
('6423', '', 'default', 'Configure a newly created variant prior to actually adding it to the page.', '', 'none'),
('6424', '', 'default', 'Break the lock on this page so that you can edit it.', '', 'none'),
('6425', '', 'default', 'Variant operations', '', 'none'),
('6426', '', 'default', 'Get a summary of the information about this variant.', '', 'none'),
('6427', '', 'default', 'Make an exact copy of this variant.', '', 'none'),
('6428', '', 'default', 'Export this variant into code to import into another page.', '', 'none'),
('6429', '', 'default', 'Remove all changes to this variant and revert to the version in code.', '', 'none'),
('6430', '', 'default', 'Remove this variant from the page completely.', '', 'none'),
('6431', '', 'default', 'Activate this variant so that it will be in use in your system.', '', 'none'),
('6432', '', 'default', 'De-activate this variant. The data will remain but the variant will not be in use on your system.', '', 'none'),
('6433', '', 'default', 'No variants', '', 'none'),
('6434', '', 'default', 'The page has been updated. Changes will not be permanent until you save.', '', 'none'),
('6435', '', 'default', 'Unable to update changes due to lock.', '', 'none'),
('6436', '', 'default', 'This setting contains unsaved changes.', '', 'none'),
('6437', '', 'default', 'You have unsaved changes to this page. You must select Save to write them to the database, or Cancel to discard these changes. Please note that if you have changed any form, you must submit that form before saving.', '', 'none'),
('6438', '', 'default', 'All pending changes have been discarded, and the page is now unlocked.', '', 'none'),
('6439', '', 'default', 'Administrative title of this variant. If you leave blank it will be automatically assigned.', '', 'none'),
('6440', '', 'default', 'Variant type', '', 'none'),
('6441', '', 'default', 'Optional features', '', 'none'),
('6442', '', 'default', 'Check any optional features you need to be presented with forms for configuring them. If you do not check them here you will still be able to utilize these features once the new page is created. If you are not sure, leave these unchecked.', '', 'none'),
('6443', '', 'default', 'Variant name', '', 'none'),
('6444', '', 'default', 'Enter the name of the new variant.', '', 'none'),
('6445', '', 'default', 'Paste variant code here', '', 'none'),
('6446', '', 'default', 'No variant found.', '', 'none'),
('6447', '', 'default', 'Are you sure you want to delete this variant? This deletion will not be made permanent until you click Save.', '', 'none'),
('6448', '', 'default', 'This variant is currently disabled. Enabling it will make it available in your system. This will not take effect until you save this page.', '', 'none'),
('6449', '', 'default', 'This variant is currently enabled. Disabling it will make it unavailable in your system, and it will not be used. This will not take effect until you save this page.', '', 'none'),
('6450', '', 'default', 'Enabling this page will immediately make it available in your system (there is no need to wait for a save.)', '', 'none'),
('6451', '', 'default', 'Disabling this page will immediately make it unavailable in your system (there is no need to wait for a save.)', '', 'none'),
('6452', '', 'default', 'This page has no variants and thus no output of its own.', '', 'none'),
('6453', '', 'default', 'Add a new variant', '', 'none'),
('6454', '', 'default', 'Unable to disable due to lock.', '', 'none'),
('6455', '', 'default', 'Unable to enable due to lock.', '', 'none'),
('6456', '', 'default', 'Add, edit and remove overridden system pages and user defined pages from the system.', '', '7.42'),
('6457', '', 'default', 'Page manager', '', 'none'),
('6458', '', 'default', 'Provides a UI and API to manage pages within the site.', '', '7.34'),
('6459', '', 'default', 'Node add/edit form', '', '7.41'),
('6460', '', 'default', 'Node being viewed', '', 'none'),
('6461', '', 'default', 'Argument settings', '', 'none'),
('6462', '', 'default', 'Administrative title', '', 'none'),
('6463', '', 'default', 'The name of this page. This will appear in the administrative interface to easily identify it.', '', 'none'),
('6464', '', 'default', 'The machine readable name of this page. It must be unique, and it must contain only alphanumeric characters and underscores. Once created, you will not be able to change this value!', '', 'none'),
('6465', '', 'default', 'Administrative description', '', 'none'),
('6466', '', 'default', 'A description of what this page is, does or is for, for administrative use.', '', 'none'),
('6467', '', 'default', 'The URL path to get to this page. You may create named placeholders for variable parts of the path by using %name for required elements and !name for optional elements. For example: "node/%node/foo", "forum/%forum" or "dashboard/!input". These named placeholders can be turned into contexts on the arguments form.', '', 'none'),
('6468', '', 'default', 'Make this your site home page.', '', 'none'),
('6469', '', 'default', 'Visible menu item', '', 'none'),
('6470', '', 'default', 'Name is required.', '', 'none'),
('6471', '', 'default', 'That name is used by another page: @page', '', 'none'),
('6472', '', 'default', 'Page name must be alphanumeric or underscores only.', '', 'none'),
('6473', '', 'default', 'That path is used by another page: @page', '', 'none'),
('6474', '', 'default', 'That path is currently assigned to be an alias for @alias. This system cannot override existing aliases.', '', 'none'),
('6475', '', 'default', 'You cannot make this page your site home page if it uses % placeholders.', '', 'none'),
('6476', '', 'default', 'Duplicated argument %arg', '', 'none'),
('6477', '', 'default', 'Invalid arg <em>%</em>. All arguments must be named with keywords.', '', 'none'),
('6478', '', 'default', 'When providing a menu item as a default tab, Drupal needs to know what the parent menu item of that tab will be. Sometimes the parent will already exist, but other times you will need to have one created. The path of a parent item will always be the same path with the last part left off. i.e, if the path to this view is <em>foo/bar/baz</em>, the parent path would be <em>foo/bar</em>.', '', 'none'),
('6479', '', 'default', 'Parent item title', '', 'none'),
('6480', '', 'default', 'Parent item menu', '', 'none'),
('6481', '', 'default', 'Access rules are used to test if the page is accessible and any menu items associated with it are visible.', '', '7.41'),
('6482', '', 'default', 'No context assigned', '', 'none'),
('6483', '', 'default', 'Position in path', '', 'none'),
('6484', '', 'default', 'Context assigned', '', 'none'),
('6485', '', 'default', 'The path %path has no arguments to configure.', '', 'none'),
('6486', '', 'default', 'Invalid keyword.', '', 'none'),
('6487', '', 'default', 'Change context type', '', 'none'),
('6488', '', 'default', 'Change argument', '', 'none'),
('6489', '', 'default', 'No context selected', '', 'none'),
('6490', '', 'default', 'Error: missing argument.', '', 'none'),
('6491', '', 'default', 'Context identifier', '', 'none'),
('6492', '', 'default', 'This is the title of the context used to identify it later in the administrative process. This will never be shown to a user.', '', 'none'),
('6493', '', 'default', 'Error: missing or invalid argument plugin %argument.', '', 'none'),
('6494', '', 'default', 'Import page', '', '7.42'),
('6495', '', 'default', 'Enter the name to use for this page if it is different from the source page. Leave blank to use the original name of the page.', '', 'none'),
('6496', '', 'default', 'Enter the path to use for this page if it is different from the source page. Leave blank to use the original path of the page.', '', 'none'),
('6497', '', 'default', 'Allow overwrite of an existing page', '', 'none'),
('6498', '', 'default', 'If the name you selected already exists in the database, this page will be allowed to overwrite the existing page.', '', 'none'),
('6499', '', 'default', 'Paste page code here', '', 'none'),
('6500', '', 'default', 'No handler found.', '', 'none'),
('6501', '', 'default', 'That page name is in use and locked by another user. You must <a href="!break">break the lock</a> on that page before proceeding, or choose a different name.', '', 'none'),
('6502', '', 'default', 'Enter the name to the new page It must be unique and contain only alphanumeric characters and underscores.', '', 'none'),
('6503', '', 'default', 'The URL path to get to this page. You may create named placeholders for variable parts of the path by using %name for required elements and !name for optional elements. For example: "node/%node/foo", "forum/%forum" or "dashboard/!input". These named placeholders can be turned into contexts on the arguments form. You cannot use the same path as the original page.', '', 'none'),
('6504', '', 'default', 'Clone variants', '', 'none'),
('6505', '', 'default', 'If checked all variants associated with the page will be cloned as well. If not checked the page will be cloned without variants.', '', 'none'),
('6506', '', 'default', 'Are you sure you want to delete this page? Deleting a page cannot be undone.', '', 'none'),
('6507', '', 'default', 'The page has been reverted.', '', 'none'),
('6508', '', 'default', 'Administrator created pages that have a URL path, access control and entries in the Drupal menu system.', '', '7.41'),
('6509', '', 'default', 'Create a new page', '', '7.41'),
('6510', '', 'default', 'Edit name, path and other basic settings for the page.', '', '7.41'),
('6511', '', 'default', 'Set up contexts for the arguments on this page.', '', 'none'),
('6512', '', 'default', 'Control what users can access this page.', '', '7.41'),
('6513', '', 'default', 'Provide this page a visible menu or a menu tab.', '', '7.41'),
('6514', '', 'default', 'Make a copy of this page', '', '7.41'),
('6515', '', 'default', 'Export this page as code that can be imported or embedded into a module.', '', '7.41'),
('6516', '', 'default', 'Remove all changes to this page and revert to the version in code.', '', 'none'),
('6517', '', 'default', 'Remove this page from your system completely.', '', '7.41'),
('6518', '', 'default', 'This is your site home page.', '', 'none'),
('6519', '', 'default', 'This page is set to become your site home page.', '', 'none'),
('6520', '', 'default', 'Accessible only if @conditions.', '', 'none'),
('6521', '', 'default', 'This page is publicly accessible.', '', 'none'),
('6522', '', 'default', 'No menu entry.', '', 'none'),
('6523', '', 'default', 'Normal menu entry.', '', 'none'),
('6524', '', 'default', 'Menu tab.', '', 'none'),
('6525', '', 'default', 'Default menu tab.', '', 'none'),
('6526', '', 'default', 'Title: %title.', '', 'none'),
('6527', '', 'default', 'Parent title: %title.', '', 'none'),
('6528', '', 'default', 'Menu block: %title.', '', 'none'),
('6529', '', 'default', 'Taxonomy term template', '', '7.41'),
('6530', '', 'default', 'When enabled, this overrides the default Drupal behavior for displaying taxonomy terms at <em>taxonomy/term/%term</em>. If you add variants, you may use selection criteria such as vocabulary or user access to provide different displays of the taxonomy term and associated nodes. If no variant is selected, the default Drupal taxonomy term display will be used. This page only affects items actually displayed ad taxonomy/term/%term. Some taxonomy terms, such as forums, have their displays moved elsewhere. Also please note that if you are using pathauto, aliases may make a taxonomy terms appear somewhere else, but as far as Drupal is concerned, they are still at taxonomy/term/%term.', '', '7.41'),
('6531', '', 'default', 'Term(s) being viewed', '', 'none'),
('6532', '', 'default', 'Term being viewed', '', 'none'),
('6533', '', 'default', 'Allow multiple terms on taxonomy/term/%term', '', 'none'),
('6534', '', 'default', 'Single term', '', 'none'),
('6535', '', 'default', 'Multiple terms', '', 'none'),
('6536', '', 'default', 'By default, Drupal allows multiple terms as an argument by separating them with commas or plus signs. If you set this to single, that feature will be disabled.', '', 'none'),
('6537', '', 'default', 'Inject hierarchy of first term into breadcrumb trail', '', 'none'),
('6538', '', 'default', 'If checked, taxonomy term parents will appear in the breadcrumb trail.', '', 'none'),
('6539', '', 'default', 'Multiple terms may be used, separated by , or +.', '', 'none'),
('6540', '', 'default', 'Only a single term may be used.', '', 'none'),
('6541', '', 'default', '%term', '', 'none'),
('6542', '', 'default', 'Breadcrumb trail will contain taxonomy term hierarchy', '', 'none'),
('6543', '', 'default', 'User profile template', '', '7.41'),
('6544', '', 'default', 'User being viewed', '', 'none'),
('6545', '', 'default', 'This page is being edited by another user and you cannot make changes to it.', '', 'none'),
('6546', '', 'default', 'This page is newly created and has not yet been saved to the database. It will not be available until you save it.', '', 'none'),
('6547', '', 'default', 'This page has been modified, but these modifications are not yet live. While modifying this page, it is locked from modification by other users.', '', 'none'),
('6548', '', 'default', 'No task handlers are defined for this task.', '', 'none'),
('6549', '', 'default', 'Variant', '', 'none'),
('6550', '', 'default', 'This page is being edited by user !user, and is therefore locked from editing by others. This lock is !age old. Click here to <a href="!break">break this lock</a>.', '', 'none'),
('6551', '', 'default', 'User: compare', '', 'none'),
('6552', '', 'default', 'Compare two users (logged-in user and user being viewed, for example)', '', 'none'),
('6553', '', 'default', 'First User', '', 'none'),
('6554', '', 'default', 'Second User', '', 'none'),
('6555', '', 'default', 'Grant access if user contexts are', '', 'none'),
('6556', '', 'default', 'Not equal', '', 'none'),
('6557', '', 'default', '@id1 @comp @id2', '', 'none'),
('6558', '', 'default', 'Node: accessible', '', 'none'),
('6559', '', 'default', 'Control access with built in Drupal node access test.', '', 'none'),
('6560', '', 'default', 'Create nodes of the same type', '', 'none'),
('6561', '', 'default', '@user can view @node.', '', 'none'),
('6562', '', 'default', '@user can edit @node.', '', 'none'),
('6563', '', 'default', '@user can delete @node.', '', 'none'),
('6564', '', 'default', '@user can create nodes of the same type as @node.', '', 'none'),
('6565', '', 'default', 'Node: language', '', 'none'),
('6566', '', 'default', 'Control access by node language.', '', 'none'),
('6567', '', 'default', 'Current site language', '', 'none'),
('6568', '', 'default', 'Node: type', '', 'none'),
('6569', '', 'default', 'Control access by node_type.', '', 'none'),
('6570', '', 'default', '@identifier is type "@types"', '', 'none'),
('6571', '', 'default', '@identifier type is one of "@types"', '', 'none'),
('6572', '', 'default', 'User: permission', '', 'none'),
('6573', '', 'default', 'Only users with the selected permission flag will be able to access this.', '', 'none'),
('6574', '', 'default', '@identifier has "@perm"', '', 'none'),
('6575', '', 'default', 'Administrative desc', '', 'none'),
('6576', '', 'default', 'A description for this test for administrative purposes.', '', 'none'),
('6577', '', 'default', 'Access will be granted if the following PHP code returns <code>TRUE</code>. Do not include &lt;?php ?&gt;. Note that executing incorrect PHP-code can break your Drupal site. All contexts will be available in the <em>$contexts</em> variable.', '', 'none'),
('6578', '', 'default', 'User: role', '', 'none'),
('6579', '', 'default', 'Control access by role.', '', 'none'),
('6580', '', 'default', 'Only the checked roles will be granted access.', '', 'none'),
('6581', '', 'default', '@identifier has role "@roles"', '', 'none'),
('6582', '', 'default', '@identifier has one of "@roles"', '', 'none'),
('6583', '', 'default', 'User: language', '', 'none'),
('6584', '', 'default', 'Pass only if the current site language is one of the selected languages.', '', 'none'),
('6585', '', 'default', 'Site language is any language', '', 'none'),
('6586', '', 'default', 'Site language is "@languages"', '', 'none'),
('6587', '', 'default', 'Site language is one of "@languages"', '', 'none'),
('6588', '', 'default', 'Taxonomy: vocabulary', '', 'none'),
('6589', '', 'default', 'Creates a node context from a node ID argument.', '', 'none'),
('6590', '', 'default', 'Enter the node ID of a node for this argument', '', 'none'),
('6591', '', 'default', 'Enter a value for this argument', '', 'none'),
('6592', '', 'default', 'Inject hierarchy into breadcrumb trail', '', 'none'),
('6593', '', 'default', 'Enter a term ID or a list of term IDs separated by a + or a ,', '', 'none'),
('6594', '', 'default', 'Creates a user context from a user ID argument.', '', 'none'),
('6595', '', 'default', 'Substitutions', '', 'none'),
('6596', '', 'default', '@identifier: @title', '', 'none'),
('6597', '', 'default', '"@s" author', '', 'none'),
('6598', '', 'default', 'Node created date', '', '7.34'),
('6599', '', 'default', 'Node last updated date', '', '7.34'),
('6600', '', 'default', 'The date the referenced node was last updated.', '', '7.34'),
('6601', '', 'default', 'Last updated date', '', 'none'),
('6602', '', 'default', '"@s" last updated date', '', 'none'),
('6603', '', 'default', 'node_form', '', 'none'),
('6604', '', 'default', 'Node form submit buttons', '', '7.34'),
('6605', '', 'default', '"@s" node form submit buttons', '', 'none'),
('6606', '', 'default', 'Node form revision log message', '', '7.34'),
('6607', '', 'default', 'Node form url path settings', '', 'none'),
('6608', '', 'default', 'Profile category', '', 'none'),
('6609', '', 'default', 'Enter the node ID of a node for this context.', '', 'none'),
('6610', '', 'default', '''%title'' [node id %nid]', '', 'none'),
('6611', '', 'default', 'A context that is just a string.', '', 'none'),
('6612', '', 'default', 'Raw string', '', 'none'),
('6613', '', 'default', 'You must select a term.', '', 'none'),
('6614', '', 'default', 'Term ID of first term', '', 'none'),
('6615', '', 'default', 'Term ID of all term, separated by + or ,', '', 'none'),
('6616', '', 'default', 'Term name of first term', '', 'none'),
('6617', '', 'default', 'Term name of all terms, separated by + or ,', '', 'none'),
('6618', '', 'default', 'Vocabulary ID of first term', '', 'none'),
('6619', '', 'default', 'Make all views available as panes', '', 'none'),
('6620', '', 'default', 'If checked, all views will be made available as content panes to be added to content types. If not checked, only Views that have a ''Content pane'' display will be available as content panes. Uncheck this if you want to be able to more carefully control what view content is available to users using the panels layout UI.', '', 'none'),
('6621', '', 'default', 'Views content panes', '', 'none'),
('6622', '', 'default', 'Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.', '', 'none'),
('6623', '', 'default', 'Select display', '', '7.34'),
('6624', '', 'default', 'Configure view', '', '7.34'),
('6625', '', 'default', 'View: @name', '', 'none'),
('6626', '', 'default', 'View information', '', 'none'),
('6627', '', 'default', 'Using display @display.', '', 'none'),
('6628', '', 'default', 'Argument @arg using context @context converted into @converter', '', 'none'),
('6629', '', 'default', '@count items displayed.', '', 'none'),
('6630', '', 'default', 'With pager.', '', 'none'),
('6631', '', 'default', 'Skipping first @count results', '', 'none'),
('6632', '', 'default', 'View panes', '', '7.34'),
('6633', '', 'default', 'Content pane', '', '7.42'),
('6634', '', 'default', 'Is available as content for a panel or dashboard display.', '', '7.42'),
('6635', '', 'default', 'Argument input', '', 'none'),
('6636', '', 'default', 'Allow settings', '', 'none'),
('6637', '', 'default', 'Panel pages can be used as landing pages. They have a URL path, accept arguments and can have menu entries.', '', 'none'),
('6638', '', 'default', 'Panel page', '', 'none'),
('6639', '', 'default', 'Go to list', '', 'none'),
('6640', '', 'default', 'Selection rules', '', 'none'),
('6641', '', 'default', 'Control the criteria used to decide whether or not this variant is used.', '', 'none'),
('6642', '', 'default', 'Add additional context objects to this variant that can be used by the content.', '', 'none'),
('6643', '', 'default', 'This panel will be selected if @conditions.', '', 'none'),
('6644', '', 'default', 'This panel will always be selected.', '', 'none'),
('6645', '', 'default', 'Selection rule', '', 'none'),
('6646', '', 'default', 'Panel: @title', '', 'none'),
('6647', '', 'default', 'Administrative title of this variant.', '', 'none'),
('6648', '', 'default', '(start from last values)', '', 'none'),
('6649', '', 'default', 'CTools plugin example', '', 'none'),
('6650', '', 'default', 'Shows how an external module can provide ctools plugins (for Panels, etc.).', '', 'none'),
('6651', '', 'default', 'CTools Examples', '', 'none'),
('6652', '', 'default', 'The setting for item 1.', '', 'none'),
('6653', '', 'default', 'The setting for item 2', '', 'none'),
('6654', '', 'default', 'See the getting started guide for more information.', '', 'none'),
('6655', '', 'default', 'Existing node', '', '7.34'),
('6656', '', 'default', 'Include node links for "add comment", "read more" etc.', '', 'none'),
('6657', '', 'default', 'Template identifier', '', 'none'),
('6658', '', 'default', 'Add the breadcrumb trail as content.', '', '7.34'),
('6659', '', 'default', 'Status messages', '', '7.34'),
('6660', '', 'default', 'Add the page title as content.', '', '7.34'),
('6661', '', 'default', 'Manage pages', '', 'none'),
('6662', '', 'default', 'This page is currently locked for editing by you. Nobody else may edit this page until these changes are saved or canceled.', '', 'none'),
('6663', '', 'default', 'This page is currently locked for editing by another user. You may not edit this page without breaking the lock.', '', 'none'),
('6664', '', 'default', 'User blog', '', '7.41'),
('6665', '', 'default', 'Site contact page', '', '7.41'),
('6666', '', 'default', 'User contact', '', '7.41'),
('6667', '', 'default', 'All polls', '', '7.41'),
('6668', '', 'default', 'Taxonomy: term', '', 'none'),
('6669', '', 'default', 'Select a term or terms from @vocabulary.', '', 'none'),
('6670', '', 'default', 'User: name', '', 'none'),
('6671', '', 'default', 'Vocabulary: ID', '', 'none'),
('6672', '', 'default', 'The site contact form that allows users to send a message to site administrators.', '', '7.34'),
('6673', '', 'default', 'The site contact form that allows users to contact other users.', '', '7.34'),
('6674', '', 'default', 'Contact @name', '', 'none'),
('6675', '', 'default', 'This title will be used administratively to identify this pane. If blank, the regular title will be used.', '', 'none'),
('6676', '', 'default', 'Advanced search form', '', '7.34'),
('6677', '', 'default', 'A search form with advanced options.', '', '7.34'),
('6678', '', 'default', 'The results of a search using keywords.', '', '7.34'),
('6679', '', 'default', 'HTML-safe string', '', 'none'),
('6680', '', 'default', 'styles', '', 'none'),
('6681', '', 'default', 'Thickness', '', 'none'),
('6682', '', 'default', 'Lighter', '', 'none'),
('6683', '', 'default', 'Bolder', '', 'none'),
('6684', '', 'default', '- Choose -', '', 'none'),
('6685', '', 'default', 'Update and save', '', 'none'),
('6686', '', 'default', 'The page has been updated and saved.', '', 'none'),
('6687', '', 'default', 'To set this panel as your home page you must create a unique path name with no % placeholders in the path. The site home page is currently set to %homepage on the !siteinfo configuration form.', '', 'none'),
('6688', '', 'default', 'This page is currently set to be your site home page. This can be modified on the !siteinfo configuration form.', '', 'none'),
('6689', '', 'default', 'That path is already in use. This system cannot override existing paths.', '', 'none'),
('6690', '', 'default', 'Context exists', '', 'none'),
('6691', '', 'default', 'Check to see if the context exists (contains data) or does not exist (contains no data). For example, if a context is optional and the path does not contain an argument for that context, it will not exist.', '', 'none'),
('6692', '', 'default', 'Doesn''t exist', '', 'none'),
('6693', '', 'default', '@identifier exists', '', 'none'),
('6694', '', 'default', '@identifier does not exist', '', 'none'),
('6695', '', 'default', 'String: comparison', '', 'none'),
('6696', '', 'default', '@identifier is "@value"', '', 'none'),
('6697', '', 'default', '@identifier is not "@value"', '', 'none'),
('6698', '', 'default', 'String: length', '', 'none'),
('6699', '', 'default', 'Not equal to', '', 'none'),
('6700', '', 'default', 'Length of string', '', 'none'),
('6701', '', 'default', 'A context that contains token replacements from token.module.', '', 'none'),
('6702', '', 'default', 'Enter a user name', '', 'none'),
('6703', '', 'default', 'CTools PHP requirements', '', 'none'),
('6704', '', 'default', 'CTools requires certain features only available in PHP 5.2.0 or higher.', '', 'none'),
('6705', '', 'default', 'PHP !version', '', 'none'),
('6706', '', 'default', 'Select base style', '', 'none'),
('6707', '', 'default', 'Arial, Helvetica, sans-serif', '', 'none'),
('6708', '', 'default', 'Times New Roman, Times, serif', '', 'none'),
('6709', '', 'default', 'Courier New, Courier, monospace', '', 'none'),
('6710', '', 'default', 'Georgia, Times New Roman, Times, serif', '', 'none'),
('6711', '', 'default', 'Verdana, Arial, Helvetica, sans-serif', '', 'none'),
('6712', '', 'default', 'Geneva, Arial, Helvetica, sans-serif', '', 'none'),
('6713', '', 'default', 'Trebuchet MS, Trebuchet, Verdana, sans-serif', '', 'none'),
('6714', '', 'default', 'XX-Small', '', 'none'),
('6715', '', 'default', 'X-Small', '', 'none'),
('6716', '', 'default', 'X-Large', '', 'none'),
('6717', '', 'default', 'XX-Large', '', 'none'),
('6718', '', 'default', 'Letter spacing', '', 'none'),
('6719', '', 'default', 'Word spacing', '', 'none'),
('6720', '', 'default', 'Decoration', '', 'none'),
('6721', '', 'default', 'Overline', '', 'none'),
('6722', '', 'default', 'Line-through', '', 'none'),
('6723', '', 'default', 'Oblique', '', 'none'),
('6724', '', 'default', 'Small-caps', '', 'none'),
('6725', '', 'default', 'Capitalize', '', 'none'),
('6726', '', 'default', 'String: URL path', '', 'none'),
('6727', '', 'default', 'Control access by the current path.', '', 'none'),
('6728', '', 'default', 'Note: if no context is chosen, the current page path will be used.', '', 'none'),
('6729', '', 'default', 'Allow access on the following pages', '', 'none'),
('6730', '', 'default', 'Allow access on all pages except the following pages', '', 'none'),
('6731', '', 'default', 'Current path', '', 'none'),
('6732', '', 'default', '@identifier is "@paths"', '', 'none'),
('6733', '', 'default', '@identifier type is one of "@paths"', '', 'none'),
('6734', '', 'default', 'Taxonomy: parent term', '', 'none'),
('6735', '', 'default', 'Current theme', '', 'none'),
('6736', '', 'default', 'This will only be accessed if the current theme is the selected theme.', '', 'none'),
('6737', '', 'default', 'Current theme is "@theme"', '', 'none'),
('6738', '', 'default', 'Node terms', '', '7.34'),
('6739', '', 'default', 'Feed icons', '', '7.34'),
('6740', '', 'default', 'Site logo', '', '7.34'),
('6741', '', 'default', 'Primary navigation links', '', '7.34'),
('6742', '', 'default', 'Secondary navigation links', '', '7.34'),
('6743', '', 'default', 'CSS id to use', '', 'none'),
('6744', '', 'default', 'Missing plugin', '', 'none'),
('6745', '', 'default', 'Custom style', '', 'none'),
('6746', '', 'default', 'Custom ruleset', '', 'none'),
('6747', '', 'default', 'Custom rulesets are combinations of access plugins you can use for access control, selection criteria and pane visibility.', '', 'none'),
('6748', '', 'default', 'There are no custom rulesets.', '', 'none'),
('6749', '', 'default', 'Manage custom rulesets', '', 'none'),
('6750', '', 'default', 'Custom rulesets', '', 'none'),
('6751', '', 'default', 'Ruleset', '', 'none'),
('6752', '', 'default', 'Rulesets', '', 'none'),
('6753', '', 'default', 'Custom content', '', '7.34'),
('6754', '', 'default', 'There are no custom content panes.', '', 'none'),
('6755', '', 'default', 'Manage custom content', '', 'none'),
('6756', '', 'default', 'Custom content panes', '', 'none'),
('6757', '', 'default', 'content pane', '', 'none'),
('6758', '', 'default', 'content panes', '', 'none'),
('6759', '', 'default', 'Content panes', '', 'none'),
('6760', '', 'default', 'Reverse (NOT)', '', 'none'),
('6761', '', 'default', 'Add a new @plugin', '', '7.42'),
('6762', '', 'default', 'Edit @plugin %title', '', '7.42'),
('6763', '', 'default', 'Clone @plugin %title', '', '7.42'),
('6764', '', 'default', 'Import @plugin', '', '7.42'),
('6765', '', 'default', 'Export @plugin %title', '', '7.42'),
('6766', '', 'default', 'Are you sure you want to revert %title?', '', '7.42'),
('6767', '', 'default', 'This action will permanently remove any customizations made to this item.', '', '7.42'),
('6768', '', 'default', 'The item has been reverted.', '', '7.42'),
('6769', '', 'default', 'This action will permanently remove this item from your database..', '', '7.42'),
('6770', '', 'default', '%title has been created.', '', '7.42'),
('6771', '', 'default', '%title could not be created.', '', '7.42'),
('6772', '', 'default', '%title has been updated.', '', '7.42'),
('6773', '', 'default', '%title could not be updated.', '', '7.42'),
('6774', '', 'default', 'You can import an exported definition by pasting the exported object code into the field below.', '', '7.42'),
('6775', '', 'default', '@plugin %title was enabled.', '', '7.42'),
('6776', '', 'default', '@plugin %title was disabled.', '', '7.42'),
('6777', '', 'default', 'Configure style', '', 'none'),
('6778', '', 'default', 'Select a build mode for this node.', '', 'none'),
('6779', '', 'default', 'div', '', 'none'),
('6780', '', 'default', 'Enabled, name', '', 'none'),
('6781', '', 'default', 'This will appear in the administrative interface to easily identify it.', '', 'none'),
('6782', '', 'default', 'The unique ID for this @export.', '', 'none'),
('6783', '', 'default', 'Unable to get an import from the code. Errors reported: @errors', '', 'none'),
('6784', '', 'default', 'Custom styles can be applied to Panel regions and Panel panes.', '', 'none'),
('6785', '', 'default', 'There are no custom styles.', '', 'none'),
('6786', '', 'default', 'Manage styles', '', 'none'),
('6787', '', 'default', 'Create custom styles for applications such as Panels.', '', 'none'),
('6788', '', 'default', 'Administrative settings', '', 'none'),
('6789', '', 'default', 'Select style type', '', 'none'),
('6790', '', 'default', 'View attachment', '', '7.34'),
('6791', '', 'default', 'View context', '', '7.34'),
('6792', '', 'default', 'Display the attachments on a view context.', '', '7.34'),
('6793', '', 'default', '"Before" attachment', '', 'none'),
('6794', '', 'default', '"After" attachment', '', 'none'),
('6795', '', 'default', 'View empty text', '', '7.34'),
('6796', '', 'default', 'View footer', '', '7.34'),
('6797', '', 'default', 'View header', '', '7.34'),
('6798', '', 'default', 'View pager', '', '7.34'),
('6799', '', 'default', 'View row', '', '7.34'),
('6800', '', 'default', 'Select context', '', '7.34'),
('6801', '', 'default', 'Configure rows', '', '7.34'),
('6802', '', 'default', 'Row information', '', 'none'),
('6803', '', 'default', 'Makes the view results available as a context for use in Panels and other applications.', '', '7.42'),
('6804', '', 'default', 'Contains rows in contexts.', '', '7.42'),
('6805', '', 'default', 'Context settings', '', 'none'),
('6806', '', 'default', 'View mode', '', 'none'),
('6807', '', 'default', 'Sample Content', '', 'none'),
('6808', '', 'default', 'CTools Javascript Widgets', '', 'none'),
('6809', '', 'default', 'Link 1', '', 'none'),
('6810', '', 'default', 'Link 2', '', 'none'),
('6811', '', 'default', 'Link 3', '', 'none'),
('6812', '', 'default', 'Drop Down Menu', '', 'none'),
('6813', '', 'default', 'Hello World', '', 'none'),
('6814', '', 'default', 'your account', '', 'none'),
('6815', '', 'default', 'Login Success', '', 'none'),
('6816', '', 'default', 'Return to the examples page.', '', 'none'),
('6817', '', 'default', 'Chaos Tools AJAX Demo', '', 'none'),
('6818', '', 'default', 'Simple Form', '', 'none'),
('6819', '', 'default', 'Shows how to use the power of Chaos AJAX.', '', 'none'),
('6820', '', 'default', 'If there is more than one variant on a page, when the page is visited each variant is given an opportunity to be displayed. Starting from the first variant and working to the last, each one tests to see if its selection rules will pass. The first variant that meets its criteria (as specified below) will be used.', '', 'none'),
('6821', '', 'default', '404 Page not found', '', 'none'),
('6822', '', 'default', 'The first element in a path may not be dynamic.', '', 'none'),
('6823', '', 'default', 'User signature', '', '7.34'),
('6824', '', 'default', 'The signature of a user.', '', '7.34'),
('6825', '', 'default', 'Delete and save', '', 'none'),
('6826', '', 'default', 'Enable and save', '', 'none'),
('6827', '', 'default', 'Disable and save', '', 'none'),
('6828', '', 'default', '@entity: ID', '', 'none'),
('6829', '', 'default', 'Creates @entity context from an ID argument.', '', 'none'),
('6830', '', 'default', 'Custom blocks', '', 'none'),
('6831', '', 'default', '"@s" @field', '', 'none'),
('6832', '', 'default', 'Entity object.', '', 'none'),
('6833', '', 'default', 'Site Information', '', 'none'),
('6834', '', 'default', 'Use this page in an admin overlay.', '', 'none'),
('6835', '', 'default', 'Master', '', '7.50'),
('6836', '', 'default', 'Transform dashes in URL to spaces in term name filter values', '', 'none'),
('6837', '', 'default', 'There are no @titles to display.', '', '7.42'),
('6838', '', 'default', 'Taxonomy: term has parent(s)', '', 'none'),
('6839', '', 'default', 'Field: @widget_label (@field_name)', '', 'none'),
('6840', '', 'default', '@entity (tokens)', '', 'none'),
('6841', '', 'default', 'View: @view', '', 'none'),
('6842', '', 'default', 'View: @view: @display', '', 'none'),
('6843', '', 'default', 'Broken/missing/deleted view display.', '', 'none'),
('6844', '', 'default', 'Entire view', '', '7.34'),
('6845', '', 'default', 'Display the entire view.', '', '7.34'),
('6846', '', 'default', 'Configure content pane', '', 'none'),
('6847', '', 'default', 'Add the action links (local tasks) as content.', '', '7.34'),
('6848', '', 'default', 'Link to term', '', 'none'),
('6849', '', 'default', 'Comment Reply page', '', '7.41'),
('6850', '', 'default', 'Comment Reply Form', '', '7.34'),
('6851', '', 'default', 'A form to add a new comment reply.', '', '7.34'),
('6852', '', 'default', 'The language selection form.', '', '7.34'),
('6853', '', 'default', 'Taxonomy: term depth', '', 'none'),
('6862', '', 'default', 'Search result highlighting input', '', '7.42'),
('6863', '', 'default', 'Wysiwyg profile', '', '7.42'),
('6866', '', 'default', 'Store a title, href, and attributes in the database to assemble a link.', '', '7.42'),
('6881', '', 'default', 'Title, as link (default)', '', '7.42'),
('6882', '', 'default', 'Title, as plain text', '', '7.42'),
('6883', '', 'default', 'URL, as link', '', '7.42'),
('6884', '', 'default', 'URL, as plain text', '', '7.42'),
('6885', '', 'default', 'URL, absolute', '', '7.42'),
('6886', '', 'default', 'Domain, as link', '', '7.42'),
('6887', '', 'default', 'Short, as link with title "Link"', '', '7.42'),
('6888', '', 'default', 'Label, as link with label as title', '', '7.42'),
('6889', '', 'default', 'Separate title and URL', '', '7.42'),
('6892', '', 'default', 'Features', '', '7.42'),
('6897', '', 'default', 'Wysiwyg profiles', '', '7.42'),
('6898', '', 'default', 'Configure client-side editors.', '', '7.42'),
('6907', '', 'default', 'jQuery update', '', '7.42'),
('6908', '', 'default', 'Configure settings related to the jQuery upgrade, the library path and compression.', '', '7.42'),
('6935', '', 'default', 'Date API', '', '7.42'),
('6936', '', 'default', 'Settings for modules the use the Date API.', '', '7.42'),
('6941', '', 'default', 'Used in views', '', '7.42'),
('6942', '', 'default', 'Overview of fields used in all views.', '', '7.42'),
('6943', '', 'default', 'Views plugins', '', '7.42'),
('6944', '', 'default', 'Overview of plugins used in all views.', '', '7.42'),
('6945', '', 'default', 'views', '', '7.42'),
('6946', '', 'default', 'This action will permanently remove any customizations made to this view.', '', '7.42'),
('6947', '', 'default', 'The view has been reverted.', '', '7.42'),
('6948', '', 'default', 'This action will permanently remove the view from your database.', '', '7.42'),
('6949', '', 'default', 'The view has been deleted.', '', '7.42'),
('6951', '', 'default', 'Add new view', '', '7.42'),
('6952', '', 'default', 'Add view from template', '', '7.42'),
('6968', '', 'default', 'Request', '', '7.42'),
('6972', '', 'default', 'Aggregator item', '', '7.42'),
('6973', '', 'default', 'Aggregator items are imported from external RSS and Atom news feeds.', '', '7.42'),
('6974', '', 'default', 'Feed Item ID', '', '7.42'),
('6975', '', 'default', 'The unique ID of the aggregator item.', '', '7.42'),
('6976', '', 'default', 'Item ID', '', '7.42'),
('6977', '', 'default', 'The title of the aggregator item.', '', '7.42'),
('6978', '', 'default', 'The link to the original source URL of the item.', '', '7.42'),
('6979', '', 'default', 'The author of the original imported item.', '', '7.42'),
('6980', '', 'default', 'GUID', '', '7.42'),
('6981', '', 'default', 'The guid of the original imported item.', '', '7.42'),
('6982', '', 'default', 'The actual content of the imported item.', '', '7.42'),
('6983', '', 'default', 'The date the original feed item was posted. (With some feeds, this will be the date it was imported.)', '', '7.42'),
('6984', '', 'default', 'Aggregator feed', '', '7.42'),
('6985', '', 'default', 'Feed ID', '', '7.42'),
('6986', '', 'default', 'The unique ID of the aggregator feed.', '', '7.42'),
('6987', '', 'default', 'The title of the aggregator feed.', '', '7.42'),
('6988', '', 'default', 'The link to the source URL of the feed.', '', '7.42'),
('6989', '', 'default', 'Last checked', '', '7.42'),
('6990', '', 'default', 'The date the feed was last checked for new content.', '', '7.42'),
('6991', '', 'default', 'The description of the aggregator feed.', '', '7.42'),
('6992', '', 'default', 'Last modified', '', '7.42'),
('6993', '', 'default', 'The date of the most recent new content on the feed.', '', '7.42'),
('6994', '', 'default', 'Aggregator category', '', '7.42'),
('6995', '', 'default', 'Category ID', '', '7.42'),
('6996', '', 'default', 'The unique ID of the aggregator category.', '', '7.42'),
('6997', '', 'default', 'The title of the aggregator category.', '', '7.42'),
('6998', '', 'default', 'The book the node is in.', '', '7.42'),
('6999', '', 'default', 'The weight of the book page.', '', '7.42'),
('7000', '', 'default', 'The depth of the book page in the hierarchy; top level books have a depth of 1.', '', '7.42'),
('7001', '', 'default', 'The order of pages in the book hierarchy.', '', '7.42'),
('7002', '', 'default', 'The parent book node.', '', '7.42'),
('7004', '', 'default', 'Provide custom text or link.', '', '7.42'),
('7005', '', 'default', 'Comments are responses to node content.', '', '7.42'),
('7006', '', 'default', 'ID', '', '7.42'),
('7007', '', 'default', 'The comment ID of the field', '', '7.42'),
('7008', '', 'default', 'The name of the comment''s author. Can be rendered as a link to the author''s homepage.', '', '7.42'),
('7009', '', 'default', 'Author''s website', '', '7.42'),
('7010', '', 'default', 'The website address of the comment''s author. Can be rendered as a link. Will be empty if the author is a registered user.', '', '7.42'),
('7011', '', 'default', 'Hostname of user that posted the comment.', '', '7.42'),
('7012', '', 'default', 'Mail', '', '7.42'),
('7013', '', 'default', 'Email of user that posted the comment. Will be empty if the author is a registered user.', '', '7.42'),
('7014', '', 'default', 'Post date', '', '7.42'),
('7015', '', 'default', 'Date and time of when the comment was created.', '', '7.42'),
('7016', '', 'default', 'The language the comment is in.', '', '7.42'),
('7017', '', 'default', 'Updated date', '', '7.42'),
('7018', '', 'default', 'Date and time of when the comment was last updated.', '', '7.42'),
('7019', '', 'default', 'Date in the form of CCYYMMDD.', '', '7.42'),
('7020', '', 'default', 'Created year + month', '', '7.42'),
('7021', '', 'default', 'Date in the form of YYYYMM.', '', '7.42'),
('7022', '', 'default', 'Created year', '', '7.42');
INSERT INTO `locales_source` VALUES
('7023', '', 'default', 'Date in the form of YYYY.', '', '7.42'),
('7024', '', 'default', 'Created month', '', '7.42'),
('7025', '', 'default', 'Date in the form of MM (01 - 12).', '', '7.42'),
('7026', '', 'default', 'Created day', '', '7.42'),
('7027', '', 'default', 'Date in the form of DD (01 - 31).', '', '7.42'),
('7028', '', 'default', 'Created week', '', '7.42'),
('7029', '', 'default', 'Date in the form of WW (01 - 53).', '', '7.42'),
('7030', '', 'default', 'Approved', '', '7.42'),
('7031', '', 'default', 'Whether the comment is approved (or still in the moderation queue).', '', '7.42'),
('7032', '', 'default', 'Not Approved', '', '7.42'),
('7033', '', 'default', 'Approved comment', '', '7.42'),
('7034', '', 'default', 'View link', '', '7.42'),
('7035', '', 'default', 'Provide a simple link to view the comment.', '', '7.42'),
('7036', '', 'default', 'Edit link', '', '7.42'),
('7037', '', 'default', 'Provide a simple link to edit the comment.', '', '7.42'),
('7038', '', 'default', 'Delete link', '', '7.42'),
('7039', '', 'default', 'Provide a simple link to delete the comment.', '', '7.42'),
('7040', '', 'default', 'Approve link', '', '7.42'),
('7041', '', 'default', 'Provide a simple link to approve the comment.', '', '7.42'),
('7042', '', 'default', 'Reply-to link', '', '7.42'),
('7043', '', 'default', 'Provide a simple link to reply to the comment.', '', '7.42'),
('7044', '', 'default', 'Display the depth of the comment if it is threaded.', '', '7.42'),
('7045', '', 'default', 'Thread', '', '7.42'),
('7046', '', 'default', 'Sort by the threaded order. This will keep child comments together with their parents.', '', '7.42'),
('7047', '', 'default', 'Nid', '', '7.42'),
('7048', '', 'default', 'The node ID to which the comment is a reply to.', '', '7.42'),
('7049', '', 'default', 'The content to which the comment is a reply to.', '', '7.42'),
('7050', '', 'default', 'Author uid', '', '7.42'),
('7051', '', 'default', 'If you need more fields than the uid add the comment: author relationship', '', '7.42'),
('7052', '', 'default', 'The User ID of the comment''s author.', '', '7.42'),
('7053', '', 'default', 'author', '', '7.50'),
('7054', '', 'default', 'Parent CID', '', '7.42'),
('7055', '', 'default', 'The Comment ID of the parent comment.', '', '7.42'),
('7056', '', 'default', 'Parent comment', '', '7.42'),
('7057', '', 'default', 'The parent comment.', '', '7.42'),
('7058', '', 'default', 'Last comment time', '', '7.42'),
('7059', '', 'default', 'Date and time of when the last comment was posted.', '', '7.42'),
('7060', '', 'default', 'Last comment author', '', '7.42'),
('7061', '', 'default', 'The name of the author of the last posted comment.', '', '7.42'),
('7062', '', 'default', 'The number of comments a node has.', '', '7.42'),
('7063', '', 'default', 'Updated/commented date', '', '7.42'),
('7064', '', 'default', 'The most recent of last comment posted or node updated time.', '', '7.42'),
('7065', '', 'default', 'Last comment CID', '', '7.42'),
('7066', '', 'default', 'Display the last comment of a node', '', '7.42'),
('7067', '', 'default', 'Last Comment', '', '7.42'),
('7068', '', 'default', 'The last comment of a node.', '', '7.42'),
('7069', '', 'default', 'Last comment uid', '', '7.42'),
('7070', '', 'default', 'The User ID of the author of the last comment of a node.', '', '7.42'),
('7071', '', 'default', 'Date (!base_table)', '', '7.42'),
('7073', '', 'default', 'Undated', '', '7.42'),
('7074', '', 'default', 'Filter any Views !base_table date field.', '', '7.42'),
('7075', '', 'default', '@entity:@bundle', '', '7.42'),
('7076', '', 'default', 'Appears in: @bundles.', '', '7.42'),
('7077', '', 'default', '@group: @field', '', '7.42'),
('7078', '', 'default', '@label (!name)', '', '7.42'),
('7079', '', 'default', '- No value -', '', '7.42'),
('7080', '', 'default', '@label (!name:!column)', '', '7.42'),
('7081', '', 'default', '@label:!column', '', '7.42'),
('7082', '', 'default', 'This is an alias of @group: @field.', '', '7.42'),
('7083', '', 'default', 'Also known as: !also.', '', '7.42'),
('7084', '', 'default', '@group (historical data)', '', '7.42'),
('7085', '', 'default', '@group (historical data): @field', '', '7.42'),
('7086', '', 'default', '@label (!name:language)', '', '7.42'),
('7087', '', 'default', '@label:language', '', '7.42'),
('7088', '', 'default', 'Language - Appears in: @bundles.', '', '7.42'),
('7089', '', 'default', '<No value>', '', '7.42'),
('7090', '', 'default', '@label (!name:delta)', '', '7.42'),
('7091', '', 'default', '@label:delta', '', '7.42'),
('7092', '', 'default', 'Delta - Appears in: @bundles.', '', '7.42'),
('7093', '', 'default', 'term from !field_name', '', '7.42'),
('7094', '', 'default', 'image from !field_name', '', '7.42'),
('7095', '', 'default', 'file from !field_name', '', '7.42'),
('7096', '', 'default', 'Locale source', '', '7.42'),
('7097', '', 'default', 'A source string for translation, in English or the default site language.', '', '7.42'),
('7098', '', 'default', 'LID', '', '7.42'),
('7099', '', 'default', 'The ID of the source string.', '', '7.42'),
('7100', '', 'default', 'A description of the location or context of the string.', '', '7.42'),
('7101', '', 'default', 'The group the translation is in.', '', '7.42'),
('7102', '', 'default', 'Source', '', '7.42'),
('7103', '', 'default', 'The full original string.', '', '7.42'),
('7104', '', 'default', 'The version of Drupal core that this string is for.', '', '7.42'),
('7105', '', 'default', 'Provide a simple link to edit the translations.', '', '7.42'),
('7106', '', 'default', 'Locale target', '', '7.42'),
('7107', '', 'default', 'Translation', '', '7.42'),
('7108', '', 'default', 'The full translation string.', '', '7.42'),
('7109', '', 'default', 'The language this translation is in.', '', '7.42'),
('7110', '', 'default', 'Singular LID', '', '7.42'),
('7111', '', 'default', 'The ID of the parent translation.', '', '7.42'),
('7112', '', 'default', 'Plural', '', '7.42'),
('7113', '', 'default', 'Whether or not the translation is plural.', '', '7.42'),
('7114', '', 'default', 'The node ID.', '', '7.42'),
('7115', '', 'default', 'The content title.', '', '7.42'),
('7116', '', 'default', 'The date the content was posted.', '', '7.42'),
('7117', '', 'default', 'The date the content was last updated.', '', '7.42'),
('7118', '', 'default', 'The content type (for example, "blog entry", "forum post", "story", etc).', '', '7.42'),
('7119', '', 'default', 'Whether or not the content is published.', '', '7.42'),
('7120', '', 'default', 'Published or admin', '', '7.42'),
('7121', '', 'default', 'Filters out unpublished content if the current user cannot view it.', '', '7.42'),
('7122', '', 'default', 'Whether or not the content is promoted to the front page.', '', '7.42'),
('7123', '', 'default', 'Promoted', '', '7.42'),
('7124', '', 'default', 'Not promoted', '', '7.42'),
('7125', '', 'default', 'Sticky', '', '7.42'),
('7126', '', 'default', 'Whether or not the content is sticky.', '', '7.42'),
('7127', '', 'default', 'Not sticky', '', '7.42'),
('7128', '', 'default', 'Whether or not the content is sticky. To list sticky content first, set this to descending.', '', '7.42'),
('7129', '', 'default', 'Provide a simple link to the content.', '', '7.42'),
('7130', '', 'default', 'Provide a simple link to edit the content.', '', '7.42'),
('7131', '', 'default', 'Provide a simple link to delete the content.', '', '7.42'),
('7132', '', 'default', 'The aliased path to this content.', '', '7.42'),
('7133', '', 'default', 'Updated year + month', '', '7.42'),
('7134', '', 'default', 'Updated year', '', '7.42'),
('7135', '', 'default', 'Updated month', '', '7.42'),
('7136', '', 'default', 'Updated day', '', '7.42'),
('7137', '', 'default', 'Updated week', '', '7.42'),
('7138', '', 'default', 'The user authoring the content. If you need more fields than the uid add the content: author relationship', '', '7.42'),
('7139', '', 'default', 'Relate content to the user who created it.', '', '7.42'),
('7140', '', 'default', 'User has a revision', '', '7.42'),
('7141', '', 'default', 'All nodes where a certain user has a revision', '', '7.42'),
('7142', '', 'default', 'Content revision', '', '7.42'),
('7143', '', 'default', 'Content revision is a history of changes to content.', '', '7.42'),
('7144', '', 'default', 'Relate a content revision to the user who created the revision.', '', '7.42'),
('7145', '', 'default', 'revision user', '', '7.42'),
('7146', '', 'default', 'The revision NID of the content revision.', '', '7.42'),
('7147', '', 'default', 'Get the actual content from a content revision.', '', '7.42'),
('7148', '', 'default', 'Vid', '', '7.42'),
('7149', '', 'default', 'The revision ID of the content revision.', '', '7.42'),
('7150', '', 'default', 'The log message entered when the revision was created.', '', '7.42'),
('7151', '', 'default', 'The date the node was last updated.', '', '7.42'),
('7152', '', 'default', 'Provide a simple link to the revision.', '', '7.42'),
('7153', '', 'default', 'Revert link', '', '7.42'),
('7154', '', 'default', 'Provide a simple link to revert to the revision.', '', '7.42'),
('7155', '', 'default', 'Provide a simple link to delete the content revision.', '', '7.42'),
('7156', '', 'default', 'Content access', '', '7.42'),
('7157', '', 'default', 'Filter by access.', '', '7.42'),
('7158', '', 'default', 'Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>', '', '7.42'),
('7159', '', 'default', 'Has new content', '', '7.42'),
('7160', '', 'default', 'Show a marker if the content is new or updated.', '', '7.42'),
('7161', '', 'default', 'Show only content that is new or updated.', '', '7.42'),
('7162', '', 'default', 'Whether the poll is open for voting.', '', '7.42'),
('7163', '', 'default', 'Score', '', '7.42'),
('7164', '', 'default', 'The score of the search item. This will not be used if the search filter is not also present.', '', '7.42'),
('7165', '', 'default', 'Links from', '', '7.42'),
('7166', '', 'default', 'Other nodes that are linked from the node.', '', '7.42'),
('7167', '', 'default', 'Links to', '', '7.42'),
('7168', '', 'default', 'Other nodes that link to the node.', '', '7.42'),
('7169', '', 'default', 'Search Terms', '', '7.42'),
('7170', '', 'default', 'The terms to search for.', '', '7.42'),
('7171', '', 'default', 'Content statistics', '', '7.42'),
('7172', '', 'default', 'Total views', '', '7.42'),
('7173', '', 'default', 'The total number of times the node has been viewed.', '', '7.42'),
('7174', '', 'default', 'The total number of times the node has been viewed today.', '', '7.42'),
('7175', '', 'default', 'Most recent view', '', '7.42'),
('7176', '', 'default', 'The most recent time the node has been viewed.', '', '7.42'),
('7177', '', 'default', 'Access log', '', '7.42'),
('7178', '', 'default', 'Stores site access information.', '', '7.42'),
('7179', '', 'default', 'Aid', '', '7.42'),
('7180', '', 'default', 'Unique access event ID.', '', '7.42'),
('7181', '', 'default', 'Session ID', '', '7.42'),
('7182', '', 'default', 'Browser session ID of user that visited page.', '', '7.42'),
('7183', '', 'default', 'Title of page visited.', '', '7.42'),
('7184', '', 'default', 'Internal path to page visited (relative to Drupal root.)', '', '7.42'),
('7185', '', 'default', 'Referrer URI.', '', '7.42'),
('7186', '', 'default', 'Hostname of user that visited the page.', '', '7.42'),
('7187', '', 'default', 'The user who visited the site.', '', '7.42'),
('7188', '', 'default', 'Timer', '', '7.42'),
('7189', '', 'default', 'Time in milliseconds that the page took to load.', '', '7.42'),
('7190', '', 'default', 'Timestamp of when the page was visited.', '', '7.42'),
('7191', '', 'default', 'Files maintained by Drupal and various modules.', '', '7.42'),
('7192', '', 'default', 'The ID of the file.', '', '7.42'),
('7193', '', 'default', 'The name of the file.', '', '7.42'),
('7194', '', 'default', 'The path of the file.', '', '7.42'),
('7195', '', 'default', 'Mime type', '', '7.42'),
('7196', '', 'default', 'The mime type of the file.', '', '7.42'),
('7197', '', 'default', 'Extension', '', '7.42'),
('7198', '', 'default', 'The extension of the file.', '', '7.42'),
('7199', '', 'default', 'The status of the file.', '', '7.42'),
('7200', '', 'default', 'Upload date', '', '7.42'),
('7201', '', 'default', 'The date the file was uploaded.', '', '7.42'),
('7202', '', 'default', 'User who uploaded', '', '7.42'),
('7203', '', 'default', 'The user that uploaded the file.', '', '7.42'),
('7204', '', 'default', 'File Usage', '', '7.42'),
('7205', '', 'default', 'Content that is associated with this file, usually because this file is in a field on the content.', '', '7.42'),
('7206', '', 'default', 'A file that is associated with this node, usually because it is in a field on the node.', '', '7.42'),
('7207', '', 'default', 'A user that is associated with this file, usually because this file is in a field on the user.', '', '7.42'),
('7208', '', 'default', 'A file that is associated with this user, usually because it is in a field on the user.', '', '7.42'),
('7209', '', 'default', 'A comment that is associated with this file, usually because this file is in a field on the comment.', '', '7.42'),
('7210', '', 'default', 'A file that is associated with this comment, usually because it is in a field on the comment.', '', '7.42'),
('7211', '', 'default', 'Taxonomy Term', '', '7.42'),
('7212', '', 'default', 'A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.', '', '7.42'),
('7213', '', 'default', 'A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.', '', '7.42'),
('7214', '', 'default', 'Taxonomy Vocabulary', '', '7.42'),
('7215', '', 'default', 'A taxonomy vocabulary that is associated with this file, usually because this file is in a field on the taxonomy vocabulary.', '', '7.42'),
('7216', '', 'default', 'A file that is associated with this taxonomy vocabulary, usually because it is in a field on the taxonomy vocabulary.', '', '7.42'),
('7217', '', 'default', 'Module', '', '7.42'),
('7218', '', 'default', 'The module managing this file relationship.', '', '7.42'),
('7219', '', 'default', 'Entity type', '', '7.42'),
('7220', '', 'default', 'The type of entity that is related to the file.', '', '7.42'),
('7221', '', 'default', 'Entity ID', '', '7.42'),
('7222', '', 'default', 'The ID of the entity that is related to the file.', '', '7.42'),
('7223', '', 'default', 'Use count', '', '7.42'),
('7224', '', 'default', 'The number of times the file is used by this entity.', '', '7.42'),
('7225', '', 'default', 'Module/Theme/Theme engine', '', '7.42'),
('7226', '', 'default', 'Modules/Themes/Theme engines in your codebase.', '', '7.42'),
('7227', '', 'default', 'Module/Theme/Theme engine filename', '', '7.42'),
('7228', '', 'default', 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.', '', '7.42'),
('7229', '', 'default', 'Module/Theme/Theme engine name', '', '7.42'),
('7230', '', 'default', 'The name of the item; e.g. node.', '', '7.42'),
('7231', '', 'default', 'The type of the item, either module, theme, or theme_engine.', '', '7.42'),
('7232', '', 'default', 'Boolean indicating whether or not this item is enabled.', '', '7.42'),
('7233', '', 'default', 'Schema version', '', '7.42'),
('7234', '', 'default', 'The module''s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module''s hook_update_N() function that has either been run or existed when the module was first installed.', '', '7.42'),
('7235', '', 'default', 'Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the "Taxonomy: Term" field is; and can similarly cause duplicates.', '', '7.42'),
('7236', '', 'default', 'The taxonomy vocabulary name', '', '7.42'),
('7237', '', 'default', 'Machine-Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the "Taxonomy: Term" field is; and can similarly cause duplicates.', '', '7.42'),
('7238', '', 'default', 'Filter the results of "Taxonomy: Term" to a particular vocabulary.', '', '7.42'),
('7239', '', 'default', 'The taxonomy vocabulary ID', '', '7.42'),
('7240', '', 'default', 'The taxonomy vocabulary description', '', '7.42'),
('7241', '', 'default', 'The taxonomy vocabulary weight', '', '7.42'),
('7242', '', 'default', 'Taxonomy terms are attached to nodes.', '', '7.42'),
('7243', '', 'default', 'The tid of a taxonomy term.', '', '7.42'),
('7244', '', 'default', 'Taxonomy term chosen from autocomplete or select widget.', '', '7.42'),
('7245', '', 'default', 'Representative node', '', '7.42'),
('7246', '', 'default', 'Obtains a single representative node for each term, according to a chosen sort criterion.', '', '7.42'),
('7247', '', 'default', 'The taxonomy term name.', '', '7.42'),
('7248', '', 'default', 'Taxonomy term name.', '', '7.42'),
('7249', '', 'default', 'Uncategorized', '', '7.42'),
('7250', '', 'default', 'The term weight field', '', '7.42'),
('7251', '', 'default', 'The description associated with a taxonomy term.', '', '7.42'),
('7252', '', 'default', 'Term edit link', '', '7.42'),
('7253', '', 'default', 'Provide a simple link to edit the term.', '', '7.42'),
('7254', '', 'default', 'Content with term', '', '7.42'),
('7255', '', 'default', 'Relate all content tagged with a term.', '', '7.42'),
('7256', '', 'default', 'Has taxonomy term ID', '', '7.42'),
('7257', '', 'default', 'Display content if it has the selected taxonomy terms.', '', '7.42'),
('7258', '', 'default', 'Has taxonomy term', '', '7.44'),
('7259', '', 'default', 'The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.', '', '7.42'),
('7260', '', 'default', 'Filter the results of "Taxonomy: Term" by the parent pid.', '', '7.42'),
('7261', '', 'default', 'The parent term of the term.', '', '7.42'),
('7262', '', 'default', 'The node ID of the node.', '', '7.42'),
('7263', '', 'default', 'Whether or not the node is published.', '', '7.42'),
('7264', '', 'default', 'Tracker - User', '', '7.42'),
('7265', '', 'default', 'The node ID of the node a user created or commented on. You must use an argument or filter on UID or you will get misleading results using this field.', '', '7.42'),
('7266', '', 'default', 'Uid', '', '7.42'),
('7267', '', 'default', 'The user ID of a user who touched the node (either created or commented on it).', '', '7.42'),
('7268', '', 'default', 'The date the node was last updated or commented on. You must use an argument or filter on UID or you will get misleading results using this field.', '', '7.42'),
('7269', '', 'default', 'Whether or not the node is published. You must use an argument or filter on UID or you will get misleading results using this field.', '', '7.42'),
('7270', '', 'default', 'Users who have created accounts on your site.', '', '7.42'),
('7271', '', 'default', 'The user ID', '', '7.42'),
('7272', '', 'default', 'Content authored', '', '7.42'),
('7273', '', 'default', 'Relate content to the user who created it. This relationship will create one record for each content item created by the user.', '', '7.42'),
('7274', '', 'default', 'nodes', '', '7.43'),
('7275', '', 'default', 'The raw numeric user ID.', '', '7.42'),
('7276', '', 'default', 'Obtains a single representative node for each user, according to a chosen sort criterion.', '', '7.42'),
('7277', '', 'default', 'Current', '', '7.42'),
('7278', '', 'default', 'Filter the view to the currently logged in user.', '', '7.42'),
('7279', '', 'default', 'The user or author name.', '', '7.42'),
('7280', '', 'default', 'Name (raw)', '', '7.42'),
('7281', '', 'default', 'The user or author name. This filter does not check if the user exists and allows partial matching. Does not utilize autocomplete.', '', '7.42'),
('7282', '', 'default', 'Email address for a given user. This field is normally not shown to users, so be cautious when using it.', '', '7.42'),
('7283', '', 'default', 'Language of the user', '', '7.42'),
('7284', '', 'default', 'The user''s picture, if allowed.', '', '7.42'),
('7285', '', 'default', 'Has Avatar', '', '7.42'),
('7286', '', 'default', 'Provide a simple link to the user.', '', '7.42'),
('7287', '', 'default', 'The date the user was created.', '', '7.42'),
('7288', '', 'default', 'The user''s last access date.', '', '7.42'),
('7289', '', 'default', 'The user''s last login date.', '', '7.42'),
('7290', '', 'default', 'Whether a user is active or blocked.', '', '7.42'),
('7291', '', 'default', 'The user''s signature.', '', '7.42'),
('7292', '', 'default', 'Provide a simple link to edit the user.', '', '7.42'),
('7293', '', 'default', 'Cancel link', '', '7.42'),
('7294', '', 'default', 'Provide a simple link to cancel the user.', '', '7.42'),
('7295', '', 'default', 'Data', '', '7.42'),
('7296', '', 'default', 'Provide serialized data of the user', '', '7.42'),
('7297', '', 'default', 'Roles that a user belongs to.', '', '7.42'),
('7298', '', 'default', 'No role', '', '7.42'),
('7299', '', 'default', 'The user permissions.', '', '7.42'),
('7300', '', 'default', 'Authmap ID', '', '7.42'),
('7301', '', 'default', 'The Authmap ID.', '', '7.42'),
('7302', '', 'default', 'Authentication name', '', '7.42'),
('7303', '', 'default', 'The unique authentication name.', '', '7.42'),
('7304', '', 'default', 'Authentication module', '', '7.42'),
('7305', '', 'default', 'The name of the module managing the authentication entry.', '', '7.42'),
('7308', '', 'default', 'Value type', '', '7.42'),
('7310', '', 'default', 'Tag', '', '7.42'),
('7321', '', 'default', 'Global', '', '7.42'),
('7322', '', 'default', 'Random', '', '7.42'),
('7323', '', 'default', 'Randomize the display order.', '', '7.42'),
('7324', '', 'default', 'Null', '', '7.42'),
('7325', '', 'default', 'Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.', '', '7.42'),
('7326', '', 'default', 'Custom text', '', '7.42'),
('7327', '', 'default', 'View result counter', '', '7.42'),
('7328', '', 'default', 'Displays the actual position of the view result', '', '7.42'),
('7329', '', 'default', 'Text area', '', '7.42'),
('7330', '', 'default', 'Provide markup text for the area.', '', '7.42'),
('7331', '', 'default', 'Unfiltered text', '', '7.42'),
('7332', '', 'default', 'Add unrestricted, custom text or markup. This is similar to the custom text field.', '', '7.42'),
('7333', '', 'default', 'View area', '', '7.42'),
('7334', '', 'default', 'Insert a view inside an area.', '', '7.42'),
('7335', '', 'default', 'Result summary', '', '7.42'),
('7336', '', 'default', 'Shows result summary, for example the items per page.', '', '7.42'),
('7337', '', 'default', 'Messages', '', '7.42'),
('7338', '', 'default', 'Displays messages in the area.', '', '7.42'),
('7339', '', 'default', 'Contextual Links', '', '7.42'),
('7340', '', 'default', 'Display fields in a contextual links menu.', '', '7.42'),
('7341', '', 'default', 'Combine fields filter', '', '7.42'),
('7342', '', 'default', 'Combine two fields together and search by them.', '', '7.42'),
('7343', '', 'default', 'Math expression', '', '7.42'),
('7344', '', 'default', 'Evaluates a mathematical expression and displays it.', '', '7.42'),
('7345', '', 'default', 'Fields comparison', '', '7.42'),
('7346', '', 'default', 'Compare database fields against eachother.', '', '7.42'),
('7347', '', 'default', 'Use fields comparison to filter the result of the view.', '', '7.42'),
('7348', '', 'default', 'The number of new comments on the node.', '', '7.42'),
('7349', '', 'default', 'Add comment link', '', '7.42'),
('7350', '', 'default', 'Display the standard add comment link used on regular nodes, which will only display if the viewing user has access to add a comment.', '', '7.42'),
('7351', '', 'default', 'Comment status', '', '7.42'),
('7352', '', 'default', 'Whether comments are enabled or disabled on the node.', '', '7.42'),
('7353', '', 'default', 'User posted or commented', '', '7.42'),
('7354', '', 'default', 'Display nodes only if a user posted the node or commented on the node.', '', '7.42'),
('7355', '', 'default', 'Comments of the node', '', '7.42'),
('7356', '', 'default', 'Relate all comments on the node. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.', '', '7.42'),
('7357', '', 'default', 'Link to contact page', '', '7.42'),
('7358', '', 'default', 'Provide a simple link to the user contact page.', '', '7.42'),
('7359', '', 'default', '@entity using @field', '', '7.42'),
('7360', '', 'default', 'Relate each @entity with a @field set to the term.', '', '7.42'),
('7361', '', 'default', '!field_name', '', '7.42'),
('7362', '', 'default', 'Relate each @entity with a @field set to the image.', '', '7.42'),
('7363', '', 'default', 'Relate each @entity with a @field set to the file.', '', '7.42'),
('7364', '', 'default', 'The language the content is in.', '', '7.42'),
('7365', '', 'default', 'Taxonomy terms on node', '', '7.42'),
('7366', '', 'default', 'Relate nodes to taxonomy terms, specifiying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.', '', '7.42'),
('7367', '', 'default', 'term', '', '7.44'),
('7368', '', 'default', 'All taxonomy terms', '', '7.42'),
('7369', '', 'default', 'Display all taxonomy terms associated with a node from specified vocabularies.', '', '7.42'),
('7370', '', 'default', 'Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.', '', '7.42'),
('7371', '', 'default', 'Has taxonomy term ID (with depth)', '', '7.42'),
('7372', '', 'default', 'Has taxonomy terms (with depth)', '', '7.42'),
('7373', '', 'default', 'Has taxonomy term ID depth modifier', '', '7.42'),
('7374', '', 'default', 'Allows the "depth" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.', '', '7.42'),
('7433', '', 'default', 'Display the aggregator item using the data from the original source.', '', '7.42'),
('7434', '', 'default', 'Book root from current node', '', '7.42'),
('7440', '', 'default', 'Display the comment with standard comment view.', '', '7.42'),
('7441', '', 'default', 'Display the comment as RSS.', '', '7.42'),
('7442', '', 'default', 'Date browser', '', '7.42'),
('7443', '', 'default', 'Date back/next navigation to attach to other displays. Requires the Date argument.', '', '7.42'),
('7444', '', 'default', 'Page by date', '', '7.42'),
('7445', '', 'default', 'Page using the value of a date field.', '', '7.42'),
('7446', '', 'default', 'Date browser style', '', '7.42'),
('7447', '', 'default', 'Creates back/next navigation.', '', '7.42'),
('7449', '', 'default', 'Display the content with standard node view.', '', '7.42'),
('7450', '', 'default', 'Content ID from URL', '', '7.42'),
('7454', '', 'default', 'Displays rows one after another.', '', '7.42'),
('7456', '', 'default', 'Displays the fields with an optional template.', '', '7.42'),
('7457', '', 'default', 'Taxonomy term ID from URL', '', '7.42'),
('7458', '', 'default', 'Display the user with standard user view.', '', '7.42'),
('7459', '', 'default', 'User ID from URL', '', '7.42'),
('7460', '', 'default', 'User ID from logged in user', '', '7.42'),
('7467', '', 'default', 'Slideshow', '', '7.42'),
('7468', '', 'default', 'Display the results as a slideshow.', '', '7.42'),
('7471', '', 'default', 'Default settings for this view.', '', '7.42'),
('7472', '', 'default', 'Display the view as a page, with a URL and menu links.', '', '7.42'),
('7473', '', 'default', 'Display the view as a block.', '', '7.42'),
('7474', '', 'default', 'Attachments added to other displays to achieve multiple views in the same view.', '', '7.42'),
('7475', '', 'default', 'Feed', '', '7.42'),
('7476', '', 'default', 'Display the view as a feed, such as an RSS feed.', '', '7.42'),
('7477', '', 'default', 'Embed', '', '7.42'),
('7478', '', 'default', 'Provide a display which can be embedded using the views api.', '', '7.42'),
('7479', '', 'default', 'Empty display extender', '', '7.42'),
('7480', '', 'default', 'Unformatted list', '', '7.42'),
('7481', '', 'default', 'HTML list', '', '7.42'),
('7482', '', 'default', 'Displays rows as an HTML list.', '', '7.42'),
('7483', '', 'default', 'Grid', '', '7.42'),
('7484', '', 'default', 'Displays rows in a grid.', '', '7.42'),
('7485', '', 'default', 'Displays rows in a table.', '', '7.42'),
('7486', '', 'default', 'Displays the default summary as a list.', '', '7.42'),
('7487', '', 'default', 'Displays the summary unformatted, with option for one after another or inline.', '', '7.42'),
('7488', '', 'default', 'RSS Feed', '', '7.42'),
('7489', '', 'default', 'Generates an RSS feed from a view.', '', '7.42'),
('7490', '', 'default', 'Fields', '', '7.42'),
('7491', '', 'default', 'Display fields as RSS items.', '', '7.42'),
('7492', '', 'default', 'Fixed value', '', '7.42'),
('7493', '', 'default', 'Raw value from URL', '', '7.42'),
('7494', '', 'default', 'Numeric', '', '7.42'),
('7495', '', 'default', 'Will be available to all users.', '', '7.42'),
('7496', '', 'default', 'Access will be granted to users with any of the specified roles.', '', '7.42'),
('7497', '', 'default', 'Access will be granted to users with the specified permission string.', '', '7.42'),
('7498', '', 'default', 'SQL Query', '', '7.42'),
('7499', '', 'default', 'Query will be generated and run using the Drupal database API.', '', '7.42'),
('7500', '', 'default', 'No caching of Views data.', '', '7.42'),
('7501', '', 'default', 'Time-based', '', '7.42'),
('7502', '', 'default', 'Simple time-based caching of data.', '', '7.42'),
('7503', '', 'default', 'Basic exposed form', '', '7.42'),
('7504', '', 'default', 'Input required', '', '7.42'),
('7505', '', 'default', 'An exposed form that only renders a view if the form contains user input.', '', '7.42'),
('7506', '', 'default', 'Display all items', '', '7.42'),
('7507', '', 'default', 'Display all items that this view might find', '', '7.42'),
('7508', '', 'default', 'Display a specified number of items', '', '7.42'),
('7509', '', 'default', 'Display a limited number items that this view might find.', '', '7.42'),
('7510', '', 'default', 'Paged output, full pager', '', '7.42'),
('7511', '', 'default', 'Full', '', '7.42'),
('7512', '', 'default', 'Paged output, full Drupal style', '', '7.42'),
('7513', '', 'default', 'Paged output, mini pager', '', '7.42'),
('7514', '', 'default', 'Mini', '', '7.42'),
('7515', '', 'default', 'Use the mini pager output.', '', '7.42'),
('7516', '', 'default', 'Do not pass admin strings for translation.', '', '7.42'),
('7517', '', 'default', 'Use Drupal core t() function. Not recommended, as it doesn''t support updates to existing strings.', '', '7.42'),
('7518', '', 'default', 'If you need to translate Views labels into other languages, consider installing the <a href="!path">Internationalization</a> package''s Views translation module.', '', '7.42'),
('7519', '', 'default', 'Jump menu', '', '7.42'),
('7520', '', 'default', 'Puts all of the results into a select box and allows the user to go to a different page based upon the results.', '', '7.42'),
('7523', '', 'default', 'fields', '', '7.42'),
('7524', '', 'default', 'field', '', '7.42'),
('7525', '', 'default', 'Contextual filters', '', '7.42'),
('7526', '', 'default', 'contextual filters', '', '7.42'),
('7527', '', 'default', 'Contextual filter', '', '7.42'),
('7528', '', 'default', 'contextual filter', '', '7.42'),
('7529', '', 'default', 'Sort criteria', '', '7.42'),
('7530', '', 'default', 'sort criteria', '', '7.42'),
('7531', '', 'default', 'Sort criterion', '', '7.42'),
('7532', '', 'default', 'sort criterion', '', '7.42'),
('7533', '', 'default', 'Filter criteria', '', '7.42'),
('7534', '', 'default', 'filter criteria', '', '7.42'),
('7535', '', 'default', 'Filter criterion', '', '7.42'),
('7536', '', 'default', 'filter criterion', '', '7.42'),
('7537', '', 'default', 'relationships', '', '7.42'),
('7538', '', 'default', 'Relationship', '', '7.42'),
('7539', '', 'default', 'No results behavior', '', '7.42'),
('7540', '', 'default', 'no results behavior', '', '7.42'),
('7545', '', 'default', 'True', '', '7.42'),
('7546', '', 'default', 'Is one of', '', '7.42'),
('7547', '', 'default', 'in', '', '7.42'),
('7548', '', 'default', '=', '', '7.42'),
('7549', '', 'default', 'Is not one of', '', '7.42'),
('7550', '', 'default', 'not in', '', '7.42'),
('7551', '', 'default', '<>', '', '7.42'),
('7558', '', 'default', 'Asc', '', '7.50'),
('7559', '', 'default', 'Desc', '', '7.50'),
('7560', '', 'default', 'Previous', '', '7.41'),
('7569', '', 'default', 'Is empty (NULL)', '', '7.42'),
('7570', '', 'default', 'empty', '', '7.42'),
('7571', '', 'default', 'Is not empty (NOT NULL)', '', '7.42'),
('7572', '', 'default', 'not empty', '', '7.42'),
('7573', '', 'default', 'Display all results for the specified field', '', '7.42'),
('7574', '', 'default', 'Provide default value', '', '7.42'),
('7575', '', 'default', 'Hide view', '', '7.42'),
('7576', '', 'default', 'Display a summary', '', '7.42'),
('7577', '', 'default', 'Display contents of "No results found"', '', '7.42'),
('7578', '', 'default', 'Display "Access Denied"', '', '7.42'),
('7594', '', 'default', 'Icon', '', '7.42'),
('7604', '', 'default', 'jQuery Update', '', '7.34'),
('7605', '', 'default', 'jQuery compression level', '', 'none'),
('7606', '', 'default', 'Production (minified)', '', 'none'),
('7607', '', 'default', 'Development (uncompressed)', '', 'none'),
('7608', '', 'default', 'jQuery %jquery and jQuery UI %ui', '', 'none'),
('7609', '', 'default', 'Updates jQuery to jQuery 1.5 and jQuery UI 1.8.9.', '', 'none'),
('7610', '', 'default', 'Libraries', '', 'none'),
('7611', '', 'default', 'The %dependency library, which the %library library depends on, is not installed.', '', 'none'),
('7612', '', 'default', 'The version %dependency_version of the %dependency library is not compatible with the %library library.', '', 'none'),
('7613', '', 'default', 'The %library library could not be found.', '', 'none'),
('7614', '', 'default', 'The version of the %library library could not be detected.', '', 'none'),
('7615', '', 'default', 'The installed version %version of the %library library is not supported.', '', 'none'),
('7616', '', 'default', 'The %variant variant of the %library library could not be found.', '', 'none'),
('7617', '', 'default', 'Allows version-dependent and shared usage of external libraries.', '', 'none'),
('7618', '', 'default', 'Link Target', '', 'none'),
('7619', '', 'default', 'Optional Title', '', 'none'),
('7620', '', 'default', 'Required Title', '', 'none'),
('7621', '', 'default', 'No Title', '', 'none'),
('7622', '', 'default', 'Link Title', '', 'none'),
('7623', '', 'default', 'URL Display Cutoff', '', 'none'),
('7624', '', 'default', 'If the user does not include a title for this link, the URL will be used as the title. When should the link title be trimmed and finished with an elipsis (&hellip;)? Leave blank for no limit.', '', 'none'),
('7625', '', 'default', 'Default (no target attribute)', '', 'none'),
('7626', '', 'default', 'Open link in window root', '', 'none'),
('7627', '', 'default', 'Open link in new window', '', 'none'),
('7628', '', 'default', 'Allow the user to choose', '', 'none'),
('7629', '', 'default', 'Additional CSS Class', '', 'none'),
('7630', '', 'default', 'Titles are required for all links.', '', 'none'),
('7631', '', 'default', 'Open URL in a New Window', '', 'none'),
('7632', '', 'default', 'Defines simple link field types.', '', 'none'),
('7633', '', 'default', 'Link URL', '', 'none'),
('7634', '', 'default', 'Wildcard', '', 'none'),
('7635', '', 'default', 'Protocol', '', 'none'),
('7636', '', 'default', 'Optional URL', '', 'none'),
('7637', '', 'default', 'Allow user-entered tokens', '', 'none'),
('7638', '', 'default', 'Rel Attribute', '', 'none'),
('7639', '', 'default', 'When output, this link will have this rel attribute. The most common usage is <a href="http://en.wikipedia.org/wiki/Nofollow">rel=&quot;nofollow&quot;</a> which prevents some search engines from spidering entered links.', '', 'none'),
('7640', '', 'default', 'At least one title or URL must be entered.', '', 'none'),
('7641', '', 'default', 'You cannot enter a title without a link url.', '', 'none'),
('7642', '', 'default', 'Validator', '', 'none'),
('7643', '', 'default', 'The title to use when this argument is present; it will override the title of the view and titles from previous arguments. You can use percent substitution here to replace with argument titles. Use "%1" for the first argument, "%2" for the second, etc.', '', 'none'),
('7644', '', 'default', 'Action to take if argument is not present', '', 'none'),
('7645', '', 'default', 'If this value is received as an argument, the argument will be ignored; i.e, "all values"', '', 'none'),
('7646', '', 'default', 'Wildcard title', '', 'none'),
('7647', '', 'default', 'The title to use for the wildcard in substitutions elsewhere.', '', 'none'),
('7648', '', 'default', 'Action to take if argument does not validate', '', 'none'),
('7649', '', 'default', 'The protocols displayed here are those globally available. You may add more protocols by modifying the <em>filter_allowed_protocols</em> variable in your installation.', '', 'none'),
('7650', '', 'default', 'Link title', '', 'none'),
('7651', '', 'default', 'Formatted html link', '', 'none'),
('7652', '', 'default', 'Validate URL', '', 'none'),
('7653', '', 'default', 'If checked, the URL field will be verified as a valid URL during validation.', '', 'none'),
('7654', '', 'default', 'If checked, the URL field is optional and submitting a title alone will be acceptable. If the URL is omitted, the title will be displayed as plain text.', '', 'none'),
('7655', '', 'default', 'When output, this link will have this class attribute. Multiple classes should be separated by spaces.', '', 'none'),
('7656', '', 'default', 'Static Title', '', 'none'),
('7657', '', 'default', 'Static title', '', 'none'),
('7658', '', 'default', 'This title will always be used if &ldquo;Static Title&rdquo; is selected above.', '', 'none'),
('7659', '', 'default', 'A default title must be provided if the title is a static value.', '', 'none'),
('7660', '', 'default', '- Basic validation -', '', 'none'),
('7661', '', 'default', 'Absolute URL', '', 'none'),
('7662', '', 'default', 'Allow the user to enter a link ''title'' attribute', '', 'none'),
('7663', '', 'default', 'Default link ''title'' Attribute', '', 'none'),
('7664', '', 'default', 'When output, links will use this "title" attribute if the user does not provide one and when different from the link text. Read <a href="http://www.w3.org/TR/WCAG10-HTML-TECHS/#links">WCAG 1.0 Guidelines</a> for links comformances. Tokens values will be evaluated.', '', 'none'),
('7665', '', 'default', 'Link "title" attribute', '', 'none'),
('7666', '', 'default', 'Instance settings have been set with the data from the field settings.', '', 'none'),
('7667', '', 'default', 'Max length of title field', '', 'none'),
('7668', '', 'default', 'The title of the link.', '', 'none'),
('7669', '', 'default', 'Keep rel as set up above (untouched/default)', '', 'none'),
('7670', '', 'default', 'Remove rel if given link is external', '', 'none'),
('7671', '', 'default', 'Remove rel if given link is internal', '', 'none'),
('7672', '', 'default', 'The link title is limited to @maxlength characters maximum.', '', 'none'),
('7673', '', 'default', 'Remove rel attribute automatically', '', 'none'),
('7674', '', 'default', 'Turn on/off if rel attribute should be removed automatically, if user given link is internal/external', '', 'none'),
('7675', '', 'default', 'Sync', '', 'none'),
('7676', '', 'default', 'Controls', '', 'none'),
('7677', '', 'default', 'Transition', '', 'none'),
('7678', '', 'default', 'Advanced Options', '', 'none'),
('7679', '', 'default', 'Timeout', '', 'none'),
('7680', '', 'default', 'Skin', '', 'none'),
('7681', '', 'default', 'Pause on hover', '', 'none'),
('7682', '', 'default', 'Speed', '', 'none'),
('7683', '', 'default', 'of', '', 'none'),
('7684', '', 'default', 'Cycle', '', 'none'),
('7685', '', 'default', 'Timer delay', '', 'none'),
('7686', '', 'default', 'Time in milliseconds that each transition lasts. Numeric only!', '', 'none'),
('7687', '', 'default', 'Pause when hovering on the slideshow image.', '', 'none'),
('7688', '', 'default', '!setting must be numeric!', '', 'none'),
('7689', '', 'default', 'Initial slide delay offset', '', 'none'),
('7690', '', 'default', 'Amount of time in milliseconds for the first slide to transition. This number will be added to Timer delay to create the initial delay.  For example if Timer delay is 4000 and Initial delay is 2000 then the first slide will change at 6000ms (6 seconds).  If Initial delay is -2000 then the first slide will change at 2000ms (2 seconds).', '', 'none'),
('7691', '', 'default', 'Pager Type', '', 'none'),
('7692', '', 'default', 'Pause On Click', '', 'none'),
('7693', '', 'default', 'Pause when the slide is clicked.', '', 'none'),
('7694', '', 'default', 'Make the slide window height fit the largest slide', '', 'none'),
('7695', '', 'default', 'End slideshow after last slide', '', 'none'),
('7696', '', 'default', 'Start Slideshow Paused', '', 'none'),
('7697', '', 'default', 'Start the slideshow in the paused state.', '', 'none'),
('7698', '', 'default', 'Start On Last Slide Viewed', '', 'none'),
('7699', '', 'default', 'When the user leaves a page with a slideshow and comes back start them on the last slide viewed.', '', 'none'),
('7700', '', 'default', 'Amount of time in milliseconds between transitions. Set the value to 0 to not rotate the slideshow automatically.', '', 'none'),
('7701', '', 'default', 'Pause When the Slideshow is Not Visible', '', 'none'),
('7702', '', 'default', 'When the slideshow is scrolled out of view or when a window is resized that hides the slideshow, this will pause the slideshow.', '', 'none'),
('7703', '', 'default', 'Entire slide', '', 'none'),
('7704', '', 'default', 'Set amount of vertical', '', 'none'),
('7705', '', 'default', 'Set amount of horizontal', '', 'none'),
('7706', '', 'default', 'Items per slide', '', 'none'),
('7707', '', 'default', 'The number of items per slide', '', 'none'),
('7708', '', 'default', 'View Transition Advanced Options', '', 'none'),
('7709', '', 'default', 'The sync option controls whether the slide transitions occur simultaneously. The default is selected which means that the current slide transitions out as the next slide transitions in. By unselecting this option you can get some interesting twists on your transitions.', '', 'none'),
('7710', '', 'default', 'This option controls the order items are displayed. The default setting, unselected, uses the views ordering. Selected will cause the images to display in a random order.', '', 'none'),
('7711', '', 'default', 'View Action Advanced Options', '', 'none'),
('7712', '', 'default', 'If selected the slideshow will end when it gets to the last slide.', '', 'none'),
('7713', '', 'default', 'If unselected then if the slides are different sizes the height of the slide area will change as the slides change.', '', 'none'),
('7714', '', 'default', 'Slide Counter', '', 'none'),
('7715', '', 'default', 'Internet Explorer Tweaks', '', 'none'),
('7716', '', 'default', 'jQuery Cycle Custom Options', '', 'none'),
('7717', '', 'default', 'Pager fields', '', 'none'),
('7718', '', 'default', 'Choose the fields that will appear in the pager.', '', 'none'),
('7719', '', 'default', 'Adds a Rotating slideshow mode to Views Slideshow.', '', 'none'),
('7720', '', 'default', 'Slides', '', 'none'),
('7721', '', 'default', 'Slideshow Type', '', 'none'),
('7722', '', 'default', '!module options', '', 'none'),
('7723', '', 'default', '!location Widgets', '', 'none'),
('7724', '', 'default', 'Weight of the !name', '', 'none'),
('7725', '', 'default', 'Style of the pager', '', 'none'),
('7726', '', 'default', 'Controls Type', '', 'none'),
('7727', '', 'default', 'Style of the controls', '', 'none'),
('7728', '', 'default', 'Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.', '', 'none'),
('7729', '', 'default', 'Wait for all the slide images to load', '', 'none'),
('7730', '', 'default', 'If selected the slideshow will not start unless all the slide images are loaded.  This will fix some issues on IE7/IE8/Chrome/Opera.', '', 'none'),
('7731', '', 'default', 'Advanced Option Value', '', 'none'),
('7732', '', 'default', 'Update Advanced Option', '', 'none'),
('7733', '', 'default', 'Applied Options', '', 'none'),
('7734', '', 'default', 'Hide pager if there is only one slide', '', 'none'),
('7735', '', 'default', 'Should the pager be hidden if there is only one slide.', '', 'none'),
('7736', '', 'default', 'Hide controls if there is only one slide', '', 'none'),
('7737', '', 'default', 'Should the controls be hidden if there is only one slide.', '', 'none'),
('7738', '', 'default', 'How long should it wait until it starts the slideshow anyway. Time is in milliseconds.', '', 'none'),
('7739', '', 'default', 'No main frame module is enabled for views slideshow.', '', 'none'),
('7740', '', 'default', 'The options for !module does not exists.', '', 'none'),
('7741', '', 'default', 'Hide the controls if there is only one slide', '', 'none'),
('7742', '', 'default', 'Last Post', '', '7.34'),
('7743', '', 'default', 'For', '', 'none'),
('7744', '', 'default', 'Block settings', '', 'none'),
('7745', '', 'default', 'Description field', '', 'none'),
('7746', '', 'default', 'settings', '', 'none'),
('7747', '', 'default', 'Node ID', '', 'none'),
('7748', '', 'default', 'False', '', '7.41'),
('7749', '', 'default', 'Add new', '', 'none'),
('7750', '', 'default', 'Theme', '', 'none'),
('7751', '', 'default', 'Before', '', 'none'),
('7752', '', 'default', 'After', '', 'none'),
('7753', '', 'default', 'Number of columns', '', 'none'),
('7754', '', 'default', 'Separator', '', 'none'),
('7755', '', 'default', 'Exclude', '', 'none'),
('7756', '', 'default', 'Horizontal', '', 'none'),
('7757', '', 'default', 'Vertical', '', 'none'),
('7758', '', 'default', 'CSS class', '', 'none'),
('7759', '', 'default', 'Display links', '', 'none'),
('7760', '', 'default', 'Contains', '', 'none'),
('7761', '', 'default', 'Does not contain', '', 'none'),
('7762', '', 'default', 'Is less than', '', 'none'),
('7763', '', 'default', 'Is less than or equal to', '', 'none'),
('7764', '', 'default', 'Is equal to', '', 'none'),
('7765', '', 'default', 'Is greater than or equal to', '', 'none'),
('7766', '', 'default', 'Is greater than', '', 'none'),
('7767', '', 'default', 'Is not equal to', '', 'none'),
('7768', '', 'default', 'Average', '', '7.41'),
('7769', '', 'default', '%time ago', '', 'none'),
('7770', '', 'default', 'Sort order', '', 'none'),
('7771', '', 'default', 'Sortable', '', 'none'),
('7772', '', 'default', 'OR', '', 'none'),
('7773', '', 'default', 'Recent posts for %1', '', '7.34'),
('7774', '', 'default', 'Select all', '', '7.42'),
('7775', '', 'default', 'Link text', '', 'none'),
('7776', '', 'default', 'Both', '', 'none'),
('7777', '', 'default', 'Administer views', '', 'none'),
('7778', '', 'default', 'Existing Views', '', 'none'),
('7779', '', 'default', 'Default Views', '', 'none'),
('7780', '', 'default', 'Ascending', '', 'none'),
('7781', '', 'default', 'Descending', '', 'none'),
('7782', '', 'default', 'Exposed Filters', '', 'none'),
('7783', '', 'default', 'View name must be alphanumeric or underscores only.', '', 'none'),
('7784', '', 'default', 'Views UI', '', 'none'),
('7785', '', 'default', 'Position', '', 'none'),
('7786', '', 'default', ' (', '', '7.34'),
('7787', '', 'default', ')', '', '7.34'),
('7788', '', 'default', 'Defaults', '', '7.34'),
('7789', '', 'default', 'with comments', '', 'none'),
('7790', '', 'default', 'without comments', '', 'none'),
('7791', '', 'default', 'comments', '', 'none'),
('7792', '', 'default', 'Other queries', '', 'none'),
('7793', '', 'default', 'Feed settings', '', 'none'),
('7794', '', 'default', 'Replacement patterns', '', 'none'),
('7795', '', 'default', 'Display name', '', 'none'),
('7796', '', 'default', 'Query', '', 'none'),
('7797', '', 'default', 'Block name', '', 'none'),
('7798', '', 'default', 'Hour', '', 'none'),
('7799', '', 'default', 'Minute', '', 'none'),
('7800', '', 'default', 'Granularity', '', 'none'),
('7801', '', 'default', 'Alignment', '', '7.41'),
('7802', '', 'default', 'Link label', '', 'none'),
('7803', '', 'default', 'AND', '', 'none'),
('7804', '', 'default', 'What links here', '', '7.34'),
('7805', '', 'default', 'Seconds', '', 'none'),
('7806', '', 'default', 'or', '', '7.41'),
('7807', '', 'default', '.', '', '7.50'),
('7808', '', 'default', 'All tags', '', 'none'),
('7809', '', 'default', 'Reversed', '', 'none'),
('7810', '', 'default', 'Reverse', '', 'none'),
('7811', '', 'default', 'Oldest first', '', 'none'),
('7812', '', 'default', 'Base path', '', 'none'),
('7813', '', 'default', 'Translations', '', 'none'),
('7814', '', 'default', 'Ok', '', 'none'),
('7815', '', 'default', 'Output format', '', 'none'),
('7816', '', 'default', 'Information', '', 'none'),
('7817', '', 'default', 'Translation status', '', 'none'),
('7818', '', 'default', '@min and @max', '', 'none'),
('7819', '', 'default', 'Exceptions', '', 'none'),
('7820', '', 'default', ',', '', '7.50'),
('7821', '', 'default', 'Image gallery', '', 'none'),
('7822', '', 'default', 'Title text', '', 'none'),
('7823', '', 'default', 'Distinct', '', 'none'),
('7824', '', 'default', 'Provided by', '', 'none'),
('7825', '', 'default', 'Aggregate', '', 'none'),
('7826', '', 'default', '<Any>', '', 'none'),
('7827', '', 'default', 'All types', '', 'none'),
('7828', '', 'default', 'Attach to', '', 'none'),
('7829', '', 'default', 'Remove this item', '', 'none'),
('7830', '', 'default', 'Page settings', '', 'none'),
('7831', '', 'default', 'Items to display', '', 'none'),
('7832', '', 'default', 'More link text', '', 'none'),
('7833', '', 'default', 'contains', '', 'none'),
('7834', '', 'default', 'Selection type', '', 'none'),
('7835', '', 'default', 'No name', '', 'none'),
('7836', '', 'default', 'Ordered list', '', 'none'),
('7837', '', 'default', 'Link class', '', 'none'),
('7838', '', 'default', 'regex', '', 'none'),
('7839', '', 'default', 'Column', '', 'none'),
('7840', '', 'default', 'Default sort', '', 'none'),
('7841', '', 'default', 'Add @type', '', 'none');
INSERT INTO `locales_source` VALUES
('7842', '', 'default', 'Text to display', '', 'none'),
('7843', '', 'default', 'Link this field to its user or an author''s homepage', '', 'none'),
('7844', '', 'default', 'Newest first', '', 'none'),
('7845', '', 'default', 'Formatter', '', 'none'),
('7846', '', 'default', 'Week @week', '', 'none'),
('7847', '', 'default', 'Target', '', 'none'),
('7848', '', 'default', 'Time ago', '', 'none'),
('7849', '', 'default', 'Radios', '', 'none'),
('7850', '', 'default', 'starting from @count', '', 'none'),
('7851', '', 'default', 'User roles', '', 'none'),
('7852', '', 'default', '%1', '', '7.43'),
('7853', '', 'default', 'More link path', '', 'none'),
('7854', '', 'default', 'Button text', '', 'none'),
('7855', '', 'default', 'Title only', '', 'none'),
('7856', '', 'default', 'Not defined', '', 'none'),
('7857', '', 'default', 'Debugging', '', 'none'),
('7858', '', 'default', 'Inherit', '', 'none'),
('7859', '', 'default', 'Display format', '', 'none'),
('7860', '', 'default', '!group: !field', '', 'none'),
('7861', '', 'default', 'Invalid display id @display', '', 'none'),
('7862', '', 'default', 'Error: handler for @table > @field doesn''t exist!', '', 'none'),
('7863', '', 'default', 'Do not use a relationship', '', 'none'),
('7864', '', 'default', 'Display type', '', 'none'),
('7865', '', 'default', 'The cache has been cleared.', '', 'none'),
('7866', '', 'default', 'Title field', '', 'none'),
('7867', '', 'default', 'translate', '', 'none'),
('7868', '', 'default', 'No link', '', 'none'),
('7869', '', 'default', 'Starts with', '', 'none'),
('7870', '', 'default', 'Autocomplete', '', 'none'),
('7871', '', 'default', 'Permanent', '', 'none'),
('7872', '', 'default', 'Temporary', '', 'none'),
('7873', '', 'default', 'Custom date format', '', 'none'),
('7874', '', 'default', 'Hide submit button', '', 'none'),
('7875', '', 'default', 'Expression', '', 'none'),
('7876', '', 'default', 'Show All', '', 'none'),
('7877', '', 'default', '!group: !title', '', 'none'),
('7878', '', 'default', '!=', '', 'none'),
('7879', '', 'default', 'Theming information', '', 'none'),
('7880', '', 'default', 'Ends with', '', 'none'),
('7881', '', 'default', 'Do not cache', '', 'none'),
('7882', '', 'default', 'Link this field to its user', '', 'none'),
('7883', '', 'default', 'This will override any other link you have set.', '', 'none'),
('7884', '', 'default', 'Overwrite the value to display for anonymous users', '', 'none'),
('7885', '', 'default', 'Text to display for anonymous users', '', 'none'),
('7886', '', 'default', 'Use default RSS settings', '', 'none'),
('7887', '', 'default', 'Title plus teaser', '', 'none'),
('7888', '', 'default', 'Front page feed', '', '7.34'),
('7889', '', 'default', 'Tab weight', '', 'none'),
('7890', '', 'default', 'Link this field', '', 'none'),
('7891', '', 'default', 'Cache once for everything (global)', '', 'none'),
('7892', '', 'default', 'Per page', '', 'none'),
('7893', '', 'default', 'Per role', '', 'none'),
('7894', '', 'default', 'Per role per page', '', 'none'),
('7895', '', 'default', 'Per user', '', 'none'),
('7896', '', 'default', 'Per user per page', '', 'none'),
('7897', '', 'default', 'Capitalize first letter', '', 'none'),
('7898', '', 'default', 'Sum', '', '7.41'),
('7899', '', 'default', 'sorted by', '', 'none'),
('7900', '', 'default', 'Custom URL', '', 'none'),
('7901', '', 'default', 'Submit button text', '', 'none'),
('7902', '', 'default', 'Broken handler @table.@field', '', 'none'),
('7903', '', 'default', 'Skipping broken view @view', '', 'none'),
('7904', '', 'default', 'Ajax callback for view loading.', '', 'none'),
('7905', '', 'default', 'Changes cannot be made to a locked view.', '', 'none'),
('7906', '', 'default', 'Create customized lists and queries from your database.', '', '7.34'),
('7907', '', 'default', 'Administrative interface to views. Without this module, you cannot create or edit your views.', '', '7.34'),
('7908', '', 'default', 'Broken/missing handler', '', 'none'),
('7909', '', 'default', 'The handler for this item is broken or missing and cannot be used. If a module provided the handler and was disabled, re-enabling the module may restore it. Otherwise, you should probably delete this item.', '', 'none'),
('7910', '', 'default', 'Current date', '', 'none'),
('7911', '', 'default', 'Current node''s creation time', '', 'none'),
('7912', '', 'default', 'Current node''s update time', '', 'none'),
('7913', '', 'default', 'Do not display items with no value in summary', '', 'none'),
('7914', '', 'default', 'Invalid input', '', 'none'),
('7915', '', 'default', 'Fail basic validation if any argument is given', '', 'none'),
('7916', '', 'default', 'By checking this field, you can use this to make sure views with more arguments than necessary fail validation.', '', 'none'),
('7917', '', 'default', 'Glossary mode', '', 'none'),
('7918', '', 'default', 'Character limit', '', 'none'),
('7919', '', 'default', 'No transform', '', 'none'),
('7920', '', 'default', 'Upper case', '', 'none'),
('7921', '', 'default', 'Lower case', '', 'none'),
('7922', '', 'default', 'Capitalize each word', '', 'none'),
('7923', '', 'default', 'Case in path', '', 'none'),
('7924', '', 'default', 'Transform spaces to dashes in URL', '', 'none'),
('7925', '', 'default', 'Exclude from display', '', 'none'),
('7926', '', 'default', 'Rewrite the output of this field', '', 'none'),
('7927', '', 'default', 'The text to display for this field. You may include HTML. You may enter data from this view as per the "Replacement patterns" below.', '', 'none'),
('7928', '', 'default', 'Output this field as a link', '', 'none'),
('7929', '', 'default', 'If checked, this field will be made into a link. The destination must be given below.', '', 'none'),
('7930', '', 'default', 'Link path', '', 'none'),
('7931', '', 'default', 'The Drupal path or absolute URL for this link. You may enter data from this view as per the "Replacement patterns" below.', '', 'none'),
('7932', '', 'default', 'The CSS class to apply to the link.', '', 'none'),
('7933', '', 'default', 'Prefix text', '', 'none'),
('7934', '', 'default', 'Any text to display before this link. You may include HTML.', '', 'none'),
('7935', '', 'default', 'Suffix text', '', 'none'),
('7936', '', 'default', 'Any text to display after this link. You may include HTML.', '', 'none'),
('7937', '', 'default', '<p>You must add some additional fields to this display before using this field. These fields may be marked as <em>Exclude from display</em> if you prefer. Note that due to rendering order, you cannot use fields that come after this field; if you need a field not listed here, rearrange your fields.</p>', '', 'none'),
('7938', '', 'default', 'Trim this field to a maximum length', '', 'none'),
('7939', '', 'default', 'Trim only on a word boundary', '', 'none'),
('7940', '', 'default', 'If checked, this field be trimmed only on a word boundary. This is guaranteed to be the maximum characters stated or less. If there are no word boundaries this could trim a field to nothing.', '', 'none'),
('7941', '', 'default', 'Add an ellipsis', '', 'none'),
('7942', '', 'default', 'If checked, a "..." will be added if a field was trimmed.', '', 'none'),
('7943', '', 'default', 'Strip HTML tags', '', 'none'),
('7944', '', 'default', 'If checked, all HTML tags will be stripped.', '', 'none'),
('7945', '', 'default', 'Field can contain HTML', '', 'none'),
('7946', '', 'default', 'If checked, HTML corrector will be run to ensure tags are properly closed after trimming.', '', 'none'),
('7947', '', 'default', 'File size display', '', 'none'),
('7948', '', 'default', 'Formatted (in KB or MB)', '', 'none'),
('7949', '', 'default', 'Raw bytes', '', 'none'),
('7950', '', 'default', 'If checked, true will be displayed as false.', '', 'none'),
('7951', '', 'default', 'Time ago (with "ago" appended)', '', 'none'),
('7952', '', 'default', 'Time span (with "ago/hence" appended)', '', 'none'),
('7953', '', 'default', 'Round', '', 'none'),
('7954', '', 'default', 'If checked, the number will be rounded.', '', 'none'),
('7955', '', 'default', 'Specify how many digits to print after the decimal point.', '', 'none'),
('7956', '', 'default', 'What single character to use as a decimal point.', '', 'none'),
('7957', '', 'default', 'What single character to use as the thousands separator.', '', 'none'),
('7958', '', 'default', 'Text to put before the number, such as currency symbol.', '', 'none'),
('7959', '', 'default', 'Text to put after the number, such as currency symbol.', '', 'none'),
('7960', '', 'default', 'Simple separator', '', 'none'),
('7961', '', 'default', 'Display as link', '', 'none'),
('7962', '', 'default', 'Operator identifier', '', 'none'),
('7963', '', 'default', 'This will appear in the URL after the ? to identify this operator.', '', 'none'),
('7964', '', 'default', 'Filter identifier', '', 'none'),
('7965', '', 'default', 'This will appear in the URL after the ? to identify this filter. Cannot be blank.', '', 'none'),
('7966', '', 'default', 'This exposed filter is optional and will have added options to allow it not to be set.', '', 'none'),
('7967', '', 'default', 'Remember', '', 'none'),
('7968', '', 'default', 'Remember the last setting the user gave this filter.', '', 'none'),
('7969', '', 'default', 'The identifier is required if the filter is exposed.', '', 'none'),
('7970', '', 'default', 'This identifier is not allowed.', '', 'none'),
('7971', '', 'default', '- Any -', '', 'none'),
('7972', '', 'default', 'exposed', '', 'none'),
('7973', '', 'default', 'A date in any machine readable format. CCYY-MM-DD HH:MM:SS is preferred.', '', 'none'),
('7974', '', 'default', 'Invalid date format.', '', 'none'),
('7975', '', 'default', 'Limit list to selected items', '', 'none'),
('7976', '', 'default', 'If checked, the only items presented to the user will be the ones selected here.', '', 'none'),
('7977', '', 'default', 'Is all of', '', '7.41'),
('7978', '', 'default', 'Is none of', '', '7.41'),
('7979', '', 'default', 'not', '', '7.41'),
('7980', '', 'default', '<', '', 'none'),
('7981', '', 'default', '<=', '', 'none'),
('7982', '', 'default', '>=', '', 'none'),
('7983', '', 'default', '>', '', 'none'),
('7984', '', 'default', 'Is between', '', 'none'),
('7985', '', 'default', 'between', '', 'none'),
('7986', '', 'default', 'Is not between', '', 'none'),
('7987', '', 'default', 'not between', '', 'none'),
('7988', '', 'default', 'Min', '', 'none'),
('7989', '', 'default', 'And max', '', 'none'),
('7990', '', 'default', 'And', '', 'none'),
('7991', '', 'default', 'Contains any word', '', 'none'),
('7992', '', 'default', 'has word', '', 'none'),
('7993', '', 'default', 'Contains all words', '', 'none'),
('7994', '', 'default', 'has all', '', 'none'),
('7995', '', 'default', 'begins', '', 'none'),
('7996', '', 'default', 'ends', '', 'none'),
('7997', '', 'default', '!has', '', 'none'),
('7998', '', 'default', 'Require this relationship', '', 'none'),
('7999', '', 'default', 'asc', '', 'none'),
('8000', '', 'default', 'desc', '', 'none'),
('8001', '', 'default', 'The granularity is the smallest unit to use when determining whether two dates are the same; for example, if the granularity is "Year" then all dates in 1999, regardless of when they fall in 1999, will be considered the same date.', '', 'none'),
('8002', '', 'default', 'Broken', '', 'none'),
('8003', '', 'default', 'Displays', '', 'none'),
('8004', '', 'default', 'These queries were run during view rendering:', '', 'none'),
('8005', '', 'default', '[@time ms]', '', 'none'),
('8006', '', 'default', 'This display has no path.', '', 'none'),
('8007', '', 'default', 'Query build time', '', 'none'),
('8008', '', 'default', '@time ms', '', 'none'),
('8009', '', 'default', 'Query execute time', '', 'none'),
('8010', '', 'default', 'View render time', '', 'none'),
('8011', '', 'default', 'No query was run', '', 'none'),
('8012', '', 'default', 'Unable to preview due to validation errors.', '', 'none'),
('8013', '', 'default', 'View name', '', 'none'),
('8014', '', 'default', 'View description', '', 'none'),
('8015', '', 'default', 'This description will appear on the Views administrative UI to tell you what the view is about.', '', 'none'),
('8016', '', 'default', 'View tag', '', 'none'),
('8017', '', 'default', 'Are you sure you want to break the lock on view %name?', '', 'none'),
('8018', '', 'default', 'By breaking this lock, any unsaved changes made by !user will be lost!', '', 'none'),
('8019', '', 'default', 'The lock has been broken and you may now edit this view.', '', 'none'),
('8020', '', 'default', 'Enter the name to use for this view if it is different from the source view. Leave blank to use the name of the view.', '', 'none'),
('8021', '', 'default', 'Paste view code here', '', 'none'),
('8022', '', 'default', 'Unable to interpret view code.', '', 'none'),
('8023', '', 'default', 'A view by that name already exists; please choose a different name', '', 'none'),
('8024', '', 'default', 'Display plugin @plugin is not available.', '', 'none'),
('8025', '', 'default', 'Style plugin @plugin is not available.', '', 'none'),
('8026', '', 'default', 'Row plugin @plugin is not available.', '', 'none'),
('8027', '', 'default', '@type handler @table.@field is not available.', '', 'none'),
('8028', '', 'default', 'Unable to import view.', '', 'none'),
('8029', '', 'default', 'Click on an item to edit that item''s details.', '', 'none'),
('8030', '', 'default', 'Go to the real page for this display', '', 'none'),
('8031', '', 'default', 'Invalid', '', 'none'),
('8032', '', 'default', 'Missing style plugin', '', 'none'),
('8033', '', 'default', 'Change settings for this style', '', 'none'),
('8034', '', 'default', 'View analysis', '', 'none'),
('8035', '', 'default', 'Configure @type', '', 'none'),
('8036', '', 'default', 'Rearrange @type', '', 'none'),
('8037', '', 'default', 'Broken field @id', '', 'none'),
('8038', '', 'default', 'There are no @types available to add.', '', 'none'),
('8039', '', 'default', 'Configure extra settings for @type %item', '', 'none'),
('8040', '', 'default', 'Configure summary style for @type %item', '', 'none'),
('8041', '', 'default', 'Clear Views'' cache', '', 'none'),
('8042', '', 'default', 'Add Views signature to all SQL queries', '', 'none'),
('8043', '', 'default', 'Disable views data caching', '', 'none'),
('8044', '', 'default', 'Views caches data about tables, modules and views available, to increase performance. By checking this box, Views will skip this cache and always rebuild this data when needed. This can have a serious performance impact on your site.', '', 'none'),
('8045', '', 'default', 'Show other queries run during render during live preview', '', 'none'),
('8046', '', 'default', 'Drupal has the potential to run many queries while a view is being rendered. Checking this box will display every query run during view render as part of the live preview.', '', 'none'),
('8047', '', 'default', 'Error: missing @component', '', '7.41'),
('8048', '', 'default', 'View analysis can find nothing to report.', '', 'none'),
('8049', '', 'default', 'This view has only a default display and therefore will not be placed anywhere on your site; perhaps you want to add a page or a block display.', '', 'none'),
('8050', '', 'default', 'Reduce duplicates', '', 'none'),
('8051', '', 'default', 'Display %display has no access control but does not contain a filter for published nodes.', '', 'none'),
('8052', '', 'default', 'Profile textfield', '', 'none'),
('8053', '', 'default', 'Profile textarea', '', 'none'),
('8054', '', 'default', 'Profile checkbox', '', 'none'),
('8055', '', 'default', 'Profile URL', '', 'none'),
('8056', '', 'default', 'Profile selection', '', 'none'),
('8057', '', 'default', 'Profile freeform list %field-name.', '', 'none'),
('8058', '', 'default', 'Profile date %field-name.', '', 'none'),
('8059', '', 'default', 'Display the results with standard search view.', '', 'none'),
('8060', '', 'default', 'Node translation', '', 'none'),
('8061', '', 'default', 'Translation set node ID', '', 'none'),
('8062', '', 'default', 'The ID of the translation set the content belongs to.', '', 'none'),
('8063', '', 'default', 'Source translation', '', 'none'),
('8064', '', 'default', 'The source that this content was translated from.', '', 'none'),
('8065', '', 'default', 'Versions of content in different languages.', '', 'none'),
('8066', '', 'default', 'Child translation', '', 'none'),
('8067', '', 'default', 'Outdated', '', 'none'),
('8068', '', 'default', 'Link this field to its aggregator category page', '', 'none'),
('8069', '', 'default', 'No user', '', 'none'),
('8070', '', 'default', 'Link this field to its comment', '', 'none'),
('8071', '', 'default', 'Show teaser-style link', '', 'none'),
('8072', '', 'default', 'Link this field to new comments', '', 'none'),
('8073', '', 'default', 'Contact %user', '', 'none'),
('8074', '', 'default', 'Unknown group', '', 'none'),
('8075', '', 'default', 'Unknown language', '', 'none'),
('8076', '', 'default', 'Current installed version', '', 'none'),
('8077', '', 'default', 'Check for new comments as well', '', 'none'),
('8078', '', 'default', 'Node IDs separated by , or +', '', 'none'),
('8079', '', 'default', 'No alternate', '', 'none'),
('8080', '', 'default', 'Alternative sort', '', 'none'),
('8081', '', 'default', 'Alternate sort order', '', 'none'),
('8082', '', 'default', 'On empty input', '', 'none'),
('8083', '', 'default', 'Show None', '', 'none'),
('8084', '', 'default', 'Display score', '', 'none'),
('8085', '', 'default', 'Link this field to download the file', '', 'none'),
('8086', '', 'default', 'Set the breadcrumb for the term parents', '', 'none'),
('8087', '', 'default', 'If selected, the breadcrumb trail will include all parent terms, each one linking to this view. Note that this only works if just one term was received.', '', 'none'),
('8088', '', 'default', 'The depth will match nodes tagged with terms in the hierarchy. For example, if you have the term "fruit" and a child term "apple", with a depth of 1 (or higher) then filtering for the term "fruit" will get nodes that are tagged with "apple" as well as "fruit". If negative, the reverse is true; searching for "apple" will also pick up nodes tagged with "fruit" if depth is -1 (or lower).', '', 'none'),
('8089', '', 'default', 'No vocabulary', '', 'none'),
('8090', '', 'default', 'Link this field to its taxonomy term page', '', 'none'),
('8091', '', 'default', 'Link this field to its term page', '', 'none'),
('8092', '', 'default', 'Limit terms by vocabulary', '', 'none'),
('8093', '', 'default', 'Select which vocabulary to show terms for in the regular options.', '', 'none'),
('8094', '', 'default', 'Dropdown', '', 'none'),
('8095', '', 'default', 'Show hierarchy in dropdown', '', 'none'),
('8096', '', 'default', 'An invalid vocabulary is selected. Please change it in the options.', '', 'none'),
('8097', '', 'default', 'Select terms from vocabulary @voc', '', 'none'),
('8098', '', 'default', 'Select terms', '', 'none'),
('8099', '', 'default', 'Unable to find term: @terms', '', 'none'),
('8100', '', 'default', 'Unable to find terms: @terms', '', 'none'),
('8101', '', 'default', 'If you wish to validate for specific vocabularies, check them; if none are checked, all terms will pass.', '', 'none'),
('8102', '', 'default', 'Term IDs separated by , or +', '', 'none'),
('8103', '', 'default', 'Current language', '', 'none'),
('8104', '', 'default', 'Translation option', '', 'none'),
('8105', '', 'default', 'The translation options allows you to select which translation or translations in a translation set join on. Select "Current language" or "Default language" to join on the translation in the current or default language respectively. Select a specific language to join on a translation in that language. If you select "All", each translation will create a new row, which may appear to cause duplicates.', '', 'none'),
('8106', '', 'default', 'To the user', '', 'none'),
('8107', '', 'default', 'With a mailto:', '', 'none'),
('8108', '', 'default', 'Is the logged in user', '', '7.41'),
('8109', '', 'default', 'Usernames', '', 'none'),
('8110', '', 'default', 'Enter a comma separated list of user names.', '', 'none'),
('8111', '', 'default', 'Unable to find user: @users', '', 'none'),
('8112', '', 'default', 'Unable to find users: @users', '', 'none'),
('8113', '', 'default', 'Also look for a node and use the node author', '', 'none'),
('8114', '', 'default', 'Only allow numeric UIDs', '', 'none'),
('8115', '', 'default', 'Only allow string usernames', '', 'none'),
('8116', '', 'default', 'Allow both numeric UIDs and string usernames', '', 'none'),
('8117', '', 'default', 'Restrict user based on role', '', 'none'),
('8118', '', 'default', 'Restrict to the selected roles', '', 'none'),
('8119', '', 'default', 'If no roles are selected, users from any role will be allowed.', '', 'none'),
('8120', '', 'default', 'Unrestricted', '', 'none'),
('8121', '', 'default', 'Only users with the selected permission flag will be able to access this display. Note that users with "access all views" can see any view, regardless of other permissions.', '', 'none'),
('8122', '', 'default', 'No role(s) selected', '', 'none'),
('8123', '', 'default', 'Multiple roles', '', 'none'),
('8124', '', 'default', 'Only the checked roles will be able to access this display. Note that users with "access all views" can see any view, regardless of role.', '', 'none'),
('8125', '', 'default', 'You must select at least one role if type is "by role"', '', 'none'),
('8126', '', 'default', 'PHP validate code', '', 'none'),
('8127', '', 'default', 'Never cache', '', 'none'),
('8128', '', 'default', 'Query results', '', 'none'),
('8129', '', 'default', 'The length of time raw query results should be cached.', '', 'none'),
('8130', '', 'default', 'Rendered output', '', 'none'),
('8131', '', 'default', 'The length of time rendered HTML output should be cached.', '', 'none'),
('8132', '', 'default', 'Broken field', '', 'none'),
('8133', '', 'default', 'Change the title that this display will use.', '', 'none'),
('8134', '', 'default', 'Use AJAX', '', 'none'),
('8135', '', 'default', 'Change whether or not this display will use AJAX.', '', 'none'),
('8136', '', 'default', 'Change this display''s pager setting.', '', 'none'),
('8137', '', 'default', 'Specify whether this display will provide a "more" link.', '', 'none'),
('8138', '', 'default', 'Specify access control type for this display.', '', 'none'),
('8139', '', 'default', 'Change settings for this access type.', '', 'none'),
('8140', '', 'default', 'Specify caching type for this display.', '', 'none'),
('8141', '', 'default', 'Change settings for this caching type.', '', 'none'),
('8142', '', 'default', 'Link display', '', 'none'),
('8143', '', 'default', 'Exposed form in block', '', 'none'),
('8144', '', 'default', 'Allow the exposed form to appear in a block instead of the view.', '', 'none'),
('8145', '', 'default', 'Get information on how to theme this display', '', 'none'),
('8146', '', 'default', 'The title of this view', '', 'none'),
('8147', '', 'default', 'This title will be displayed with the view, wherever titles are normally displayed; i.e, as the page title, block title, etc.', '', 'none'),
('8148', '', 'default', 'Use AJAX when available to load this view', '', 'none'),
('8149', '', 'default', 'If set, this view will use an AJAX mechanism for paging, table sorting and exposed filters. This means the entire page will not refresh. It is not recommended that you use this if this view is the main content of the page as it will prevent deep linking to specific pages, but it is very useful for side content.', '', 'none'),
('8150', '', 'default', 'Unless you''re experiencing problems with pagers related to this view, you should leave this at 0. If using multiple pagers on one page you may need to set this number to a higher value so as not to conflict within the ?page= array. Large values will add a lot of commas to your URLs, so avoid if possible.', '', 'none'),
('8151', '', 'default', 'The number of items to display per page. Enter 0 for no limit.', '', 'none'),
('8152', '', 'default', 'Add a more link to the bottom of the display.', '', 'none'),
('8153', '', 'default', 'Create more link', '', 'none'),
('8154', '', 'default', 'The text to display for the more link.', '', 'none'),
('8155', '', 'default', 'This will make the view display only distinct items. If there are multiple identical items, each will be displayed only once. You can use this to try and remove duplicates from a view, though it does not always work. Note that this can slow queries down, so use it with caution.', '', 'none'),
('8156', '', 'default', 'Access restrictions', '', 'none'),
('8157', '', 'default', 'Access options', '', 'none'),
('8158', '', 'default', 'Caching options', '', 'none'),
('8159', '', 'default', 'Display even if view has no result', '', 'none'),
('8160', '', 'default', 'How should this view be styled', '', 'none'),
('8161', '', 'default', 'If the style you choose has settings, be sure to click the settings button that will appear next to it in the View summary.', '', 'none'),
('8162', '', 'default', 'Style options', '', 'none'),
('8163', '', 'default', 'Row style options', '', 'none'),
('8164', '', 'default', 'How should each row in this view be styled', '', 'none'),
('8165', '', 'default', 'Which display to use for path', '', 'none'),
('8166', '', 'default', 'Which display to use to get this display''s path for things like summary links, rss feed links, more links, etc.', '', 'none'),
('8167', '', 'default', 'Display output', '', 'none'),
('8168', '', 'default', 'Alternative display output', '', 'none'),
('8169', '', 'default', 'Style output', '', 'none'),
('8170', '', 'default', 'Alternative style', '', 'none'),
('8171', '', 'default', 'Row style output', '', 'none'),
('8172', '', 'default', 'Alternative row style', '', 'none'),
('8173', '', 'default', 'Field @field (ID: @id)', '', 'none'),
('8174', '', 'default', 'This section lists all possible templates for the display plugin and for the style plugins, ordered roughly from the least specific to the most specific. The active template for each plugin -- which is the most specific template found on the system -- is highlighted in bold.', '', 'none'),
('8175', '', 'default', 'Change theme', '', 'none'),
('8176', '', 'default', 'Rescan template files', '', 'none'),
('8177', '', 'default', '<strong>Important!</strong> When adding, removing, or renaming template files, it is necessary to make Drupal aware of the changes by making it rescan the files on your system. By clicking this button you clear Drupal''s theme registry and thereby trigger this rescanning process. The highlighted templates above will then reflect the new state of your system.', '', 'none'),
('8178', '', 'default', 'Theming information (display)', '', 'none'),
('8179', '', 'default', 'Back to !info.', '', 'none'),
('8180', '', 'default', 'theming information', '', 'none'),
('8181', '', 'default', 'This display has no theming information', '', 'none'),
('8182', '', 'default', 'This is the default theme template used for this display.', '', 'none'),
('8183', '', 'default', 'This is an alternative template for this display.', '', 'none'),
('8184', '', 'default', 'Theming information (style)', '', 'none'),
('8185', '', 'default', 'This display has no style theming information', '', 'none'),
('8186', '', 'default', 'This is the default theme template used for this style.', '', 'none'),
('8187', '', 'default', 'This is an alternative template for this style.', '', 'none'),
('8188', '', 'default', 'Theming information (row style)', '', 'none'),
('8189', '', 'default', 'This display has no row style theming information', '', 'none'),
('8190', '', 'default', 'This is the default theme template used for this row style.', '', 'none'),
('8191', '', 'default', 'This is an alternative template for this row style.', '', 'none'),
('8192', '', 'default', 'Put the exposed form in a block', '', 'none'),
('8193', '', 'default', 'If set, any exposed widgets will not appear with this view. Instead, a block will be made available to the Drupal block administration system, and the exposed form will appear there. Note that this block must be enabled manually, Views will not enable it for you.', '', 'none'),
('8194', '', 'default', 'File found in folder @template-path', '', 'none'),
('8195', '', 'default', '(File not found, in folder @template-path)', '', 'none'),
('8196', '', 'default', 'Display "@display" uses fields but there are none defined for it or all are excluded.', '', 'none'),
('8197', '', 'default', 'Display "@display" uses a path but the path is undefined.', '', 'none'),
('8198', '', 'default', 'Display "@display" has an invalid style plugin.', '', 'none'),
('8199', '', 'default', 'Exposed form: @view-@display_id', '', 'none'),
('8200', '', 'default', 'Attachment settings', '', 'none'),
('8201', '', 'default', 'Inherit exposed filters', '', 'none'),
('8202', '', 'default', 'Multiple displays', '', 'none'),
('8203', '', 'default', 'Should this display inherit its exposed filter values from the parent display to which it is attached?', '', 'none'),
('8204', '', 'default', 'Attach before or after the parent display?', '', 'none'),
('8205', '', 'default', 'Select which display or displays this should attach to.', '', 'none'),
('8206', '', 'default', 'Block admin description', '', 'none'),
('8207', '', 'default', 'Block caching type', '', 'none'),
('8208', '', 'default', 'This sets the default status for Drupal''s built-in block caching method; this requires that caching be turned on in block administration, and be careful because you have little control over when this cache is flushed.', '', 'none'),
('8209', '', 'default', 'Using the site name', '', 'none'),
('8210', '', 'default', 'Use the site name for the title', '', 'none'),
('8211', '', 'default', 'The feed icon will be available only to the selected displays.', '', 'none'),
('8212', '', 'default', 'No menu', '', 'none'),
('8213', '', 'default', 'Normal: @title', '', 'none'),
('8214', '', 'default', 'Tab: @title', '', 'none'),
('8215', '', 'default', 'Change settings for the parent menu', '', 'none'),
('8216', '', 'default', 'The menu path or URL of this view', '', 'none'),
('8217', '', 'default', 'Menu item entry', '', 'none'),
('8218', '', 'default', 'If set to normal or tab, enter the text to use for the menu item''s description.', '', 'none'),
('8219', '', 'default', 'Default tab options', '', 'none'),
('8220', '', 'default', 'When providing a menu item as a tab, Drupal needs to know what the parent menu item of that tab will be. Sometimes the parent will already exist, but other times you will need to have one created. The path of a parent item will always be the same path with the last part left off. i.e, if the path to this view is <em>foo/bar/baz</em>, the parent path would be <em>foo/bar</em>.', '', 'none'),
('8221', '', 'default', 'Already exists', '', 'none'),
('8222', '', 'default', 'If creating a parent menu item, enter the description of the item.', '', 'none'),
('8223', '', 'default', 'If the parent menu item is a tab, enter the weight of the tab. The lower the number, the more to the left it will be.', '', 'none'),
('8224', '', 'default', '"$arg" is no longer supported. Use % instead.', '', 'none'),
('8225', '', 'default', '"%" may not be used for the first segment of a path.', '', 'none'),
('8226', '', 'default', 'Views cannot create normal menu items for paths with a % in them.', '', 'none'),
('8227', '', 'default', 'A display whose path ends with a % cannot be a tab.', '', 'none'),
('8228', '', 'default', 'Title is required for this menu type.', '', 'none'),
('8229', '', 'default', 'Inline fields', '', 'none'),
('8230', '', 'default', 'The separator may be placed between inline fields to keep them from squishing up next to each other. You can use HTML in this field.', '', 'none'),
('8231', '', 'default', 'You may optionally specify a field by which to group the records. Leave blank to not group.', '', 'none'),
('8232', '', 'default', 'Style @style requires a row style but the row plugin is invalid.', '', 'none'),
('8233', '', 'default', 'Horizontal alignment will place items starting in the upper left and moving right. Vertical alignment will place items starting in the upper left and moving down.', '', 'none'),
('8234', '', 'default', 'RSS description', '', 'none'),
('8235', '', 'default', 'This will appear in the RSS feed itself.', '', 'none'),
('8236', '', 'default', 'Display record count with link', '', 'none'),
('8237', '', 'default', 'Override number of items to display', '', 'none'),
('8238', '', 'default', 'Display items inline', '', 'none'),
('8239', '', 'default', 'You need at least one field before you can configure your table settings', '', 'none'),
('8240', '', 'default', 'Override normal sorting if click sorting is used', '', 'none'),
('8241', '', 'default', 'Enable Drupal style "sticky" table headers (Javascript)', '', 'none'),
('8242', '', 'default', '(Sticky header effects will not be active for preview below, only on live output.)', '', 'none'),
('8243', '', 'default', 'Place fields into columns; you may combine multiple fields into the same column. If you do, the separator in the column specified will be used to separate the fields. Check the sortable box to make that column click sortable, and check the default sort radio to determine which column will be sorted by default, if any. You may control column order and field labels in the fields section.', '', 'none'),
('8244', '', 'default', 'The style selected does not utilize fields.', '', 'none'),
('8245', '', 'default', 'None defined', '', 'none'),
('8246', '', 'default', 'This view is being edited by user !user, and is therefore locked from editing by others. This lock is !age old. Click here to <a href="!break">break this lock</a>.', '', 'none'),
('8247', '', 'default', 'New view', '', 'none'),
('8248', '', 'default', 'Changed view', '', 'none'),
('8249', '', 'default', 'View %name, displaying items of type <strong>@base</strong>.', '', 'none'),
('8250', '', 'default', 'Live preview', '', 'none'),
('8251', '', 'default', '‹‹', '', 'none'),
('8252', '', 'default', '››', '', 'none'),
('8253', '', 'default', '@current of @max', '', 'none'),
('8254', '', 'default', 'Allow multiple values', '', 'none'),
('8255', '', 'default', 'Standard deviation', '', '7.41'),
('8256', '', 'default', 'Sort descending', '', 'none'),
('8257', '', 'default', 'Sort ascending', '', 'none'),
('8258', '', 'default', 'Style settings', '', 'none'),
('8259', '', 'default', '(first item is 0)', '', 'none'),
('8260', '', 'default', 'Number of pages', '', 'none'),
('8261', '', 'default', 'Gallery page', '', 'none'),
('8262', '', 'default', 'Target of the link, such as _blank, _parent or an iframe''s name. This field is rarely used.', '', 'none'),
('8263', '', 'default', '@argument title', '', 'none'),
('8264', '', 'default', '@argument input', '', 'none'),
('8265', '', 'default', 'The maximum number of characters this field can be.', '', 'none'),
('8266', '', 'default', 'Count the number 0 as empty', '', 'none'),
('8267', '', 'default', 'Hide if empty', '', 'none'),
('8268', '', 'default', 'Starting value', '', 'none'),
('8269', '', 'default', 'Specify the number the counter should start at.', '', 'none'),
('8270', '', 'default', 'Does not start with', '', 'none'),
('8271', '', 'default', 'not_begins', '', 'none'),
('8272', '', 'default', 'Does not end with', '', 'none'),
('8273', '', 'default', 'not_ends', '', 'none'),
('8274', '', 'default', 'The view %name has been saved.', '', 'none'),
('8275', '', 'default', 'This filter can cause items that have more than one of the selected options to appear as duplicate results. If this filter causes duplicate results to occur, this checkbox can reduce those duplicates; however, the more terms it has to search for, the less performant the query will be, so use this with caution. Shouldn''t be set on single-value fields, as it may cause values to disappear from display, if used on an incompatible field.', '', 'none'),
('8276', '', 'default', 'The text of the profile item.', '', 'none'),
('8277', '', 'default', 'The taxonomy term ID for the term.', '', 'none'),
('8278', '', 'default', 'The taxonomy term name for the term.', '', 'none'),
('8279', '', 'default', 'The name for the vocabulary the term belongs to.', '', 'none'),
('8280', '', 'default', 'Choose which vocabularies you wish to relate. Remember that every term found will create a new record, so this relationship is best used on just one vocabulary that has only one term per node.', '', 'none'),
('8281', '', 'default', 'The name of the role.', '', 'none'),
('8282', '', 'default', 'The role ID of the role.', '', 'none'),
('8283', '', 'default', 'Hide empty fields', '', 'none'),
('8284', '', 'default', 'Do not display fields, labels or markup for fields that are empty.', '', 'none'),
('8285', '', 'default', 'You need at least one field before you can configure your jump menu settings', '', 'none'),
('8286', '', 'default', 'To properly configure a jump menu, you must select one field that will represent the path to utilize. You should then set that field to exclude. All other displayed fields will be part of the menu. Please note that all HTML will be stripped from this output as select boxes cannot show HTML.', '', 'none'),
('8287', '', 'default', 'Path field', '', 'none'),
('8288', '', 'default', 'If hidden, this button will only be hidden for users with javascript and the page will automatically jump when the select is changed.', '', 'none'),
('8289', '', 'default', 'Monthly archive', '', '7.43'),
('8290', '', 'default', 'This identifier is used by another handler.', '', 'none'),
('8291', '', 'default', 'Length is shorter than', '', 'none'),
('8292', '', 'default', 'shorter than', '', 'none'),
('8293', '', 'default', 'Length is longer than', '', 'none'),
('8294', '', 'default', 'longer than', '', 'none'),
('8295', '', 'default', 'Exposed form', '', 'none'),
('8296', '', 'default', 'Inherit pager', '', 'none'),
('8297', '', 'default', 'Render pager', '', 'none'),
('8298', '', 'default', 'Render', '', 'none'),
('8299', '', 'default', 'The label for this area that will be displayed only administratively.', '', 'none'),
('8300', '', 'default', 'Exposed', '', 'none'),
('8301', '', 'default', 'Displays Reorder', '', 'none'),
('8302', '', 'default', 'Remove this display', '', 'none'),
('8303', '', 'default', 'Operator to use on all groups', '', 'none'),
('8304', '', 'default', 'Either "group 0 AND group 1 AND group 2" or "group 0 OR group 1 OR group 2", etc', '', 'none'),
('8305', '', 'default', 'Remove group @group', '', 'none'),
('8306', '', 'default', 'Default group', '', 'none'),
('8307', '', 'default', 'Group @group', '', 'none'),
('8308', '', 'default', 'Ungroupable filters', '', 'none'),
('8309', '', 'default', 'Configure group settings for @type %item', '', 'none'),
('8310', '', 'default', 'Machine Name', '', 'none'),
('8311', '', 'default', 'Change the machine name of this display.', '', 'none'),
('8312', '', 'default', 'Change settings for this pager type.', '', 'none'),
('8313', '', 'default', 'Allow grouping and aggregation (calculation) of fields.', '', 'none'),
('8314', '', 'default', 'Exposed form style', '', 'none'),
('8315', '', 'default', 'Select the kind of exposed filter to use.', '', 'none'),
('8316', '', 'default', 'Exposed form settings for this exposed form style.', '', 'none'),
('8317', '', 'default', 'The machine name of this display', '', 'none'),
('8318', '', 'default', 'This is machine name of the display.', '', 'none'),
('8319', '', 'default', 'If enabled, some fields may become unavailable. All fields that are selected for grouping will be collapsed to one record per distinct value. Other fields which are selected for aggregation will have the function run on them. For example, you can group nodes on title and count the number of nids in order to get a list of duplicate titles.', '', 'none'),
('8320', '', 'default', '<strong>Important!</strong> You have changed the display''s machine name. Anything that attached to this display specifically, such as theming, may stop working until it is updated. To see theme suggestions for it, you need to save the view.', '', 'none'),
('8321', '', 'default', 'Exposed Form', '', 'none'),
('8322', '', 'default', 'Exposed form options', '', 'none'),
('8323', '', 'default', 'Select which pager, if any, to use for this view', '', 'none'),
('8324', '', 'default', 'Pager options', '', 'none'),
('8325', '', 'default', 'Display id should be unique.', '', 'none'),
('8326', '', 'default', 'Text to display in the submit button of the exposed form.', '', 'none'),
('8327', '', 'default', 'Include reset button', '', 'none'),
('8328', '', 'default', 'If checked the exposed form will provide a button to reset all the applied exposed filters', '', 'none'),
('8329', '', 'default', 'Reset button label', '', 'none'),
('8330', '', 'default', 'Text to display in the reset button of the exposed form.', '', 'none'),
('8331', '', 'default', 'Exposed sorts label', '', 'none'),
('8332', '', 'default', 'Text to display as the label of the exposed sort select box.', '', 'none'),
('8333', '', 'default', 'Text to use when exposed sort is ordered ascending.', '', 'none'),
('8334', '', 'default', 'Text to use when exposed sort is ordered descending.', '', 'none'),
('8335', '', 'default', 'Text on demand', '', 'none'),
('8336', '', 'default', 'The number of items to skip. For example, if this field is 3, the first 3 items will be skipped and not displayed.', '', 'none'),
('8337', '', 'default', 'The total number of pages. Leave empty to show all pages.', '', 'none'),
('8338', '', 'default', 'Exposed options', '', 'none'),
('8339', '', 'default', 'Exposing this options allows users to define their values in a exposed form when view is displayed', '', 'none'),
('8340', '', 'default', 'Expose items per page', '', 'none'),
('8341', '', 'default', 'When checked, users can determine how many items per page show in a view', '', 'none'),
('8342', '', 'default', 'Items per page label', '', 'none'),
('8343', '', 'default', 'Label to use in the exposed items per page form element.', '', 'none'),
('8344', '', 'default', 'Exposed items per page options', '', 'none'),
('8345', '', 'default', 'Expose Offset', '', 'none'),
('8346', '', 'default', 'Offset label', '', 'none'),
('8347', '', 'default', 'Label to use in the exposed offset form element.', '', 'none'),
('8348', '', 'default', 'Offset must be an number greather or equal than 0.', '', 'none'),
('8349', '', 'default', 'Mini pager, @count item, skip @skip', '', 'none'),
('8350', '', 'default', 'Mini pager, @count items, skip @skip', '', 'none'),
('8351', '', 'default', 'Mini pager, @count[2] items, skip @skip', '', 'none'),
('8352', '', 'default', 'Mini pager, @count item', '', 'none'),
('8353', '', 'default', 'Mini pager, @count items', '', 'none'),
('8354', '', 'default', 'Mini pager, @count[2] items', '', 'none'),
('8355', '', 'default', 'All items, skip @skip', '', 'none'),
('8356', '', 'default', 'All items', '', 'none'),
('8357', '', 'default', '@count item, skip @skip', '', 'none'),
('8358', '', 'default', '@count items, skip @skip', '', 'none'),
('8359', '', 'default', '@count[2] items, skip @skip', '', 'none'),
('8360', '', 'default', '@count item', '', 'none'),
('8361', '', 'default', 'Group results together', '', '7.41'),
('8362', '', 'default', 'In database', '', 'none'),
('8363', '', 'default', 'Update preview', '', 'none'),
('8364', '', 'default', 'That view is created for the version @import_version of views, but you only have @api_version', '', 'none'),
('8365', '', 'default', 'Broken/missing handler: @table > @field', '', 'none'),
('8366', '', 'default', 'Display %display has set node/% as path. This will not produce what you want. If you want to have multiple versions of the node view, use panels.', '', 'none'),
('8367', '', 'default', '@category: @field-name', '', 'none'),
('8368', '', 'default', 'Translate link', '', 'none'),
('8369', '', 'default', 'Provide a simple link to translate the node.', '', 'none'),
('8370', '', 'default', 'Use absolute link (begins with "http://")', '', 'none'),
('8371', '', 'default', 'Output machine name', '', 'none'),
('8372', '', 'default', 'Use Drupal''s taxonomy term path to create breadcrumb links', '', 'none'),
('8373', '', 'default', 'If selected, the links in the breadcrumb trail will be created using the standard drupal method instead of the custom views method. This is useful if you are using modules like taxonomy redirect to modify your taxonomy term links.', '', 'none'),
('8374', '', 'default', 'Change the CSS class name(s) that will be added to this display.', '', 'none'),
('8375', '', 'default', 'The CSS class names will be added to the view. This enables you to use specific CSS code for each view. You may define multiples classes separated by spaces.', '', 'none'),
('8376', '', 'default', 'CSS classes must be alphanumeric or dashes only.', '', 'none'),
('8377', '', 'default', 'Choose text', '', 'none'),
('8378', '', 'default', 'The text that will appear as the selected option in the jump menu.', '', 'none'),
('8379', '', 'default', 'Set between which values the user can choose when determining the items per page. Separated by comma.', '', 'none'),
('8380', '', 'default', 'When checked, users can determine how many items should be skipped at the beginning.', '', 'none'),
('8381', '', 'default', 'Please insert a list of integer numeric values separated by commas: e.g: 10, 20, 50, 100', '', 'none'),
('8382', '', 'default', 'Link field', '', 'none'),
('8383', '', 'default', 'Attachment before', '', 'none'),
('8384', '', 'default', 'Attachment after', '', 'none'),
('8385', '', 'default', 'Handler @handler tried to add additional_field @identifier but @table could not be added!', '', 'none'),
('8386', '', 'default', 'Fill up single line', '', 'none'),
('8387', '', 'default', 'Row class', '', 'none'),
('8388', '', 'default', '- Use default -', '', 'none'),
('8389', '', 'default', 'Unknown content type', '', 'none'),
('8390', '', 'default', 'View: !view', '', 'none'),
('8391', '', 'default', 'Human-readable name', '', 'none'),
('8392', '', 'default', 'Access the views administration pages.', '', 'none'),
('8393', '', 'default', 'Bypass access control when accessing views.', '', 'none'),
('8394', '', 'default', 'HTML element', '', 'none'),
('8395', '', 'default', 'Label HTML element', '', 'none'),
('8396', '', 'default', 'Place a colon after the label', '', 'none'),
('8397', '', 'default', 'Wrapper HTML element', '', 'none'),
('8398', '', 'default', 'Wrapper class', '', 'none'),
('8399', '', 'default', 'Add default classes', '', 'none'),
('8400', '', 'default', 'Use default Views classes to identify the field, field label and field content.', '', 'none'),
('8401', '', 'default', 'Use absolute path', '', 'none'),
('8402', '', 'default', 'Rel Text', '', 'none'),
('8403', '', 'default', 'Include Rel attribute for use in lightbox2 or other javascript utility.', '', 'none'),
('8404', '', 'default', 'Preserve certain tags', '', 'none'),
('8405', '', 'default', 'List the tags that need to be preserved during the stripping process. example &quot;&lt;p&gt; &lt;br&gt;&quot; which will preserve all p and br elements', '', 'none'),
('8406', '', 'default', 'Format plural', '', 'none'),
('8407', '', 'default', 'If checked, special handling will be used for plurality.', '', 'none'),
('8408', '', 'default', 'Singular form', '', 'none'),
('8409', '', 'default', 'Text to use for the singular form.', '', 'none'),
('8410', '', 'default', 'Plural form', '', 'none'),
('8411', '', 'default', 'Text to use for the plural form, @count will be replaced with the value.', '', 'none'),
('8412', '', 'default', 'An offset from the current time such as "!example1" or "!example2"', '', 'none'),
('8413', '', 'default', 'A unique machine-readable name for this View. It must only contain lowercase letters, numbers, and underscores.', '', 'none'),
('8414', '', 'default', 'Weight for @display', '', 'none'),
('8415', '', 'default', 'Translation method', '', 'none'),
('8416', '', 'default', 'Select a translation method to use for Views data like header, footer, and empty text.', '', 'none'),
('8417', '', 'default', 'This title will be displayed on the views edit page instead of the default one. This might be useful if you have the same item twice.', '', 'none'),
('8418', '', 'default', 'Some roles lack permission to access content, but display %display has no access control.', '', 'none'),
('8419', '', 'default', 'Use destination', '', 'none'),
('8420', '', 'default', 'Add destination to the link', '', 'none'),
('8421', '', 'default', 'Show the comment link in the form used on standard node teasers, rather than the full node form.', '', 'none'),
('8422', '', 'default', 'Used by Style: Table to determine the actual column to click sort the field on. The default is usually fine.', '', 'none'),
('8423', '', 'default', 'Group column', '', 'none'),
('8424', '', 'default', 'Select the column of this field to apply the grouping function selected above.', '', 'none'),
('8425', '', 'default', 'Group columns (additional)', '', 'none'),
('8426', '', 'default', 'Select any additional columns of this field to include in the query and to group on.', '', 'none'),
('8427', '', 'default', 'Display download path instead of file storage URI', '', 'none'),
('8428', '', 'default', 'This will provide the full download URL rather than the internal filestream address.', '', 'none'),
('8429', '', 'default', 'The machine name for the vocabulary the term belongs to.', '', 'none'),
('8430', '', 'default', 'Display error message', '', 'none'),
('8431', '', 'default', 'Term name converted to Term ID', '', 'none'),
('8432', '', 'default', 'No comment', '', 'none'),
('8433', '', 'default', 'Comment or document this display.', '', 'none'),
('8434', '', 'default', 'Query settings', '', 'none'),
('8435', '', 'default', 'Allow to set some advanced settings for the query plugin', '', 'none'),
('8436', '', 'default', 'The name and the description of this display', '', 'none'),
('8437', '', 'default', 'This name will appear only in the administrative interface for the View.', '', 'none'),
('8438', '', 'default', 'This description will appear only in the administrative interface for the View.', '', 'none'),
('8439', '', 'default', 'This display''s comments', '', 'none'),
('8440', '', 'default', 'This value will be seen and used only within the Views UI and can be used to document this display. You can use this to provide notes for other or future maintainers of your site about how or why this display is configured.', '', 'none'),
('8441', '', 'default', 'Query options', '', 'none');
INSERT INTO `locales_source` VALUES
('8442', '', 'default', 'Display name must be letters, numbers, or underscores only.', '', 'none'),
('8443', '', 'default', 'Should this display inherit its paging values from the parent display to which it is attached?', '', 'none'),
('8444', '', 'default', 'Should this display render the pager values? This is only meaningful if inheriting a pager.', '', 'none'),
('8445', '', 'default', 'This will appear as the name of this block in administer >> structure >> blocks.', '', 'none'),
('8446', '', 'default', 'Text to display instead of results until the user selects and applies an exposed filter.', '', 'none'),
('8447', '', 'default', 'Include all items option', '', 'none'),
('8448', '', 'default', 'If checked, an extra item will be included to items per page to display all items', '', 'none'),
('8449', '', 'default', 'All items label', '', 'none'),
('8450', '', 'default', 'Which label will be used to display all items', '', 'none'),
('8451', '', 'default', 'Disable SQL rewriting', '', 'none'),
('8452', '', 'default', 'WARNING: Disabling SQL rewriting means that node access security is disabled. This may allow users to see data they should not be able to see if your view is misconfigured. Please use this option only if you understand and accept this security risk.', '', 'none'),
('8453', '', 'default', 'Use Slave Server', '', 'none'),
('8454', '', 'default', 'This will make the query attempt to connect to a slave server if available.  If no slave server is defined or available, it will fall back to the default server.', '', 'none'),
('8455', '', 'default', 'Field Language', '', 'none'),
('8456', '', 'default', 'All fields which support translations will be displayed in the selected language.', '', 'none'),
('8457', '', 'default', 'The class to provide on each row.', '', 'none'),
('8458', '', 'default', 'You may use field tokens from as per the "Replacement patterns" used in "Rewrite the output of this field" for all fields.', '', 'none'),
('8459', '', 'default', 'Table summary', '', 'none'),
('8460', '', 'default', 'If checked, the current path will be displayed as the default option in the jump menu, if applicable.', '', 'none'),
('8461', '', 'default', 'The class to provide on the wrapper, outside the list.', '', 'none'),
('8462', '', 'default', 'List class', '', 'none'),
('8463', '', 'default', 'The class to provide on the list element itself.', '', 'none'),
('8464', '', 'default', 'Define the base path for links in this summary\n        view, i.e. http://example.com/<strong>your_view_path/archive</strong>.\n        Do not include beginning and ending forward slash. If this value\n        is empty, views will use the first path found as the base path,\n        in page displays, or / if no path could be found.', '', 'none'),
('8465', '', 'default', 'Content revisions', '', '7.34'),
('8466', '', 'default', '%time hence', '', 'none'),
('8467', '', 'default', 'Machine name: ', '', 'none'),
('8468', '', 'default', 'Bypass views access control', '', 'none'),
('8469', '', 'default', 'Edit @section', '', 'none'),
('8470', '', 'default', 'Edit this view to add a display.', '', 'none'),
('8471', '', 'default', 'View to insert', '', 'none'),
('8472', '', 'default', 'The view to insert into this area.', '', 'none'),
('8473', '', 'default', 'Inherit contextual filters', '', 'none'),
('8474', '', 'default', 'If checked, this view will receive the same contextual filters as its parent.', '', 'none'),
('8475', '', 'default', 'Recursion detected in view @view display @display.', '', 'none'),
('8476', '', 'default', 'When the filter value is <em>NOT</em> in the URL', '', 'none'),
('8477', '', 'default', 'Exception value', '', 'none'),
('8478', '', 'default', 'If this value is received, the filter will be ignored; i.e, "all values"', '', 'none'),
('8479', '', 'default', 'Override the view and other argument titles. Use "%1" for the first argument, "%2" for the second, etc.', '', 'none'),
('8480', '', 'default', 'When the filter value <em>IS</em> in the URL or a default is provided', '', 'none'),
('8481', '', 'default', 'Provide title', '', 'none'),
('8482', '', 'default', 'Override breadcrumb', '', 'none'),
('8483', '', 'default', 'Provide breadcrumb', '', 'none'),
('8484', '', 'default', 'Enter a breadcrumb name you would like to use. See "Title" for percent substitutions.', '', 'none'),
('8485', '', 'default', 'Specify validation criteria', '', 'none'),
('8486', '', 'default', 'Action to take if filter value does not validate', '', 'none'),
('8487', '', 'default', 'Show "Page not found"', '', 'none'),
('8488', '', 'default', 'Skip default argument for view URL', '', 'none'),
('8489', '', 'default', 'Select whether to include this default argument when constructing the URL for this view. Skipping default arguments is useful e.g. in the case of feeds.', '', 'none'),
('8490', '', 'default', 'Number of records', '', 'none'),
('8491', '', 'default', 'Default sort', 'Sort order', 'none'),
('8492', '', 'default', 'Date', 'Sort order', 'none'),
('8493', '', 'default', 'Numerical', 'Sort order', 'none'),
('8494', '', 'default', 'If selected, users can enter multiple values in the form of 1+2+3 (for OR) or 1,2,3 (for AND).', '', 'none'),
('8495', '', 'default', 'If selected, multiple instances of this filter can work together, as though multiple values were supplied to the same filter. This setting is not compatible with the "Reduce duplicates" setting.', '', 'none'),
('8496', '', 'default', 'If selected, the numbers entered for the filter will be excluded rather than limiting the view.', '', 'none'),
('8497', '', 'default', 'Glossary mode applies a limit to the number of characters used in the filter value, which allows the summary view to act as a glossary.', '', 'none'),
('8498', '', 'default', 'How many characters of the filter value to filter against. If set to 1, all fields starting with the first letter in the filter value would be matched.', '', 'none'),
('8499', '', 'default', 'When printing the title and summary, how to transform the case of the filter value.', '', 'none'),
('8500', '', 'default', 'When printing url paths, how to transform the case of the filter value. Do not use this unless with Postgres as it uses case sensitive comparisons.', '', 'none'),
('8501', '', 'default', 'Alphabetical', 'Sort order', 'none'),
('8502', '', 'default', 'Create a label', '', 'none'),
('8503', '', 'default', 'Enable to create a label for this field.', '', 'none'),
('8504', '', 'default', 'Enable to load this field as hidden. Often used to group fields, or to use as token in another field.', '', 'none'),
('8505', '', 'default', 'Choose the HTML element to wrap around this field, e.g. H1, H2, etc.', '', 'none'),
('8506', '', 'default', 'Create a CSS class', '', 'none'),
('8507', '', 'default', 'Choose the HTML element to wrap around this label, e.g. H1, H2, etc.', '', 'none'),
('8508', '', 'default', 'Rewrite results', '', 'none'),
('8509', '', 'default', 'Enable to override the output of this field with custom text or replacement tokens.', '', 'none'),
('8510', '', 'default', 'Replace spaces with dashes', '', 'none'),
('8511', '', 'default', 'External server URL', '', 'none'),
('8512', '', 'default', 'Links to an external server using a full URL: e.g. ''http://www.example.com'' or ''www.example.com''.', '', 'none'),
('8513', '', 'default', 'Enable to trim the field to a maximum length of characters', '', 'none'),
('8514', '', 'default', 'Convert newlines to HTML &lt;br&gt; tags', '', 'none'),
('8515', '', 'default', 'If checked, all newlines chars (e.g. \\n) are converted into HTML &lt;br&gt; tags.', '', 'none'),
('8516', '', 'default', 'No results text', '', 'none'),
('8517', '', 'default', 'Enable to display the "no results text" if the field contains the number 0.', '', 'none'),
('8518', '', 'default', 'Time hence', '', 'none'),
('8519', '', 'default', 'Time hence (with "hence" appended)', '', 'none'),
('8520', '', 'default', 'Time span (future dates have "-" prepended)', '', 'none'),
('8521', '', 'default', 'Time span (past dates have "-" prepended)', '', 'none'),
('8522', '', 'default', 'How should the serialized data be displayed. You can choose a custom array/object key or a print_r on the full output.', '', 'none'),
('8523', '', 'default', 'Full data (unserialized)', '', 'none'),
('8524', '', 'default', 'Full data (serialized)', '', 'none'),
('8525', '', 'default', 'A certain key', '', 'none'),
('8526', '', 'default', 'Which key should be displayed', '', 'none'),
('8527', '', 'default', 'You have to enter a key if you want to display a key of the data.', '', 'none'),
('8528', '', 'default', 'How many different units to display in the string.', '', 'none'),
('8529', '', 'default', 'This filter is not exposed. Expose it to allow the users to change it.', '', 'none'),
('8530', '', 'default', 'Expose filter', '', 'none'),
('8531', '', 'default', 'This filter is exposed. If you hide it, users will not be able to change it.', '', 'none'),
('8532', '', 'default', 'Hide filter', '', 'none'),
('8533', '', 'default', 'Expose operator', '', 'none'),
('8534', '', 'default', 'Allow the user to choose the operator.', '', 'none'),
('8535', '', 'default', 'Allow multiple selections', '', 'none'),
('8536', '', 'default', 'Enable to allow users to select multiple items.', '', 'none'),
('8537', '', 'default', 'Remember the last selection', '', 'none'),
('8538', '', 'default', 'Enable to remember the last selection made by the user.', '', 'none'),
('8539', '', 'default', 'You must select a value unless this is an non-required exposed filter.', '', 'none'),
('8540', '', 'default', 'Enable to hide items that do not contain this relationship', '', 'none'),
('8541', '', 'default', 'This sort is not exposed. Expose it to allow the users to change it.', '', 'none'),
('8542', '', 'default', 'Expose sort', '', 'none'),
('8543', '', 'default', 'This sort is exposed. If you hide it, users will not be able to change it.', '', 'none'),
('8544', '', 'default', 'Hide sort', '', 'none'),
('8545', '', 'default', 'Provide description', '', 'none'),
('8546', '', 'default', 'Save & exit', '', 'none'),
('8547', '', 'default', 'Continue & edit', '', 'none'),
('8548', '', 'default', 'Update "@title" choice', '', 'none'),
('8549', '', 'default', 'Update "@title" choice (@number)', '', 'none'),
('8550', '', 'default', 'Your view was saved. You may edit it from the list below.', '', 'none'),
('8551', '', 'default', 'Database overriding code', '', 'none'),
('8552', '', 'default', '* All changes are stored temporarily. Click Save to make your changes permanent. Click Cancel to discard the view.', '', 'none'),
('8553', '', 'default', '* All changes are stored temporarily. Click Save to make your changes permanent. Click Cancel to discard your changes.', '', 'none'),
('8554', '', 'default', 'Modify the display(s) of your view below or add new displays.', '', 'none'),
('8555', '', 'default', 'edit view name/description', '', 'none'),
('8556', '', 'default', 'analyze view', '', 'none'),
('8557', '', 'default', 'clone view', '', 'none'),
('8558', '', 'default', 'export view', '', 'none'),
('8559', '', 'default', 'revert view', '', 'none'),
('8560', '', 'default', 'delete view', '', 'none'),
('8561', '', 'default', 'Add !display', '', 'none'),
('8562', '', 'default', '@display_title details', '', 'none'),
('8563', '', 'default', 'Auto preview', '', 'none'),
('8564', '', 'default', 'Preview with contextual filters:', '', 'none'),
('8565', '', 'default', 'Separate contextual filter values with a "/". For example, %example.', '', 'none'),
('8566', '', 'default', ':', '', 'none'),
('8567', '', 'default', 'Apply and continue', '', 'none'),
('8568', '', 'default', '@current of @total', '', 'none'),
('8569', '', 'default', 'All displays (except overridden)', '', 'none'),
('8570', '', 'default', 'All displays', '', 'none'),
('8571', '', 'default', 'This @display_type (override)', '', 'none'),
('8572', '', 'default', 'View name and description', '', 'none'),
('8573', '', 'default', 'A descriptive human-readable name for this view. Spaces are allowed', '', 'none'),
('8574', '', 'default', 'Create new filter group', '', 'none'),
('8575', '', 'default', 'No filters have been added.', '', 'none'),
('8576', '', 'default', 'Drag to add filters.', '', 'none'),
('8577', '', 'default', 'Add and configure @types', '', 'none'),
('8578', '', 'default', 'Configure @type: @item', '', 'none'),
('8579', '', 'default', 'Show filters on the list of views', '', 'none'),
('8580', '', 'default', 'Show advanced help warning', '', 'none'),
('8581', '', 'default', 'Always show the master display', '', 'none'),
('8582', '', 'default', 'Advanced users of views may choose to see the master (i.e. default) display.', '', 'none'),
('8583', '', 'default', 'Always show advanced display settings', '', 'none'),
('8584', '', 'default', 'Default to showing advanced display settings, such as relationships and contextual filters.', '', 'none'),
('8585', '', 'default', 'Label for "Any" value on non-required single-select exposed filters', '', 'none'),
('8586', '', 'default', 'Live preview settings', '', 'none'),
('8587', '', 'default', 'Automatically update preview on changes', '', 'none'),
('8588', '', 'default', 'Show information and statistics about the view during live preview', '', 'none'),
('8589', '', 'default', 'Above the preview', '', 'none'),
('8590', '', 'default', 'Below the preview', '', 'none'),
('8591', '', 'default', 'Show the SQL query', '', 'none'),
('8592', '', 'default', 'Show performance statistics', '', 'none'),
('8593', '', 'default', 'Disable JavaScript with Views', '', 'none'),
('8594', '', 'default', 'If you are having problems with the JavaScript, you can disable it here. The Views UI should degrade and still be usable without javascript; it''s just not as good.', '', 'none'),
('8595', '', 'default', 'There are no templates available.', '', 'none'),
('8596', '', 'default', 'Content that is either untranslated or is the original version of a translation set.', '', 'none'),
('8597', '', 'default', 'Content that is a translation of a source translation.', '', 'none'),
('8598', '', 'default', 'The translation status of the content - whether or not the translation needs to be updated.', '', 'none'),
('8599', '', 'default', 'Enable to override this field''s links.', '', 'none'),
('8600', '', 'default', 'Use field template', '', 'none'),
('8601', '', 'default', 'If checked, field api classes will be added using field.tpl.php (or equivalent). This is not recommended unless your CSS depends upon these classes. If not checked, template will not be used.', '', 'none'),
('8602', '', 'default', 'Checking this option will cause the group Display Type and Separator values to be ignored.', '', 'none'),
('8603', '', 'default', 'Multiple field settings', '', 'none'),
('8604', '', 'default', 'Display all values in the same row', '', 'none'),
('8605', '', 'default', 'Display @count value(s)', '', 'none'),
('8606', '', 'default', 'Raw @column', '', 'none'),
('8607', '', 'default', 'Native language', '', 'none'),
('8608', '', 'default', 'If enabled, the native name of the language will be displayed', '', 'none'),
('8609', '', 'default', 'Link this field to the original piece of content', '', 'none'),
('8610', '', 'default', 'Enable this option to output an absolute link. Required if you want to use the path as a link destination (as in "output this field as a link" above).', '', 'none'),
('8611', '', 'default', 'Link this field to its content revision', '', 'none'),
('8612', '', 'default', 'Display field as the content type machine name.', '', 'none'),
('8613', '', 'default', 'Choose one or more content types to validate with.', '', 'none'),
('8614', '', 'default', 'Validate user has access to the content', '', 'none'),
('8615', '', 'default', 'Access operation to check', '', 'none'),
('8616', '', 'default', 'Filter value format', '', 'none'),
('8617', '', 'default', 'Display comments', '', 'none'),
('8618', '', 'default', 'Pick an alternative default table sort field to use when the search score field is unavailable.', '', 'none'),
('8619', '', 'default', 'If selected, users can enter multiple values in the form of 1+2+3. Due to the number of JOINs it would require, AND will be treated as OR with this filter.', '', 'none'),
('8620', '', 'default', 'Load default filter from term page', '', 'none'),
('8621', '', 'default', 'Filter value type', '', 'none'),
('8622', '', 'default', 'Include untranslated content', '', 'none'),
('8623', '', 'default', 'Enable to display different text for anonymous users.', '', 'none'),
('8624', '', 'default', 'Type of user filter value to allow', '', 'none'),
('8625', '', 'default', 'Note: you do not have permission to modify this. If you change the default filter type, this setting will be lost and you will NOT be able to get it back.', '', 'none'),
('8626', '', 'default', 'PHP contextual filter code', '', 'none'),
('8627', '', 'default', 'Change the way content is formatted.', '', 'none'),
('8628', '', 'default', 'Change settings for this format', '', 'none'),
('8629', '', 'default', 'Change the way each row in the view is styled.', '', 'none'),
('8630', '', 'default', 'Hide attachments in summary', '', 'none'),
('8631', '', 'default', 'Change whether or not to display attachments when displaying a contextual filter summary.', '', 'none'),
('8632', '', 'default', 'Hide attachments when displaying a contextual filter summary', '', 'none'),
('8633', '', 'default', 'You may also adjust the !settings for the currently selected access restriction.', '', 'none'),
('8634', '', 'default', 'You may also adjust the !settings for the currently selected cache mechanism.', '', 'none'),
('8635', '', 'default', 'You may also adjust the !settings for the currently selected style.', '', 'none'),
('8636', '', 'default', 'You may also adjust the !settings for the currently selected row style.', '', 'none'),
('8637', '', 'default', 'You may also adjust the !settings for the currently selected pager.', '', 'none'),
('8638', '', 'default', 'Attachment position', '', 'none'),
('8639', '', 'default', 'Block caching', '', 'none'),
('8640', '', 'default', 'This view will be displayed by visiting this path on your site. It is recommended that the path be something like "path/%/%/feed" or "path/%/%/rss.xml", putting one % in the path for each contextual filter you have defined in the view.', '', 'none'),
('8641', '', 'default', 'This view will be displayed by visiting this path on your site. You may use "%" in your URL to represent values that will be used for contextual filters: For example, "node/%/feed".', '', 'none'),
('8642', '', 'default', 'Display @display is set to use a menu but the menu link text is not set.', '', 'none'),
('8643', '', 'default', 'Display @display is set to use a parent menu but the parent menu link text is not set.', '', 'none'),
('8644', '', 'default', 'Paged, @count items, skip @skip', '', 'none'),
('8645', '', 'default', 'Paged, @count[2] items, skip @skip', '', 'none'),
('8646', '', 'default', 'Paged, @count items', '', 'none'),
('8647', '', 'default', 'Paged, @count[2] items', '', 'none'),
('8648', '', 'default', 'Disabling SQL rewriting will disable node_access checks as well as other modules that implement hook_query_alter().', '', 'none'),
('8649', '', 'default', 'If you disable this option, a grid with only one row will have the same number of table cells (<TD>) as items. Disabling it can cause problems with your CSS.', '', 'none'),
('8650', '', 'default', 'Per default the table is hidden for an empty view. With this option it is posible to show an empty table with the text in it.', '', 'none'),
('8651', '', 'default', 'All storage', '', 'none'),
('8652', '', 'default', 'All status', '', 'none'),
('8653', '', 'default', 'No tags', '', 'none'),
('8654', '', 'default', 'No views match the search criteria.', '', 'none'),
('8655', '', 'default', 'Create view from template @template', '', 'none'),
('8656', '', 'default', 'Clone of', '', 'none'),
('8657', '', 'default', 'Clone @count of', '', 'none'),
('8658', '', 'default', 'Clone @count[2] of', '', 'none'),
('8659', '', 'default', 'Create a page', '', 'none'),
('8660', '', 'default', 'Create a menu link', '', 'none'),
('8661', '', 'default', 'Include an RSS feed', '', 'none'),
('8662', '', 'default', 'Feed path', '', 'none'),
('8663', '', 'default', 'Feed row style', '', 'none'),
('8664', '', 'default', 'Create a block', '', 'none'),
('8665', '', 'default', 'of fields', '', 'none'),
('8666', '', 'default', 'of type', '', 'none'),
('8667', '', 'default', 'tagged with', '', 'none'),
('8668', '', 'default', 'Should links be displayed below each comment', '', 'none'),
('8669', '', 'default', 'with links (allow users to reply to the comment, etc.)', '', 'none'),
('8670', '', 'default', 'without links', '', 'none'),
('8671', '', 'default', 'teasers', '', 'none'),
('8672', '', 'default', 'full posts', '', 'none'),
('8673', '', 'default', 'titles', '', 'none'),
('8674', '', 'default', 'titles (linked)', '', 'none'),
('8675', '', 'default', 'Should links be displayed below each node', '', 'none'),
('8676', '', 'default', 'with links (allow users to add comments, etc.)', '', 'none'),
('8677', '', 'default', 'Should comments be displayed below each node', '', 'none'),
('8678', '', 'default', 'Number of hits', '', '7.34'),
('8679', '', 'default', 'Use path alias', '', 'none'),
('8680', '', 'default', 'Unsorted', '', 'none'),
('8681', '', 'default', 'Aggregation type', '', 'none'),
('8682', '', 'default', 'Use replacement tokens from the first row', '', 'none'),
('8683', '', 'default', 'Allow multiple filter values to work together', '', 'none'),
('8684', '', 'default', 'Customize field HTML', '', 'none'),
('8685', '', 'default', 'You may use token substitutions from the rewriting section in this class.', '', 'none'),
('8686', '', 'default', 'Customize label HTML', '', 'none'),
('8687', '', 'default', 'Customize field and label wrapper HTML', '', 'none'),
('8688', '', 'default', 'Choose the HTML element to wrap around this field and label, e.g. H1, H2, etc. This may not be used if the field and label are not rendered together, such as with a table.', '', 'none'),
('8689', '', 'default', 'Remove whitespace', '', 'none'),
('8690', '', 'default', 'If checked, all whitespaces at the beginning and the end of the output will be removed.', '', 'none'),
('8691', '', 'default', 'Hide rewriting if empty', '', 'none'),
('8692', '', 'default', 'Do not display rewritten content if this field is empty.', '', 'none'),
('8693', '', 'default', 'Thousands marker', '', 'none'),
('8694', '', 'default', 'Expose this filter to visitors, to allow them to change it', '', 'none'),
('8695', '', 'default', 'Representative sort order', '', 'none'),
('8696', '', 'default', 'Subquery namespace', '', 'none'),
('8697', '', 'default', 'Representative view', '', 'none'),
('8698', '', 'default', 'Generate subquery each time view is run.', '', 'none'),
('8699', '', 'default', 'Expose this sort to visitors, to allow them to change it', '', 'none'),
('8700', '', 'default', 'This display is disabled.', '', 'none'),
('8701', '', 'default', 'This view has been automatically updated to fix missing relationships. While this View should continue to work, you should verify that the automatic updates are correct and save this view.', '', 'none'),
('8702', '', 'default', 'reorder displays', '', 'none'),
('8703', '', 'default', 'Error: Display @display refers to a plugin named ''@plugin'', but that plugin is not available.', '', 'none'),
('8704', '', 'default', 'enable @display_title', '', 'none'),
('8705', '', 'default', 'view @display', '', 'none'),
('8706', '', 'default', 'clone @display_title', '', 'none'),
('8707', '', 'default', 'delete @display_title', '', 'none'),
('8708', '', 'default', 'disable @display_title', '', 'none'),
('8709', '', 'default', 'undo delete of @display_title', '', 'none'),
('8710', '', 'default', 'That view is not compatible with this version of Views.\n      If you have a view from views1 you have to go to a drupal6 installation and import it there.', '', 'none'),
('8711', '', 'default', 'The selected style or row format does not utilize fields.', '', 'none'),
('8712', '', 'default', 'Aggregation settings', '', 'none'),
('8713', '', 'default', 'Display extenders', '', 'none'),
('8714', '', 'default', 'Select extensions of the views interface.', '', 'none'),
('8715', '', 'default', 'Configure aggregation settings for @type %item', '', 'none'),
('8716', '', 'default', 'Select the aggregation function to use on this field.', '', 'none'),
('8717', '', 'default', 'Reply to', '', '7.38'),
('8718', '', 'default', ' new', '', '7.41'),
('8719', '', 'default', 'No backlinks found.', '', '7.34'),
('8720', '', 'default', 'Pages that link to %1', '', '7.34'),
('8721', '', 'default', 'Popular (page)', '', '7.34'),
('8722', '', 'default', 'Today (page)', '', '7.34'),
('8723', '', 'default', 'Popular (block)', '', '7.34'),
('8724', '', 'default', 'Today (block)', '', '7.34'),
('8725', '', 'default', 'Today''s popular content', '', '7.34'),
('8726', '', 'default', 'If checked, multiple values for this field will be shown in the same row. If not checked, each value in this field will create a new row. If using group by, please make sure to group by "Entity ID" for this setting to have any effect.', '', 'none'),
('8727', '', 'default', 'Display an icon representing the file type, instead of the MIME text (such as "image/jpeg")', '', 'none'),
('8728', '', 'default', 'Load default filter from node page, that''s good for related taxonomy blocks', '', 'none'),
('8729', '', 'default', 'Path component', '', 'none'),
('8730', '', 'default', 'The numbering starts from 1, e.g. on the page admin/structure/types, the 3rd path component is "types".', '', 'none'),
('8731', '', 'default', 'Use aggregation', '', 'none'),
('8732', '', 'default', 'Display title may not be empty.', '', 'none'),
('8733', '', 'default', 'When the filter value is <em>NOT</em> available', '', 'none'),
('8734', '', 'default', 'When the filter value <em>IS</em> available or a default is provided', '', 'none'),
('8735', '', 'default', 'This display does not have a source for contextual filters, so no contextual filter value will be available unless you select ''Provide default''.', '', 'none'),
('8736', '', 'default', 'The number of items to display. Enter 0 for no limit.', '', 'none'),
('8737', '', 'default', 'The contextual filter values is provided by the URL.', '', 'none'),
('8738', '', 'default', 'Autosubmit', '', 'none'),
('8739', '', 'default', 'Automatically submit the form once an element is changed.', '', 'none'),
('8740', '', 'default', 'Hide submit button if javascript is enabled.', '', 'none'),
('8741', '', 'default', 'Query Comment', '', 'none'),
('8742', '', 'default', 'If set, this comment will be embedded in the query and passed to the SQL server. This can be helpful for logging or debugging.', '', 'none'),
('8743', '', 'default', 'When needed, add the field language condition to the query', '', 'none'),
('8744', '', 'default', 'Count DISTINCT', '', '7.41'),
('8745', '', 'default', 'Provide default field wrapper elements', '', 'none'),
('8746', '', 'default', 'Inline fields will be displayed next to each other rather than one after another. Note that some fields will ignore this if they are block elements, particularly body fields and other formatted HTML.', '', 'none'),
('8747', '', 'default', 'Hide the "Go" button', '', 'none'),
('8748', '', 'default', 'Select the current contextual filter value', '', 'none'),
('8749', '', 'default', 'Show the empty text in the table', '', 'none'),
('8750', '', 'default', 'The field that is going to be used as the RSS item title for each row.', '', 'none'),
('8751', '', 'default', 'The field that is going to be used as the RSS item link for each row. This must be a drupal relative path.', '', 'none'),
('8752', '', 'default', 'The field that is going to be used as the RSS item description for each row.', '', 'none'),
('8753', '', 'default', 'Creator field', '', 'none'),
('8754', '', 'default', 'The field that is going to be used as the RSS item creator for each row.', '', 'none'),
('8755', '', 'default', 'Publication date field', '', 'none'),
('8756', '', 'default', 'Row style plugin requires specifying which views fields to use for RSS item.', '', 'none'),
('8757', '', 'default', 'Hide empty column', '', 'none'),
('8758', '', 'default', 'The operator is invalid on filter: @filter.', '', 'none'),
('8759', '', 'default', 'No valid values found on filter: @filter.', '', 'none'),
('8760', '', 'default', 'The value @value is not an array for @operator on filter: @filter', '', 'none'),
('8761', '', 'default', 'Specify which display or custom url this display will link to.', '', 'none'),
('8762', '', 'default', '<p>The following tokens are available for this link.</p>', '', 'none'),
('8763', '', 'default', 'A Drupal path or external URL the more link will point to. Note that this will override the link display setting above.', '', 'none'),
('8764', '', 'default', '@view : @display', '', 'none'),
('8765', '', 'default', 'View: @view - Display: @display', '', 'none'),
('8766', '', 'default', 'Transform the case', '', 'none'),
('8767', '', 'default', 'When printing url paths, how to transform the case of the filter value.', '', 'none'),
('8768', '', 'default', 'Edit the administrative label displayed when referencing this relationship from filters, etc.', '', 'none'),
('8769', '', 'default', 'Representative sort criteria', '', 'none'),
('8770', '', 'default', 'The ordering to use for the sort criteria selected above.', '', 'none'),
('8771', '', 'default', 'And/Or, Rearrange', '', 'none'),
('8772', '', 'default', 'Optionally, enter a comma delimited list of tags for this view to use in filtering and sorting views on the administrative page.', '', 'none'),
('8773', '', 'default', 'Custom admin theme for the Views UI', '', 'none'),
('8774', '', 'default', 'In some cases you might want to select a different admin theme for the Views UI.', '', 'none'),
('8775', '', 'default', 'First and last only', '', 'none'),
('8776', '', 'default', 'Use formatted username', '', 'none'),
('8777', '', 'default', 'If checked, the username will be formatted by the system. If unchecked, it will be displayed raw.', '', 'none'),
('8778', '', 'default', 'Link to user''s profile', '', 'none'),
('8779', '', 'default', 'Use a pager', '', 'none'),
('8780', '', 'default', 'Tokens related to views.', '', 'none'),
('8781', '', 'default', 'The human-readable name of the view.', '', 'none'),
('8782', '', 'default', 'The description of the view.', '', 'none'),
('8783', '', 'default', 'The machine-readable name of the view.', '', 'none'),
('8784', '', 'default', 'The title of current display of the view.', '', 'none'),
('8785', '', 'default', 'The URL of the view.', '', 'none'),
('8786', '', 'default', '-Select-', '', 'none'),
('8787', '', 'default', 'Text to place as "title" text which most browsers display as a tooltip when hovering over the link.', '', 'none'),
('8788', '', 'default', 'Enable to hide this field if it is empty. Note that the field label or rewritten output may still be displayed. To hide labels, check the style or row style settings for empty fields. To hide rewritten content, check the "Hide rewriting if empty" checkbox.', '', 'none'),
('8789', '', 'default', 'Apostrophe', '', 'none'),
('8790', '', 'default', 'Enable views performance statistics/debug messages via the Devel module', '', 'none'),
('8791', '', 'default', 'Check this to enable some Views query and performance statistics/debug messages <em>if Devel is installed</em>.', '', 'none'),
('8792', '', 'default', 'Devel message(dpm)', '', 'none'),
('8793', '', 'default', 'Page region to output performance statistics/debug messages', '', 'none'),
('8794', '', 'default', 'Link field to the node if there is no comment.', '', 'none'),
('8795', '', 'default', 'Convert spaces in term names to hyphens', '', 'none'),
('8796', '', 'default', 'This allows links to work with Views taxonomy term arguments.', '', 'none'),
('8797', '', 'default', 'Use rendered output to group rows', '', 'none'),
('8798', '', 'default', 'If enabled the rendered output of the grouping field is used to group the rows.', '', 'none'),
('8799', '', 'default', 'Replace an existing view if one exists with the same name', '', 'none'),
('8800', '', 'default', 'You may use HTML code in this field. The following tokens are supported:', '', 'none'),
('8801', '', 'default', 'Use site default RSS settings', '', 'none'),
('8802', '', 'default', 'Display list value as human readable', '', 'none'),
('8803', '', 'default', 'Displays the link in contextual links', '', 'none'),
('8804', '', 'default', 'Grouping field Nr.@number', '', 'none'),
('8805', '', 'default', 'Add a read-more link if output is trimmed.', '', 'none'),
('8806', '', 'default', 'If checked, a read-more link will be added at the end of the trimmed output', '', 'none'),
('8807', '', 'default', 'The text which will be displayed on the more link. You may enter data from this view as per the "Replacement patterns" above.', '', 'none'),
('8808', '', 'default', 'The path which is used for the more link. You may enter data from this view as per the "Replacement patterns" above.', '', 'none'),
('8809', '', 'default', 'Display field as machine name.', '', 'none'),
('8810', '', 'default', 'Show the embed display in the ui.', '', 'none'),
('8811', '', 'default', 'Allow advanced user to use the embed view display. The plugin itself works if it''s not visible in the ui', '', 'none'),
('8812', '', 'default', 'All Views-generated queries will include the name of the views and display ''view-name:display-name'' as a string  at the end of the SELECT clause. This makes identifying Views queries in database server logs simpler, but should only be used when troubleshooting.', '', 'none'),
('8813', '', 'default', 'Only has the ''authenticated user'' role', '', 'none'),
('8814', '', 'default', 'Has roles in addition to ''authenticated user''', '', 'none'),
('8815', '', 'default', 'Please insert the items per page (@items_per_page) from above.', '', 'none'),
('8816', '', 'default', 'Remove tags from rendered output', '', 'none'),
('8817', '', 'default', 'Fields to be included as contextual links.', '', 'none'),
('8818', '', 'default', 'Include destination', '', 'none'),
('8819', '', 'default', 'Include a "destination" parameter in the link to return the user to the original view upon completing the contextual action.', '', 'none'),
('8820', '', 'default', '<p>The following tokens are available for this field. Note that due to rendering order, you cannot use fields that come after this field; if you need a field not listed here, rearrange your fields.\nIf you would like to have the characters ''['' and '']'' please use the html entity codes ''%5B'' or  ''%5D'' or they will get replaced with empty space.</p>', '', 'none'),
('8821', '', 'default', '@date_format format', '', 'none'),
('8822', '', 'default', 'Timezone to be used for date output.', '', 'none'),
('8823', '', 'default', '- Default site/user timezone -', '', 'none'),
('8824', '', 'default', 'Enter mathematical expressions such as 2 + 2 or sqrt(5). You may assign variables and create mathematical functions and evaluate them. Use the ; to separate these. For example: f(x) = x + 2; f(2).', '', 'none'),
('8825', '', 'default', 'Grouped filters allow a choice between predefined operator|value pairs.', '', 'none'),
('8826', '', 'default', 'Filter type to expose', '', 'none'),
('8827', '', 'default', 'Single filter', '', 'none'),
('8828', '', 'default', 'Grouped filters', '', 'none'),
('8829', '', 'default', 'Select which kind of widget will be used to render the group of filters', '', 'none'),
('8830', '', 'default', 'grouped', '', 'none'),
('8831', '', 'default', 'Choose fields to combine for filtering', '', 'none'),
('8832', '', 'default', 'You have to add some fields to be able to use this filter.', '', 'none'),
('8833', '', 'default', '@entity types', '', 'none'),
('8834', '', 'default', 'Sort within each hierarchy level', '', 'none'),
('8835', '', 'default', 'There is no lock on view %name to break.', '', 'none'),
('8836', '', 'default', 'This display has one or more validation errors; please review it.', '', 'none'),
('8837', '', 'default', 'Bypass view validation', '', 'none'),
('8838', '', 'default', 'Bypass the validation of plugins and handlers when importing this view.', '', 'none'),
('8839', '', 'default', '&lt;Any&gt;', '', 'none'),
('8840', '', 'default', 'There are no enabled views.', '', 'none'),
('8841', '', 'default', 'Column used for click sorting', '', 'none'),
('8842', '', 'default', 'Use path alias instead of internal path.', '', 'none'),
('8843', '', 'default', 'Length of time in seconds raw query results should be cached.', '', 'none'),
('8844', '', 'default', 'Length of time in seconds rendered HTML output should be cached.', '', 'none'),
('8845', '', 'default', 'Custom time values must be numeric.', '', 'none'),
('8846', '', 'default', 'Hide contextual links', '', 'none'),
('8847', '', 'default', 'Change whether or not to display contextual links for this view.', '', 'none'),
('8848', '', 'default', 'Hide contextual links on this view.', '', 'none'),
('8849', '', 'default', 'This will add a more link to the bottom of this view, which will link to the page view. If you have more than one page view, the link will point to the display specified in ''Link display'' section under advanced. You can override the url at the link display setting.', '', 'none'),
('8850', '', 'default', 'Display ''more'' link only if there is more content', '', 'none'),
('8851', '', 'default', 'Leave this unchecked to display the ''more'' link even if there are no more items to display.', '', 'none'),
('8852', '', 'default', 'View: !view: !display', '', '7.41'),
('8853', '', 'default', 'Exposed filters in block displays require "Use AJAX" to be set to work correctly.', '', 'none'),
('8854', '', 'default', 'Number of pager links visible', '', 'none'),
('8855', '', 'default', 'Specify the number of links to pages to display in the pager.', '', 'none'),
('8856', '', 'default', 'A lists of labels for the controls in the pager', '', 'none'),
('8857', '', 'default', 'Text for "first"-link', '', 'none'),
('8858', '', 'default', 'Text for "previous"-link', '', 'none'),
('8859', '', 'default', 'Text for "next"-link', '', 'none'),
('8860', '', 'default', 'Text for "last"-link', '', 'none'),
('8861', '', 'default', 'Pure Distinct', '', 'none'),
('8862', '', 'default', 'This will prevent views from adding the base column to the distinct field. If this is not selected and the base column is a primary key, then a non-pure distinct will not function properly because the primary key is always unique.', '', 'none'),
('8863', '', 'default', 'Query Tags', '', 'none'),
('8864', '', 'default', 'If set, these tags will be appended to the query and can be used to identify the query in a module. This can be helpful for altering queries.', '', 'none'),
('8865', '', 'default', 'The query tags may only contain lower-case alphabetical characters and underscores.', '', 'none'),
('8866', '', 'default', 'The field that is going to be used as the RSS item pubDate for each row. It needs to be in RFC 2822 format.', '', 'none'),
('8867', '', 'default', 'GUID settings', '', 'none'),
('8868', '', 'default', 'GUID field', '', 'none'),
('8869', '', 'default', 'The globally unique identifier of the RSS item.', '', 'none'),
('8870', '', 'default', 'GUID is permalink', '', 'none'),
('8871', '', 'default', 'The RSS item GUID is a permalink.', '', 'none'),
('8872', '', 'default', 'Add views row classes', '', 'none'),
('8873', '', 'default', 'Add the default row classes like views-row-1 to the output. You can use this to quickly reduce the amount of markup the view provides by default, at the cost of making it more difficult to apply CSS.', '', 'none'),
('8874', '', 'default', 'Add striping (odd/even), first/last row classes', '', 'none'),
('8875', '', 'default', 'Add css classes to the first and last line, as well as odd/even classes for striping.', '', 'none'),
('8876', '', 'default', 'Force using fields', '', 'none'),
('8877', '', 'default', 'If neither the row nor the style plugin supports fields, this field allows to enable them, so you can for example use groupby.', '', 'none'),
('8878', '', 'default', 'Expose sort order', '', 'none'),
('8879', '', 'default', 'Allow the user to choose the sort order. If sort order is not exposed, the sort criteria settings for each sort will determine its order.', '', 'none'),
('8880', '', 'default', 'Short description of table', '', 'none'),
('8881', '', 'default', 'Include a caption for better accessibility of your table.', '', 'none'),
('8882', '', 'default', 'Use a custom %field_name', '', 'none'),
('8883', '', 'default', 'No path is set', '', 'none'),
('8884', '', 'default', 'If you <a href="@modules">enable the advanced help module</a>, Views will provide more and better help. <a href="@hide">You can disable this message at the Views settings page.</a>', '', 'none'),
('8885', '', 'default', 'If you install the advanced help module from !href, Views will provide more and better help. <a href="@hide">You can disable this message at the Views settings page.</a>', '', 'none'),
('8886', '', 'default', 'Hide menu tab', '', 'none'),
('8887', '', 'default', 'Font', '', '7.42'),
('8888', '', 'default', 'Background Color', '', 'none'),
('8889', '', 'default', 'BBCode', '', '7.42'),
('8890', '', 'default', 'Flash', '', 'none'),
('8891', '', 'default', 'Smiley', '', 'none'),
('8892', '', 'default', 'CSS', '', 'none'),
('8893', '', 'default', 'Basic setup', '', 'none'),
('8894', '', 'default', 'Allow users to choose default', '', 'none'),
('8895', '', 'default', 'Buttons and plugins', '', 'none'),
('8896', '', 'default', 'Editor appearance', '', 'none'),
('8897', '', 'default', 'Toolbar location', '', 'none'),
('8898', '', 'default', 'Path location', '', 'none'),
('8899', '', 'default', 'Enable resizing button', '', 'none'),
('8900', '', 'default', 'Block formats', '', 'none'),
('8901', '', 'default', 'Cleanup and output', '', 'none'),
('8902', '', 'default', 'Verify HTML', '', 'none'),
('8903', '', 'default', 'Convert &lt;font&gt; tags to styles', '', 'none'),
('8904', '', 'default', 'Remove linebreaks', '', 'none'),
('8905', '', 'default', 'Apply source formatting', '', 'none'),
('8906', '', 'default', 'Editor CSS', '', 'none'),
('8907', '', 'default', 'CSS path', '', 'none'),
('8908', '', 'default', 'CSS classes', '', 'none'),
('8909', '', 'default', 'Word count', '', '7.42'),
('8910', '', 'default', 'Replace', '', '7.42'),
('8911', '', 'default', 'Font size', '', '7.42'),
('8912', '', 'default', 'Superscript', '', '7.42'),
('8913', '', 'default', 'Show blocks', '', 'none'),
('8914', '', 'default', 'Copy', '', '7.42'),
('8915', '', 'default', 'Redo', '', '7.42'),
('8916', '', 'default', 'Editor', '', 'none'),
('8917', '', 'default', 'Source code', '', '7.42'),
('8918', '', 'default', 'Subscript', '', '7.42'),
('8919', '', 'default', 'Indent', '', '7.42'),
('8920', '', 'default', 'Outdent', '', '7.42'),
('8921', '', 'default', 'Unlink', '', '7.42'),
('8922', '', 'default', 'Bullet list', '', '7.42'),
('8923', '', 'default', 'Blockquote', '', '7.42'),
('8924', '', 'default', 'Interface language', '', 'none'),
('8925', '', 'default', 'Cut', '', '7.42'),
('8926', '', 'default', 'Paste', '', '7.42'),
('8927', '', 'default', 'Button alignment', '', 'none'),
('8928', '', 'default', 'Example:', '', 'none'),
('8929', '', 'default', 'iFrame', '', 'none'),
('8930', '', 'default', 'Citation', '', '7.42'),
('8931', '', 'default', 'Numbered list', '', '7.42'),
('8932', '', 'default', 'Not installed.', '', 'none'),
('8933', '', 'default', 'Teaser break', '', '7.42'),
('8934', '', 'default', '%editor profile for %format', '', 'none'),
('8935', '', 'default', 'Enabled by default', '', 'none'),
('8936', '', 'default', 'The default editor state for users having access to this profile. Users are able to override this state if the next option is enabled.', '', 'none'),
('8937', '', 'default', 'If allowed, users will be able to choose their own editor default state in their user account settings.', '', 'none'),
('8938', '', 'default', 'Show <em>enable/disable rich text</em> toggle link', '', 'none'),
('8939', '', 'default', 'Whether or not to show the <em>enable/disable rich text</em> toggle link below a textarea. If disabled, the user setting or global default is used (see above).', '', 'none'),
('8940', '', 'default', 'This option controls whether the editor toolbar is displayed above or below the editing area.', '', 'none'),
('8941', '', 'default', 'This option controls the alignment of icons in the editor toolbar.', '', 'none'),
('8942', '', 'default', 'Where to display the path to HTML elements (i.e. <code>body > table > tr > td</code>).', '', 'none'),
('8943', '', 'default', 'This option gives you the ability to enable/disable the resizing button. If enabled, the Path location toolbar must be set to "Top" or "Bottom" in order to display the resize icon.', '', 'none'),
('8944', '', 'default', 'If enabled, potentially malicious code like <code>&lt;HEAD&gt;</code> tags will be removed from HTML contents.', '', 'none'),
('8945', '', 'default', 'If enabled, the editor will insert TAB characters on tab and preserve other whitespace characters just like a PRE element in HTML does.', '', 'none'),
('8946', '', 'default', 'If enabled, HTML tags declaring the font size, font family, font color and font background color will be replaced by inline CSS styles.', '', 'none'),
('8947', '', 'default', 'If enabled, the editor will remove most linebreaks from contents. Disabling this option could avoid conflicts with other input filters.', '', 'none'),
('8948', '', 'default', 'If enabled, the editor will re-format the HTML source code. Disabling this option could avoid conflicts with other input filters.', '', 'none'),
('8949', '', 'default', 'Force cleanup on standard paste', '', 'none'),
('8950', '', 'default', 'If enabled, the default paste function (CTRL-V or SHIFT-INS) behaves like the "paste from word" plugin function.', '', 'none'),
('8951', '', 'default', 'Comma separated list of HTML block formats. Possible values: <code>@format-list</code>.', '', 'none'),
('8952', '', 'default', 'Use theme CSS', '', 'none'),
('8953', '', 'default', 'Define CSS', '', 'none'),
('8954', '', 'default', 'Editor default CSS', '', 'none'),
('8955', '', 'default', 'Defines the CSS to be used in the editor area.<br />Use theme CSS - loads stylesheets from current site theme.<br/>Define CSS - enter path for stylesheet files below.<br />Editor default CSS - uses default stylesheets from editor.', '', 'none'),
('8956', '', 'default', 'If "Define CSS" was selected above, enter path to a CSS file or a list of CSS files separated by a comma.', '', 'none'),
('8957', '', 'default', 'Available tokens: <code>%b</code> (base path, eg: <code>/</code>), <code>%t</code> (path to theme, eg: <code>themes/garland</code>)', '', 'none'),
('8958', '', 'default', 'Optionally define CSS classes for the "Font style" dropdown list.<br />Enter one class on each line in the format: !format. Example: !example<br />If left blank, CSS classes are automatically imported from all loaded stylesheet(s).', '', 'none'),
('8959', '', 'default', 'Wysiwyg profile for %format has been saved.', '', 'none'),
('8960', '', 'default', 'No editor', '', 'none'),
('8961', '', 'default', '<a href="!vendor-url">@editor</a> (<a href="!download-url">Download</a>)', '', 'none'),
('8962', '', 'default', 'Extract the archive and copy its contents into a new folder in the following location:<br /><code>@editor-path</code>', '', 'none'),
('8963', '', 'default', 'So the actual library can be found at:<br /><code>@library-filepath</code>', '', 'none'),
('8964', '', 'default', 'Installation instructions', '', 'none'),
('8965', '', 'default', 'There are no editor libraries installed currently. The following list contains a list of currently supported editors:', '', 'none'),
('8966', '', 'default', 'Are you sure you want to remove the profile for %name?', '', 'none'),
('8967', '', 'default', 'Wysiwyg profile for %name has been deleted.', '', 'none'),
('8968', '', 'default', 'Wysiwyg', '', 'none'),
('8969', '', 'default', 'Disable rich-text', '', '7.42'),
('8970', '', 'default', 'Enable rich-text', '', '7.42'),
('8971', '', 'default', 'The version of %editor could not be detected.', '', 'none'),
('8972', '', 'default', 'The installed version %version of %editor is not supported.', '', 'none'),
('8973', '', 'default', 'Strike-through', '', '7.42'),
('8974', '', 'default', 'Align left', '', '7.42'),
('8975', '', 'default', 'Align center', '', '7.42'),
('8976', '', 'default', 'Align right', '', '7.42'),
('8977', '', 'default', 'Forecolor', '', '7.42'),
('8978', '', 'default', 'Backcolor', '', '7.42'),
('8979', '', 'default', 'Horizontal rule', '', '7.42'),
('8980', '', 'default', 'Paste Text', '', 'none'),
('8981', '', 'default', 'Paste from Word', '', '7.42'),
('8982', '', 'default', 'Remove format', '', '7.42'),
('8983', '', 'default', 'Character map', '', '7.42'),
('8984', '', 'default', 'HTML block format', '', 'none'),
('8985', '', 'default', 'Font style', '', 'none'),
('8986', '', 'default', 'Create DIV container', '', 'none'),
('8987', '', 'default', 'FitWindow', '', 'none'),
('8988', '', 'default', 'Check spelling', '', 'none'),
('8989', '', 'default', 'Autogrow', '', 'none'),
('8990', '', 'default', 'Table drag/resize', '', 'none'),
('8991', '', 'default', 'Table: Cell properties', '', 'none'),
('8992', '', 'default', 'Table: Insert row after', '', 'none'),
('8993', '', 'default', 'Table: Insert column after', '', 'none'),
('8994', '', 'default', 'Table: Insert cell after', '', 'none'),
('8995', '', 'default', 'Table: Delete rows', '', 'none'),
('8996', '', 'default', 'Table: Delete columns', '', 'none'),
('8997', '', 'default', 'Table: Delete cells', '', 'none'),
('8998', '', 'default', 'Table: Merge cells', '', 'none'),
('8999', '', 'default', 'Table: Horizontal split cell', '', 'none'),
('9000', '', 'default', 'Sup', '', 'none'),
('9001', '', 'default', 'Sub', '', 'none'),
('9002', '', 'default', 'Clean-up', '', '7.42'),
('9003', '', 'default', 'Visual aid', '', '7.42'),
('9004', '', 'default', 'Fullscreen', '', '7.42'),
('9005', '', 'default', 'Advanced horizontal rule', '', '7.42'),
('9006', '', 'default', 'Advanced image', '', '7.42'),
('9007', '', 'default', 'Advanced link', '', '7.42'),
('9008', '', 'default', 'Auto save', '', '7.42'),
('9009', '', 'default', 'Context menu', '', '7.42'),
('9010', '', 'default', 'Left-to-right', '', '7.42'),
('9011', '', 'default', 'Right-to-left', '', '7.42'),
('9012', '', 'default', 'Emotions', '', '7.42'),
('9013', '', 'default', 'Inline popups', '', '7.42');
INSERT INTO `locales_source` VALUES
('9014', '', 'default', 'Insert date', '', '7.42'),
('9015', '', 'default', 'Insert time', '', '7.42'),
('9016', '', 'default', 'Insert layer', '', '7.42'),
('9017', '', 'default', 'Move forward', '', '7.42'),
('9018', '', 'default', 'Move backward', '', '7.42'),
('9019', '', 'default', 'Absolute', '', '7.42'),
('9020', '', 'default', 'Paste text', '', '7.42'),
('9021', '', 'default', 'Safari compatibility', '', 'none'),
('9022', '', 'default', 'Spell check', '', 'none'),
('9023', '', 'default', 'Font Color', '', 'none'),
('9024', '', 'default', 'Show/hide hidden elements', '', 'none'),
('9025', '', 'default', 'Separate the teaser and body of this content', '', '7.42'),
('9026', '', 'default', 'HTML attributes', '', '7.42'),
('9027', '', 'default', 'Div container', '', 'none'),
('9028', '', 'default', 'Maximize', '', 'none'),
('9029', '', 'default', 'Check spelling as you type', '', 'none'),
('9030', '', 'default', 'Advanced list', '', '7.42'),
('9031', '', 'default', 'To assign a different editor to a text format, click "delete" to remove the existing first.', '', 'none'),
('9032', '', 'default', 'Auto resize', '', '7.42'),
('9033', '', 'default', 'Text formats enabled for rich-text editing', '', 'none'),
('9034', '', 'default', 'Allows to edit content with client-side editors.', '', '7.34'),
('9035', '', 'default', 'Top center', '', 'none'),
('9036', '', 'default', 'Bottom center', '', 'none'),
('9037', '', 'default', 'update.php', '', 'none'),
('9038', '', 'default', 'authorize.php', '', 'none'),
('9039', '', 'default', 'Center left', '', 'none'),
('9040', '', 'default', 'Center right', '', 'none'),
('9041', '', 'default', 'Public files directory', '', '7.34'),
('9042', '', 'default', 'Private files directory', '', '7.34'),
('9043', '', 'default', 'Invalid or missing cache bin specified: %bin', '', 'none'),
('9044', '', 'default', 'More information about setting up scheduled tasks can be found by <a href="@url">reading the cron tutorial on drupal.org</a>.', '', 'none'),
('9045', '', 'default', 'Not fully protected', '', 'none'),
('9046', '', 'default', 'See <a href="@url">@url</a> for information about the recommended .htaccess file which should be added to the %directory directory to help protect against arbitrary code execution.', '', 'none'),
('9047', '', 'default', 'Influence', '', 'none'),
('9048', '', 'default', 'Link %label does not exist on @url_before', '', 'none'),
('9049', '', 'default', 'Enabled components', '', 'none'),
('9050', '', 'default', 'Icon menu', '', 'none'),
('9051', '', 'default', 'Link to node', '', 'none'),
('9052', '', 'default', 'You must select a user.', '', 'none'),
('9053', '', 'default', 'Comment settings on the Node form.', '', '7.34'),
('9054', '', 'default', 'Response code', '', 'none'),
('9055', '', 'default', 'A relcontext object.', '', 'none'),
('9056', '', 'default', 'Adds a relcontext from existing simplecontext.', '', 'none'),
('9057', '', 'default', 'HTTP response code', '', 'none'),
('9058', '', 'default', 'Chaos tools', '', 'none'),
('9059', '', 'default', 'Everything in the form that is not displayed by other content.', '', '7.34'),
('9060', '', 'default', '"@s" created date', '', 'none'),
('9061', '', 'default', 'Without pager.', '', 'none'),
('9062', '', 'default', 'Select the number of items to display, or 0 to display all results.', '', 'none'),
('9063', '', 'default', 'Title override', '', 'none'),
('9064', '', 'default', 'Inherit path from panel display', '', 'none'),
('9065', '', 'default', 'Chaos Tools (CTools) Plugin Example', '', 'none'),
('9066', '', 'default', 'Creates a "simplecontext" from the arg.', '', 'none'),
('9067', '', 'default', 'CTools example no context content type', '', 'none'),
('9068', '', 'default', 'CTools example relcontext content type', '', 'none'),
('9069', '', 'default', 'A single "simplecontext" context, or data element.', '', 'none'),
('9070', '', 'default', 'Add the help text of the current page as content.', '', '7.34'),
('9071', '', 'default', 'Add the status messages of the current page as content.', '', '7.34'),
('9072', '', 'default', 'Add the tabs (local tasks) as content.', '', '7.34'),
('9073', '', 'default', '\n    This is a block of data created by the Relcontent content type.\n    Data in the block may be assembled from static text (like this) or from the\n    content type settings form ($conf) for the content type, or from the context\n    that is passed in. <br />\n    In our case, the configuration form ($conf) has just one field, ''config_item_1;\n    and it''s configured with:\n    ', '', 'none'),
('9074', '', 'default', '\n    This is a block of data created by the Simplecontext content type.\n    Data in the block may be assembled from static text (like this) or from the\n    content type settings form ($conf) for the content type, or from the context\n    that is passed in. <br />\n    In our case, the configuration form ($conf) has just one field, ''config_item_1;\n    and it''s configured with:\n    ', '', 'none'),
('9075', '', 'default', 'Add the logo trail as content.', '', '7.34'),
('9076', '', 'default', 'Add the primary_links (local tasks) as content.', '', '7.34'),
('9077', '', 'default', 'Add the secondary_links (local tasks) as content.', '', '7.34'),
('9078', '', 'default', 'Create custom, exportable, reusable access rulesets for applications like Panels.', '', 'none'),
('9079', '', 'default', 'Create custom, exportable, reusable content panes for applications like Panels.', '', 'none'),
('9080', '', 'default', '@plugin code', '', 'none'),
('9081', '', 'default', 'Allow import to overwrite an existing record.', '', 'none'),
('9082', '', 'default', 'Display the view pager if there are no results.', '', '7.34'),
('9083', '', 'default', '"@context" pager', '', 'none'),
('9084', '', 'default', 'Row @number', '', 'none'),
('9085', '', 'default', 'Row number', '', 'none'),
('9086', '', 'default', 'Pick an animal', '', 'none'),
('9087', '', 'default', 'Delete this row', '', 'none'),
('9088', '', 'default', 'Go to your account', '', 'none'),
('9089', '', 'default', 'Choose animal', '', 'none'),
('9090', '', 'default', 'Configure animal', '', 'none'),
('9091', '', 'default', 'Sheep', '', 'none'),
('9092', '', 'default', 'Configure sheep', '', 'none'),
('9093', '', 'default', 'Lizard', '', 'none'),
('9094', '', 'default', 'Configure lizard', '', 'none'),
('9095', '', 'default', 'Configure raptor', '', 'none'),
('9096', '', 'default', 'Choose your animal', '', 'none'),
('9097', '', 'default', 'Name your sheep', '', 'none'),
('9098', '', 'default', 'What kind of sheep', '', 'none'),
('9099', '', 'default', 'Wensleydale', '', 'none'),
('9100', '', 'default', 'Merino', '', 'none'),
('9101', '', 'default', 'Corriedale', '', 'none'),
('9102', '', 'default', 'Coriedale', '', 'none'),
('9103', '', 'default', 'You have a @type sheep named "@name".', '', 'none'),
('9104', '', 'default', 'Name your lizard', '', 'none'),
('9105', '', 'default', 'Venomous', '', 'none'),
('9106', '', 'default', 'You have a @type lizard named "@name".', '', 'none'),
('9107', '', 'default', 'non-venomous', '', 'none'),
('9108', '', 'default', 'venomous', '', 'none'),
('9109', '', 'default', 'Name your raptor', '', 'none'),
('9110', '', 'default', 'What kind of raptor', '', 'none'),
('9111', '', 'default', 'Eagle', '', 'none'),
('9112', '', 'default', 'Hawk', '', 'none'),
('9113', '', 'default', 'Owl', '', 'none'),
('9114', '', 'default', 'Buzzard', '', 'none'),
('9115', '', 'default', 'Domesticated', '', 'none'),
('9116', '', 'default', 'You have a @type @raptor named "@name".', '', 'none'),
('9117', '', 'default', 'wild', '', 'none'),
('9118', '', 'default', 'domesticated', '', 'none'),
('9119', '', 'default', 'Jump!', '', 'none'),
('9120', '', 'default', 'Animal', '', 'none'),
('9121', '', 'default', 'Administer custom content', '', 'none'),
('9122', '', 'default', 'There are no wizards available at this time.', '', 'none'),
('9123', '', 'default', 'Change general settings for this variant.', '', 'none'),
('9124', '', 'default', '403 Access denied', '', 'none'),
('9125', '', 'default', '301 Redirect', '', 'none'),
('9126', '', 'default', 'Inherit path', '', 'none'),
('9127', '', 'default', 'Enter the ID of an entity for this context.', '', 'none'),
('9128', '', 'default', 'Entity: bundle', '', 'none'),
('9129', '', 'default', '@entity: Bundle', '', 'none'),
('9130', '', 'default', 'Revision information.', '', 'none'),
('9131', '', 'default', '(Custom) Entity: Field Value', '', 'none'),
('9132', '', 'default', '@entity @type: @field Field', '', 'none'),
('9133', '', 'default', 'Is this the front page.', '', 'none'),
('9134', '', 'default', 'Enter the name or UID of a node', '', 'none'),
('9135', '', 'default', '''%name'' [user id %uid]', '', 'none'),
('9136', '', 'default', 'Limit rows', '', 'none'),
('9137', '', 'default', 'Select rows', '', 'none'),
('9138', '', 'default', 'Node: (un)published', '', 'none'),
('9139', '', 'default', '410 Gone', '', 'none'),
('9140', '', 'default', 'Google', '', 'none'),
('9141', '', 'default', 'jQuery', '', 'none'),
('9142', '', 'default', 'Microsoft', '', 'none'),
('9143', '', 'default', 'jQuery and jQuery UI CDN', '', 'none'),
('9144', '', 'default', 'Use jQuery and jQuery UI from a CDN. If the CDN is not available the local version of jQuery and jQuery UI will be used.', '', 'none'),
('9145', '', 'default', 'Update jQuery and jQuery UI to a more recent version.', '', '7.34'),
('9146', '', 'default', 'Configure how <a href="@jquery">jQuery</a> behaves on the site. Select which jQuery version, the compression level and whether or not to use a CDN.', '', 'none'),
('9147', '', 'default', 'Set a maximum length on the title field (applies only if Link Title is optional or required).  The maximum limit is 255 characters.', '', 'none'),
('9148', '', 'default', 'URL Display Cutoff value must be numeric.', '', 'none'),
('9149', '', 'default', 'The max length of the link title must be numeric.', '', 'none'),
('9150', '', 'default', 'The max length of the link title cannot be greater than 255 characters.', '', 'none'),
('9151', '', 'default', 'The URL of the link.', '', 'none'),
('9152', '', 'default', 'Checking will allow users to enter tokens in URLs and Titles on the entity edit form. This does not affect the field settings on this page.', '', 'none'),
('9153', '', 'default', 'Strip www. from domain', '', 'none'),
('9154', '', 'default', 'Leave www. in domain', '', 'none'),
('9155', '', 'default', 'Untitled skin', '', 'none'),
('9156', '', 'default', 'ClearType Background', '', 'none'),
('9157', '', 'default', 'Select the form of this filter value; if using term name, it is generally more efficient to convert it to a term ID and use Taxonomy: Term ID rather than Taxonomy: Term Name" as the filter.', '', 'none'),
('9158', '', 'default', 'Should this display inherit its contextual filter values from the parent display to which it is attached?', '', 'none'),
('9159', '', 'default', 'If checked, the current contextual filter value will be displayed as the default option in the jump menu, if applicable.', '', 'none'),
('9160', '', 'default', 'Attempted to create_view with values that have not been validated', '', 'none'),
('9161', '', 'default', 'Advanced. Enter a namespace for the subquery used by this relationship.', '', 'none'),
('9162', '', 'default', 'Advanced. Use another view to generate the relationship subquery. This allows you to use filtering and more than one sort. If you pick a view here, the sort options above are ignored. Your view must have the ID of its base as its only field, and should have some kind of sorting.', '', 'none'),
('9163', '', 'default', 'Will re-generate the subquery for this relationship every time the view is run, instead of only when these options are saved. Use for testing if you are making changes elsewhere. WARNING: seriously impairs performance.', '', 'none'),
('9164', '', 'default', 'You have configured display %display with a path which is an path alias as well. This might lead to unwanted effects so better use an internal path.', '', 'none'),
('9165', '', 'default', 'Ensure my table called but query has no ensure_table method.', '', 'none'),
('9166', '', 'default', 'Enter PHP code that returns TRUE or FALSE. No return is the same as FALSE, so be SURE to return something if you do not want to declare the argument invalid. Do not use &lt;?php ?&gt;. The argument to validate will be "$argument" and the view will be "$view". You may change the argument by setting "$handler->argument". You may change the title used for substitutions for this argument by setting "$handler->validated_title".', '', 'none'),
('9167', '', 'default', 'If not checked, fields that are not configured to customize their HTML elements will get no wrappers at all for their field, label and field + label wrappers. You can use this to quickly reduce the amount of markup the view provides by default, at the cost of making it more difficult to apply CSS.', '', 'none'),
('9168', '', 'default', 'Link the user picture to the user''s profile', '', 'none'),
('9169', '', 'default', 'The sort criteria is applied to the data brought in by the relationship to determine how a representative item is obtained for each row. For example, to show the most recent node for each user, pick ''Content: Updated date''.', '', 'none'),
('9170', '', 'default', 'No fields have been used in views yet.', '', 'none'),
('9171', '', 'default', 'Multiple-value handling', '', 'none'),
('9172', '', 'default', 'Filter to items that share all terms', '', 'none'),
('9173', '', 'default', 'Filter to items that share any term', '', 'none'),
('9174', '', 'default', 'Using <em>Default</em> will use the site-wide image style for user pictures set in the <a href="!account-settings">Account settings</a>.', '', 'none'),
('9175', '', 'default', 'You don''t have translatable entity types.', '', 'none'),
('9176', '', 'default', 'Devel logging (tmp://drupal_debug.txt)', '', 'none'),
('9177', '', 'default', 'Enter PHP code that returns a value to use for this filter. Do not use &lt;?php ?&gt;. You must return only a single value for just this filter. Some variables are available: the view object will be "$view". The argument handler will be "$argument", for example you may change the title used for substitutions for this argument by setting "argument->validated_title"".', '', 'none'),
('9178', '', 'default', 'Display the user with standard user view. It might be necessary to add a user-profile.tpl.php in your themes template folder, because the default <a href="@user-profile-api-link">user-profile</a>e template don''t show the username per default.', '', 'none'),
('9179', '', 'default', 'If "Custom", see the <a href="@url" target="_blank">PHP manual</a> for date formats. Otherwise, enter the number of different time units to display, which defaults to 2.', '', 'none'),
('9180', '', 'default', 'Remember exposed selection only for the selected user role(s). If you select no roles, the exposed data will never be stored.', '', 'none'),
('9181', '', 'default', 'The value is required if title for this item is defined.', '', 'none'),
('9182', '', 'default', 'The title is required if value for this item is defined.', '', 'none'),
('9183', '', 'default', 'This filter doesn''t work for very special field handlers.', '', 'none'),
('9184', '', 'default', 'Enable this to sort the items within each level of the hierarchy by weight and title.  Warning: this may produce a slow query.', '', 'none'),
('9185', '', 'default', 'Provide text to display if this field contains an empty result. You may include HTML. You may enter data from this view as per the "Replacement patterns" in the "Rewrite Results" section below.', '', 'none'),
('9186', '', 'default', 'This value will be displayed as table-summary attribute in the html. Use this to give a summary of complex tables.', '', 'none'),
('9187', '', 'default', 'Selector label', '', 'none'),
('9188', '', 'default', 'The text that will appear as the the label of the selector element. If blank no label tag will be used.', '', 'none'),
('9189', '', 'default', 'Remove search score', '', 'none'),
('9190', '', 'default', 'Check this box to remove the search score from the query. This can help reduce help reduce duplicate search results when using this filter.', '', 'none'),
('9191', '', 'default', 'Custom output for TRUE', '', 'none'),
('9192', '', 'default', 'Custom output for FALSE', '', 'none'),
('9193', '', 'default', 'Set this field to display inline', '', 'none'),
('9194', '', 'default', 'Only display menu item entry in contextual links. Menu tab should not be displayed.', '', 'none'),
('9195', '', 'default', 'Detect if tar is part of the extension', '', 'none'),
('9196', '', 'default', 'See if the previous extension is ''.tar'' and if so, add that, so we see ''tar.gz'' or ''tar.bz2'' instead of just ''gz''.', '', 'none'),
('9197', '', 'default', 'Left field', '', 'none'),
('9198', '', 'default', 'Right field', '', 'none'),
('9199', '', 'default', 'Time ago (with "ago" appended) for today''s date, but not for other dates', '', 'none'),
('9200', '', 'default', 'Second date format', '', 'none'),
('9201', '', 'default', 'The date format which will be used for rendering dates other than today.', '', 'none'),
('9202', '', 'default', 'Custom date format of second date', '', 'none'),
('9203', '', 'default', 'If "Custom" is selected in "Second date format", see the <a href="@url" target="_blank">PHP manual</a> for date formats. Otherwise, enter the number of different time units to display, which defaults to 2.', '', 'none'),
('9204', '', 'default', 'Operator label', '', 'none'),
('9205', '', 'default', 'This will appear before your operator select field.', '', 'none'),
('9206', '', 'default', 'Block format', '', '7.42'),
('9207', '', 'default', 'Do NOT download the "CKEditor for Drupal" edition.', '', 'none'),
('9208', '', 'default', 'Advanced CSS styles', '', '7.42'),
('9209', '', 'default', 'List normalizer', '', '7.42'),
('9210', '', 'default', 'Missing library: @library', '', 'none'),
('9211', '', 'default', 'Source image at %source_image_path not found while trying to generate derivative image at %derivative_path.', '', 'none'),
('9212', '', 'default', 'Influence is a numeric multiplier used in ordering search results. A higher number means the corresponding factor has more influence on search results; zero means the factor is ignored. Changing these numbers does not require the search index to be rebuilt. Changes take effect immediately.', '', 'none'),
('9213', '', 'default', 'Form build-id mismatch detected while attempting to store a form in the cache.', '', 'none'),
('9214', '', 'default', 'Search bar', '', 'none'),
('9215', '', 'default', 'User counts', '', 'none'),
('9216', '', 'default', 'Account links', '', 'none'),
('9217', '', 'default', 'Title tag', '', 'none'),
('9218', '', 'default', 'Override path', '', 'none'),
('9219', '', 'default', 'Dotted', '', 'none'),
('9220', '', 'default', 'Dashed', '', 'none'),
('9221', '', 'default', 'Groove', '', 'none'),
('9222', '', 'default', 'Ridge', '', 'none'),
('9223', '', 'default', 'Inset', '', 'none'),
('9224', '', 'default', 'Outset', '', 'none'),
('9225', '', 'default', 'Attached files go here.', '', 'none'),
('9226', '', 'default', 'Book navigation goes here.', '', 'none'),
('9227', '', 'default', '"@s" book navigation', '', 'none'),
('9228', '', 'default', 'Node comments go here.', '', 'none'),
('9229', '', 'default', 'The comments of the referenced node.', '', '7.34'),
('9230', '', 'default', 'Node content goes here.', '', 'none'),
('9231', '', 'default', 'Check here to make the title link to the node.', '', 'none'),
('9232', '', 'default', 'No extras', '', 'none'),
('9233', '', 'default', 'Check here to disable additions that modules might make to the node, such as file attachments and CCK fields; this should just display the basic teaser or body.', '', 'none'),
('9234', '', 'default', '"@s" content', '', 'none'),
('9235', '', 'default', 'Publishing options on the Node form.', '', '7.34'),
('9236', '', 'default', 'File attachments on the Node form.', '', 'none'),
('9237', '', 'default', 'Node form book options', '', '7.34'),
('9238', '', 'default', 'Book options for the node.', '', '7.34'),
('9239', '', 'default', 'Publishing options.', '', 'none'),
('9240', '', 'default', 'URL path options', '', 'none'),
('9241', '', 'default', 'URL Path options.', '', 'none'),
('9242', '', 'default', 'Book options.', '', 'none'),
('9243', '', 'default', 'Node type description goes here.', '', 'none'),
('9244', '', 'default', '"@s" type description', '', 'none'),
('9245', '', 'default', 'Profile content goes here.', '', 'none'),
('9246', '', 'default', 'Which category', '', 'none'),
('9247', '', 'default', 'Text to display if category has no data. Note that title will not display unless overridden.', '', 'none'),
('9248', '', 'default', '"@s" profile fields', '', 'none'),
('9249', '', 'default', 'Term description goes here.', '', 'none'),
('9250', '', 'default', 'Terms related to an existing term; may be child, siblings or top level.', '', '7.34'),
('9251', '', 'default', 'Sibling terms', '', 'none'),
('9252', '', 'default', 'Top level terms', '', 'none'),
('9253', '', 'default', 'Which terms', '', 'none'),
('9254', '', 'default', 'Define the maximum depth of terms being displayed.', '', 'none'),
('9255', '', 'default', 'If checked, the terms are displayed in a tree, otherwise in a flat list.', '', 'none'),
('9256', '', 'default', 'Invalid node selected.', '', 'none'),
('9257', '', 'default', 'Select the node type for this form.', '', 'none'),
('9258', '', 'default', 'A single taxonomy vocabulary object.', '', 'none'),
('9259', '', 'default', 'To use a NID from the URL, you may use %0, %1, ..., %N to get URL arguments. Or use @0, @1, @2, ..., @N to use arguments passed into the panel.', '', 'none'),
('9260', '', 'default', 'Advanced: if checked, do not touch the node title; this can cause the node title to appear twice unless your theme is aware of this.', '', 'none'),
('9261', '', 'default', 'Node loaded from @var', '', 'none'),
('9262', '', 'default', 'Deleted/missing node @nid', '', 'none'),
('9263', '', 'default', 'Argument wildcard', '', 'none'),
('9264', '', 'default', 'From context', '', 'none'),
('9265', '', 'default', 'From panel argument', '', 'none'),
('9266', '', 'default', 'Input on pane config', '', 'none'),
('9267', '', 'default', 'Required context', '', 'none'),
('9268', '', 'default', 'Panel argument', '', 'none'),
('9269', '', 'default', 'If "From panel argument" is selected, which panel argument to use.', '', 'none'),
('9270', '', 'default', 'If "Fixed" is selected, what to use as an argument.', '', 'none'),
('9271', '', 'default', 'If this argument is presented to the panels user, what label to apply to it.', '', 'none'),
('9272', '', 'default', 'Link to view', '', 'none'),
('9273', '', 'default', 'Link title to view', '', 'none'),
('9274', '', 'default', 'Provide a "more" link that links to the view', '', 'none'),
('9275', '', 'default', 'This is independent of any more link that may be provided by the view itself; if you see two more links, turn this one off. Views will only provide a more link if using the "block" type, however, so if using embed, use this one.', '', 'none'),
('9276', '', 'default', 'Display feed icons', '', 'none'),
('9277', '', 'default', 'Num posts', '', 'none'),
('9278', '', 'default', 'Deleted/missing view @view', '', 'none'),
('9279', '', 'default', 'Adds a book parent from a node context.', '', 'none'),
('9280', '', 'default', 'Immediate parent', '', 'none'),
('9281', '', 'default', 'Term from node', '', 'none'),
('9282', '', 'default', 'Adds a taxonomy term from a node context; if multiple terms are selected, this will get the "first" term only.', '', 'none'),
('9283', '', 'default', 'Adds a taxonomy term parent from a term context.', '', 'none'),
('9284', '', 'default', 'Simplecontext arg', '', 'none'),
('9285', '', 'default', 'Relcontext', '', 'none'),
('9286', '', 'default', 'Simplecontext', '', 'none'),
('9287', '', 'default', 'Enter a title to use when this argument is present. You may use %KEYWORD substitution, where the keyword is specified below.', '', 'none'),
('9288', '', 'default', '@identifier (@keyword)', '', 'none'),
('9289', '', 'default', '@keyword --&gt; @title', '', 'none'),
('9290', '', 'default', 'This operation trail does not exist.', '', 'none'),
('9291', '', 'default', 'Unable to get a variant from the import. Errors reported: @errors', '', 'none'),
('9292', '', 'default', 'Reverting the variant will delete the variant that is in the database, reverting it to the original default variant. This deletion will not be made permanent until you click Save.', '', 'none'),
('9293', '', 'default', 'Breaking the lock on this page will <strong>discard</strong> any pending changes made by the locking user. Are you REALLY sure you want to do this?', '', 'none'),
('9294', '', 'default', 'The lock has been cleared and all changes discarded. You may now make changes to this page.', '', 'none'),
('9295', '', 'default', 'When enabled, this overrides the default Drupal behavior for adding or edit nodes at <em>node/%node/edit</em> and <em>node/add/%node_type</em>. If you add variants, you may use selection criteria such as node type or language or user access to provide different edit forms for nodes. If no variant is selected, the default Drupal node edit will be used.', '', '7.41'),
('9296', '', 'default', 'Node being edited', '', 'none'),
('9297', '', 'default', 'When enabled, this overrides the default Drupal behavior for displaying nodes at <em>node/%node</em>. If you add variants, you may use selection criteria such as node type or language or user access to provide different views of nodes. If no variant is selected, the default Drupal node view will be used. This page only affects nodes viewed as pages, it will not affect nodes viewed in lists or at other locations. Also please note that if you are using pathauto, aliases may make a node to be somewhere else, but as far as Drupal is concerned, they are still at node/%node.', '', '7.41'),
('9298', '', 'default', 'A meaningless second page', '', 'none'),
('9299', '', 'default', 'You cannot have a dynamic path element after an optional path element.', '', 'none'),
('9300', '', 'default', 'You cannot have a static path element after an optional path element.', '', 'none'),
('9301', '', 'default', 'Unable to get a page from the import. Errors reported: @errors', '', 'none'),
('9302', '', 'default', 'Reverting the page will delete the page that is in the database, reverting it to the original default page. Any changes you have made will be lost and cannot be recovered.', '', 'none'),
('9303', '', 'default', 'Breadcrumb trail will not contain taxonomy term hiearchy.', '', 'none'),
('9304', '', 'default', 'When enabled, this overrides the default Drupal behavior for displaying user profiles at <em>user/%user</em>. If you add variants, you may use selection criteria such as roles or user access to provide different views of user profiles. If no variant is selected, the default Drupal user view will be used. Please note that if you are using pathauto, aliases may make a node to be somewhere else, but as far as Drupal is concerned, they are still at user/%user.', '', '7.41'),
('9305', '', 'default', 'Grant access based on comparison of the two user contexts. For example, to grant access to a user to view their own profile, choose "logged in user" and "user being viewed" and say "grant access if equal". When they''re the same, access will be granted.', '', 'none'),
('9306', '', 'default', 'Using built in Drupal node access rules, determine if the user can perform the selected operation on the node.', '', 'none'),
('9307', '', 'default', 'Pass only if the node is in one of the selected languages.', '', 'none'),
('9308', '', 'default', '@identifier is in any language', '', 'none'),
('9309', '', 'default', '@identifier language is "@languages"', '', 'none'),
('9310', '', 'default', '@identifier language is one of "@languages"', '', 'none'),
('9311', '', 'default', 'Only the checked node types will be valid.', '', 'none'),
('9312', '', 'default', '@identifier is any node type', '', 'none'),
('9313', '', 'default', 'Control access by permission string.', '', 'none'),
('9314', '', 'default', 'Error, unset permission', '', 'none'),
('9315', '', 'default', 'Control access through arbitrary PHP code.', '', 'none'),
('9316', '', 'default', 'You do not have sufficient permissions to edit PHP code.', '', 'none'),
('9317', '', 'default', '@identifier can have any role', '', 'none'),
('9318', '', 'default', 'Control access by the language the user or site currently uses.', '', 'none'),
('9319', '', 'default', '@identifier is any vocabulary', '', 'none'),
('9320', '', 'default', 'Creates a node add form context from a node type argument.', '', 'none'),
('9321', '', 'default', 'Creates a node edit form context from a node ID argument.', '', 'none'),
('9322', '', 'default', 'A string is a minimal context that simply holds a string that can be used for some other purpose.', '', 'none'),
('9323', '', 'default', 'Creates a single taxonomy term from a taxonomy ID or taxonomy term name.', '', 'none'),
('9324', '', 'default', 'Enter a taxonomy term ID.', '', 'none'),
('9325', '', 'default', 'Enter a taxonomy term name.', '', 'none'),
('9326', '', 'default', 'Creates a group of taxonomy terms from a list of tids separated by a comma or a plus sign. In general the first term of the list will be used for panes.', '', 'none'),
('9327', '', 'default', 'Enter the user ID of a user for this argument', '', 'none'),
('9328', '', 'default', 'Creates a vocabulary context from a vocabulary ID argument.', '', 'none'),
('9329', '', 'default', 'Enter the vocabulary ID for this argument', '', 'none'),
('9330', '', 'default', 'Use context keywords', '', 'none'),
('9331', '', 'default', 'If checked, context keywords will be substituted in this content.', '', 'none'),
('9332', '', 'default', 'The author of the referenced node.', '', '7.34'),
('9333', '', 'default', 'Link to author profile', '', 'none'),
('9334', '', 'default', 'Check here to link to the node author profile.', '', 'none'),
('9335', '', 'default', 'The body of the referenced node.', '', '7.34'),
('9336', '', 'default', '"@s" body', '', 'none'),
('9337', '', 'default', 'The navigation menu the book the node belongs to.', '', '7.34'),
('9338', '', 'default', 'The date the referenced node was created.', '', '7.34'),
('9339', '', 'default', 'Node links of the referenced node.', '', '7.34'),
('9340', '', 'default', 'Node links go here.', '', 'none'),
('9341', '', 'default', '"@s" links', '', 'none'),
('9342', '', 'default', 'The title of the referenced node.', '', '7.34'),
('9343', '', 'default', '"@s" title', '', 'none'),
('9344', '', 'default', '"@s" node form publishing options', '', 'none'),
('9345', '', 'default', '"@s" node form book options', '', 'none'),
('9346', '', 'default', 'Submit buttons for the node form.', '', '7.34'),
('9347', '', 'default', 'Node form buttons.', '', 'none'),
('9348', '', 'default', '"@s" node form comment settings', '', 'none'),
('9349', '', 'default', 'Revision log message for the node.', '', '7.34'),
('9350', '', 'default', 'Menu settings on the Node form.', '', '7.34'),
('9351', '', 'default', 'Contents of a single profile category.', '', 'none'),
('9352', '', 'default', 'Enter the node type this context.', '', 'none'),
('9353', '', 'default', 'Enter the node ID of a node for this argument:', '', 'none'),
('9354', '', 'default', 'Enter the string for this context.', '', 'none'),
('9355', '', 'default', 'Currently set to @term. Enter another term if you wish to change the term.', '', 'none'),
('9356', '', 'default', 'Select a term from @vocabulary.', '', 'none'),
('9357', '', 'default', 'Reset identifier to term title', '', 'none'),
('9358', '', 'default', 'If checked, the identifier will be reset to the term name of the selected term.', '', 'none'),
('9359', '', 'default', 'Invalid term selected.', '', 'none'),
('9360', '', 'default', 'Multiple taxonomy terms, as a group.', '', 'none'),
('9361', '', 'default', 'Creates the author of a node as a user context.', '', 'none'),
('9362', '', 'default', 'Configure Views to be used as CTools content.', '', 'none'),
('9363', '', 'default', 'Choose which display of this view you wish to use.', '', 'none'),
('9364', '', 'default', 'Broken/missing/deleted view.', '', 'none'),
('9365', '', 'default', 'Configure view @view (@display)', '', 'none'),
('9366', '', 'default', 'With more link.', '', 'none'),
('9367', '', 'default', 'With feed icon.', '', 'none'),
('9368', '', 'default', 'Sending arguments.', '', 'none'),
('9369', '', 'default', 'Using arguments: @args', '', 'none'),
('9370', '', 'default', 'Using url: @url', '', 'none'),
('9371', '', 'default', 'Link title to page', '', 'none'),
('9372', '', 'default', 'Provide a "more" link.', '', 'none'),
('9373', '', 'default', 'Num items', '', 'none'),
('9374', '', 'default', 'Enter the number of items to skip; enter 0 to skip no items.', '', 'none'),
('9375', '', 'default', 'If this is set, override the View URL path; this can sometimes be useful to set to the panel URL.', '', 'none'),
('9376', '', 'default', 'Pane settings', '', 'none'),
('9377', '', 'default', 'Use view name', '', 'none'),
('9378', '', 'default', 'Admin desc', '', 'none'),
('9379', '', 'default', 'Pager offset', '', 'none'),
('9380', '', 'default', 'This is category the pane will appear in on the add content dialog.', '', 'none'),
('9381', '', 'default', 'This is the default weight of the category. Note that if the weight of a category is defined in multiple places, only the first one Panels sees will get that definition, so if the weight does not appear to be working, check other places that the weight might be set.', '', 'none'),
('9382', '', 'default', 'Choose the data source for view arguments', '', 'none'),
('9383', '', 'default', 'Demonstration code, advanced help, and a demo panel to show how to build ctools plugins.', '', 'none'),
('9384', '', 'default', 'The CTools Plugin Example is simply a developer''s demo of how to create plugins for CTools. It provides no useful functionality for an ordinary user.', '', 'none'),
('9385', '', 'default', 'There is a demo panel demonstrating much of the functionality provided at\n    <a href="@demo_url">CTools demo panel</a>, and you can find documentation on the examples at\n    !ctools_plugin_example_help.\n    CTools itself provides documentation at !ctools_help. Mostly, though, the code itself is intended to be the teacher.\n    You can find it in %path.', '', 'none'),
('9386', '', 'default', 'Arg length', '', 'none'),
('9387', '', 'default', 'Control access by length of simplecontext argument.', '', 'none'),
('9388', '', 'default', 'Grant access if simplecontext argument length is', '', 'none'),
('9389', '', 'default', 'Length of simplecontext argument', '', 'none'),
('9390', '', 'default', 'Access/visibility will be granted based on arg length.', '', 'none'),
('9391', '', 'default', 'Simpletext argument must be !comp @length characters', '', 'none'),
('9392', '', 'default', 'CTools example: role', '', 'none'),
('9393', '', 'default', '@identifier must have role "@roles"', '', 'none'),
('9394', '', 'default', '@identifier can be one of "@roles"', '', 'none'),
('9395', '', 'default', 'Enter the simplecontext arg', '', 'none'),
('9396', '', 'default', 'No context content type - requires and uses no context.', '', 'none'),
('9397', '', 'default', 'Relcontext content type - works with relcontext context.', '', 'none'),
('9398', '', 'default', 'Config Item 1 (relcontext)', '', 'none'),
('9399', '', 'default', 'Setting for relcontext.', '', 'none'),
('9400', '', 'default', 'Simplecontext content type', '', 'none'),
('9401', '', 'default', 'Simplecontext content type - works with a simplecontext context.', '', 'none'),
('9402', '', 'default', 'Config Item 1 for simplecontext content type', '', 'none'),
('9403', '', 'default', 'Relcontext context from simplecontext', '', 'none'),
('9404', '', 'default', 'Relcontext setting', '', 'none'),
('9405', '', 'default', 'Just an example setting.', '', 'none'),
('9406', '', 'default', 'Enter some data to represent this "simplecontext".', '', 'none'),
('9407', '', 'default', 'Setting for simplecontext', '', 'none'),
('9408', '', 'default', 'An example setting that could be used to configure a context', '', 'none'),
('9409', '', 'default', 'Relcontext from simplecontext', '', 'none'),
('9410', '', 'default', 'Before this variant can be added, it must be configured. When you are finished, click "Create variant" at the end of this wizard to add this to your page.', '', 'none'),
('9411', '', 'default', 'Page manager module is unable to enable node/%node/edit because some other module already has overridden with %callback.', '', 'none'),
('9412', '', 'default', 'Page manager module is unable to override @path because some other module already has overridden with %callback. Node edit will be enabled but that edit path will not be overridden.', '', 'none'),
('9413', '', 'default', 'Page manager module is unable to enable node/%node because some other module already has overridden with %callback.', '', 'none'),
('9414', '', 'default', 'Paths with non optional placeholders cannot be used as normal menu items unless the selected argument handler provides a default argument to use for the menu item.', '', 'none'),
('9415', '', 'default', 'Page manager module is unable to enable user/%user because some other module already has overridden with %callback.', '', 'none'),
('9416', '', 'default', 'Enter the title or NID of a node', '', 'none'),
('9417', '', 'default', 'When enabled, this overrides the default Drupal behavior for the all blogs at <em>/blog</em>. If no variant is selected, the default Drupal most recent blog posts will be shown.', '', '7.41'),
('9418', '', 'default', 'Page manager module is unable to enable blog because some other module already has overridden with %callback.', '', 'none'),
('9419', '', 'default', 'When enabled, this overrides the default Drupal behavior for displaying user blogs at <em>blog/%user</em>. If no variant is selected, the default Drupal user blog will be used.', '', '7.41'),
('9420', '', 'default', 'Page manager module is unable to enable blog/%user because some other module already has overridden with %callback.', '', 'none'),
('9421', '', 'default', 'When enabled, this overrides the default Drupal behavior for the site contact page at <em>/contact</em>. If no variant is selected, the default Drupal contact form will be used.', '', '7.41'),
('9422', '', 'default', 'Page manager module is unable to enable contact because some other module already has overridden with %callback.', '', 'none'),
('9423', '', 'default', 'When enabled, this overrides the default Drupal behavior for displaying the user contact form at <em>user/%user/contact</em>. If no variant is selected, the default Drupal user contact form will be used.', '', '7.41'),
('9424', '', 'default', 'Page manager module is unable to enable user/%user/contact because some other module already has overridden with %callback.', '', 'none'),
('9425', '', 'default', 'You cannot have an unnamed placeholder (% or ! by itself). Please name your placeholder by adding a short piece of descriptive text to the % or !, such as %user or %node.', '', 'none'),
('9426', '', 'default', 'When enabled, this overrides the default Drupal behavior for the polls at <em>/poll</em>. If no variant is selected, the default Drupal most recent polls will be shown.', '', '7.41'),
('9427', '', 'default', 'Page manager module is unable to enable poll because some other module already has overridden with %callback.', '', 'none'),
('9428', '', 'default', 'Search @type', '', '7.41'),
('9429', '', 'default', 'Control access by a specific term.', '', 'none'),
('9430', '', 'default', '@term can be the term "@terms"', '', 'none'),
('9431', '', 'default', '@term can be one of these terms: @terms', '', 'none'),
('9432', '', 'default', 'Node add form: node type', '', 'none'),
('9433', '', 'default', 'Node edit form: node ID', '', 'none'),
('9434', '', 'default', 'Get all arguments after this one', '', 'none'),
('9435', '', 'default', 'If checked, this string will include all arguments. For example, if the path is "path/%" and the user visits "path/foo/bar", if this is not checked the string will be "foo". If it is checked the string will be "foo/bar".', '', 'none'),
('9436', '', 'default', 'Taxonomy term: ID', '', 'none'),
('9437', '', 'default', 'Taxonomy term (multiple): ID', '', 'none'),
('9438', '', 'default', 'Creates a user context from a user name.', '', 'none'),
('9439', '', 'default', 'Enter the username of a user for this argument', '', 'none'),
('9440', '', 'default', 'Custom: @title', '', 'none'),
('9441', '', 'default', 'Same page', '', 'none'),
('9442', '', 'default', '@type search form', '', 'none'),
('9443', '', 'default', 'Record a watchdog log entry when searches are made', '', 'none'),
('9444', '', 'default', 'Override "no result" text', '', 'none'),
('9445', '', 'default', 'No result text', '', 'none'),
('9446', '', 'default', 'Display text if no search keywords were submitted', '', 'none'),
('9447', '', 'default', '@type search result', '', 'none'),
('9448', '', 'default', 'Custom pager settings', '', 'none'),
('9449', '', 'default', 'Use different pager settings from view settings', '', 'none'),
('9450', '', 'default', '<strong>Warning: </strong> This view has AJAX enabled. Overriding the pager settings will work initially, but when the view is updated via AJAX, the original settings will be used. You should not override pager settings on Views with the AJAX setting enabled.', '', 'none'),
('9451', '', 'default', 'The number of items to skip and not display.', '', 'none'),
('9452', '', 'default', 'Select this to send all arguments from the panel directly to the view. If checked, the panel arguments will come after any context arguments above and precede any additional arguments passed in through the Arguments field below. Note that arguments do not include the base URL; only values after the URL or set as placeholders are considered arguments.', '', 'none'),
('9453', '', 'default', 'Additional arguments to send to the view as if they were part of the URL in the form of arg1/arg2/arg3. You may use %0, %1, ..., %N to grab arguments from the URL. Or use @0, @1, @2, ..., @N to use arguments passed into the panel. Note: use these values only as a last resort. In future versions of Panels these may go away.', '', 'none'),
('9454', '', 'default', 'Context is optional', '', 'none'),
('9455', '', 'default', 'Unable to complete operation. Fatal error in @file on line @line: @message', '', 'none'),
('9456', '', 'default', 'no real context', '', 'none'),
('9457', '', 'default', 'There are currently no variants available and a page may not be added. Perhaps you need to install the Panels module to get a variant?', '', 'none'),
('9458', '', 'default', 'Control access by whether or not a context exists and contains data.', '', 'none'),
('9459', '', 'default', 'Control access by string match.', '', 'none'),
('9460', '', 'default', 'Not equal to regular expression', '', 'none'),
('9461', '', 'default', 'If using a regular expression, you should enclose the pattern in slashes like so: <em>/foo/</em>. If you need to compare against slashes you can use another character to enclose the pattern, such as @. See <a href="http://www.php.net/manual/en/reference.pcre.pattern.syntax.php">PHP regex documentation</a> for more.', '', 'none'),
('9462', '', 'default', '@identifier matches "@value"', '', 'none'),
('9463', '', 'default', '@identifier does not match "@value"', '', 'none'),
('9464', '', 'default', 'Control access by length of string context.', '', 'none'),
('9465', '', 'default', 'Access/visibility will be granted based on string context length.', '', 'none'),
('9466', '', 'default', '@identifier must be @comp @length characters', '', 'none'),
('9467', '', 'default', 'Enter the context type', '', 'none'),
('9468', '', 'default', 'Reset identifier to username', '', 'none'),
('9469', '', 'default', 'If checked, the identifier will be reset to the user name of the selected user.', '', 'none'),
('9470', '', 'default', 'Invalid user selected.', '', 'none'),
('9471', '', 'default', 'You may use substitutions in this path.', '', 'none'),
('9472', '', 'default', 'Unable to create CTools styles cache directory @path. Check the permissions on your files directory.', '', 'none'),
('9473', '', 'default', 'Missing settings cache.', '', 'none'),
('9474', '', 'default', 'You do not have sufficient permissions to perform this action.', '', 'none'),
('9475', '', 'default', 'You account permissions do not permit you to import.', '', 'none'),
('9476', '', 'default', '@identifier is not "@paths"', '', 'none'),
('9477', '', 'default', '@identifier type is not one of "@paths"', '', 'none'),
('9478', '', 'default', 'Control access by existence of a parent term.', '', 'none'),
('9479', '', 'default', 'Select the vocabulary for this form. If there exists a parent term in that vocabulary, this access check will succeed.', '', 'none'),
('9480', '', 'default', '"@term" has parent in vocabulary "@vocab"', '', 'none'),
('9481', '', 'default', 'Control access by vocabulary.', '', 'none'),
('9482', '', 'default', 'Only the checked vocabularies will be valid.', '', 'none'),
('9483', '', 'default', 'Control access by checking which theme is in use.', '', 'none'),
('9484', '', 'default', 'Error, unset theme', '', 'none'),
('9485', '', 'default', 'Unpublished node @nid', '', 'none'),
('9486', '', 'default', 'Book children', '', '7.34'),
('9487', '', 'default', '"@s" book children', '', 'none'),
('9488', '', 'default', 'Taxonomy terms of the referenced node.', '', '7.34'),
('9489', '', 'default', '- All vocabularies -', '', 'none'),
('9490', '', 'default', 'Optionally restrict the terms to a specific vocabulary, or allow terms from all vocabularies.', '', 'none'),
('9491', '', 'default', 'Term formatting', '', 'none'),
('9492', '', 'default', 'Inline, delimited', '', 'none'),
('9493', '', 'default', 'Link to terms', '', 'none'),
('9494', '', 'default', 'Check here to make the terms link to the term paths.', '', 'none'),
('9495', '', 'default', 'Term delimiter', '', 'none'),
('9496', '', 'default', '"@s" terms from @vocabulary', '', 'none'),
('9497', '', 'default', 'Add the site feed_icons statement as content.', '', '7.34'),
('9498', '', 'default', 'Tabs type', '', 'none'),
('9499', '', 'default', 'Primary and secondary', '', 'none'),
('9500', '', 'default', 'Term Description', '', 'none'),
('9501', '', 'default', 'Multiple terms from node', '', 'none'),
('9502', '', 'default', 'Adds a taxonomy terms from a node context; if multiple terms are selected, they wil be concatenated.', '', 'none'),
('9503', '', 'default', 'Concatenator', '', 'none'),
('9504', '', 'default', 'When the value from this context is passed on to a view as argument, the terms can be concatenated in the form of 1+2+3 (for OR) or 1,2,3 (for AND).', '', 'none'),
('9505', '', 'default', 'The text of this link will be "@more". This setting can only be modified on the View configuration.', '', 'none'),
('9506', '', 'default', 'Stylizer', '', 'none'),
('9507', '', 'default', 'Local action', '', 'none'),
('9508', '', 'default', 'ruleset', '', 'none'),
('9509', '', 'default', 'rulesets', '', 'none'),
('9510', '', 'default', 'Custom content panes are basic HTML you enter that can be reused in all of your panels.', '', 'none'),
('9511', '', 'default', 'What category this content should appear in. If left blank the category will be "Miscellaneous".', '', 'none'),
('9512', '', 'default', '@type will not display due to missing context', '', 'none'),
('9513', '', 'default', 'The plugin definition of @plugin is missing the %key key.', '', 'none'),
('9514', '', 'default', 'The plugin definition of @plugin cannot locate schema %schema.', '', 'none'),
('9515', '', 'default', 'The plugin definition of @plugin uses %schema, but it has no export section.', '', 'none'),
('9516', '', 'default', 'Configuration error. No handler found.', '', 'none'),
('9517', '', 'default', 'No item found.', '', 'none'),
('9518', '', 'default', 'The export definition of @table is missing the "primary key" property.', '', 'none'),
('9519', '', 'default', 'Limit to these vocabularies', '', 'none'),
('9520', '', 'default', 'If no vocabularies are checked, terms from all vocabularies will be accepted.', '', 'none'),
('9521', '', 'default', 'Missing/deleted content', '', 'none'),
('9522', '', 'default', 'Make this content reusable', '', 'none'),
('9523', '', 'default', 'The machine readable name of this content. It must be unique, and it must contain only alphanumeric characters and underscores. Once created, you will not be able to change this value!', '', 'none'),
('9524', '', 'default', 'A description of what this content is, does or is for, for administrative use.', '', 'none'),
('9525', '', 'default', 'The name can only consist of lowercase letters, underscores, and numbers.', '', 'none'),
('9526', '', 'default', 'Content with this name already exists. Please choose another name or delete the existing item before creating a new one.', '', 'none'),
('9527', '', 'default', 'Link the node title to the node', '', 'none'),
('9528', '', 'default', 'Check this box if you would like your pane title to link to the node.', '', 'none'),
('9529', '', 'default', 'Shows links to register or login.', '', 'none'),
('9530', '', 'default', 'If anonymous comments are not allowed, this will display the register and login links.', '', 'none'),
('9531', '', 'default', '- No tag -', '', 'none'),
('9532', '', 'default', 'CSS class to use', '', 'none'),
('9533', '', 'default', 'You have unsaved changes. These changes will not be made permanent until you click <em>Save</em>.', '', 'none'),
('9534', '', 'default', 'The export id can only consist of lowercase letters, underscores, and numbers.', '', 'none'),
('9535', '', 'default', 'A @plugin with this name already exists. Please choose another name or delete the existing item before creating a new one.', '', 'none'),
('9536', '', 'default', 'Node edit form from node', '', 'none'),
('9537', '', 'default', 'Adds node edit form from a node context.', '', 'none'),
('9538', '', 'default', 'There are currently no style types available to add. You should enable a module that utilizes them, such as Panels.', '', 'none'),
('9539', '', 'default', 'You must select at least one attachment to display.', '', 'none'),
('9540', '', 'default', 'Display the view empty text if there are no results.', '', '7.34'),
('9541', '', 'default', '"@context" empty text', '', 'none');
INSERT INTO `locales_source` VALUES
('9542', '', 'default', 'View exposed widgets', '', '7.34'),
('9543', '', 'default', 'Display the view exposed widgets if there are no results.', '', '7.34'),
('9544', '', 'default', '"@context" exposed widgets', '', 'none'),
('9545', '', 'default', 'View feed icon', '', '7.34'),
('9546', '', 'default', '"@context" feed icon', '', 'none'),
('9547', '', 'default', 'Display the view footer if there are no results.', '', '7.34'),
('9548', '', 'default', '"@context" footer', '', 'none'),
('9549', '', 'default', 'Display the view header if there are no results.', '', '7.34'),
('9550', '', 'default', '"@context" header', '', 'none'),
('9551', '', 'default', 'Invalid context selected.', '', 'none'),
('9552', '', 'default', 'Broken view', '', 'none'),
('9553', '', 'default', 'Displaying: !fields', '', 'none'),
('9554', '', 'default', 'Displaying the configured row.', '', 'none'),
('9555', '', 'default', 'Loads a view result into a context that can then be displayed across a panel or turned into other contexts.', '', 'none'),
('9556', '', 'default', 'You must select a view.', '', 'none'),
('9557', '', 'default', 'Node from view', '', 'none'),
('9558', '', 'default', 'Row number must be a positive integer value.', '', 'none'),
('9559', '', 'default', 'Term from view', '', 'none'),
('9560', '', 'default', 'User from view', '', 'none'),
('9561', '', 'default', 'Access Bulk Exporter', '', 'none'),
('9562', '', 'default', 'Export various system objects into code.', '', 'none'),
('9563', '', 'default', 'Administer access rulesets', '', 'none'),
('9564', '', 'default', 'Add, delete and edit custom access rulesets.', '', 'none'),
('9565', '', 'default', 'Modal Login (default style)', '', 'none'),
('9566', '', 'default', 'Login via modal', '', 'none'),
('9567', '', 'default', 'Modal Login (custom style)', '', 'none'),
('9568', '', 'default', 'Wizard (no modal)', '', 'none'),
('9569', '', 'default', 'Wizard (default modal)', '', 'none'),
('9570', '', 'default', 'Wizard (custom modal)', '', 'none'),
('9571', '', 'default', 'Replace text with "hello world"', '', 'none'),
('9572', '', 'default', 'Click to Drop Down', '', 'none'),
('9573', '', 'default', 'Click to Collapse', '', 'none'),
('9574', '', 'default', 'Collapsible Div', '', 'none'),
('9575', '', 'default', 'remain here', '', 'none'),
('9576', '', 'default', 'Raptor', '', 'none'),
('9577', '', 'default', 'You successfully jumped! !return_link', '', 'none'),
('9578', '', 'default', 'Post-Login Action', '', 'none'),
('9579', '', 'default', 'Successful Jumping', '', 'none'),
('9580', '', 'default', 'Chaos Tools (CTools) AJAX Example', '', 'none'),
('9581', '', 'default', 'Add, edit and delete CTools custom stored custom content', '', 'none'),
('9582', '', 'default', 'Configure new !plugin_title', '', 'none'),
('9583', '', 'default', 'Configure !plugin_title', '', 'none'),
('9584', '', 'default', 'ctools', '', 'none'),
('9585', '', 'default', 'Invalid plugin module/type combination requested: module @module and type @type', '', 'none'),
('9586', '', 'default', 'Plugin @plugin of plugin type @owner:@type points to nonexistent file @file for class handler @class.', '', 'none'),
('9587', '', 'default', 'Use Page Manager', '', 'none'),
('9588', '', 'default', 'Allows users to use most of Page Manager''s features, though restricts some of the most powerful, potentially site-damaging features. Note that even the reduced featureset still allows for enormous control over your website.', '', 'none'),
('9589', '', 'default', 'Administer Page Manager', '', 'none'),
('9590', '', 'default', 'Allows complete control over Page Manager, i.e., complete control over your site. Grant with extreme caution.', '', 'none'),
('9591', '', 'default', 'Page manager context', '', 'none'),
('9592', '', 'default', 'Redirect destination', '', 'none'),
('9593', '', 'default', 'Enter the path to redirect to. You may use keyword substitutions from contexts. You can use external urls (http://www.example.com/foo) or internal urls (node/1).', '', 'none'),
('9594', '', 'default', 'If checked, context keywords will be substituted in this content. Note that CCK fields may be used as keywords using patterns like <em>%node:field_name-formatted</em>.', '', 'none'),
('9595', '', 'default', 'If checked, context keywords will be substituted in this content. More keywords will be available if you install the Token module, see http://drupal.org/project/token.', '', 'none'),
('9596', '', 'default', '"@s" user signature', '', 'none'),
('9597', '', 'default', 'Use the Stylizer UI', '', 'none'),
('9598', '', 'default', 'Revision: ID', '', 'none'),
('9599', '', 'default', 'Creates a node context from a revision ID argument.', '', 'none'),
('9600', '', 'default', 'Enter the revision ID of a node for this argument', '', 'none'),
('9601', '', 'default', 'Term name, lowercased and spaces converted to dashes', '', 'none'),
('9602', '', 'default', 'Term name of first term, lowercased and spaces converted to dashes', '', 'none'),
('9603', '', 'default', 'Entity: ID', '', 'none'),
('9604', '', 'default', 'Creates an entity context from an entity ID argument.', '', 'none'),
('9605', '', 'default', 'Entity field', '', '7.34'),
('9606', '', 'default', 'Field on the referenced entity.', '', 'none'),
('9607', '', 'default', 'Formatter Styles', '', 'none'),
('9608', '', 'default', 'Select a formatter', '', 'none'),
('9609', '', 'default', 'Creates @entity context from an entity ID.', '', 'none'),
('9610', '', 'default', 'Enter the title or ID of a @entity entity', '', 'none'),
('9611', '', 'default', '''%title'' [%type id %id]', '', 'none'),
('9612', '', 'default', '[%type id %id]', '', 'none'),
('9613', '', 'default', 'Reset identifier to entity label', '', 'none'),
('9614', '', 'default', 'If checked, the identifier will be reset to the entity label of the selected entity.', '', 'none'),
('9615', '', 'default', 'You must select an entity.', '', 'none'),
('9616', '', 'default', 'Invalid entity selected.', '', 'none'),
('9617', '', 'default', 'Admin overlays are used in many places in Drupal 7 and administrative custom pages should probably utilize this feature.', '', 'none'),
('9618', '', 'default', 'an unknown callback', '', 'none'),
('9619', '', 'default', 'Page manager module is unable to enable taxonomy/term/%taxonomy_term because some other module already has overridden with %callback.', '', 'none'),
('9620', '', 'default', 'Control access by entity bundle.', '', 'none'),
('9621', '', 'default', 'Control access by @entity entity bundle.', '', 'none'),
('9622', '', 'default', 'Entity Bundle', '', 'none'),
('9623', '', 'default', 'Only the checked entity bundles will be valid.', '', 'none'),
('9624', '', 'default', '@identifier is any bundle', '', 'none'),
('9625', '', 'default', 'Field form: @widget_label', '', 'none'),
('9626', '', 'default', 'Entity info.', '', 'none'),
('9627', '', 'default', '"@s" @field form', '', 'none'),
('9628', '', 'default', 'Whatever is placed here will appear in @identifier, to help theme node links displayed on the panel', '', 'none'),
('9629', '', 'default', 'View From Argument', '', 'none'),
('9630', '', 'default', 'Creates a view context from argument input settings.', '', 'none'),
('9631', '', 'default', 'Page manager module is unable to enable @path because some other module already has overridden with %callback.', '', 'none'),
('9632', '', 'default', 'This feature does not currently work and is disabled.', '', 'none'),
('9633', '', 'default', 'Control access if a term belongs to a specific parent term.', '', 'none'),
('9634', '', 'default', 'Include these term(s) as candidates?', '', 'none'),
('9635', '', 'default', 'When this rule is evaluated, should the term(s) you select be included as candidates for access?', '', 'none'),
('9636', '', 'default', '@term can have the parent "@terms"', '', 'none'),
('9637', '', 'default', '@term can have one of these parents: @terms', '', 'none'),
('9638', '', 'default', 'Formatter options for: @widget_label (@field_name)', '', 'none'),
('9639', '', 'default', 'Pane title', '', 'none'),
('9640', '', 'default', 'This identifier will be added as a template suggestion to display this node: node--panel--IDENTIFIER.tpl.php. Please see the Drupal theming guide for information about template suggestions.', '', 'none'),
('9641', '', 'default', 'Node form title field', '', '7.34'),
('9642', '', 'default', 'The node title form.', '', '7.34'),
('9643', '', 'default', '"@s" node form title field', '', 'none'),
('9644', '', 'default', 'Missing/broken type', '', 'none'),
('9645', '', 'default', 'Related terms (does not work in D7)', '', 'none'),
('9646', '', 'default', 'Term synonyms (does not work in D7)', '', 'none'),
('9647', '', 'default', 'The path to use for the terms. You may use %tid to place the term id as part of the path; if let off, it will be appended to the end.', '', 'none'),
('9648', '', 'default', '"@s" @name', '', 'none'),
('9649', '', 'default', 'Creates a @to_entity context from @from_entity using the @field_name field on @from_entity.', '', 'none'),
('9650', '', 'default', '@to_entity from @from_entity (on @base_table.@relationship)', '', 'none'),
('9651', '', 'default', 'Builds a relationship from a @from_entity to a @to_entity using the @base_table.@relationship field.', '', 'none'),
('9652', '', 'default', '@from_entity from @to_entity (on @base_table.@relationship)', '', 'none'),
('9653', '', 'default', 'Builds a relationship from a @to_entity to a @from_entity using the @base_table.@relationship field.', '', 'none'),
('9654', '', 'default', 'You may use keywords for substitutions.', '', 'none'),
('9655', '', 'default', 'Skip the first @count item(s)', '', 'none'),
('9656', '', 'default', 'Enter 0 to display all items.', '', 'none'),
('9657', '', 'default', 'Display in reverse order', '', 'none'),
('9658', '', 'default', 'User Edit Template', '', '7.41'),
('9659', '', 'default', 'User edit template', '', '7.41'),
('9660', '', 'default', 'Control access by entity field value.', '', 'none'),
('9661', '', 'default', 'The front page', '', 'none'),
('9662', '', 'default', 'Enter the user ID for this argument.', '', 'none'),
('9663', '', 'default', 'Entity extra field', '', '7.34'),
('9664', '', 'default', 'Select a view mode for this extra field.', '', 'none'),
('9665', '', 'default', 'A user edit form.', '', 'none'),
('9666', '', 'default', 'Enter the user ID of a user for this argument:', '', 'none'),
('9667', '', 'default', '@to_entity from @from_entity (on @from_entity: @field_label [@field_name])', '', 'none'),
('9668', '', 'default', 'Node being commented on', '', 'none'),
('9669', '', 'default', 'Node form languages', '', '7.34'),
('9670', '', 'default', 'Node language form.', '', 'none'),
('9671', '', 'default', 'Edit custom content pane', '', 'none'),
('9672', '', 'default', '"@term" has parent in vocabulary "@vocab" at @depth', '', 'none'),
('9673', '', 'default', 'Subfield: The link title attribute', '', 'none'),
('9674', '', 'default', 'Subfield: The attributes for this link', '', 'none'),
('9675', '', 'default', 'Subfield: The language for the field', '', 'none'),
('9676', '', 'default', 'If checked, the URL will always render as an absolute URL.', '', 'none'),
('9677', '', 'default', 'If this is checked the field label will be hidden.', '', 'none'),
('9678', '', 'default', 'Allow the user to enter a custom link class per link', '', 'none'),
('9679', '', 'default', 'The value %value provided for %field is not a valid URL.', '', 'none'),
('9680', '', 'default', 'Custom link class', '', 'none'),
('9681', '', 'default', 'The specified CSS classes are syntactically incorrect.', '', 'none'),
('9682', '', 'default', 'The stuff for item 1.', '', 'none'),
('9683', '', 'default', 'Use view description', '', 'none'),
('9684', '', 'default', 'Use Panel path', '', 'none'),
('9685', '', 'default', 'Checked settings will be available in the panel pane config dialog for modification by the panels user. Unchecked settings will not be available and will only use the settings in this display.', '', 'none'),
('9686', '', 'default', 'Path override', '', 'none'),
('9687', '', 'default', 'This is the title that will appear for this view pane in the add content dialog. If left blank, the view name will be used.', '', 'none'),
('9688', '', 'default', 'This is text that will be displayed when the user mouses over the pane in the add content dialog. If blank the view description will be used.', '', 'none'),
('9689', '', 'default', 'Link pane title to view', '', 'none'),
('9690', '', 'default', 'If yes, all links generated by Views, such as more links, summary links, and exposed input links will go to the panels display path, not the view, if the display has a path.', '', 'none'),
('9691', '', 'default', '@arg source', '', 'none'),
('9692', '', 'default', 'Simplecontext context from config', '', 'none'),
('9693', '', 'default', 'Override default prompt', '', 'none'),
('9694', '', 'default', 'If "From context" is selected, which type of context to use.', '', 'none'),
('9695', '', 'default', 'The children menu the book the node belongs to.', '', '7.34'),
('9696', '', 'default', 'Book children menu goes here.', '', 'none'),
('9697', '', 'default', 'Fields override', '', 'none'),
('9698', '', 'default', '"@context" attachment', '', 'none'),
('9699', '', 'default', 'Display the view feed icon if there are no results.', '', '7.34'),
('9700', '', 'default', 'Context contains an invalid view.', '', 'none'),
('9701', '', 'default', 'Display specific fields', '', 'none'),
('9702', '', 'default', 'Displaying no fields due to misconfiguration.', '', 'none'),
('9703', '', 'default', '"@context" row @rows', '', 'none'),
('9704', '', 'default', '"@context" rows @rows', '', 'none'),
('9705', '', 'default', 'Export UI wizard cache', '', 'none'),
('9706', '', 'default', 'Allows a user to use the CTools Stylizer UI.', '', 'none'),
('9707', '', 'default', 'Creates an entity context from a foreign key on a field.', '', 'none'),
('9708', '', 'default', 'Missing/ deleted type "@types"', '', 'none'),
('9709', '', 'default', 'Missing/ deleted type is one of "@types"', '', 'none'),
('9710', '', 'default', 'Node title form.', '', 'none'),
('9711', '', 'default', '"@context" entire view', '', 'none'),
('9712', '', 'default', '@identifier is bundle "@types"', '', 'none'),
('9713', '', 'default', '@identifier bundle is one of "@types"', '', 'none'),
('9714', '', 'default', 'Then display at most @count item(s)', '', 'none'),
('9715', '', 'default', 'When enabled, this overrides the default Drupal behavior for displaying user edit form at <em>user/%user/edit</em>.', '', '7.41'),
('9716', '', 'default', 'Page manager module is unable to enable user/%user/edit because some other module already has overridden with %callback.', '', 'none'),
('9717', '', 'default', 'User being edited', '', 'none'),
('9718', '', 'default', 'Error, misconfigured entity_bundle access plugin', '', 'none'),
('9719', '', 'default', 'User edit form: User ID', '', 'none'),
('9720', '', 'default', 'Creates a user edit form context from a user ID argument.', '', 'none'),
('9721', '', 'default', 'Select a build mode for this user.', '', 'none'),
('9722', '', 'default', 'Exportables selected', '', 'none'),
('9723', '', 'default', 'Control access by the nodes published status.', '', 'none'),
('9724', '', 'default', 'Returns true if the nodes status is "published".', '', 'none'),
('9725', '', 'default', 'Page manager module is unable to enable comment/reply/%node because some other module already has overridden with %callback.', '', 'none'),
('9726', '', 'default', 'Views Slideshow', '', 'none'),
('9727', '', 'default', 'Activate Slide and Pause on Pager Hover', '', 'none'),
('9728', '', 'default', 'Should the slide be activated and paused when hovering over a pager item.', '', 'none'),
('9729', '', 'default', 'ClearType', '', 'none'),
('9730', '', 'default', 'There is no Views Slideshow plugin enabled. Go to the !modules and enable a Views Slideshow plugin module. For example Views Slideshow Singleframe.', '', 'none'),
('9731', '', 'default', 'Length of Time to Remember Last Slide', '', 'none'),
('9732', '', 'default', 'The number of days to have the site remember the last slide. Default is 1', '', 'none'),
('9733', '', 'default', 'How to Calculate Amount of Slide that Needs to be Shown', '', 'none'),
('9734', '', 'default', 'Set total area of the slide', '', 'none'),
('9735', '', 'default', 'Choose how to calculate how much of the slide has to be shown. Entire Slide: All the slide has to be shown. Vertical: Set amount of height that has to be shown. Horizontal: Set amount of width that has to be shown. Area: Set total area that has to be shown.', '', 'none'),
('9736', '', 'default', 'Amount of Slide Needed to be Shown', '', 'none'),
('9737', '', 'default', 'The amount of the slide that needs to be shown to have it rotate. You can set the value in percentage (ex: 50%) or in pixels (ex: 250). The slidehsow will not rotate until it''s height/width/total area, depending on the calculation method you have chosen above, is less than the value you have entered in this field.', '', 'none'),
('9738', '', 'default', 'Select if clearType corrections should be applied (for IE).  Some background issues could be fixed by unselecting this option.', '', 'none'),
('9739', '', 'default', 'Select to disable extra cleartype fixing.  Unselect to force background color setting on slides)', '', 'none'),
('9740', '', 'default', 'Views Slideshow Cycle help can be found by installing and enabling the !advanced_help', '', 'none'),
('9741', '', 'default', 'Views Slideshow: Cycle', '', 'none'),
('9742', '', 'default', 'To use the advanced options you need to download json2.js. You can do this by clicking the download button at !url and extract json2.js to sites/all/libraries/json2', '', 'none'),
('9743', '', 'default', 'You can find a list of all the available options at !url.  If one of the options you add uses a function, example fxFn, then you need to only enter what goes inside the function call. The variables that are in the documentation on the jquery cycle site will be available to you.', '', 'none'),
('9744', '', 'default', 'It is important that you click the Update link when you make any changes to the options or those changes will not be saved when you save the form.', '', 'none'),
('9760', '', 'default', '"@s" node form attach files', '', 'none'),
('9761', '', 'default', '"@s" node form revision log', '', 'none'),
('9762', '', 'default', '"@s" node form menu settings', '', 'none'),
('9763', '', 'default', '"@s" node form path options', '', 'none'),
('9764', '', 'default', '"@s" node form author information', '', 'none'),
('9765', '', 'default', 'Reset identifier to node title', '', 'none'),
('9766', '', 'default', 'If checked, the identifier will be reset to the node title of the selected node.', '', 'none'),
('9767', '', 'default', 'The advanced form may have additional options based upon the search type. For example the advanced content (node) search form will allow searching by node type and taxonomy term.', '', 'none'),
('9768', '', 'default', 'This context need not be present for the pane to function. If you plan to use this, ensure that the argument handler can handle empty values gracefully.', '', 'none'),
('9769', '', 'default', 'Taxonomy links (uses theme(''links''))', '', 'none'),
('9770', '', 'default', 'There are currently no views with Context displays enabled. You should go to the view administration and add a Context display to use a view as a context.', '', 'none'),
('9771', '', 'default', 'Extract a node context from a view context of the base type node.', '', 'none'),
('9772', '', 'default', 'Extract a term context from a view context of the base type term.', '', 'none'),
('9773', '', 'default', 'Extract a user context from a view context of the base type user.', '', 'none'),
('9774', '', 'default', 'This is the title that will appear for this view context in the configure context dialog. If left blank, the view name will be used.', '', 'none'),
('9775', '', 'default', 'Use exposed widgets form as pane configuration', '', 'none'),
('9776', '', 'default', 'Term name of all terms, separated by + or , and lowercased and spaces converted to dashes', '', 'none'),
('9777', '', 'default', 'days', '', 'none'),
('9778', '', 'default', 'End Date', '', 'none'),
('9779', '', 'default', 'Now', '', 'none'),
('9780', '', 'default', 'Start date', '', 'none'),
('9781', '', 'default', 'End date', '', 'none'),
('9782', '', 'default', 'Repeat', '', 'none'),
('9783', '', 'default', 'Plain', '', 'none'),
('9784', '', 'default', 'Datestamp', '', 'none'),
('9785', '', 'default', 'Duration', '', 'none'),
('9786', '', 'default', 'Week of @date', '', 'none'),
('9787', '', 'default', 'Pager position', '', 'none'),
('9788', '', 'default', 'Date/Time', '', 'none'),
('9789', '', 'default', 'Select a date', '', 'none'),
('9790', '', 'default', 'Site''s time zone', '', 'none'),
('9791', '', 'default', 'Date''s time zone', '', 'none'),
('9792', '', 'default', 'No time zone conversion', '', 'none'),
('9793', '', 'default', 'Dates without hours granularity must not use any timezone handling.', '', 'none'),
('9794', '', 'default', 'Time zone handling', '', 'none'),
('9795', '', 'default', '!time', '', 'none'),
('9796', '', 'default', 'Date field', '', 'none'),
('9797', '', 'default', 'Interval', '', 'none'),
('9798', '', 'default', 'A valid date is required for %title.', '', 'none'),
('9799', '', 'default', 'A Date API that can be used by other modules.', '', 'none'),
('9800', '', 'default', 'The Strtotime default value is invalid.', '', 'none'),
('9801', '', 'default', 'Relative', '', 'none'),
('9802', '', 'default', 'strtotime', '', 'none'),
('9803', '', 'default', 'Within', '', 'none'),
('9804', '', 'default', 'Position of date part labels', '', 'none'),
('9805', '', 'default', 'User''s time zone', '', 'none'),
('9806', '', 'default', 'Store a date in the database as an ISO date, recommended for historical or partial dates.', '', 'none'),
('9807', '', 'default', 'Store a date in the database as a datetime field, recommended for complete dates and times that may need timezone conversion.', '', 'none'),
('9808', '', 'default', 'Date Popup', '', 'none'),
('9809', '', 'default', 'Enables jquery popup calendars and time entry widgets for selecting dates and times.', '', 'none'),
('9810', '', 'default', 'Until', '', 'none'),
('9811', '', 'default', 'Date Repeat API', '', 'none'),
('9812', '', 'default', 'A Date Repeat API to calculate repeating dates and times from iCal rules.', '', 'none'),
('9813', '', 'default', '1 minute', '', 'none'),
('9814', '', 'default', 'Date range', '', 'none'),
('9815', '', 'default', 'Default format', '', 'none'),
('9816', '', 'default', 'Popup', '', 'none'),
('9817', '', 'default', 'Show @count value(s)', '', 'none'),
('9818', '', 'default', 'interval', '', 'none'),
('9819', '', 'default', 'Date year range', '', 'none'),
('9820', '', 'default', 'Format: @date', '', 'none'),
('9821', '', 'default', 'date ical', '', 'none'),
('9822', '', 'default', '!timezone', '', 'none'),
('9823', '', 'default', 'The dates are invalid.', '', 'none'),
('9824', '', 'default', 'Repeats', '', 'none'),
('9825', '', 'default', '!repeats_every_interval on the !date_order !day_of_week', '', 'none'),
('9826', '', 'default', '!repeats_every_interval every !day_of_week', '', 'none'),
('9827', '', 'default', '!repeats_every_interval on the !month_days of !month_names', '', 'none'),
('9828', '', 'default', '!repeats_every_interval on !month_names', '', 'none'),
('9829', '', 'default', '!repeats_every_interval !count times', '', 'none'),
('9830', '', 'default', '!repeats_every_interval until !until_date', '', 'none'),
('9831', '', 'default', '!repeats_every_interval except !except_dates', '', 'none'),
('9832', '', 'default', '!repeats_every_interval where the week start on !day_of_week', '', 'none'),
('9833', '', 'default', 'every week', '', 'none'),
('9834', '', 'default', 'every @count weeks', '', 'none'),
('9835', '', 'default', 'every month', '', 'none'),
('9836', '', 'default', 'every @count months', '', 'none'),
('9837', '', 'default', 'every year', '', 'none'),
('9838', '', 'default', 'every @count years', '', 'none'),
('9839', '', 'default', 'every day', '', 'none'),
('9840', '', 'default', 'every @count days', '', 'none'),
('9841', '', 'default', 'Date field(s)', '', 'none'),
('9842', '', 'default', 'Method of handling multiple date fields in the same query. Return items that have any matching date field (date = field_1 OR field_2), or only those with matches in all selected date fields (date = field_1 AND field_2).', '', 'none'),
('9843', '', 'default', 'You must select at least one date field for this filter.', '', 'none'),
('9844', '', 'default', 'Missing date fields!', '', 'none'),
('9845', '', 'default', '(@field) <strong>Exposed</strong> @widget @format', '', 'none'),
('9846', '', 'default', '%title is invalid.', '', 'none'),
('9847', '', 'default', 'HTTP Request Error importing %filename: @error', '', 'none'),
('9848', '', 'default', 'Failed to open file: %filename', '', 'none'),
('9849', '', 'default', 'Invalid calendar file: %filename', '', 'none'),
('9850', '', 'default', 'Invalid calendar file.', '', 'none'),
('9851', '', 'default', 'Custom input format', '', 'none'),
('9852', '', 'default', 'Hide repeat rule', '', 'none'),
('9853', '', 'default', 'There are errors in @field_name value #@delta:', '', 'none'),
('9854', '', 'default', 'There are errors in @field_name:', '', 'none'),
('9855', '', 'default', 'Complete documentation for the Date and Date API modules is available at <a href="@link">http://drupal.org/node/92460</a>.', '', 'none'),
('9856', '', 'default', 'Use default jQuery timepicker', '', 'none'),
('9857', '', 'default', 'Manual time entry, no jQuery timepicker', '', 'none'),
('9858', '', 'default', 'Timepicker', '', 'none'),
('9859', '', 'default', 'Current exceptions', '', 'none'),
('9860', '', 'default', 'Date wizard', '', 'none'),
('9861', '', 'default', 'Machine-readable name. Allowed values: (a-z, 0-9, _). If this is not an existing content type, the content type will be created.', '', 'none'),
('9862', '', 'default', 'Content type label', '', 'none'),
('9863', '', 'default', 'The human-readable name for this content type. Only needed when creating a new content type.', '', 'none'),
('9864', '', 'default', 'A date content type that is linked to a Views calendar.', '', 'none'),
('9865', '', 'default', 'Content type description', '', 'none'),
('9866', '', 'default', 'A description for the content type. Only needed when creating a new content type.', '', 'none'),
('9867', '', 'default', 'Date field name', '', 'none'),
('9868', '', 'default', 'Machine-readable name. Allowed values: (a-z, 0-9, _) Must not be an existing field name.', '', 'none'),
('9869', '', 'default', 'Date field label', '', 'none'),
('9870', '', 'default', 'The human-readable label for this field.', '', 'none'),
('9871', '', 'default', 'Date widget type', '', 'none'),
('9872', '', 'default', 'Show repeating date options', '', 'none'),
('9873', '', 'default', 'Date field type', '', 'none'),
('9874', '', 'default', 'The recommend type is Datetime, except for historical dates or dates with only year or month granularity. Older or incomplete dates should use the Date type (an ISO date).', '', 'none'),
('9875', '', 'default', 'Date timezone handling', '', 'none'),
('9876', '', 'default', 'Timezone handling should be set to ''none'' for granularity without time elements.', '', 'none'),
('9877', '', 'default', 'Create a calendar for this date field', '', 'none'),
('9878', '', 'default', 'This content type name already exists, adding new field to existing content type.', '', 'none'),
('9879', '', 'default', 'This field name already exists.', '', 'none'),
('9880', '', 'default', 'Timezone handling must be none for granularity without time.', '', 'none'),
('9881', '', 'default', 'Date Tools', '', 'none'),
('9882', '', 'default', 'Tools to import and auto-create dates and calendars.', '', 'none'),
('9883', '', 'default', 'Filter any Views !base_table date field by a date argument, using any common ISO date/period format (i.e. YYYY, YYYY-MM, YYYY-MM-DD, YYYY-W99, YYYY-MM-DD--P3M, P90D, etc).', '', '7.42'),
('9884', '', 'default', 'Select the type of date value to be used in defaults, summaries, and navigation. For example, a granularity of ''month'' will set the default date to the current month, summarize by month in summary views, and link to the next and previous month when using date navigation.', '', 'none'),
('9885', '', 'default', 'You must select at least one date field for this argument.', '', 'none'),
('9886', '', 'default', 'Navigate to previous year', '', 'none'),
('9887', '', 'default', 'Navigate to next year', '', 'none'),
('9888', '', 'default', 'Navigate to previous month', '', 'none'),
('9889', '', 'default', 'Navigate to next month', '', 'none'),
('9890', '', 'default', 'Navigate to previous week', '', 'none'),
('9891', '', 'default', 'Navigate to next week', '', 'none'),
('9892', '', 'default', 'Navigate to previous day', '', 'none'),
('9893', '', 'default', 'Navigate to next day', '', 'none'),
('9894', '', 'default', 'View full page month', '', 'none'),
('9895', '', 'default', 'Relative date', '', 'none'),
('9896', '', 'default', 'Show End Date', '', 'none'),
('9897', '', 'default', 'Default values', '', 'none'),
('9898', '', 'default', 'Use ISO-8601 week numbers', '', 'none'),
('9899', '', 'default', 'IMPORTANT! If checked, First day of week MUST be set to Monday', '', 'none'),
('9900', '', 'default', 'When using ISO-8601 week numbers, the first day of the week must be set to Monday.', '', 'none'),
('9901', '', 'default', 'Field @label (@field_name)', '', 'none'),
('9902', '', 'default', 'There are no date fields in this database.', '', 'none'),
('9903', '', 'default', 'The date field which whose type should be changed.', '', 'none'),
('9904', '', 'default', 'The type of date to change the field to.', '', 'none'),
('9905', '', 'default', 'New type:', '', 'none'),
('9906', '', 'default', 'The current type is the same as the chosen type. There is nothing to change.', '', 'none'),
('9907', '', 'default', 'The field @field_name has been changed from @old_type to @new_type.', '', 'none'),
('9908', '', 'default', 'Change a date field from one type to another. Very experimental, use at your own risk!', '', 'none'),
('9909', '', 'default', 'Year range', '', 'none'),
('9910', '', 'default', 'Current additions', '', 'none'),
('9911', '', 'default', 'Also includes !additional_dates.', '', 'none'),
('9912', '', 'default', 'Repeats !interval !bymonth !byday !count !until !except. !additional', '', 'none'),
('9913', '', 'default', 'Date year range must be in the format -9:+9, 2005:2010, -9:2010, or 2005:+9', '', 'none'),
('9914', '', 'default', 'All day', 'datetime', 'none'),
('9915', '', 'default', 'Year', 'datetime', 'none'),
('9916', '', 'default', 'Month', 'datetime', 'none'),
('9917', '', 'default', 'Week', 'datetime', 'none'),
('9918', '', 'default', 'Day', 'datetime', 'none'),
('9919', '', 'default', 'Display:', '', 'none'),
('9920', '', 'default', 'Multiple values:', '', 'none'),
('9921', '', 'default', 'Identify a specific number of values to display, or leave blank to show all values.', '', 'none'),
('9922', '', 'default', 'starting from @isodate', '', 'none'),
('9923', '', 'default', 'ending with @isodate', '', 'none'),
('9924', '', 'default', 'Identify specific start and/or end dates in the format YYYY-MM-DDTHH:MM:SS, or leave blank for all available dates.', '', 'none'),
('9925', '', 'default', 'Repeat rule:', '', 'none'),
('9926', '', 'default', 'How many time units should be shown in the ''time ago'' string.', '', 'none'),
('9927', '', 'default', 'Show @count value(s) starting with @date1, ending with @date2', '', 'none'),
('9928', '', 'default', 'earliest', '', 'none'),
('9929', '', 'default', 'latest', '', 'none'),
('9930', '', 'default', 'Show repeat rule', '', 'none'),
('9931', '', 'default', 'Display time ago, showing @interval units.', '', 'none'),
('9932', '', 'default', 'View Repeating Dates', '', 'none'),
('9933', '', 'default', 'The duration of the time period given by the dates.', '', 'none'),
('9934', '', 'default', 'Hour', 'datetime', 'none'),
('9935', '', 'default', 'Minute', 'datetime', 'none'),
('9936', '', 'default', 'Second', 'datetime', 'none'),
('9937', '', 'default', 'The year is invalid.', '', 'none'),
('9938', '', 'default', 'The month is invalid.', '', 'none'),
('9939', '', 'default', 'The day is invalid.', '', 'none'),
('9940', '', 'default', 'The hour is invalid.', '', 'none'),
('9941', '', 'default', 'The minute is invalid.', '', 'none'),
('9942', '', 'default', 'The second is invalid.', '', 'none'),
('9943', '', 'default', 'am', 'ampm', 'none'),
('9944', '', 'default', 'pm', 'ampm', 'none'),
('9945', '', 'default', 'First', 'date_order', 'none'),
('9946', '', 'default', 'Second', 'date_order', 'none'),
('9947', '', 'default', 'Third', 'date_order', 'none'),
('9948', '', 'default', 'Fourth', 'date_order', 'none'),
('9949', '', 'default', 'Fifth', 'date_order', 'none'),
('9950', '', 'default', 'Last', 'date_order_reverse', 'none'),
('9951', '', 'default', 'Next to last', 'date_order_reverse', 'none'),
('9952', '', 'default', 'Third from last', 'date_order_reverse', 'none'),
('9953', '', 'default', 'Fourth from last', 'date_order_reverse', 'none'),
('9954', '', 'default', 'Fifth from last', 'date_order_reverse', 'none'),
('9955', '', 'default', 'Prev', 'date_nav', 'none'),
('9956', '', 'default', 'Next', 'date_nav', 'none'),
('9957', '', 'default', 'Configure the Date Popup settings.', '', 'none'),
('9958', '', 'default', 'Add exception', '', 'none'),
('9959', '', 'default', 'Add addition', '', 'none'),
('9960', '', 'default', 'Every', 'date_order', 'none'),
('9961', '', 'default', 'Sunday', 'day_name', 'none'),
('9962', '', 'default', 'Monday', 'day_name', 'none'),
('9963', '', 'default', 'Tuesday', 'day_name', 'none'),
('9964', '', 'default', 'Wednesday', 'day_name', 'none'),
('9965', '', 'default', 'Thursday', 'day_name', 'none'),
('9966', '', 'default', 'Friday', 'day_name', 'none'),
('9967', '', 'default', 'Saturday', 'day_name', 'none'),
('9968', '', 'default', 'This operation does not yet work for the Drupal 7 version.', '', 'none'),
('9969', '', 'default', 'Range of allowed years, oldest to newest. ''-1:+1 means oldest date is one year back, newest is one year forward from current year.', '', 'none'),
('9970', '', 'default', 'Your content type @name has been created.', '', 'none'),
('9971', '', 'default', 'Your date field @name has been created.', '', 'none'),
('9972', '', 'default', 'Administer date tools', '', 'none'),
('9973', '', 'default', 'Dates and calendars can be complicated to set up. The !date_wizard makes it easy to create a simple date content type and related calendar. ', '', 'none'),
('9974', '', 'default', 'Easy creation of date content types and calendars. ', '', 'none'),
('9975', '', 'default', 'Date Views', '', 'none'),
('9976', '', 'default', '5 minute', '', 'none'),
('9977', '', 'default', '15 minute', '', 'none'),
('9978', '', 'default', 'Select date field(s) to filter.', '', 'none'),
('9979', '', 'default', 'All Day', '', 'none'),
('9980', '', 'default', 'Date field values', '', 'none'),
('9981', '', 'default', 'Tokens related to date field values.', '', 'none'),
('9982', '', 'default', 'The date value.', '', 'none'),
('9983', '', 'default', 'Relative default value', '', 'none'),
('9984', '', 'default', 'The year is invalid. Please check that entry includes four digits.', '', 'none'),
('9985', '', 'default', '<strong>Exposed</strong> @widget @format', '', 'none'),
('9986', '', 'default', 'Date with repeat', '', 'none'),
('9987', '', 'default', 'Datestamp range', '', 'none'),
('9988', '', 'default', 'Datetime', '', 'none'),
('9989', '', 'default', 'Datetime range', '', 'none'),
('9990', '', 'default', 'Source id', '', 'none'),
('9991', '', 'default', 'A simple date', '', 'none'),
('9992', '', 'default', 'Start value for a date range', '', 'none'),
('9993', '', 'default', 'Simple datestamp', '', 'none'),
('9994', '', 'default', 'Start value for a datestamp range', '', 'none'),
('9995', '', 'default', 'Simple datetime', '', 'none'),
('9996', '', 'default', 'Start value for a datetime range', '', 'none'),
('9997', '', 'default', 'Sample of a repeating date field', '', 'none'),
('9998', '', 'default', 'Examples of migrating with the Date module', '', 'none'),
('9999', '', 'default', 'Store a date in the database as a timestamp, deprecated format to support legacy data.', '', 'none'),
('10000', '', 'default', 'Pop-up calendar', '', 'none'),
('10001', '', 'default', 'A ''Start date'' date is required for field %field #%delta.', '', 'none'),
('10002', '', 'default', 'An ''End date'' is required for field %field #%delta.', '', 'none'),
('10003', '', 'default', 'The End date value.', '', 'none'),
('10004', '', 'default', 'Choose how users view dates and times:', '', 'none'),
('10005', '', 'default', 'To add or edit options, visit <a href="@date-time-page">Date and time settings</a>.', '', 'none'),
('10006', '', 'default', 'Both Start and End dates', '', 'none'),
('10007', '', 'default', 'Start date only', '', 'none'),
('10008', '', 'default', 'End date only', '', 'none'),
('10009', '', 'default', 'Display dates using the @format format', '', 'none'),
('10010', '', 'default', 'Display both Start and End dates', '', 'none'),
('10011', '', 'default', 'Display Start date only', '', 'none'),
('10012', '', 'default', 'Display End date only', '', 'none'),
('10013', '', 'default', 'Default date', '', 'none'),
('10014', '', 'default', 'No default value', '', 'none'),
('10015', '', 'default', 'Default end date', '', 'none'),
('10016', '', 'default', 'Relative default value for end date', '', 'none'),
('10017', '', 'default', 'The Strtotime default value for the End Date is invalid.', '', 'none'),
('10018', '', 'default', 'Date entry options', '', 'none'),
('10019', '', 'default', 'Control the order and format of the options users see.', '', 'none'),
('10020', '', 'default', 'Time increments', '', 'none'),
('10021', '', 'default', '10 minute', '', 'none'),
('10022', '', 'default', '30 minute', '', 'none'),
('10023', '', 'default', 'Please enter a custom date format, or choose one of the preset formats.', '', 'none'),
('10024', '', 'default', 'Select the date attributes to collect and store.', '', 'none'),
('10025', '', 'default', 'Date attributes to collect', '', 'none'),
('10026', '', 'default', 'End dates are used to collect duration. E.g., allow an event to start on September 15, and end on September 16.', '', 'none'),
('10027', '', 'default', 'Collect an end date', '', 'none'),
('10028', '', 'default', 'Select the timezone handling method for this date field.', '', 'none'),
('10029', '', 'default', 'Empty ''End date'' values will use the ''Start date'' values.', '', 'none'),
('10030', '', 'default', '@field_name Start date value #@delta', '', 'none'),
('10031', '', 'default', '@field_name End date value #@delta', '', 'none'),
('10032', '', 'default', '@field_name Start date', '', 'none'),
('10033', '', 'default', '@field_name End date', '', 'none'),
('10034', '', 'default', 'A ''Start date'' date is required if an ''end date'' is supplied for field %field #%delta.', '', 'none'),
('10035', '', 'default', 'A ''Start date'' date is required if an ''End date'' is supplied for field %field #%delta.', '', 'none'),
('10036', '', 'default', 'The End date must be greater than the Start date.', '', 'none'),
('10037', '', 'default', 'The Start date is invalid.', '', 'none'),
('10038', '', 'default', 'The End date is invalid.', '', 'none'),
('10039', '', 'default', 'More settings and values', '', 'none'),
('10040', '', 'default', 'Date entry', '', 'none'),
('10041', '', 'default', 'Starting and ending year', '', 'none'),
('10042', '', 'default', '!start-date to !end-date', '', 'none'),
('10043', '', 'default', 'Date part', '', 'none'),
('10044', '', 'default', 'Makes date/time fields available.', '', 'none'),
('10045', '', 'default', 'Starting year', '', 'none'),
('10046', '', 'default', 'Enter a relative value (-9, +9) or an absolute year such as 2015.', '', 'none'),
('10047', '', 'default', 'Ending year', '', 'none'),
('10048', '', 'default', 'The value input for field %field is invalid:', '', 'none'),
('10049', '', 'default', 'The value input for field %field is invalid.', '', 'none'),
('10050', '', 'default', 'The value @date does not match the expected format.', '', 'none'),
('10051', '', 'default', 'Missing system date settings', '', 'none'),
('10052', '', 'default', 'System date settings', '', '7.34'),
('10053', '', 'default', '@count year from now', '', 'none'),
('10054', '', 'default', '@count years from now', '', 'none'),
('10055', '', 'default', 'Date', 'datetime', 'none'),
('10056', '', 'default', 'Time', 'datetime', 'none'),
('10057', '', 'default', 'Date Migration', '', 'none'),
('10058', '', 'default', 'Date Migration Example', '', 'none'),
('10059', '', 'default', 'E.g., @date', '', 'none'),
('10060', '', 'default', '<p>The Date Popup module allows for manual time entry or use of a jQuery timepicker plugin. The Date module comes with a default jQuery timepicker which is already installed. The module also supports a dropdown timepicker that must be downloaded separately. The dropdown timepicker will not appear as an option until the code is available in the libraries folder. If you do not want to use a jQuery timepicker, you can choose the "Manual time entry" option below and users will get a regular textfield instead.</p>', '', 'none'),
('10061', '', 'default', 'Use dropdown timepicker', '', 'none'),
('10062', '', 'default', 'Display a matching second date field as a ''End date''.', '', 'none'),
('10063', '', 'default', 'The content type name must be no more than 12 characters long when using it to create a calendar and blocks.', '', 'none'),
('10064', '', 'default', 'The field name must be no more than 26 characters long.', '', 'none'),
('10065', '', 'default', '@label -  start date (!name)', '', 'none'),
('10066', '', 'default', '@label -  start date', '', 'none'),
('10067', '', 'default', '@label - end date (!name:!column)', '', 'none'),
('10068', '', 'default', '@label - end date:!column', '', 'none'),
('10069', '', 'default', 'Select one or more date fields to filter with this argument.', '', 'none'),
('10070', '', 'default', 'Dates to compare', '', 'none'),
('10071', '', 'default', 'Start/End date range', '', 'none'),
('10072', '', 'default', 'Only this field', '', 'none'),
('10073', '', 'default', 'Date selection form element', '', 'none'),
('10074', '', 'default', 'Filter granularity', '', 'none'),
('10075', '', 'default', 'Relative start date', '', 'none'),
('10076', '', 'default', 'Relative end date', '', 'none'),
('10077', '', 'default', 'Relative start date not specified.', '', 'none'),
('10078', '', 'default', 'Relative end date not specified.', '', 'none'),
('10079', '', 'default', 'Relative date not specified.', '', 'none'),
('10080', '', 'default', 'Position: @position, format: @format.', '', 'none'),
('10081', '', 'default', 'Date identifier', '', 'none'),
('10082', '', 'default', 'Link format', '', 'none'),
('10083', '', 'default', 'Is empty', '', 'none'),
('10084', '', 'default', 'Same as Default date', '', 'none'),
('10085', '', 'default', 'Repeating date', '', 'none'),
('10086', '', 'default', 'Allow user to see a page with all the times a date repeats.', '', 'none'),
('10087', '', 'default', 'Starting year must be in the format -9, or an absolute year such as 1980.', '', 'none'),
('10088', '', 'default', 'Ending year must be in the format +9, or an absolute year such as 2030.', '', 'none'),
('10089', '', 'default', 'Set a condition based on the value of a date field', '', 'none'),
('10090', '', 'default', 'Is not Empty', '', 'none'),
('10091', '', 'default', 'Date Context', '', 'none'),
('10092', '', 'default', 'Adds an option to the Context module to set a context condition based on the value of a date field.', '', 'none'),
('10093', '', 'default', 'Display all day checkbox', '', 'none'),
('10094', '', 'default', 'Determines whether to display the ''All Day'' checkbox to the user.', '', 'none'),
('10095', '', 'default', 'Date format options', '', 'none'),
('10096', '', 'default', 'Custom summary date format', '', 'none'),
('10097', '', 'default', 'The <em>All Day</em> functionality has been moved into a separate module. This new module provides the option to add an <em>All Day</em> checkbox to toggle time on and off for date fields. It also contains the theme that displays the <em>All Day</em> text on fields that have no time. For consistency with prior code, it has been automatically enabled. If you don''t want the <em>All Day</em> functionality you can disable this module.', '', 'none'),
('10098', '', 'default', 'The <em>Date Repeat</em> integration for Date fields is being moved into a separate module. For consistency with prior code, it has been automatically enabled if the Date Repeat API module is enabled. If you don''t use <em>Date Repeat</em> functionality in your fields, you can disable this module.', '', 'none'),
('10099', '', 'default', 'Date All Day', '', 'none'),
('10100', '', 'default', 'Repeats', 'Date repeat', 'none'),
('10101', '', 'default', 'Every @interval days', 'Date repeat', 'none'),
('10102', '', 'default', 'Every @interval weeks', 'Date repeat', 'none'),
('10103', '', 'default', 'Every @interval months', 'Date repeat', 'none'),
('10104', '', 'default', 'Every @interval years', 'Date repeat', 'none'),
('10105', '', 'default', 'Repeat on', 'Date repeat', 'none'),
('10106', '', 'default', 'Every weekday', 'Date repeat', 'none'),
('10107', '', 'default', 'Every Mon, Wed, Fri', 'Date repeat', 'none'),
('10108', '', 'default', 'Every Tue, Thu', 'Date repeat', 'none'),
('10109', '', 'default', 'Repeats every', 'Date repeat', 'none'),
('10110', '', 'default', 'every weekday', '', 'none'),
('10111', '', 'default', 'monday wednesday friday', '', 'none'),
('10112', '', 'default', 'tuesday thursday', '', 'none'),
('10113', '', 'default', 'On day @bymonthday of', 'Date repeat', 'none'),
('10114', '', 'default', 'Bymonth', 'Date repeat', 'none'),
('10115', '', 'default', 'On the @byday of', 'Date repeat', 'none'),
('10116', '', 'default', 'On day ... of ...', '', 'none'),
('10117', '', 'default', 'On the ... of ...', '', 'none'),
('10118', '', 'default', 'After @count occurrences', 'Date repeat', 'none'),
('10119', '', 'default', 'Count', 'Date repeat', 'none'),
('10120', '', 'default', 'On', 'Date repeat', 'none'),
('10121', '', 'default', 'Until', 'Date repeat', 'none'),
('10122', '', 'default', 'Stop repeating', 'Date repeat', 'none'),
('10123', '', 'default', 'Exclude dates', 'Date repeat', 'none'),
('10124', '', 'default', 'Include dates', 'Date repeat', 'none'),
('10125', '', 'default', 'Repeat settings', '', 'none'),
('10126', '', 'default', 'Daily', 'datetime_singular', 'none'),
('10127', '', 'default', 'Weekly', 'datetime_singular', 'none'),
('10128', '', 'default', 'Monthly', 'datetime_singular', 'none'),
('10129', '', 'default', 'Yearly', 'datetime_singular', 'none'),
('10130', '', 'default', 'Missing value in ''Range of repeat''. (UNTIL).', 'Date repeat', 'none'),
('10131', '', 'default', 'Missing value in ''Range of repeat'': Year (UNTIL)', 'Date repeat', 'none'),
('10132', '', 'default', 'Missing value in ''Range of repeat'': Month (UNTIL)', 'Date repeat', 'none'),
('10133', '', 'default', 'Missing value in ''Range of repeat'': Day (UNTIL)', 'Date repeat', 'none'),
('10134', '', 'default', 'Missing value in ''Range of repeat''. (COUNT).', 'Date repeat', 'none'),
('10135', '', 'default', 'Expanded', 'Date repeat', 'none'),
('10136', '', 'default', 'Collapsed', 'Date repeat', 'none'),
('10137', '', 'default', 'Repeat display', 'Date repeat', 'none'),
('10138', '', 'default', 'Cache dates', '', 'none'),
('10139', '', 'default', 'Maximum dates per field', '', 'none'),
('10140', '', 'default', 'The number of cache values must be a number.', '', 'none'),
('10141', '', 'default', 'The number of cache values must be a number 0 or greater.', '', 'none'),
('10142', '', 'default', 'to:', '', 'none'),
('10143', '', 'default', 'Dates and calendars can be complicated to set up. The !date_wizard makes it easy to create a simple date content type and with a date field. ', '', 'none'),
('10144', '', 'default', 'Dates and calendars can be complicated to set up. If you enable the Date Tools module, it provides a Date Wizard that makes it easy to create a simple date content type with a date field. ', '', 'none'),
('10145', '', 'default', 'How to display the time ago or time hence for this field.', '', 'none'),
('10146', '', 'default', 'No valid timezone name was provided.', '', 'none'),
('10147', '', 'default', 'Clean URL', '', 'none'),
('10148', '', 'default', 'The first day of the week has been set to <a href="@regional_settings">@day</a>.', '', 'none'),
('10149', '', 'default', 'Views integration for date fields and date functionality.', '', 'none'),
('10150', '', 'default', 'Set the allowable minimum and maximum year range for this argument, either a -X:+X offset from the current year, like ''-3:+3'' or an absolute minimum and maximum year, like ''2005:2010'' . When the argument is set to a date outside the range, the page will be returned as ''Page not found (404)'' .', '', 'none'),
('10151', '', 'default', 'Method of handling multiple date fields in the same query. Return items that have any matching date field (date = field_1 OR field_2), or only those with matches in all selected date fields (date = field_1 AND field_2). ', '', 'none'),
('10152', '', 'default', 'Migrate example - dates', '', 'none'),
('10153', '', 'default', 'Example migration into date fields', '', 'none'),
('10154', '', 'default', 'Describe a time by reference to the current day, like ''+90 days'' (90 days from the day the field is created) or ''+1 Saturday'' (the next Saturday). See !strtotime for more details.', '', 'none'),
('10155', '', 'default', 'Override the input format selected above. Define a php date format string like ''m-d-Y H:i'' (see <a href="@link">http://php.net/date</a> for more details).', '', 'none'),
('10156', '', 'default', 'This content type is used for demonstrating and testing migration into Date fields.', '', 'none'),
('10157', '', 'default', '<p>To install the dropdown timepicker, create a <code>!directory</code> directory in your site installation. Then visit <a href="@download">@download</a>, download the latest copy and unzip it. You will see files with names like jquery.timepicker-1.1.2.js and jquery.timepicker-1.1.2.css. Rename them to jquery.timepicker.js and jquery.timepicker.css and copy them into <code>!directory</code>.</p>', '', 'none');
INSERT INTO `locales_source` VALUES
('10158', '', 'default', '<p>The Date Popup calendar includes some css for IE6 that breaks css validation. Since IE 6 is now superceded by IE 7, 8, and 9, the special css for IE 6 has been removed from the regular css used by the Date Popup. If you find you need that css after all, you can add it back in your theme. Look at the way the Garland theme adds special IE-only css in in its page.tpl.php file. The css you need is:</p>', '', 'none'),
('10159', '', 'default', 'Add multiple value identifier', '', 'none'),
('10160', '', 'default', 'If selected the view will check if any value starting with the ''Start'' date and ending with the ''End'' date matches the view criteria. Otherwise the view will be limited to the specifically selected fields. Comparing to the whole Start/End range is the recommended setting when using this filter in a Calendar. When using the Start/End option, it is not necessary to add both the Start and End fields to the filter, either one will do.', '', 'none'),
('10161', '', 'default', 'Add an identifier to the view to show which multiple value date fields meet the filter criteria. Note: This option may introduce duplicate values into the view. Required when using multiple value fields in a Calendar or any time you want the node view of multiple value dates to display only the values that match the view filters.', '', 'none'),
('10162', '', 'default', 'Relative dates are computed when the view is displayed. Examples: now, now +1 day, 12AM today, Monday next week. <a href="@relative_format">More examples of relative date formats in the PHP documentation</a>.', '', 'none'),
('10163', '', 'default', 'This pager works together with a Date or Content date field contextual filter. If a Date filter has been added to the view, this pager will provide back/next paging to match the granularity of that filter (i.e. paging by year, month, week, or day). The filter must also be configured to use a DATE default value. If there is no Date contextual filter on this view, or if it has not been set to use a default date, the pager will not appear.', '', 'none'),
('10164', '', 'default', 'The query identifier to use when fetching date data from in the URL. Note that if you have more than one display in the same view that uses the date pager (like a page and a block), the pager id must be different for each one or both will change when the pager value changes.', '', 'none'),
('10165', '', 'default', 'Where to place the date pager, on the top, bottom, or both top and bottom of the content.', '', 'none'),
('10166', '', 'default', 'Repeating dates use an ''Unlimited'' number of values. Instead of the ''Add more'' button, they include a form to select when and how often the date should repeat.', '', 'none'),
('10167', '', 'default', 'The widgets for repeating dates have changed. Please check the Display Fields page for each content type that has repeating date fields and confirm that the right widget has been selected.', '', 'none'),
('10168', '', 'default', 'The comparison to perform to determine if the date field meets the condition. For multiple value date fields, all values will be checked to see if any meet the condition.', '', 'none'),
('10169', '', 'default', 'The value the field should contain to meet the condition. This can either be an absolute date in ISO format (YYYY-MM-DDTHH:MM:SS) or a relative string like ''12AM today''. Examples: 2011-12-31T00:00:00, now, now +1 day, 12AM today, Monday next week. <a href="@relative_format">More examples of relative date formats in the PHP documentation</a>.', '', 'none'),
('10170', '', 'default', '@from to @to', '', 'none'),
('10171', '', 'default', 'The date format used in titles and summary links for this argument. The default format is based on the granularity of the filter, i.e. month: @example_month, day: @example_day.', '', 'none'),
('10172', '', 'default', 'A custom format for the title and summary date format. Define a php date format string like ''m-d-Y H:i'' (see <a href="@link">http://php.net/date</a> for more details).', '', 'none'),
('10173', '', 'default', 'Adds ''All Day'' functionality to date fields, including an ''All Day'' theme and ''All Day'' checkboxes for the Date select and Date popup widgets.', '', 'none'),
('10174', '', 'default', 'Date Repeat Field', '', 'none'),
('10175', '', 'default', 'Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.', '', 'none'),
('10176', '', 'default', 'Date objects can be created and cached as date fields are loaded rather than when they are displayed to improve performance.', '', 'none'),
('10177', '', 'default', 'If set to ''0'', all date values on every entity will be cached. Note that caching every date on fields that may have a large number of multiple or repeating values may create a significant performance penalty when the cache is cleared. The suggested setting for multiple value and repeating fields is no more than 4 values per field.', '', 'none'),
('10178', '', 'default', '<h2>Tools for Dates and Calendars</h2>', '', 'none'),
('10179', '', 'default', 'Fill out the following form to auto-create a date content type, with a datetime field and matching pre-configured calendar. If the calendar module is enabled and the option to create a calendar is chosen, a calendar and upcoming events block will be created, an ical feed will be added to the calendar. Nodes created from this new content type will include a link to the calendar, and the calendar will have a link to the ''add new date'' form. You can also add new date fields to an existing content type by entering the existing content type name instead of creating a new one.', '', 'none'),
('10180', '', 'default', 'Date Wizard and other tools to manage and create dates and calendars. ', '', 'none'),
('10181', '', 'default', 'Please choose a year.', '', 'none'),
('10182', '', 'default', 'Please choose a month.', '', 'none'),
('10183', '', 'default', 'Please choose a day.', '', 'none'),
('10184', '', 'default', 'Please choose an hour.', '', 'none'),
('10185', '', 'default', 'Please choose a minute.', '', 'none'),
('10186', '', 'default', 'Please choose a second.', '', 'none'),
('10187', '', 'default', 'The format for pager link urls. With the Pager format, the links look like ''calendar/?date=2020-05''. The Clean URL format links look like ''calendar/2020-05''. The Clean format links look nicer but the Pager format links are likely to work better if the calendar is used in blocks or panels.', '', 'none'),
('10188', '', 'default', 'The timezone has been set to <a href="@regional_settings">@timezone</a>.', '', '7.34'),
('10189', '', 'default', 'The Date API requires that you set up the <a href="@regional_settings">site timezone</a> to function correctly.', '', 'none'),
('10190', '', 'default', 'The Date API requires that you set up the <a href="@regional_settings">site first day of week settings</a> to function correctly.', '', '7.34'),
('10191', '', 'default', 'The Date API requires that you set up the <a href="@regional_date_time">system date formats</a> to function correctly.', '', 'none'),
('10192', '', 'default', 'The Date API requires that you set up the <a href="@regional_settings">site timezone and first day of week settings</a> and the <a href="@regional_date_time">date format settings</a> to function correctly.', '', 'none'),
('10193', '', 'default', 'Display dates using the default format because the specified format (@format) is not defined', '', 'none'),
('10194', '', 'default', 'Date text widgets have been updated to use an increment of 1.', '', 'none'),
('10195', '', 'default', 'The location of date part labels, like ''Year'', ''Month'', or ''Day'' . ''Above'' displays the label as titles above each date part. ''Within'' inserts the label as the first option in the select list and in blank textfields. ''None'' doesn''t visually label any of the date parts. Theme functions like ''date_part_label_year'' and ''date_part_label_month'' control label text.', '', 'none'),
('10196', '', 'default', 'The location of date part labels, like ''Year'', ''Month'', or ''Day'' . ''Above'' displays the label as titles above each date part. ''None'' doesn''t visually label any of the date parts. Theme functions like ''date_part_label_year'' and ''date_part_label_month'' control label text.', '', 'none'),
('10197', '', 'default', 'Changes to date attributes only effects new or updated content.', '', 'none'),
('10198', '', 'default', 'Obsolete data migration module. Disable if no other modules depend on it.', '', 'none'),
('10199', '', 'default', 'every @count[2] weeks', '', 'none'),
('10200', '', 'default', 'every @count[2] months', '', 'none'),
('10201', '', 'default', 'every @count[2] years', '', 'none'),
('10202', '', 'default', 'every @count[2] days', '', 'none'),
('10203', '', 'default', '@count[2] years from now', '', 'none'),
('10204', '', 'default', 'Only a limited set of options are displayed here to make this easy to set up. Once the date has been created you will be able to make other changes to the date settings and add other fields to your new content type on the Manage fields screen. You can also make changes to the calendar on the Views edit page.', '', 'none'),
('10205', '', 'default', '@field_name', '', 'none'),
('10206', '', 'default', 'Render as a regular field', '', 'none'),
('10207', '', 'default', 'Whether to render this field as a regular field instead of a fieldset. The date field elements are wrapped in a fieldset by default, and may not display well without it.', '', 'none'),
('10208', '', 'default', 'Choose how render dates and times', '', 'none'),
('10209', '', 'default', 'Recurring event rule', '', 'none'),
('10210', '', 'default', 'End date date', '', 'none'),
('10211', '', 'default', 'The second is missing.', '', 'none'),
('10212', '', 'default', 'The minute is missing.', '', 'none'),
('10213', '', 'default', 'The hour is missing.', '', 'none'),
('10214', '', 'default', 'The day is missing.', '', 'none'),
('10215', '', 'default', 'The month is missing.', '', 'none'),
('10216', '', 'default', 'The year is missing.', '', 'none'),
('10508', 'misc/drupal.js', 'default', 'CustomMessage: !customMessage', '', 'none'),
('10509', 'misc/ajax.js', 'default', 'The response failed verification so will not be processed.', '', 'none'),
('10510', 'misc/ajax.js', 'default', 'The callback URL is not local and not trusted: !url', '', 'none'),
('10773', '', 'default', 'Config', '', '7.41'),
('10775', '', 'default', 'Menu Name', '', '7.41'),
('10776', '', 'default', 'Menu Title', '', '7.41'),
('10778', '', 'default', 'Menu Item', '', '7.41'),
('10800', '', 'default', 'Add row', '', '7.41'),
('10858', '', 'default', 'Slide', '', '7.41'),
('10859', '', 'default', 'Zoom', '', '7.41'),
('10860', '', 'default', 'Elastic', '', '7.41'),
('10861', '', 'default', 'Black', '', '7.41'),
('10862', '', 'default', 'Blue', '', '7.41'),
('10863', '', 'default', 'Green', '', '7.41'),
('10867', '', 'default', 'Animation', '', '7.41'),
('11003', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'View all', '', '7.50'),
('11004', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Comments ', '', '7.50'),
('11005', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Page: Grid', '', '7.44'),
('11006', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Page: Timeline', '', '7.44'),
('11007', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Page: Masonry', '', '7.44'),
('11008', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Block: Recent posts', '', '7.43'),
('11009', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'View: Recent posts', '', '7.43'),
('11010', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Block: Popular posts', '', '7.50'),
('11011', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'Popular posts', '', '7.50'),
('11012', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', '<strong>[title]</strong> ([created])', '', '7.50'),
('11013', '/anima/drupal/admin/structure/views/view/blog/edit/block_3', 'default', 'View: Popular posts', '', '7.50'),
('11014', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Portfolio', '', '7.44'),
('11015', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Page 1', '', '7.43'),
('11016', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Portfolio 1 col', '', '7.42'),
('11017', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Page 2', '', '7.44'),
('11018', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Portfolio 2 col', '', '7.42'),
('11019', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Page 3', '', '7.44'),
('11020', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Page 4', '', '7.44'),
('11021', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Portfolio 4 col', '', '7.42'),
('11022', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Page Masonry', '', '7.44'),
('11023', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Portfolio Masonry', '', '7.42'),
('11024', '/anima/drupal/admin/structure/views/view/blog/edit/page?destination=blog-grid', 'default', 'Block: Blog (onepage)', '', '7.44'),
('11025', '/anima/drupal/admin/structure/views/view/blog/edit/page?destination=blog-grid', 'default', 'View: Blog (onepage)', '', '7.44'),
('11026', '/anima/drupal/admin/structure/views/view/blog/edit/page_2?destination=blog-masonry', 'default', 'Blog masonry', '', '7.43'),
('11027', '/anima/drupal/admin/structure/views/view/blog/edit/page?destination=blog-grid', 'default', 'Blog grid', '', '7.43'),
('11028', '/anima/drupal/admin/structure/views/view/blog/edit/page_1?destination=blog-timeline', 'default', 'Blog timeline', '', '7.43'),
('11029', '/anima/drupal/admin/structure/views/view/blog/edit/block_4', 'default', 'Block: Home blog', '', '7.50'),
('11030', '/anima/drupal/admin/structure/views/view/blog/edit/block_4', 'default', 'View: Home blog', '', '7.50'),
('11031', '/anima/drupal/admin/structure/views/view/blog/edit/block_4?destination=home-blog', 'default', '<span class="node-author"><span class="fa fa-fw fa-user"></span> </span> <span class="node-pubdate"><span class="fa fa-fw fa-calendar"></span> created]</span> 	<span class="node-views"><span class="fa fa-fw fa-eye"></span> [totalcount]</span> <span class="node-comments"><span class="fa fa-fw fa-comment"></span> <a href="?q=node/[nid]#comments" class="node-comments">[comment_count]</a></span>', '', '7.41'),
('11032', '/anima/drupal/admin/structure/views/view/comments_recent/edit/block?destination=home-blog', 'default', 'Block: Recent blog comments', '', '7.41'),
('11033', '/anima/drupal/admin/structure/views/view/comments_recent/edit/block?destination=home-blog', 'default', 'View: Recent blog comments', '', '7.41'),
('11034', '/anima/drupal/admin/structure/views/view/comments_recent/edit/block?destination=home-blog', 'default', 'View: Recent forum comments', '', '7.41'),
('11035', '/anima/drupal/admin/structure/views/view/comments_recent/edit/block?destination=home-blog', 'default', 'Recent replies', '', '7.41'),
('11036', '/anima/drupal/admin/structure/views/view/users/edit/block_1', 'default', '-\n[signature]', '', '7.43'),
('11037', '/anima/drupal/admin/structure/views/view/users/edit/block_1', 'default', 'View: Post authors', '', '7.43'),
('11038', '/anima/drupal/admin/structure/views/view/users/edit/block_1', 'default', 'The most active authors', '', '7.43'),
('11039', '/anima/drupal/admin/structure/views/view/blog/edit/block_4?destination=home-blog', 'default', 'Our newest posts', '', '7.50'),
('11040', '/anima/drupal/admin/structure/views/view/blog/edit/block_4?destination=home-blog', 'default', '<span class="node-author"><span class="fa fa-fw fa-user"></span> [name]</span> <span class="node-pubdate"><span class="fa fa-fw fa-calendar"></span> [created]</span> <span class="node-views"><span class="fa fa-fw fa-eye"></span> [totalcount]</span> <span class="node-comments"><span class="fa fa-fw fa-comment"></span> <a href="?q=node/[nid]#comments" class="node-comments">[comment_count]</a></span>', '', '7.50'),
('11041', '/anima/drupal/admin/structure/views/view/FAQs/edit/page', 'default', 'FAQs', '', '7.43'),
('11042', '/anima/drupal/admin/structure/views/view/FAQs/edit/block_1?destination=home-landing', 'default', 'Frequently asked questions', '', '7.43'),
('11043', '/anima/drupal/admin/structure/views/view/FAQs/edit/block_1?destination=home-landing', 'default', 'Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam ac fermentum felis. Sed luctus, quam in pellentesque ornare, ante nibh vulputate dolor, sed varius orci dolor ac urna. Mauris egestas elementum erat, sed tincidunt ex. Cras vitae pellentesque lectus. Etiam sit amet vestibulum dui, at lobortis velit. Suspendisse potenti. ', '', '7.43'),
('11044', '/anima/drupal/admin/structure/views/view/FAQs/edit/block_1?destination=home-landing', 'default', '[...]', '', '7.44'),
('11045', '/anima/drupal/admin/structure/views/view/FAQs/edit/block_1?destination=home-landing', 'default', 'View: FAQs', '', '7.43'),
('11046', '/anima/drupal/admin/structure/views/view/testimonials/edit/block_1', 'default', 'Testimonials', '', '7.44'),
('11047', '/anima/drupal/admin/structure/views/view/testimonials/edit/block_1', 'default', '<a href="?q=node/[nid]">[body]</a>', '', '7.44'),
('11048', '/anima/drupal/admin/structure/views/view/testimonials/edit/block_1', 'default', 'What people say about us', '', '7.44'),
('11049', '/anima/drupal/admin/structure/views/view/testimonials/edit/block_1', 'default', 'View: Testimonials', '', '7.44'),
('11050', '/anima/drupal/admin/structure/views/view/testimonials/edit/block_1?destination=home-landing', 'default', 'Block (Landing)', '', '7.44'),
('11051', '/anima/drupal/admin/structure/views/view/testimonials/edit/block_1?destination=home-landing', 'default', 'View: Testimonials (Landing)', '', '7.44'),
('11052', '/anima/drupal/node/172?language=ru', 'default', 'Vimeo videos', '', '7.42'),
('11053', '/anima/drupal/node/172?language=ru', 'default', 'Remote videos hosted on the Vimeo video-sharing website.', '', '7.42'),
('11054', '/anima/drupal/node/172?language=ru', 'default', 'YouTube videos', '', '7.42'),
('11055', '/anima/drupal/node/172?language=ru', 'default', 'Remote videos hosted on the YouTube video-sharing website.', '', '7.42'),
('11056', '/anima/drupal/node/172?language=ru', 'default', 'Media browser', '', '7.42'),
('11057', '/anima/drupal/node/172?language=ru', 'default', 'Add media', '', '7.42'),
('11058', '/anima/drupal/node/172?language=ru', 'default', 'Select media', '', '7.42'),
('11059', '/anima/drupal/node/172?language=ru', 'default', 'Remove media', '', '7.42'),
('11060', '/anima/drupal/node/172?language=ru', 'default', 'Original', '', '7.42'),
('11061', '/anima/drupal/node/172?language=ru', 'default', '{current} of {total}', '', '7.42'),
('11062', '/anima/drupal/node/172?language=ru', 'default', '« Prev', '', '7.42'),
('11063', '/anima/drupal/node/172?language=ru', 'default', 'Next »', '', '7.42'),
('11064', '/anima/drupal/node/172?language=ru', 'default', 'A user subscribed an e-mail address using the simple_subscription block', '', '7.42'),
('11065', '/anima/drupal/node/172?language=ru', 'default', 'AddThis', '', '7.42'),
('11066', '/anima/drupal/node/172?language=ru', 'default', 'This field stores addthis settings in the database.', '', '7.42'),
('11067', '/anima/drupal/node/172?language=ru', 'default', 'This field stores and renders email addresses.', '', '7.42'),
('11068', '/anima/drupal/node/172?language=ru', 'default', 'Multimedia asset (deprecated)', '', '7.42'),
('11069', '/anima/drupal/node/172?language=ru', 'default', 'This field stores a reference to a multimedia asset.', '', '7.42'),
('11070', '/anima/drupal/node/172?language=ru', 'default', 'AddThis button', '', '7.42'),
('11071', '/anima/drupal/node/172?language=ru', 'default', 'Media file selector', '', '7.42'),
('11072', '/anima/drupal/node/172?language=ru', 'default', 'Term reference tree', '', '7.42'),
('11073', '/anima/drupal/node/172?language=ru', 'default', 'Basic Toolbox', '', '7.42'),
('11074', '/anima/drupal/node/172?language=ru', 'default', 'Basic Button', '', '7.42'),
('11075', '/anima/drupal/node/172?language=ru', 'default', 'Colorbox', '', '7.42'),
('11076', '/anima/drupal/node/172?language=ru', 'default', 'Default email link', '', '7.42'),
('11077', '/anima/drupal/node/172?language=ru', 'default', 'Display the email address as a mailto link.', '', '7.42'),
('11078', '/anima/drupal/node/172?language=ru', 'default', 'Email contact form', '', '7.42'),
('11079', '/anima/drupal/node/172?language=ru', 'default', 'Display a contact form.', '', '7.42'),
('11080', '/anima/drupal/node/172?language=ru', 'default', 'Email plain text', '', '7.42'),
('11081', '/anima/drupal/node/172?language=ru', 'default', 'Display the email address as plain text.', '', '7.42'),
('11082', '/anima/drupal/node/172?language=ru', 'default', 'Rendered file', '', '7.42'),
('11083', '/anima/drupal/node/172?language=ru', 'default', 'Display the file in a specific view mode', '', '7.42'),
('11084', '/anima/drupal/node/172?language=ru', 'default', 'flexslider', '', '7.42'),
('11085', '/anima/drupal/node/172?language=ru', 'default', 'Host, as plain text', '', '7.42'),
('11086', '/anima/drupal/node/172?language=ru', 'default', 'Large filetype icon', '', '7.42'),
('11087', '/anima/drupal/node/172?language=ru', 'default', 'Content top', '', '7.42'),
('11088', '/anima/drupal/node/172?language=ru', 'default', 'Sidebar left', '', '7.42'),
('11089', '/anima/drupal/node/172?language=ru', 'default', 'Node bottom', '', '7.42'),
('11090', '/anima/drupal/node/172?language=ru', 'default', 'Sidebar right', '', '7.42'),
('11091', '/anima/drupal/node/172?language=ru', 'default', 'Section 1', '', '7.42'),
('11092', '/anima/drupal/node/172?language=ru', 'default', 'Section 2', '', '7.42'),
('11093', '/anima/drupal/node/172?language=ru', 'default', 'Section 3', '', '7.42'),
('11094', '/anima/drupal/node/172?language=ru', 'default', 'Section 4', '', '7.42'),
('11095', '/anima/drupal/node/172?language=ru', 'default', 'Section 5', '', '7.42'),
('11096', '/anima/drupal/node/172?language=ru', 'default', 'Section 6', '', '7.42'),
('11097', '/anima/drupal/node/172?language=ru', 'default', 'Section 7', '', '7.42'),
('11098', '/anima/drupal/node/172?language=ru', 'default', 'Section 8', '', '7.42'),
('11099', '/anima/drupal/node/172?language=ru', 'default', 'Section 9', '', '7.42'),
('11100', '/anima/drupal/node/172?language=ru', 'default', 'Section 10', '', '7.42'),
('11101', '/anima/drupal/node/172?language=ru', 'default', 'Content bottom', '', '7.42'),
('11102', '/anima/drupal/node/172?language=ru', 'default', 'Prefooter', '', '7.42'),
('11103', '/anima/drupal/node/172?language=ru', 'default', 'Footer top', '', '7.42'),
('11104', '/anima/drupal/node/172?language=ru', 'default', 'Footer bottom', '', '7.42'),
('11105', '/anima/drupal/node/172?language=ru', 'default', 'Мой профиль', '', '7.42'),
('11106', '/anima/drupal/node/172?language=ru', 'default', 'Выйти', '', '7.42'),
('11107', '/anima/drupal/node/172?language=ru', 'default', 'Portfolio 4', '', '7.42'),
('11108', '/anima/drupal/node/172?language=ru', 'default', 'Portfolio 2', '', '7.42'),
('11109', '/anima/drupal/node/172?language=ru', 'default', 'Portfolio 1', '', '7.42'),
('11110', '/anima/drupal/node/172?language=ru', 'default', 'Contacts', '', '7.42'),
('11111', '/anima/drupal/node/172?language=ru', 'default', 'Home (Onepage)', '', '7.42'),
('11112', '/anima/drupal/node/172?language=ru', 'default', 'Home (Blog)', '', '7.42'),
('11113', '/anima/drupal/node/172?language=ru', 'default', 'Home (Landing)', '', '7.42'),
('11114', '/anima/drupal/node/172?language=ru', 'default', 'О нас', '', '7.42'),
('11115', '/anima/drupal/node/172?language=ru', 'default', 'Category 1', '', '7.42'),
('11116', '/anima/drupal/node/172?language=ru', 'default', 'Category 2', '', '7.42'),
('11117', '/anima/drupal/node/172?language=ru', 'default', 'Category 3', '', '7.42'),
('11118', '/anima/drupal/node/172?language=ru', 'default', 'Archive', '', '7.42'),
('11119', '/anima/drupal/node/172?language=ru', 'default', 'Colorbox trigger', '', '7.42'),
('11120', '/anima/drupal/node/172?language=ru', 'default', 'Vote results', '', '7.42'),
('11121', '/anima/drupal/node/172?language=ru', 'default', 'The value of an individual cast vote.', '', '7.42'),
('11122', '/anima/drupal/node/172?language=ru', 'default', 'The nature of the vote being cast (points, percentage, etc).', '', '7.42'),
('11123', '/anima/drupal/node/172?language=ru', 'default', 'An optional tag to group multi-criteria votes.', '', '7.42'),
('11124', '/anima/drupal/node/172?language=ru', 'default', 'The user who cast the vote.', '', '7.42'),
('11125', '/anima/drupal/node/172?language=ru', 'default', 'Individual voter', '', '7.42'),
('11126', '/anima/drupal/node/172?language=ru', 'default', 'Restrict votes to those cast by the current user.', '', '7.42'),
('11127', '/anima/drupal/node/172?language=ru', 'default', 'The IP address of the user who cast the vote.', '', '7.42'),
('11128', '/anima/drupal/node/172?language=ru', 'default', 'The time the vote was cast.', '', '7.42'),
('11129', '/anima/drupal/node/172?language=ru', 'default', 'The nature of the results in question (points, percentage, etc).', '', '7.42'),
('11130', '/anima/drupal/node/172?language=ru', 'default', 'An optional tag to group multi-criteria results.', '', '7.42'),
('11131', '/anima/drupal/node/172?language=ru', 'default', 'The aggregate function used to calculate the result.', '', '7.42'),
('11132', '/anima/drupal/node/172?language=ru', 'default', 'The time the results were calculated.', '', '7.42'),
('11133', '/anima/drupal/node/172?language=ru', 'default', 'Topic Icon', '', '7.42'),
('11134', '/anima/drupal/node/172?language=ru', 'default', 'Icon that shows new posts, hot, sticky, locked, etc.', '', '7.42'),
('11135', '/anima/drupal/node/172?language=ru', 'default', 'Topic Pager', '', '7.42'),
('11136', '/anima/drupal/node/172?language=ru', 'default', 'Small pager for individual topics.', '', '7.42'),
('11137', '/anima/drupal/node/172?language=ru', 'default', 'Calendar', '', '7.42'),
('11138', '/anima/drupal/node/172?language=ru', 'default', 'Present view results as a Calendar.', '', '7.42'),
('11139', '/anima/drupal/node/172?language=ru', 'default', 'Calendar Items (DEPRECATED, switch to Calendar Entities)', '', '7.42'),
('11140', '/anima/drupal/node/172?language=ru', 'default', 'Displays each selected node as a Calendar item.', '', '7.42'),
('11141', '/anima/drupal/node/172?language=ru', 'default', 'Calendar Entities', '', '7.42'),
('11142', '/anima/drupal/node/172?language=ru', 'default', 'Displays each selected entity as a Calendar item.', '', '7.42'),
('11143', '/anima/drupal/node/172?language=ru', 'default', 'FlexSlider', '', '7.42'),
('11144', '/anima/drupal/node/172?language=ru', 'default', 'Display the results in a FlexSlider widget.', '', '7.42'),
('11145', '/anima/drupal/node/172?language=ru', 'default', 'Panel fields', '', '7.42'),
('11146', '/anima/drupal/node/172?language=ru', 'default', 'Displays the fields in a panel rather than using a template.', '', '7.42'),
('11147', '/anima/drupal/node/172?language=ru', 'default', 'Semantic Views', '', '7.42'),
('11148', '/anima/drupal/node/172?language=ru', 'default', 'Semantic Views: Fields', '', '7.42'),
('11149', '/anima/drupal/node/172?language=ru', 'default', 'Views Accordion', '', '7.42'),
('11150', '/anima/drupal/node/172?language=ru', 'default', 'Display a JQuery accordion with the results. The first field will be used as the header and trigger.', '', '7.42'),
('11151', '/anima/drupal/node/172?language=ru', 'default', 'Isotope Grid', '', '7.42'),
('11152', '/anima/drupal/node/172?language=ru', 'default', 'Display the results using the jQuery Isotope plugin', '', '7.42'),
('11153', '/anima/drupal/node/172?language=ru', 'default', 'Isotope Filter', '', '7.42'),
('11154', '/anima/drupal/node/172?language=ru', 'default', 'Display the results formatted to filter an Isotope View', '', '7.42'),
('11155', '/anima/drupal/node/172?language=ru', 'default', 'Isotope Sort Block', '', '7.42'),
('11156', '/anima/drupal/node/172?language=ru', 'default', 'Display the results formatted to sort an Isotope View', '', '7.42'),
('11157', '/anima/drupal/node/172?language=ru', 'default', 'UI Tabs', '', '7.42'),
('11158', '/anima/drupal/node/172?language=ru', 'default', 'Display the results as tabs.', '', '7.42'),
('11159', '/anima/drupal/node/172?language=ru', 'default', 'Forum topic list', '', '7.42'),
('11160', '/anima/drupal/node/172?language=ru', 'default', 'Displays the forum topic list as a view.', '', '7.42'),
('11161', '/anima/drupal/node/172?language=ru', 'default', 'Our team', '', '7.44'),
('11162', '/anima/drupal/node/172?language=ru', 'default', 'Sidebar block', '', '7.44'),
('11163', '/anima/drupal/node/172?language=ru', 'default', 'Meet our team', '', '7.43'),
('11164', '/anima/drupal/node/172?language=ru', 'default', 'View: Meet our team', '', '7.43'),
('11165', '/anima/drupal/node/172?language=ru', 'default', 'Author info', '', '7.43'),
('11166', '/anima/drupal/node/172?language=ru', 'default', 'View: Author info', '', '7.43'),
('11167', '/anima/drupal/node/172?language=ru', 'default', 'Изображение', '', '7.42'),
('11168', '/anima/drupal/node/172?language=ru', 'default', 'Название', '', '7.42'),
('11169', '/anima/drupal/node/172?language=ru', 'default', 'Роли', '', '7.42'),
('11170', '/anima/drupal/node/172?language=ru', 'default', 'Bio', '', '7.42'),
('11171', '/anima/drupal/node/172?language=ru', 'default', 'Подпись', '', '7.42'),
('11172', '/anima/drupal/node/172?language=ru', 'default', '--\n[signature]', '', '7.43'),
('11173', '/anima/drupal/node/172?language=ru', 'default', 'автор', '', '7.42'),
('11174', '/anima/drupal/node/172?language=ru', 'default', 'Related blog posts', '', '7.42'),
('11175', '/anima/drupal/node/172?language=ru', 'default', 'View: Related blog posts', '', '7.42'),
('11176', '/anima/drupal/node/172?language=ru', 'default', 'Blog media', '', '7.42'),
('11177', '/anima/drupal/node/172?language=ru', 'default', 'Заголовок', '', '7.42'),
('11178', '/anima/drupal/node/172?language=ru', 'default', 'термин из field_blog_tags', '', '7.42'),
('11179', '/anima/drupal/node/172?language=ru', 'default', 'field_blog_tags', '', '7.42'),
('11180', '/anima/drupal/node/172?language=ru', 'default', 'Tweets by @', '', '7.42'),
('11181', '/anima/drupal/node/172?language=ru', 'default', 'Subscription', '', '7.42'),
('11182', '/anima/drupal/node/172?language=ru', 'default', 'Enter your e-mail address below.', '', '7.42'),
('11183', '/anima/drupal/node/172?language=ru', 'default', 'Opt-out instructions are included in each e-mail.', '', '7.42'),
('11184', '/anima/drupal/node/172?language=ru', 'default', 'e-mail address', '', '7.42'),
('11185', '/anima/drupal/node/172?language=ru', 'default', 'Subscribe', '', '7.42'),
('11186', '/anima/drupal/node/172?language=ru', 'default', 'Thank you for subscribing', '', '7.42'),
('11187', '/anima/drupal/node/172?language=ru', 'default', 'Delicious', '', '7.42'),
('11188', '/anima/drupal/node/172?language=ru', 'default', 'DeviantArt', '', '7.42'),
('11189', '/anima/drupal/node/172?language=ru', 'default', 'Digg', '', '7.42'),
('11190', '/anima/drupal/node/172?language=ru', 'default', 'Dribbble', '', '7.42'),
('11191', '/anima/drupal/node/172?language=ru', 'default', 'Facebook', '', '7.43'),
('11192', '/anima/drupal/node/172?language=ru', 'default', 'Flickr', '', '7.42'),
('11193', '/anima/drupal/node/172?language=ru', 'default', 'Github', '', '7.42'),
('11194', '/anima/drupal/node/172?language=ru', 'default', 'Google+', '', '7.42'),
('11195', '/anima/drupal/node/172?language=ru', 'default', 'Instagram', '', '7.42'),
('11196', '/anima/drupal/node/172?language=ru', 'default', 'LinkedIn', '', '7.42'),
('11197', '/anima/drupal/node/172?language=ru', 'default', 'Odnoklassniki', '', '7.42'),
('11198', '/anima/drupal/node/172?language=ru', 'default', 'Pinterest', '', '7.42'),
('11199', '/anima/drupal/node/172?language=ru', 'default', 'Reddit', '', '7.42'),
('11200', '/anima/drupal/node/172?language=ru', 'default', 'Tumblr', '', '7.43'),
('11201', '/anima/drupal/node/172?language=ru', 'default', 'Twitter', '', '7.43'),
('11202', '/anima/drupal/node/172?language=ru', 'default', 'Vimeo', '', '7.43'),
('11203', '/anima/drupal/node/172?language=ru', 'default', 'VKontakte', '', '7.42'),
('11204', '/anima/drupal/node/172?language=ru', 'default', 'Weibo', '', '7.42'),
('11205', '/anima/drupal/node/172?language=ru', 'default', 'Wordpress', '', '7.42'),
('11206', '/anima/drupal/node/172?language=ru', 'default', 'YouTube', '', '7.42'),
('11207', '/anima/drupal/node/172?language=ru', 'default', 'Xing', '', '7.42'),
('11208', '/anima/drupal/node/172?language=ru', 'default', 'Shortcodes', '', '7.42'),
('11209', '/anima/drupal/node/172?language=ru', 'default', 'Provides shortcodes to this text format.', '', '7.42'),
('11210', '/anima/drupal/node/172?language=ru', 'default', 'Shortcodes - html corrector', '', '7.42'),
('11211', '/anima/drupal/node/172?language=ru', 'default', 'Trying to correct the html around shortcodes. Enable only if you using wysiwyg editor.', '', '7.42'),
('11212', '/anima/drupal/node/172?language=ru', 'default', 'Convert Media tags to markup', '', '7.42'),
('11213', '/anima/drupal/node/172?language=ru', 'default', 'This filter will convert [[{type:media... ]] tags into markup.', '', '7.42'),
('11214', '/anima/drupal/node/172?language=ru', 'default', 'This must be enabled for the Media WYSIWYG integration to work with this input format.', '', '7.42'),
('11215', '/anima/drupal/node/172?language=ru', 'default', 'Clear', '', '7.42'),
('11216', '/anima/drupal/node/172?language=ru', 'default', 'Insert a float-clearing div for a proper layout.', '', '7.42'),
('11217', '/anima/drupal/node/172?language=ru', 'default', 'Columns', '', '7.42'),
('11218', '/anima/drupal/node/172?language=ru', 'default', 'Simple columns in content', '', '7.42'),
('11219', '/anima/drupal/node/172?language=ru', 'default', 'Counter', '', '7.42'),
('11220', '/anima/drupal/node/172?language=ru', 'default', 'Creates JS numeric counter', '', '7.42'),
('11221', '/anima/drupal/node/172?language=ru', 'default', 'Dropcap', '', '7.42'),
('11222', '/anima/drupal/node/172?language=ru', 'default', 'Dropcap shortcode', '', '7.42'),
('11223', '/anima/drupal/node/172?language=ru', 'default', 'Google map', '', '7.42'),
('11224', '/anima/drupal/node/172?language=ru', 'default', 'Creates Google map', '', '7.42'),
('11225', '/anima/drupal/node/172?language=ru', 'default', 'Grid container', '', '7.42'),
('11226', '/anima/drupal/node/172?language=ru', 'default', 'Grids wrapper', '', '7.42'),
('11227', '/anima/drupal/node/172?language=ru', 'default', 'Highlight', '', '7.42'),
('11228', '/anima/drupal/node/172?language=ru', 'default', 'Highlight an inline text', '', '7.42'),
('11229', '/anima/drupal/node/172?language=ru', 'default', 'Creates Font Awesome Icon shortcode', '', '7.42'),
('11230', '/anima/drupal/node/172?language=ru', 'default', 'Message Box', '', '7.42'),
('11231', '/anima/drupal/node/172?language=ru', 'default', 'Creates message boxes', '', '7.42'),
('11232', '/anima/drupal/node/172?language=ru', 'default', 'Pie Graph', '', '7.42'),
('11233', '/anima/drupal/node/172?language=ru', 'default', 'Draws percer circle use HTML5 canvas', '', '7.42'),
('11234', '/anima/drupal/node/172?language=ru', 'default', 'Progressbar', '', '7.42'),
('11235', '/anima/drupal/node/172?language=ru', 'default', 'Creates progressbar shortcode', '', '7.42'),
('11236', '/anima/drupal/node/172?language=ru', 'default', 'Management', '', '7.42'),
('11237', '/anima/drupal/node/172?language=ru', 'default', 'Landing', '', '7.42'),
('11238', '/anima/drupal/node/172?language=ru', 'default', 'Onepage', '', '7.42'),
('11239', '/anima/drupal/node/172?language=ru', 'default', 'Sitemap', '', '7.42'),
('11240', '/anima/drupal/node/172?language=ru', 'default', 'User menu', '', '7.42'),
('11241', '/anima/drupal/node/172?language=ru', 'default', 'Zentropy', '', '7.42'),
('11242', '/anima/drupal/node/172?language=ru', 'default', 'Cctags', '', '7.42'),
('11243', '/anima/drupal/node/172?language=ru', 'default', 'Configure the Cctags.', '', '7.42'),
('11244', '/anima/drupal/node/172?language=ru', 'default', 'Add cctags item', '', '7.42'),
('11245', '/anima/drupal/node/172?language=ru', 'default', 'Cctags configuration', '', '7.42'),
('11246', '/anima/drupal/node/172?language=ru', 'default', 'Email Contact Form Settings', '', '7.42'),
('11247', '/anima/drupal/node/172?language=ru', 'default', 'Administer flood control settings for email contact forms', '', '7.42'),
('11248', '/anima/drupal/node/172?language=ru', 'default', 'Advanced Forum', '', '7.42'),
('11249', '/anima/drupal/node/172?language=ru', 'default', 'Configure Advanced Forum with these settings.', '', '7.42'),
('11250', '/anima/drupal/node/172?language=ru', 'default', 'Generate content', '', '7.42'),
('11251', '/anima/drupal/node/172?language=ru', 'default', 'Generate a given number of nodes and comments. Optionally delete current items.', '', '7.42'),
('11252', '/anima/drupal/node/172?language=ru', 'default', 'Generate menus', '', '7.42'),
('11253', '/anima/drupal/node/172?language=ru', 'default', 'Generate a given number of menus and menu links. Optionally delete current menus.', '', '7.42'),
('11254', '/anima/drupal/node/172?language=ru', 'default', 'Generate terms', '', '7.42'),
('11255', '/anima/drupal/node/172?language=ru', 'default', 'Generate a given number of terms. Optionally delete current terms.', '', '7.42'),
('11256', '/anima/drupal/node/172?language=ru', 'default', 'Generate users', '', '7.42'),
('11257', '/anima/drupal/node/172?language=ru', 'default', 'Generate a given number of users. Optionally delete current users.', '', '7.42'),
('11258', '/anima/drupal/node/172?language=ru', 'default', 'Generate vocabularies', '', '7.42'),
('11259', '/anima/drupal/node/172?language=ru', 'default', 'Generate a given number of vocabularies. Optionally delete current vocabularies.', '', '7.42'),
('11260', '/anima/drupal/node/172?language=ru', 'default', 'Generate votes', '', '7.42'),
('11261', '/anima/drupal/node/172?language=ru', 'default', 'Generate a given number of votes on site content. Optionally delete existing votes.', '', '7.42'),
('11262', '/anima/drupal/node/172?language=ru', 'default', 'Adjust Colorbox settings.', '', '7.42'),
('11263', '/anima/drupal/node/172?language=ru', 'default', 'optionset', '', '7.42'),
('11264', '/anima/drupal/node/172?language=ru', 'default', 'optionsets', '', '7.42'),
('11265', '/anima/drupal/node/172?language=ru', 'default', 'FlexSlider optionset', '', '7.42'),
('11266', '/anima/drupal/node/172?language=ru', 'default', 'FlexSlider optionsets', '', '7.42'),
('11267', '/anima/drupal/node/172?language=ru', 'default', 'Administer FlexSlider presets.', '', '7.42'),
('11268', '/anima/drupal/node/172?language=ru', 'default', 'Configure the advanced flexslider module settings.', '', '7.42'),
('11269', '/anima/drupal/node/172?language=ru', 'default', 'File types', '', '7.42'),
('11270', '/anima/drupal/node/172?language=ru', 'default', 'Manage files used on your site.', '', '7.42'),
('11271', '/anima/drupal/node/172?language=ru', 'default', 'Media browser settings', '', '7.42'),
('11272', '/anima/drupal/node/172?language=ru', 'default', 'Configure the behavior and display of the media browser.', '', '7.42'),
('11273', '/anima/drupal/node/172?language=ru', 'default', 'Rebuild type information for media', '', '7.42'),
('11274', '/anima/drupal/node/172?language=ru', 'default', 'In case there are files in file_managed w/o a type, this function rebuilds them', '', '7.42'),
('11275', '/anima/drupal/node/172?language=ru', 'default', 'Date views', '', '7.42'),
('11276', '/anima/drupal/node/172?language=ru', 'default', 'Configure settings for date views.', '', '7.42'),
('11277', '/anima/drupal/node/172?language=ru', 'default', 'Voting API', '', '7.42'),
('11278', '/anima/drupal/node/172?language=ru', 'default', 'Configure sitewide settings for user-generated ratings and votes.', '', '7.42'),
('11279', '/anima/drupal/node/172?language=ru', 'default', 'Entity view modes', '', '7.42'),
('11280', '/anima/drupal/node/172?language=ru', 'default', 'Create new custom view modes for content.', '', '7.42'),
('11281', '/anima/drupal/node/172?language=ru', 'default', 'Dismiss', '', '7.42'),
('11282', '/anima/drupal/node/172?language=ru', 'default', 'Administrative settings for Dismiss module.', '', '7.42'),
('11283', '/anima/drupal/node/172?language=ru', 'default', 'Module filter', '', '7.42'),
('11284', '/anima/drupal/node/172?language=ru', 'default', 'Configure how the modules page looks and acts.', '', '7.42'),
('11285', '/anima/drupal/node/172?language=ru', 'default', 'Configure AddThis settings.', '', '7.42'),
('11286', '/anima/drupal/node/172?language=ru', 'default', 'config', '', '7.42'),
('11287', '/anima/drupal/node/172?language=ru', 'default', 'configs', '', '7.42'),
('11288', '/anima/drupal/node/172?language=ru', 'default', 'Isotope Configuration', '', '7.42'),
('11289', '/anima/drupal/node/172?language=ru', 'default', 'Isotope Configurations', '', '7.42'),
('11290', '/anima/drupal/node/172?language=ru', 'default', 'Administer Isotope configurations.', '', '7.42'),
('11291', '/anima/drupal/node/172?language=ru', 'default', 'Flickr Bricks', '', '7.42'),
('11292', '/anima/drupal/node/172?language=ru', 'default', 'Configure flickr bricks feed URL to get the images.', '', '7.42'),
('11293', '/anima/drupal/node/172?language=ru', 'default', 'Calendar administration.', '', '7.42'),
('11294', '/anima/drupal/node/172?language=ru', 'default', 'Import media', '', '7.42'),
('11295', '/anima/drupal/node/172?language=ru', 'default', 'Import files into your media library.', '', '7.42'),
('11296', '/anima/drupal/node/172?language=ru', 'default', 'Manage customized lists of content.', '', '7.42'),
('11297', '/anima/drupal/node/172?language=ru', 'default', 'Add custom page', '', '7.42'),
('11298', '/anima/drupal/node/172?language=ru', 'default', 'Wizards', '', '7.42'),
('11299', '/anima/drupal/node/172?language=ru', 'default', 'Snapshots', '', '7.42'),
('11300', '/anima/drupal/node/172?language=ru', 'default', 'Create snapshots and reset the site.', '', '7.42'),
('11301', '/anima/drupal/node/172?language=ru', 'default', 'Create snapshot', '', '7.42'),
('11302', '/anima/drupal/node/172?language=ru', 'default', 'Panels', '', '7.42'),
('11303', '/anima/drupal/node/172?language=ru', 'default', 'Get a bird''s eye view of items related to Panels.', '', '7.42'),
('11304', '/anima/drupal/node/172?language=ru', 'default', 'Panel pages', '', '7.42'),
('11305', '/anima/drupal/node/172?language=ru', 'default', 'layout', '', '7.42'),
('11306', '/anima/drupal/node/172?language=ru', 'default', 'Layout', '', '7.42'),
('11307', '/anima/drupal/node/172?language=ru', 'default', 'layouts', '', '7.42'),
('11308', '/anima/drupal/node/172?language=ru', 'default', 'Layouts', '', '7.42'),
('11309', '/anima/drupal/node/172?language=ru', 'default', 'Add, edit or delete custom content layouts.', '', '7.42'),
('11310', '/anima/drupal/node/172?language=ru', 'default', 'Add flexible layout', '', '7.42'),
('11311', '/anima/drupal/node/172?language=ru', 'default', 'TB Mega Menu', '', '7.42'),
('11312', '/anima/drupal/node/172?language=ru', 'default', 'Additional Functionality', '', '7.42'),
('11313', '/anima/drupal/node/172?language=ru', 'default', 'Follow Links', '', '7.42'),
('11314', '/anima/drupal/node/172?language=ru', 'default', 'Configure the site-wide web service follow links.', '', '7.42'),
('11315', '/anima/drupal/node/172?language=ru', 'default', 'Add staff', '', '7.42'),
('11316', '/anima/drupal/node/172?language=ru', 'default', 'Use to create slides in header-slider.', '', '7.42'),
('11317', '/anima/drupal/node/172?language=ru', 'default', 'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.', '', '7.42'),
('11318', '/anima/drupal/node/172?language=ru', 'default', 'Glossary', '', '7.42'),
('11319', '/anima/drupal/node/172?language=ru', 'default', 'Counters', '', '7.42'),
('11320', '/anima/drupal/node/172?language=ru', 'default', 'Animations', '', '7.42'),
('11321', '/anima/drupal/node/172?language=ru', 'default', 'Skip to navigation', '', '7.42'),
('11322', '/anima/drupal/node/172?language=ru', 'default', 'Config TB Mega Menu', '', '7.42'),
('11323', '/anima/drupal/node/172?language=ru', 'default', '!username', '', '7.42'),
('11324', '/anima/drupal/node/172?language=ru', 'default', '!datetime', '', '7.42'),
('11325', '/anima/drupal/node/172?language=ru', 'default', 'No comments yet', '', '7.42'),
('11326', '/anima/drupal/node/172?language=ru', 'default', 'Shortcodes usage', '', '7.42'),
('11327', '/anima/drupal/node/172?language=ru', 'default', 'Edit Follow links', '', '7.42'),
('11328', '/anima/drupal/node/172?language=ru', 'default', 'Configure the web service follow links.', '', '7.42'),
('11329', '/anima/drupal/node/172?language=ru', 'default', 'You are using an outdated browser. For a faster, safer browsing experience, upgrade for free today.', '', '7.42'),
('11330', '/anima/drupal/admin/structure/views/view/blog/edit/block_2?destination=node/172%3Flanguage%3Den', 'default', '<span class="fa fa-clock-o"></span> [created]', '', '7.50'),
('11331', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'Block: Why us', '', '7.44'),
('11332', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'View: Why us', '', '7.44'),
('11333', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'Block: A few words about us', '', '7.44'),
('11334', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'View: A few words about us', '', '7.44'),
('11335', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'Block: About', '', '7.44'),
('11336', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'About us', '', '7.44'),
('11337', '/anima/drupal/admin/structure/views/view/articles/edit/block_3', 'default', 'View: About (onepage)', '', '7.44'),
('11338', '/anima/drupal/admin/structure/views/view/our_team/edit/block?destination=home-landing', 'default', 'Nam fermentum euismod eros, non egestas diam convallis aliquet. Nulla aliquam felis ut lorem aliquam laoreet. Ut non aliquet nisi, at sodales nibh. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nam posuere nisl vel ligula ullamcorper, ac tempor justo sagittis. Praesent lorem justo, iaculis aliquet nibh at, blandit ullamcorper eros. Quisque sagittis augue mollis, ultrices dolor sed, porttitor elit. ', '', '7.43'),
('11339', '/anima/drupal/admin/structure/views/view/Banners/edit/block?destination=about', 'default', 'Our clients', '', '7.42'),
('11340', '/anima/drupal/admin/structure/views/view/Banners/edit/block?destination=about', 'default', '<a href="[field_site_url]">[field_banner_image]</a>', '', '7.42'),
('11341', '/anima/drupal/admin/structure/views/view/Banners/edit/block?destination=about', 'default', 'View: Our clients', '', '7.42'),
('11342', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'Block (onepage)', '', '7.44'),
('11343', '/anima/drupal/admin/structure/views/view/portfolio/edit/block_1', 'default', 'View: Portfolio (Onepage)', '', '7.44'),
('11344', '/anima/drupal/admin/structure/views/view/slider/edit/block?destination=node', 'default', '<div class="container-12">\n<div class="grid-12">\n<h2>[title]</h2>\n[body]\n<div class="btn">[view_node]</div>\n</div>\n</div>', '', '7.43'),
('11345', '/anima/drupal/admin/structure/views/view/slider/edit/block?destination=node', 'default', 'View: Slider', '', '7.44'),
('11346', '/anima/drupal/admin/structure/views/view/slider/edit/block?destination=node', 'default', '<div class="container-12">\n<div class="grid-6">\n<h2>[title]</h2>\n[body]\n<div class="btn">[view_node]</div>\n</div>\n</div>', '', '7.43'),
('11347', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Accordion', '', '7.43'),
('11348', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Recent posts (Accordion)', '', '7.43'),
('11349', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Carousel', '', '7.43'),
('11350', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Recent posts (Carousel)', '', '7.43'),
('11351', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Tabs', '', '7.43'),
('11352', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Slider', '', '7.43'),
('11353', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', '<h6>[title]</h6>\n[body]', '', '7.43'),
('11354', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Gallery', '', '7.43'),
('11355', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Grid', '', '7.43'),
('11356', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: List', '', '7.43'),
('11357', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Isotope', '', '7.43'),
('11358', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Semantic Views', '', '7.43'),
('11359', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Table', '', '7.43'),
('11360', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Unformatted list', '', '7.43'),
('11361', '/anima/drupal/admin/structure/views/view/content_displays/edit/block_7', 'default', 'Block: Calendar', '', '7.43');
INSERT INTO `locales_source` VALUES
('11362', '/anima/drupal/admin/structure/views/view/archive/edit', 'default', 'View: Archive', '', '7.43'),
('11363', '/anima/drupal/admin/structure/views/view/blog/edit/page_2', 'default', 'Blog (Grid)', '', '7.44'),
('11364', '/anima/drupal/admin/structure/views/view/blog/edit/page_2', 'default', 'Blog (Timeline)', '', '7.44'),
('11365', '/anima/drupal/admin/structure/views/view/blog/edit/page_2', 'default', 'Blog (Masonry)', '', '7.44'),
('11366', '/anima/drupal/admin/structure/views/view/categories/edit/page_1', 'default', 'field_blog_category', '', '7.43'),
('11367', '/anima/drupal/admin/structure/views/view/categories/edit/page_1', 'default', '[name] ([title])', '', '7.43'),
('11368', '/anima/drupal/admin/structure/views/view/categories/edit/page_1', 'default', 'View: Categories', '', '7.43'),
('11369', '/anima/drupal/admin/structure/views/view/portfolio/edit/page_masonry', 'default', 'Portfolio (1 column)', '', '7.43'),
('11370', '/anima/drupal/admin/structure/views/view/portfolio/edit/page_masonry', 'default', 'Portfolio (2 columns)', '', '7.44'),
('11371', '/anima/drupal/admin/structure/views/view/portfolio/edit/page_masonry', 'default', 'Portfolio (4 columns)', '', '7.44'),
('11372', '/anima/drupal/admin/structure/views/view/portfolio/edit/page_masonry', 'default', 'Portfolio (Masonry)', '', '7.44'),
('11373', '/anima/drupal/admin/structure/views/view/slider/edit/block?destination=node', 'default', '<div class="container-12">\n<div class="grid-6">\n<h2>[title]</h2>\n<p>[body]</p>\n<div class="btn">[view_node]</div>\n</div>\n</div>', '', '7.43'),
('11374', '/anima/drupal/admin/structure/views/view/articles/edit/block_1?destination=node', 'default', 'Block: Sell your product', '', '7.44'),
('11375', '/anima/drupal/admin/structure/views/view/articles/edit/block_1?destination=node', 'default', 'View: Sell your product', '', '7.44'),
('11376', '/anima/drupal/admin/structure/views/view/portfolio/edit/block?destination=node', 'default', '<h6>[title]</h6>\n[field_project_category]', '', '7.44'),
('11377', '/anima/drupal/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<span class="node-author"><span class="fa fa-fw fa-user"></span> [name]<span><span class="node-pubdate"><span class="fa fa-fw fa-calendar"></span> [created]<span>', '', '7.43'),
('11378', '/anima/drupal/admin/structure/views/view/author_info/edit/block?destination=node/125', 'default', 'Google plus', '', '7.43'),
('11379', '/anima/drupal/admin/structure/views/view/author_info/edit/block?destination=node/125', 'default', 'Skype', '', '7.43'),
('11380', '/anima/drupal/admin/structure/views/view/author_info/edit/block?destination=node/125', 'default', 'Website', '', '7.43'),
('11381', '/anima/drupal/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<span class="node-author"><span class="fa fa-fw fa-user"></span> [name]</span><span class="node-pubdate"><span class="fa fa-fw fa-calendar"></span> [created]<span>', '', '7.43'),
('11382', '/anima/drupal/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<span class="node-author">[name]</span><span class="node-pubdate">[created]<span>', '', '7.43'),
('11383', '/anima/drupal/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<span class="node-author">Posted by [name]</span><span class="node-pubdate">[created]<span>', '', '7.44'),
('11384', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'Buy', '', '7.50'),
('11385', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'Block: Default', '', '7.44'),
('11386', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', '[field_plan_price] <span class="views-field-period">[field_plan_period]</span>', '', '7.50'),
('11387', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'View: Tariff plans (standard)', '', '7.50'),
('11388', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'Block: Cascade', '', '7.50'),
('11389', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'View: Tariff plans (cascade)', '', '7.50'),
('11390', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'Block: With labels', '', '7.50'),
('11391', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'Plan:<br>\nPrice:<br>\nDomains:<br>\nStorrage:<br>\nFTP accounts:<br>\nAdd-on domains:<br>\nWeekly backup:', '', '7.50'),
('11392', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'View: Tariff plans (with captions)', '', '7.50'),
('11393', '/anima/drupal/admin/structure/views/view/tariff_plans/edit/block?destination=node', 'default', 'Buy now!', '', '7.50'),
('11394', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Services', '', '7.50'),
('11395', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Block: Services', '', '7.44'),
('11396', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'View: Services', '', '7.43'),
('11397', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Nullam tincidunt magna lectus, eget blandit purus ullamcorper quis. Sed varius sem sit amet viverra semper. Etiam eu felis suscipit, pulvinar ex sit amet, sagittis nunc. Suspendisse vitae finibus nulla. Quisque mi libero, varius a pellentesque eget, sodales quis ex. Vestibulum sit amet gravida odio. Morbi sed lobortis odio. ', '', '7.44'),
('11398', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'View: Services (onepage)', '', '7.44'),
('11399', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Block: Our services', '', '7.44'),
('11400', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Our services', '', '7.44'),
('11401', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam scelerisque, ante et aliquet egestas, felis libero sollicitudin dui, non condimentum sem nisi nec nisl. Quisque tempus consectetur mauris ut semper. Sed urna turpis, porta ut dignissim eget, aliquam nec nisl.</p>\nDonec imperdiet felis rhoncus mauris porttitor bibendum. Sed consectetur sollicitudin dolor et posuere. Vestibulum lobortis orci et placerat blandit. Donec at varius velit. Nunc ac ligula id nunc posuere imperdiet. In hac habitasse pla-tea dictumst. Aenean vehicula ultricies leo at hendrerit. ', '', '7.44'),
('11402', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'View: Our services', '', '7.44'),
('11403', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Block: Featured services', '', '7.44'),
('11404', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Featured services', '', '7.44'),
('11405', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'View: Featured services', '', '7.44'),
('11406', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'Block: What we offer', '', '7.44'),
('11407', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'What we offer', '', '7.44'),
('11408', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', '<p>Nullam vulputate viverra eros ac aliquet. Etiam accumsan turpis et lacus gravida ullamcorper. Nam urna lacus, congue id vestibulum non, mollis sed leo. Curabitur cursus sapien eget enim pulvinar, ac condimentum ante egestas. Maecenas dapibus at sapien ac adipiscing. </p>\nMaecenas ullamcorper neque felis, sit amet vehicula dui pellentesque in. Sed non porta mauris. Donec quis neque vel ligula pretium rutrum ut in ante. Proin ac orci lacinia, faucibus risus vitae, sagittis arcu. Quisque fermentum viverra velit eget bibendum. Sed vel tincidunt ligula.', '', '7.44'),
('11409', '/anima/drupal/admin/structure/views/view/services/edit/block_1?destination=home-onepage', 'default', 'View: What we offer', '', '7.44'),
('11410', '/anima/gatsby/admin/structure/views/view/services/edit', 'default', 'Block: What we do (Home)', '', '7.50'),
('11411', '/anima/gatsby/admin/structure/views/view/services/edit', 'default', 'What we do', '', '7.44'),
('11412', '/anima/gatsby/admin/structure/views/view/services/edit', 'default', 'View: What we do', '', '7.50'),
('11413', '/anima/gatsby/admin/structure/views/view/portfolio/edit/block?destination=node', 'default', 'Show Me More', '', '7.44'),
('11414', '/anima/gatsby/admin/structure/views/view/portfolio/edit/block?destination=node', 'default', 'Block: Our Work (Home)', '', '7.44'),
('11415', '/anima/gatsby/admin/structure/views/view/portfolio/edit/block?destination=node', 'default', 'Our Work', '', '7.44'),
('11416', '/anima/gatsby/admin/structure/views/view/portfolio/edit/block?destination=node', 'default', 'View: Our Work', '', '7.44'),
('11417', '/anima/gatsby/admin/structure/views/view/our_team/edit/block', 'default', 'Block: Our Amazing Team (Home)', '', '7.44'),
('11418', '/anima/gatsby/admin/structure/views/view/our_team/edit/block', 'default', 'Our Amazing Team', '', '7.44'),
('11419', '/anima/gatsby/admin/structure/views/view/our_team/edit/block', 'default', 'View: Our Amazing Team', '', '7.44'),
('11420', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', 'Block: The Latest News (Home)', '', '7.50'),
('11421', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', 'The Latest News', '', '7.50'),
('11422', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '[field_blog_media]\n<div class="post-date"><span class="day">[created]</span>[created_1]</div>', '', '7.44'),
('11423', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', 'View: The Latest News', '', '7.50'),
('11424', 'sites/all/modules/flag/theme/flag-admin.js', 'default', 'No flags', '', 'none'),
('11425', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<span class="node-likes">[field_blog_like]</span><span class="node-comments"><a href="?q=node/[nid]#comments">[comment_count]</a><span>', '', '7.44'),
('11426', '/anima/gatsby/admin/structure/views/view/author_info/edit/block?destination=node/126', 'default', 'Posted by [name]', '', '7.43'),
('11427', '/anima/gatsby/admin/structure/views/view/author_info/edit/block?destination=node/126', 'default', 'Linkedin', '', '7.43'),
('11428', 'sites/all/modules/commerce/modules/checkout/commerce_checkout_admin.js', 'default', 'Changes to the checkout panes will not be saved until the <em>Save configuration</em> button is clicked.', '', 'none'),
('11429', '/anima/gatsby/admin/structure/views/view/video', 'default', 'Video', '', '7.44'),
('11430', '/anima/gatsby/admin/structure/views/view/video', 'default', 'Block: Video (Home 2)', '', '7.44'),
('11431', '/anima/gatsby/admin/structure/views/view/video', 'default', '111', '', '7.44'),
('11432', '/anima/gatsby/admin/structure/views/view/video', 'default', 'Views: We are a London based creative agency creating digital experience', '', '7.44'),
('11433', '/anima/gatsby/admin/structure/views/view/video', 'default', '<a href="#" class="gt-icon-play"></a>', '', '7.44'),
('11434', '/anima/gatsby/admin/structure/views/view/video/edit/block?destination=home-2', 'default', '<a href="#" class="gt-icon-play">View video</a>', '', '7.44'),
('11435', '/anima/gatsby/admin/structure/views/view/video', 'default', '<a href="[field_video_media_1]" class="gt-icon-play">View video</a>', '', '7.44'),
('11436', '/anima/gatsby/admin/structure/views/view/video', 'default', 'View video', '', '7.44'),
('11437', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_3', 'default', 'Page: Classic 2 col', '', '7.44'),
('11438', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_3', 'default', '2 Column Classic Portfolio', '', '7.44'),
('11439', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_3', 'default', 'Page: Classic 2 cols', '', '7.44'),
('11440', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_3', 'default', 'Page: Classic 3 cols', '', '7.44'),
('11441', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_3', 'default', '3 Column Classic Portfolio', '', '7.44'),
('11442', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_masonry', 'default', 'Page: Masonry v1 2 cols', '', '7.44'),
('11443', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_masonry', 'default', '2 Column Masonry v1 Portfolio', '', '7.44'),
('11444', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_5', 'default', 'Page: Masonry v1 3 cols', '', '7.50'),
('11445', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_5', 'default', '3 Column Masonry v1 Portfolio', '', '7.44'),
('11446', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_1', 'default', 'Page: Masonry v2', '', '7.44'),
('11447', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_1', 'default', 'Masonry v2 Portfolio', '', '7.44'),
('11448', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_1', 'default', 'Page: Full Width 3 cols', '', '7.44'),
('11449', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page_1', 'default', '3 Column Full Width Grid Portfolio', '', '7.44'),
('11450', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page', 'default', 'Page: Full Width 4 cols', '', '7.44'),
('11451', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page', 'default', '4 Column Full Width Grid Portfolio', '', '7.44'),
('11452', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page', 'default', 'Page: Full Width 5 cols', '', '7.44'),
('11453', '/anima/gatsby/admin/structure/views/view/portfolio/edit/page', 'default', '5 Column Full Width Grid Portfolio Without Spacing', '', '7.44'),
('11454', '/anima/gatsby/admin/structure/views/view/blog/edit/page', 'default', '3 Column Masonry v1 Blog', '', '7.50'),
('11455', '/anima/gatsby/admin/structure/views/view/blog', 'default', 'Page: Masonry v1 4 cols', '', '7.50'),
('11456', '/anima/gatsby/admin/structure/views/view/blog', 'default', '4 Column Masonry v1 Blog', '', '7.50'),
('11457', '/anima/gatsby/admin/structure/views/view/articles/edit', 'default', 'Block: Article (Home 2)', '', '7.44'),
('11458', '/anima/gatsby/admin/structure/views/view/articles/edit', 'default', 'View: Article', '', '7.44'),
('11459', '/anima/gatsby/admin/structure/views/view/portfolio/edit/block_1?destination=home-2', 'default', 'Block: Our Work (Home 2)', '', '7.44'),
('11460', '/anima/gatsby/admin/structure/views/view/slider/edit', 'default', '<div class="container-12">\n<div class="grid-12">\n<h2>[title]</h2>\n[body]\n</div>\n</div>', '', '7.44'),
('11461', '/anima/gatsby/admin/structure/views/view/slider/edit', 'default', '<span class="gt-scrolldown-icon"></span>', '', '7.44'),
('11462', '/anima/gatsby/admin/structure/views/view/slider/edit', 'default', '<div class="container-12 align-center">\n<div class="grid-12">\n<h2>[title]</h2>\n[body]\n</div>\n</div>', '', '7.44'),
('11463', '/anima/gatsby/admin/structure/views/view/slider/edit', 'default', '<h2>[title]</h2>\n<div class="container-12">\n<div class="grid-12">\n[body]\n</div>\n</div>', '', '7.44'),
('11464', '/anima/gatsby/admin/structure/views/view/services/edit/block?destination=node', 'default', 'What We Do', '', '7.50'),
('11465', '/anima/gatsby/admin/structure/views/view/services/edit/block?destination=node', 'default', 'Block: Our Services (Home 2)', '', '7.50'),
('11466', '/anima/gatsby/admin/structure/views/view/services/edit/block?destination=node', 'default', 'Our Services', '', '7.50'),
('11467', '/anima/gatsby/admin/structure/views/view/services/edit/block?destination=node', 'default', 'View: Our Services', '', '7.50'),
('11468', '/anima/gatsby/admin/structure/views/view/our_team/edit/block?destination=node', 'default', 'Block: Meet the Team (Home 2)', '', '7.44'),
('11469', '/anima/gatsby/admin/structure/views/view/our_team/edit/block?destination=node', 'default', 'Meet the Team', '', '7.44'),
('11470', '/anima/gatsby/admin/structure/views/view/our_team/edit/block?destination=node', 'default', '[field_employee_photo]\n<div class="caprion">[body]</div>', '', '7.44'),
('11471', '/anima/gatsby/admin/structure/views/view/our_team/edit/block?destination=node', 'default', 'View: Meet the Team', '', '7.44'),
('11472', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '[field_blog_media]\n<div class="gt-entry-date"><span class="day">[created]</span>[created_1]</div>', '', '7.44'),
('11473', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<span class="gt-entry-likes">[field_blog_like]</span><span class="gt-entry-comments-link"><a href="?q=node/[nid]#comments">[comment_count]</a><span>', '', '7.44'),
('11474', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '[field_blog_media]\n<div class="gt-entry-date"><span class="gt-entry-day">[created]</span><span class="gt-entry-month"[created_1]</span></div>', '', '7.44'),
('11475', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '[field_blog_media]\n<div class="gt-entry-date"><span class="gt-entry-day">[created]</span><span class="gt-entry-month">[created_1]</span></div>', '', '7.50'),
('11476', '/anima/gatsby/admin/structure/views/view/blog/edit/block_1?destination=node', 'default', '<div class="gt-entry-likes">[field_blog_like]</div><div class="gt-entry-comments-link"><a href="?q=node/[nid]#comments">[comment_count]</a></div>', '', '7.50'),
('11477', '/anima/gatsby/admin/structure/views/view/blog/edit/block_3', 'default', 'Block: From Our Blog (Home 2)', '', '7.50'),
('11478', '/anima/gatsby/admin/structure/views/view/blog/edit/block_3', 'default', 'From Our Blog', '', '7.50'),
('11479', '/anima/gatsby/admin/structure/views/view/blog/edit/block_3', 'default', 'View: From Our Blog', '', '7.50'),
('11480', 'sites/all/modules/token/token.js', 'default', 'Loading token browser...', '', 'none'),
('11481', 'sites/all/modules/token/token.js', 'default', 'Available tokens', '', 'none'),
('11482', 'sites/all/modules/token/token.js', 'default', 'Insert this token into your form', '', 'none'),
('11483', 'sites/all/modules/token/token.js', 'default', 'First click a text field to insert your tokens into.', '', 'none'),
('11484', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit', 'default', 'Block: Type 1', '', '7.50'),
('11485', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit', 'default', 'Pricing Tables Style 1', '', '7.50'),
('11486', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit', 'default', '[field_plan_price]<span class="views-field-period">[field_plan_period]</span>', '', '7.50'),
('11487', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit', 'default', 'Sign up', '', '7.50'),
('11488', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block_4', 'default', 'View: Pricing Tables Style 1', '', '7.50'),
('11489', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block', 'default', 'Block: Type 2', '', '7.50'),
('11490', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block', 'default', 'Pricing Tables Style 2', '', '7.50'),
('11491', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block', 'default', 'View: Pricing Tables Style 2', '', '7.50'),
('11492', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block', 'default', 'Block: Type 3', '', '7.50'),
('11493', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block', 'default', '<div class="price-table-bg" data-bg="[field_plan_image]" style="background-image: url(''[field_plan_image]");"></div>', '', '7.50'),
('11494', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block', 'default', '[title]\n<div class="price">[field_plan_price]<span class="period">[field_plan_period]</span></div>', '', '7.50'),
('11495', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block_4', 'default', '<div class="pricing-table-bg" data-bg="[field_plan_image]" style="background-image: url(''[field_plan_image]");"></div>', '', '7.50'),
('11496', '/anima/gatsby/admin/structure/views/view/tariff_plans/edit/block_4', 'default', '[title]\n<div class="price">[field_plan_price] [field_plan_period]</div>', '', '7.50');
/*!40000 ALTER TABLE locales_source ENABLE KEYS */;

--
-- Table structure for table 'locales_target'
--

CREATE TABLE IF NOT EXISTS `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.' COMMENT='Stores translated versions of strings.';

--
-- Dumping data for table 'locales_target'
--

/*!40000 ALTER TABLE locales_target DISABLE KEYS */;
INSERT INTO `locales_target` VALUES
('1', 'Ein AJAX-HTTP-Fehler ist aufgetreten.', 'de', '0', '0'),
('2', 'HTTP-Rückgabe-Code: !status', 'de', '0', '0'),
('3', 'Eine AJAX-Anfrage ist abnormal beendet worden.', 'de', '0', '0'),
('4', 'Im Folgenden finden Sie Debugging-Informationen.', 'de', '0', '0'),
('5', 'Pfad: !uri', 'de', '0', '0'),
('6', 'Statustext: !statusText', 'de', '0', '0'),
('7', 'Antworttext: !responseText', 'de', '0', '0'),
('8', 'ReadyState: !readyState', 'de', '0', '0'),
('9', 'Laden', 'de', '0', '0'),
('10', '(aktiver Reiter)', 'de', '0', '0'),
('11', 'Ausblenden', 'de', '0', '0'),
('12', 'Anzeigen', 'de', '0', '0'),
('13', 'Uneingeschränkt', 'de', '0', '0'),
('14', 'Auf bestimmte Seiten eingeschränkt', 'de', '0', '0'),
('15', 'Nicht anpassbar', 'de', '0', '0'),
('16', 'Die Änderungen an diesen Blöcken werden nicht gespeichert, bis auf dem <em>Blöcke speichern</em>-Button geklickt wurde.', 'de', '0', '0'),
('17', 'Der Block kann nicht in dieser Region abgelegt werden.', 'de', '0', '0'),
('18', 'Zeilen mittels numerischer Gewichtung ordnen statt mit Drag-and-Drop', 'de', '0', '0'),
('19', 'Zeilenreihenfolge anzeigen', 'de', '0', '0'),
('20', 'Zeilenreihenfolge ausblenden', 'de', '0', '0'),
('21', 'Ziehen, um die Reihenfolge zu ändern', 'de', '0', '0'),
('22', 'Änderungen in dieser Tabelle werden nicht gespeichert, bis dieses Formular abgesendet wurde.', 'de', '0', '0'),
('23', '@title Dialog', 'de', '0', '0'),
('24', 'Konfigurieren', 'de', '0', '0'),
('25', 'Verknüpfungen anzeigen', 'de', '0', '0'),
('26', 'Verknüpfungen ausblenden', 'de', '0', '0'),
('27', 'Zusammenfassung verbergen', 'de', '0', '0'),
('28', 'Zusammenfassung bearbeiten', 'de', '0', '0'),
('29', 'Nicht im Menü', 'de', '0', '0'),
('30', 'Bitte warten...', 'de', '0', '0'),
('31', 'Nicht im Buch', 'de', '0', '0'),
('32', 'Neues Buch', 'de', '0', '0'),
('33', 'Neue Version', 'de', '0', '0'),
('34', 'Keine Version', 'de', '0', '0'),
('35', 'Von @name am @date', 'de', '0', '0'),
('36', 'Von @name', 'de', '0', '0'),
('37', 'Nicht veröffentlicht', 'de', '0', '0'),
('38', 'Alias: @alias', 'de', '0', '0'),
('39', 'Kein Alias', 'de', '0', '0'),
('40', '@number Kommentare pro Seite', 'de', '0', '0'),
('41', 'Popup zur automatischen Vervollständigung', 'de', '0', '0'),
('42', 'Suche …', 'de', '0', '0'),
('43', 'Alle Zeilen dieser Tabelle auswählen', 'de', '0', '0'),
('44', 'Alle Zeilen dieser Tabelle abwählen', 'de', '0', '0'),
('45', 'Die ausgewählte Datei %filename konnte nicht hochgeladen werden. Nur Dateien mit den folgenden Erweiterungen sind zulässig: %extensions.', 'de', '0', '0'),
('46', 'Bearbeiten', 'de', '0', '0'),
('47', 'Aktiviert', 'de', '0', '0'),
('48', 'Deaktiviert', 'de', '0', '0'),
('49', 'Diese Berechtigung wird von der Rolle ‚Authentifizierte Benutzer‘ ererbt.', 'de', '0', '0'),
('50', 'Benötigt einen Titel', 'de', '0', '0'),
('51', 'Beitragsinformationen nicht anzeigen', 'de', '0', '0'),
('52', 'Weiter', 'de', '0', '0'),
('53', 'Pause', 'de', '0', '0'),
('54', 'Gruppe entfernen', 'de', '0', '0'),
('59', 'Anwenden (alle Anzeigen)', 'de', '0', '0'),
('60', 'Anwenden (diese Anzeige)', 'de', '0', '0'),
('61', 'Auf Standardwert zurücksetzen', 'de', '0', '0'),
('78', 'Diese Angabe wird benötigt.', 'de', '0', '0'),
('87', 'Hinzufügen', 'de', '0', '0'),
('91', '+@count ', 'de', '0', '0'),
('92', '-@count', 'de', '0', '0'),
('96', 'An', 'de', '0', '0'),
('97', 'Aus', 'de', '0', '0'),
('113', 'OK', 'de', '0', '0'),
('115', 'Wird geladen ...', 'de', '0', '0'),
('118', 'Abbrechen', 'de', '0', '0'),
('121', 'Datei hinzufügen', 'de', '0', '0'),
('122', 'Alle', 'de', '0', '0'),
('123', 'keine', 'de', '0', '0'),
('124', 'Auswahl', 'de', '0', '0'),
('129', 'Dateiname', 'de', '0', '0'),
('130', 'Status', 'de', '0', '0'),
('131', 'Größe', 'de', '0', '0'),
('136', 'n. v.', 'de', '0', '0'),
('158', 'klar', 'de', '0', '0'),
('159', 'Alle', 'de', '0', '0'),
('160', 'Neu', 'de', '0', '0'),
('179', 'Startseite', 'de', '0', '0'),
('180', 'Titel', 'de', '0', '0'),
('181', 'Textkörper', 'de', '0', '0'),
('182', 'Benutzer', 'de', '0', '0'),
('186', 'Seiten', 'de', '0', '0'),
('187', 'Konfiguration speichern', 'de', '0', '0'),
('188', 'Auf Standardwerte zurücksetzen', 'de', '0', '0'),
('190', 'Löschen', 'de', '0', '0'),
('192', 'Ein neues Benutzerkonto erstellen.', 'de', '0', '0'),
('193', 'Ein neues Passwort per E-Mail anfordern.', 'de', '0', '0'),
('194', 'E-Mail', 'de', '0', '0'),
('195', 'Löschen', 'de', '0', '0'),
('196', 'Operationen', 'de', '0', '0'),
('197', 'Inhalt', 'de', '0', '0'),
('198', 'Wert', 'de', '0', '0'),
('199', 'Benutzername', 'de', '0', '0'),
('201', 'Inhalt', 'de', '0', '0'),
('202', 'Typ', 'de', '0', '0'),
('203', 'Autor', 'de', '0', '0'),
('204', 'Antworten', 'de', '0', '0'),
('205', 'Geschlossen', 'de', '0', '0'),
('207', 'Liste', 'de', '0', '0'),
('208', 'Betreff', 'de', '0', '0'),
('209', 'geschlossen', 'de', '0', '0'),
('210', 'Deaktiviert', 'de', '0', '0'),
('211', 'Bestätigen', 'de', '0', '0'),
('213', 'Beschreibung', 'de', '0', '0'),
('214', 'Sprache', 'de', '0', '0'),
('215', 'Weiterlesen', 'de', '0', '0'),
('217', 'RSS-Feed', 'de', '0', '0'),
('218', 'mehr', 'de', '0', '0'),
('220', 'Deaktivieren', 'de', '0', '0'),
('221', 'Zugriffssteuerung', 'de', '0', '0'),
('222', 'Erklärung oder Richtlinien zum Erstellen von Inhalt', 'de', '0', '0'),
('224', 'Verwaltung', 'de', '0', '0'),
('226', 'Fußbereich', 'de', '0', '0'),
('227', 'Kommentare', 'de', '0', '0'),
('228', 'Mehr', 'de', '0', '0'),
('229', 'nicht überprüft', 'de', '0', '0'),
('230', 'Zuletzt aktualisiert', 'de', '0', '0'),
('231', 'neu', 'de', '0', '0'),
('232', 'Fehler', 'de', '0', '0'),
('233', 'Blocktitel', 'de', '0', '0'),
('234', 'Der Titel des Blocks, wie er dem Benutzer angezeigt wird.', 'de', '0', '0'),
('235', 'Taxonomie', 'de', '0', '0'),
('236', 'Ja', 'de', '0', '0'),
('237', 'Nein', 'de', '0', '0'),
('238', 'Cron', 'de', '0', '0'),
('240', 'Blaue Lagune (Standard)', 'de', '0', '0'),
('241', 'Asche', 'de', '0', '0'),
('242', 'Aquamarin', 'de', '0', '0'),
('243', 'Belgische Schokolade', 'de', '0', '0'),
('244', 'Marineblau', 'de', '0', '0'),
('245', 'Zitronenexplosion', 'de', '0', '0'),
('246', 'Kalter Tag', 'de', '0', '0'),
('247', 'Grünstrahl', 'de', '0', '0'),
('248', 'Mediterrano', 'de', '0', '0'),
('249', 'Quecksilber', 'de', '0', '0'),
('250', 'Nacht', 'de', '0', '0'),
('251', 'Oliv', 'de', '0', '0'),
('252', 'Plastikrosa', 'de', '0', '0'),
('253', 'Tomatenglanz', 'de', '0', '0'),
('254', 'Türkis', 'de', '0', '0'),
('255', 'Inhaltstypen', 'de', '0', '0'),
('256', 'Startseite', 'de', '0', '0'),
('257', 'Kategorien', 'de', '0', '0'),
('258', 'Version', 'de', '0', '0'),
('259', 'Ansicht', 'de', '0', '0'),
('260', 'aktualisiert', 'de', '0', '0'),
('262', 'Erweiterte Optionen', 'de', '0', '0'),
('263', 'Datum', 'de', '0', '0'),
('264', 'Suche', 'de', '0', '0'),
('265', 'Zurücksetzen', 'de', '0', '0'),
('267', 'Diese Aktion kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('269', 'Nachricht', 'de', '0', '0'),
('270', 'Keine Protokollnachrichten verfügbar.', 'de', '0', '0'),
('271', 'Passwort', 'de', '0', '0'),
('272', '- Keine -', 'de', '0', '0'),
('273', 'Gewichtung', 'de', '0', '0'),
('274', 'Die Konfigurationsoptionen wurden gespeichert.', 'de', '0', '0'),
('278', 'Hilfetext', 'de', '0', '0'),
('279', 'Typen', 'de', '0', '0'),
('280', 'Hierarchie', 'de', '0', '0'),
('288', 'Erforderlich', 'de', '0', '0'),
('289', 'Hauptebene', 'de', '0', '0'),
('290', 'Übergeordnet', 'de', '0', '0'),
('292', 'Die Seiten innerhalb einer Ebene werden erst nach ihrer Gewichtung und dann nach ihrem Titel sortiert.', 'de', '0', '0'),
('293', 'Kategorie', 'de', '0', '0'),
('294', 'Ordner anlegen', 'de', '0', '0'),
('295', 'Einstellungen', 'de', '0', '0'),
('296', 'Kategorie hinzufügen', 'de', '0', '0'),
('297', 'Name', 'de', '0', '0'),
('298', 'Ordner bearbeiten', 'de', '0', '0'),
('299', 'Bearbeiten', 'de', '0', '0'),
('300', 'Keine Kategorien verfügbar.', 'de', '0', '0'),
('301', '‹ ', 'de', '0', '0'),
('302', 'Zur vorherigen Seite', 'de', '0', '0'),
('303', 'nach oben', 'de', '0', '0'),
('304', 'Gehe zur übergeordneten Seite', 'de', '0', '0'),
('305', ' ›', 'de', '0', '0'),
('306', 'Zur nächsten Seite', 'de', '0', '0'),
('307', 'Importieren', 'de', '0', '0'),
('308', 'Buch', 'de', '0', '0'),
('309', 'Exportieren', 'de', '0', '0'),
('310', 'Taxonomie-Begriff', 'de', '0', '0'),
('313', 'Gliederung', 'de', '0', '0'),
('315', 'Kopfbereich', 'de', '0', '0'),
('316', 'Vorschau', 'de', '0', '0'),
('317', 'Die Sitzung für %name wurde eröffnet.', 'de', '0', '0'),
('318', 'Hilfe', 'de', '0', '0'),
('320', 'Standard', 'de', '0', '0'),
('321', 'Aktualisieren', 'de', '0', '0'),
('322', 'Sonntag', 'de', '0', '0'),
('323', 'Montag', 'de', '0', '0'),
('324', 'Dienstag', 'de', '0', '0'),
('325', 'Mittwoch', 'de', '0', '0'),
('326', 'Donnerstag', 'de', '0', '0'),
('327', 'Freitag', 'de', '0', '0'),
('328', 'Samstag', 'de', '0', '0'),
('329', 'Zeit', 'de', '0', '0'),
('330', 'Ansicht', 'de', '0', '0'),
('331', 'Verlauf', 'de', '0', '0'),
('333', 'URL', 'de', '0', '0'),
('334', 'Pfad', 'de', '0', '0'),
('335', 'Module', 'de', '0', '0'),
('337', 'Index löschen', 'de', '0', '0'),
('338', 'Forum bearbeiten', 'de', '0', '0'),
('339', 'Forenname', 'de', '0', '0'),
('343', 'Forum', 'de', '0', '0'),
('344', 'Möchten Sie das Forum %name wirklich löschen?', 'de', '0', '0'),
('348', 'Region', 'de', '0', '0'),
('349', 'Menü', 'de', '0', '0'),
('350', 'Ergebnisse', 'de', '0', '0'),
('351', 'Suchen', 'de', '0', '0'),
('353', 'niemals', 'de', '0', '0'),
('354', 'Der Benutzername %name ist nicht vorhanden.', 'de', '0', '0'),
('355', 'E-Mail', 'de', '0', '0'),
('357', 'Aggregator', 'de', '0', '0'),
('358', 'weiterlesen', 'de', '0', '0'),
('360', 'Aktualisierungsintervall', 'de', '0', '0'),
('361', 'Die vollständige URL des Feeds.', 'de', '0', '0'),
('362', 'Forum anlegen', 'de', '0', '0'),
('363', 'Begriff hinzufügen', 'de', '0', '0'),
('365', 'Kein Screenshot', 'de', '0', '0'),
('366', 'Zeitstempel', 'de', '0', '0'),
('367', 'Zugriffsprotokolleinstellungen', 'de', '0', '0'),
('368', 'Zugriffsprotokoll aktivieren', 'de', '0', '0'),
('369', 'Zugriffsprotokolle löschen, die älter sind als', 'de', '0', '0'),
('370', 'Vorschau des Kommentars', 'de', '0', '0'),
('373', 'Statistiken', 'de', '0', '0'),
('374', 'Erweiterte Suche', 'de', '0', '0'),
('375', 'Sie haben keine Zugriffsberechtigung für diese Seite.', 'de', '0', '0'),
('376', 'Anhang', 'de', '0', '0'),
('380', 'k.A.', 'de', '0', '0'),
('381', 'Hochladen', 'de', '0', '0'),
('382', 'Bild', 'de', '0', '0'),
('386', 'Typ', 'de', '0', '0'),
('387', 'Datenbanktyp', 'de', '0', '0'),
('388', 'Benutzer', 'de', '0', '0'),
('389', 'Weiter', 'de', '0', '0'),
('390', 'Datei', 'de', '0', '0'),
('391', 'Status', 'de', '0', '0'),
('392', 'Fehler', 'de', '0', '0'),
('393', 'Kontakt', 'de', '0', '0'),
('395', 'Erstellt am', 'de', '0', '0'),
('396', 'Beitrag', 'de', '0', '0'),
('397', 'Möchten Sie %title wirklich löschen?', 'de', '0', '0'),
('398', 'Kategorien speichern', 'de', '0', '0'),
('405', 'Übergeordneter Menüpunkt', 'de', '0', '0'),
('407', 'Frage', 'de', '0', '0'),
('408', 'Untergeordnete Seite hinzufügen', 'de', '0', '0'),
('409', 'Druckversion', 'de', '0', '0'),
('411', 'Aktualisierungseinstellungen', 'de', '0', '0'),
('413', 'Unbekanntes Ausgabeformat.', 'de', '0', '0'),
('417', 'Aktiv', 'de', '0', '0'),
('419', 'Letzter Beitrag', 'de', '0', '0'),
('420', '@name speichern', 'de', '0', '0'),
('421', 'Zugriff verweigert', 'de', '0', '0'),
('422', 'Seitentitel', 'de', '0', '0'),
('423', 'Block', 'de', '0', '0'),
('424', 'Block hinzufügen', 'de', '0', '0'),
('425', 'Seite', 'de', '0', '0'),
('426', 'RSS', 'de', '0', '0'),
('427', '1 Stunde', 'de', '0', '0'),
('428', '@count Stunden', 'de', '427', '1'),
('430', '1 Tag', 'de', '0', '0'),
('431', '@count Tage', 'de', '430', '1'),
('433', 'Die Konfiguration wurde gespeichert.', 'de', '0', '0'),
('435', 'Logo', 'de', '0', '0'),
('438', 'Name der Website', 'de', '0', '0'),
('439', 'Slogan der Website', 'de', '0', '0'),
('440', 'PHP', 'de', '0', '0'),
('443', 'Nur Administratoren können neue Benutzerkonten erstellen.', 'de', '0', '0'),
('444', 'Drupal', 'de', '0', '0'),
('445', 'URL', 'de', '0', '0'),
('446', 'PHP', 'de', '0', '0'),
('447', 'Host', 'de', '0', '0'),
('448', 'Nie', 'de', '0', '0'),
('449', 'Aktuell', 'de', '0', '0'),
('450', 'Veraltet', 'de', '0', '0'),
('451', 'Kopfbereich', 'de', '0', '0'),
('452', 'Linke Seitenleiste', 'de', '0', '0'),
('453', 'Rechte Seitenleiste', 'de', '0', '0'),
('454', 'Fußbereich', 'de', '0', '0'),
('456', 'Empfänger', 'de', '0', '0'),
('457', 'Ausgewählt', 'de', '0', '0'),
('458', 'Auf <em>Ja</em> einstellen, wenn diese Kategorie standardmäßig ausgewählt sein soll.', 'de', '0', '0'),
('459', 'Eine Kategorie muss eingegeben werden.', 'de', '0', '0'),
('463', 'Möchten Sie %category wirklich löschen?', 'de', '0', '0'),
('465', 'Die Kategorie %category wurde gelöscht.', 'de', '0', '0'),
('468', 'Ihr Name', 'de', '0', '0'),
('469', 'Ihre E-Mail-Adresse', 'de', '0', '0'),
('471', 'E-Mail senden', 'de', '0', '0'),
('472', 'Eine gültige Kategorie muss ausgewählt werden.', 'de', '0', '0'),
('473', 'Geben Sie eine gültige E-Mail-Adresse an.', 'de', '0', '0'),
('474', '[!category] !subject', 'de', '0', '0'),
('475', 'An', 'de', '0', '0'),
('477', 'Benutzerdefiniert', 'de', '0', '0'),
('479', 'Sichtbarkeit', 'de', '0', '0'),
('480', 'Rollen', 'de', '0', '0'),
('481', 'Kommentar', 'de', '0', '0'),
('482', 'Hostname', 'de', '0', '0'),
('483', 'Veröffentlicht', 'de', '0', '0'),
('485', 'Signatur', 'de', '0', '0'),
('486', 'Filter', 'de', '0', '0'),
('487', 'Standort', 'de', '0', '0'),
('488', 'Lokalisierung', 'de', '0', '0'),
('489', 'Beschriftung des Titelfeldes', 'de', '0', '0'),
('491', 'Auf der Startseite', 'de', '0', '0'),
('492', 'Oben in Listen', 'de', '0', '0'),
('493', 'Versionen', 'de', '0', '0'),
('494', 'Protokollnachricht', 'de', '0', '0'),
('495', 'Umfragedauer', 'de', '0', '0'),
('496', 'Erklärung', 'de', '0', '0'),
('497', 'Auswahloptionen', 'de', '0', '0'),
('498', 'Vokabularname', 'de', '0', '0'),
('499', 'Begriffsname', 'de', '0', '0'),
('500', 'Rollen-Name', 'de', '0', '0'),
('501', 'E-Mail-Adresse', 'de', '0', '0'),
('503', 'Letzter Zugriff', 'de', '0', '0'),
('504', 'Zeitzone', 'de', '0', '0'),
('505', 'Schweregrad', 'de', '0', '0'),
('506', 'Allgemeine Einstellungen', 'de', '0', '0'),
('507', 'Stimme', 'de', '0', '0'),
('508', 'Anzahl', 'de', '0', '0'),
('512', 'RSS - Weblogs', 'de', '0', '0'),
('513', 'Systemprotokoll', 'de', '0', '0'),
('514', 'Sucheinstellungen', 'de', '0', '0'),
('515', 'Modus', 'de', '0', '0'),
('516', 'Gesperrt', 'de', '0', '0'),
('517', 'aktiv', 'de', '0', '0'),
('518', 'OPML-Newsfeed', 'de', '0', '0'),
('519', 'Konfigurieren', 'de', '0', '0'),
('520', 'Anzahl der Einträge im Block', 'de', '0', '0'),
('521', 'Neueste Einträge dieses Feeds anzeigen.', 'de', '0', '0'),
('522', 'Die neuesten Beiträge in dieser Kategorie anzeigen.', 'de', '0', '0'),
('523', 'Feed-Übersicht', 'de', '0', '0'),
('524', 'Einträge', 'de', '0', '0'),
('525', 'Letzte Aktualisierung', 'de', '0', '0'),
('526', 'Nächste Aktualisierung', 'de', '0', '0'),
('527', '%time verbleibend', 'de', '0', '0'),
('528', 'Einträge entfernen', 'de', '0', '0'),
('529', 'Einträge aktualisieren', 'de', '0', '0'),
('530', 'Kategorie-Übersicht', 'de', '0', '0'),
('531', 'Kategorisieren', 'de', '0', '0'),
('533', 'Die Kategorien wurden gespeichert.', 'de', '0', '0'),
('536', 'URL:', 'de', '0', '0'),
('537', 'Aktualisiert:', 'de', '0', '0'),
('540', '%age alt', 'de', '0', '0'),
('541', 'vor %ago', 'de', '0', '0'),
('542', 'Erstellt von', 'de', '0', '0'),
('548', 'Der Feed %feed wurde aktualisiert.', 'de', '0', '0'),
('549', 'Feed %feed gelöscht.', 'de', '0', '0'),
('550', 'Der Feed %feed wurde gelöscht.', 'de', '0', '0'),
('551', 'Feed %feed hinzugefügt.', 'de', '0', '0'),
('552', 'Der Feed %feed wurde hinzugefügt.', 'de', '0', '0'),
('554', 'Die Einträge von %site wurden gelöscht.', 'de', '0', '0'),
('557', 'Leistung', 'de', '0', '0'),
('562', 'Details', 'de', '0', '0'),
('563', 'Letzte Antwort', 'de', '0', '0'),
('564', 'System', 'de', '0', '0'),
('565', 'Unbegrenzt', 'de', '0', '0'),
('566', 'Code', 'de', '0', '0'),
('568', 'Den ausgewählten Benutzern eine Rolle zuweisen', 'de', '0', '0'),
('569', 'Bei ausgewählten Benutzern eine Rolle entfernen', 'de', '0', '0'),
('570', 'Sicherheit', 'de', '0', '0'),
('571', 'Beitrag', 'de', '0', '0'),
('572', 'Letzte Mitteilungen', 'de', '0', '0'),
('573', 'Tonga', 'de', '0', '0'),
('574', 'Navajo', 'de', '0', '0'),
('575', 'Tabelle', 'de', '0', '0'),
('576', 'Mo', 'de', '0', '0'),
('577', 'Di', 'de', '0', '0'),
('578', 'Mi', 'de', '0', '0'),
('579', 'Do', 'de', '0', '0'),
('580', 'Fr', 'de', '0', '0'),
('581', 'Sa', 'de', '0', '0'),
('582', 'So', 'de', '0', '0'),
('583', 'Januar', 'de', '0', '0'),
('584', 'Februar', 'de', '0', '0'),
('585', 'März', 'de', '0', '0'),
('586', 'April', 'de', '0', '0'),
('587', 'Mai', 'de', '0', '0'),
('588', 'Juni', 'de', '0', '0'),
('589', 'Juli', 'de', '0', '0'),
('590', 'August', 'de', '0', '0'),
('591', 'September', 'de', '0', '0'),
('592', 'Oktober', 'de', '0', '0'),
('593', 'November', 'de', '0', '0'),
('594', 'Dezember', 'de', '0', '0'),
('595', 'am', 'de', '0', '0'),
('596', 'pm', 'de', '0', '0'),
('597', 'Forum', 'de', '0', '0'),
('598', 'vor !time', 'de', '0', '0'),
('599', 'Andere', 'de', '0', '0'),
('600', 'Schriftfarbe', 'de', '0', '0'),
('601', 'Navigation', 'de', '0', '0'),
('602', 'Farbe', 'de', '0', '0'),
('608', 'Benutzeranmeldung', 'de', '0', '0'),
('609', 'Anmelden', 'de', '0', '0'),
('610', 'URL für Feed %title zu %url geändert.', 'de', '0', '0'),
('611', 'Blog', 'de', '0', '0'),
('613', 'Zum ersten Kommentar dieses Beitrags springen.', 'de', '0', '0'),
('614', 'Zum ersten neuen Kommentar dieses Beitrags springen.', 'de', '0', '0'),
('615', 'Neuen Kommentar schreiben', 'de', '0', '0'),
('616', 'Dieser Seite einen neuen Kommentar hinzufügen.', 'de', '0', '0'),
('617', 'Teilen Sie Ihre Gedanken und Meinungen zu diesem Beitrag mit.', 'de', '0', '0'),
('619', 'Zurücksetzen', 'de', '0', '0'),
('620', 'Zeichenkette', 'de', '0', '0'),
('621', 'Benutzer', 'de', '0', '0'),
('622', 'Nicht installiert', 'de', '0', '0'),
('623', 'Auswahlmöglichkeiten', 'de', '0', '0'),
('625', 'Minimale Cache-Lebensdauer', 'de', '0', '0'),
('626', 'Referrer', 'de', '0', '0'),
('627', '1 Stimme', 'de', '0', '0'),
('628', '@count Stimmen', 'de', '627', '1'),
('635', 'Wir führen auf @site momentan Wartungsarbeiten durch und sollten bald wieder erreichbar sein. Vielen Dank für Ihre Geduld.', 'de', '0', '0'),
('637', 'Standard-Startseite', 'de', '0', '0'),
('638', 'Wichtigste Seiten', 'de', '0', '0'),
('640', 'Zugriff verweigert', 'de', '0', '0'),
('641', 'Gast', 'de', '0', '0'),
('642', 'Deinstallieren', 'de', '0', '0'),
('643', 'Filterkriterien', 'de', '0', '0'),
('644', 'Optional', 'de', '0', '0'),
('645', 'Neueste Kommentare', 'de', '0', '0'),
('646', 'Neueste Aufrufe', 'de', '0', '0'),
('648', 'Der Kommentar und all seine Antworten wurden gelöscht.', 'de', '0', '0'),
('651', 'Vorformatiert', 'de', '0', '0'),
('652', 'Profil', 'de', '0', '0'),
('654', 'Stimmen', 'de', '0', '0'),
('655', 'Einstellungen speichern', 'de', '0', '0'),
('656', 'Antworten', 'de', '0', '0'),
('657', 'Die Sitzung für %name wurde beendet.', 'de', '0', '0'),
('658', 'Tracker', 'de', '0', '0'),
('659', 'Ein gültiges Datum muss angegeben werden.', 'de', '0', '0'),
('661', 'Das Feld %field ist erforderlich.', 'de', '0', '0'),
('662', '1 neu', 'de', '0', '0'),
('663', '@count neu', 'de', '662', '1'),
('667', 'Nauru', 'de', '0', '0'),
('668', 'Tabellenpräfix', 'de', '0', '0'),
('669', 'Datenbankbenutzer', 'de', '0', '0'),
('670', 'Datenbankpasswort', 'de', '0', '0'),
('671', 'Datenbankname', 'de', '0', '0'),
('672', 'Benutzer hinzufügen', 'de', '0', '0'),
('674', 'Informationen zum Autor', 'de', '0', '0'),
('675', 'geschrieben am', 'de', '0', '0'),
('677', 'Leer lassen für %anonymous.', 'de', '0', '0'),
('685', 'Geben Sie eine Seite pro Zeile als Drupal-Pfad ein. Das Zeichen ‚*‘ ist ein Platzhalter. Beispiel-Pfade sind %blog für die Weblog-Seiten und %blog-wildcard für alle persönlichen Weblogs. %front ist die Startseite.', 'de', '0', '0'),
('698', 'Arabisch', 'de', '0', '0'),
('699', 'Englisch', 'de', '0', '0'),
('700', 'Französisch', 'de', '0', '0'),
('701', 'Italienisch', 'de', '0', '0'),
('702', 'Spanisch', 'de', '0', '0'),
('703', 'Japanisch', 'de', '0', '0'),
('704', 'Koreanisch', 'de', '0', '0'),
('705', 'Begriff bearbeiten', 'de', '0', '0'),
('706', 'Sollen diese Einträge wirklich gelöscht werden?', 'de', '4741', '1'),
('709', 'Eine gültige E-Mail-Adresse. Alle E-Mails der Website werden an diese Adresse geschickt. Die Adresse wird nicht veröffentlicht und wird nur verwendet, wenn Sie ein neues Passwort anfordern oder wenn Sie einstellen, bestimmte Informationen oder Benachrichtigungen per E-Mail zu erhalten.', 'de', '0', '0'),
('710', 'Die E-Mail-Adresse %email ist schon registriert. <a href="@password">Haben Sie Ihr Passwort vergessen?</a>', 'de', '0', '0'),
('712', 'Einträge entfernen', 'de', '0', '0'),
('713', 'Erlaubte HTML-Tags', 'de', '0', '0'),
('716', 'Quellen', 'de', '0', '0'),
('717', 'Neueste Einträge der Kategorie !title', 'de', '0', '0'),
('718', 'Neueste Einträge des Feeds !title', 'de', '0', '0'),
('720', 'Die Kategorie %category wurde aktualisiert.', 'de', '0', '0'),
('721', 'Kategorie %category gelöscht.', 'de', '0', '0'),
('722', 'Die Kategorie %category wurde gelöscht.', 'de', '0', '0'),
('723', 'Kategorie %category hinzugefügt.', 'de', '0', '0'),
('724', 'Die Kategorie %category wurde hinzugefügt.', 'de', '0', '0'),
('725', 'Aggregator – @title', 'de', '0', '0'),
('726', '1 Eintrag', 'de', '0', '0'),
('727', '@count Einträge', 'de', '726', '1'),
('729', 'Menü hinzufügen', 'de', '0', '0'),
('736', 'Menü', 'de', '0', '0'),
('737', '‹ vorherige Seite', 'de', '0', '0'),
('738', 'nächste Seite ›', 'de', '0', '0'),
('739', 'Keine Einträge ausgewählt.', 'de', '0', '0'),
('740', 'Die Aktualisierung wurde durchgeführt.', 'de', '0', '0'),
('741', 'Benutzerprofil anzeigen.', 'de', '0', '0'),
('743', 'Nur Titel', 'de', '0', '0'),
('744', 'Gesamter Text', 'de', '0', '0'),
('745', 'Benutzerbild hochladen', 'de', '0', '0'),
('746', 'Nachricht:', 'de', '0', '0'),
('747', 'Sprachdatei', 'de', '0', '0'),
('748', 'Veröffentlicht', 'de', '0', '0'),
('749', 'Durchschnittliche Dauer einer Seitenerstellung', 'de', '0', '0'),
('750', 'Die Änderungen wurden gespeichert.', 'de', '0', '0'),
('751', 'Nur Benutzer anzeigen mit', 'de', '0', '0'),
('752', 'Einschränken', 'de', '0', '0'),
('753', 'Rückgängig', 'de', '0', '0'),
('754', 'Mitglied seit', 'de', '0', '0'),
('755', 'vor @time', 'de', '0', '0'),
('757', 'Keine Benutzer ausgewählt.', 'de', '0', '0'),
('758', 'Böswilliger Versuch, geschützte Benutzerfelder zu verändern wurde entdeckt.', 'de', '0', '0'),
('760', 'Suchergebnisse', 'de', '0', '0'),
('761', 'Diese Suche lieferte keine Ergebnisse.', 'de', '0', '0'),
('762', 'Bitte geben Sie Wörter ein, nach denen gesucht werden soll.', 'de', '0', '0'),
('763', 'Neues Passwort anfordern', 'de', '0', '0'),
('765', 'Gelöscht', 'de', '0', '0'),
('766', 'Themen', 'de', '0', '0'),
('767', 'Thema', 'de', '0', '0'),
('769', 'Menü bearbeiten', 'de', '0', '0'),
('770', 'Menü löschen', 'de', '0', '0'),
('777', 'Veröffentlichungseinstellungen', 'de', '0', '0'),
('778', 'Neue Version erstellen', 'de', '0', '0'),
('779', 'Regionaleinstellungen', 'de', '0', '0'),
('780', 'Block konfigurieren', 'de', '0', '0'),
('781', 'Die Anzahl der Einträge, die in der Tages-Liste erscheinen soll.', 'de', '0', '0'),
('782', 'Jan', 'de', '0', '0'),
('783', 'Feb', 'de', '0', '0'),
('784', 'Mär', 'de', '0', '0'),
('785', 'Apr', 'de', '0', '0'),
('786', 'Jun', 'de', '0', '0'),
('787', 'Jul', 'de', '0', '0'),
('788', 'Aug', 'de', '0', '0'),
('789', 'Sep', 'de', '0', '0'),
('790', 'Okt', 'de', '0', '0'),
('791', 'Nov', 'de', '0', '0'),
('792', 'Dez', 'de', '0', '0'),
('793', 'Beiträge', 'de', '0', '0'),
('795', 'Berechtigungen festlegen', 'de', '0', '0'),
('796', 'Arbeitsablauf', 'de', '0', '0'),
('797', 'Zurücksetzen', 'de', '0', '0'),
('798', 'Bestehender Systempfad', 'de', '0', '0'),
('800', 'Geben Sie einen alternativen Pfad an, mit dem auf diese Daten zugegriffen werden kann. Beispielsweise kann „info“ für eine Informationsseite festgelegt werden. Verwenden Sie einen relativen Pfad und fügen Sie keinen abschließenden Schrägstrich hinzu, ansonsten funktioniert der URL-Alias nicht.', 'de', '0', '0'),
('801', 'Größer als', 'de', '0', '0'),
('802', 'Kleiner als', 'de', '0', '0'),
('804', 'Abmelden', 'de', '0', '0'),
('805', 'Anzahl der häufigsten Aufrufe des Tages', 'de', '0', '0'),
('806', 'Anzahl der häufigsten Ansichten insgesamt', 'de', '0', '0'),
('807', 'Anzahl der neuesten Seitenzugriffe, die angezeigt werden sollen', 'de', '0', '0'),
('808', 'Die Einstellungen konnten aufgrund eines Fehlers nicht gespeichert werden.', 'de', '0', '0'),
('810', 'Profil', 'de', '0', '0'),
('811', 'Erster Tag der Woche', 'de', '0', '0'),
('812', 'Taxonomie automatisch vervollständigen', 'de', '0', '0'),
('815', 'Kopie an mich schicken', 'de', '0', '0'),
('822', 'Ihre Nachricht wurde gesendet.', 'de', '0', '0'),
('823', 'Neues Benutzerkonto erstellen', 'de', '0', '0'),
('824', 'Rolle', 'de', '0', '0'),
('825', 'Möchten Sie den Block %name wirklich löschen?', 'de', '0', '0'),
('826', 'Der Block %name wurde gelöscht.', 'de', '0', '0'),
('828', 'Begriffe auflisten', 'de', '0', '0'),
('829', 'Begriffe hinzufügen', 'de', '0', '0'),
('830', 'Der neue Begriff %term wurde erstellt.', 'de', '0', '0'),
('831', 'Möchten Sie den Begriff %title wirklich löschen?', 'de', '0', '0'),
('832', 'Der Begriff %name wurde gelöscht.', 'de', '0', '0'),
('833', 'Warnung', 'de', '0', '0'),
('834', 'Zuletzt vor !time ausgeführt', 'de', '0', '0'),
('836', 'Website-Informationen', 'de', '0', '0'),
('837', 'Gesperrt', 'de', '0', '0'),
('839', 'Resultate', 'de', '0', '0'),
('840', 'Ältere Umfragen', 'de', '0', '0'),
('841', 'Umfragen dieser Website anzeigen.', 'de', '0', '0'),
('843', 'Sie müssen mindestens zwei Wahlmöglichkeiten angeben.', 'de', '0', '0'),
('844', 'Geöffnet', 'de', '0', '0'),
('845', 'Besucher', 'de', '0', '0'),
('846', 'Meine Stimme löschen', 'de', '0', '0'),
('847', 'Aktuelle Umfrageergebnisse anzeigen.', 'de', '0', '0'),
('854', 'Beim Löschen eines Begriffs werden auch alle untergeordneten Begriffe gelöscht (falls vorhanden). Dieser Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('855', 'Übergeordneter Begriff', 'de', '0', '0'),
('856', 'Übergeordnete Begriffe', 'de', '0', '0'),
('857', 'Newsfeeds', 'de', '0', '0'),
('859', 'Weblogs', 'de', '0', '0'),
('860', 'Bücher', 'de', '0', '0'),
('861', 'Der Feed von %site scheint fehlerhaft zu sein. Es ist folgender Fehler aufgetreten: %error in Zeile %line.', 'de', '0', '0'),
('862', 'Der Feed von %site scheint fehlerhaft zu sein. Es ist folgender Fehler aufgetreten: %error in Zeile %line.', 'de', '0', '0'),
('863', 'Foren', 'de', '0', '0'),
('868', 'Versionen für %title', 'de', '0', '0'),
('869', '!date von !username', 'de', '0', '0'),
('870', 'Zurücksetzen', 'de', '0', '0'),
('871', 'Version', 'de', '0', '0'),
('872', 'aktuelle Version', 'de', '0', '0'),
('873', 'Die eingegebenen Passwörter stimmen nicht überein.', 'de', '0', '0'),
('874', 'Beiträge', 'de', '0', '0'),
('879', 'Es wurden noch keine Foren definiert.', 'de', '0', '0'),
('880', 'Dieses Thema wurde verschoben.', 'de', '0', '0'),
('884', 'Berechtigung', 'de', '0', '0'),
('888', 'Ihre Stimme wurde gespeichert.', 'de', '0', '0'),
('891', 'Ermöglicht Umfragen zu verschiedenen Themen in Form von Multiple-Choice-Fragen zu erstellen.', 'de', '0', '0'),
('892', 'Linkfarbe', 'de', '0', '0'),
('894', 'Fidschi', 'de', '0', '0'),
('914', 'Menüeinstellungen', 'de', '0', '0'),
('920', 'Farbschema', 'de', '0', '0'),
('927', '@type: %title wurde gelöscht.', 'de', '0', '0'),
('928', 'Details', 'de', '0', '0'),
('929', 'Der Benutzername %name wurde nicht aktiviert oder ist gesperrt.', 'de', '0', '0'),
('930', 'Anmeldung für %user fehlgeschlagen.', 'de', '0', '0'),
('931', 'Version von %title vom %date', 'de', '0', '0'),
('932', 'Themes', 'de', '0', '0'),
('936', 'JPEG-Qualität', 'de', '0', '0'),
('937', '%', 'de', '0', '0'),
('940', 'Kommentare löschen', 'de', '0', '0'),
('941', 'Nicht veröffentlicht', 'de', '0', '0'),
('944', 'Veröffentlichte Kommentare', 'de', '0', '0'),
('947', 'Das Feld „!name” ist erforderlich.', 'de', '0', '0'),
('948', 'Geschützt', 'de', '0', '0'),
('949', 'Einstellungen für Kommentare', 'de', '0', '0'),
('950', 'Zugriffe', 'de', '0', '0'),
('951', 'nicht am Anfang von Listen', 'de', '0', '0'),
('952', 'am Anfang von Listen', 'de', '0', '0'),
('953', 'nicht auf der Startseite', 'de', '0', '0'),
('954', 'Auf der Startseite', 'de', '0', '0'),
('955', 'Standardeinstellungen', 'de', '0', '0'),
('957', 'Kontakt-Einstellungen', 'de', '0', '0'),
('958', 'Passwort zurücksetzen', 'de', '0', '0'),
('959', 'Deaktivieren', 'de', '0', '0'),
('961', 'Temporäres Verzeichnis', 'de', '0', '0'),
('962', 'Datum', 'de', '0', '0'),
('963', 'Fehler beim Hochladen der Datei. Die hochgeladene Datei konnte nicht verschoben werden.', 'de', '0', '0'),
('966', 'Das angegebene Datum ist ungültig.', 'de', '0', '0'),
('971', 'Slogan', 'de', '0', '0'),
('976', 'Die Bezeichnung für nicht angemeldete Benutzer.', 'de', '0', '0'),
('984', 'Zur ersten Seite', 'de', '0', '0'),
('985', 'Zur letzten Seite', 'de', '0', '0'),
('986', 'Gehe zu Seite @number', 'de', '0', '0'),
('989', 'Geben Sie die Begriffe ein, nach denen Sie suchen.', 'de', '0', '0'),
('990', 'Unterstrichen', 'de', '0', '0'),
('995', 'Rolle löschen', 'de', '0', '0'),
('1002', 'Englischer Name', 'de', '0', '0'),
('1004', 'Blockbeschreibung', 'de', '0', '0'),
('1006', 'Formularname', 'de', '0', '0'),
('1007', 'Der Titel des neuen Feldes. Der Titel wird dem Nutzer gezeigt. Ein Beispieltitel ist „Lieblingsfarbe“.', 'de', '0', '0'),
('1008', 'Eine optionale Erklärung für das neue Feld. Die Erklärung wird dem Benutzer angezeigt.', 'de', '0', '0'),
('1011', 'Feld speichern', 'de', '0', '0'),
('1022', 'Blöcke', 'de', '0', '0'),
('1023', 'Die Blockinhalte konfigurieren, die in den Seitenleisten der Website und anderen Bereichen angezeigt werden.', 'de', '0', '0'),
('1024', 'Block löschen', 'de', '0', '0'),
('1026', 'Blöcke speichern', 'de', '0', '0'),
('1027', 'Die Blockeinstellungen wurden gespeichert.', 'de', '0', '0'),
('1031', '‚%name‘-Block', 'de', '0', '0'),
('1037', 'Individuellen Benutzern erlauben, die Sichtbarkeit dieses Blocks in dessen Kontoeinstellungen zu ändern.', 'de', '0', '0'),
('1038', 'Diesen Block nur für bestimmte Rollen anzeigen', 'de', '0', '0'),
('1039', 'Diesen Block nur für die ausgewählten Rollen anzeigen. Wenn keine Rollen gewählt werden, ist der Block für alle Benutzer sichtbar.', 'de', '0', '0'),
('1042', 'Diesen Block nur auf den aufgelisteten Seiten anzeigen', 'de', '0', '0'),
('1043', 'Block speichern', 'de', '0', '0'),
('1045', 'Die Einstellungen des Blocks wurden gespeichert.', 'de', '0', '0'),
('1046', 'Der neue Block wurde erstellt.', 'de', '0', '0'),
('1048', 'Blockinhalt', 'de', '0', '0'),
('1049', 'Der Inhalt des Blocks, wie er dem Benutzer angezeigt wird.', 'de', '0', '0'),
('1059', 'Menüs', 'de', '0', '0'),
('1073', 'Eventuelle Anpassungen werden verloren gehen. Dieser Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('1079', 'Ermöglicht Administratoren, das Navigationssystem zu bearbeiten.', 'de', '0', '0'),
('1081', 'Vokabular hinzufügen', 'de', '0', '0'),
('1083', 'Vokabular bearbeiten', 'de', '0', '0'),
('1093', 'Das neue Vokabular %name wurde erstellt.', 'de', '0', '0'),
('1094', 'Das Vokabular %name wurde aktualisiert.', 'de', '0', '0'),
('1095', 'Möchten Sie das Vokabular %title wirklich löschen?', 'de', '0', '0'),
('1096', 'Beim Löschen eines Vokabulars werden alle zugehörigen Begriffe gelöscht. Dieser Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('1097', 'Das Vokabular %name wurde gelöscht.', 'de', '0', '0'),
('1108', 'Standard-Zeitzone', 'de', '0', '0'),
('1110', 'Feld hinzufügen', 'de', '0', '0'),
('1115', 'Berechtigung', 'de', '0', '0'),
('1116', '@module-Modul', 'de', '0', '0'),
('1117', 'Mein Weblog', 'de', '0', '0'),
('1123', 'Gastkommentare', 'de', '0', '0'),
('1124', 'Gäste können ihre Kontaktinformationen nicht angeben', 'de', '0', '0'),
('1125', 'Gäste dürfen ihre Kontaktinformationen angeben', 'de', '0', '0'),
('1126', 'Gäste müssen ihre Kontakt-Informationen angeben', 'de', '0', '0'),
('1132', 'Der Inhalt dieses Feldes wird nicht öffentlich zugänglich angezeigt.', 'de', '0', '0'),
('1133', 'Die Signatur wird am Ende des Kommentars angezeigt.', 'de', '0', '0'),
('1140', 'Datum - Neueste zuerst', 'de', '0', '0'),
('1141', 'Datum - Älteste zuerst', 'de', '0', '0'),
('1142', '1 Kommentar', 'de', '0', '0'),
('1143', '@count Kommentare', 'de', '1142', '1'),
('1145', 'Ein neuer Kommentar', 'de', '0', '0'),
('1146', '@count neue Kommentare', 'de', '1145', '1'),
('1151', 'Inhaltstyp speichern', 'de', '0', '0'),
('1152', 'Beschreibungen anzeigen', 'de', '0', '0'),
('1153', 'Untertitel', 'de', '0', '0'),
('1154', 'Sprachkürzel', 'de', '0', '0'),
('1155', 'Rolle speichern', 'de', '0', '0'),
('1156', 'Dateisystem', 'de', '0', '0'),
('1160', 'Anzahl der angezeigten Benutzer', 'de', '0', '0'),
('1161', 'RSS - !title', 'de', '0', '0'),
('1162', 'Profile', 'de', '0', '0'),
('1163', 'Ordner bearbeiten', 'de', '0', '0'),
('1164', 'Letzter Besuch', 'de', '0', '0'),
('1167', 'Grenzwert für „Wichtige Beiträge“', 'de', '0', '0'),
('1169', 'Beiträge pro Seite', 'de', '0', '0'),
('1171', 'Beiträge - Aktivste zuerst', 'de', '0', '0'),
('1172', 'Beiträge - weniger Aktive zuerst', 'de', '0', '0'),
('1173', 'URL-Alias-Einstellungen', 'de', '0', '0'),
('1174', 'Sie müssen mindestens ein gültiges Schlüsselwort mit @count Buchstaben oder mehr angeben.', 'de', '4854', '1'),
('1175', 'Bild des Benutzers @user', 'de', '0', '0'),
('1176', 'Soll wirklich zur Version vom %revision-date zurückgekehrt werden?', 'de', '0', '0'),
('1177', 'Möchten Sie die Version vom %revision-date wirklich löschen?', 'de', '0', '0'),
('1179', 'KB', 'de', '0', '0'),
('1181', 'Neue Forenthemen', 'de', '0', '0'),
('1182', '@type: Die Version %revision von %title wurde gelöscht.', 'de', '0', '0'),
('1183', 'Seite wurde nicht gefunden', 'de', '0', '0'),
('1187', 'Vorschau der gekürzten Fassung', 'de', '0', '0'),
('1188', 'Vorschau der vollständigen Fassung', 'de', '0', '0'),
('1192', 'Der Name %name ist leider schon vergeben.', 'de', '0', '0'),
('1193', '« erste Seite', 'de', '0', '0'),
('1194', 'letzte Seite »', 'de', '0', '0'),
('1195', 'Das Verzeichnis %directory ist nicht vorhanden.', 'de', '0', '0'),
('1198', 'Umsortieren', 'de', '0', '0'),
('1200', 'Nur Elemente zeigen mit', 'de', '0', '0'),
('1201', 'Keine Kommentare verfügbar.', 'de', '0', '0'),
('1205', 'Berechtigungen neu aufbauen', 'de', '0', '0'),
('1206', '@type: %title wurde aktualisiert.', 'de', '0', '0'),
('1207', '@type: %title wurde hinzugefügt.', 'de', '0', '0'),
('1208', 'Rolle hinzufügen', 'de', '0', '0'),
('1209', 'Ein gültiger Rollenname muss angegeben werden.', 'de', '0', '0'),
('1210', 'Die Rolle wurde hinzugefügt.', 'de', '0', '0'),
('1211', 'Pfad zum eigenen Logo', 'de', '0', '0'),
('1212', 'Taxonomie', 'de', '0', '0'),
('1213', 'Der Begriff %term wurde aktualisiert.', 'de', '0', '0'),
('1214', '- Bitte auswählen -', 'de', '0', '0'),
('1215', '- Keine ausgewählt -', 'de', '0', '0'),
('1216', 'Aggregator', 'de', '0', '0'),
('1217', 'Der Feed von %site scheint fehlerhaft zu sein. Es ist folgender Fehler aufgetreten: %error.', 'de', '0', '0'),
('1218', 'Es ist kein neuer Inhalt von %site vorhanden.', 'de', '0', '0'),
('1219', 'Es ist neuer Inhalt von %site vorhanden.', 'de', '0', '0'),
('1220', 'Der Feed von %site scheint fehlerhaft zu sein. Es ist folgender Fehler aufgetreten: %error.', 'de', '0', '0'),
('1221', 'Sammelt Inhalte anderer Websites (RSS-, RDF- und Atom-Feeds).', 'de', '0', '0'),
('1222', 'Alias', 'de', '0', '0'),
('1223', 'Kontoeinstellungen', 'de', '0', '0'),
('1224', 'Der Inhaltstyp %name wurde gelöscht.', 'de', '0', '0'),
('1225', 'Inhaltstyp %name gelöscht.', 'de', '0', '0'),
('1226', 'Zu suchende Schlüsselwörter', 'de', '0', '0'),
('1227', 'Lesbare URLs', 'de', '0', '0'),
('1228', 'Mein Konto', 'de', '0', '0'),
('1230', 'Anzahl der Themen', 'de', '0', '0'),
('1231', 'Aktive Forenthemen', 'de', '0', '0'),
('1232', 'Neueste Beiträge im Forum lesen.', 'de', '0', '0'),
('1233', 'Benutzeraktivität', 'de', '0', '0'),
('1236', 'Die Kategorie zu der dieses neue Feld gehören soll. Kategorien werden benutzt um Felder logisch zu gruppieren. Eine Beispielkategorie ist „Persönliche Information“.', 'de', '0', '0'),
('1237', 'Der Benutzer muss einen Wert eingeben.', 'de', '0', '0'),
('1238', 'Während der Benutzeranmeldung sichtbar.', 'de', '0', '0'),
('1239', 'Ein Benutzer gilt für diesen Zeitraum als „online“, nachdem er das letzte Mal eine Seite betrachtet hat.', 'de', '0', '0'),
('1240', 'Beeinflusst den „Wer ist online“-Block und bestimmt, wie viele aktive Benutzer höchstens angezeigt werden.', 'de', '0', '0'),
('1246', 'Buch-Navigation', 'de', '0', '0'),
('1247', '!a Kommentare pro Seite', 'de', '0', '0'),
('1248', '1 Jahr', 'de', '0', '0'),
('1249', '@count Jahre', 'de', '1248', '1'),
('1251', '1 Woche', 'de', '0', '0'),
('1252', '@count Wochen', 'de', '1251', '1'),
('1254', '1 Minute', 'de', '0', '0'),
('1255', '@count Minuten', 'de', '1254', '1'),
('1257', '1 Sekunde', 'de', '0', '0'),
('1258', '@count Sekunden', 'de', '1257', '1'),
('1260', 'Bulgarisch', 'de', '0', '0'),
('1261', 'Kroatisch', 'de', '0', '0'),
('1262', 'Tschechisch', 'de', '0', '0'),
('1263', 'Dänisch', 'de', '0', '0'),
('1264', 'Niederländisch', 'de', '0', '0'),
('1265', 'Finnisch', 'de', '0', '0'),
('1266', 'Deutsch', 'de', '0', '0'),
('1267', 'Griechisch', 'de', '0', '0'),
('1268', 'Hebräisch', 'de', '0', '0'),
('1269', 'Ungarisch', 'de', '0', '0'),
('1270', 'Indonesisch', 'de', '0', '0'),
('1271', 'Polnisch', 'de', '0', '0'),
('1272', 'Rumänisch', 'de', '0', '0'),
('1273', 'Russisch', 'de', '0', '0'),
('1274', 'Slowakisch', 'de', '0', '0'),
('1275', 'Schwedisch', 'de', '0', '0'),
('1276', 'Türkisch', 'de', '0', '0'),
('1281', 'Die Datei konnte nicht erstellt werden.', 'de', '0', '0'),
('1282', 'Ein neues Passwort für %name wurde an %email versendet.', 'de', '0', '0'),
('1286', 'Die E-Mail-Adresse %mail ist ungültig.', 'de', '0', '0'),
('1288', 'Authentifizierter Benutzer', 'de', '0', '0'),
('1293', 'Feldeinstellungen', 'de', '0', '0'),
('1304', 'Forum bearbeiten', 'de', '0', '0'),
('1305', 'Standard-Reihenfolge', 'de', '0', '0'),
('1307', 'Dies ist das Vokabular des Forums. Einige der üblichen Vokabularoptionen sind hier nicht verfügbar.', 'de', '0', '0'),
('1311', 'Alias belassen', 'de', '0', '0'),
('1312', 'Wenn dieses Thema verschoben wird, bleibt ein Link auf den neuen Standort.', 'de', '0', '0'),
('1313', 'Ordnername', 'de', '0', '0'),
('1317', 'Forenordner', 'de', '0', '0'),
('1318', 'Neuer @type %term wurde erstellt.', 'de', '0', '0'),
('1319', 'Der @type %term wurde aktualisiert.', 'de', '0', '0'),
('1328', 'Neues Feld hinzufügen', 'de', '0', '0'),
('1331', 'Beinhaltet eines der Wörter', 'de', '0', '0'),
('1332', 'Beinhaltet den Satz', 'de', '0', '0'),
('1333', 'Beinhaltet keines der Wörter', 'de', '0', '0'),
('1335', 'Nur vom Typ/von den Typen', 'de', '0', '0'),
('1336', 'Inhaltsreihenfolge', 'de', '0', '0'),
('1338', 'Wichtigkeit von Schlagwörtern', 'de', '0', '0'),
('1339', 'Neueste Beiträge', 'de', '0', '0'),
('1340', 'Anzahl der Kommentare', 'de', '0', '0'),
('1341', 'Anzahl der Seitenabrufe', 'de', '0', '0'),
('1342', 'Faktor', 'de', '0', '0'),
('1343', 'Beschreibungen ausblenden', 'de', '0', '0'),
('1349', 'Farbauswahl', 'de', '0', '0'),
('1351', 'Datenbankhost', 'de', '0', '0'),
('1352', 'Maximale Länge des Link-Texts', 'de', '0', '0'),
('1353', 'Zu lange URLs werden bei dieser Anzahl an Zeichen abgeschnitten, um die Formatierung nicht durch zu lange Zeichenketten zu zerstören. Der Link selbst bleibt erhalten; nur der Linktext wird abgeschnitten.', 'de', '0', '0'),
('1355', 'Standard-Benutzerbild', 'de', '0', '0'),
('1356', 'Adresse des Benutzerbildes, das angezeigt wird, wenn der Benutzer kein eigenes Benutzerbild ausgewählt hat. Wenn keine Adresse angegeben wird, erscheint kein Bild.', 'de', '0', '0'),
('1359', 'Anzeige ein-/ausschalten', 'de', '0', '0'),
('1360', 'Falls kein direkter Dateizugriff auf den Server besteht, kann dieses Feld zum Hochladen eines eigenen Logos verwendet werden.', 'de', '0', '0'),
('1362', 'Konfigurationsdatei', 'de', '0', '0'),
('1363', '%percentage der Website wurden bisher indiziert.', 'de', '0', '0'),
('1365', 'Webserver', 'de', '0', '0'),
('1367', 'Es muss noch ein Element indexiert werden.', 'de', '0', '0'),
('1368', 'Es müssen noch @count Elemente indexiert werden.', 'de', '1367', '1'),
('1370', 'Nach @s sortieren', 'de', '0', '0'),
('1371', 'Der Benutzername oder das Passwort wurden nicht akzeptiert. <a href="@password">Haben Sie Ihr Passwort vergessen?</a>', 'de', '0', '0'),
('1372', 'und', 'de', '0', '0'),
('1376', '1 Aufruf', 'de', '0', '0'),
('1377', '@count Aufrufe', 'de', '1376', '1'),
('1383', 'Ermöglicht die Kategorisierung von Inhalten.', 'de', '0', '0'),
('1385', 'Kontakt löschen', 'de', '0', '0'),
('1387', 'Automatische Antwort', 'de', '0', '0'),
('1388', 'Optionale automatische Antwort. Wenn das Feld leer ist, wird dem Benutzer keine automatische Antwort geschickt.', 'de', '0', '0'),
('1389', '%recipient ist keine gültige E-Mail-Adresse.', 'de', '0', '0'),
('1395', 'Litauisch', 'de', '0', '0'),
('1401', 'Benötigte Module müssen aktiviert werden.', 'de', '0', '0'),
('1406', 'Der Import der Übersetzung ist fehlgeschlagen: Datei %filename konnte nicht gelesen werden.', 'de', '0', '0'),
('1407', 'Die Übersetzungsdatei %filename ist fehlerhaft: "msgstr" in Zeile %line erwartet, aber nicht gefunden.', 'de', '0', '0'),
('1408', 'Die Übersetzungsdatei %filename ist fehlerhaft: „msgid_plural“ in Zeile %line erwartet, aber nicht gefunden.', 'de', '0', '0'),
('1409', 'Die Übersetzungsdatei %filename ist fehlerhaft: Syntaxfehler in Zeile %line.', 'de', '0', '0'),
('1410', 'Die Übersetzungsdatei %filename“ ist fehlerhaft: Unerwartetes „msgid“ in Zeile %line.', 'de', '0', '0'),
('1411', 'Die Übersetzungsdatei %filename ist fehlerhaft: Unerwartetes „msgstr[]“ in Zeile %line.', 'de', '0', '0'),
('1412', 'Die Übersetzungsdatei %filename ist fehlerhaft: Unerwartetes „msgstr“ in Zeile %line.', 'de', '0', '0'),
('1413', 'Die Übersetzungsdatei %filename ist fehlerhaft: Unerwartete Zeichenkette in Zeile %line.', 'de', '0', '0'),
('1414', 'Die Übersetzungsdatei %filename endete unerwartet in Zeile %line.', 'de', '0', '0'),
('1415', 'Übersetzungen speichern', 'de', '0', '0'),
('1416', 'Vorlage exportieren', 'de', '0', '0'),
('1417', 'Gast', 'de', '0', '0'),
('1419', 'Berechtigungen speichern', 'de', '0', '0'),
('1422', 'Originaltext', 'de', '0', '0'),
('1423', 'Inhaltstyp löschen', 'de', '0', '0'),
('1424', 'Berechtigungen bearbeiten', 'de', '0', '0'),
('1425', 'Mitteilung', 'de', '0', '0'),
('1427', 'Benutzerkonto', 'de', '0', '0'),
('1428', 'Dateidownload', 'de', '0', '0'),
('1429', 'Akronym', 'de', '0', '0'),
('1430', 'Das Hochladen des Bildes ist fehlgeschlagen; das Verzeichnis %directory ist nicht vorhanden oder nicht beschreibbar.', 'de', '0', '0'),
('1432', 'Das Feld wurde aktualisiert.', 'de', '0', '0'),
('1470', 'Benutzerrollen auflisten, hinzufügen oder bearbeiten.', 'de', '0', '0'),
('1471', 'Rolle bearbeiten', 'de', '0', '0'),
('1477', 'Das Passwortfeld muss ausgefüllt werden.', 'de', '0', '0'),
('1478', 'Passwort bestätigen', 'de', '0', '0'),
('1481', 'Verwaltungstheme', 'de', '0', '0'),
('1486', 'Afar', 'de', '0', '0'),
('1487', 'Somali', 'de', '0', '0'),
('1488', 'Komi', 'de', '0', '0'),
('1489', 'Cron ausführen', 'de', '0', '0'),
('1490', 'Sicherheitswarnung: Die Datei .htaccess konnte nicht erstellt werden. Bitte erstellen Sie im Verzeichnis %directory eine .htaccess Datei mit folgendem Inhalt: <code>!htaccess</code>', 'de', '0', '0'),
('1491', 'Die Datei %file konnte nicht gespeichert werden, da sie nicht vollständig hochgeladen wurde.', 'de', '0', '0'),
('1492', 'Die Datei %file konnte nicht gespeichert werden. Ein unbekannter Fehler ist aufgetreten.', 'de', '0', '0'),
('1493', 'Zum Inhaltsverzeichnis hinzufügen', 'de', '0', '0'),
('1496', 'Datenbankport', 'de', '0', '0'),
('1497', 'Seite neu indizieren', 'de', '0', '0'),
('1499', 'Soll die Seite wirklich neu indiziert werden?', 'de', '0', '0'),
('1500', 'Diese Optionen sind nur für einige Websites nötig. Wenn Sie nicht wissen, was Sie hier eintragen sollen, behalten Sie die Standardeinstellungen bei oder wenden Sie sich an Ihren Webhosting-Anbieter.', 'de', '0', '0'),
('1501', 'Wenn die Datenbank auf einem anderen Server läuft, muss die Serveradresse hier eingegeben werden.', 'de', '0', '0'),
('1502', 'Wenn der Datenbank-Server auf einem Nicht-Standard-Port läuft, muss der richtige Port hier eingegeben werden.', 'de', '0', '0'),
('1503', 'Der Datenbank-Port muss eine Zahl sein.', 'de', '0', '0'),
('1505', 'Ermöglicht das Verbergen oder Anzeigen bestimmter Seitenelemente.', 'de', '0', '0'),
('1508', 'Es wurde eine nicht erlaubte Auswahl entdeckt. Wenden Sie sich bitte an den Administrator der Website.', 'de', '0', '0'),
('1509', 'Unzulässige Auswahl %choice im Element !name.', 'de', '0', '0'),
('1510', 'Statusbericht', 'de', '0', '0'),
('1511', 'Nicht beschreibbar', 'de', '0', '0'),
('1515', 'Benutzer über neues Konto benachrichtigen', 'de', '0', '0'),
('1517', 'Pfad zum eigenen Icon', 'de', '0', '0'),
('1535', 'Sie sind nicht berechtigt, Kommentare einzutragen.', 'de', '0', '0'),
('1536', 'Ihre Antwort bezieht sich auf einen Kommentar, der nicht vorhanden ist.', 'de', '0', '0'),
('1537', 'Die Diskussion wurde geschlossen: Das Eintragen von Kommentaren ist leider nicht mehr möglich.', 'de', '0', '0'),
('1538', 'Sie sind nicht berechtigt, Kommentare zu lesen.', 'de', '0', '0'),
('1543', 'Möchten Sie den Kommentar %title wirklich löschen?', 'de', '0', '0'),
('1544', 'Alle Antworten auf diesen Kommentar werden gelöscht. Dieser Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('1545', 'Ausgewählte Kommentare veröffentlichen', 'de', '0', '0'),
('1546', 'Veröffentlichung der ausgewählten Kommentare zurücknehmen', 'de', '0', '0'),
('1548', 'Möchten Sie diesen Kommentar und alle untergeordneten Antworten wirklich löschen?', 'de', '0', '0'),
('1549', 'Es muss ein gültiger Autor angegeben werden.', 'de', '0', '0'),
('1550', 'Der angegebene Name wird leider schon von einem registrierten Benutzer verwendet.', 'de', '0', '0'),
('1552', 'Die angegebene E-Mail-Adresse ist ungültig.', 'de', '0', '0'),
('1554', 'Die URL Ihrer Homepage ist ungültig. Beachten Sie dass sie eine komplette URL in der Form <code>http://www.example.com/verzeichnis</code> angeben müssen.', 'de', '0', '0'),
('1555', '(Kein Betreff)', 'de', '0', '0'),
('1561', 'Feed hinzufügen', 'de', '0', '0'),
('1563', 'Dateisystem', 'de', '0', '0'),
('1564', 'Weblog von @name', 'de', '0', '0'),
('1567', 'Geben Sie Ihren @s-Benutzernamen ein.', 'de', '0', '0'),
('1569', 'Alle Sprachen', 'de', '0', '0'),
('1573', 'Es wurden ein oder mehrere Probleme mit der Drupal-Installation festgestellt. Überprüfen Sie den <a href="@status">Statusbericht</a> für weitere Informationen.', 'de', '0', '0'),
('1574', 'Leider ist für das Modul %module keine Hilfe verfügbar.', 'de', '0', '0'),
('1575', '@module-Verwaltung', 'de', '0', '0'),
('1590', 'Lokalisierung', 'de', '0', '0'),
('1593', 'Sprache hinzufügen', 'de', '0', '0'),
('1594', 'Zeichenkette bearbeiten', 'de', '0', '0'),
('1595', 'Zeichenkette löschen', 'de', '0', '0'),
('1599', 'Soll die Sprache %name wirklich gelöscht werden?', 'de', '0', '0'),
('1601', 'Die Sprache %locale wurde entfernt.', 'de', '0', '0'),
('1602', 'Soll die Zeichenkette „%source“ wirklich gelöscht werden?', 'de', '0', '0'),
('1603', 'Das Löschen dieser Zeichenkette entfernt zugleich sämtliche Übersetzungen dieser Zeichenkette in allen Sprachen. Diese Aktion kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('1604', 'Lokalisierung', 'de', '0', '0'),
('1606', 'AM', 'de', '0', '0'),
('1607', 'PM', 'de', '0', '0'),
('1608', 'Die ausgewählte Bildverarbeitungs-Bibliothek %toolkit kann %function nicht richtig verarbeiten.', 'de', '0', '0'),
('1610', 'Momentan wird !item !version verwendet', 'de', '0', '0'),
('1611', 'Hindi', 'de', '0', '0'),
('1613', 'Benutzer %name hat am/um %timestamp einen Link zur einmaligen Anmeldung verwendet.', 'de', '0', '0'),
('1618', 'Benutzername oder E-Mail-Adresse', 'de', '0', '0'),
('1630', 'Auto-Vervollständigen von Benutzernamen', 'de', '0', '0'),
('1631', '0 Sek.', 'de', '0', '0'),
('1632', 'Formular', 'de', '0', '0'),
('1634', 'Nur wenn in beiden Feldern ein neues Passwort eingegeben wird, wird es geändert.', 'de', '0', '0'),
('1636', 'Sie haben versucht, einen Link zur einmaligen Anmeldung zu verwenden, der nicht mehr gültig ist. Bitte fordern Sie mit dem untenstehenden Formular einen neuen an.', 'de', '0', '0'),
('1637', 'Diese Anmeldung kann nur einmal verwendet werden.', 'de', '0', '0'),
('1639', 'Der Import der Übersetzung %filename schlug fehl.', 'de', '0', '0'),
('1640', 'Abkürzung', 'de', '0', '0'),
('1641', 'Eingefügt', 'de', '0', '0'),
('1642', 'Geben Sie das Passwort für das neue Konto in beide Felder ein.', 'de', '0', '0'),
('1651', '(@language)', 'de', '0', '0'),
('1652', 'Umfrage', 'de', '0', '0'),
('1657', 'Versuche Cron erneut auszuführen, obwohl er bereits ausgeführt wird.', 'de', '0', '0'),
('1658', 'Cron-Lauf vollständig.', 'de', '0', '0'),
('1662', 'Bereits hinzugefügte Sprachen', 'de', '0', '0'),
('1663', 'Neueste Blogeinträge', 'de', '0', '0'),
('1664', 'Neue Mitglieder', 'de', '0', '0'),
('1667', 'Sprachname', 'de', '0', '0'),
('1669', 'Kategorie bearbeiten', 'de', '0', '0'),
('1670', 'Der Inhaltstyp %name wurde aktualisiert.', 'de', '0', '0'),
('1671', 'Der Inhaltstyp %name wurde hinzugefügt.', 'de', '0', '0'),
('1672', 'Katalanisch', 'de', '0', '0'),
('1674', 'Kontaktformular', 'de', '0', '0'),
('1680', 'Datenbankkonfiguration', 'de', '0', '0'),
('1683', 'Der Typ der Datenbank, in der die @drupal-Daten gespeichert werden.', 'de', '0', '0'),
('1684', 'Der Name der Datenbank, in der die @drupal-Daten gespeichert werden. Die Datenbank muss auf dem Server vorhanden sein, bevor @drupal installiert werden kann.', 'de', '0', '0'),
('1687', 'Wählen Sie ein Installationsprofil aus', 'de', '0', '0'),
('1688', '(integriert)', 'de', '0', '0'),
('1689', 'Keine Profile verfügbar', 'de', '0', '0'),
('1691', 'Drupal ist bereits installiert', 'de', '0', '0'),
('1692', '@drupal-Installation fertiggestellt', 'de', '0', '0'),
('1698', 'Der Cron-Lauf hat das Zeitlimit überschritten und wurde abgebrochen.', 'de', '0', '0'),
('1699', '1 Byte', 'de', '0', '0'),
('1700', '@count Bytes', 'de', '1699', '1'),
('1709', '!name darf nicht länger als %max Zeichen sein, ist aber momentan %length Zeichen lang.', 'de', '0', '0'),
('1710', 'Unzulässige Auswahl %choice im Element %name.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('1711', 'Legt die Bildqualität für JPEG-Bilder fest. Sie kann Werte von 0 bis 100 annehmen, wobei größere Werte bessere Bildqualität, aber größere Dateien bedeuten.', 'de', '0', '0'),
('1716', 'Benutzerdefinierte Sprache', 'de', '0', '0'),
('1717', 'Benutzerdefinierte Sprache hinzufügen', 'de', '0', '0'),
('1718', 'Der englische Name der Sprache', 'de', '0', '0'),
('1719', 'Die Sprache %language (%code) ist bereits vorhanden.', 'de', '0', '0'),
('1720', 'Ungültiger Sprachcode.', 'de', '0', '0'),
('1721', 'Leer lassen, um alle Zeichenketten anzuzeigen. Die Suche berücksichtigt Groß- und Kleinschreibung.', 'de', '0', '0'),
('1722', 'Englisch (in Drupal integriert)', 'de', '0', '0'),
('1723', 'Suchen in', 'de', '0', '0'),
('1724', 'Nur übersetzte Zeichenketten', 'de', '0', '0'),
('1725', 'Nur nicht übersetzte Zeichenketten', 'de', '0', '0'),
('1726', 'Noch nicht hinzugefügte Sprachen', 'de', '0', '0'),
('1727', 'Übersetzung importieren', 'de', '0', '0'),
('1728', 'Importieren in', 'de', '0', '0'),
('1731', 'Übersetzung exportieren', 'de', '0', '0'),
('1732', 'Zeichenkette nicht gefunden.', 'de', '0', '0'),
('1733', 'Die Zeichenkette wurde gespeichert.', 'de', '0', '0'),
('1734', 'Die Zeichenkette wurde entfernt.', 'de', '0', '0'),
('1735', 'Die ausgewählte Sprache wird nicht für den Import unterstützt.', 'de', '0', '0'),
('1736', 'Die Übersetzungsdatei %filename scheint keinen oder einen ungültigen Dateikopf zu haben.', 'de', '0', '0'),
('1738', 'Exportierte %locale in Übersetzungsdatei: %filename.', 'de', '0', '0'),
('1739', 'Übersetzungsdatei exportiert: %filename.', 'de', '0', '0'),
('1740', 'Abchasisch', 'de', '0', '0'),
('1741', 'Avestisch', 'de', '0', '0'),
('1742', 'Afrikaans', 'de', '0', '0'),
('1743', 'Akan', 'de', '0', '0'),
('1744', 'Amharisch', 'de', '0', '0'),
('1745', 'Assami', 'de', '0', '0'),
('1746', 'Avar', 'de', '0', '0'),
('1747', 'Aymara', 'de', '0', '0'),
('1748', 'Aserbaidschanisch', 'de', '0', '0'),
('1749', 'Baschkirisch', 'de', '0', '0'),
('1750', 'Weißrussisch', 'de', '0', '0'),
('1751', 'Bihari', 'de', '0', '0'),
('1752', 'Bislama', 'de', '0', '0'),
('1753', 'Bambara', 'de', '0', '0'),
('1754', 'Bengali', 'de', '0', '0'),
('1755', 'Tibetanisch', 'de', '0', '0'),
('1756', 'Bretonisch', 'de', '0', '0'),
('1757', 'Bosnisch', 'de', '0', '0'),
('1758', 'Tschetschenisch', 'de', '0', '0'),
('1759', 'Chamorro', 'de', '0', '0'),
('1760', 'Korsisch', 'de', '0', '0'),
('1761', 'Cree', 'de', '0', '0'),
('1762', 'Altkirchenslawisch', 'de', '0', '0'),
('1763', 'Tschuwaschisch', 'de', '0', '0'),
('1764', 'Walisisch', 'de', '0', '0'),
('1765', 'Maledivisch', 'de', '0', '0'),
('1766', 'Bhutanisch', 'de', '0', '0'),
('1767', 'Ewe', 'de', '0', '0'),
('1768', 'Esperanto', 'de', '0', '0'),
('1769', 'Estnisch', 'de', '0', '0'),
('1770', 'Baskisch', 'de', '0', '0'),
('1771', 'Persisch', 'de', '0', '0'),
('1772', 'Ful', 'de', '0', '0'),
('1773', 'Färöisch', 'de', '0', '0'),
('1774', 'Frisisch', 'de', '0', '0'),
('1775', 'Irisch', 'de', '0', '0'),
('1776', 'Schottisch-Gälisch', 'de', '0', '0'),
('1777', 'Galicisch', 'de', '0', '0'),
('1778', 'Guarani', 'de', '0', '0'),
('1779', 'Gudscharati', 'de', '0', '0'),
('1780', 'Manx', 'de', '0', '0'),
('1781', 'Hausa', 'de', '0', '0'),
('1782', 'Hiri-Motu', 'de', '0', '0'),
('1783', 'Armenisch', 'de', '0', '0'),
('1784', 'Herero', 'de', '0', '0'),
('1785', 'Interlingua', 'de', '0', '0'),
('1786', 'Interlingua', 'de', '0', '0'),
('1787', 'Igbo', 'de', '0', '0'),
('1788', 'Inupiaq', 'de', '0', '0'),
('1789', 'Isländisch', 'de', '0', '0'),
('1790', 'Inuktitut', 'de', '0', '0'),
('1791', 'Javanisch', 'de', '0', '0'),
('1792', 'Georgisch', 'de', '0', '0'),
('1793', 'Kongo', 'de', '0', '0'),
('1794', 'Kikuyu', 'de', '0', '0'),
('1795', 'Kwanyama', 'de', '0', '0'),
('1796', 'Kasachisch', 'de', '0', '0'),
('1797', 'Grönländisch', 'de', '0', '0'),
('1798', 'Khmer', 'de', '0', '0'),
('1799', 'Kanaresisch', 'de', '0', '0'),
('1800', 'Kanuri', 'de', '0', '0'),
('1801', 'Kaschmiri', 'de', '0', '0'),
('1802', 'Kurdisch', 'de', '0', '0'),
('1803', 'Kornisch', 'de', '0', '0'),
('1805', 'Lateinisch', 'de', '0', '0'),
('1806', 'Luxemburgisch', 'de', '0', '0'),
('1807', 'Luganda', 'de', '0', '0'),
('1808', 'Lingala', 'de', '0', '0'),
('1809', 'Laotisch', 'de', '0', '0'),
('1810', 'Lettisch', 'de', '0', '0'),
('1811', 'Madagassisch', 'de', '0', '0'),
('1812', 'Marshallisch', 'de', '0', '0'),
('1814', 'Mazedonisch', 'de', '0', '0'),
('1815', 'Malayalam', 'de', '0', '0'),
('1816', 'Mongolisch', 'de', '0', '0'),
('1817', 'Moldawisch', 'de', '0', '0'),
('1818', 'Marathi', 'de', '0', '0'),
('1819', 'Malaiisch', 'de', '0', '0'),
('1820', 'Maltesisch', 'de', '0', '0'),
('1821', 'Burmesisch', 'de', '0', '0'),
('1822', 'Nord-Ndebele', 'de', '0', '0'),
('1823', 'Nepalesisch', 'de', '0', '0'),
('1824', 'Ndonga', 'de', '0', '0'),
('1825', 'Norwegisch (Bokmål)', 'de', '0', '0'),
('1826', 'Norwegisch (Nynorsk)', 'de', '0', '0'),
('1827', 'Süd-Ndebele', 'de', '0', '0'),
('1828', 'Chichewa', 'de', '0', '0'),
('1829', 'Okzitanisch', 'de', '0', '0'),
('1830', 'Oromo', 'de', '0', '0'),
('1831', 'Oriya', 'de', '0', '0'),
('1832', 'Ossetisch', 'de', '0', '0'),
('1833', 'Punjabi', 'de', '0', '0'),
('1834', 'Pali', 'de', '0', '0'),
('1835', 'Afghanisch', 'de', '0', '0'),
('1836', 'Portugiesisch, Portugal', 'de', '0', '0'),
('1837', 'Portugiesisch, Brasilien', 'de', '0', '0'),
('1838', 'Quechua', 'de', '0', '0'),
('1839', 'Rätoromanisch', 'de', '0', '0'),
('1840', 'Kirundi', 'de', '0', '0'),
('1841', 'Kinyarwanda', 'de', '0', '0'),
('1842', 'Sanskrit', 'de', '0', '0'),
('1843', 'Sardisch', 'de', '0', '0'),
('1844', 'Sindhi', 'de', '0', '0'),
('1845', 'Nord-Samisch', 'de', '0', '0'),
('1846', 'Sangho', 'de', '0', '0'),
('1847', 'Serbokroatisch', 'de', '0', '0'),
('1848', 'Slowenisch', 'de', '0', '0'),
('1849', 'Samoanisch', 'de', '0', '0'),
('1850', 'Shona', 'de', '0', '0'),
('1851', 'Albanisch', 'de', '0', '0'),
('1852', 'Serbisch', 'de', '0', '0'),
('1853', 'Siswati', 'de', '0', '0'),
('1854', 'Sesotho', 'de', '0', '0'),
('1855', 'Sudanesisch', 'de', '0', '0'),
('1856', 'Suaheli', 'de', '0', '0'),
('1857', 'Tamilisch', 'de', '0', '0'),
('1858', 'Telugu', 'de', '0', '0'),
('1859', 'Tadschikisch', 'de', '0', '0'),
('1860', 'Thailändisch', 'de', '0', '0'),
('1861', 'Tigrinya', 'de', '0', '0'),
('1862', 'Turkmenisch', 'de', '0', '0'),
('1863', 'Tagalog', 'de', '0', '0'),
('1864', 'Setswana', 'de', '0', '0'),
('1865', 'Xitsonga', 'de', '0', '0'),
('1866', 'Tatarisch', 'de', '0', '0'),
('1867', 'Twi', 'de', '0', '0'),
('1868', 'Tahitianisch', 'de', '0', '0'),
('1870', 'Ukrainisch', 'de', '0', '0'),
('1871', 'Urdu', 'de', '0', '0'),
('1872', 'Usbekisch', 'de', '0', '0'),
('1873', 'Venda', 'de', '0', '0'),
('1874', 'Vietnamesisch', 'de', '0', '0'),
('1875', 'Wolof', 'de', '0', '0'),
('1876', 'Xhosa', 'de', '0', '0'),
('1877', 'Jiddisch', 'de', '0', '0'),
('1878', 'Yoruba', 'de', '0', '0'),
('1879', 'Zhuang', 'de', '0', '0'),
('1880', 'Chinesisch, Vereinfacht', 'de', '0', '0'),
('1881', 'Chinesisch, Traditionell', 'de', '0', '0'),
('1882', 'Zulu', 'de', '0', '0'),
('1885', 'aufsteigend sortieren', 'de', '0', '0'),
('1886', 'absteigend sortieren', 'de', '0', '0'),
('1892', 'Veränderungen an Unicode-Zeichenketten werden so gut wie möglich nachgebildet. Installieren Sie die <a href="@url">PHP mbstring-Erweiterung</a> für bessere Unicode-Unterstützung.', 'de', '0', '0'),
('1893', 'Die Überladung der Funktionen für Mehrbyte-Zeichenketten ist aktiviert und muss deaktiviert werden. Überprüfen Sie dazu die <em>mbstring.func_overload</em>-Einstellung in der php.ini. Lesen Sie die <a href="@url">mbstring-Dokumentation von PHP</a> für nähere Informationen.', 'de', '0', '0'),
('1894', 'Die Umwandlung der Eingabe in Mehrbyte-Zeichenketten ist aktiviert und muss deaktiviert werden. Überprüfen Sie dazu die <em>mbstring.encoding_translation</em>-Einstellung in der php.ini. Lesen Sie die <a href="@url">mbstring-Dokumentation von PHP</a> für nähere Informationen.', 'de', '0', '0'),
('1895', 'Die Umwandlung der Eingabe in Mehrbyte-Zeichenketten ist aktiviert und muss deaktiviert werden. Überprüfen Sie dazu die <em>mbstring.http_input</em>-Einstellung in der php.ini. Lesen Sie die <a href="@url">mbstring-Dokumentation von PHP</a> für nähere Informationen.', 'de', '0', '0'),
('1896', 'Die Umwandlung der Ausgabe in Mehrbyte-Zeichenketten ist aktiviert und muss deaktiviert werden. Überprüfen Sie dazu die <em>mbstring.http_output</em>-Einstellung in der php.ini. Lesen Sie die <a href="@url">mbstring-Dokumentation von PHP</a> für nähere Informationen.', 'de', '0', '0'),
('1897', 'Standard-PHP', 'de', '0', '0'),
('1898', 'PHP-Erweiterung „mbstring“', 'de', '0', '0'),
('1899', 'Unicode-Bibliothek', 'de', '0', '0'),
('1900', 'Der XML-Zeichensatz %s konnte nicht in UTF-8 konvertiert werden.', 'de', '0', '0'),
('1901', 'Der Zeichensatz %s wird nicht unterstützt. Bitte installieren Sie iconv, GNU recode oder mbstring für PHP.', 'de', '0', '0'),
('1902', 'Verarbeitungsfehler. Nicht wohlgeformt', 'de', '0', '0'),
('1903', 'Verarbeitungsfehler. Anfrage nicht wohlgeformt.', 'de', '0', '0'),
('1904', 'Serverfehler. Ungültiger XML-RPC. Abfrage muss ein methodCall sein.', 'de', '0', '0'),
('1905', 'Server-Fehler. Die angeforderte Methode @methodname ist nicht definiert.', 'de', '0', '0'),
('1906', 'Serverfehler. Falsche Anzahl an Funktionsparametern.', 'de', '0', '0'),
('1907', 'Serverfehler. Ungültige Funktionsparameter.', 'de', '0', '0'),
('1908', 'Server-Fehler. Die angeforderte Funktion @method existiert nicht.', 'de', '0', '0'),
('1909', 'Ungültige Syntax für system.multicall.', 'de', '0', '0'),
('1910', 'Rekursive Aufrufe von system.multicall sind nicht erlaubt', 'de', '0', '0'),
('1911', 'Serverfehler. Die Signatur der gewünschten Methode @methodname wurde nicht angegeben.', 'de', '0', '0'),
('1912', 'Einträge kategorisieren', 'de', '0', '0'),
('1914', 'Möchten Sie wirklich alle Einträge aus dem Feed %feed entfernen?', 'de', '0', '0'),
('1916', 'Checkboxen', 'de', '0', '0'),
('1917', 'Mehrfachauswahl', 'de', '0', '0'),
('1918', 'Einstellungen für die Inhalte, die von anderen Seiten gesammelt werden sollen, wie oft diese aktualisiert, und wie sie kategorisiert werden.', 'de', '0', '0'),
('1919', 'Einträge aktualisieren', 'de', '0', '0'),
('1920', 'Feed bearbeiten', 'de', '0', '0'),
('1921', 'Neuen Blogeintrag erstellen.', 'de', '0', '0'),
('1922', 'Sie dürfen keinen neuen Blogeintrag verfassen.', 'de', '0', '0'),
('1923', 'Blogeintrag', 'de', '0', '0'),
('1924', 'Aktuelle Blogeinträge anzeigen', 'de', '0', '0'),
('1925', 'Neueste Blogeinträge lesen.', 'de', '0', '0'),
('1927', 'Buchseiten speichern', 'de', '0', '0'),
('1928', 'Buch %title aktualisiert.', 'de', '0', '0'),
('1929', 'Inhaltsverzeichnis aktualisieren', 'de', '0', '0'),
('1930', 'Aus dem Inhaltsverzeichnis entfernen', 'de', '0', '0'),
('1931', 'Das Inhaltsverzeichnis wurde aktualisiert.', 'de', '0', '0'),
('1932', 'Der Beitrag wurde aus dem Buch entfernt.', 'de', '0', '0'),
('1933', 'Druckversion dieser Buchseite und aller Unterseiten anzeigen.', 'de', '0', '0'),
('1936', 'Buchseite', 'de', '0', '0'),
('1938', 'Grundfarbe', 'de', '0', '0'),
('1939', 'Kopfbereich oben', 'de', '0', '0'),
('1940', 'Kopfbereich unten', 'de', '0', '0'),
('1941', 'PHP steht nicht genug Speicher zur Verfügung um das Farbschema dieses Themes zu ändern. Es wird mindestens %size mehr benötigt. Nähere Informationen finden sich in der <a href="@url">PHP-Dokumentation</a>.', 'de', '0', '0'),
('1944', 'Ausgewählte Kommentare löschen', 'de', '0', '0'),
('1945', 'Ermöglicht Besuchern das Kommentieren von Inhalten.', 'de', '0', '0'),
('1946', 'Beispiel: ‚Kommentare zur Website‘ oder ‚Produktinformationen‘.', 'de', '0', '0'),
('1947', 'Wenn Kategorien aufgelistet werden, erscheinen diese weiter oben, die eine geringere Gewichtung in der Reihenfolge haben. Kategorien mit gleicher Gewichtung werden alphabetisch sortiert.', 'de', '0', '0'),
('1950', 'Persönliches Kontaktformular', 'de', '0', '0'),
('1953', 'Ein allgemeines Kontaktformular erstellen und dessen Kategorien einrichten.', 'de', '0', '0'),
('1954', 'Kontaktkategorie bearbeiten', 'de', '0', '0'),
('1955', 'Ermöglicht die Benutzung von benutzerspezifischen und allgemeinen Kontaktformularen.', 'de', '0', '0'),
('1957', 'Zeigt die Ereignisse an, die zuletzt protokolliert wurden.', 'de', '0', '0'),
('1958', 'Häufigste ‚Nicht gefunden‘-Fehler', 'de', '0', '0'),
('1959', 'Eine Auflistung der Seiten, die am häufigsten ‚Nicht gefunden‘ wurden (404-Fehler).', 'de', '0', '0'),
('1960', 'Häufigste ‚Zugriff verboten‘-Fehler', 'de', '0', '0'),
('1961', 'Eine Auflistung der Seiten, auf die der Zugriff am häufigsten verboten wurde (403-Fehler).', 'de', '0', '0'),
('1963', 'Keine Rolle darf dieses Eingabeformat benutzen', 'de', '0', '0'),
('1983', 'Zulässige HTML-Tags: @tags', 'de', '0', '0'),
('1985', 'Anker werden benutzt um Links zu anderen Seiten zu erstellen.', 'de', '0', '0'),
('1986', 'Standardmäßig werden Zeilenumbrüche automatisch eingefügt. Dieses Tag wird also nur benötigt, um zusätzliche Zeilenumbrüche einzufügen. Dieses Tag benötigt, im Gegensatz zu allen anderen, kein öffnendes und schließendes Tag. Um die XHTML-Kompatibilität zu erhalten, muss <code>&lt;br /&gt; verwendet werden.', 'de', '0', '0'),
('1987', 'Text mit <br /> Zeilenumbruch', 'de', '0', '0'),
('1988', 'Standardmäßig werden Absätze automatisch eingefügt. Dieses Tag wird also nur benötigt, um zusätzliche Absätze einzufügen.', 'de', '0', '0'),
('1989', 'Absatz eins.', 'de', '0', '0'),
('1990', 'Absatz zwei.', 'de', '0', '0'),
('1991', 'Stark', 'de', '0', '0'),
('1992', 'Hervorgehoben', 'de', '0', '0'),
('1993', 'Zitat', 'de', '0', '0'),
('1994', 'Kodierter Text um Quelltexte anzuzeigen', 'de', '0', '0'),
('1995', 'Code', 'de', '0', '0'),
('1996', 'Fettgedruckt', 'de', '0', '0'),
('1997', 'Kursiv', 'de', '0', '0'),
('1998', 'Hochgestellt', 'de', '0', '0'),
('1999', '<sup>Hoch</sup>gestellt', 'de', '0', '0'),
('2000', 'Tiefgestellt', 'de', '0', '0'),
('2001', '<sub>Tief</sub>gestellt', 'de', '0', '0'),
('2002', '<abbr title="Abkürzung">Abk.</abbr>', 'de', '0', '0'),
('2003', '<acronym title="Elektronische Datenverarbeitung">EDV</acronym>', 'de', '0', '0'),
('2004', 'Blockzitat', 'de', '0', '0'),
('2005', 'Zitat', 'de', '0', '0'),
('2006', 'Tabellenkopf', 'de', '0', '0'),
('2007', 'Tabellenzelle', 'de', '0', '0'),
('2008', 'Geordnete Liste – &lt;li&gt; verwenden, um mit ein Listeneintrag zu beginnen', 'de', '0', '0'),
('2009', 'Erster Eintrag', 'de', '0', '0'),
('2010', 'Zweiter Eintrag', 'de', '0', '0'),
('2011', 'Ungeordnete Liste – &lt;li&gt; verwenden, um mit ein Listeneintrag zu beginnen', 'de', '0', '0'),
('2012', 'Definitionslisten sind ähnlich zu anderen HTML-Listen. <code>&lt;dl&gt;</code> leitet die Definitionsliste ein, <code>&lt;dt&gt;</code> enthält den zu definierenden Begriff und <code>&lt;dd&gt;</code> enthält die Definitionsbeschreibung.', 'de', '0', '0'),
('2013', 'Erste Bedingung', 'de', '0', '0'),
('2014', 'Erste Definition', 'de', '0', '0'),
('2015', 'Zweiter Begriff', 'de', '0', '0'),
('2016', 'Zweite Definition', 'de', '0', '0'),
('2017', 'Untertitel drei', 'de', '0', '0'),
('2018', 'Untertitel vier', 'de', '0', '0'),
('2019', 'Untertitel fünf', 'de', '0', '0'),
('2020', 'Untertitel sechs', 'de', '0', '0'),
('2021', 'Tag-Beschreibung', 'de', '0', '0'),
('2022', 'Eingegeben', 'de', '0', '0'),
('2023', 'Ergebnis', 'de', '0', '0'),
('2024', 'Kein Hilfetext für das %tag-Tag verfügbar.', 'de', '0', '0'),
('2026', 'kaufm. Und', 'de', '0', '0'),
('2027', 'Anführungszeichen', 'de', '0', '0'),
('2028', 'Zeichenbeschreibung', 'de', '0', '0'),
('2030', 'HTML - Zeilenumbrüche und Absätze werden automatisch erzeugt.', 'de', '0', '0'),
('2031', 'Zeilenumbrüche und Absätze werden automatisch erkannt. Die Tags für Zeilenumbrüche (<code>&lt;br /&gt;</code>) und Absätze (<code>&lt;p&gt;&lt;/p&gt;</code>) werden automatisch eingefügt. Wenn Absätze nicht erkannt werden, sollten noch einige Leerzeilen eingefügt werden.', 'de', '0', '0'),
('2032', 'Internet- und E-Mail-Adressen werden automatisch umgewandelt.', 'de', '0', '0'),
('2041', 'Tipps zur Erstellung von Inhalten', 'de', '0', '0'),
('2043', 'Forenthema', 'de', '0', '0'),
('2045', 'Verwaltet die Anzeige der Online-Hilfe.', 'de', '0', '0'),
('2048', 'Dieser Inhaltstyp hat kein Titelfeld.', 'de', '0', '0'),
('2054', 'Der menschenlesbare Name %name wird schon verwendet.', 'de', '0', '0'),
('2056', 'Soll der Inhaltstyp %type wirklich gelöscht werden?', 'de', '0', '0'),
('2057', 'Inhaltstyp %name erstellt.', 'de', '0', '0'),
('2066', 'Kopie der Version vom %date.', 'de', '0', '0'),
('2067', '@type: %title wurde auf die Version %revision zurückgesetzt.', 'de', '0', '0'),
('2072', '<strong>Konfigurieren Sie Ihre Website</strong> Wenn Sie angemeldet sind, besuchen Sie den <a href="@admin">Verwaltungsbereich</a>, in dem Sie alle Aspekte Ihrer Website <a href="@config">anpassen und konfigurieren</a> können.', 'de', '0', '0'),
('2073', '<strong>Aktivieren Sie zusätzliche Funktionen</strong> Als nächstes können Sie in der <a href="@modules">Modulübersicht</a> die Funktionen aktivieren, die ihren speziellen Anforderungen entsprechen. Sie finden zusätzliche Module im <a href="@download_modules">Downloadbereich für Drupal-Module</a>.', 'de', '0', '0'),
('2074', '<strong>Passen Sie das Design Ihrer Website an</strong> Um das Aussehen Ihrer Website zu verändern, besuchen Sie den <a href="@themes">Theme-Bereich</a>. Sie können aus den mitgelieferten Themes auswählen oder zusätzliche Themes aus dem <a href="@download_themes">Downloadbereich für Drupal-Themes</a> herunterladen.', 'de', '0', '0'),
('2081', 'Inhaltstyp hinzufügen', 'de', '0', '0'),
('2082', 'Ermöglicht die Erstellung von Inhalt, der dann auf Seiten angezeigt wird.', 'de', '0', '0'),
('2086', 'Der Alias wurde gespeichert.', 'de', '0', '0'),
('2087', 'Soll der Pfad-Alias %title wirklich gelöscht werden?', 'de', '0', '0'),
('2090', 'Geben Sie den Pfad ein, für den ein Alias erstellt werden soll, gefolgt vom Namen des neuen Alias.', 'de', '0', '0'),
('2093', 'URL-Aliase', 'de', '0', '0'),
('2094', 'URL-Aliase der Website hinzufügen oder ändern.', 'de', '0', '0'),
('2095', 'Alias bearbeiten', 'de', '0', '0'),
('2096', 'Alias löschen', 'de', '0', '0'),
('2097', 'Alias hinzufügen', 'de', '0', '0'),
('2098', 'Ermöglicht das Umbenennen von URLs.', 'de', '0', '0'),
('2099', 'PHP-Code kann verwendet werden und sollte in &lt;?php ?&gt;-Tags eingeschlossen werden.', 'de', '0', '0'),
('2100', 'PHP-Evaluator', 'de', '0', '0'),
('2104', 'Neueste Umfrage', 'de', '0', '0'),
('2105', 'Umfragestatus', 'de', '0', '0'),
('2106', 'Wenn eine Umfrage geschlossen ist, können Besucher keine weiteren Stimmen abgeben.', 'de', '0', '0'),
('2107', 'Nach diesem Zeitraum wird die Umfrage automatisch geschlossen.', 'de', '0', '0'),
('2109', 'Negative Werte sind unzulässig.', 'de', '0', '0'),
('2110', 'Umfragen', 'de', '0', '0'),
('2113', 'Der Name des Feldes. Der Formularname wird dem Benutzer nicht angezeigt, sondern nur intern im HTML-Code und in URLs verwendet.\nNur wenn man sich über die Konsequenzen im Klaren ist, sollte es <em>nicht</em> mit <code>profile_</code> beginnen, um Namenskonflikte mit anderen Feldern zu vermeiden. Leerzeichen oder andere Sonderzeichen außer Bindestrich (-) und Unterstrich (_) sind nicht erlaubt. Ein Beispielname ist „profile_favorite_color“ oder vielleicht auch nur „profile_color“.', 'de', '0', '0'),
('2114', 'Eine Liste aller Optionen. Jede Option muss in einer eigenen Zeile stehen. Beispieloptionen sind „rot“, „blau“, „grün“, usw.', 'de', '0', '0'),
('2115', 'Ein verstecktes Profilfeld auf das nur Administratoren, Module und Themes Zugriff haben.', 'de', '0', '0'),
('2116', 'Privates Feld, der Inhalt ist nur für privilegierte Benutzer verfügbar.', 'de', '0', '0'),
('2117', 'Öffentliches Feld, der Inhalt wird auf der Profilseite gezeigt, aber nicht in den Mitgliederlisten.', 'de', '0', '0'),
('2118', 'Öffentliches Feld, der Inhalt wird auf der Profilseite und den Mitgliederlisten gezeigt.', 'de', '0', '0'),
('2119', 'Die Gewichte bestimmen die Reihenfolge der Felder. Leichtere Felder werden innerhalb der Kategorie weiter oben angezeigt.', 'de', '0', '0'),
('2120', 'Formular wird während der Texteingabe automatisch vervollständigt.', 'de', '0', '0'),
('2121', 'Der angegebene Name des Formulars enthält einen oder mehrere unerlaubte Zeichen. Leerzeichen sowie andere Sonderzeichen außer Bindestrich (-) und Unterstrich (_) sind nicht erlaubt.', 'de', '0', '0'),
('2122', 'Der angegebene Formularname ist für Drupal reserviert.', 'de', '0', '0'),
('2123', 'Der angegebene Kategoriename ist für Drupal reserviert.', 'de', '0', '0'),
('2124', 'Der angegebene Titel wird bereits verwendet.', 'de', '0', '0'),
('2125', 'Der angegebene Name wird bereits verwendet.', 'de', '0', '0'),
('2126', 'Ein ausgeblendetes Feld kann kein Pflichtfeld sein.', 'de', '0', '0'),
('2127', 'Ein ausgeblendetes Feld kann auf dem Registrierungsformular für Benutzer nicht angezeigt werden.', 'de', '0', '0'),
('2128', 'Das Feld wurde erstellt.', 'de', '0', '0'),
('2129', 'Soll das Feld %field wirklich gelöscht werden?', 'de', '0', '0'),
('2130', 'Dieser Vorgang kann nicht rückgängig gemacht werden. Wenn Benutzer dieses Feld in Ihrem Profil ausgefüllt haben, so werden diese Daten ebenfalls gelöscht. Wenn Sie die von Benutzern eingegebenen Daten behalten wollen, so können Sie anstatt das Feld zu löschen <a href="@edit-field">das Feld bearbeiten</a> und es zu einem versteckten Profilfeld ändern, das nur Administratoren die Daten sehen können.', 'de', '0', '0'),
('2131', 'Das Feld %field wurde gelöscht.', 'de', '0', '0'),
('2132', 'Profilfeld %field zur Kategorie %category hinzugefügt.', 'de', '0', '0'),
('2133', 'Das Profilfeld %field wurde gelöscht.', 'de', '0', '0'),
('2134', 'Benutzerliste', 'de', '0', '0'),
('2135', 'Einzeiliges Eingabefeld', 'de', '0', '0'),
('2136', 'Mehrzeiliges Eingabefeld', 'de', '0', '0'),
('2137', 'Kontollkästchen', 'de', '0', '0'),
('2138', 'Listenauswahlfeld', 'de', '0', '0'),
('2139', 'Liste mit freiem Format', 'de', '0', '0'),
('2140', 'Autoreninformationen', 'de', '0', '0'),
('2141', 'Link zum vollständigen Benutzerprofil', 'de', '0', '0'),
('2142', 'Profilfelder, die angezeigt werden sollen', 'de', '0', '0'),
('2143', 'Wählen Sie die Profilfelder für die Anzeige im Block aus. Nur Felder die in der <a href="@profile-admin">Profilfeld-Konfiguration</a> als öffentlich markiert wurden sind hier verfügbar.', 'de', '0', '0'),
('2144', 'Vollständiges Benutzerprofil anzeigen', 'de', '0', '0'),
('2145', 'Über %name', 'de', '0', '0'),
('2146', 'Einträge müssen in eine eigene Zeile oder durch Kommata getrennt werden. HTML ist nicht erlaubt.', 'de', '0', '0'),
('2147', 'Der Wert für %field ist keine gültige URL.', 'de', '0', '0'),
('2148', 'Erstellen Sie Profilfelder für Ihre Benutzer.', 'de', '0', '0'),
('2149', 'Autovervollständigung für Profilkategorien', 'de', '0', '0'),
('2150', 'Feld bearbeiten', 'de', '0', '0'),
('2151', 'Feld löschen', 'de', '0', '0'),
('2152', 'Autovervollständigung für Profilkategorien', 'de', '0', '0'),
('2153', 'Unterstützt konfigurierbare Benutzerprofile.', 'de', '0', '0'),
('2155', 'Der Index wird wiederhergestellt.', 'de', '0', '0'),
('2156', 'Indexierungsstatus', 'de', '0', '0'),
('2157', 'Indexierungsdrosselung', 'de', '0', '0'),
('2158', 'Indizierungseinstellungen', 'de', '0', '0'),
('2159', 'Minimale Wortlänge, die indiziert werden soll', 'de', '0', '0'),
('2160', 'Die minimale Anzahl der Zeichen die ein Wort lang sein muss, um indexiert zu werden. Ein niedrigerer Wert bedeutet ein besseres Ranking der Suchergebnisse, aber auch eine größere Datenbank. Jede Suchanfrage muss mindestens ein Stichwort enthalten, das genauso lang ist wie es dieser Wert vorgibt (oder länger).', 'de', '0', '0'),
('2161', 'Vereinfachte Behandlung des Chinesischen, Japanischen und Koreanischen', 'de', '0', '0'),
('2162', 'Gibt an, ob ein einfacher Chinesisch/Japanisch/Koreanisch Tokenizer, basierend auf überlappenden Sequenzen, angewendet werden soll. Wenn Sie einen externen Preprozessor dafür verwenden wollen, sollten Sie diese Option deaktivieren. Diese Einstellung betrifft andere Sprachen nicht.', 'de', '0', '0'),
('2163', 'Suchformular', 'de', '0', '0'),
('2168', 'Häufigste Suchbegriffe', 'de', '0', '0'),
('2169', 'Eine Auflistung der häufigsten Suchwörter anzeigen.', 'de', '0', '0'),
('2170', 'Aktiviert eine Suchfunktion für die Website.', 'de', '0', '0'),
('2171', 'Gesamtdauer der Seitenerstellung', 'de', '0', '0'),
('2172', '%time ms', 'de', '0', '0'),
('2173', 'Wichtigste Seiten der letzten %interval', 'de', '0', '0'),
('2176', 'Häufigste Besucher der letzten %interval', 'de', '0', '0'),
('2177', 'Wichtigste Referrer der letzten %interval', 'de', '0', '0'),
('2178', 'Jeden Seitenzugriff protokollieren. Wird für die Referrer-Statistik benötigt.', 'de', '0', '0'),
('2179', 'Einstellungen für Zugriffszähler', 'de', '0', '0'),
('2180', 'Inhaltsabrufe zählen', 'de', '0', '0'),
('2181', 'Erhöht einen Zähler, wenn der Inhalt angezeigt wird.', 'de', '0', '0'),
('2182', 'Einstellungen zu den statistischen Informationen, die Drupal über die Seiten bereit hält. Auf den <a href="@statistics">Statistikseiten</a> sind die aktuellen Informationen zu finden.', 'de', '0', '0'),
('2183', 'Beliebte Inhalte', 'de', '0', '0'),
('2184', 'Die Anzahl der Einträge, die in der „Insgesamt“-Liste erscheinen soll.', 'de', '0', '0'),
('2185', 'Die Anzahl der Einträge, die in der „Zuletzt angezeigt“-Liste erscheinen soll.', 'de', '0', '0'),
('2186', 'Heute:', 'de', '0', '0'),
('2187', 'Insgesamt:', 'de', '0', '0'),
('2188', 'Zuletzt angezeigt:', 'de', '0', '0'),
('2189', 'Zeigt die Seiten an, die vor kurzem besucht worden sind.', 'de', '0', '0'),
('2190', 'Zeigt die Seiten an, die am häufigsten besucht wurden.', 'de', '0', '0'),
('2191', 'Häufigste Besucher', 'de', '0', '0'),
('2192', 'Zeigt Besucher an, die viele Seiten aufrufen.', 'de', '0', '0'),
('2193', 'Wichtigste Referrer', 'de', '0', '0'),
('2194', 'Zeigt die Websites an, die am häufigsten auf diese Website verweisen.', 'de', '0', '0'),
('2195', 'Zugriffsprotokolle ansehen.', 'de', '0', '0'),
('2197', 'Seitenbesuche protokollieren', 'de', '0', '0'),
('2198', 'Protokolliert Zugriffsstatistiken für die Website.', 'de', '0', '0'),
('2201', 'Benutzerbilder in Beiträgen', 'de', '0', '0'),
('2202', 'Benutzerbilder in Kommentaren', 'de', '0', '0'),
('2203', 'Favicon', 'de', '0', '0'),
('2206', 'Logo-Einstellungen', 'de', '0', '0'),
('2207', 'Falls aktiviert, wird das folgende Logo angezeigt.', 'de', '0', '0'),
('2208', 'Standardlogo benutzen', 'de', '0', '0'),
('2209', 'Mitgeliefertes Logo des Themes benutzen.', 'de', '0', '0'),
('2210', 'Der Pfad zu der Datei, die als Logo anstelle des Standardlogos benutzt werden soll.', 'de', '0', '0'),
('2211', 'Logo hochladen', 'de', '0', '0'),
('2212', 'Favicon-Einstellungen', 'de', '0', '0'),
('2213', 'Standard-Favicon benutzen.', 'de', '0', '0'),
('2214', 'Ankreuzen, falls das Theme das Standardicon benutzen soll.', 'de', '0', '0'),
('2215', 'Der Pfad zu der Bilddatei, die als Favicon verwendet werden soll.', 'de', '0', '0'),
('2216', 'Icon hochladen', 'de', '0', '0'),
('2217', 'Falls kein direkter Zugang zum Server vorhanden ist, kann dieses Feld zum Hochladen des Favicons verwendet werden.', 'de', '0', '0'),
('2218', 'Die folgenden Module werden vollständig von ihrer Website deinstalliert und <em>alle Daten dieser Module gehen verloren</em>!', 'de', '0', '0'),
('2219', 'Deinstallation bestätigen', 'de', '0', '0'),
('2220', 'Möchten Sie mit der Deinstallation der oben angeführten Module fortfahren?', 'de', '0', '0'),
('2221', 'Keine Module ausgewählt.', 'de', '0', '0'),
('2222', 'Die ausgewählten Module wurden deinstalliert.', 'de', '0', '0'),
('2223', 'Seite für 403-Fehler (Zugriff verweigert)', 'de', '0', '0'),
('2225', 'Seite für 404-Fehler (Seite wurde nicht gefunden)', 'de', '0', '0'),
('2235', 'Wählen Sie ein Bildverarbeitungs-Toolkit', 'de', '0', '0'),
('2236', 'Titel und Anrisstext', 'de', '0', '0'),
('2258', 'Keine Module zum Deinstallieren verfügbar.', 'de', '0', '0'),
('2260', 'Diese Seite listet alle verfügbaren Verwaltungsaufgaben für jedes Modul auf.', 'de', '0', '0'),
('2262', 'Diese Optionen kontrollieren die Standard-Anzeigeeinstellungen für die gesamte Website, über alle Themes hinweg. Solange diese nicht von einem bestimmten Theme überschrieben werden, werden diese Einstellungen verwendet.', 'de', '0', '0'),
('2267', 'Kompakter Modus', 'de', '0', '0'),
('2275', 'Das Verzeichnis, in dem Drupal hochgeladene Dateien speichert und wie auf diese zugegriffen werden kann.', 'de', '0', '0'),
('2276', 'Bild-Toolkit', 'de', '0', '0'),
('2277', 'Wähle, welches Bild-Toolkit zu verwenden ist, wenn optionale Bild-Toolkits installiert sind.', 'de', '0', '0'),
('2278', 'RSS-Feeds', 'de', '0', '0'),
('2280', 'Datum und Uhrzeit', 'de', '0', '0'),
('2283', 'Lesbare URLs für die Website aktivieren oder deaktivieren.', 'de', '0', '0'),
('2284', 'Ein Statusbericht über den Betrieb der Website und aufgetretene Probleme.', 'de', '0', '0'),
('2285', 'Die PHP-Installation ist zu alt. Drupal benötigt mindestens PHP %version.', 'de', '0', '0'),
('2286', 'PHP Register Globals', 'de', '0', '0'),
('2287', '<em>register_globals</em> ist aktiviert. Drupal funktioniert nur, wenn diese Funktion abgeschaltet ist. Die Website könnte unsicher sein wenn <em>register_globals</em> aktiviert ist. Das PHP-Handbuch enthält eine Anleitung für die <a href="http://php.net/configuration.changes">Änderung der Konfiguration</a>.', 'de', '0', '0'),
('2288', 'Aktiviert (‚@value‘)', 'de', '0', '0'),
('2289', 'Ungeschützt', 'de', '0', '0'),
('2290', 'Die Datei %file ist nicht vor Veränderungen geschützt und stellt ein Sicherheitsrisiko dar. Die Dateiberechtigung muss auf nicht beschreibbar gesetzt werden.', 'de', '0', '0'),
('2291', 'Cron-Wartungsaufgaben', 'de', '0', '0'),
('2292', 'Cron kann <a href="@cron">manuell durchgeführt</a> werden.', 'de', '0', '0'),
('2293', 'Das Verzeichnis %directory ist nicht beschreibbar.', 'de', '0', '0'),
('2294', 'Das richtige Verzeichnis muss auf der <a href="@admin-file-system">Einstellungsseite für das Dateisystem</a> angegeben werden oder die Berechtigungen des aktuellen Verzeichnisses so geändert werden, dass es beschreibbar ist.', 'de', '0', '0'),
('2295', 'Beschreibbar (<em>öffentliche</em> Download-Methode)', 'de', '0', '0'),
('2296', 'Beschreibbar (<em>private</em> Download-Methode)', 'de', '0', '0'),
('2297', 'Einige Module müssen ihr Datenbankschema aktualisieren. Das <a href="@update">Skript zur Aktualisierung der Datenbank</a> sollte sofort ausgeführt werden.', 'de', '0', '0'),
('2298', 'Stellt die allgemeine Website-Konfiguration für Administratoren zur Verfügung.', 'de', '0', '0'),
('2332', 'Benutzerbild-Richtlinien', 'de', '0', '0'),
('2333', 'Dieser Text wird im Formular zum Hochladen von Benutzerbildern zusätzlich zu den Standard-Richtlinien angezeigt. Er kann dazu verwendet werden, Benutzern Hilfestellungen oder Anleitungen zu geben.', 'de', '0', '0'),
('2334', 'Der Name der Rolle. Beispiele: „Moderator“, „Redakteur“, „Designer“.', 'de', '0', '0'),
('2336', 'Die Rolle wurde umbenannt.', 'de', '0', '0'),
('2337', 'Die Rolle wurde gelöscht.', 'de', '0', '0'),
('2354', 'Neues Passwort per E-Mail zuschicken', 'de', '0', '0'),
('2356', 'Das Passwort und weitere Hinweise wurden an die angegebene E-Mail-Adresse gesendet.', 'de', '0', '0'),
('2359', '%name wurde gelöscht.', 'de', '0', '0'),
('2360', 'Ein Benutzername muss eingegeben werden.', 'de', '0', '0'),
('2361', 'Der Benutzername darf nicht mit einem Leerzeichen beginnen.', 'de', '0', '0'),
('2362', 'Der Benutzername darf nicht mit einem Leerzeichen enden.', 'de', '0', '0'),
('2363', 'Der Benutzername darf nicht mehrere aufeinander folgende Leerzeichen enthalten.', 'de', '0', '0'),
('2364', 'Der Benutzername enthält unzulässige Zeichen.', 'de', '0', '0'),
('2366', 'Der Benutzername %name ist zu lang. Er darf aus höchstens %max Zeichen bestehen.', 'de', '0', '0'),
('2367', 'Es muss eine E-Mail-Adresse angegeben werden.', 'de', '0', '0'),
('2368', 'Wer ist online', 'de', '0', '0'),
('2369', 'Länge der Benutzerliste', 'de', '0', '0'),
('2371', 'Geben Sie hier das zugehörige Passwort an.', 'de', '0', '0'),
('2373', 'Benutzerbild löschen', 'de', '0', '0'),
('2374', 'Aktivieren, um das derzeitige Benutzerbild zu löschen.', 'de', '0', '0'),
('2379', 'Ausgewählte Benutzer entsperren', 'de', '0', '0'),
('2380', 'Ausgewählte Benutzer blockieren', 'de', '0', '0'),
('2386', 'Benutzer gelöscht: %name (%email).', 'de', '0', '0'),
('2391', 'Durch Auswählen der Berechtigungen für Rollen den Zugriff auf Funktionen bestimmen.', 'de', '0', '0'),
('2392', 'Rolle bearbeiten', 'de', '0', '0'),
('2396', 'Steuert die Benutzerregistrierung und das Anmeldesystem.', 'de', '0', '0'),
('2625', 'Lesbare URLs testen', 'de', '0', '0'),
('2705', 'Benutzeroberfläche', 'de', '0', '0'),
('2706', 'Weiter', 'de', '0', '0'),
('2707', 'Präfix', 'de', '0', '0'),
('2708', 'Suffix', 'de', '0', '0'),
('2709', 'genehmigen', 'de', '0', '0'),
('2710', 'Bestätigen', 'de', '0', '0'),
('2711', 'E-Mail-Adresse', 'de', '0', '0'),
('2712', 'Entwicklung', 'de', '0', '0'),
('2713', 'Gruppe', 'de', '0', '0'),
('2714', 'Ja', 'de', '0', '0'),
('2715', 'Aktionen', 'de', '0', '0'),
('2716', 'Entfernen', 'de', '0', '0'),
('2717', 'Administrator', 'de', '0', '0'),
('2718', 'Aktivieren', 'de', '0', '0'),
('2719', 'Artikel', 'de', '0', '0'),
('2720', 'Aktion', 'de', '0', '0'),
('2721', 'Tags', 'de', '0', '0'),
('2722', 'Startseite', 'de', '0', '0'),
('2723', 'Herunterladen', 'de', '0', '0'),
('2724', 'Übersicht', 'de', '0', '0'),
('2725', 'Dateiinformation', 'de', '0', '0'),
('2726', 'Datei', 'de', '0', '0'),
('2727', 'Versionshinweise', 'de', '0', '0'),
('2728', 'Täglich', 'de', '0', '0'),
('2729', 'Wöchentlich', 'de', '0', '0'),
('2730', 'Keine', 'de', '0', '0'),
('2731', 'Anzeigeeinstellungen', 'de', '0', '0'),
('2732', 'Test', 'de', '0', '0'),
('2733', 'Zahl', 'de', '0', '0'),
('2734', 'Link', 'de', '0', '0'),
('2735', 'Bild', 'de', '0', '0'),
('2736', 'Zentriert', 'de', '0', '0'),
('2737', 'Feld', 'de', '0', '0'),
('2738', 'Beschriftung', 'de', '0', '0'),
('2739', 'Speichern', 'de', '0', '0'),
('2740', 'Zusammenfassung', 'de', '0', '0'),
('2741', 'Öffnen', 'de', '0', '0'),
('2742', 'Kern', 'de', '0', '0'),
('2743', 'Format', 'de', '0', '0'),
('2744', 'Vokabulare', 'de', '0', '0'),
('2745', 'Allgemeine Diskussion', 'de', '0', '0'),
('2746', 'Aktualisieren', 'de', '0', '0'),
('2747', 'Sichtbar', 'de', '0', '0'),
('2748', 'Anker', 'de', '0', '0'),
('2749', 'Anzeige', 'de', '0', '0'),
('2750', 'Erweiterte Einstellungen', 'de', '0', '0'),
('2751', 'Anrisstext', 'de', '0', '0'),
('2752', 'Aktualisiert', 'de', '0', '0'),
('2753', 'Aktionen', 'de', '0', '0'),
('2754', 'Text', 'de', '0', '0'),
('2755', 'Theme', 'de', '0', '0'),
('2756', 'Schlüsselwörter', 'de', '0', '0'),
('2757', '- keine -', 'de', '0', '0'),
('2758', 'Zuweisung aufheben', 'de', '0', '0'),
('2759', 'Unbekannt', 'de', '0', '0'),
('2760', 'Inhalte suchen', 'de', '0', '0'),
('2761', 'Inhaltstyp', 'de', '0', '0'),
('2762', 'Aktion', 'de', '0', '0'),
('2763', 'E-Mail', 'de', '0', '0'),
('2764', 'Dateien', 'de', '0', '0'),
('2765', 'Benutzer-ID', 'de', '0', '0'),
('2766', 'Optionen', 'de', '0', '0'),
('2767', 'Nein', 'de', '0', '0'),
('2768', 'E-Mail wurde an %recipient gesendet', 'de', '0', '0'),
('2769', 'E-Mail kann nicht an %recipient gesendet werden', 'de', '0', '0'),
('2770', 'Der Betreff der Nachricht.', 'de', '0', '0'),
('2771', 'Erstellen', 'de', '0', '0'),
('2772', 'Inhaltstyp für untergeordnete Seiten', 'de', '0', '0'),
('2773', 'Aus der Gliederung entfernen', 'de', '0', '0'),
('2774', 'Fertig', 'de', '0', '0'),
('2775', 'Jahr', 'de', '0', '0'),
('2776', 'Datumsformat', 'de', '0', '0'),
('2777', 'Inhalt hinzufügen', 'de', '0', '0'),
('2778', 'Taxonomie Begriffe', 'de', '0', '0'),
('2779', 'Befriedigend', 'de', '0', '0'),
('2780', 'Nicht gefunden', 'de', '0', '0'),
('2781', 'PostgreSQL', 'de', '0', '0'),
('2782', 'Verfügbare Aktualisierungen', 'de', '0', '0'),
('2783', 'Aktualisierung manuell überprüfen', 'de', '0', '0'),
('2784', 'Manuell überprüfen', 'de', '0', '0'),
('2785', 'Aktualisierung verfügbar', 'de', '0', '0'),
('2786', 'Aktualisierungsstatus des Drupal-Kern', 'de', '0', '0'),
('2787', 'Inline', 'de', '0', '0'),
('2788', 'Menü-Link', 'de', '0', '0'),
('2789', 'Feed-Beschreibung', 'de', '0', '0'),
('2790', 'Versions-ID', 'de', '0', '0'),
('2791', 'Kommentar-ID', 'de', '0', '0'),
('2792', 'URL-Alias', 'de', '0', '0'),
('2793', 'Antwortoptionen für Umfragen', 'de', '0', '0'),
('2794', 'Stimmen', 'de', '0', '0'),
('2795', 'Datei-ID', 'de', '0', '0'),
('2796', 'Dateiname', 'de', '0', '0'),
('2797', 'Dateigröße', 'de', '0', '0'),
('2798', 'Vokabular', 'de', '0', '0'),
('2799', 'Vokabular-ID', 'de', '0', '0'),
('2800', 'Begriff-ID', 'de', '0', '0'),
('2801', 'Letzte Anmeldung', 'de', '0', '0'),
('2802', 'Feldname', 'de', '0', '0'),
('2803', 'Feldtyp', 'de', '0', '0'),
('2804', 'Steuerelement', 'de', '0', '0'),
('2805', 'Übersteuert', 'de', '0', '0'),
('2806', 'Gruppen-Name', 'de', '0', '0'),
('2807', 'Originalbild', 'de', '0', '0'),
('2808', 'Überschrift', 'de', '0', '0'),
('2809', 'Warnung', 'de', '0', '0'),
('2810', 'Beiträge', 'de', '0', '0'),
('2811', 'Breite', 'de', '0', '0'),
('2812', 'Höhe', 'de', '0', '0'),
('2813', 'Maximum', 'de', '0', '0'),
('2814', 'Zeile', 'de', '0', '0'),
('2815', 'Skalierung', 'de', '0', '0'),
('2816', 'Mittel', 'de', '0', '0'),
('2817', 'Medien', 'de', '0', '0'),
('2818', 'Klartext', 'de', '0', '0'),
('2819', 'Cache', 'de', '0', '0'),
('2820', 'Monat', 'de', '0', '0'),
('2821', 'Steuerelement', 'de', '0', '0'),
('2822', 'Vorheriges', 'de', '0', '0'),
('2823', 'Domäne', 'de', '0', '0'),
('2824', 'Verarbeitung', 'de', '0', '0'),
('2825', 'Senden', 'de', '0', '0'),
('2826', 'Geben Sie einen gültigen Benutzernamen ein.', 'de', '0', '0'),
('2827', 'Eigentümer', 'de', '0', '0'),
('2828', 'Empfänger', 'de', '0', '0'),
('2829', 'Inhalte verwalten', 'de', '0', '0'),
('2830', 'Allgemein', 'de', '0', '0'),
('2831', 'Methode', 'de', '0', '0'),
('2832', 'Ägypten', 'de', '0', '0'),
('2833', 'Namibia', 'de', '0', '0'),
('2834', 'Israel', 'de', '0', '0'),
('2835', 'Iran', 'de', '0', '0'),
('2836', 'Neuseeland', 'de', '0', '0'),
('2837', 'Kuba', 'de', '0', '0'),
('2838', 'Brasilien', 'de', '0', '0'),
('2839', 'Chile', 'de', '0', '0'),
('2840', 'Paraguay', 'de', '0', '0'),
('2841', 'Jamaika', 'de', '0', '0'),
('2842', 'Japan', 'de', '0', '0'),
('2843', 'Libyen', 'de', '0', '0'),
('2844', 'Polen', 'de', '0', '0'),
('2845', 'Portugal', 'de', '0', '0'),
('2846', 'Singapur', 'de', '0', '0'),
('2847', 'Türkei', 'de', '0', '0'),
('2848', 'Tag', 'de', '0', '0'),
('2849', 'Konfiguration', 'de', '0', '0'),
('2850', 'Hintergrundfarbe', 'de', '0', '0'),
('2851', 'Basis', 'de', '0', '0'),
('2852', 'Design', 'de', '0', '0'),
('2853', 'Rolle', 'de', '0', '0'),
('2854', 'Textverarbeitung', 'de', '0', '0'),
('2855', 'Maximallänge', 'de', '0', '0'),
('2856', 'Zeilen', 'de', '0', '0'),
('2857', 'Änderungen speichern', 'de', '0', '0'),
('2858', 'Installieren', 'de', '0', '0'),
('2859', 'Reihenfolge', 'de', '0', '0'),
('2860', 'Standard festlegen', 'de', '0', '0'),
('2861', 'Ganzzahl', 'de', '0', '0'),
('2862', 'IP-Adresse', 'de', '0', '0'),
('2863', 'Gäste', 'de', '0', '0'),
('2864', 'Cache leeren', 'de', '0', '0'),
('2865', 'Sichtbarkeitseinstellungen', 'de', '0', '0'),
('2866', 'Begriffsbeschreibung', 'de', '0', '0'),
('2867', 'Aktion', 'de', '0', '0'),
('2868', 'Funktion', 'de', '0', '0'),
('2869', 'Servereinstellungen', 'de', '0', '0'),
('2870', 'Deutschland', 'de', '0', '0'),
('2871', 'Abmelden', 'de', '0', '0'),
('2872', 'Standardsprache', 'de', '0', '0'),
('2873', 'Afghanistan', 'de', '0', '0'),
('2874', 'Albanien', 'de', '0', '0'),
('2875', 'Algerien', 'de', '0', '0'),
('2876', 'Amerikanisch-Samoa', 'de', '0', '0'),
('2877', 'Andorra', 'de', '0', '0'),
('2878', 'Angola', 'de', '0', '0'),
('2879', 'Anguilla', 'de', '0', '0'),
('2880', 'Antarktis', 'de', '0', '0'),
('2881', 'Antigua und Barbuda', 'de', '0', '0'),
('2882', 'Argentinien', 'de', '0', '0'),
('2883', 'Armenien', 'de', '0', '0'),
('2884', 'Aruba', 'de', '0', '0'),
('2885', 'Australien', 'de', '0', '0'),
('2886', 'Österreich', 'de', '0', '0'),
('2887', 'Aserbaidschan', 'de', '0', '0'),
('2888', 'Bahamas', 'de', '0', '0'),
('2889', 'Bahrain', 'de', '0', '0'),
('2890', 'Bangladesch', 'de', '0', '0'),
('2891', 'Barbados', 'de', '0', '0'),
('2892', 'Weißrussland', 'de', '0', '0'),
('2893', 'Belgien', 'de', '0', '0'),
('2894', 'Belize', 'de', '0', '0'),
('2895', 'Benin', 'de', '0', '0'),
('2896', 'Bermuda', 'de', '0', '0'),
('2897', 'Bhutan', 'de', '0', '0'),
('2898', 'Bolivien', 'de', '0', '0'),
('2899', 'Bosnien und Herzegowina', 'de', '0', '0'),
('2900', 'Botswana', 'de', '0', '0'),
('2901', 'Bouvetinsel', 'de', '0', '0'),
('2902', 'Brunei', 'de', '0', '0'),
('2903', 'Bulgarien', 'de', '0', '0'),
('2904', 'Burkina Faso', 'de', '0', '0'),
('2905', 'Burundi', 'de', '0', '0'),
('2906', 'Kambodscha', 'de', '0', '0'),
('2907', 'Kamerun', 'de', '0', '0'),
('2908', 'Kanada', 'de', '0', '0'),
('2909', 'Kapverden', 'de', '0', '0'),
('2910', 'Kaimaninseln', 'de', '0', '0'),
('2911', 'Zentralafrikanische Republik', 'de', '0', '0'),
('2912', 'Tschad', 'de', '0', '0'),
('2913', 'China', 'de', '0', '0'),
('2914', 'Weihnachtsinsel', 'de', '0', '0'),
('2915', 'Kokosinseln', 'de', '0', '0'),
('2916', 'Kolumbien', 'de', '0', '0'),
('2917', 'Komoren', 'de', '0', '0'),
('2918', 'Cookinseln', 'de', '0', '0'),
('2919', 'Costa Rica', 'de', '0', '0'),
('2920', 'Zypern', 'de', '0', '0'),
('2921', 'Tschechische Republik', 'de', '0', '0'),
('2922', 'Dänemark', 'de', '0', '0'),
('2923', 'Dschibuti', 'de', '0', '0'),
('2924', 'Dominica', 'de', '0', '0'),
('2925', 'Dominikanische Republik', 'de', '0', '0'),
('2926', 'Equador', 'de', '0', '0'),
('2927', 'El Salvador', 'de', '0', '0'),
('2928', 'Äquatorialguinea', 'de', '0', '0'),
('2929', 'Eritrea', 'de', '0', '0'),
('2930', 'Estland', 'de', '0', '0'),
('2931', 'Äthiopien', 'de', '0', '0'),
('2932', 'Färöer', 'de', '0', '0'),
('2933', 'Finnland', 'de', '0', '0'),
('2934', 'Frankreich', 'de', '0', '0'),
('2935', 'Französisch-Guayana', 'de', '0', '0'),
('2936', 'Französisch-Polynesien', 'de', '0', '0'),
('2937', 'Gabun', 'de', '0', '0'),
('2938', 'Gambia', 'de', '0', '0'),
('2939', 'Georgien', 'de', '0', '0'),
('2940', 'Ghana', 'de', '0', '0'),
('2941', 'Gibraltar', 'de', '0', '0'),
('2942', 'Griechenland', 'de', '0', '0'),
('2943', 'Grönland', 'de', '0', '0'),
('2944', 'Grenada', 'de', '0', '0'),
('2945', 'Guadeloupe', 'de', '0', '0'),
('2946', 'Guam', 'de', '0', '0'),
('2947', 'Guatemala', 'de', '0', '0'),
('2948', 'Guinea', 'de', '0', '0'),
('2949', 'Guinea-Bissau', 'de', '0', '0'),
('2950', 'Guyana', 'de', '0', '0'),
('2951', 'Haiti', 'de', '0', '0'),
('2952', 'Heard und McDonaldinseln', 'de', '0', '0'),
('2953', 'Honduras', 'de', '0', '0'),
('2954', 'Ungarn', 'de', '0', '0'),
('2955', 'Island', 'de', '0', '0'),
('2956', 'Indien', 'de', '0', '0'),
('2957', 'Indonesien', 'de', '0', '0'),
('2958', 'Irak', 'de', '0', '0'),
('2959', 'Irland', 'de', '0', '0'),
('2960', 'Italien', 'de', '0', '0'),
('2961', 'Jordanien', 'de', '0', '0'),
('2962', 'Kasachstan', 'de', '0', '0'),
('2963', 'Kenia', 'de', '0', '0'),
('2964', 'Kiribati', 'de', '0', '0'),
('2965', 'Kuwait', 'de', '0', '0'),
('2966', 'Kirgisistan', 'de', '0', '0'),
('2967', 'Laos', 'de', '0', '0'),
('2968', 'Lettland', 'de', '0', '0'),
('2969', 'Libanon', 'de', '0', '0'),
('2970', 'Lesotho', 'de', '0', '0'),
('2971', 'Liberia', 'de', '0', '0'),
('2972', 'Liechtenstein', 'de', '0', '0'),
('2973', 'Litauen', 'de', '0', '0'),
('2974', 'Luxemburg', 'de', '0', '0'),
('2975', 'Madagaskar', 'de', '0', '0'),
('2976', 'Malawi', 'de', '0', '0'),
('2977', 'Malaysia', 'de', '0', '0'),
('2978', 'Malediven', 'de', '0', '0'),
('2979', 'Mali', 'de', '0', '0'),
('2980', 'Malta', 'de', '0', '0'),
('2981', 'Marshallinseln', 'de', '0', '0'),
('2982', 'Martinique', 'de', '0', '0'),
('2983', 'Mauretanien', 'de', '0', '0'),
('2984', 'Mauritius', 'de', '0', '0'),
('2985', 'Mayotte', 'de', '0', '0'),
('2986', 'Mexiko', 'de', '0', '0'),
('2987', 'Mikronesien', 'de', '0', '0'),
('2988', 'Moldawien', 'de', '0', '0'),
('2989', 'Monaco', 'de', '0', '0'),
('2990', 'Mongolei', 'de', '0', '0'),
('2991', 'Montserrat', 'de', '0', '0'),
('2992', 'Marokko', 'de', '0', '0'),
('2993', 'Mosambik', 'de', '0', '0'),
('2994', 'Myanmar', 'de', '0', '0'),
('2995', 'Nepal', 'de', '0', '0'),
('2996', 'Niederlande', 'de', '0', '0'),
('2997', 'Niederländische Antillen', 'de', '0', '0'),
('2998', 'Neukaledonien', 'de', '0', '0'),
('2999', 'Nicaragua', 'de', '0', '0'),
('3000', 'Niger', 'de', '0', '0'),
('3001', 'Nigeria', 'de', '0', '0'),
('3002', 'Niue', 'de', '0', '0'),
('3003', 'Norfolkinsel', 'de', '0', '0'),
('3004', 'Nordkorea', 'de', '0', '0'),
('3005', 'Nördliche Marianen', 'de', '0', '0'),
('3006', 'Norwegen', 'de', '0', '0'),
('3007', 'Oman', 'de', '0', '0'),
('3008', 'Pakistan', 'de', '0', '0'),
('3009', 'Palau', 'de', '0', '0'),
('3010', 'Panama', 'de', '0', '0'),
('3011', 'Papua-Neuguinea', 'de', '0', '0'),
('3012', 'Peru', 'de', '0', '0'),
('3013', 'Philippinen', 'de', '0', '0'),
('3014', 'Puerto Rico', 'de', '0', '0'),
('3015', 'Katar', 'de', '0', '0'),
('3016', 'Réunion', 'de', '0', '0'),
('3017', 'Rumänien', 'de', '0', '0'),
('3018', 'Russland', 'de', '0', '0'),
('3019', 'Ruanda', 'de', '0', '0'),
('3020', 'Samoa', 'de', '0', '0'),
('3021', 'San Marino', 'de', '0', '0'),
('3022', 'Saudi-Arabien', 'de', '0', '0'),
('3023', 'Senegal', 'de', '0', '0'),
('3024', 'Seychellen', 'de', '0', '0'),
('3025', 'Sierra Leone', 'de', '0', '0'),
('3026', 'Slowakei', 'de', '0', '0'),
('3027', 'Slowenien', 'de', '0', '0'),
('3028', 'Salomonen', 'de', '0', '0'),
('3029', 'Somalia', 'de', '0', '0'),
('3030', 'Südafrika', 'de', '0', '0'),
('3031', 'Südgeorgien und die Südlichen Sandwichinseln', 'de', '0', '0'),
('3032', 'Spanien', 'de', '0', '0'),
('3033', 'Sri Lanka', 'de', '0', '0'),
('3034', 'Sudan', 'de', '0', '0'),
('3035', 'Surinam', 'de', '0', '0'),
('3036', 'Spitzbergen und Jan Mayen', 'de', '0', '0'),
('3037', 'Swasiland', 'de', '0', '0'),
('3038', 'Schweden', 'de', '0', '0'),
('3039', 'Schweiz', 'de', '0', '0'),
('3040', 'Syrien', 'de', '0', '0'),
('3041', 'Taiwan', 'de', '0', '0'),
('3042', 'Tadschikistan', 'de', '0', '0'),
('3043', 'Tansania', 'de', '0', '0'),
('3044', 'Thailand', 'de', '0', '0'),
('3045', 'Togo', 'de', '0', '0'),
('3046', 'Tokelau', 'de', '0', '0'),
('3047', 'Trinidad und Tobago', 'de', '0', '0'),
('3048', 'Tunesien', 'de', '0', '0'),
('3049', 'Turkmenistan', 'de', '0', '0'),
('3050', 'Turks- und Caicosinseln', 'de', '0', '0'),
('3051', 'Tuvalu', 'de', '0', '0'),
('3052', 'Uganda', 'de', '0', '0'),
('3053', 'Ukraine', 'de', '0', '0'),
('3054', 'Vereinigte Arabische Emirate', 'de', '0', '0'),
('3055', 'Vereinigtes Königreich', 'de', '0', '0'),
('3056', 'Vereinigte Staaten', 'de', '0', '0'),
('3057', 'United States Minor Outlying Islands', 'de', '0', '0'),
('3058', 'Uruguay', 'de', '0', '0'),
('3059', 'Usbekistan', 'de', '0', '0'),
('3060', 'Vanuatu', 'de', '0', '0'),
('3061', 'Venezuela', 'de', '0', '0'),
('3062', 'Wallis und Futuna', 'de', '0', '0'),
('3063', 'Jemen', 'de', '0', '0'),
('3064', 'Sambia', 'de', '0', '0'),
('3065', 'Simbabwe', 'de', '0', '0'),
('3066', 'Port', 'de', '0', '0'),
('3067', 'Größe des Textfeldes', 'de', '0', '0'),
('3068', 'Ausgeblendet', 'de', '0', '0'),
('3069', 'Das Seiten-Caching für nicht angemeldete Benutzer, sowie die CSS- und JavaScript-Bandbreitenoptimierung aktivieren oder deaktivieren.', 'de', '0', '0'),
('3070', 'Syslog', 'de', '0', '0'),
('3071', 'Schlüssel', 'de', '0', '0'),
('3072', 'Aktivierte Sprachen', 'de', '0', '0'),
('3073', 'OPML-Import', 'de', '0', '0'),
('3074', 'OPML-Datei', 'de', '0', '0'),
('3075', 'Internet-Browser', 'de', '0', '0'),
('3076', 'Dieser Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('3077', 'Startseite', 'de', '0', '0'),
('3078', 'Sprachen', 'de', '0', '0'),
('3079', 'Zulässige Werteliste', 'de', '0', '0'),
('3080', 'Heute', 'de', '0', '0'),
('3081', 'Minimale Höhe', 'de', '0', '0'),
('3082', 'Minimale Breite', 'de', '0', '0'),
('3083', 'Auswahlliste', 'de', '0', '0'),
('3084', 'Textfeld', 'de', '0', '0'),
('3085', 'Lang', 'de', '0', '0'),
('3086', 'Kurz', 'de', '0', '0'),
('3087', 'Zufällig', 'de', '0', '0'),
('3088', 'Leer', 'de', '0', '0'),
('3089', 'Pfad-Alias', 'de', '0', '0'),
('3090', 'beliebig', 'de', '0', '0'),
('3091', 'Auswahl', 'de', '0', '0'),
('3092', 'Zeichen', 'de', '0', '0'),
('3093', 'So', 'de', '0', '0'),
('3094', 'Mo', 'de', '0', '0'),
('3095', 'Di', 'de', '0', '0'),
('3096', 'Mi', 'de', '0', '0'),
('3097', 'Do', 'de', '0', '0'),
('3098', 'Fr', 'de', '0', '0'),
('3099', 'Sa', 'de', '0', '0'),
('3100', 'Info', 'de', '0', '0'),
('3101', 'Benutzer', 'de', '0', '0'),
('3102', 'Keine Statistiken verfügbar.', 'de', '0', '0'),
('3103', 'Aktivierte Filter', 'de', '0', '0'),
('3104', 'Kritisch', 'de', '0', '0'),
('3105', 'Umfrageeinstellungen', 'de', '0', '0'),
('3106', 'Diese Tabelle beinhaltet alle Stimmen der Umfrage. Wenn anonyme Benutzer berechtigt sind abzustimmen, werden sie durch ihre IP Adresse des Computers, den sie zum Abstimmen benutzt haben, identifiziert.', 'de', '0', '0'),
('3107', 'Session', 'de', '0', '0'),
('3108', 'Berechtigungen', 'de', '0', '0'),
('3109', 'Die Einstellungen wurden gespeichert.', 'de', '0', '0'),
('3110', 'Cron', 'de', '0', '0'),
('3111', 'Installiert', 'de', '0', '0'),
('3112', 'Erstellungsdatum', 'de', '0', '0'),
('3113', 'Testmodus', 'de', '0', '0'),
('3114', 'Standard', 'de', '0', '0'),
('3115', 'Åland', 'de', '0', '0'),
('3116', 'Falklandinseln', 'de', '0', '0'),
('3117', 'St. Kitts und Nevis', 'de', '0', '0'),
('3118', 'Südkorea', 'de', '0', '0'),
('3119', 'St. Lucia', 'de', '0', '0'),
('3120', 'St. Helena', 'de', '0', '0'),
('3121', 'São Tomé und Príncipe', 'de', '0', '0'),
('3122', 'Französische Süd- und Antarktisgebiete', 'de', '0', '0'),
('3123', 'St. Vincent und die Grenadinen', 'de', '0', '0'),
('3124', 'Britische Jungferninseln', 'de', '0', '0'),
('3125', 'Amerikanische Jungferninseln', 'de', '0', '0'),
('3126', 'Vietnam', 'de', '0', '0'),
('3127', 'Guernsey', 'de', '0', '0'),
('3128', 'Jersey', 'de', '0', '0'),
('3129', 'Einstellungen für %type', 'de', '0', '0'),
('3130', 'Unformatiert', 'de', '0', '0'),
('3131', 'Formate', 'de', '0', '0'),
('3132', 'Zugelassene Dateiendungen', 'de', '0', '0'),
('3133', 'Neue Kommentare', 'de', '0', '0'),
('3134', 'Weiterleiten zu URL', 'de', '0', '0'),
('3135', 'Oben links', 'de', '0', '0'),
('3136', 'Oben rechts', 'de', '0', '0'),
('3137', 'Unten rechts', 'de', '0', '0'),
('3138', 'Unten links', 'de', '0', '0'),
('3139', 'Bild', 'de', '0', '0'),
('3140', 'Der Benutzername des Benutzers, dem die Eigentümerschaft übertragen werden soll.', 'de', '0', '0'),
('3141', 'Die definierten Aktionen der Website verwalten.', 'de', '0', '0'),
('3142', 'Aktion löschen', 'de', '0', '0'),
('3143', 'Die Aktion wurde erfolgreich gespeichert.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('3144', 'Die Aktion %aid (%action) wurde gelöscht', 'de', '0', '0'),
('3145', 'Die Aktion ‚%action‘ wurde hinzugefügt.', 'de', '0', '0'),
('3146', 'Verwaiste Aktionen entfernen', 'de', '0', '0'),
('3147', 'Sie sind hier', 'de', '0', '0'),
('3148', 'Verarbeitung läuft …', 'de', '0', '0'),
('3149', 'Abgeschlossen', 'de', '0', '0'),
('3150', 'Verknüpfungen', 'de', '0', '0'),
('3151', 'Verknüpfung', 'de', '0', '0'),
('3152', 'Standardwert', 'de', '0', '0'),
('3153', 'Zeitzone', 'de', '0', '0'),
('3154', 'Passwortstärke:', 'de', '0', '0'),
('3155', 'Passwörter stimmen überein:', 'de', '0', '0'),
('3156', 'Alternativtext', 'de', '0', '0'),
('3157', 'Zuweisen', 'de', '0', '0'),
('3158', 'Nicht übersetzt', 'de', '0', '0'),
('3159', 'Aufgaben', 'de', '0', '0'),
('3160', 'Grundeinstellungen', 'de', '0', '0'),
('3161', 'Menüs anzeigen', 'de', '0', '0'),
('3162', 'Menü anpassen', 'de', '0', '0'),
('3163', 'Britisches Territorium im Indischen Ozean', 'de', '0', '0'),
('3164', 'Kroatien', 'de', '0', '0'),
('3165', 'Mazedonien', 'de', '0', '0'),
('3166', 'Pitcairn', 'de', '0', '0'),
('3167', 'Westsahara', 'de', '0', '0'),
('3168', 'Ursprünglicher Name', 'de', '0', '0'),
('3169', 'Oberhalb', 'de', '0', '0'),
('3170', 'Anzahl von Werten', 'de', '0', '0'),
('3171', 'Weiteres Element hinzufügen', 'de', '0', '0'),
('3172', 'Felder verwalten', 'de', '0', '0'),
('3173', 'Getrimmt', 'de', '0', '0'),
('3174', 'Verwendet in', 'de', '0', '0'),
('3175', 'Vorhandenes Feld hinzufügen', 'de', '0', '0'),
('3176', 'Sollte sich in diesem Feld irgendwelche Inhalte befinden, gehen diese verloren. Diese Aktion kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('3177', 'Feldeinstellungen speichern', 'de', '0', '0'),
('3178', 'Die Aktualisierung hat einen Fehler festgestellt.', 'de', '0', '0'),
('3179', '1 Element wurde erfolgreich verarbeitet:', 'de', '0', '0'),
('3180', '@count Elemente wurden erfolgreich verarbeitet:', 'de', '3179', '1'),
('3182', 'Dezimalzahl', 'de', '0', '0'),
('3183', 'Fließkommazahl', 'de', '0', '0'),
('3184', 'Minimum', 'de', '0', '0'),
('3185', 'Genauigkeit', 'de', '0', '0'),
('3186', 'Die gesamte Anzahl der in der Datenbank zu speichernden Stellen, einschließlich der rechts vom Dezimaltrennzeichen angegebenen.', 'de', '0', '0'),
('3187', 'Die Anzahl der rechts vom Dezimaltrennzeichen angegebenen Stellen.', 'de', '0', '0'),
('3188', 'Dezimalzeichen', 'de', '0', '0'),
('3189', 'Das von Benutzern in Formularen als Dezimalzeichen zu verwendende Symbol.', 'de', '0', '0'),
('3190', 'Definiert einen numerischen Feldtyp.', 'de', '0', '0'),
('3191', 'Für ein einzelnes „an/aus“ Kontrollkästchen-Steuerelement sollte zuerst der ‚aus‘ Wert und dann der ‚an‘ Wert im Bereich der <strong>gültigen Werte</strong> angegeben werden. Das Kontrollkästchen wird mit der Beschriftung des ‚an‘ Wertes beschriftet.', 'de', '0', '0'),
('3192', 'Kontrollkästchen/Auswahlknöpfe', 'de', '0', '0'),
('3193', 'Einzelnes an/aus Kontrollkästchen', 'de', '0', '0'),
('3194', 'Definiert Auswahlfeld-, Kontrollkästchen- und Auswahlknopf-Steuerelemente für Texte und numerische Felder.', 'de', '0', '0'),
('3195', 'Textfeld (mehrere Zeilen)', 'de', '0', '0'),
('3196', 'Definiert einfache Textfeld-Typen.', 'de', '0', '0'),
('3197', 'Index', 'de', '0', '0'),
('3198', 'Lesbare URLs aktivieren', 'de', '0', '0'),
('3199', 'Permanenter Link', 'de', '0', '0'),
('3200', 'Einstellungen für die jeweilige Theme-Engine', 'de', '0', '0'),
('3201', 'Debuggen', 'de', '0', '0'),
('3202', 'Exception', 'de', '0', '0'),
('3203', 'Inkompatibel mit dieser PHP-Version', 'de', '0', '0'),
('3204', 'Dieses Modul benötigt die PHP-Version @php_required und ist inkompatibel mit der PHP-Version !php_version.', 'de', '0', '0'),
('3205', 'Weitere Informationen', 'de', '0', '0'),
('3206', '!title !required', 'de', '0', '0'),
('3207', 'Debug', 'de', '0', '0'),
('3208', 'Linktitel des Menüpunkts', 'de', '0', '0'),
('3209', 'Das Menüsystem speichert nur Systempfade, verwendet aber den URL-Alias für die Anzeige. %link_path wurde als %normal_path gespeichert', 'de', '0', '0'),
('3210', 'Der Pfad ‚@link_path‘ ist entweder ungültig oder der Zugriff wurde verweigert.', 'de', '0', '0'),
('3211', 'Beim Speichern des Menü-Links trat ein Fehler auf.', 'de', '0', '0'),
('3212', 'Menüname', 'de', '0', '0'),
('3213', 'Möchten Sie das benutzerdefinierte Menü %title wirklich löschen?', 'de', '0', '0'),
('3214', '...', 'de', '0', '0'),
('3215', 'RDF', 'de', '0', '0'),
('3216', 'Maximale Dateigröße zum Hochladen', 'de', '0', '0'),
('3217', 'Leerzeichen', 'de', '0', '0'),
('3218', 'Sprachneutral', 'de', '0', '0'),
('3219', 'Weitere Hilfe', 'de', '0', '0'),
('3220', 'Konto gesperrt', 'de', '0', '0'),
('3221', 'Aufklappen', 'de', '0', '0'),
('3222', 'Info', 'de', '0', '0'),
('3223', 'OpenID-Umleitung', 'de', '0', '0'),
('3224', 'OpenID-Anmeldung', 'de', '0', '0'),
('3225', 'OpenID löschen', 'de', '0', '0'),
('3226', 'Mit OpenID anmelden', 'de', '0', '0'),
('3227', 'OpenID-Anmeldung abbrechen', 'de', '0', '0'),
('3228', 'Was ist OpenID?', 'de', '0', '0'),
('3229', 'OpenID-Anmeldung ist fehlgeschlagen.', 'de', '0', '0'),
('3230', 'OpenID-Anmeldung wurde abgebrochen.', 'de', '0', '0'),
('3231', '%identity wurde erfolgreich hinzugefügt', 'de', '0', '0'),
('3232', 'OpenID', 'de', '0', '0'),
('3233', 'Eine OpenID hinzufügen', 'de', '0', '0'),
('3234', 'Diese OpenID wird auf dieser Website bereits verwendet.', 'de', '0', '0'),
('3235', 'Soll die OpenID %authname für %user wirklich gelöscht werden?', 'de', '0', '0'),
('3236', 'OpenID wurde gelöscht.', 'de', '0', '0'),
('3237', 'Menü bearbeiten', 'de', '0', '0'),
('3238', 'Overlay', 'de', '0', '0'),
('3239', 'Größe ändern', 'de', '0', '0'),
('3240', 'Definiert einen Datei-Feldtypen.', 'de', '0', '0'),
('3241', 'ok', 'de', '0', '0'),
('3242', 'Fehler beim Speichern des Benutzerkontos.', 'de', '0', '0'),
('3243', 'Die Zuweisung der Aktion %action wurde aufgehoben.', 'de', '0', '0'),
('3244', 'Parser', 'de', '0', '0'),
('3245', 'Verwerfe Einträge, die älter sind als', 'de', '0', '0'),
('3246', '@site_name - gesammelte Feeds in Kategorie @title', 'de', '0', '0'),
('3247', '@site_name - Gesammelte Feeds', 'de', '0', '0'),
('3248', '@site_name Aggregator', 'de', '0', '0'),
('3249', '!title Feed', 'de', '0', '0'),
('3250', 'Sammlung von Newsfeeds', 'de', '0', '0'),
('3251', 'HTTP-Authentifizierung', 'de', '0', '0'),
('3252', 'Neue Feed-Einträge werden automatisch in den markierten Kategorien eingefügt.', 'de', '0', '0'),
('3253', 'AJAX', 'de', '0', '0'),
('3254', 'Kontext', 'de', '0', '0'),
('3255', 'Taxonomie-Vokabular', 'de', '0', '0'),
('3256', '-n/a-', 'de', '0', '0'),
('3257', '@submit Knopf gefunden', 'de', '0', '0'),
('3258', 'Fehler beim Setzen des Feldes @name auf @value', 'de', '0', '0'),
('3259', 'Keine temporären Verzeichnisse zu löschen.', 'de', '0', '0'),
('3260', 'Tests für den Drupal Kern und die aktivierten Module ausführen. Diese Tests helfen dabei sicherzustellen, dass Ihre Site wie erwartet funktioniert.', 'de', '0', '0'),
('3261', 'Palästinensische Gebiete', 'de', '0', '0'),
('3262', 'Vatikan', 'de', '0', '0'),
('3263', 'Hervorheben', 'de', '0', '0'),
('3264', 'Nachricht senden', 'de', '0', '0'),
('3265', 'Maschinenlesbarer Name', 'de', '0', '0'),
('3266', 'Vergrößern erlauben', 'de', '0', '0'),
('3267', 'Bilder über die Originalgröße hinaus vergrößern', 'de', '0', '0'),
('3268', 'Rotationswinkel', 'de', '0', '0'),
('3269', 'Winkel in Grad, um den das Bild gedreht wird. Positive Zahlen sind im Uhrzeigersein, negative entgegen dem Uhrzeigersinn.', 'de', '0', '0'),
('3270', 'Den Rotationswinkel für jedes Bild zufällig auswählen. Der oben angegebene Winkel wird als Maximum verwendet.', 'de', '0', '0'),
('3271', 'Drucken', 'de', '0', '0'),
('3272', 'Gesperrt', 'de', '0', '0'),
('3273', 'Benutzerkonto', 'de', '0', '0'),
('3274', 'Alle', 'de', '0', '0'),
('3275', 'Bei verfügbaren Aktualisierungen folgende E-Mail-Adressen benachrichtigen', 'de', '0', '0'),
('3276', 'Immer wenn die Website auf verfügbare Aktualisierungen prüft und neue Veröffentlichungen findet, kann eine Liste von Benutzern per E-Mail benachrichtigt werden. Geben Sie eine E-Mail-Adresse pro Zeile an. Es wird keine E-Mail verschickt, wenn das Feld leer gelassen wird.', 'de', '0', '0'),
('3277', 'Auf Aktualisierungen prüfen', 'de', '0', '0'),
('3278', 'Alle neueren Versionen', 'de', '0', '0'),
('3279', 'Nur Sicherheitsupdates', 'de', '0', '0'),
('3280', '%email ist keine zulässige E-Mail-Adresse.', 'de', '0', '0'),
('3281', '%emails sind keine zulässigen E-Mail-Adressen.', 'de', '0', '0'),
('3282', 'Keine Daten zu Aktualisierungen verfügbar', 'de', '0', '0'),
('3283', 'Unsicher!', 'de', '0', '0'),
('3284', 'Zurückgezogen!', 'de', '0', '0'),
('3285', 'Veröffentlichung ist nicht unterstützt', 'de', '0', '0'),
('3286', 'Der Status konnte nicht ermittelt werden', 'de', '0', '0'),
('3287', '(Version @version ist verfügbar)', 'de', '0', '0'),
('3288', 'Weitere Information zu verfügbaren Aktualisierungen:', 'de', '0', '0'),
('3289', 'Neue Veröffentlichung(en) für !site_name verfügbar', 'de', '0', '0'),
('3290', 'Für diese Drupal-Version steht ein Sicherheitsupdate zur Verfügung. Um die Sicherheit des Servers sicherzustellen, sollte umgehend aktualisiert werden!', 'de', '0', '0'),
('3291', 'Diese Version von Drupal ist zurückgezogen worden und kann nicht mehr heruntergeladen werden. Die Aktualisierung wird dringend empfohlen!', 'de', '0', '0'),
('3292', 'Die installierte Version von mindestens einem Modul oder Theme wurde zurückgezogen und kann nicht mehr heruntergeladen werden. Die Aktualisierung oder Deaktivierung wird dringend empfohlen!', 'de', '0', '0'),
('3293', 'Diese Version von Drupal wird nicht länger unterstützt. Die Aktualisierung wird dringend empfohlen!', 'de', '0', '0'),
('3294', 'Für diese Drupal Version sind Aktualisierungen verfügbar. Um die einwandfreie Funktion der Website zu gewährleisten, sollte umgehend aktualisiert werden.', 'de', '0', '0'),
('3295', 'Weitere Information befindet sich auf der Seite der <a href="@available_updates">verfügbaren Aktualisierungen</a>.', 'de', '0', '0'),
('3296', 'Das Projekt ist unsicher', 'de', '0', '0'),
('3297', 'Dieses Projekt wurde von Drupal-Sicherheitsteam als unsicher eingestuft und kann nicht mehr heruntergeladen werden. Es wird dringend empfohlen alles was dieses Projekt beinhaltet zu deaktivieren!', 'de', '0', '0'),
('3298', 'Das Projekt wurde zurückgezogen', 'de', '0', '0'),
('3299', 'Dieses Projekt wurde zurückgezogen und kann nicht mehr heruntergeladen werden. Es wird dringend empfohlen alles was dieses Projekt beinhaltet zu deaktivieren!', 'de', '0', '0'),
('3300', 'Das Projekt wird nicht mehr unterstützt', 'de', '0', '0'),
('3301', 'Dieses Projekt wird nicht länger unterstützt und kann nicht mehr heruntergeladen werden. Es wird dringend empfohlen alles was dieses Projekt beinhaltet zu deaktivieren!', 'de', '0', '0'),
('3302', 'Keine verfügbaren Veröffentlichungen gefunden', 'de', '0', '0'),
('3303', 'Die Veröffentlichung wurde zurückgezogen', 'de', '0', '0'),
('3304', 'Die aktuell installierte Veröffentlichung wurde zurückgezogen und kann nicht mehr heruntergeladen werden. Alle Bestandteile dieser Veröffentlichung sollten umgehend deaktiviert oder aktualisiert werden!', 'de', '0', '0'),
('3305', 'Die Veröffentlichung ist nicht unterstützt', 'de', '0', '0'),
('3306', 'Die aktuell installierte Veröffentlichung wird nicht mehr unterstützt und kann nicht mehr heruntergeladen werden. Alle Bestandteile dieser Veröffentlichung sollten umgehend deaktiviert oder aktualisiert werden!', 'de', '0', '0'),
('3307', 'Falsche Information', 'de', '0', '0'),
('3308', 'Sicherheitsupdate erforderlich!', 'de', '0', '0'),
('3309', 'Nicht unterstützt!', 'de', '0', '0'),
('3310', 'Empfohlene Version:', 'de', '0', '0'),
('3311', 'Sicherheitsupdate:', 'de', '0', '0'),
('3312', 'Neuste Version:', 'de', '0', '0'),
('3313', 'Entwicklungsversion:', 'de', '0', '0'),
('3314', 'Außerdem verfügbar:', 'de', '0', '0'),
('3315', 'Anzahl der Beiträge', 'de', '0', '0'),
('3316', 'Direkt zum Inhalt', 'de', '0', '0'),
('3317', '@title', 'de', '0', '0'),
('3318', 'Darstellung durch Beschreibungen erweitern.', 'de', '0', '0'),
('3319', 'Kompakte Darstellung durch Ausblenden von Beschreibungen.', 'de', '0', '0'),
('3320', 'Oder', 'de', '0', '0'),
('3321', 'Inhalts-ID', 'de', '0', '0'),
('3322', 'Über', 'de', '0', '0'),
('3323', 'Berichte', 'de', '0', '0'),
('3324', 'Zum Einfügen weiterer Auswahlfelder bitte hier klicken.', 'de', '0', '0'),
('3325', 'Installationsprofil', 'de', '0', '0'),
('3326', 'Dateiverzeichnis', 'de', '0', '0'),
('3327', 'Standard-Theme', 'de', '0', '0'),
('3328', 'Die Zugriffsberechtigungen für den Inhalt wurden neu aufgebaut.', 'de', '0', '0'),
('3329', 'Inhalt veröffentlichen', 'de', '0', '0'),
('3330', 'Stacküberlauf: Zu viele Aufrufe von actions_do(). Um eine Endlosschleife zu verhindern, wird abgebrochen.', 'de', '0', '0'),
('3331', 'Die Aktion ‚%action‘ wurde gespeichert.', 'de', '0', '0'),
('3332', 'Auf der <a href="@url">Trigger</a>-Seite können diese Aktionen den entsprechenden Systemereignissen zuordnen.', 'de', '0', '0'),
('3333', 'Aktionen verwalten', 'de', '0', '0'),
('3334', 'Eine erweiterte Aktion konfigurieren', 'de', '0', '0'),
('3335', 'Eine Aktion löschen.', 'de', '0', '0'),
('3336', 'Verwaiste Aktionen entfernen', 'de', '0', '0'),
('3337', 'Trigger', 'de', '0', '0'),
('3338', 'Die Zuweisung einer Aktion zu einem Trigger aufheben.', 'de', '0', '0'),
('3339', 'Eine erweiterte Aktion auswählen', 'de', '0', '0'),
('3340', 'Aktionstyp', 'de', '0', '0'),
('3341', 'Soll die Aktion %action wirklich gelöscht werden?', 'de', '0', '0'),
('3342', 'Aktion %action wurde gelöscht', 'de', '0', '0'),
('3343', 'Die verwaiste Aktion (%action) wurde gelöscht.', 'de', '0', '0'),
('3344', 'Soll die Zuweisung der Aktion %title aufgehoben werden?', 'de', '0', '0'),
('3345', 'Diese kann auf Wunsch später wieder zugewiesen werden.', 'de', '0', '0'),
('3346', 'Zuweisung aufheben', 'de', '0', '0'),
('3347', 'Aktion auswählen', 'de', '0', '0'),
('3348', 'Die gewählte Aktion ist bereits diesem Trigger zugeordnet.', 'de', '0', '0'),
('3349', 'Wenn Cron läuft', 'de', '0', '0'),
('3350', 'Die URL an die der Benutzer weitergeleitet werden soll. Dies kann eine interne URL wie node/1234 oder eine externe URL wie http://drupal.org sein.', 'de', '0', '0'),
('3351', 'Wenn Inhalt von einem angemeldeten Benutzer betrachtet wird', 'de', '0', '0'),
('3352', 'Dem Benutzer eine Nachricht anzeigen', 'de', '0', '0'),
('3353', 'Kommentar zurücknehmen', 'de', '0', '0'),
('3354', 'Veröffentlichung von Kommentaren mit bestimmten Schlüsselwörtern zurückziehen', 'de', '0', '0'),
('3355', 'Aktuellen Benutzer sperren', 'de', '0', '0'),
('3356', 'IP Adresse des aktuellen Benutzers bannen', 'de', '0', '0'),
('3357', '@type %title wurde veröffentlicht.', 'de', '0', '0'),
('3358', 'Die Veröffentlichung von @type %title wurde zurückgezogen.', 'de', '0', '0'),
('3359', '@type %title an den Anfang von Listen setzen.', 'de', '0', '0'),
('3360', '@type %title am Anfang von Listen entfernen.', 'de', '0', '0'),
('3361', '@type %title wird auf der Startseite angezeigt.', 'de', '0', '0'),
('3362', '@type %title von der Startseite entfernt.', 'de', '0', '0'),
('3363', '@type %title gespeichert', 'de', '0', '0'),
('3364', 'Besitzer von @type %title auf %name geändert.', 'de', '0', '0'),
('3365', 'Nach dem Speichern eines neuen Kommentars', 'de', '0', '0'),
('3366', 'Nach dem Speichern eines aktualisierten Kommentars', 'de', '0', '0'),
('3367', 'Nach dem Löschen eines Kommentars', 'de', '0', '0'),
('3368', 'Wenn ein Kommentar von einem authentifizierten Benutzer angesehen wird', 'de', '0', '0'),
('3369', 'Die Veröffentlichung des Kommentars %subject wurde zurückgezogen.', 'de', '0', '0'),
('3370', 'Nachdem ein Benutzer gelöscht wurde', 'de', '0', '0'),
('3371', 'Nachdem sich ein Benutzer angemeldet hat', 'de', '0', '0'),
('3372', 'Nachdem sich ein Benutzer abgemeldet hat', 'de', '0', '0'),
('3373', 'Wenn ein Benutzerprofil angezeigt wird', 'de', '0', '0'),
('3374', 'Benutzer %name wurde gesperrt.', 'de', '0', '0'),
('3375', 'Gebannte IP Adresse %ip', 'de', '0', '0'),
('3376', 'Nachdem ein neuer Begriff in der Datenbank gespeichert wird', 'de', '0', '0'),
('3377', 'Nachdem ein aktualisierter Begriff in der Datenbank gespeichert wird', 'de', '0', '0'),
('3378', 'Nachdem ein Begriff gelöscht wurde', 'de', '0', '0'),
('3379', 'Ermöglicht Aktionen auf bestimmte Systemereignisse auszulösen, z.B. wenn neuer Inhalt erstellt wurde.', 'de', '0', '0'),
('3380', '- Auswählen -', 'de', '0', '0'),
('3381', 'Pfadpräfix', 'de', '0', '0'),
('3382', 'Übersetzung ist auf dem aktuellen Stand', 'de', '0', '0'),
('3383', 'Übersetzung ist veraltet', 'de', '0', '0'),
('3384', 'Neue Beiträge', 'de', '0', '0'),
('3385', 'mm/tt/jj', 'de', '0', '0'),
('3386', 'Übersetzen', 'de', '0', '0'),
('3387', 'Die zu importierende Datei wurde nicht gefunden.', 'de', '0', '0'),
('3388', '@name erstellen', 'de', '0', '0'),
('3389', 'Das benutzerdefinierte Menü %title wurde gelöscht.', 'de', '0', '0'),
('3390', '@type %title wurde gelöscht.', 'de', '0', '0'),
('3391', 'Zuschneiden', 'de', '0', '0'),
('3392', 'Nicht aktiviert', 'de', '0', '0'),
('3393', 'Eine Hilfestellung, die dem Benutzer unter diesem Feld im Eingabeformular angezeigt wird.<br />Zulässige HTML-Tags: @tags', 'de', '0', '0'),
('3394', '@module (<span class="admin-disabled">deaktiviert</span>)', 'de', '0', '0'),
('3395', '@module (<span class="admin-enabled">aktiviert</span>)', 'de', '0', '0'),
('3396', 'Web-Dienste', 'de', '0', '0'),
('3397', 'Die E-Mail-Adresse %email wird bereits verwendet.', 'de', '0', '0'),
('3398', 'Effekt', 'de', '0', '0'),
('3399', 'Fehlermeldung', 'de', '0', '0'),
('3400', 'Buch ändern (übergeordneten Buchseitenliste aktualisieren)', 'de', '0', '0'),
('3401', 'Ein neues Buch erstellen', 'de', '0', '0'),
('3402', 'Reihenfolge und Titel bearbeiten', 'de', '0', '0'),
('3403', 'Verwaltung der Inhaltsverzeichnisse für Bücher dieser Website', 'de', '0', '0'),
('3404', 'Aus Sicherheitsgründen wurde die hochgeladene Datei in %filename umbenannt.', 'de', '0', '0'),
('3405', 'Installierte Version', 'de', '0', '0'),
('3406', 'Empfohlene Version', 'de', '0', '0'),
('3407', 'Cron wurde erfolgreich abgearbeitet.', 'de', '0', '0'),
('3408', 'Original', 'de', '0', '0'),
('3409', 'Termine', 'de', '0', '0'),
('3410', 'Pixel', 'de', '0', '0'),
('3411', '1 Monat', 'de', '0', '0'),
('3412', '@count Monate', 'de', '3411', '1'),
('3414', 'Reihenfolge speichern', 'de', '0', '0'),
('3415', 'fertig', 'de', '0', '0'),
('3416', 'Benutzerdefiniertes Format', 'de', '0', '0'),
('3417', 'Richtung', 'de', '0', '0'),
('3418', '%name: ungültiger Wert.', 'de', '0', '0'),
('3419', '%title bearbeiten', 'de', '0', '0'),
('3420', 'Drupal-Kern', 'de', '0', '0'),
('3421', 'Anzeige des Buchnavigationsblocks', 'de', '0', '0'),
('3422', 'Beziehungen', 'de', '0', '0'),
('3423', 'Kein Inhalt verfügbar.', 'de', '0', '0'),
('3424', 'Danke, dass Sie ein Benutzerkonto angefordert haben. Ihr Benutzerkonto muss noch vom Administrator der Website freigeschaltet werden.<br />In der Zwischenzeit wurde eine Willkommens-E-Mail mit einer Anleitung an Ihre Adresse geschickt.', 'de', '0', '0'),
('3425', 'Demokratische Republik Kongo', 'de', '0', '0'),
('3426', 'Republik Kongo', 'de', '0', '0'),
('3427', 'Elfenbeinküste', 'de', '0', '0'),
('3428', 'Hongkong', 'de', '0', '0'),
('3429', 'Isle of Man', 'de', '0', '0'),
('3430', 'Montenegro', 'de', '0', '0'),
('3431', 'Macao', 'de', '0', '0'),
('3432', 'Saint-Pierre und Miquelon', 'de', '0', '0'),
('3433', 'Serbien', 'de', '0', '0'),
('3434', 'Warnmeldung', 'de', '0', '0'),
('3435', 'Die angegebene Datei %file konnte nicht kopiert werden, da keine Datei mit diesem Namen vorhanden ist. Bitte überprüfen Sie, dass der Dateiname korrekt angegeben wurde.', 'de', '0', '0'),
('3436', 'Die angegebene Datei %file wurde nicht kopiert, da diese sich selbst überschreiben würde.', 'de', '0', '0'),
('3437', 'Die Datei %file konnte nicht gespeichert werden, weil die maximal zulässige Größe von %maxsize für hochgeladene Dateien überschritten wurde.', 'de', '0', '0'),
('3438', 'Die angegebene Datei %name konnte nicht hochgeladen werden.', 'de', '0', '0'),
('3439', 'Der Name der Datei ist leer. Bitte geben Sie der Datei einen Namen.', 'de', '0', '0'),
('3440', 'Nur Dateien mit folgenden Erweiterungen sind zulässig: %files-allowed.', 'de', '0', '0'),
('3441', 'Die Dateigröße beträgt %filesize und überschreitet damit die maximale Dateigröße von %maxsize.', 'de', '0', '0'),
('3442', 'Die Dateigröße beträgt %filesize und würde damit ihren persönlich verfügbaren Festplattenplatz von %quota überschreiten.', 'de', '0', '0'),
('3443', 'Nur JPEG-, PNG- und GIF-Bilder sind zulässig.', 'de', '0', '0'),
('3444', 'Die Bildgröße wurde an die maximal zulässigen Abmessungen von %dimensions Pixel angepasst.', 'de', '0', '0'),
('3445', 'Das Bild ist zu groß, die maximal zulässigen Abmessungen sind %dimensions Pixel.', 'de', '0', '0'),
('3446', 'Das Bild ist zu klein, die minimalen Abmessungen sind %dimensions Pixel.', 'de', '0', '0'),
('3447', 'Die Datei %path wurde nicht gelöscht, weil diese nicht vorhanden ist.', 'de', '0', '0'),
('3448', 'Fehler beim Hochladen. Die hochgeladene Datei %file konnte nicht zum Ziel %destination verschoben werden.', 'de', '0', '0'),
('3449', 'Stark', 'de', '0', '0'),
('3450', 'Neue Gruppe', 'de', '0', '0'),
('3451', 'veraltet', 'de', '0', '0'),
('3452', '<strong>@language_name</strong> (Quelle)', 'de', '0', '0'),
('3453', 'Übersetzung hinzufügen', 'de', '0', '0'),
('3454', 'Übersetzungen von %title', 'de', '0', '0'),
('3455', 'Ermöglicht das Identifizieren, Kategorisieren und Klassifizieren von Inhalten.', 'de', '0', '0'),
('3456', 'cURL', 'de', '0', '0'),
('3457', 'Durchgang', 'de', '0', '0'),
('3458', 'Fehler', 'de', '0', '0'),
('3459', 'Keine Testergebnisse zum Anzeigen.', 'de', '0', '0'),
('3460', 'Speichern und fortfahren', 'de', '0', '0'),
('3461', 'Leerzeichen sind erlaubt. Satzzeichen sind mit Ausnahme von Punkten, Bindestrichen und Unterstrichen nicht erlaubt.', 'de', '0', '0'),
('3462', 'IP-Adresse', 'de', '0', '0'),
('3463', 'Maximale Höhe', 'de', '0', '0'),
('3464', 'Maximale Breite', 'de', '0', '0'),
('3465', 'Osttimor', 'de', '0', '0'),
('3466', 'Haupt-Reiter', 'de', '0', '0'),
('3467', 'Sekundäre Reiter', 'de', '0', '0'),
('3468', 'Neuen Inhalt hinzufügen', 'de', '0', '0'),
('3469', 'Boolesch', 'de', '0', '0'),
('3470', 'Maximale Bildauflösung', 'de', '0', '0'),
('3471', 'Erste Seitenleiste', 'de', '0', '0'),
('3472', 'Dezimalpunkt', 'de', '0', '0'),
('3473', 'Inhaltsverzeichnis', 'de', '0', '0'),
('3474', 'Dies wird die Einstiegsseite dieses Buches.', 'de', '0', '0'),
('3475', 'Versionsinformation', 'de', '0', '0'),
('3476', 'Kommentar anzeigen', 'de', '0', '0'),
('3477', 'Komma', 'de', '0', '0'),
('3478', 'Verwendet', 'de', '0', '0'),
('3479', 'Aktueller Benutzer', 'de', '0', '0'),
('3480', 'Zusammenfassung', 'de', '0', '0'),
('3481', 'Standardbild', 'de', '0', '0'),
('3482', 'Dieser Text wird von Screenreadern und Suchmaschinen oder dann verwendet, wenn das Bild nicht geladen werden kann.', 'de', '0', '0'),
('3483', 'Links auflisten', 'de', '0', '0'),
('3484', 'MIME-Typ', 'de', '0', '0'),
('3485', 'Werkzeugleiste', 'de', '0', '0'),
('3486', 'Erstellt in', 'de', '0', '0'),
('3487', 'Kommentar: Kommentar nicht erlaubt oder Kommentar zu einem geschlossenen Beitrag %subject.', 'de', '0', '0'),
('3488', 'Weblog von !name', 'de', '0', '0'),
('3489', 'E-Mail:', 'de', '0', '0'),
('3490', 'Dashboard', 'de', '0', '0'),
('3491', 'Suchindex', 'de', '0', '0'),
('3492', 'Die Größe der Datei.', 'de', '0', '0'),
('3493', 'Der MIME-Typ der Datei.', 'de', '0', '0'),
('3494', '@type %title wurde erstellt.', 'de', '0', '0'),
('3495', '@type %title wurde aktualisiert.', 'de', '0', '0'),
('3496', 'Der Beitrag konnte nicht gespeichert werden.', 'de', '0', '0'),
('3497', '1 Zeichen', 'de', '0', '0'),
('3498', '@count Zeichen', 'de', '3497', '1'),
('3500', 'Filter-Einstellungen', 'de', '0', '0'),
('3501', 'Keine Administrationsobjekte verfügbar.', 'de', '0', '0'),
('3502', 'Hilfethemen', 'de', '0', '0'),
('3503', 'Zu den folgenden Modulen sind weiterführende Informationen vorhanden:', 'de', '0', '0'),
('3504', 'Oberfläche übersetzen', 'de', '0', '0'),
('3505', 'PHP-Erweiterungen', 'de', '0', '0'),
('3506', 'Kommentare pro Seite', 'de', '0', '0'),
('3507', 'Unterstützung von Mehrsprachigkeit', 'de', '0', '0'),
('3508', 'Aktiviert, mit Übersetzung', 'de', '0', '0'),
('3509', 'Kommentar veröffentlichen', 'de', '0', '0'),
('3510', 'Die Datei konnte nicht gespeichert werden.', 'de', '0', '0'),
('3511', 'FTP', 'de', '0', '0'),
('3512', 'Das %file Verzeichnis ist nicht vor Änderung geschützt und stellt ein Sicherheitsrisiko da. Sie müssen die Berechtigungen des Verzeichnisses auf schreibgeschützt ändern. ', 'de', '0', '0'),
('3513', 'Zusammenarbeit', 'de', '0', '0'),
('3514', 'Verwaltungsseiten', 'de', '0', '0'),
('3515', 'Inhaltstyp %type erstellt.', 'de', '0', '0'),
('3516', 'Benutzerkonto mit dem Namen %name und dem Passwort %pass erstellt.', 'de', '0', '0'),
('3517', 'Berechtigungen erstellt: @perms', 'de', '0', '0'),
('3518', 'Ungültige Berechtigung %permission.', 'de', '0', '0'),
('3519', 'Benutzername-Feld gefunden.', 'de', '0', '0'),
('3520', 'Passwort-Feld gefunden.', 'de', '0', '0'),
('3521', '!method @url gab @status (!length) zurück.', 'de', '0', '0'),
('3522', 'Gültiges HTML gefunden in "@path"', 'de', '0', '0'),
('3523', 'Seite erfolgreich analysiert.', 'de', '0', '0'),
('3524', 'Die genannten Formularfelder wurden in @path gefunden', 'de', '0', '0'),
('3525', 'Kein Feld mit der Bezeichnung @name gefunden', 'de', '0', '0'),
('3526', 'Feld mit der id @id gefunden', 'de', '0', '0'),
('3527', 'Kein Feld mit der id @id gefunden', 'de', '0', '0'),
('3528', 'HTTP Antwort !code wurde erwartet, tatsächlich zurückgegeben wurde !curl_code', 'de', '0', '0'),
('3529', 'Auf der Website ist ein unvorhergesehener Fehler aufgetreten. Bitte versuchen Sie es später nochmal.', 'de', '0', '0'),
('3530', 'Tests', 'de', '0', '0'),
('3531', 'Tests durchführen', 'de', '0', '0'),
('3532', 'Testumgebung bereinigen', 'de', '0', '0'),
('3533', 'Entfernen von Tabellen mit dem Präfix „simpletest“ und die temporären Verzeichnisse, die von unvollständigen Tests übrig sind.', 'de', '0', '0'),
('3534', 'Umgebung bereinigen', 'de', '0', '0'),
('3535', 'Keine Tests zum Anzeigen.', 'de', '0', '0'),
('3536', '@pass, @fail und @exception', 'de', '0', '0'),
('3537', 'Kein(e) Test(s) ausgewählt.', 'de', '0', '0'),
('3538', 'Test @num von @max wird verarbeitet - %test.', 'de', '0', '0'),
('3539', '@name: @summary', 'de', '0', '0'),
('3540', 'Test @num von @max verarbeitet - %test.', 'de', '0', '0'),
('3541', '1 Durchgang', 'de', '0', '0'),
('3542', '@count Durchgänge', 'de', '3541', '1'),
('3544', '1 Fehlschlag', 'de', '0', '0'),
('3545', '@count Fehlschläge', 'de', '3544', '1'),
('3547', '1 Ausnahme', 'de', '0', '0'),
('3548', '@count Ausnahmen', 'de', '3547', '1'),
('3550', 'PHP DOMDocument Klasse', 'de', '0', '0'),
('3551', 'Stellt eine Testumgebung für Funktionstests bereit.', 'de', '0', '0'),
('3552', 'Hauptmenü', 'de', '0', '0'),
('3553', 'Es wurde ein neues Benutzerkonto erstellt für <a href="@url">%name</a>. Eine E-Mail wurde nicht versandt.', 'de', '0', '0'),
('3554', 'Die Registrierung war erfolgreich. Sie sind jetzt angemeldet.', 'de', '0', '0'),
('3555', 'Neuer Benutzer: %name (%email).', 'de', '0', '0'),
('3556', 'Auslöseereignis', 'de', '0', '0'),
('3557', 'Link hinzufügen', 'de', '0', '0'),
('3558', 'Kommentare anzeigen', 'de', '0', '0'),
('3559', '%name: Dieses Feld kann nicht mehr als @count Werte aufnehmen.', 'de', '0', '0'),
('3560', 'Keine Felder verfügbar.', 'de', '0', '0'),
('3561', 'Nach dem Speichern von neuem Inhalt', 'de', '0', '0'),
('3562', 'Nach dem Löschen von Inhalt', 'de', '0', '0'),
('3563', 'Vertikale Reiter', 'de', '0', '0'),
('3564', 'Initialisierung.', 'de', '0', '0'),
('3565', 'Es ist ein Fehler aufgetreten.', 'de', '0', '0'),
('3566', 'Bitte gehen Sie zur <a href="@error_url">Fehlerseite</a>', 'de', '0', '0'),
('3567', 'HTTP-POST ist erforderlich.', 'de', '0', '0'),
('3568', 'Diese Seite wird ein Teil des ausgewählten Buches werden.', 'de', '0', '0'),
('3569', 'Alarm', 'de', '0', '0'),
('3570', 'Notfall', 'de', '0', '0'),
('3571', 'Protokollnachrichten filtern', 'de', '0', '0'),
('3572', 'Wählen Sie ein Filterkriterium.', 'de', '0', '0'),
('3573', 'Weitere Auswahlmöglichkeiten', 'de', '0', '0'),
('3574', 'Filter', 'de', '0', '0'),
('3575', 'Der Titel des Kommentars.', 'de', '0', '0'),
('3576', 'Anzahl an Kommentaren', 'de', '0', '0'),
('3577', 'Der Titel des Beitrags.', 'de', '0', '0'),
('3578', 'Der Zeitpunkt zu dem der Beitrag gespeichert wurde.', 'de', '0', '0'),
('3579', 'Heutige Seitenansichten', 'de', '0', '0'),
('3580', 'Kontakt', 'de', '0', '0'),
('3581', 'Mit großgeschriebenem <strong>OR</strong> nach einem von beiden Begriffen suchen. Beispielsweise <strong>Katzen OR Hunde</strong>.', 'de', '0', '0'),
('3582', 'PHP-Filter', 'de', '0', '0'),
('3583', 'Spracheinstellungen', 'de', '0', '0'),
('3584', 'HTTP-Anfragestatus', 'de', '0', '0'),
('3585', 'Fehlgeschlagen', 'de', '0', '0'),
('3586', 'Besucher', 'de', '0', '0'),
('3587', 'Die Maximallänge des Feldes in Zeichen', 'de', '0', '0'),
('3588', 'Maschinenlesbarer Name', 'de', '0', '0'),
('3589', 'Sprache bearbeiten', 'de', '0', '0'),
('3590', 'Links auflisten', 'de', '0', '0'),
('3591', 'Blaue Lagune (Standard)', 'de', '0', '0'),
('3592', 'Die angeforderte Seite konnte nicht gefunden werden.', 'de', '0', '0'),
('3593', 'Das Benutzerkonto %id ist nicht vorhanden.', 'de', '0', '0'),
('3594', 'Es wurde versucht, das nicht vorhandene Benutzerkonto zu löschen: %id.', 'de', '0', '0'),
('3595', 'Nicht erfüllte Systemvoraussetzungen', 'de', '0', '0'),
('3596', 'Wenn die Datenbank von mehreren Anwendungen genutzt wird, geben Sie hier ein Tabellenpräfix wie etwa %prefix für ihre @drupal-Website ein.', 'de', '0', '0'),
('3597', 'Sprache auswählen', 'de', '0', '0'),
('3598', 'Drupal in einer anderen Sprache installieren', 'de', '0', '0'),
('3599', '<ul><li>Um neu zu beginnen, muss die existierende Datenbank geleert werden.</li> <li>Um in eine andere Datenbank zu installieren, passen Sie die entsprechende Datei <em>settings.php</em> im Ordner <em>sites</em> an.</li> <li>Um eine bestehende Installation zu aktualisieren, fahren Sie mit dem <a href="@base-url/update.php">Update-Skript</a> fort.</li> <li>Überprüfen Sie Ihre <a href="@base-url"> existierende Website</a>.</li></ul>', 'de', '0', '0'),
('3600', '@drupal-Installation', 'de', '0', '0'),
('3601', 'Bei der Installation ist ein Fehler aufgetreten.', 'de', '0', '0'),
('3602', 'Website konfigurieren', 'de', '0', '0'),
('3603', 'Das Modul %module wurde installiert.', 'de', '0', '0'),
('3604', 'Profil auswählen', 'de', '0', '0'),
('3605', 'Systemvoraussetzungen überprüfen', 'de', '0', '0'),
('3606', 'Datenbank einrichten', 'de', '0', '0'),
('3607', 'Übersetzungen konfigurieren', 'de', '0', '0'),
('3608', 'Website installieren', 'de', '0', '0'),
('3609', 'Übersetzungen abschließen', 'de', '0', '0'),
('3610', 'E-Mail-Adresse der Website', 'de', '0', '0'),
('3611', 'Die Absenderadresse in automatisierten E-Mails die bei der Registrierung oder bei der Anforderung eines Passworts und bei anderen Benachrichtigungen verwendet wird. (Es sollte eine E-Mail-Adresse verwendet werden, deren Domain mit dieser Website übereinstimmt um das Risiko der Einstufung der E-Mail als Spam zu verringern.)', 'de', '0', '0'),
('3612', 'Auf dieser Website werden Datumsangaben standardmäßig in der gewählten Zeitzone angezeigt.', 'de', '0', '0'),
('3613', 'Aktualisierungsbenachrichtigung', 'de', '0', '0'),
('3614', 'Automatisch nach Aktualisierungen suchen', 'de', '0', '0'),
('3615', 'Die verwaiste Aktion ‚%action‘ wurde aus der Datenbank entfernt.', 'de', '0', '0'),
('3616', 'GD2 Toolkit zur Bildbearbeitung', 'de', '0', '0'),
('3617', 'Das GD-Toolkit ist installiert und funktioniert ordnungsgemäß.', 'de', '0', '0'),
('3618', 'Für das GD-Bild-Toolkit muss das GD Modul für PHP installiert und ordnungsgemäß konfiguriert sein. Nähere Informationen befinden sich in der <a href="@url">PHP-Dokumentation zu Bildern</a>.', 'de', '0', '0'),
('3619', 'Die JPEG-Qualität muss einen Wert zwischen 0 und 100 haben.', 'de', '0', '0'),
('3620', 'Rechts nach links', 'de', '0', '0'),
('3621', 'Links nach rechts', 'de', '0', '0'),
('3622', 'Vordefinierte Sprache', 'de', '0', '0'),
('3623', 'Sprache speichern', 'de', '0', '0'),
('3624', '<a href="@rfc4646">RFC 4646</a> konforme Sprachkennung. Sprachcodes verwenden normalerweise einen Ländercode und optional ein Skript oder einen regional abweichenden Namen. <em>Beispiele: "en", "en-US" und "zh-Hant".</em>', 'de', '0', '0'),
('3625', 'Name der Sprache in Englisch. Diese steht zur Übersetzung in alle Sprachen zur Verfügung.', 'de', '0', '0'),
('3626', 'Ursprüngliche Bezeichnung der Sprache', 'de', '0', '0'),
('3627', 'Der Name der Sprache in der Sprache, die hinzugefügt wird.', 'de', '0', '0'),
('3628', 'Sprachdomain', 'de', '0', '0'),
('3629', 'Die Textrichtung in der diese Sprache angezeigt wird.', 'de', '0', '0'),
('3630', 'Die Sprache %language wurde erstellt und kann nun verwendet werden. Weitere Information auf der <a href="@locale-help">Hilfeseite</a>.', 'de', '0', '0'),
('3631', 'Domain- und Pfadpräfix sollten nicht gleichzeitig festgelegt werden.', 'de', '0', '0'),
('3632', 'Die Domäne (%domain) ist bereits mit einer Sprache (%language) verknüpft.', 'de', '0', '0'),
('3633', 'Nur bei der Standardsprache kann sowohl die Domain und als auch Präfix leer sein.', 'de', '0', '0'),
('3634', 'Das Präfix (%prefix) ist bereits mit einer Sprache (%language) verknüpft.', 'de', '0', '0'),
('3635', 'Die englische Sprache kann nicht gelöscht werden.', 'de', '0', '0'),
('3636', 'Die Standardsprache kann nicht gelöscht werden.', 'de', '0', '0'),
('3637', 'Das Löschen einer Sprache wird alle damit verknüpften Oberflächenübersetzungen entfernen und die Beiträge in dieser Sprache auf Sprachneutral setzen. Diese Aktion kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('3638', 'Die Konfiguration zur Spracherkennung wurde gespeichert.', 'de', '0', '0'),
('3639', 'Englisch (integriert)', 'de', '0', '0'),
('3640', 'Zeichenkette enthält', 'de', '0', '0'),
('3641', 'Sowohl übersetzte als auch nicht übersetzte Zeichenketten', 'de', '0', '0'),
('3642', 'Suche begrenzen auf', 'de', '0', '0'),
('3643', 'Alle Textgruppen', 'de', '0', '0'),
('3644', 'Eine Datei vom Typ „Gettext-Portable-Object“ (<em>.po</em>).', 'de', '0', '0'),
('3645', 'Wählen Sie die Sprache aus, zu der Zeichenketten hinzugefügt werden sollen. Ist die ausgewählte Sprache bisher noch nicht vorhanden, wird sie erstellt.', 'de', '0', '0'),
('3646', 'Textgruppe', 'de', '0', '0'),
('3647', 'Importierte Übersetzungen werden zu dieser Textgruppe hinzugefügt.', 'de', '0', '0'),
('3648', 'Die Sprache %language wurde erstellt.', 'de', '0', '0'),
('3649', 'Die ins Gettext Portable Object (<em>.po</em>) Format zu exportierende Sprache auswählen.', 'de', '0', '0'),
('3650', 'Eine Vorlagendatei vom Typ "Gettext Portable Object " (<em>.pot</em>) mit allen in der lokalen Drupal-Datenbank vorhanden Zeichenketten generieren.', 'de', '0', '0'),
('3651', 'Die übermittelte Zeichenkette enthält unerlaubtes HTML: %string', 'de', '0', '0'),
('3652', 'Die Übersetzung wurde erfolgreich importiert. %number Zeichenketten wurden neu übersetzt, %update Zeichenketten aktualisiert und %delete Zeichenketten entfernt.', 'de', '0', '0'),
('3653', 'Importieren der Oberflächenübersetzung', 'de', '0', '0'),
('3654', 'Import gestartet', 'de', '0', '0'),
('3655', 'Fehler beim Importieren der Oberflächenübersetzung', 'de', '0', '0'),
('3656', 'Es wurde versucht eine Übersetzung mit nicht erlaubtem HTML zu erstellen: %string', 'de', '0', '0'),
('3657', 'Die Sprache %language (%code) wurde erstellt.', 'de', '0', '0'),
('3658', '%file wurde in %locale importiert: %number neue Zeichenketten hinzugefügt, %update aktualisiert und %delete entfernt.', 'de', '0', '0'),
('3659', 'Die JavaScript-Übersetzungsdatei für die Sprache %language wurde aktualisiert.', 'de', '0', '0'),
('3660', 'Die JavaScript-Übersetzungsdatei für die Sprache %language wurde erstellt.', 'de', '0', '0'),
('3661', 'Die JavaScript-Übersetzungsdatei für die Sprache %language wurde entfernt, weil keine Übersetzung in dieser Sprache vorhanden ist.', 'de', '0', '0'),
('3662', 'Während der Erstellung der JavaScript-Übersetzungsdatei für die Sprache %language ist ein Fehler aufgetreten.', 'de', '0', '0'),
('3663', 'Eine Übersetzung wurde ignoriert, weil diese nicht erlaubtes HTML enthielt.', 'de', '0', '0'),
('3664', '@count Übersetzungen wurden ignoriert, weil diese nicht erlaubtes HTML enthielten.', 'de', '3663', '1'),
('3666', 'Eine Übersetzungsdatei wurde für die neu installierten Module importiert.', 'de', '0', '0'),
('3667', '@count Übersetzungsdateien wurden für die neu installierten Module importiert.', 'de', '3666', '1'),
('3669', 'Eine Übersetzungsdatei wurde für die aktivierten Module importiert.', 'de', '0', '0'),
('3670', '@count Übersetzungsdateien wurden für die aktivierten Module importiert.', 'de', '3669', '1'),
('3672', 'Singhalesisch', 'de', '0', '0'),
('3673', 'Fehler beim Senden der E-Mail (von %from an %to).', 'de', '0', '0'),
('3674', 'Der Name des Feeds (oder der Name der Website, die den Feed bereitstellt).', 'de', '0', '0'),
('3675', 'Viele Seiten (vor allem Nachrichtenseiten und Weblogs) veröffentlichen ihre neuesten Schlagzeilen und Beiträge in Feeds mit Hilfe einer Anzahl von standardisierten XML-basierten Formaten. Unterstützte Formate des Aggregator Moduls sind <a href="@rss">RSS</a>, <a href="@rdf">RDF</a> und <a href="@atom">Atom</a>.', 'de', '0', '0'),
('3676', 'Aktuell verwendete Feeds werden unten aufgelistet und <a href="@addfeed">neue können hinzugefügt werden</a>. Um den Feed oder die Kategorie in einem Block (<em>neueste Einträge</em>) anzuzeigen, muss der Feed-Block auf der <a href="@block">Blöcke Verwaltungsseite</a> eingeschaltet werden.', 'de', '0', '0'),
('3677', 'Einen Newsfeed im RSS-, RDF- oder Atom-Format hinzufügen. Ein Feed darf nur einen Eintrag enthalten.', 'de', '0', '0'),
('3678', 'Einträge verschiedener Feeds lassen sich mittels Kategorien gruppieren, wobei jede Kategorie eine eigene Feed-Seite und einen eigenen Block bereitstellt. Ein Beispiel wäre die Zusammenfassung mehrerer Feeds, die sich mit dem Thema Sport befassen, unter der Kategorie <em>Sport</em>. Feed-Beiträge können automatisch oder manuell zusammengefasst werden. Die automatische Gruppierung erfolgt über die Auswahl der gewünschten Kategorie beim Erzeugen bzw. Bearbeiten eines Feeds. Die manuelle Gruppierung wird über die Auswahl <em>Kategorisieren</em> in der Feedliste eingestellt.', 'de', '0', '0'),
('3679', 'Keine Blöcke in dieser Region', 'de', '0', '0'),
('3680', 'Der Block %info wurde der ungültigen Region %region zugewiesen und deshalb deaktiviert.', 'de', '0', '0'),
('3681', 'Es wurde kein Blogeintrag erstellt.', 'de', '0', '0'),
('3682', '!author hat keine Blogeinträge erstellt.', 'de', '0', '0'),
('3683', 'Es wurden keine Weblogeinträge erstellt.', 'de', '0', '0'),
('3684', 'Neueste Blogeinträge von !username lesen.', 'de', '0', '0'),
('3685', 'Blog von !username', 'de', '0', '0'),
('3686', 'Der Inhaltstyp für den Link %add-child muss einer der zulässigen Typen für Inhaltsverzeichnisse sein.', 'de', '0', '0'),
('3687', 'Die Änderungen konnten nicht gespeichert werden, da dieses Buch von einem anderen Benutzer verändert wurde.', 'de', '0', '0'),
('3688', 'Der Titel wurde von %original nach %current geändert.', 'de', '0', '0'),
('3689', 'Buch: %title wurde aktualisiert.', 'de', '0', '0'),
('3690', 'Es wurden keine Änderungen vorgenommen.', 'de', '0', '0'),
('3691', 'Der Beitrag wurde dem ausgewählten Buch hinzugefügt. Dieser kann jetzt relativ zu anderen Seiten positioniert werden.', 'de', '0', '0'),
('3692', 'Beim Hinzufügen des Beitrages zu dem Buch ist ein Fehler aufgetreten.', 'de', '0', '0'),
('3693', '%title besitzt untergeordnete Seiten, welche automatisch verschoben werden um deren Verbindung mit dem Buch zu erhalten. Um die Hierarchie wieder (so wie sie bis vor dem Entfernen der Seite war)  herzustellen, kann %title wieder über den Reiter für das Inhaltsverzeichnis hinzugefügt werden, die zuvor untergeordneten Seiten müssen allerdings manuell verschoben werden.', 'de', '0', '0'),
('3694', '%title kann über den Reiter Gliederung wieder zur Hierarchie hinzugefügt werden.', 'de', '0', '0'),
('3695', 'Soll %title wirklich aus der Buchhierarchie entfernt werden?', 'de', '0', '0'),
('3696', 'Den Block auf allen Seiten anzeigen', 'de', '0', '0'),
('3697', 'Den Block nur auf Buchseiten anzeigen', 'de', '0', '0'),
('3698', 'Wenn <em>Block auf allen Seiten anzeigen</em> ausgewählt ist, enthält der Block die automatisch generierten Menüs für alle Bücher der Website. Wenn <em>Block nur auf Buchseiten anzeigen</em> ausgewählt ist, enthält der Block nur ein Menü, das dem Buch der aktuellen Seite entspricht oder, wenn die aktuelle Seite nicht in einem Buch ist, kein Block angezeigt. Die <em>seitenspezifischen Sichtbarkeitseinstellungen</em> oder andere Sichtbarkeitseinstellungen können für die Anzeige dieses Blocks zusätzlich verwendet werden.', 'de', '0', '0'),
('3699', 'Dies ist die Einstiegsseite dieses Buches.', 'de', '0', '0'),
('3700', 'Es wurde kein Buch ausgewählt.', 'de', '0', '0'),
('3701', 'Dies ist die übergeordnete Buchseite. Die maximale Verschachtelungstiefe eines Buches mit allen Unterseiten beträgt !maxdepth. Seiten können nur dann als übergeordnete Seiten ausgewählt werden, wenn diese Grenze noch nicht erreicht ist.', 'de', '0', '0'),
('3702', '%title ist Teil eines Buchs und besitzt Unterseiten. Wenn die Löschung durchgeführt wird, werden die Unterseiten automatisch verschoben.', 'de', '0', '0'),
('3703', 'Buchseiten neu anordnen und Titel ändern', 'de', '0', '0'),
('3704', 'Das Kontaktformular wurde noch nicht konfiguriert. Zu dem Formular <a href="@add">eine oder mehrere Kategorien hinzufügen</a>.', 'de', '0', '0'),
('3705', 'Datenbank-Protokollierung', 'de', '0', '0'),
('3706', 'Protokolliert und zeichnet Systemereignisse in der Datenbank auf.', 'de', '0', '0'),
('3707', 'Stellen Sie ein, wie Inhaltseingaben von Benutzern gefiltert werden sollen, einschließlich der zulässigen HTML-Tags. Außerdem lassen sich Filter, die von Modulen bereit gestellt wurden, aktivieren.', 'de', '0', '0'),
('3708', 'Kurzer, aber aussagekräftiger Name für diese Zusammenstellung von Diskussionen.', 'de', '0', '0'),
('3709', 'Beschreibung und Richtlinien für Diskussionen in diesem Forum.', 'de', '0', '0'),
('3710', 'Foren werden entsprechend des Reihenfolgewertes aufsteigend sortiert angezeigt. Foren mit gleichem Reihenfolgewert werden alphabetisch sortiert.', 'de', '0', '0'),
('3711', 'Kurze, aber aussagekräftige Bezeichnung für diese Zusammenstellung von verwandten Foren.', 'de', '0', '0'),
('3712', 'Beschreibung und Richtlinien für Foren in diesem Ordner.', 'de', '0', '0'),
('3713', 'Ordner werden in aufsteigender Folge gemäß dem zugeordneten Reihenfolgewert angezeigt, wobei bei gleichem Wert alphabetisch sortiert wird.', 'de', '0', '0'),
('3714', 'Das Löschen eines Forums oder Ordners entfernt auch alle untergeordneten Foren, sofern vorhanden. Dieser Vorgang kann nicht rückgängig gemacht werden. Einzelne Beiträge in diesem Forum können über die <a href="@content">Inhaltsverwaltung</a> gelöscht werden.', 'de', '0', '0'),
('3715', 'Die Standardanzahl an Forenthemen, die pro Seite angezeigt werden.', 'de', '0', '0'),
('3716', 'Die Standard-Anzeigereihenfolge für Beiträge.', 'de', '0', '0'),
('3717', 'Ordner befinden sich üblicherweise auf der obersten Ebene, können aber auch innerhalb eines anderen Ordners oder Forums angelegt werden.', 'de', '0', '0'),
('3718', 'Foren können auf oberster Ebene (Root) oder innerhalb eines bestehenden Ordners oder Forums platziert werden.', 'de', '0', '0'),
('3719', 'Weitere Informationen befinden sich im Online-Handbuch zum <a href="@forum">Forum-Modul</a>.', 'de', '0', '0'),
('3720', 'Sie dürfen im Forum keine neuen Beiträge schreiben.', 'de', '0', '0'),
('3721', 'Diese Seite gibt einen Überblick über die verfügbaren übersetzbaren Zeichenketten. Drupal zeigt übersetzbare Zeichenketten in Textgruppen; Module definieren möglicherweise zusätzlichen Textgruppen mit anderen übersetzbaren Zeichenketten. Weil Textgruppen eine Methode bietet verwandte Zeichenketten zu gruppieren, werden sie häufig verwendet, um den Übersetzungsaufwand von bestimmten Bereiche der Drupal-Oberfläche zu bündeln.', 'de', '0', '0'),
('3722', 'Beachten Sie, dass die <em>.po</em>-Dateien innerhalb eines Übersetzungspakets automatisch (falls verfügbar) importiert werden, wenn neue Module oder Themes aktiviert werden oder eine neue Sprachen hinzugefügt wird. Da diese Seite nur den Import von einer <em>.po</em>-Datei auf einmal ermöglicht, ist es möglicherweise einfacher, ein Übersetzungspaket herunterzuladen, in das Drupal-Installationsverzeichnis zu entpacken und eine <a href="@language-add">Sprache hinzuzufügen</a> (dabei werden automatisch alle <em>.po</em> Dateien, die im Paket enthalten sind, importiert). Übersetzungspakete können im Downloadbereich der <a href="@translations">Übersetzungen</a> von drupal.org heruntergeladen werden.', 'de', '0', '0'),
('3723', 'Auf dieser Seite können Drupal-Zeichenketten exportiert werden. Zum einen kann man eine Übersetzung exportieren, damit sie verteilt werden kann. (Gettext Portable Object <em>.po</em>) Die zweite Möglichkeit erstellt eine Übersetzungsvorlage, die alle Zeichenketten aus Drupal ohne Übersetzung enthält. (Gettext Portable Object Template <em>.pot</em>) Diese kann mit einem speziellen Programm als Grundlage für eine neue Übersetzung dienen.', 'de', '0', '0'),
('3724', 'Integrierte Oberfläche', 'de', '0', '0'),
('3725', 'Benutzerspezifische Standardsprache für E-Mails und bevorzugte Sprache für die Website-Darstellung.', 'de', '0', '0'),
('3726', 'Die Standardsprache für E-Mails dieses Kontos.', 'de', '0', '0'),
('3727', 'Ein sprachspezifischer Pfadalias wird immer verwendet wenn diese Seite in dieser Sprache angezeigt wird und hat Vorrang gegenüber Pfadaliasen die für <em>Alle Sprachen</em> festgelegt ist.', 'de', '0', '0'),
('3728', 'Die Unterstützung von Mehrsprachigkeit für diesen Inhaltstyp aktivieren. Sobald aktiviert, wird im Eingabeformular ein Sprachauswahlfeld hinzugefügt, dass eine Auswahl der <a href="!languages">aktivierten Sprachen</a> ermöglicht. Wenn deaktiviert, werden neue Beiträge mit der Standardsprache gespeichert. Vorhandene Inhalte sind durch die Änderung dieser Option nicht betroffen.', 'de', '0', '0'),
('3729', 'Konfiguration der Sprachen für Inhalte und die Benutzeroberfläche.', 'de', '0', '0'),
('3730', 'Die Oberfläche und optional weiteren Text übersetzen.', 'de', '0', '0'),
('3731', 'Fügt Sprachbehandlungsfunktionen hinzu und aktiviert die Übersetzung der Benutzeroberfläche in andere Sprachen als Englisch.', 'de', '0', '0'),
('3732', 'Einstellungen für das Eingabeformular', 'de', '0', '0'),
('3733', 'Der maschinenlesbare Name darf nur aus Kleinbuchstaben, Zahlen und Unterstrichen bestehen.', 'de', '0', '0'),
('3734', 'Der Inhaltstyp eines Beitrags wurde von %old-type auf %type geändert.', 'de', '0', '0'),
('3735', 'Der Inhaltstyp von @count Beiträgen wurde von %old-type auf %type geändert.', 'de', '3734', '1'),
('3737', 'Sollen die Berechtigungen für die Inhalte dieser Website wirklich neu aufgebaut werden?', 'de', '0', '0'),
('3738', 'Diese Aktion baut alle Berechtigungen für Inhalte der Website neu auf und kann möglicherweise längere Zeit in Anspruch nehmen. Dieser Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('3739', 'Sprache', 'de', '0', '0'),
('3740', 'Es trat ein Fehler auf und die Verarbeitung wurde nicht abgeschlossen.', 'de', '0', '0'),
('3741', 'Die gekürzte Version des Beitrags stellt dar, wie der Beitrag aussieht, wenn er auf der Startseite angezeigt oder zum RSS-Abgleich exportiert wird. <span class="no-js">Durch Eingabe des Begrenzers "&lt;!--break--&gt;" (ohne Anführungsstriche) kann genau festgelegt werden, wo der Beitrag getrennt wird.</span>', 'de', '0', '0'),
('3742', '@type %title wurde auf die Version vom %revision-date zurückgesetzt.', 'de', '0', '0'),
('3743', 'Die Version vom %revision-date von @type %title wurde gelöscht.', 'de', '0', '0'),
('3744', 'Die Zugriffsberechtigungen für den Inhalt müssen neu aufgebaut werden.', 'de', '0', '0'),
('3745', 'Zugriffsberechtigungen für Inhalte werden neu aufgebaut.', 'de', '0', '0'),
('3746', 'Inhaltsberechtigungen wurden neu aufgebaut.', 'de', '0', '0'),
('3747', 'Die Zugriffsberechtigungen für den Inhalt sind nicht ordnungsgemäß neu aufgebaut  worden.', 'de', '0', '0'),
('3748', 'Auf eine frühere Version zurücksetzen', 'de', '0', '0'),
('3749', 'Eine frühere Version löschen', 'de', '0', '0'),
('3750', 'Um OpenID zu verwenden, müssen Sie zunächst eine Identität auf einem öffentlichen oder privaten OpenID-Server einrichten. Wenn Sie keine OpenID haben und sich eine einrichten möchten, können Sie einen der <a href="@openid-providers">freien öffentlichen Anbieter</a> nutzen. Mehr über OpenID auf <a href="@openid-net">dieser Webseite</a>.', 'de', '0', '0'),
('3751', 'OpenID-Identitäten', 'de', '0', '0'),
('3752', 'Ermöglicht Benutzern die Anmeldung an der Website mittels OpenID.', 'de', '0', '0'),
('3753', 'Der Alias %alias wird in dieser Sprache bereits verwendet.', 'de', '0', '0'),
('3754', 'Aliase filtern', 'de', '0', '0'),
('3755', '<a href="@drupal">Drupal.org</a> bietet <a href="@php-snippets">einige Beispiele für PHP-Schnipsel</a>; Eigene kann man mit etwas PHP-Erfahrung und Drupal-Kenntnissen selbst erstellen.', 'de', '0', '0'),
('3756', 'Benutzerdefinierten PHP-Code verwenden', 'de', '0', '0'),
('3757', 'In einigen Inhaltsarten der Website kann eigener PHP-Code eingebunden werden, einschließlich Beiträgen und Blöcken. Auch wenn das Einbinden von PHP-Code in Beiträgen und Blöcken eine leistungsfähige und flexible Funktionalität ist, wenn sie von einem vertrauenswürdigen Benutzer mit Erfahrung in PHP verwendet wird, ist es ein erhebliches  und gefährliches Sicherheitsrisiko, wenn es nicht sachgemäß verwendet wird. Selbst ein kleiner Fehler beim Einfügen von PHP-Code kann die Website gefährden.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('3758', 'Falls Sie nicht vertraut sind mit PHP, SQL oder Drupal, vermeiden Sie eigenen PHP-Code in den Beiträgen zu benutzen. Experimente mit PHP könnte Ihre Datenbank unbrauchbar machen, Ihre Seite außer Funktion setzen oder erheblich die Sicherheit beeinträchtigen.', 'de', '0', '0'),
('3759', 'Anmerkungen:', 'de', '0', '0'),
('3760', 'Bitte daran denken, jede Zeile zweimal auf Syntax- und Logikfehler <strong>vor</strong> dem Speichern zu untersuchen.', 'de', '0', '0'),
('3761', 'Anweisungen müssen mit einem Semikolon korrekt abgeschlossen werden.', 'de', '0', '0'),
('3762', 'Globale Variablen innerhalb des eigenen PHP-Codes behalten ihre Werte auch nach der Ausführung des Skriptes bei.', 'de', '0', '0'),
('3763', '<code>register_globals</code> ist <strong>deaktiviert</strong>. Das Verständnis und die Nutzung der in der <a href="@formapi">Drupal-Formular-API</a> beschriebenen Funktionen ist Grundlage für korrekte Nutzung von Formularen.', 'de', '0', '0'),
('3764', 'Die Anweisungen <code>print</code> und <code>return</code> dienen der Ausgabe von Inhalten.', 'de', '0', '0'),
('3765', 'Die Entwicklung und das Testen des PHP-Codes sollte mit einem separaten Skript und einer Testdatenbank erfolgen bevor er in einer produktiven Umgebung eingesetzt wird.', 'de', '0', '0'),
('3766', 'Die Alternative, eigenen PHP-Code in ein Website-spezifisches Modul oder in die Datei <code>template.php</code> auszulagern, ist üblicherweise dem direkten Einbinden des PHP-Codes in einen Beitrag oder Block vorzuziehen.', 'de', '0', '0'),
('3767', 'Der PHP-Filter ist für die Ausführung von eingebettetem PHP-Code zuständig. Ist das PHP-Filter-Modul deaktiviert oder gelöscht, wird der PHP-Code nicht ausgeführt, sondern der PHP-Code im Quelltext angezeigt.', 'de', '0', '0'),
('3768', 'Ein einfaches Beispiel: <em>Ein „Willkommen“-Block, der die Besucher mit einer einfachen Nachricht begrüßt.</em>', 'de', '0', '0'),
('3769', 'Führt PHP-Code aus. Der Gebrauch dieses Filters sollte auf Administratoren beschränkt werden!', 'de', '0', '0'),
('3770', 'Ermöglicht die Ausführung von eingebettetem PHP-Code.', 'de', '0', '0'),
('3771', 'Gesamtstimmen: @votes', 'de', '0', '0'),
('3772', 'Eine <em>Umfrage</em> ist eine Frage mit einer Reihe möglicher Antworten. Nach der Erstellung einer <em>Umfrage</em> wird automatisch die Anzahl der erhaltenen Stimmen für jede mögliche Antwort gezählt.', 'de', '0', '0'),
('3773', 'Ihre Stimme konnte nicht gezählt werden, da Sie keine der Optionen ausgewählt haben.', 'de', '0', '0'),
('3774', 'Anzahl der Stimmen', 'de', '0', '0'),
('3775', 'Profil-Felder wurden aktualisiert.', 'de', '0', '0'),
('3776', 'Keine Felder in dieser Kategorie. Falls diese Kategorie beim Speichern immer noch leer ist, wird sie entfernt.', 'de', '0', '0'),
('3777', 'Aus Sicherheitsgründen wird die Autovervollständigung für Benutzer, die keinen Zugriff auf Benutzerprofile haben, deaktiviert.', 'de', '0', '0'),
('3778', 'Anzahl der Objekte, die in einem Cron-Lauf indexiert werden', 'de', '0', '0'),
('3779', 'Die maximale Anzahl an Objekten, die bei jedem <a href="@cron">Cron-Wartungslauf</a> indiziert werden. Tritt bei der Indizierung ein Zeitüberschreitungsfehler oder Speicherfehler auf, hilft es, diesen Werts zu verringern.', 'de', '0', '0'),
('3780', '<p><em>Das Ändern der folgenden Einstellungen zieht automatisch den Neuaufbau des Suchindex nach sich. Der Index wird dabei nicht gelöscht, sondern systematisch aufgrund der geänderten Einstellungen aktualisiert. Die Suchfunktion steht während dieser Zeit zur Verfügung, jedoch werden neue Inhalte erst nach dem vollständigen Abarbeiten aller bestehenden Inhalte gefunden.</em></p><p><em>Ein Großteil der Websites sollte mit den Standard-Einstellungen zurechtkommen.</em></p>', 'de', '0', '0'),
('3781', 'Die Suchmaschine baut einen Index aller Wörter der Seiteninhalte auf. Sie können das Indexierungsverhalten in den unteren Einstellungen anpassen. Beachten Sie, dass die Suchfunktion <a href="@cron">Cron</a> benötigt, um richtig zu funktionieren.', 'de', '0', '0'),
('3782', 'Ältere Zugriffs-Protokolleinträge (einschließlich Referrer-Statistik) werden automatisch gelöscht. (Erfordert eine korrekt konfigurierte <a href="@cron">Cron-Wartungsaufgabe</a>.)', 'de', '0', '0'),
('3783', 'Diese Seite zeigt die letzen Seitenzugriffe an.', 'de', '0', '0'),
('3784', 'Diese Seite zeigt alle externen Referrer an. Dies sind Webseiten von denen Besucher auf diese Website kamen.', 'de', '0', '0'),
('3785', 'Sollte ein Besucher blockiert werden, wird der Zugriff für die IP-Adresse dieses Besuchers verhindert. Im Gegensatz zum Blockieren eines Benutzers funktioniert das Aussperren auch mit Gästen. Die häufigste Verwendung liegt in der Blockierung von Bots und Web-Crawlern, die zu viele Ressourcen verbrauchen.', 'de', '0', '0'),
('3786', 'Protokolliert Systemereignisse ins Systemprotokoll.', 'de', '0', '0'),
('3787', 'Das Verknüpfungssymbol oder ‚Favicon‘ wird in der Adresszeile und in den Lesezeichen der meisten Browser angezeigt.', 'de', '0', '0'),
('3788', '@module (<span class="admin-missing">fehlt</span>)', 'de', '0', '0'),
('3789', 'Die Caches wurden geleert.', 'de', '0', '0'),
('3790', 'Anzahl der Einträge pro Feed', 'de', '0', '0'),
('3791', 'Die standardmäßige Anzahl an Einträgen in einem Feed.', 'de', '0', '0'),
('3792', 'Inhalt des Feeds', 'de', '0', '0'),
('3793', 'Globale Einstellung für die standardmäßige Anzeige vom Inhalt der Beiträge in jeden Feed.', 'de', '0', '0'),
('3794', 'Cron-Lauf erfolgreich.', 'de', '0', '0'),
('3795', 'Cron-Lauf fehlgeschlagen.', 'de', '0', '0'),
('3796', 'Dieses Theme setzt die PHP Version @php_required voraus und ist daher mit der PHP Version !php_version inkompatibel.', 'de', '0', '0'),
('3797', 'Der optionale Block <em>Powered by Drupal</em> verlinkt auf die Homepage des Drupal-Projektes. Es gibt zwar keine Notwendigkeit, diesen Block zu verwenden, aber es zeigt, dass man Drupal unterstützt.', 'de', '0', '0'),
('3798', 'Hier finden Sie einen Kurzüberblick über die technische Umgebung Drupals, insbesondere über etwaige Probleme mit Ihrer Installation. Das Bereitstellen dieser Informationen (mittels „Kopieren und Einfügen“) kann dabei helfen, in den Support-Foren bzw. bei Anfragen an das Projektteam auf drupal.org aussagekräftige Unterstützung zu bekommen.', 'de', '0', '0'),
('3799', 'Powered by Drupal', 'de', '0', '0'),
('3800', 'Die temporäre Datei „%path“ konnte während des Bereinigungslaufes („garbage collection“) nicht gelöscht werden.', 'de', '0', '0'),
('3801', 'Nachschlagen von Datum und Uhrzeit', 'de', '0', '0'),
('3802', 'Überprüfung auf lesbare URLs', 'de', '0', '0'),
('3803', '-1 (Unbegrenzt)', 'de', '0', '0'),
('3804', 'PHP-Speicherlimit', 'de', '0', '0'),
('3805', 'Erhöhung des PHP-Speicherlimits auf %memory_minimum_limit hilft Fehler während der Installation zu vermeiden.', 'de', '0', '0'),
('3806', 'Die Erhöhung des PHP-Speicherlimits auf %memory_minimum_limit verringert die Wahrscheinlichkeit von Fehlern während einer Aktualisierung.', 'de', '0', '0'),
('3807', 'In Abhängigkeit von der Konfiguration kann Drupal mit einem %memory_limit PHP-Speicherlimit ausgeführt werden. Allerdings wird ein %memory_minimum_limit PHP-Speicherlimit oder höher empfohlen, vor allem dann, wenn die Website benutzerdefinierte oder zusätzliche Module verwendet.', 'de', '0', '0'),
('3808', 'Erhöhen Sie die PHP-Speicherlimit durch bearbeiten des „memory_limit“-Parameters in der Datei %configuration-file und starten dann den Webserver neu (oder wenden Sie sich an Ihren Systemadministrator oder Hosting-Anbieter, um Unterstützung zu erhalten).', 'de', '0', '0'),
('3809', 'Wenden Sie sich an Ihren Systemadministrator oder Hosting-Anbieter für weitere Unterstützung bei der Erhöhung der PHP-Speichergrenze.', 'de', '0', '0'),
('3810', 'Siehe <a href="@url">Drupal-Systemvoraussetzung</a> für weitere Information.', 'de', '0', '0'),
('3811', 'Weitere Informationen befinden sich im Online-Handbuch zum <a href="@cron-handbook">Konfigurieren von Cron-Aufgaben</a>.', 'de', '0', '0'),
('3812', 'Cron wurde in letzter Zeit nicht ausgeführt.', 'de', '0', '0'),
('3813', 'Datenbankaktualisierungen', 'de', '0', '0'),
('3814', 'Das update.php Skript ist ohne Authentifizierungsüberprüfung für jedermann zugänglich, was ein Sicherheitsrisiko darstellt. Der Wert $update_free_access sollte in der settings.php wieder auf FALSE geändert werden.', 'de', '0', '0'),
('3815', 'Zugriff auf update.php', 'de', '0', '0'),
('3816', 'Auf alphabetisch zurücksetzen', 'de', '0', '0'),
('3817', 'Begriffe werden in aufsteigender Reihenfolge angezeigt.', 'de', '0', '0'),
('3818', 'Der Wert für die Reihenfolge muss numerisch sein.', 'de', '0', '0'),
('3819', 'Soll das Vokabular %title wirklich auf alphabetische Reihenfolge zurückgesetzt werden?', 'de', '0', '0'),
('3820', 'Das Zurücksetzen eines Vokabular verwirft die momentane Reihenfolge und sortiert die Begriffe wieder nach alphabetischer Reihenfolge.', 'de', '0', '0'),
('3821', 'Das Vokabular %name wurde auf alphabetische Reihenfolge zurückgesetzt.', 'de', '0', '0'),
('3822', 'Übersetzungen eines Inhaltsteils werden mit Hilfe von Übersetzungssätzen organisiert. Jeder Übersetzungssatz besteht aus einem Quellbeitrag und je einer Übersetzung in eine der <a href="!languages">aktivierten Sprachen</a>. Ob eine Übersetzung aktuell oder veraltet ist, wird verfolgt, indem auf signifikante Änderungen am Quellbeitrag geprüft wird.', 'de', '0', '0'),
('3823', 'Übersetzungseinstellungen', 'de', '0', '0'),
('3824', 'Übersetzung als veraltet markieren', 'de', '0', '0'),
('3825', 'Wenn signifikante Änderungen durchgeführt wurden (was bedeutet, dass die Übersetzungen aktualisiert werden müssen), können alle Übersetzungen diese Beitrages als veraltet markiert werden. Das wird keine der anderen Eigenschaften dieser Beiträge verändern, z.B. den Status für „veröffentlicht“.', 'de', '0', '0'),
('3826', 'Die Übersetzung muss aktualisiert werden', 'de', '0', '0'),
('3827', 'Sobald diese Option aktiviert ist, benötigt diese Übersetzung eine Aktualisierung, da der ursprüngliche Artikel sich geändert hat. Deaktivieren, sobald die Übersetzung wieder auf dem neusten Stand ist.', 'de', '0', '0'),
('3828', 'Inhaltsübersetzung', 'de', '0', '0'),
('3829', 'Ermöglicht die Übersetzung von Inhalt in unterschiedliche Sprachen.', 'de', '0', '0'),
('3830', 'Unbekanntes Veröffentlichungsdatum', 'de', '0', '0'),
('3831', 'Zuletzt überprüft: vor @time', 'de', '0', '0'),
('3832', 'Zuletzt überprüft: nie', 'de', '0', '0'),
('3833', 'Beinhaltet: %includes', 'de', '0', '0'),
('3834', 'Deaktivierte Module', 'de', '0', '0'),
('3835', 'Deaktivierte Themes', 'de', '0', '0'),
('3836', 'Wahl der Zeitspanne, nach deren Ablauf automatisch nach neuen Veröffentlichungen installierter Module und Themes gesucht werden soll.', 'de', '0', '0'),
('3837', 'Grenzwert für E-Mail-Benachrichtigungen', 'de', '0', '0'),
('3838', 'Wählen Sie, ob Sie nur über Sicherheitsaktualisierungen über E-Mail benachrichtigt werden wollen oder über alle Aktualisierungen. Sollten Aktualisierungen des Drupalkerns oder der installierten Module und Themes verfügbar sein, wird Ihre Seite immer eine Nachricht auf der <a href="@status_report">Statusreport-Seite</a> anzeigen und ebenso eine Fehlermeldung auf den Administrationsseiten sollte eine Sicherheitsaktualisierung anstehen.', 'de', '0', '0'),
('3839', 'Hier befinden sich Informationen über verfügbare Aktualisierungen der installierten Module und Themes. Zu beachten ist, dass jedes Modul Teil eines „Projektes“ ist, welches den gleichen oder einen anderen Namen wie das Modul hat.', 'de', '0', '0'),
('3840', 'Aktualisierungsstatus von Modulen und Themes', 'de', '0', '0'),
('3841', 'Für mindestens eines der Module oder Themes ist ein Sicherheits-Update verfügbar. Um die Sicherheit Ihres Servers zu gewährleisten, aktualisieren Sie die betroffenen Module bzw. Themes sofort.', 'de', '0', '0'),
('3842', 'Es stehen Aktualisierungen für ein oder mehrere Module oder Themes zu Verfügung. Um die einwandfreie Funktion der Website zu gewährleisten, sollte umgehend aktualisiert werden.', 'de', '0', '0'),
('3843', 'Erhalten Sie einen Statusbericht über verfügbare Aktualisierungen Ihrer installierten Module und Themes.', 'de', '0', '0'),
('3844', 'Benutzer nach Freischaltung des Kontos benachrichtigen.', 'de', '0', '0'),
('3845', 'Benutzer informieren, wenn sein Konto deaktiviert wurde.', 'de', '0', '0'),
('3846', '%name ist weder als Benutzername noch als E-Mail-Adresse bekannt.', 'de', '0', '0'),
('3847', 'Signatureinstellungen', 'de', '0', '0'),
('3848', 'Auf dieser Webseite können Administratoren neue Benutzer anlegen. Die Benutzernamen und E-Mail-Adressen der Benutzer müssen eindeutig sein.', 'de', '0', '0'),
('3849', 'Ein einfaches Suchmuster für die Suche nach einem Benutzernamen oder einer E-Mail-Adresse eingeben („*“ kann als Wildcard verwendet werden.) Beispielsweise könnte nach „fr“ gesucht werden und Drupal könnte „franz“, „fritz“ und „frieda@example.com“ zurückliefern.', 'de', '0', '0'),
('3850', 'Garland', 'de', '0', '0'),
('3851', 'Der Titel erscheint als Tooltip, wenn der Benutzer den Mauszeiger über dem Bild stehenlässt.', 'de', '0', '0'),
('3852', 'Fortschrittsanzeige', 'de', '0', '0'),
('3853', 'Balken mit Fortschrittsanzeige', 'de', '0', '0'),
('3854', 'Throbber-Symbol', 'de', '0', '0'),
('3855', 'Das Speichern der Datei ist fehlgeschlagen. %upload', 'de', '0', '0'),
('3856', 'URL zur Datei', 'de', '0', '0'),
('3857', '﻿Ein nicht behebbarer Fehler ist aufgetreten. Die Datei hat wahrscheinlich die maximale Dateigröße (@size) überschritten, die dieser Server unterstützt.', 'de', '0', '0'),
('3858', 'Hochladen beginnt...', 'de', '0', '0'),
('3859', 'Wird hochgeladen... (@current von @total)', 'de', '0', '0'),
('3860', 'Ihr Server kann keinen Fortschrittsbalken bei Datei-Uploads anzeigen, da die erforderlichen Bibliotheken fehlen. Es empfiehlt sich, die <a href="http://pecl.php.net/package/uploadprogress">PECL-Uploadprogress-Bibliothek</a> (bevorzugt) oder <a href="http://us2.php.net/apc">APC</a> zu installieren.', 'de', '0', '0'),
('3861', '﻿Ihr Server kann Datei-Upload-Fortschritt mit APC RFC1867 darstellen. Hinweis: nur ein Upload zu einem Zeitpunkt wird unterstützt. Es wird empfohlen, wenn möglich die <a href="http://pecl.php.net/package/uploadprogress">PECL-Uploadprogress-Bibliothek</a> zu verwenden.', 'de', '0', '0'),
('3862', '﻿Ihr Server kann den Datei-Upload-Fortschrittsbalken nicht darstellen. Datei-Upload-Fortschritt erfordert die Ausführung von PHP mit mod_php und nicht mit FastCGI.', 'de', '0', '0'),
('3863', 'Ihr Server ist in der Lage den Fortschrittsbalken bei Datei-Uploads durch APC anzuzeigen, aber es ist nicht aktiviert. Fügen Sie <code>apc.rfc1867 = 1</code> zur php.ini-Konfiguration hinzu. Alternativ wird  empfohlen, <a href="http://pecl.php.net/package/uploadprogress">PECL-Uploadprogress</a>, zu verwenden, die mehr als einen gleichzeitigen Upload unterstützt.', 'de', '0', '0'),
('3864', 'Aktiviert (<a href="http://php.net/manual/en/apc.configuration.php#ini.apc.rfc1867">APC RFC1867</a>)', 'de', '0', '0'),
('3865', 'Aktiviert (<a href="http://pecl.php.net/package/uploadprogress">PECL uploadprogress</a>)', 'de', '0', '0'),
('3866', 'Upload-Fortschrittsbalken', 'de', '0', '0'),
('3867', 'Oberfläche', 'de', '0', '0'),
('3868', '@size KB', 'de', '0', '0'),
('3869', '@size MB', 'de', '0', '0'),
('3870', '@size GB', 'de', '0', '0'),
('3871', '@size TB', 'de', '0', '0'),
('3872', '@size PB', 'de', '0', '0'),
('3873', '@size EB', 'de', '0', '0'),
('3874', '@size ZB', 'de', '0', '0'),
('3875', '@size YB', 'de', '0', '0'),
('3876', 'Alle Nachrichten', 'de', '0', '0'),
('3877', '(leer)', 'de', '0', '0'),
('3878', 'Textformat', 'de', '0', '0'),
('3879', 'Keine neuen Beiträge', 'de', '0', '0'),
('3880', 'Markiertes Thems', 'de', '0', '0'),
('3881', 'Die Übersetzungsdatei %filename ist fehlerhaft: Unerwartetes "msgctxt" in Zeile %line.', 'de', '0', '0'),
('3882', 'Der Name der Website.', 'de', '0', '0'),
('3883', 'Regionen-Einstellungen', 'de', '0', '0'),
('3884', 'Zeichenkette formatieren', 'de', '0', '0'),
('3885', 'Soll das Format %format wirklich gelöscht werden?', 'de', '0', '0'),
('3886', 'Das Datumsformat %format wurde entfernt.', 'de', '0', '0'),
('3887', 'Format hinzufügen', 'de', '0', '0'),
('3888', 'Ermöglicht Benutzern das Hinzufügen von weiteren Datumsformaten.', 'de', '0', '0'),
('3889', 'Datumsformat löschen', 'de', '0', '0'),
('3890', 'Ermöglicht Benutzern das Löschen eines konfigurierten Datumsformates.', 'de', '0', '0'),
('3891', 'Datumsformate für jede Lokale konfigurieren', 'de', '0', '0'),
('3892', 'Inhaltstyp-Name', 'de', '0', '0'),
('3893', 'Slate', 'de', '0', '0'),
('3894', 'Felder verwalten', 'de', '0', '0'),
('3895', '@field_name (Gesperrt)', 'de', '0', '0'),
('3896', '- Feldtyp auswählen -', 'de', '0', '0'),
('3897', '- Steuerelement auswählen -', 'de', '0', '0'),
('3898', 'Der zu speichernde Datentyp.', 'de', '0', '0'),
('3899', 'Formularelement zum Bearbeiten der Daten.', 'de', '0', '0'),
('3900', '- Vorhandenes Feld auswählen -', 'de', '0', '0'),
('3901', 'Feld für gemeinsame Nutzung', 'de', '0', '0'),
('3902', 'Neues Feld hinzufügen: Eine Beschriftung muss angegeben werden.', 'de', '0', '0'),
('3903', 'Neues Feld hinzufügen: Ein Feldname muss angegeben werden.', 'de', '0', '0'),
('3904', 'Neues Feld hinzufügen: Ein Feldtyp muss ausgewählt werden.', 'de', '0', '0'),
('3905', 'Neues Feld hinzufügen: Ein Steuerelement muss ausgewählt werden.', 'de', '0', '0'),
('3906', 'Neues Feld hinzufügen: Ungültiges Steuerelement.', 'de', '0', '0'),
('3907', 'Vorhandenes Feld hinzufügen: Eine Beschriftung muss angegeben werden.', 'de', '0', '0'),
('3908', 'Vorhandenes Feld hinzufügen: Ein Feld muss ausgewählt werden.', 'de', '0', '0'),
('3909', 'Vorhandenes Feld hinzufügen: Ein Steuerelement muss ausgewählt werden.', 'de', '0', '0'),
('3910', 'Vorhandenes Feld hinzufügen: Ungültiges Steuerelement.', 'de', '0', '0'),
('3911', '@type: @field (@label)', 'de', '0', '0'),
('3912', 'Das Feld %field ist gesperrt und kann nicht bearbeitet werden.', 'de', '0', '0'),
('3913', 'Die maximale Anzahl an Werten, die Benutzer für dieses Feld eingeben können.', 'de', '0', '0'),
('3914', '„Unbegrenzt“ stellt Benutzern einen „Weitere hinzufügen“-Schaltknopf zu Verfügung, damit diese so viele Werte hinzufügen können wie sie möchten.', 'de', '0', '0'),
('3915', '%name muss eine Ganzzahl sein.', 'de', '0', '0'),
('3916', '%name muss eine positive Ganzzahl sein.', 'de', '0', '0'),
('3917', '%name muss eine Zahl sein.', 'de', '0', '0'),
('3918', 'Im Feld %field sind nur Ganzzahlen zulässig.', 'de', '0', '0'),
('3919', 'Region-Einstellungen', 'de', '0', '0'),
('3920', 'Drehen', 'de', '0', '0'),
('3921', 'Seitenanfang', 'de', '0', '0'),
('3922', 'Fußbereich', 'de', '0', '0'),
('3923', 'Hallo <strong>@username</strong>', 'de', '0', '0'),
('3924', 'Breite @width', 'de', '0', '0'),
('3925', 'Höhe @height', 'de', '0', '0'),
('3926', 'Vergrößern erlaubt', 'de', '0', '0'),
('3927', 'zufällig zwischen  -@degrees&deg und @degrees&deg', 'de', '0', '0'),
('3928', '@degrees&deg', 'de', '0', '0'),
('3929', 'Erste Sidebar', 'de', '0', '0'),
('3930', 'Datenbank hat UTF-8-Encoding', 'de', '0', '0'),
('3931', 'Drupal konnte nicht feststellen, dass die Zeichenkodierung der Datenbank auf UTF-8 eingestellt ist', 'de', '0', '0'),
('3932', 'PostgreSQL hat sich initialisiert.', 'de', '0', '0'),
('3933', 'Struktur', 'de', '0', '0'),
('3934', 'Rolle erstellt mit Namen: @name, ID: @rid', 'de', '0', '0'),
('3935', 'Benutzer %name hat sich erfolgreich angemeldet.', 'de', '0', '0'),
('3936', 'Zeile "@raw" gefunden', 'de', '0', '0'),
('3937', 'Zeile "@raw" nicht gefunden', 'de', '0', '0'),
('3938', '„@text“ gefunden', 'de', '0', '0'),
('3939', '„@text“ nicht gefunden', 'de', '0', '0'),
('3940', 'Muster „@pattern“ gefunden', 'de', '0', '0'),
('3941', 'Muster „@pattern“ nicht gefunden', 'de', '0', '0'),
('3942', 'Formularfeld @id ist ausgewählt.', 'de', '0', '0'),
('3943', 'Formularfeld @id ist nicht ausgewählt.', 'de', '0', '0'),
('3944', 'Ausführliche Meldung', 'de', '0', '0'),
('3945', 'Wählen Sie die Tests oder Gruppen aus, die abgearbeitet werden sollen und klicken Sie auf <em>Tests starten<em>.', 'de', '0', '0'),
('3946', 'Alle (@count)', 'de', '0', '0'),
('3947', 'Bestanden (@count)', 'de', '0', '0'),
('3948', 'Fehlerhaft (@count)', 'de', '0', '0'),
('3949', 'Zurück zur Liste', 'de', '0', '0'),
('3950', 'Ergebnisse nach jedem vollständigen Durchlauf bereinigen', 'de', '0', '0'),
('3951', 'Beim Durchführen von Tests ausführliche Informationen bereitstellen', 'de', '0', '0'),
('3952', 'Die ausführlichen Daten  werden zusammen mit der Standard-Auswertungen gedruckt; dies ist nützlich für das Debuggen. Die ausführlichen Daten werden zwischen zwei Testdurchläufen gelöscht. Die ausführliche Ausgabe ist sehr detailliert und sollte nur beim Debuggen verwendet werden.', 'de', '0', '0'),
('3953', 'HTTP Auth Einstellungen, die vom SimpleTest Browser während des Tests verwendet wird. Nützlich falls die Seite eine Authentisierung über Basic Auth erfordert.', 'de', '0', '0'),
('3954', '@pass, @fail, @exception und @debug', 'de', '0', '0'),
('3955', 'Der Testlauf wurde nicht erfolgreich abgeschlossen.', 'de', '0', '0'),
('3956', 'Die Funktion Ergebnisse löschen ist abgeschaltet und die Ergebnistabelle für Tests wird nicht geleert.', 'de', '0', '0'),
('3957', 'Keine restlichen Tabellen zu entfernen.', 'de', '0', '0'),
('3958', '1 Debugnachricht', 'de', '0', '0'),
('3959', '@count Debugnachrichten', 'de', '3958', '1'),
('3961', '1 Testergebnis entfernt.', 'de', '0', '0'),
('3962', '@count Testergebnisse entfernt.', 'de', '3961', '1'),
('3964', '1 verbliebene Tabelle entfernt.', 'de', '0', '0'),
('3965', '@count verbliebene Tabellen entfernt.', 'de', '3964', '1'),
('3967', '1 temporäres Verzeichnis entfernt.', 'de', '0', '0'),
('3968', '@count temporäre Verzeichnisse entfernt.', 'de', '3967', '1'),
('3970', 'Testergebnis', 'de', '0', '0'),
('3971', 'Testergebnisse anzeigen', 'de', '0', '0'),
('3972', 'Hash-Wert', 'de', '0', '0'),
('3973', 'Permalink kommentieren', 'de', '0', '0'),
('3974', '!site_name-Blogs', 'de', '0', '0'),
('3975', 'Suche-Block', 'de', '0', '0'),
('3976', 'Stil bearbeiten', 'de', '0', '0'),
('3977', 'Stil löschen', 'de', '0', '0'),
('3978', 'Nach Aktualisierungen für deaktivierte Module und Themes suchen', 'de', '0', '0'),
('3979', 'Abrufer', 'de', '0', '0'),
('3980', 'Seven', 'de', '0', '0'),
('3981', 'openid', 'de', '0', '0'),
('3982', 'Gespeichert von !username am !datetime', 'de', '0', '0'),
('3983', 'Foren verwalten', 'de', '0', '0'),
('3984', 'Benutzerkonto löschen', 'de', '0', '0'),
('3985', 'Sekundärmenü', 'de', '0', '0'),
('3986', 'Administrator-Rolle', 'de', '0', '0'),
('3987', 'Private Dateien', 'de', '0', '0'),
('3988', 'Andere Blöcke', 'de', '0', '0'),
('3989', 'Die eindeutige ID des Kommentars.', 'de', '0', '0'),
('3990', 'Die IP-Adresse des Computers, von der aus der Kommentar erstellt wurde.', 'de', '0', '0'),
('3991', 'Der Name, der vom Kommentarautor hinterlassen wurde.', 'de', '0', '0'),
('3992', 'Die E-Mail-Adresse des Kommentarautors.', 'de', '0', '0'),
('3993', 'Die vom Autor des Kommentars angegebene URL.', 'de', '0', '0'),
('3994', 'Der formatierte Inhalt des Kommentars.', 'de', '0', '0'),
('3995', 'Die URL des Kommentars.', 'de', '0', '0'),
('3996', 'URL bearbeiten', 'de', '0', '0'),
('3997', 'Die URL der Seite zum Bearbeiten des Kommentars.', 'de', '0', '0'),
('3998', 'Das Datum wann der Kommentar erstellt wurde.', 'de', '0', '0'),
('3999', 'Der übergeordnete Kommentar, falls verschachtelte Kommentare aktiviert sind.', 'de', '0', '0'),
('4000', 'Der Beitrag zu dem der Kommentar erstellt wurde.', 'de', '0', '0'),
('4001', 'Der Autor des Kommentars, sofern angemeldet.', 'de', '0', '0'),
('4002', 'Die Anzahl der Kommentare zu einem Beitrag.', 'de', '0', '0'),
('4003', 'Neuer Kommentar-Zähler', 'de', '0', '0'),
('4004', 'Die Anzahl der Kommentare zu einem Beitrag seit der Leser ihn zuletzt aufgerufen hat.', 'de', '0', '0'),
('4005', 'Die eindeutige ID der neuesten Version des Beitrags.', 'de', '0', '0'),
('4006', 'Übersetzungssatz ID', 'de', '0', '0'),
('4007', 'Die eindeutige ID der Originalsprachversion dieses Beitrags, sofern vorhanden.', 'de', '0', '0'),
('4008', 'Der Typ des Beitrags.', 'de', '0', '0'),
('4009', 'Der für Menschen lesbare Name des Inhaltstyps.', 'de', '0', '0'),
('4010', 'Die Sprache in der der Beitrag geschrieben ist.', 'de', '0', '0'),
('4011', 'Die URL des Beitrags.', 'de', '0', '0'),
('4012', 'Die URL der Seite zum Bearbeiten des Inhalts.', 'de', '0', '0'),
('4013', 'Änderungsdatum', 'de', '0', '0'),
('4014', 'Das Datum wann dieser Beitrag zuletzt aktualisiert wurde.', 'de', '0', '0'),
('4015', 'Der Autor des Beitrags.', 'de', '0', '0'),
('4016', 'Umfragesieger', 'de', '0', '0'),
('4017', 'Die Gewinnerantwort der Umfrage.', 'de', '0', '0'),
('4018', 'Stimmen für Umfragegewinner', 'de', '0', '0'),
('4019', 'Die Anzahl der Stimmen, die die Gewinnerantwort der Umfrage erhalten hat.', 'de', '0', '0'),
('4020', 'Umfragegewinner prozentual', 'de', '0', '0'),
('4021', 'Die prozentuale Anzahl an Stimmen, die die Gewinnerantwort der Umfrage erhalten hat.', 'de', '0', '0'),
('4022', 'Die Anzahl Besucher, die diesen Beitrag gelesen hat.', 'de', '0', '0'),
('4023', 'Die Anzahl Besucher, die diesen Beitrag heute gelesen hat.', 'de', '0', '0'),
('4024', 'Letzter Aufruf', 'de', '0', '0'),
('4025', 'Das Datum an dem zuletzt ein Besucher den Beitrag gelesen hat.', 'de', '0', '0'),
('4026', 'Der Slogan der Website.', 'de', '0', '0'),
('4027', 'Die E-Mail-Adresse der Website für administrative Zwecke.', 'de', '0', '0'),
('4028', 'Die URL der Startseite der Website.', 'de', '0', '0'),
('4029', 'Anmeldeseite', 'de', '0', '0'),
('4030', 'Die URL der Anmeldeseite der Webseite.', 'de', '0', '0'),
('4031', 'Die eindeutige ID der hochgeladenen Datei.', 'de', '0', '0'),
('4032', 'Der Name der Datei auf der Festplatte.', 'de', '0', '0'),
('4033', 'Über das Web erreichbare URL für die Datei.', 'de', '0', '0'),
('4034', 'Das Datum wann diese Datei zuletzt geändert wurde.', 'de', '0', '0'),
('4035', 'Der Benutzer der diese Datei ursprünglich hochgeladen hat.', 'de', '0', '0'),
('4036', 'Die eindeutige ID des Taxonomiebegriffs', 'de', '0', '0'),
('4037', 'Der Name des Taxonomiebegriffs.', 'de', '0', '0'),
('4038', 'Die optionale Beschreibung des Taxonomiebegriffs.', 'de', '0', '0'),
('4039', 'Die Anzahl der Beiträge die mit dem Taxonomie Begriff  getagt wurden.', 'de', '0', '0'),
('4040', 'Die URL des Taxonomie Begriffs', 'de', '0', '0'),
('4041', 'Das Vokabular zu dem dieser Taxonomiebegriff gehört.', 'de', '0', '0'),
('4042', 'Der übergeordnete Begriff des Taxonomiebegriffs, wenn es einen gibt.', 'de', '0', '0'),
('4043', 'Die eindeutige ID des Taxonomie-Vokabulars.', 'de', '0', '0'),
('4044', 'Der Name des Taxonomie-Vokabulars', 'de', '0', '0'),
('4045', 'Die optionale Beschreibung des Taxonomie-Vokabulars.', 'de', '0', '0'),
('4046', 'Die Anzahl der Beiträge die mit Begriffen aus diesem Vokabular getaggt wurden.', 'de', '0', '0'),
('4047', 'Anzahl Begriffe', 'de', '0', '0'),
('4048', 'Die Anzahl Begriffe die zum Taxonomie-Vokabular gehören', 'de', '0', '0'),
('4049', 'Die eindeutige ID des Benutzerkontos.', 'de', '0', '0'),
('4050', 'Der Anmeldenname des Benutzerkontos.', 'de', '0', '0'),
('4051', 'Die E-Mail-Adresse des Benutzerkontos.', 'de', '0', '0'),
('4052', 'Die URL der Benutzerprofilseite.', 'de', '0', '0'),
('4053', 'Das Datum wann der Benutzer sich zuletzt an der Website angemeldet hat.', 'de', '0', '0'),
('4054', 'Das Datum wann das Benutzerkonto erstellt wurde.', 'de', '0', '0'),
('4055', 'Ihre OpenID', 'de', '0', '0'),
('4056', 'Diese OpenID wird nach der Registrierung ihrem  Benutzerkonto zugeordnet.', 'de', '0', '0'),
('4057', 'Haupt-Seiteninhalt', 'de', '0', '0'),
('4058', 'Sie sind nicht berechtigt auf diese Seite zuzugreifen.', 'de', '0', '0'),
('4059', 'Änderungen im Dateisystem zulassen', 'de', '0', '0'),
('4060', 'Es scheint als führte Sie ein Fehler auf diese Seite.', 'de', '0', '0'),
('4061', 'Cron konnte nicht durchgeführt werden, weil ein ungültiger Schlüssel verwendet wurde.', 'de', '0', '0'),
('4062', 'Cron konnte nicht durchgeführt werden, weil sich die Website im Wartungsmodus befindet.', 'de', '0', '0'),
('4063', 'Standard-Land', 'de', '0', '0'),
('4064', 'Überprüfen Sie die Fehlermeldungen und <a href="!url">setzen Sie die Installation fort</a>.', 'de', '0', '0'),
('4065', '@drupal ist in der %settings_file konfiguriert, einen %driver-Server zu verwenden. Die PHP-Installation unterstützt diesen Datenbanktyp aber nicht.', 'de', '0', '0'),
('4066', 'Um mit der Installation fortzufahren, muss eine Sprache ausgewählt werden.', 'de', '0', '0'),
('4067', 'Es konnten keine Installationsprofile gefunden werden. Installationsprofile teilen mit, welche Module aktiviert werden sollen und was für ein Schema in der Datenbank installiert werden soll. Es wird ein Profil benötigt, um die Installation fortzusetzen.', 'de', '0', '0'),
('4068', 'Das ausgewählte Profil konnte nicht geladen werden.', 'de', '0', '0'),
('4069', 'Alle notwendigen Änderungen am Verzeichnis „%dir“ und der Datei „%file“ wurden durchgeführt. Die Schreibrechte darauf sollten jetzt zur Vermeidung von Sicherheitsrisiken entfernt werden. Nähere Informationen bezüglich der Konfiguration und Anpassung gibt es auf der <a href="@handbook_url">Handbuch-Seite</a>.', 'de', '0', '0'),
('4070', 'Glückwunsch, @drupal wurde erfolgreich installiert.', 'de', '0', '0'),
('4071', 'Überprüfen Sie die oben angezeigten Meldungen, bevor Sie <a href="@url">Ihre neue Website</a> aufrufen.', 'de', '0', '0'),
('4072', '<a href="@url">Besuchen Sie Ihre neue Website</a>.', 'de', '0', '0'),
('4073', 'Konfigurationsdatei', 'de', '0', '0'),
('4074', 'Die Konfigurationsdatei ist nicht vorhanden.', 'de', '0', '0'),
('4075', 'Das @drupal-Installationsprogramm benötigt für den Installationsvorgang sowie für das Betreiben der Website eine Einstellungsdatei. Kopieren Sie die %default_file Datei nach %file. Weitere Details zur Installation von Drupal sind in der <a href="@install_txt">INSTALL.txt</a> enthalten.', 'de', '0', '0'),
('4076', 'Die %file Datei existiert.', 'de', '0', '0'),
('4077', 'Es bestehen keine Schreibrechte für die Konfigurationsdatei.', 'de', '0', '0'),
('4078', 'Das „@drupal“-Installationsprogramm erfordert Schreibrechte für %file während des Installationsvorgang. Wenn Sie Hilfe bei der Vergabe der Dateirechte benötigen, konsultieren Sie das <a href="@handbook_url">Online-Handbuch</a>.', 'de', '0', '0'),
('4079', 'Diese Absender-Adresse wird in automatisch generierten E-Mails, während der Registrierung, bei der Anforderung eines neuen Passworts sowie bei sonstigen Benachrichtigungen verwendet. Geben Sie am besten eine E-Mail-Adresse Ihrer Website-Domain an, damit diese E-Mail-Adresse nicht als Spam markiert wird.', 'de', '0', '0'),
('4080', 'Benutzerkonto für die Wartung der Website', 'de', '0', '0'),
('4081', 'Das standardmäßige Land für die Website auswählen.', 'de', '0', '0'),
('4082', 'E-Mail Benachrichtigung empfangen', 'de', '0', '0'),
('4083', 'Das System wird Sie benachrichtigen, wenn Aktualisierungen und wichtige sicherheitsrelevante Änderungen für die installierten Komponenten vorhanden sind. Anonymisierte Informationen über die Website werden an <a href="@drupal">Drupal.org</a> gesendet.', 'de', '0', '0'),
('4084', 'Keine ausstehenden Aktualisierungen.', 'de', '0', '0'),
('4085', '1 ausstehende Aktualisierung', 'de', '0', '0'),
('4086', '@count ausstehende Aktualisierungen', 'de', '4085', '1'),
('4088', 'Ein Fehler wurde während der Verarbeitung der Anfrage festgestellt: Der Server empfing eine ungültige Eingabe.', 'de', '0', '0'),
('4089', 'Ungültige Formular POST-Daten.', 'de', '0', '0'),
('4090', 'Vorgang kann nicht fortgesetzt werden, da keine Dateiübertragungsmethode vorhanden ist.', 'de', '0', '0'),
('4091', 'WARNUNG: Sie verwenden keine verschlüsselte Verbindung, dadurch wird das Passwort im Klartext gesendet. <a href="@https-link">Mehr erfahren</a>.', 'de', '0', '0'),
('4092', 'Zum Fortfahren, geben Sie Ihre Verbindungsdaten zum Server an', 'de', '0', '0'),
('4093', 'Verbindungsmethode', 'de', '0', '0'),
('4094', 'Verbindungseinstellungen eingeben', 'de', '0', '0'),
('4095', '@backend Verbindungseinstellungen', 'de', '0', '0'),
('4096', 'Verbindungstyp ändern', 'de', '0', '0'),
('4097', 'Fehler, der Typ des Verbindungsprotokoll (%backend) ist nicht vorhanden.', 'de', '0', '0'),
('4098', 'Keine aktive Batch.', 'de', '0', '0'),
('4099', 'Website im Wartungsmodus', 'de', '0', '0'),
('4100', 'Packprogramme funktionieren nur mit lokalen Dateien:%file kann nicht bearbeitet werden.', 'de', '0', '0'),
('4101', 'Die Datei konnte nicht hochgeladen werden, weil das Zielverzeichnis %directory nicht gültig ist.', 'de', '0', '0'),
('4102', 'Die Datei %source konnte nicht hochgeladen werden, weil ein Datei mit diesem Namen bereits im Zielverzeichnis %directory vorhanden ist.', 'de', '0', '0'),
('4103', 'Der Dateiname ist länger als 240 Zeichen. Bitte benennen Sie die Datei um und versuchen es erneut.', 'de', '0', '0'),
('4104', '%path ist ein Verzeichnis und kann nicht mit file_unmanaged_delete() entfernt werden.', 'de', '0', '0'),
('4105', 'Die Datei %path wurde nicht gelöscht, da ihr Dateityp nicht erkannt wurde.', 'de', '0', '0'),
('4106', 'Die Dateiberechtigung konnte nicht auf %uri gesetzt werden.', 'de', '0', '0'),
('4107', '@current von @total abgeschlossen', 'de', '0', '0'),
('4108', 'Es konnten nicht alle Aufgaben in die Datenbank eingespielt werden. Die Aufgabe %task wurde nicht gefunden.', 'de', '0', '0'),
('4109', 'Die Bearbeitung von „%settings“ ist fehlgeschlagen. Überprüfen Sie die Dateirechte.', 'de', '0', '0'),
('4110', 'Das Öffnen von „%settings“ ist fehlgeschlagen. Überprüfen Sie die Dateirechte.', 'de', '0', '0'),
('4111', 'Benötigte Module', 'de', '0', '0'),
('4112', 'Benötigte Module wurden nicht gefunden.', 'de', '0', '0'),
('4113', 'Die nachfolgenden Module werden benötigt, wurden aber nicht gefunden. Füge diese dem entsprechenden Modulverzeichnis (zum Beispiel <em>sites/all/modules</em>) hinzu. Fehlende Module: !modules', 'de', '0', '0'),
('4114', 'System', 'de', '0', '0'),
('4115', '%module Modul deinstalliert.', 'de', '0', '0'),
('4116', 'Saint-Barthélemy', 'de', '0', '0'),
('4117', 'Saint-Martin', 'de', '0', '0'),
('4118', 'Die Standardsprache der Website verwenden (@language_name).', 'de', '0', '0'),
('4119', 'Die Übersetzungsdatei %filepath ist fehlerhaft: Die Pluralform konnte nicht verarbeitet werden.', 'de', '0', '0'),
('4120', 'Keine Zeichenketten verfügbar.', 'de', '0', '0'),
('4121', '@count nicht erlaubte HTML Zeichenkette(n) in %file', 'de', '0', '0'),
('4122', 'Die JavaScript-Übersetzungsdatei %file.js wurde nicht mehr gefunden.', 'de', '0', '0'),
('4123', 'Die E-Mail konnte nicht versendet werden. Treten Sie bitte mit dem Website-Betreiber in Verbindung falls das Problem erneut auftritt.', 'de', '0', '0'),
('4124', 'Die Klasse %class implementiert nicht das Interface %interface.', 'de', '0', '0'),
('4125', 'Die Website befindet sich im Wartungsmodus. <a href="@url">Online gehen.</a>', 'de', '0', '0'),
('4126', 'Wartungsmodus aktiv.', 'de', '0', '0'),
('4127', 'Das Modul %module wurde aktiviert.', 'de', '0', '0'),
('4128', 'Modul %module deaktiviert.', 'de', '0', '0'),
('4129', 'Statusmeldung', 'de', '0', '0'),
('4130', 'Der Typ des Quellverzeichnisses kann nicht festgestellt werden.', 'de', '0', '0'),
('4131', 'Projekttyp kann nicht festgestellt werden..', 'de', '0', '0'),
('4132', 'Schwerwiegender Fehler bei der Aktualisierung. Das Installationsverzeichnis wird vorsichtshalber nicht gelöscht.', 'de', '0', '0'),
('4133', 'Dateiübertragung fehlgeschlagen. Grund: !reason', 'de', '0', '0'),
('4134', '%directory kann nicht erstellt werden. Grund: %reason', 'de', '0', '0'),
('4135', 'Drupal konnte mit der bestehenden Datenbank nicht korrekt eingerichtet werden. Bitte korrigieren Sie die Fehler.', 'de', '0', '0'),
('4136', 'Es stehen keine Feeds zur Verfügung. <a href="@link">Feed hinzufügen</a>.', 'de', '0', '0'),
('4137', 'Es sind keine Kategorien vorhanden. <a href="@link">Kategorie hinzufügen</a>.', 'de', '0', '0'),
('4138', 'Die Zeitspanne zwischen Aktualisierungen des Newsfeeds. Dies setzt einen korrekt eingerichteten <a href="@cron">Cron-Wartungstask</a> voraus.', 'de', '0', '0'),
('4139', 'Anzahl von Nachrichten im Block', 'de', '0', '0'),
('4140', 'Drupal kann einen Block mit den neuesten Nachrichten dieses Newsfeeds zur Verfügung stellen. Es können <a href="@block-admin">Blöcke eingerichtet werden</a>, die in der Seitenleiste der Seite angezeigt werden. Diese Einstellung legt die Anzahl von Nachrichten fest, die im Block dieses Newsfeeds angezeigt werden. Die Eingabe von ‚0‘ deaktiviert die Blöcke für diesen Newsfeed.', 'de', '0', '0'),
('4141', 'Die URL %url ist ungültig. Geben Sie eine vollständige URL wie http://www.example.com/feed.xml ein.', 'de', '0', '0'),
('4142', 'Der Feed mit dem Namen %feed existiert bereits. Bitte vergeben Sie einen eindeutigen Namen.', 'de', '0', '0'),
('4143', 'Es besteht bereits ein Newsfeed mit der URL %url. Geben Sie eine eindeutige URL ein.', 'de', '0', '0'),
('4144', 'Eine OPML-Datei hochladen, die eine Liste der zu importierenden Newsfeeds enthält.', 'de', '0', '0'),
('4145', 'OPML-URL', 'de', '0', '0'),
('4146', 'Geben Sie die URL einer OPML-Datei ein. Diese Datei wird nur einmal beim Absenden des Formulars heruntergeladen und verarbeitet.', 'de', '0', '0'),
('4147', 'Drupal kann einen Block mit den neuesten Nachrichten dieses Newsfeeds zur Verfügung stellen. Es können <a href="@block-admin">Blöcke eingerichtet werden</a>, die in der Seitenleiste der Seite angezeigt werden. Diese Einstellung legt die Anzahl von Nachrichten fest, die im Block dieses Newsfeeds angezeigt werden. Die Eingabe von ‚0‘ deaktiviert die Blöcke für diesen Newsfeed.', 'de', '0', '0'),
('4148', 'Es muss <em>entweder</em> eine Datei hochgeladen <em>oder</em> eine URL angegeben werden.', 'de', '0', '0'),
('4149', 'Diese URL ist ungültig.', 'de', '0', '0'),
('4150', 'Es wurde kein neuer Newsfeed hinzugefügt.', 'de', '0', '0'),
('4151', 'Die URL %url ist ungültig.', 'de', '0', '0'),
('4152', 'Es besteht bereits ein Newsfeed mit dem Namen %title.', 'de', '0', '0'),
('4153', 'Es besteht bereits ein Newsfeed mit der URL %url.', 'de', '0', '0'),
('4154', 'Abrufer laden Daten von externen Quellen herunter. Wählen Sie einen Abrufer, der für die externe Quelle geeignet ist, von der Sie herunterladen wollen.', 'de', '0', '0'),
('4155', 'Parser wandeln heruntergeladene Daten in standardisierte Strukturen um. Wählen Sie einen Parser, der für die Art von Newsfeeds geeignet ist, die Sie aggregieren wollen.', 'de', '0', '0'),
('4156', 'Verarbeiter bearbeiten geparste Daten von Feeds, zum Beispiel speichern sie Einträge von Feeds. Wählen Sie die für Ihre Anwendung geeignete Verarbeiter.', 'de', '0', '0'),
('4157', 'Die Voreinstellungen sind für die meisten Aggregator-Aufgaben geeignet.', 'de', '0', '0'),
('4158', 'Eine Kategorie mit dem Namen %category ist bereits vorhanden. Geben Sie bitte einen eindeutigen Titel ein.', 'de', '0', '0'),
('4159', 'Standard-Abrufer', 'de', '0', '0'),
('4160', 'Lädt Daten von einer URL mit Hilfe von Drupals HTTP-Request-Handler herunter.', 'de', '0', '0'),
('4161', 'Standardparser', 'de', '0', '0'),
('4162', 'Parst RSS-, Atom- und RDF-Feeds.', 'de', '0', '0'),
('4163', 'Standard-Verarbeiter', 'de', '0', '0'),
('4164', 'Erzeugt Einträge von Newsfeed-Einträgen mit geringem Platzverbrauch.', 'de', '0', '0'),
('4165', 'Voreinstellungen für Verarbeiter', 'de', '0', '0'),
('4166', 'Anzahl von Einträgen auf Übersichtsseiten', 'de', '0', '0'),
('4167', 'Setzt einen korrekt eingerichteten <a href="@cron">Cron-Wartungstask</a> voraus.', 'de', '0', '0'),
('4168', 'Kategorien auswählen mit', 'de', '0', '0'),
('4169', 'Für eine geringe Anzahl von Kategorien sind Kontrollkästchen am einfachsten zu benutzen. Bei einer großen Anzahl von Kategorien ist eine Mehrfachauswahl besser geeignet.', 'de', '0', '0'),
('4170', 'Länge der gekürzten Beschreibung', 'de', '0', '0'),
('4171', 'Die maximale Zeichenanzahl für die gekürzte Version des Inhalts.', 'de', '0', '0'),
('4172', 'Das Aggregator-Modul ist ein Content-Syndicator und Newsreader, der die aktuellsten Inhalte von RSS-, RDF- und Atom-Newsfeeds sammelt und anzeigt, die über das Internet verteilt zur Verfügung gestellt werden. Tausende von Websites (vor allem Nachrichten-Websites und Blogs) veröffentlichen ihre neuesten Schlagzeilen in Newsfeeds mit Hilfe standardisierter XML-basierter Formate. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@aggregator-module">Aggregator-Modul</a>.', 'de', '0', '0'),
('4173', 'Newsfeeds lesen', 'de', '0', '0'),
('4174', 'Newsfeeds enthalten veröffentlichte Inhalte und können nach Kategorien gruppiert werden, im Allgemeinen anhand von Themengebieten. Benutzer können den Inhalt von Newsfeeds auf der <a href="@aggregator">Aggregator-Hauptseite</a> oder direkt von <a href="@aggregator-sources">ihrer Herkunftsseite</a> (üblicherweise mit Hilfe eines Newsreaders) lesen. Der neueste Inhalt eines Newsfeeds oder einer Kategorie kann als Block über die <a href="@admin-block">Block-Verwaltungsseite</a> angezeigt werden.', 'de', '0', '0'),
('4175', 'Newsfeeds hinzufügen, bearbeiten und löschen', 'de', '0', '0'),
('4176', 'Adminstratoren können Newsfeeds hinzufügen, bearbeiten und löschen und auf der <a href="@feededit">Verwaltungsseite für den Newsfeed-Aggregator</a> einstellen, wie oft jeder Newsfeed auf aktualisierte Einträge überprüft werden soll.', 'de', '0', '0'),
('4177', 'OPML-Integration', 'de', '0', '0'),
('4178', 'Eine <a href="@aggregator-opml">maschinenlesbare OPML-Datei</a> aller verfügbaren Newsfeeds. OPML ist ein XML-basiertes Dateiformat, mit dem Informationen in der Art von Gliederungen, wie zum Beispiel eine Liste von RSS-Feeds, zur Verfügung gestellt werden können. Newsfeeds können auch <a href="@import-opml">mit Hilfe einer OPML-Datei importiert</a> werden.', 'de', '0', '0'),
('4179', 'Cron einrichten', 'de', '0', '0'),
('4180', 'Ein korrekt eingerichteter <a href="@cron">Cron-Wartungstask</a> ist nötig, um Newsfeeds automatisch zu aktualisieren.', 'de', '0', '0'),
('4181', '<acronym title="Outline Processor Markup Language">OPML</acronym> ist ein XML-format, mit dem mehrere Newsfeeds zwischen Aggregatoren ausgetauscht werden können. Ein einzelnes OPML-Dokument kann mehrere Newsfeeds enthalten. Drupal kann eine solche Datei lesen und alle enthaltenen Newsfeeds in einem Durchgang importieren, was ein manuelles Einfügen erübrigt. Sie können entweder eine Datei von ihrem Computer hochladen oder eine URL angeben, von wo Drupal sie herunterlädt.', 'de', '0', '0'),
('4182', 'Newsfeeds verwalten', 'de', '0', '0'),
('4183', 'Newsfeeds anzeigen', 'de', '0', '0'),
('4184', 'Das Verhalten des Aggregators konfigurieren. Das umfasst die Zeit, nach der Newsfeed-Einträge gelöscht werden sollen und wie Newsfeed-Einträge und Kategorien dargestellt werden.', 'de', '0', '0'),
('4185', 'Den Standardtitel des Blocks überschreiben. <em>!placeholder</em> kann verwendet werden, um keinen Titel anzuzeigen. Leer lassen, um den Standardtitel des Blocks zu verwenden.', 'de', '0', '0'),
('4186', 'Angabe in welchen Themes und Bereichen dieser Block angezeigt wird.', 'de', '0', '0'),
('4187', 'Alle Seiten außer den angegebenen', 'de', '0', '0'),
('4188', 'Nur die aufgelisteten Seiten', 'de', '0', '0'),
('4189', 'Geben Sie Seiten an, indem Sie deren Pfade angeben, ein Pfad pro Zeile. Das Zeichen ‚*‘ ist ein Platzhalter. Beispiele für Pfade sind %blog für die Blog-Seite und %blog-wildcard für jeden persönlichen Blog. %front ist die Startseite.', 'de', '0', '0'),
('4190', 'Seiten, für die dieser PHP-Code <code>TRUE</code> zurückliefert (nur für Experten)', 'de', '0', '0'),
('4191', 'Seiten oder PHP-Code', 'de', '0', '0'),
('4192', 'Geben Sie PHP-Code zwischen %php ein, wenn die PHP-Option ausgewählt ist. Beachten Sie, dass das Ausführen von inkorrektem PHP-Code die Drupal-Seite funktionsunfähig machen kann.', 'de', '0', '0'),
('4193', 'Für jeden Benutzer einzeln anpassbar', 'de', '0', '0'),
('4194', 'Anpassbar, in der Voreinstellung sichtbar', 'de', '0', '0'),
('4195', 'Anpassbar, in der Voreinstellung verborgen', 'de', '0', '0'),
('4196', 'Stellen Sie sicher, dass sich jede Blockbeschreibung von allen anderen unterscheidet.', 'de', '0', '0'),
('4197', 'Das Block-Modul ermöglicht die Erstellung von Boxen mit Inhalten, die in einem Bereich auf einer oder mehren Seiten der Website erscheinen. Das Standard-Verwaltungstheme „Seven“ hat z.B. die Bereiche „Inhalt“, „Hilfe“, „Dashboard Hauptbereich“ und „Dashboard Seitenleiste“, und ein Block kann in irgendeiner dieser Bereiche erscheinen. Die <a href="@blocks">Block-Verwaltungsseite</a> bietet eine Drag-and-Drop-Oberfläche, um einen Block einem Bereich zuzuordnen und die Reihenfolge der Blöcke in den Bereichen zu kontrollieren. Für weitere Informationen lesen Sie den Online-Handbucheintrag zum <a href="@block">Block-Modul</a>.', 'de', '0', '0'),
('4198', 'Inhalte anordnen', 'de', '0', '0'),
('4199', 'Wenn Sie mit Blöcken arbeiten, sei darauf hingewiesen, dass <em>nicht</em> alle Themes die gleichen Regionen anbieten, oder die Regionen auf der gleichen Weise anzeigen. Blöcke werden je Theme positioniert. Benutzer mit der <em>Blöcke verwalten</em>-Berechtigung können Blöcke deaktivieren. Deaktivierte Blöcke werden auf der <a href="@blocks">Blöcke-Verwaltungsseite</a> aufgelistet, jedoch in keiner Region angezeigt.', 'de', '0', '0'),
('4200', 'Sichtbarkeit festlegen', 'de', '0', '0'),
('4201', 'Blöcke können so eingestellt sein, dass diese nur auf bestimmten Seiten sichtbar sind, nur für Benutzer einer bestimmten Rolle, oder nur auf Seiten eines bestimmten <a href="@content-type">Inhaltstyp</a>. Administratoren können auch den Benutzern erlauben, dass bestimmte Blöcke auf der <a href="@user">Mein Konto</a> deaktiviert oder aktiviert werden dürfen, wenn sie ihre Einstellungen bearbeiten. Einige Blöcke, die zum Beispiel von Modulen generiert werden, werden nur auf bestimmten Seiten angezeigt.', 'de', '0', '0'),
('4202', 'Benutzerdefinierte Blöcke anlegen', 'de', '0', '0'),
('4203', 'Benutzer mit der <em>Blöcke verwalten</em>-Berechtigung können <a href="@block-add">benutzerdefinierte Blöcke hinzufügen</a>, welche dann auf der <a href="@blocks">Blöcke-Verwaltungsseite</a> aufgelistet werden. Solche benutzerdefinierte Blöcke verhalten sich wie die Standard-Blöcke oder den Blöcken von Module.', 'de', '0', '0'),
('4204', 'Diese Seite stellt eine Drag-and-Drop-Oberfläche zur Verfügung, mit der Sie Blöcke einer Region zuweisen und die Reihenfolge der Blöcke innerhalb dieser Region kontrollieren können. Nicht alle Themes verwenden die gleichen Regionen oder stellen diese in der selben Weise dar. Deshalb werden Blöcke in Abhängigkeit des aktuell eingestellten Themes positioniert. Beachten Sie: Ihre Änderungen werden nicht gesichert, bevor Sie diese am unteren Rand der Seite mit einem Klick auf <em>Blöcke speichern</em> bestätigen. Klicken Sie neben dem jeweiligen Block auf <em>Konfigurieren</em>, um Titel und Sichtbarkeit eines Blocks anzupassen.', 'de', '0', '0'),
('4205', 'Block-Regionen (@theme) veranschaulichen', 'de', '0', '0'),
('4206', 'Blöcke verwalten', 'de', '0', '0'),
('4207', 'Eine kurze Beschreibung des Blocks. Sie wird auf der <a href="@overview">Verwaltungsseite für Blöcke</a> verwendet.', 'de', '0', '0'),
('4208', 'Blöcke personalisieren', 'de', '0', '0'),
('4209', 'Blöcke bestehen aus Inhalten und Informationen, die den Hauptinhalt der Seite ergänzen. Aktivieren oder deaktivieren Sie optionale Blöcke durch das Setzen eines Häkchens in dem entsprechenden Kontrollkästchen.', 'de', '0', '0'),
('4210', 'Blöcke cachen', 'de', '0', '0'),
('4211', 'Der Block-Cache ist deaktiviert, weil Module aktiviert sind, die Zugangsbeschränkungen für Inhalte festlegen.', 'de', '0', '0'),
('4212', 'Steuert die visuellen Blöcke aus der eine Seite gebaut wurde. Blöcke sind zusätzliche Inhalte, die in bestimmte Bereiche, Regionen einer Webseite angezeigt werden.', 'de', '0', '0'),
('4213', 'Für Blogs mit mehreren Benutzern. Jeder Benutzer erhält einen persönlichen Blog.', 'de', '0', '0'),
('4214', 'Blogs für nur einen Benutzer', 'de', '0', '0'),
('4215', 'Die Blog Beiträge jedes Benutzers werden automatisch mit einem Link zur persönlichen Blog  Seite desBenutzers angezeigt. Sie können für jenden Beutzer ihrer Seite der die Berechtigung "Blog einträge erstellen" hat eine persönliche Blogseite erstellen.', 'de', '0', '0'),
('4216', 'Blogs für mehrere Benutzer', 'de', '0', '0'),
('4217', 'Blogeinträge aus jedem persönlichen Blog werden außerdem zu einem zentralen Gesamtblog zusammengeführt das die Einträge alle Nutzer in einer Auflistung führt.', 'de', '0', '0'),
('4218', 'Es wird ein optionaler <em>Blogs</em> Menüpunkt in der Navigation eingefügt, der alle auf ihrer Site verfügbaren Blogs anzeigt, sowie ein <em>Mein Blog</em> Menüpunkt der die Blogeinträge des aktuell angemeldeten Benutzers anzeigt.', 'de', '0', '0'),
('4219', 'Das Blog Modul stellt auch einen Standard<em>Neuste Blog Einträge</em> Block zur Verfügung, der über die <a href="@blocks">Block Verwaltungsseite</a> eingeschaltet werden kann.', 'de', '0', '0'),
('4220', 'Neuen Blog-Eintrag erstellen', 'de', '0', '0'),
('4221', 'Aktiviert Blogs für mehrere Benutzer.', 'de', '0', '0'),
('4222', 'Keine Bücher vorhanden.', 'de', '0', '0'),
('4223', 'Für Buchgliederungen zugelassene Inhaltstypen', 'de', '0', '0'),
('4224', 'Benutzer mit der Berechtigung %outline-perm können alle Inhaltstypen hinzufügen.', 'de', '0', '0'),
('4225', 'Buchgliederungen verwalten', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('4226', 'Das Book-Modul wird verwendet, um strukturierte und mehrseitige Inhalte zu erstellen, wie etwa Bücher, Bedienungsanleitungen oder Wikis. Das Modul erlaubt das Erstellen von Inhalten mit Kapiteln, Überschriften und Unterüberschriften oder ähnlich strukturierten Inhalten. Weitere Informationen befinden sich im Online-Handbuch zum <a href=''@book''>Book-Modul</a>.', 'de', '0', '0'),
('4227', 'Buchinhalt hinzufügen und verwalten', 'de', '0', '0'),
('4228', 'Sie können die Rechte für das <em>Erzeugen</em>, <em>Editieren</em>, und <em>Löschen</em> von Buchinhalten separat zuweisen, genauso wie das <em>Hinzufügen von Inhalten zu Büchern</em> und das <em>Erzeugen neuer Bücher</em>. Benutzer mit dem Recht zum <em>Verwalten von Buchgliederungen</em> können <em>jeden</em> Inhaltstype zu einem Buch hinzufügen, indem sie die entsprechende Buchgliederung beim Editieren des Inhalts auswählen. Sie können auf der <a href="@admin-book">Buchverwaltungsseite</a> ebenso eine Liste mit allen Büchern ansehen, diese bearbeiten und neu anordnen.', 'de', '0', '0'),
('4229', 'Buchseiten haben einen eigenen Navigationsblock. Dieser Block enthält Links zur vorherigen und zur nächsten Buchseite, ebenso wie zur übergeordneten Buchseite in der Gliederung. Der Block kann auf der <a href=''@admin-block''>Blockverwaltungsseite</a> eingeschaltet werden. Damit Buchseiten in der Navigation erscheinen, müssen sie zur Buchgliederung hinzugefügt sein.', 'de', '0', '0'),
('4230', 'Bücher können gemeinschaftlich erstellt werden: Sie ermöglichen den Benutzern mit entsprechender Berechtigung Seiten in bestehenden Büchern zu erstellen und diese einem individuellen Navigationsmenü hinzuzufügen.', 'de', '0', '0'),
('4231', 'Bücher drucken', 'de', '0', '0'),
('4232', 'Benutzer mit dem Recht, <em>Druckansichten von Büchern</em> zu sehen, können über einen Link in der Fußzeile der Buchseite eine <em>Druckansicht</em> der Buchseite mitsamt der Unterseiten für das Ausdrucken auf Papier abrufen.', 'de', '0', '0'),
('4233', 'Das Book-Modul ermöglicht es, Bücher als eine Sammlung aufeinander folgender Seiten zu organisieren. Diese Inhalte enthalten Links zu nachfolgenden Inhalten und besitzen ein einfaches Navigationssystem, um strukturierte Inhalte zu lesen und hinzuzufügen.', 'de', '0', '0'),
('4234', 'Die Verzeichnis-Funktion erlaubt es, Seiten in einer <a href="@book">Buch-Hierarchie</a> darzustellen, sie innerhalb der Hierarchie zu bewegen, oder <a href="@book-admin">ein gesamtes Buch umzusortieren</a>.', 'de', '0', '0'),
('4235', 'Neue Bücher erstellen', 'de', '0', '0'),
('4236', 'Inhalt zu Büchern hinzufügen und untergeordnete Seiten erstellen', 'de', '0', '0'),
('4237', 'Druckversion der Bücher anzeigen', 'de', '0', '0'),
('4238', 'Rufen Sie die Seite eines Books samt Unterseiten als einzelnes Dokument auf, um das Drucken zu erleichtern. Kann die Performance beeinträchtigen.', 'de', '0', '0'),
('4239', '<em>Bücher (Books-Modul)</em> sind mit einer hierarchischen Menüstruktur ausgestattet - sie sind besonders für Handbücher und Tutorien geeignet.', 'de', '0', '0'),
('4240', 'Ermöglicht Benutzern zusammenhängenden Inhalt zu erstellen und in einem Inhaltsverzeichnis zu organisieren.', 'de', '0', '0'),
('4241', 'Das Color-Modul ermöglicht es Benutzern mit der Berechtigung <em>Websitekonfiguration verwalten</em> schnell und einfach das Farbschema der Themes zu ändern, die mit diesem Feature kompatibel sind. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@color">Color-Modul</a>.', 'de', '0', '0'),
('4242', 'Farben ändern', 'de', '0', '0'),
('4243', 'Das Color-Modul ermöglicht Ihnen die Farbe der Links, Hintergründe, Texte und andere Seitenelemente zu ändern. Um die Farbeinstellung für ein kompatibles Theme zu ändern, klicken Sie auf <em>Einstellungen</em> neben dem entsprechenden Theme auf der <a href=''@configure''>Themes-Verwaltungsseite</a>. Sollten Sie auf der Seite keine Farbregler vorfinden, so ist das Theme nicht kompatibel mit dem Color-Modul. Wenn Sie sicher sind, dass das Theme das Color-Modul unterstützt und trotzdem kein Farbregler angezeigt wird, dann <a href=''@troubleshoot''>folgen Sie dieser Liste zur Problembeseitigung</a>.', 'de', '0', '0'),
('4244', 'Das Color-Modul speichert eine veränderte Kopie der CSS-Dateien Ihres Themes im „files“-Verzeichnis. Das bedeutet, wenn Sie Ihre Stylesheets manuell verändern <em>müssen Sie Ihre Farb-Einstellungen nochmals abspeichern - auch wenn sich die Farbe Ihres Themes nicht verändert hat!</em> Dieser Schritt ist notwendig, da die CSS-Dateien des Moduls (im  „files“-Verzeichnis) neu erstellt werden müssen, um Ihre Änderungen einzubeziehen.', 'de', '0', '0'),
('4245', 'Die GD Grafikbibliothek für PHP ist aktiviert, wurde aber ohne Unterstützung für PNG Bilder compiliert. Schauen sie in der <a href="@url">PHP Bildverarbeitungs Dokumentation</a> nach wie Sie das Problem beheben können.', 'de', '0', '0'),
('4246', 'Die GD Grafikbibliothek für PHP fehlt oder ist veraltet. Schauen sie in der <a href="@url">PHP Bildverarbeitungs Dokumentation</a> nach wie Sie das Problem beheben können.', 'de', '0', '0'),
('4247', 'Ermöglicht Administratoren das Farbschema von kompatiblen Themes zu ändern.', 'de', '0', '0'),
('4248', 'Einen oder mehrere Kommentare für die Aktualisierung auswählen.', 'de', '0', '0'),
('4249', 'Scheinbar gibt es keine zu löschenden Kommentare, oder die ausgewählten Kommentare wurden von einem anderen Administrator gelöscht.', 'de', '0', '0'),
('4250', '@count Kommentare gelöscht.', 'de', '0', '0'),
('4251', 'Gelöschter Kommentar @cid und seine Antworten.', 'de', '0', '0'),
('4252', 'Kommentar freigeschaltet.', 'de', '0', '0'),
('4253', 'Tokens für Kommentare auf der Website', 'de', '0', '0'),
('4254', 'Das Comment-Modul ermöglicht es den Benutzern Inhalte der Website zu kommentieren, Standardwerte und Berechtigungen zu setzen, Kommentare zu moderieren. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@comment">Comment-Modul</a>.', 'de', '0', '0'),
('4255', 'Standard und benutzerdefinierte Einstellungen', 'de', '0', '0'),
('4256', 'Jeder <a href=''@content-type''>Inhaltstyp</a> hat seine eigenen Standard-Kommentareinstellungen mit folgenden Optionen: <em>Offen</em>, um neue Kommentare zu erlauben, <em>Ausgeblendet</em>, um bestehende Kommentare auszublenden und neue Kommentare zu verhindern, oder <em>Geschlossen</em>, um bestehende Kommentare zu sehen, aber neue Kommentare zu verhindern. Diese Standardwerte werden auf alle neu erstellten Inhalte angewandt (Änderungen auf die Einstellungen von bestehenden Inhalten müssen manuell durchgeführt werden). Andere Kommentar-Einstellungen können ebenfalls je Inhaltstyp angepasst werden und kann für jedes einzelne Element überschrieben werden. Wenn ein Kommentar keine Antworten hat, bleibt dieser von seinem Autor veränderbar, solange der Autor ein Benutzerkonto hat und angemeldet ist.', 'de', '0', '0'),
('4257', 'Kompletter Kommentar', 'de', '0', '0'),
('4258', 'Unbestätigte Kommentare (@count)', 'de', '0', '0'),
('4259', 'Kommentare und Kommentareinstellungen verwalten', 'de', '0', '0'),
('4260', 'Eigene Kommentare bearbeiten', 'de', '0', '0'),
('4261', 'Anzahl bisheriger Kommentare', 'de', '0', '0'),
('4262', 'Baumstruktur', 'de', '0', '0'),
('4263', 'Antworten auf Kommentare in einer Baumstruktur anzeigen.', 'de', '0', '0'),
('4264', 'Standard-Kommentareinstellung für neue Inhalte', 'de', '0', '0'),
('4265', 'Kommentartitel erlauben', 'de', '0', '0'),
('4266', 'Kommentarformular auf der gleichen Seite wie die Kommentare anzeigen', 'de', '0', '0'),
('4267', 'Benutzer mit der Berechtigung „Kommentare erstellen“ dürfen Kommentare erstellen.', 'de', '0', '0'),
('4268', 'Die Benutzer dürfen keine Kommentare erstellen, aber vorhandene Kommentare werden angezeigt.', 'de', '0', '0'),
('4269', 'Kommentare werden nicht in der Ausgabe angezeigt', 'de', '0', '0'),
('4270', 'Die Benutzer dürfen keine Kommentare erstellen.', 'de', '0', '0'),
('4271', 'Ihr Kommentar wurde in die Warteschlange eingestellt, um von Website-Administratoren geprüft und nach Bestätigung veröffentlicht zu werden.', 'de', '0', '0'),
('4272', 'Ihr Kommentar wurde erstellt.', 'de', '0', '0'),
('4273', 'Zum Verfassen von Kommentaren bitte <a href="@login">Anmelden</a> oder <a href="@register">Registrieren</a>.', 'de', '0', '0'),
('4274', 'Zum Verfassen von Kommentaren bitte <a href="@login">Anmelden</a>.', 'de', '0', '0'),
('4275', 'Flache Liste', 'de', '0', '0'),
('4276', 'Liste als Thread', 'de', '0', '0'),
('4277', 'Kommentar speichern', 'de', '0', '0'),
('4278', 'Der Kommentar wird nicht veröffentlicht, wenn er eine der oben gelisteten Ausdrücke enthält. Verwenden Sie eine zeichengenaue, durch ein Komma getrennte Liste. Beispiel: lustig, Fahrrad fahren, "Unternehmen, GmbH"', 'de', '0', '0'),
('4279', 'Der Kommentar %subject wurde veröffentlicht.', 'de', '0', '0'),
('4280', 'Kommentar %title gespeichert.', 'de', '0', '0'),
('4281', 'Auflistung und Bearbeitung der Kommentare, sowie Freischaltung von unveröffentlichte Kommentare.', 'de', '0', '0'),
('4282', 'Unbestätigte Kommentare', 'de', '0', '0'),
('4283', 'Beispiel: ‚webmaster@example.com‘ oder ‚verkauf@example.com,support@example.com‘. Um mehrere Empfänger anzugeben, muss jede E-Mail-Adresse durch ein Komma abgetrennt werden.', 'de', '0', '0'),
('4284', 'Kategorie %category wurde gespeichert.', 'de', '0', '0'),
('4285', 'Sie können nicht mehr als %limit Nachrichten innerhalb @interval versenden. Versuchen Sie es später wieder.', 'de', '0', '0'),
('4286', '@username kontaktieren', 'de', '0', '0'),
('4287', '%sender-name (@sender-from) schickte eine E-Mail zu %category.', 'de', '0', '0'),
('4288', '%sender-name (@sender-from) schickte %recipient-name eine E-Mail.', 'de', '0', '0'),
('4289', 'Mit dem Contact-Modul können Besucher der Seite Administratoren und Benutzer kontaktieren. Die Nutzer des Kontaktformulars benennen ein Thema, verfassen Ihre Nachricht und können sich eine Kopie der Nachricht an ihre eigene E-Mail-Adresse zusenden lassen. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@contact">Contact-Modul</a>.', 'de', '0', '0'),
('4290', 'Persönliche Kontaktformulare', 'de', '0', '0'),
('4291', 'Benutzer der Website können über ein Persönliches Kontaktformular, welches ihre E-Mail-Adresse verborgen hält, kontaktiert werden. Benutzer können das Kontaktformular durch das Bearbeiten ihrer <em>Mein Konto</em> Seite ein- oder ausschalten. Wenn eingeschaltet führt ein <em>Kontakt</em>-Reiter auf ihrer Profilseite zu einem persönlichen Kontaktformular. Administratoren können das Kontaktformular auch dann nutzen, wenn es vom Benutzer deaktiviert wurde. Hinweis: Der <em>Kontakt</em>-Reiter wird auf ihrer eigenen Profilseite nicht angezeigt, wenn sie diese betrachten.', 'de', '0', '0'),
('4292', 'Kontaktformular für die ganze Website', 'de', '0', '0'),
('4293', 'Die <a href="@contact">Kontaktseite</a> bietet ein einfaches Formular für Benutzer mit der Berechtigung <em>Globales Kontaktformular verwenden</em>. Von dort aus können Kommentare, Feedback oder andere Anfragen gesendet werden. Es können Kategorien für Nachrichtenweiterleitungen angelegt werden. Übliche Kategorien für eine geschäftliche Website sind beispielsweise „Feedback zur Website“ (Nachrichten werden an den Site-Administratoren weitergeleitet) und „Produktinformation“ (Nachrichten werden an die Verkaufsabteilung weitergeleitet). E-Mail-Adressen, die einer Kategorie angehören, werden nicht öffentlich angezeigt.', 'de', '0', '0'),
('4294', 'Mit der Aktivierung des globalen Kontaktformulars wird ein Link in der Haupt- <em>Navigation</em> erstellt. Dieser Link ist jedoch standardmäßig deaktiviert. Sie können den Menü-Link auf der <a href=''@menu''>Administrationsseite</a> aktivieren.', 'de', '0', '0'),
('4295', 'Personalisierung', 'de', '0', '0'),
('4296', 'Wenn Sie auf der Seite Ihres globalen oder persönlichen Kontaktformulars zusätzlichen Text hinzufügen möchten, verwenden Sie einen Block. Sie können Blöcke auf der <a href="@blocks">Block-Administrationsseite</a>erstellen oder bearbeiten.', 'de', '0', '0'),
('4297', 'Auf dieser Seite können Sie eine oder mehrere Kategorien hinzufügen, um das <a href="@form">Kontaktformular</a> für die ganze Website zu konfigurieren.', 'de', '0', '0'),
('4298', 'Ein (standardmäßig deaktivierter) <em>Kontakt</em>-Menüeintrag wird zum Navigations-Menü hinzugefügt und kann auf der <a href="@menu-settings">Verwaltungsseite für Menüs</a> angepasst werden.', 'de', '0', '0'),
('4299', 'Möchten Sie weiteren Text auf der seitenübergreifenden Kontaktseite anzeigen, kann dafür ein Block verwendet werden. Blöcke können auf der <a href="@blocks">Verwaltungsseite für Blöcke</a> erstellt und bearbeitet werden.', 'de', '0', '0'),
('4300', 'Kontaktformulare und Kontaktformular-Einstellungen verwalten', 'de', '0', '0'),
('4301', 'Globales Website-Kontaktformular verwenden', 'de', '0', '0'),
('4302', 'Persönliche Kontaktformulare für Benutzer verwenden', 'de', '0', '0'),
('4303', '!sender-name (!sender-url) hat eine Nachricht über das Kontaktformular auf !form-url gesandt.', 'de', '0', '0'),
('4304', '[!site-name] !subject', 'de', '0', '0'),
('4305', '!sender-name (!sender-url) hat Ihnen eine Nachricht über ihr Kontaktformular (!form-url) auf !site-name gesandt.', 'de', '0', '0'),
('4306', 'Wenn Sie Mails wie diese nicht erhalten möchten, können Sie Ihre Einstellungen auf !recipient-edit-url ändern.', 'de', '0', '0'),
('4307', 'Ermöglicht anderen Benutzern eine Kontaktaufnahme über ein <a href="@url">persönliches Kontaktformular</a>, womit Ihre Mailadresse verborgen bleibt. Beachten Sie, dass Benutzer mit Verwaltungsrechten immer noch mit Ihnen in Kontakt treten können, auch wenn Sie diese Funktion deaktivieren.', 'de', '0', '0'),
('4308', 'Das persönliche Kontaktformular für neue Benutzer standardmäßig aktivieren.', 'de', '0', '0'),
('4309', 'Die Änderung dieser Einstellung wird sich nicht auf vorhandene Benutzer auswirken.', 'de', '0', '0'),
('4310', 'Das Contextual-Links-Modul zeigt Links an, die es den Benutzern mit der Berechtigung <em>Kontextabhängige Links verwenden</em> ermöglicht, mit bestimmten Elementen auf der Webseite zu interagieren. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@contextual">Contextual-Links-Modul</a>.', 'de', '0', '0'),
('4311', 'Kontextabhängige Links anzeigen', 'de', '0', '0'),
('4312', 'Module stellen Kontext-Links bereit und erlauben so einen schnellen Zugriff auf Funktionen, die Seitenregionen betreffen. Wenn sich zum Beispiel in der Seitenleiste ein benutzerdefinierter Menüblock befindet, stellen die Block- und Menü-Module Links zur Verfügung, mit denen der Block konfiguriert oder das Menü bearbeitet werden kann. Das Contextual-Links-Modul fasst diese Links in einer Liste zusammen, die von dem jeweiligen Theme dargestellt wird. Außerdem wird JavaScript-Code hinzugefügt, der die Links zunächst verbirgt und anzeigt, wenn sich der Mauszeiger über dem Block befindet.', 'de', '0', '0'),
('4313', 'Kontextabhängige Links verwenden', 'de', '0', '0'),
('4314', 'Kontext-Links verwenden, um Aktionen mit Elementen einer Seite durchzuführen.', 'de', '0', '0'),
('4315', 'Kontext-Links', 'de', '0', '0'),
('4316', 'Stellt kontextuelle Links bereit, um passende Aktionen zu einem Element auf der Seite auszuführen.', 'de', '0', '0'),
('4317', 'Benutzeraktivität verfolgen', 'de', '0', '0'),
('4318', 'Durch Aktivieren von Blöcken wie <em>Wer ist online</em> und <em>Neue Mitglieder</em> können Benutzer der Webseite an einer zentralen Stelle verfolgen, wer eingeloggt ist und wer sich neu angemeldet hat.', 'de', '0', '0'),
('4319', 'Inhaltsaktivität verfolgen', 'de', '0', '0'),
('4320', 'Durch Aktivieren von Blöcken wie <em>Neueste Blogeinträge</em>, <em>Neue Forenthemen</em> und <em>Neueste Kommentare</em> können Benutzer der Webseite auf einen Blick neu hinzugefügte Inhalte der Webseite sehen.', 'de', '0', '0'),
('4321', 'Das Verwaltungs-Dashboard anzeigen', 'de', '0', '0'),
('4322', 'Dieser Dashboardbereich ist leer. <em>Dashboard anpassen</em> klicken, um Blöcke hinzuzufügen.', 'de', '0', '0'),
('4323', 'HIERHER ZIEHEN', 'de', '0', '0'),
('4324', 'Stellt eine Übersichtseite im Verwaltungsbereich für das Organisieren von administratorische Aufgaben und Tracking-Information innerhalb der Website bereit.', 'de', '0', '0'),
('4325', 'Dashboard anpassen', 'de', '0', '0'),
('4326', 'Protokollmeldungen löschen', 'de', '0', '0'),
('4327', 'Dies entfernt die Protokollnachrichten endgültig aus der Datenbank.', 'de', '0', '0'),
('4328', 'Datenbankprotokoll gelöscht.', 'de', '0', '0'),
('4329', 'Das Database-Logging-Modul protokolliert Systemereignisse in der Datenbank von Drupal. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@dblog">Database-Logging-Modul</a>.', 'de', '0', '0'),
('4330', 'Die Website überwachen', 'de', '0', '0'),
('4331', 'Website-Probleme debuggen', 'de', '0', '0'),
('4332', 'Fehler bei der Eingabeüberprüfung des Feldes', 'de', '0', '0'),
('4333', 'Es wurde versucht, ein Feld mit einem Namen mit mehr als 32 Zeichen anzulegen: %name', 'de', '0', '0'),
('4334', 'Es wurde versucht, ein Feld mit dem Namen %name anzulegen, das bereits besteht und aktiv ist.', 'de', '0', '0'),
('4335', 'Es wurde versucht, ein Feld mit dem Namen %name anzulegen, das bereits vorhanden ist, jedoch nicht aktiv ist.', 'de', '0', '0'),
('4336', 'Es wurde versucht, ein Feld mit dem Namen %name anzulegen, der für den Elementtyp %type reserviert ist.', 'de', '0', '0'),
('4337', 'Es wurde versucht, ein Feld vom unbekannten Typ „%type“ anzulegen.', 'de', '0', '0'),
('4338', 'Es wurde versucht, ein Feld mit dem unbekannten Speichertyp „%type“ anzulegen.', 'de', '0', '0'),
('4339', 'Es wurde versucht, eine Instanz eines @field_name-Felds ohne ein Bundle anzulegen.', 'de', '0', '0'),
('4340', 'Feldtypen aktivieren', 'de', '0', '0'),
('4341', 'Das Modul „Field“ bietet die Voraussetzungen für Felder und Feld-Anhänge; die Feldtypen und Steuerelemente selber werden von zusätzlichen Modulen zur Verfügung gestellt. Einige der Module sind erforderlich; die optionalen Module können auf der <a href="@modules">Modul-Verwaltungsseite</a> aktiviert werden. In den Drupal-Grundfunktionen sind folgende Module für Feldtypen enthalten: „Number“ (erforderlich), „Text“ (erforderlich), „List“ (erforderlich), „Taxonomy“ (optional), „Image“ (optional) und „File“ (optional). Das erforderliche Modul „Options“ bietet Steuerelemente für andere Feldmodule. Weitere Felder und Steuerelemente werden von Zusatzmodulen zur Verfügung gestellt, die im <a href="@contrib">Bereich für Zusatzmodule auf Drupal.org</a> zu finden sind. Zurzeit sind folgende Feld- und Steuerelement-Module aktiviert:', 'de', '0', '0'),
('4342', 'Speicherart für Felder verwalten', 'de', '0', '0'),
('4343', 'Entwickler von Feld-Modulen können entweder das normale <a href="@sql-store">Modul „Field SQL storage“</a> verwenden, um Daten der Felder zu speichern oder ein angepasstes Modul verwenden, das die <a href="@storage-api">field storage API</a> benutzt.', 'de', '0', '0'),
('4344', 'Die SQL-Feldspeicherung speichert Felddaten in der Datenbank. Es ist das Standardmodul für das Speichern von Feldern; andere Mechanismen für die Feldspeicherung sind möglicherweise Teil der beigetragenen Module. Für mehr Informationen über Felder, steht die <a href="@field-help">Feldmodul Hilfeseite</a> bereit.', 'de', '0', '0'),
('4345', 'Standard SQL Speicherung', 'de', '0', '0'),
('4346', 'Speichert die Felder in der lokalen SQL Datenbank, in dem es Pro-Feld-Tabellen verwendet.', 'de', '0', '0'),
('4347', 'Felder SQL Speicherung', 'de', '0', '0'),
('4348', 'Speichert Felddaten in einer SQL Datenbank.', 'de', '0', '0'),
('4349', 'Das Listen-Modul legt unterschiedliche Felder für die Speicherung einer Reihe von Einträgen fest, die mittels des Feld-Moduls verwendet werden können. Für gewöhnlich werden die Einträge über eine Auswahlliste, Kontrollkästchen oder Optionsfeldern erstellt.', 'de', '0', '0'),
('4350', 'Dieses Feld speichert einfache an/aus- oder ja/nein-Optionen.', 'de', '0', '0'),
('4351', 'Liste (Text)', 'de', '0', '0'),
('4352', 'Das Widget "Kontrollkästchen/Optionsfeld" zeigt Kontrollkästchen an, wenn die Option "Anzahl von Werten" dieses Felds größer als 1 ist; ansonsten werden Optionsfelder angezeigt.', 'de', '0', '0'),
('4353', 'Erlaubte HTML-Tags in Beschriftungen: @tags', 'de', '0', '0'),
('4354', 'Der Wert dieses Feldes wird durch die %function Funktion festgelegt und sollte nicht verändert werden.', 'de', '0', '0'),
('4355', 'Liste erlaubter Werte: Jeder Schlüssel muss eine gültige ganze Zahl oder Dezimalzahl sein.', 'de', '0', '0'),
('4356', 'Liste erlaubter Werte: Jeder Schlüssel muss eine Zeichenkette mit höchstens 255 Zeichen sein.', 'de', '0', '0'),
('4357', 'Liste erlaubter Werte: Schlüssel müssen ganze Zahlen sein', 'de', '0', '0'),
('4358', 'Definiert ein List-Feldtyp. In Verbindung mit dem Options-Modul können Auswahllisten erstellt werden.', 'de', '0', '0'),
('4359', 'Das Zahlen-Modul definiert verschiedene numerische Feldtypen für das Field-Modul. Zahlen können ganzzahlig, dezimal oder im Fließkommaformat sein und bei der Darstellung formatiert werden. Zahlen-Felder können auf eine definierte Menge oder ein Intervall von Eingabewerten eingeschränkt werden. Für mehr Informationen über Felder siehe die <a href="@field-help">Hilfeseite zum Field-Modul</a>.', 'de', '0', '0'),
('4360', 'Dieses Feld speichert eine Zahl als ganze Zahl in der Datenbank.', 'de', '0', '0'),
('4361', 'Dieses Feld speichert eine eine Zahl im Festkomma-Format in der Datenbank.', 'de', '0', '0'),
('4362', 'Dieses Feld speichert eine eine Zahl im Fliesskomma-Format in der Datenbank.', 'de', '0', '0'),
('4363', 'Der kleinste Wert, der in diesem Feld erlaubt sein soll. Leer lassen für keine Beschränkung.', 'de', '0', '0'),
('4364', 'Der größte Wert, der in diesem Feld erlaubt sein soll. Leer lassen für keine Beschränkung.', 'de', '0', '0'),
('4365', 'Geben Sie eine Zeichenfolge an, die dem Wert vorangestellt werden soll, z.. B. ''$'' oder ''&euro''. Lassen Sie es leer für keinen Wert. Trennen Sie Ein- und Mehrzahl mit dem Pipe-Zeichen (''pound|pounds'').', 'de', '0', '0'),
('4366', 'Nur Ziffern und das Dezimaltrennzeichen (@separator) sind in %field erlaubt.', 'de', '0', '0'),
('4367', 'Das Options Modul definiert Kontrollkästchen, Auswahlfelder und andere Eingabeelemente für das Field Modul. Siehe die <a href="@field-help">Field module Hilfe Seite</a> für mehr Informationen.', 'de', '0', '0'),
('4368', 'Das Text-Modul definiert verschiedene Arten von Textfeldern für das Field-Modul. Ein Textfeld kann entweder einfachen Text enthalten oder die in Drupal verfügbaren <a href=''@filter-help''>Textfilter</a> einsetzen, um HTML-Ausgaben sicher zu verwalten. Text-Eingabefelder können einzeilig (Textfeld) oder mehrzeilig (Textbereich) sein sowie für stärkere Eingabekontrolle als Auswahlliste, Kontrollkästchen oder Optionsfelder dargestellt werden. Bei Bedarf kann das Feld auf eine Menge erlaubter Werte eingeschränkt werden. Für mehr Informationen über Felder siehe die <a href=''@field-help''>Hilfeseite zum Field-Modul</a>.', 'de', '0', '0'),
('4369', 'Dieses Feld speichert varchar Text in der Datenbank.', 'de', '0', '0'),
('4370', 'Langer Text', 'de', '0', '0'),
('4371', 'Dieses Feld speichert den langen Text in der Datenbank.', 'de', '0', '0'),
('4372', 'Langer Text und Zusammenfassung', 'de', '0', '0'),
('4373', 'Dieses Feld speichert den langen Text in der Datenbank zusammen mit einem optionalen Zusammenfassungstext.', 'de', '0', '0'),
('4374', 'Gefilterter Text (Benutzer wählt Textformat aus)', 'de', '0', '0'),
('4375', 'Eingabe der Zusammenfassung', 'de', '0', '0'),
('4376', 'Dies erlaubt Autoren, eine explizite Zusammenfassung einzugeben, anstatt des automatisch gekürzten Textes, wenn der Anrisstext angezeigt wird.', 'de', '0', '0'),
('4377', '%name: der Text darf nicht länger als %max Zeichen sein.', 'de', '0', '0'),
('4378', '%name: die Zusammenfassung darf nicht länger als %max Zeichen sein.', 'de', '0', '0'),
('4379', 'Zusammenfassung oder getrimmt', 'de', '0', '0'),
('4380', 'Textbereich mit einer Zusammenfassung', 'de', '0', '0'),
('4381', 'Leer lassen, um die gekürzte Version des ganzen Textes als Zusammenfassung zu verwenden.', 'de', '0', '0'),
('4382', 'Das Feld %field (@field_name) ist vom Steuerelement %widget_type abhängig, das vom %widget_module-Modul zur Verfügung gestellt wird', 'de', '0', '0'),
('4383', 'Inaktive Felder werden nicht angezeigt, wenn die Module nicht aktiviert sind, die sie zur Verfügung stellen. Folgende Felder sind deaktiviert: !list', 'de', '0', '0'),
('4384', 'Feld-Einstellungen bearbeiten.', 'de', '0', '0'),
('4385', 'Typ des Steuerelements ändern.', 'de', '0', '0'),
('4386', 'Instanz-Einstellungen bearbeiten.', 'de', '0', '0'),
('4387', 'Instanz löschen.', 'de', '0', '0'),
('4388', 'Das Feld %label kann nicht hinzugefügt werden, weil es gesperrt ist.', 'de', '0', '0'),
('4389', 'Es ist ein Problem beim Erstellen der Feld-Instanz %label aufgetreten: @message.', 'de', '0', '0'),
('4390', 'Es wurden noch keine Felder hinzugefügt. Neue Felder können auf der Seite <a href="@link">Felder verwalten</a> hinzugefügt werden.', 'de', '0', '0'),
('4391', 'Diese Einstellungen wirken sich auf alle %field-Felder aus, egal wo sie verwendet werden und legen fest, auf welche Weise Daten in der Datenbank gespeichert werden. Sobald Daten einmal erzeugt wurden, können diese Einstellungen nicht mehr verändert werden.', 'de', '0', '0'),
('4392', '%field verfügt über keine Einstellungen.', 'de', '0', '0'),
('4393', 'Die Einstellungen für das %label-Feld wurden aktualisiert.', 'de', '0', '0'),
('4394', 'Die Aktualisierung des %label-Felds ist fehlgeschlagen: %message.', 'de', '0', '0'),
('4395', 'Steuerelement ändern', 'de', '0', '0'),
('4396', 'Die Art des Formularelementes, dass dem Benutzer beim Erstellen dieses Feldes im Inhaltstyp %type angezeigt wird.', 'de', '0', '0'),
('4397', 'Das Steuerelement für das %label-Feld wurde geändert.', 'de', '0', '0'),
('4398', 'Beim Ändern des Steuerelements für das %label-Felds ist ein Problem aufgetreten.', 'de', '0', '0'),
('4399', 'Dieses Feld ist <strong>gesperrt</strong> und kann nicht gelöscht werden.', 'de', '0', '0'),
('4400', 'Das Feld „%field“ wurde vom Inhaltstyp „%type“ gelöscht.', 'de', '0', '0'),
('4401', 'Beim Entfernen des Felds „%field“ vom Inhaltstyp „%type“ ist ein Problem aufgetreten.', 'de', '0', '0'),
('4402', 'Diese Einstellungen wirken sich nur auf das %field-Feld aus, wenn es in einem Typ %type verwendet wird.', 'de', '0', '0'),
('4403', 'Pflichtfeld', 'de', '0', '0'),
('4404', 'Diese Einstellungen wirken sich auf alle %field-Felder aus, egal wo sie verwendet werden. Einige Einstellungen können nicht mehr verändert werden, da bereits Daten für das Feld vorliegen.', 'de', '0', '0'),
('4405', 'Diese Einstellungen wirken sich auf alle %field-Felder aus, egal wo sie verwendet werden.', 'de', '0', '0'),
('4406', 'Einstellungen für das %field-Feld', 'de', '0', '0'),
('4407', 'Der Vorgabewert für dieses Feld. Er wird verwendet, wenn neue Inhalte erstellt werden.', 'de', '0', '0'),
('4408', 'Die %label-Konfiguration wurde gespeichert.', 'de', '0', '0'),
('4409', 'Diese Liste führt alle Felder auf, die zurzeit verwendet werden.', 'de', '0', '0'),
('4410', 'Speichern und Felder hinzufügen', 'de', '0', '0'),
('4411', 'Feldliste', 'de', '0', '0'),
('4412', 'Anzeige verwalten', 'de', '0', '0'),
('4413', 'Feld UI', 'de', '0', '0'),
('4414', 'Dieses Feld speichert die ID einer Datei als einen Zahlenwert.', 'de', '0', '0'),
('4415', '<em>Anzeige</em>-Feld aktivieren', 'de', '0', '0'),
('4416', 'Die Anzeigefunktion erlaubt es Benutzern zu entscheiden, ob eine Datei angezeigt werden soll, wenn der Inhalt betrachtet wird.', 'de', '0', '0'),
('4417', 'Dateien standardmäßig anzeigen', 'de', '0', '0'),
('4418', 'Diese Einstellung hat nur eine Auswirkung, wenn die Anzeigeoption aktiviert ist.', 'de', '0', '0'),
('4419', 'Ziel beim Hochladen', 'de', '0', '0'),
('4420', 'Wählen Sie aus, wo die Dateien abgelegt werden sollen. Der Private Dateispeicher erfordert bedeutend mehr Performance als der Öffentliche Dateispeicher, bietet jedoch einen geschützten Zugang zu Dateien in diesem Feld.', 'de', '0', '0'),
('4421', 'Optionales Unterverzeichnis im Zielverzeichnis des Uploads, in dem Dateien gespeichert werden. Keine Schrägstriche voranstellen oder anhängen.', 'de', '0', '0'),
('4422', 'Geben Sie einen Wert wie "512" (Bytes), "80 KB" (Kilobytes) oder "50 MB" (Megabytes) an, um die maximale Dateigröße zu begrenzen. Bei keiner Angabe wird die Dateigroße nur durch das PHP-Upload-Limit begrenzt (aktuelles Limit: <strong>%limit</strong>).', 'de', '0', '0'),
('4423', '<em>Beschreibungs</em>-Feld aktivieren', 'de', '0', '0'),
('4424', 'Das Beschreibungsfeld ermöglicht Benutzern eine Beschreibung zur hochgeladenen Datei anzugeben.', 'de', '0', '0'),
('4425', 'Die Option „!name“ muss einen gültigen Wert enthalten. Das Feld kann entweder leer gelassen werden oder es muss eine Zeichenkette wie „512“ (Bytes), „80 KB“ (Kilobytes) oder "50 MB" (Megabytes) eingegeben werden.', 'de', '0', '0'),
('4426', 'Die Liste der erlaubten Dateierweiterungen ist nicht gültig. Bitte achten Sie darauf, dass vorangestellte Punkte weggelassen werden (z.B. "jpg" statt ".jpg") und mehrere Erweiterungen durch Kommata oder Leerstellen getrennt werden (z.B. "jpg png gif").', 'de', '0', '0'),
('4427', 'Allgemeine Datei', 'de', '0', '0'),
('4428', 'Tabelle der Dateien', 'de', '0', '0'),
('4429', 'Neue Datei hinzufügen', 'de', '0', '0'),
('4430', 'Datei in Anzeige einbeziehen', 'de', '0', '0'),
('4431', 'Die Beschreibung kann als Linktext für die Datei verwendet werden.', 'de', '0', '0'),
('4432', 'Die Dateien müssen kleiner als !size sein.', 'de', '0', '0'),
('4433', 'Zulässige Dateierweiterungen: !extensions.', 'de', '0', '0'),
('4434', 'Bilder müssen genau die Größe !size Pixel haben.', 'de', '0', '0'),
('4435', 'Bilder müssen zwischen !min und !max Pixel haben.', 'de', '0', '0'),
('4436', 'Bilder müssen größer als !min Pixel sein.', 'de', '0', '0'),
('4437', 'Bilder müssen kleiner als !max Pixel sein.', 'de', '0', '0'),
('4438', 'Das File-Modul definiert einen <em>„Datei” Feldtyp</em> für das Field-Modul. Damit können Sie Dateien verwalten und diese an Inhalte anfügen, <a href="@field-help">Hilfe zum Field-Modul</a> und <a href="@file">Handbuch zum File-Modul</a>.', 'de', '0', '0'),
('4439', 'Dateien an Inhalt anhängen', 'de', '0', '0'),
('4440', 'Das File-Modul ermöglicht Benutzern das Anfügen von Dateien  (wie PDF-Dateien, Kalkulationstabellen) zu Inhalten, wenn ein <em>Datei</em> -Feld einem bestimmten Inhaltstyp mit dem <a href="@fieldui-help">Feld UI Modul</a>hinzugefügt wurde. Sie können die Optionen für die Überprüfung Ihrer Datei, z. B. durch Angeben von maximaler Dateigröße und erlaubten Datei-Erweiterungen steuern.', 'de', '0', '0'),
('4441', 'Anzeige der Anhänge verwalten', 'de', '0', '0'),
('4442', 'Wenn Sie eine Datei an Inhalt anfügen, können Sie angeben, ob es <em>aufgelistet</em> wird. Aufgelistete Dateien werden automatisch in einem Bereich am unteren Rand Ihres Inhalts angezeigt; nicht aufgelistete Dateien sind dennoch verfügbar für die Einbettung in den Inhalt.', 'de', '0', '0'),
('4443', 'Speicherorte für Dateien verwalten', 'de', '0', '0'),
('4444', 'Wenn Sie ein Dateifeld erstellen, können sie ein Verzeichnis festlegen, in dem die Dateien gespeichert werden. Dieses kann sich innerhalb des <em>public</em> oder <em>private</em> Verzeichnisses befinden. Gelistete Dateien aus dem Public-Verzeichnis können über das Web direkt heruntergeladen werden - auch ohne gültiges Benutzerkonto. Dateien im Private-Verzeichnis sind nur mit gültigem Benutzerkonto abrufbar. Die Private Methode benötigt eine längere Ladezeit und Rechenarbeit des Servers, da das Drupalskript für den Aufruf ausgeführt werden muss. Allerdings kann man mithilfe dieser Methode den Zugriff auf die Dateien einschränken.', 'de', '0', '0'),
('4445', 'Ein nicht behebbarer Fehler ist aufgetreten. Die Verwendung dieses Formulars ist abgelaufen. Versuchen Sie die Seite neu zu laden und das Formular noch einmal abzusenden.', 'de', '0', '0'),
('4446', 'Die vom Feld !name referenzierte Datei existiert nicht.', 'de', '0', '0'),
('4447', 'Die Datei im Feld !name konnte nicht hochgeladen werden.', 'de', '0', '0'),
('4448', 'Das Verzeichnis %directory zum Speichern für das Dateifeld konnte nicht erstellt werden oder ist nicht zugänglich. Die Datei konnte nicht in diesem Verzeichnis gespeichert werden und deshalb wurde das Speichern abgebrochen.', 'de', '0', '0'),
('4449', 'Ihr Server kann den Fortschrittsbalken beim Hochladen von Dateien nicht anzeigen. Dies erfordert einen Apache Server mit PHP und mod_php.', 'de', '0', '0'),
('4450', 'Alle Rollen dürfen dieses Format verwenden.', 'de', '0', '0'),
('4451', 'Die Textformat-Reihenfolge wurde gespeichert.', 'de', '0', '0'),
('4452', 'Textformat hinzufügen', 'de', '0', '0'),
('4453', 'Alle Rollen müssen für dieses Textformat aktiviert sein und können nicht geändert werden.', 'de', '0', '0'),
('4454', 'Reihenfolge der Filterverarbeitung', 'de', '0', '0'),
('4455', 'Die Namen von Textformaten müssen eindeutig sein. Ein Format namens %name existiert bereits.', 'de', '0', '0'),
('4456', 'Textformat %format hinzugefügt.', 'de', '0', '0'),
('4457', 'Das Textformat %format wurde aktualisiert.', 'de', '0', '0'),
('4458', 'Textformate', 'de', '0', '0'),
('4459', 'Das Filtermodul ermöglicht es Administratoren Textformate zu konfigurieren. Textformate definieren HTML -Tags, -Codes und anderer Eingaben, die in Seiteninhalten und Kommentaren erlaubt sind. Das Filtermodul ist ein Kernfeature im Schutz gegen potentiell schädlichen Fremdcode von böswilligen Benutzern, <a href="@filter">Onlinehandbuch zum Filter Modul</a>.', 'de', '0', '0'),
('4460', 'Anwenden von Filtern auf Text', 'de', '0', '0'),
('4461', 'Jedes Textformat Filter wird zur Manipulieren von Text verwendet und die meisten Formate setzen verschiedene Filter anwenden, um Text in einer bestimmten Reihenfolge auszuwerten. Jeder Filter ist für einen bestimmten Zweck konzipiert und im Allgemeinen werden Texte hinzugefügt, entfernt oder Elemente innerhalb der vom Benutzer eingegebenen Text transformiert, bevor der Inhalt angezeigt wird. Ein Filter ändert nicht den eigentlichen Inhalt, aber verändert diesen bevor er angezeigt wird. Ein Filter kann nicht zugelassene HTML-Tags entfernen, während eine anderer automatisch HTML-Tags hinzufügt oder URLs als anklickbare Links ausgibt.', 'de', '0', '0'),
('4462', 'Textformate definieren', 'de', '0', '0'),
('4463', 'Ein Format ist standardmäßig eingebettet: <em>Plain text</em> (es entfernt alle HTML Tags). Zusätzliche Formate können während der Installation in Ihrem Profil erstellt werden. Außerdem können Administratoren weitere Formate unter <a href="@text-formats">Text formats page</a> erstellen.', 'de', '0', '0'),
('4464', 'Auswahl eines Textformats', 'de', '0', '0'),
('4465', 'Ein Textformat enthält Filter, mit denen die Benutzereingabe umgewandelt wird, z.B. zum Entfernen von böswilligem HTML-Code oder um URLs anklickbar zu machen. Filter werden von oben nach unten ausgeführt, daher ist die Reihenfolge wichtig, da ein Filter verhindern kann, dass ein anderer richtig funktioniert. Wenn zum Beispiel URLs in Links umgewandelt werden, bevor nicht erlaubte HTML-Tags entfernt werden, werden möglicherweise Links entfernt. Wenn dies passiert muss möglicherweise die Reihenfolge der Filter angepasst werden.', 'de', '0', '0'),
('4466', 'Warnung: Diese Berechtigung kann Auswirkungen auf die Sicherheit haben, je nachdem wie das Textformat konfiguriert ist.', 'de', '0', '0'),
('4467', 'Das Textformat !text_format verwenden', 'de', '0', '0'),
('4468', 'Weitere Informationen über Textformate', 'de', '0', '0'),
('4469', 'Erlaubte HTML-Tags begrenzen', 'de', '0', '0'),
('4470', 'Zeilenumbrüche in HTML umwandeln (z.B. <code>&lt;br&gt;</code> und <code>&lt;p&gt;</code>)', 'de', '0', '0'),
('4471', 'URLs in Links umwandeln', 'de', '0', '0'),
('4472', 'Fehlerhaftes HTML korrigieren', 'de', '0', '0'),
('4473', 'Jegliches HTML als reinen Text anzeigen', 'de', '0', '0'),
('4474', 'Eine Liste von HTML-Tags, die verwendet werden dürfen. JavaScript-Ereignis-Attribute, JavaScript-URLs, und CSS werden immer entfernt.', 'de', '0', '0'),
('4475', 'HTML-Hilfe in den erweiterten Filtertipps anzeigen', 'de', '0', '0'),
('4476', 'Zu allen Links rel="nofollow" hinzufügen', 'de', '0', '0'),
('4477', 'Diese Website unterstützt in HTML formatierte Inhalte. Während das vollständige Erlernen von HTML abschreckend sein kann, ist der Erlernen einer kleinen Anzahl von HTML Textauszeichnungen ("tags") sehr einfach. Diese Tabelle führt Beispiele aller zulässigen Tags an.', 'de', '0', '0'),
('4478', 'Weitere Informationen finden Sie unter W3C <a href="@html-specifications">HTML-Spezifikationen</a> oder verwenden Sie eine Suchmaschine, um anderen Websites zu finden, die HTML erklären.', 'de', '0', '0'),
('4479', 'Die meisten ungewöhnlichen Buchstaben können ohne Probleme direkt eingegeben werden.', 'de', '0', '0'),
('4480', 'Wenn Sie Probleme feststellen, versuchen Sie es mit HTML-Zeichenentitäten. Ein einfaches Beispiel dafür ist &amp;amp; für ein kaufmännisches Und-Zeichen &amp;. Eine vollständige Liste der Entitäten finden Sie auf der Seite der HTML-<a href="@html-entities">Entitäten</a>. Einige der verfügbaren Zeichen sind:', 'de', '0', '0'),
('4481', 'Keine HTML-Tags erlaubt.', 'de', '0', '0'),
('4482', 'Filtert Inhalt als Vorbereitung zur Anzeige.', 'de', '0', '0'),
('4483', 'Von !author vor @time', 'de', '0', '0'),
('4484', 'Das Forum %term und alle Unterforen wurden gelöscht.', 'de', '0', '0'),
('4485', 'Die Anzahl der Antworten ein Thema haben muss, um als "hot" angesehen zu werden.', 'de', '0', '0'),
('4486', 'Keine Ordner oder Foren verfügbar. <a href="@container">Ordner hinzufügen</a> oder <a href="@forum">Forum hinzufügen</a>.', 'de', '0', '0'),
('4487', 'forum: %term und alle Unterforen wurden gelöscht.', 'de', '0', '0'),
('4488', 'Mit dem Forum-Modul können Sie Diskussionsforen mit ählicher Funktionalität erstellen, wie sie anderen Message Board Systeme bieten. Foren sind nützlich, damit Community-Mitglieder diskutieren können: Themen werden erörtert und archiviert. Die Beiträge in einem Forum werden als Hierarchien organisiert, so dass Diskussionen kategorisiert und gruppiert werden. Die Forum-Hierarchie besteht aus:', 'de', '0', '0'),
('4489', 'Optionale Behälter (wie z.B. <em>Support</em> können beinhalten:', 'de', '0', '0'),
('4490', 'Foren (wie z.B. <em>Drupal installieren</em>) können beinhalten:', 'de', '0', '0'),
('4491', 'Forenbeiträge von Benutzern (z.B. <em>Wie beginnt man eine Drupal 6 Multisite?</em>), welche Diskussionen beginnen und Startpunkte sind für:', 'de', '0', '0'),
('4492', 'Verschachtelte Kommentare, die von Benutzern abgegeben wurden  (z.B. <em>Es gibt diese Optionen...</em>).', 'de', '0', '0'),
('4493', 'Forenstruktur einrichten', 'de', '0', '0'),
('4494', 'Besuchen Sie die <a href="@forums">Forum Seite</a>, um einen Behälter und Foren für Ihre Diskussionsthemen zu erstellen.', 'de', '0', '0'),
('4495', 'Eine Diskussion starten', 'de', '0', '0'),
('4496', 'Der <a href="@create-topic">Forumthema</a> Link auf der <a href="@content-add">Inhalte hinzufügen</a> Seite, erstellt den ersten Post einer neuen Diskussion, oder eines Threads.', 'de', '0', '0'),
('4497', 'Das Forum-Modul bietet ein Standard- <em>Foren</em> -Menüelement im Navigationsmenü auf der <a href="@forums">Forenseite</a>.', 'de', '0', '0'),
('4498', 'Verschieben von Forenthemen', 'de', '0', '0'),
('4499', 'Ein Forenthema (und alle seine Kommentare) kann zu einem anderen Forum verschoben werden, indem beim bearbeiten ein anderes Forum gewählt wird. Wenn dieses verschieben gemacht wird, kann mit der Option <em>Leave shadow copy</em> ein Link im ursprünglichen Forum auf den neuen Ort hinterlassen werden.', 'de', '0', '0'),
('4500', 'Kommentare sperren und deaktivieren', 'de', '0', '0'),
('4501', 'Wenn Sie <em>Geschlossen</em> für die <em>Kommentar Einstellungen</em> eines Thema eines Forums wählen, so wird das Thema gesperrt (d.h. es können keine neue Kommentare hinzugefügt werden). Wählen Sie <em>Verborgen</em> für die <em>Kommentar Einstellungen</em>, so werden alle Kommentare dieses Themas verborgen und so verhindert, dass neue Kommentare hinzugefügt werden.', 'de', '0', '0'),
('4502', 'Foren enthalten Forenthemen. Container können verwendet werden, um verwandte Foren zu gruppieren.', 'de', '0', '0'),
('4503', 'Container können verwendet werden, um verwandte Foren zu gruppieren.', 'de', '0', '0'),
('4504', 'Ein Forum enthält verwandte Forenthemen.', 'de', '0', '0'),
('4505', 'Anzeige der Forenthemen anpassen. Organisieren Sie die Foren auf der <a href="@forum-structure">Forenverwaltungs-Seite</a>.', 'de', '0', '0'),
('4506', '@node_type hinzufügen', 'de', '0', '0'),
('4507', '<a href="@login">Anmelden</a>, um einen neuen Beitrag im Forum zu verfassen.', 'de', '0', '0'),
('4508', 'Das Element %forum ist ein Forenordner, kein Forum. Wählen Sie stattdessen eines der untenstehenden Foren.', 'de', '0', '0'),
('4509', 'Ein <em>Foren Thema</em> beginnt eine neue Diskussion innerhalb des Forums.', 'de', '0', '0'),
('4510', 'Forenhierarchie-Einstellungen verwalten.', 'de', '0', '0'),
('4511', 'Forum Navigations-Vokabular', 'de', '0', '0'),
('4512', 'Stellt Diskussionsforen bereit.', 'de', '0', '0'),
('4513', 'Folgen Sie diesen Schritten, um Ihre Webseite einzurichten und zu verwenden:', 'de', '0', '0'),
('4514', '<strong>Beginnen Sie Inhalte zuerstellen</strong> Zum Schluss, können Sie Ihre Website <a href="@content">neue Inhalte hinzufügen</a>.', 'de', '0', '0'),
('4515', 'Für weitere Informationen zu ein bestimmten Thema, wird auf die aufgelisteten Bereiche hingewiesen oder dem <a href="@handbook">Online-Drupalhandbuch</a>. Ebenfalls können Sie ein Forumbeitrag im <a href="@forum">Drupal-Forum</a> erstellen oder schauen sich <a href="@support">andere Support-Möglichkeiten</a> an.', 'de', '0', '0'),
('4516', 'Das Hilfe-Modul bietet <a href="@help-page">Hilfe Referenzseiten</a> und kontext-sensitive Anleitungen, um durch die Verwendung und Konfiguration von Modulen zu leiten. Es ist ein Einstiegspunkt für die <a href="@handbook">Drupal Online-Handbücher</a>. Die Handbücher beinhalten ausführlichere und aktuellere Informationen, sind mit Kommentaren von Nutzern versehen und dienen als <em>der</em> Referenzpunkt für alle Drupal Dokumentationen. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@help">Hilfe-Modul</a>.', 'de', '0', '0'),
('4517', 'Bietet eine Hilfereferenz an', 'de', '0', '0'),
('4518', 'Das Hilfe-Modul zeigt Erklärungen für die Nutzung der einzelnen Module auf der <a href="@help">Einstiegsseite zur Hilfe</a>.', 'de', '0', '0'),
('4519', 'Bietet eine kontextbasierte Hilfe an', 'de', '0', '0'),
('4520', 'Das Hilfe-Modul zeigt kontext-sensitive Hinweise und Erklärungen auf einer Vielzahl von Seiten.', 'de', '0', '0'),
('4521', 'Stil %name bearbeiten', 'de', '0', '0'),
('4522', 'Dieser Bildstil wird momentan von einem Modul bereitgestellt. Schaltfläche „Standardwerte überschreiben“ anklicken, um seine Einstellungen zu ändern.', 'de', '0', '0'),
('4523', 'Bildstilname', 'de', '0', '0'),
('4524', 'Der Name wird in URLs für generierte Bilder verwendet. Nur alphanumerische Zeichen in Kleinschreibung, Unterstriche (_) und Bindestriche (-) verwenden.', 'de', '0', '0'),
('4525', 'Einen neuen Effekt auswählen', 'de', '0', '0'),
('4526', 'Standardwerte überschreiben', 'de', '0', '0'),
('4527', 'Stil aktualisieren', 'de', '0', '0'),
('4528', 'Hinzuzufügenden Stil auswählen.', 'de', '0', '0'),
('4529', 'Der Bildeffekt wurde erfolgreich angewendet.', 'de', '0', '0'),
('4530', 'Der Stil %style wurde überschrieben, so dass seine Einstellungen geändert werden können.', 'de', '0', '0'),
('4531', 'Stilname', 'de', '0', '0'),
('4532', 'Neuen Stil erstellen', 'de', '0', '0'),
('4533', 'Stil %name wurde erstellt.', 'de', '0', '0'),
('4534', 'Der Bildstilname %name wird bereits verwendet.', 'de', '0', '0'),
('4535', 'Bitte nur kleine alphanumerische Zeichen, Unterstriche (_) und Bindestriche (-) für Stilnamen verwenden.', 'de', '0', '0'),
('4536', 'Kein Ersatz, nur Löschen', 'de', '0', '0'),
('4537', 'Ersetzungsstil', 'de', '0', '0'),
('4538', 'Optional wählen Sie einen neuen Stil, bevor %style gelöscht wird', 'de', '0', '0'),
('4539', 'Wenn diese Design auf der Website im Einsatz ist und Sie einen anderes Design wählen, dann werden alle Bilder, die für dieses Design erzeugt wurden, dauerhaft gelöscht.', 'de', '0', '0'),
('4540', 'Stil %name wurde gelöscht.', 'de', '0', '0'),
('4541', 'Stil %style zurücksetzen?', 'de', '0', '0'),
('4542', 'Das Zurücksetzen dieses Designs wird die getätigten Einstellungen zurücksetzen und die Standardwerte der Module @module wiederherstellen.', 'de', '0', '0'),
('4543', 'Effekt %label bearbeiten', 'de', '0', '0'),
('4544', 'Effekt %label hinzufügen', 'de', '0', '0'),
('4545', 'Effekt aktualisieren', 'de', '0', '0'),
('4546', 'Effekt hinzufügen', 'de', '0', '0'),
('4547', 'Soll der Effekt @effect wirklich von Stil %style gelöscht werden?', 'de', '0', '0'),
('4548', 'Der Bildeffekt %name wurde gelöscht.', 'de', '0', '0'),
('4549', '!name muss eine ganze Zahl sein.', 'de', '0', '0'),
('4550', '!name muss eine positive ganze Zahl sein.', 'de', '0', '0'),
('4551', '!name muss ein hexadezimaler Farbwert sein.', 'de', '0', '0'),
('4552', 'Breite und Höhe dürfen nicht leer sein.', 'de', '0', '0'),
('4553', 'Der Teil des Bildes, das während des Zuschneiden unangetastet bleibt.', 'de', '0', '0'),
('4554', 'Die Hintergrundfarbe für exponierte Bereiche des Bildes. Verwenden Sie für die Angabe der Farben die Hexadezimal-Schreibweise (#FFFFFF für weiß, #000000 für schwarz). Freilassen, wenn Sie Bilder verwenden wollen, die Transparenz unterstützen.', 'de', '0', '0'),
('4555', 'Momentan gibt es keine Stile. <a href="!url">Neuen hinzufügen</a>.', 'de', '0', '0'),
('4556', 'Aktuell sind für diesen Stil keine Effekte festgelegt. Fügen Sie durch Auswahl einer Funktion oben neue hinzu.', 'de', '0', '0'),
('4557', 'tatsächliche Größe anzeigen', 'de', '0', '0'),
('4558', 'Original Beispielbild', 'de', '0', '0'),
('4559', 'Verändertes Beispielbild', 'de', '0', '0'),
('4560', 'Die Anpassung der Größe führt zur genauen Umsetzung der Maßvorgaben. Dies führt möglicherweise dazu, dass Bilder gestreckt oder mit falschen Proportionen gequetscht erscheinen.', 'de', '0', '0'),
('4561', 'Eine Skalierung behält das Seitenverhältnis des Originalbildes bei. Sofern nur eine Seitenlänge angegeben ist, wird die andere berechnet.', 'de', '0', '0'),
('4562', 'Skalieren und zuschneiden', 'de', '0', '0'),
('4563', 'Skalieren und zuschneiden wird das Seitenverhältnis des ursprünglichen Bildes erhalten, und dann die überstehenden Ränder entfernen. Dies ist besonders nützlich für die Erstellung von perfekt quadratischen Vorschaubildern ohne Verzerrung des Bildes.', 'de', '0', '0'),
('4564', 'Das Zuschneiden wird Teile von einem Bild entfernen, um es an die angegebene Größe anpassen zu können.', 'de', '0', '0'),
('4565', 'Entsättigen', 'de', '0', '0'),
('4566', 'Sättigung verringern konvertiert ein Bild in Graustufen.', 'de', '0', '0'),
('4567', 'Das Drehen eines Bildes kann dazu führen, dass die angezeigte Bildgröße verringert wird, damit es in das Layout passt.', 'de', '0', '0'),
('4568', 'Das Ändern der Bildgröße mit dem %toolkit Werkzeug in %path (%mimetype, %dimensions) ist gescheitert.', 'de', '0', '0'),
('4569', 'Die Bildskalierung mit dem %toolkit Werkzeug in %path (%mimetype, %dimensions) ist gescheitert.', 'de', '0', '0'),
('4570', 'Die Bildbeschneidung mit dem %toolkit Werkzeug in %path (%mimetype, %dimensions) ist gescheitert.', 'de', '0', '0'),
('4571', 'Die Bildbeschneidung und Bildskalierung mit dem %toolkit Werkzeug in %path (%mimetype, %dimensions) ist gescheitert.', 'de', '0', '0'),
('4572', 'Die Bildensättigung mit dem %toolkit Werkzeug in %path (%mimetype, %dimensions) ist gescheitert.', 'de', '0', '0'),
('4573', 'Die Bildrotierung mit dem %toolkit Werkzeug in %path (%mimetype, %dimensions) ist gescheitert.', 'de', '0', '0'),
('4574', 'Dieses Feld speichert die ID einer Bilddatei als Integer-Wert.', 'de', '0', '0'),
('4575', 'wenn kein Bild gespeichert ist, wird dieses Bild im Display-Modus angezeigt.', 'de', '0', '0'),
('4576', 'Die maximale erlaubte Bildgröße ausgedrückt als BREITExHÖHE (z.B. 640x480). Leer lassen für keine Einschränkung. Wenn ein größeres Bild hochgeladen wird, wird die Größe auf die angegebene Breite und Höhe angepasst. Die Größenanpassung von Bildern beim Hochladen führt zum Verlust der <a href="http://de.wikipedia.org/wiki/Exif">Exif-Daten</a> im Bild.', 'de', '0', '0'),
('4577', 'Minimale Bildauflösung', 'de', '0', '0'),
('4578', 'Die minimal erlaubte Bildgröße ausgedrückt als BREITExHÖHE (z.B. 640x480). Leer lassen für keine Einschränkung. Wenn ein kleineres Bild hochgeladen wird, wird es zurückgewiesen.', 'de', '0', '0'),
('4579', '<em>Alt</em>-Feld verwenden', 'de', '0', '0'),
('4580', 'Das Alt-Feld kann von Suchmaschinen, Screenreaders verwendet werden und falls das Bild nicht dargestellt werden kann.', 'de', '0', '0'),
('4581', '<em>Titel</em>-Feld einschalten', 'de', '0', '0'),
('4582', 'Das Titel-Attribut wird als Tooltip angezeigt, wenn sich der Mauszeiger darauf befindet.', 'de', '0', '0'),
('4583', 'Werte für Höhe und Breite müssen numerisch sein.', 'de', '0', '0'),
('4584', 'Im Feld !name muss sowohl ein Wert für die Höhe als auch für die Breite angegeben werden.', 'de', '0', '0'),
('4585', 'Bildstil-Vorschau', 'de', '0', '0'),
('4586', 'keine Vorschau', 'de', '0', '0'),
('4587', 'Das Vorschaubild wird beim Bearbeiten des Inhalts angezeigt.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('4588', 'Das Bild-Modul ermöglicht Ihnen, Bilder auf Ihrer Website zu bearbeiten. Es sind Einstellung für die Verwendung eines <em>Bild-Toolkits</em> verfügbar, so können Sie <em>Bildstile</em> konfigurieren. Sie können die Größe oder die Anzeige von Bildern manipulieren. Dazu ist ein <em>ein Bildfeld</em> vorgesehen über das Bildern zum Inhalt hinzugefügt werden. Weitere Informationen finden Sie im <a href="@image"> Handbuch zum Image-Modul</a>.', 'de', '0', '0'),
('4589', 'Bilder bearbeiten', 'de', '0', '0'),
('4590', 'Mit dem Image Modul können Sie Bilder hilfe von <a href="@image">Bildstilen</a> skalieren, beschneiden, verkleinern, drehen und in Grautöne umwandeln ohne das Originalbild zu beeinflussen. Wenn Sie einen Bildstil ändern, aktualisiert das Modul automatisch alle erstellten Bilder. Jeder Bildstil muss einen Namen haben, der in der URL der erstellten Bilder genutzt wird. Es gibt zwei gebräuchliche Ansätze bei der Benennung der Bildstile (welche Sie wählen sollten hängt von der Verwendung der Bildstile ab):', 'de', '0', '0'),
('4591', 'Abhängig davon wo es verwendet wird: z.B. <em>profil-bild</em>', 'de', '0', '0'),
('4592', 'Beschreibung des Aussehens: z.B. <em>quadratisch-85x85</em>', 'de', '0', '0'),
('4593', 'Bilder als Felder an Inhalt anhängen', 'de', '0', '0'),
('4594', 'Das Image-Modul ermöglicht Ihnen Bilder an Inhalte als Felder hinzufügen. Wenn Sie ein Bildfeld einem <a href="@content-type">Inhaltstyp</a>hinzufügen, gehen Sie zur <em>Feldverwaltung für Inhaltstypen, </em>und fügen Sie ein neues Feld vom Typ <em>Bild</em> hinzu. Bilder auf diese Weise zum Inhalt hinzuzufügen ermöglicht  Bildstilen anzuwenden und zu verwalten und auch mehr Flexibilität beim Design.', 'de', '0', '0'),
('4595', 'Bildstile bieten allgemein verkleinerte Bilder durch Skalieren und Beschneiden, es kann jedoch auch verschiedene andere Effekte angewendet werden, bevor das Bild angezeigt wird. Wenn ein Bild mit einem Bildstil angezeigt wird, dann wird ein neues Bild erstellt und das Original Bild bleibt unverändert.', 'de', '0', '0'),
('4596', 'Bildstile verwalten', 'de', '0', '0'),
('4597', 'Stile zum Erzeugen von Bildveränderungen wie z.B. Miniaturansichten erstellen und ändern.', 'de', '0', '0'),
('4598', 'Keine definierten Stile', 'de', '0', '0'),
('4599', 'Bildgenerierung läuft gerade. Bitte in Kürze wieder versuchen.', 'de', '0', '0'),
('4600', 'Fehler beim Erzeugen des Bilds.', 'de', '0', '0'),
('4601', 'Das abgeleitete Bild unter %path konnte nicht generiert werden.', 'de', '0', '0'),
('4602', 'Stil-Verzeichnis konnte nicht erstellt werden: %directory', 'de', '0', '0'),
('4603', 'Die zwischengespeicherte Bilddatei %destination existiert bereits. Möglicherweise gibt es ein Problem mit Ihrer Rewrite Konfiguration.', 'de', '0', '0'),
('4604', 'Bildstil erzeugen', 'de', '0', '0'),
('4605', 'Bildstile', 'de', '0', '0'),
('4606', 'Stile konfigurieren, die für Größenänderung oder das Anpassen von Bildern für die Anzeige verwendet werden können.', 'de', '0', '0'),
('4607', 'Die aktuellen Bildstile auf der Webseite auflisten.', 'de', '0', '0'),
('4608', 'Stil hinzufügen', 'de', '0', '0'),
('4609', 'Neuen Bildstil hinzufügen', 'de', '0', '0'),
('4610', 'Einen Bildstil konfigurieren', 'de', '0', '0'),
('4611', 'Einen Bildstil löschen', 'de', '0', '0'),
('4612', 'Stil wiederherstellen', 'de', '0', '0'),
('4613', 'Einen Bildstil wiederherstellen.', 'de', '0', '0'),
('4614', 'Bildeffekt bearbeiten', 'de', '0', '0'),
('4615', 'Bildeffekt löschen', 'de', '0', '0'),
('4616', 'Bildeffekt hinzufügen', 'de', '0', '0'),
('4617', 'Einen neuen Effekt einem Stil hinzufügen.', 'de', '0', '0'),
('4618', 'Stellt Bildbearbeitungswerkzeuge bereit.', 'de', '0', '0'),
('4619', 'Benutzen Sie unten den <em>Benutzerdefinierte Sprachen</em> Bereich, wenn Ihre gewünschte Sprache nicht der Liste ist.', 'de', '0', '0'),
('4620', 'Sprachcode als Pfadpräfix', 'de', '0', '0'),
('4621', 'Der zuverwendende Sprachcode oder anderen benutzerdefinierten Text als Pfadpräfix für die URL-Spracherkennung, wenn in den Einstellungen für <em>Erkennung und Auswahl</em> die Erkennungsmethode URL aktiviert ist. Für die Standardsprache kann dieser Wert leer gelassen werden. <strong>Das Verändern dieses Wertes kann bestehende URLs kaputt machen, daher mit Vorsicht in einem Live-Betrieb verwenden.</strong> Beispiel: Sie geben „deutsch“ als Pfadpräfix für die deutsche Sprache an, dann erhalten Sie URLs wie „example.com/deutsch/contact“ auf den deutschen Seiten.', 'de', '0', '0'),
('4622', 'Erkennungsmethode', 'de', '0', '0'),
('4623', 'Teil der URL, der die Sprache bestimmt', 'de', '0', '0'),
('4624', '<em>Pfad-Präfix</em>: URLs wie http://example.com/de/contact für die Sprache Deutsch (de) festlegen. <em>Domäne</em>: URLs wie http://de.example.com/contact für die Sprache Deutsch (de) festlegen. <strong>Warnung: Änderung dieser Einstellung könnte eingehende URLs ins Leere laufen lassen. Insbesondere  Vorsicht auf produktiven Websites.</strong>', 'de', '0', '0'),
('4625', 'Anfrage/Sitzungs-Parameter', 'de', '0', '0'),
('4626', 'Bezeichnung des Anfrage/Sitzungs-Parameters, um die gewünschte Sprache zu erkennen.', 'de', '0', '0'),
('4627', 'Übersetzbare Zeichenketten filtern', 'de', '0', '0'),
('4628', 'Datumstyp', 'de', '0', '0'),
('4629', 'Sollen die Datumsformate für %language wirklich auf die globalen Standardwerte zurückgesetzt werden?', 'de', '0', '0'),
('4630', 'Das Zurücksetzen entfernt alle lokalisierte Datumsformate für diese Sprache. Diese Aktion kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('4631', 'Das Locale-Module ermöglicht Drupal eine Darstellung in anderen Sprachen als der Standardsprache Englisch und somit mehrsprachig zu sein. Das Locale-Modul pflegt hierfür eine Datenbank mit Übersetzungen und prüft Text, wenn dieser angezeigt werden soll. Ist eine Übersetzung des Textes in der gewählten Anzeigesprache vorhanden, so wird die Übersetzung anstatt des Originaltextes angezeigt. Ist keine Übersetzung vorhanden, wird der Originaltext angezeigt und eine Überprüfung durch einen Übersetzer vermerkt. Weitere Informationen finden sich im Online-Handbuch zum <a href="@locale">Locale Modul</a>.', 'de', '0', '0'),
('4632', 'Oberflächentext übersetzen', 'de', '0', '0'),
('4633', 'Übersetzungen von Oberflächentext von Drupal kann bereitgestellt werden durch:', 'de', '0', '0'),
('4634', 'das Übersetzen innerhalb der Website mit Hilfe der <a href=''@translate''>Übersetzungsoberfläche</a> des Locale-Moduls.', 'de', '0', '0'),
('4635', 'das Importieren von vorhandenen Übersetzungsdateien, auch Übersetzungspaket genannt. Ein Übersetzungspaket ermöglicht es, Drupal in einer bestimmten Version und Sprache anzuzeigen, die Dateien im Gettext Portable Object (<em>.po</em>) Format beinhaltet. Nicht alle Sprachen sind für jede Version verfügbar, welche davon aktuell verfügbar sind, kann im Downloadbereich der <a href="@translations">Übersetzungen</a> überprüft werden.', 'de', '0', '0'),
('4636', 'Entspricht eine der Übersetzungen eines Pakets nicht den geforderten Qualitätsansprüchen, können die zugehörigen Sprachdateien im Paket angepasst oder neue erstellt werden. Sprachdateien liegen im Gettext-Portable-Object-Format mit der Dateiendung <em>.po</em> vor und können mit einem Gettext-Editor bearbeitet werden. Diese  geänderten oder neuen Sprachdateien werden dann mittels der <a href="@import">Importfunktion</a> des Locale-Moduls zur Website hinzugefügt. Das Gegenstück stellt die <a href="@export">Exportfunktion</a> dar: Mit dieser werden die aktuell auf der Website verwendeten Übersetzungen in solche Sprachdateien ausgegeben. Diese Dateien können dann an andere weitergegeben werden oder mit einem Gettext-Editor bearbeitet werden.', 'de', '0', '0'),
('4637', 'Eine mehrsprachige Website konfigurieren', 'de', '0', '0'),
('4638', 'Die Sprachenerkennung ermöglicht Ihrer Site die Sprache automatisch zu wechseln, basierend auf der Domain oder dem Pfad, der für einen Aufruf verwendet wird. Benutzer können (optional) ihre bevorzugte Sprache unter <em>Mein Konto</em> auswählen und ihre Site kann so eingestellt werden, dass auch die bevorzugte Sprache des Browsers berücksichtigt wird. Seiteninhalte können mittels des Moduls <a href=''@content-help''>Inhalte übersetzen</a> übersetzt werden.', 'de', '0', '0'),
('4639', 'Wenn mehrere Sprachen aktiviert sind, kann der Oberflächentext übersetzt werden, registrierte Benutzer können ihre bevorzugte Sprache auswählen, Autoren können Inhalte eine bestimmte Sprache zuordnen. <a href="@translations">Laden Sie zusätzliche Übersetzungen</a> von Drupal.org herunter.', 'de', '0', '0'),
('4640', 'Fügen Sie Sprachen hinzu, die von Ihrer Website unterstützt werden. Wenn die gewünschte Sprache nicht im Auswahlfeld <em>Sprachname</em> verfügbar ist, klicken Sie auf <em>Benutzerdefinierte Sprache</em>, um einen Sprachcode und andere Details manuell anzugeben. Wenn Sie einen Sprachcode manuell angeben, stellen Sie sicher, dass Sie einen standardisierten Sprachcode angeben, da dieser Code von Browsern verwendet werden kann, um die Sprache für die Anzeige festzustellen.', 'de', '0', '0'),
('4641', 'Bestimmen Sie die Sprache aus einer Anfrage / Session-Parameter. Beispiel: „http://example.com?language=de“ setzt die Sprache auf Deutsch auf der Grundlage der Verwendung von „de“ als Wert für den Parameter „language“.', 'de', '0', '0'),
('4642', 'Die <a href="@languages">Sprachen</a>-Seite enthält weitere Informationen, um die Unterstützung weiterer Sprachen hinzuzufügen.', 'de', '0', '0'),
('4643', 'Über diese Seite kann eine Übersetzung importiert werden, die im Gettext-Portable-Object (<em>.po</em>)-Format vorliegt. Der einfachste Weg, zu einer übersetzten Website zu kommen, ist eine bereits vorhandene Drupal-Übersetzung zu importieren. Auch mit einem PO-Editor selbst übersetzte, vervollständigte <em>.po</em> Dateien, können importiert werden. Das Importieren einer Übersetzung kann eine Weile dauern.', 'de', '0', '0'),
('4644', 'Diese Seite erlaubt dem Übersetzer nach bestimmten übersetzten und nicht übersetzten Zeichenketten zu suchen und wird beim Erstellen und Bearbeiten von Übersetzungen verwendet. (Hinweis: Für Übersetzungsaufgaben mit vielen Zeichenketten kann es bequemer sein die Zeichenketten zu <a href="@export">exportieren</a> und rechnerunabhängig in einem Desktop-Gettext-Übersetzungsprogramm zu bearbeiten.) Die Suche kann auf Zeichenketten in bestimmten Textgruppen und Sprachen begrenzt werden.', 'de', '0', '0'),
('4645', 'Sprachen verwalten', 'de', '0', '0'),
('4646', 'Oberflächentexte übersetzen', 'de', '0', '0'),
('4647', 'Die Reihenfolge der Sprachen-Erkennungsmethoden für den Benutzeroberflächentext. Wenn eine Übersetzung des Textes in der ermittelten Sprache vorhanden ist, wird diese angezeigt.', 'de', '0', '0'),
('4648', 'Reihenfolge der Sprachen-Erkennungsmethoden für den Benutzeroberflächentext. Wenn eine Übersetzung des Benutzeroberflächentextes in der ermittelten Sprache vorhanden ist, wird diese angezeigt.', 'de', '0', '0'),
('4649', 'Die Sprache aus der URL ermitteln (Pfadpräfix oder Domain).', 'de', '0', '0'),
('4650', 'Die Sprache aus einem Request/Session Parameter ermitteln.', 'de', '0', '0'),
('4651', 'Bevorzugte Sprache des Benutzers folgen.', 'de', '0', '0'),
('4652', 'Die Sprache anhand der Spracheneinstellung des Browsers ermitteln.', 'de', '0', '0'),
('4653', 'Sprachumschalter (@type)', 'de', '0', '0'),
('4654', 'Erkennung und Auswahl', 'de', '0', '0'),
('4655', 'URL Spracherkennungs-Konfiguration', 'de', '0', '0'),
('4656', 'Einstellungen zum Feststellen der Sitzungssprache', 'de', '0', '0'),
('4657', 'Lokalisieren', 'de', '0', '0'),
('4658', 'Datumsformate lokalisieren', 'de', '0', '0'),
('4659', 'Datumsformate zurücksetzen', 'de', '0', '0'),
('4660', 'Lokalisierte Datumsformate auf die globalen Standardwerte zurücksetzen', 'de', '0', '0'),
('4661', 'Januar', 'de', '0', '0'),
('4662', 'Februar', 'de', '0', '0'),
('4663', 'März', 'de', '0', '0'),
('4664', 'April', 'de', '0', '0'),
('4665', 'Mai', 'de', '0', '0'),
('4666', 'Juni', 'de', '0', '0'),
('4667', 'Juli', 'de', '0', '0'),
('4668', 'August', 'de', '0', '0'),
('4669', 'September', 'de', '0', '0'),
('4670', 'Oktober', 'de', '0', '0'),
('4671', 'November', 'de', '0', '0'),
('4672', 'Dezember', 'de', '0', '0'),
('4673', 'Link hinzufügen', 'de', '0', '0'),
('4674', 'Noch keine Menülinks festgelegt. <a href="@link">Link hinzufügen</a>.', 'de', '0', '0'),
('4675', 'Der Link-Anzeigetext für die Verwendung im Menü.', 'de', '0', '0'),
('4676', 'Der Pfad für diesen Menü-Link. Dieser kann ein interner Drupalpfad wie %add-node oder eine externe URL wie %drupal sein. %front verlinkt zur Startseite.', 'de', '0', '0'),
('4677', 'Nicht aktivierte Menülinks werden in keinem Menü aufgeführt.', 'de', '0', '0'),
('4678', 'Als ausgeklappt anzeigen', 'de', '0', '0'),
('4679', 'Das Menü immer ausgeklappt darstellen, falls dieser Menülink Unterpunkte besitzt.', 'de', '0', '0'),
('4680', 'Übergeordneter Link', 'de', '0', '0'),
('4681', 'Ein Link und seine Unterlinks ist auf eine maximale Tiefe von !maxdepth begrenzt. Einige Menülinks sind möglicherweise nicht als Oberpunkte verfügbar, sollte diese Begrenzung überschritten werden.', 'de', '0', '0'),
('4682', 'Optional. Im Menü werden Links mit höherer Gewichtung nach unten sinken wohingegen Links mit einer niedrigeren Gewichtung nach oben rutschen.', 'de', '0', '0'),
('4683', 'Wollen Sie den Menülink %item löschen?', 'de', '0', '0'),
('4684', 'Der Menüeintrag %title wurde gelöscht.', 'de', '0', '0'),
('4685', 'Möchten Sie den Link %item wirklich auf dessen Standardwerte zurücksetzen?', 'de', '0', '0'),
('4686', 'Der Menüpunkt wurde auf seinen Standardwert zurückgesetzt.', 'de', '0', '0'),
('4687', 'Keine Hauptlinks', 'de', '0', '0'),
('4688', 'Quelle der Hauptlinks', 'de', '0', '0'),
('4689', 'Wählen Sie die Hauptlinks aus (typischerweise für den oberen Bereich der Seite).', 'de', '0', '0'),
('4690', 'Keine sekundären Links', 'de', '0', '0'),
('4691', 'Quelle der Sekundärlinks', 'de', '0', '0'),
('4692', 'Wählen Sie die Quelle für die Sekundärlinks. Eine zusätzliche Variante erlaubt die Verwendung derselben Quelle (derzeit %main) sowohl bei den Hauptlinks als auch bei den Sekundärlinks: wenn das Quellmenü zwei Ebenen aufweist erscheint seine Hauptebene bei den Hauptlinks, und die untergeordnete Ebene des aktiven Links erscheint bei den Sekundärlinks.', 'de', '0', '0'),
('4693', 'Der Menüpunkt %title und all seine Menülinks wurde gelöscht.', 'de', '0', '0'),
('4694', 'Menüpunkt %title gelöscht.', 'de', '0', '0'),
('4695', '<strong>Warnung:</strong> Es befindet sich derzeit 1 Menü-Link in %title. Dieser wird gelöscht (systemdefinierte Einstellungen werden zurückgesetzt).', 'de', '0', '0'),
('4696', '<strong>Warnung:</strong> Es befindet sich derzeit @count Menü-Links in %title. Diese werden gelöscht (systemdefinierte Einstellungen werden zurückgesetzt).', 'de', '4695', '1'),
('4698', 'Menüs verwalten', 'de', '0', '0'),
('4699', 'Benutzer mit der Berechtigung <em>zum Verwalten von Menüs und Menüelementen</em> können benutzerdefinierten Menüs hinzufügen, bearbeiten und löschen auf der <a href="@menu">Verwaltungsseite für Menüs</a>. Benutzerdefinierte Menüs können externen Links oder einer beliebigen Kombination interner und externer Links aufweisen. Sie können beliebig viele weitere Menüs erstellen, die jeweils automatisch einem Block zugeordneten werden. Indem Sie <em>Links in Listen</em>auswählen, können Sie diese Menüs hinzufügen, sie bearbeiten oder löschen. Die Link-Listen-Seite bietet eine Drag-und-Drop-Schnittstelle zum Steuern der Reihenfolge von Links und zum Erstellen einer Hierarchie innerhalb der Menüs.', 'de', '0', '0'),
('4700', 'Menüs anzeigen', 'de', '0', '0'),
('4701', 'Nach dem Erstellen eines Menüs muss der dazugehörige Block in der <a href="@blocks">Block-Administration</a> aktiviert und platziert werden.', 'de', '0', '0'),
('4702', 'Der neu erstellte Block für dieses Menü kann auf der <a href="@blocks">Blöcke verwalten-Seite</a> aktiviert werden.', 'de', '0', '0'),
('4703', 'Jedes Menü hat einen entsprechenden Block, der in der <a href="@blocks">Block-Administration</a> verwaltet werden kann.', 'de', '0', '0'),
('4704', 'Menüs und Menüeinträge verwalten', 'de', '0', '0'),
('4705', 'Menüpunkt erstellen', 'de', '0', '0'),
('4706', 'Menüpunkte mir einer kleineren Gewichtung werden vor den Menüpunkten mit einer größeren Gewichtung angezeigt.', 'de', '0', '0'),
('4707', 'Verfügbare Menüs', 'de', '0', '0'),
('4708', 'Die verfügbaren Menüs für diesen Inhaltstyp, indem die Inhalte eingeordnet werden dürfen.', 'de', '0', '0'),
('4709', 'Standard-Übergeordneter-Menüpunkt', 'de', '0', '0'),
('4710', 'Wählen Sie den Menüpunkt, der im Eingabeformular für diesen Inhaltstyp als Übergeordneter-Menüpunkt voreingestellt sein soll.', 'de', '0', '0'),
('4711', 'Neue Menüs hinzufügen, bestehende bearbeiten, Menüpunkte umbenennen und neuanordnen.', 'de', '0', '0'),
('4712', 'Übergeordnete Menüpunkte', 'de', '0', '0'),
('4713', 'Menüpunkt bearbeiten', 'de', '0', '0'),
('4714', 'Setze Menüpunkt zurück', 'de', '0', '0'),
('4715', 'Menüpunkt entfernen', 'de', '0', '0'),
('4716', 'Das <em>Navigations-Menü</em> enthält Links, die für Website-Besucher vorgesehen sind. Manche Module fügen automatisch Links zum <em>Navigationsmenu</em> hinzu.', 'de', '0', '0'),
('4717', 'Das <em>Benutzer</em> Menü beinhalt Links, die zum Benutzerkonto gehören,  sowie den „Abmelden“-Link.', 'de', '0', '0'),
('4718', 'Das <em>Management-Menü</em> enthält Links für administrative Aufgaben.', 'de', '0', '0'),
('4719', 'Das <em>Hauptmenü</em> wird oft benutzt, um die Hauptbereiche der Website anzuzeigen, häufig in einer Top-Navigationsleiste.', 'de', '0', '0'),
('4720', 'Anzeige verwalten', 'de', '0', '0'),
('4721', 'Keine Inhaltstypen verfügbar. <a href="@link">Inhaltstyp hinzufügen</a>.', 'de', '0', '0'),
('4722', 'Der Name des Inhaltstyp. Der Text wird in der Liste auf der <em>Neuen Inhalt hinzufügen</em>-Seite angezeigt. Dieser Name sollte mit einem Großbuchstaben beginnen und nur aus Buchstaben, Zahlen und Leerzeichen bestehen. Der Name muss einzigartig sein.', 'de', '0', '0'),
('4723', 'Die Beschreibung des Inhaltstyps. Der Text wird auf der <em>Neuen Inhalt hinzufügen</em>-Seite angezeigt.', 'de', '0', '0'),
('4724', 'Vorschau vor dem Speichern', 'de', '0', '0'),
('4725', 'Der Text wird im oberem Bereich des Eingabeformulars bei diesen Inhaltstyp angezeigt.', 'de', '0', '0'),
('4726', 'Benutzer mit der Berechtigung <em>Inhalt verwalten</em> können sich über diese Optionen hinwegsetzen.', 'de', '0', '0'),
('4727', 'Autor- und Datumsinformationen anzeigen', 'de', '0', '0'),
('4728', 'Der Benutzername des Autors und das Veröffentlichungsdatum werden angezeigt.', 'de', '0', '0'),
('4729', 'Ungültiger maschinenlesbarer Name. Bitte einen anderen Namen als %invalid eingeben.', 'de', '0', '0'),
('4730', '%type wird von einem Inhaltsobjekt verwendet. Wenn Sie diesen Inhaltstyp entfernen, können Sie Inhalte des Typs %type nicht mehr bearbeiten und diese werden womöglich falsch dargestellt.', 'de', '0', '0'),
('4731', '%type wird von @count Inhaltsobjekten verwendet. Wenn Sie diesen Inhaltstyp entfernen, können Sie Inhalte des Typs %type nicht mehr bearbeiten und diese werden womöglich falsch dargestellt.', 'de', '4730', '1'),
('4733', 'Ausgewählten Inhalt veröffentlichen', 'de', '0', '0'),
('4734', 'Veröffentlichung des ausgewählten Inhalts zurücknehmen', 'de', '0', '0'),
('4735', 'Ausgewählten Inhalt auf der Startseite anzeigen', 'de', '0', '0'),
('4736', 'Ausgewählten Inhalt nicht mehr auf der Startseite anzeigen', 'de', '0', '0'),
('4737', 'Ausgewählten Inhalt am Anfang von Listen anzeigen', 'de', '0', '0'),
('4738', 'Ausgewählten Inhalt nicht mehr am Anfang von Listen anzeigen', 'de', '0', '0'),
('4739', 'Ausgewählten Inhalt löschen', 'de', '0', '0'),
('4740', '@count Beiträge gelöscht.', 'de', '0', '0'),
('4741', 'Soll dieser Eintrag wirklich gelöscht werden?', 'de', '0', '0'),
('4742', '<em>@type bearbeiten</em>: @title', 'de', '0', '0'),
('4743', 'Sie haben noch keine Inhaltstypen festgelegt. Wechseln Sie auf die Seite <a href="@create-content">Inhaltstyp erstellen</a>, um einen neuen Inhaltstyp hinzuzufügen.', 'de', '0', '0'),
('4744', 'Protokollnachricht der Version', 'de', '0', '0'),
('4745', 'Eine Erläuterung der vorgenommen Neuerungen oder Änderungen, um anderen Autoren Ihre Beweggründe verständlich zu machen.', 'de', '0', '0'),
('4746', 'Token mit Bezug auf einzelne Inhaltselemente oder „Beiträge“.', 'de', '0', '0'),
('4747', 'Die eindeutige ID des Inhaltselements oder „Beitrags“.', 'de', '0', '0'),
('4748', 'Der Haupttext dieses Beitrags.', 'de', '0', '0'),
('4749', 'Die Zusammenfassung des Haupttextes dieses Beitrags.', 'de', '0', '0'),
('4750', 'Die Zugriffsrechte für Inhalte müssen neu festgelegt werden. <a href="@node_access_rebuild">Zugriffsrechte neu setzen</a>.', 'de', '0', '0'),
('4751', 'Über das Node-Modul erstellen, vearbeiten oder löschen Sie Inhalte der Website, ebenso können Sie über das Modul die Einstellungen und Darstellung von Inhalten verwalten. Inhaltselemente die über das Node-Modul verwaltet werden, sind in der Regel Seiten auf Ihrer Website, diese bestehen aus einem Titel, einige Meta-Daten (wie Autor, Erstellungszeit, Inhaltstyp) und weiteren optionalen Felder, die Text oder andere Daten enthalten können; Felder werden durch das <a href="@field">Feld Modul</a>verwaltet.Mehr dazu im  <a href="@node"> Handbuch des Node-Moduls</a>.', 'de', '0', '0'),
('4752', 'Inhalt erstellen', 'de', '0', '0'),
('4753', 'Wenn neuer Inhalte erstellt wird, zeichnet das Node-Modul grundlegende Informationen über den Inhalt, den Autor, das Erstellungsdatum und den <a href="@content-type">Inhaltstyp</a> auf. Es verwaltet auch die <em>Optionen für die Veröffentlichung</em>, ob der Inhalt auf der Startseite der Website  veröffentlicht und/oder immer am Anfang von Listen angezeigt wird. Die Standardeinstellungen können für jeden <a href="@content-type">Inhaltstyp</a> auf Ihrer Website konfiguriert werden.', 'de', '0', '0'),
('4754', 'Benutzerdefinierte Inhaltstypen erstellen', 'de', '0', '0'),
('4755', 'Das Node-Modul kann Benutzer mit der Berechtigung <em>Verwalten von Inhaltstypen</em> oder <a href="@content-new">neue Inhaltstypen erstellen,</a> die standardmäßig bereits konfiguriert sind. Erstellen Sie eigene Inhaltstypen, Sie können die Flexibilität von <a href="@field">Feldern</a> nutzen und die Standardeinstellungen konfigurieren.', 'de', '0', '0'),
('4756', 'Inhalt verwalten', 'de', '0', '0'),
('4757', 'Die <a href="@content">Inhaltsverwaltungsseite</a> ermöglicht Ihnen das Überprüfen und die Massenbearbeitung des Inhalts Ihrer Website.', 'de', '0', '0'),
('4758', 'Versionen erstellen', 'de', '0', '0'),
('4759', 'Das Node Modul erlaubt auch, mehrere Versionen jeglichen Inhalts zu erzeugen, und auf ältere Versionen mit <em>Revision Information</em> zurückzugehen.', 'de', '0', '0'),
('4760', 'Benutzerberechtigungen', 'de', '0', '0'),
('4761', 'Das Node Modul macht eine Anzahl von Berechtigungen für jeden Inhaltstyle verfügbar, die rollenweise auf der <a href="@permissions">Berechtigungsseite</a> gesetzt werden können.', 'de', '0', '0'),
('4762', 'Individuellen Inhaltstypen können unterschiedliche Felder, Verhaltensweisen und Zugriffsrechte zugewiesen werden.', 'de', '0', '0'),
('4763', 'Inhaltselemente können in verschiedenen Anzeigemodi dargestellt werden: Anrisstext, Vollständiger-Inhalt, Druck, RSS etc. <em>Anrisstext</em> ist ein Anzeigemodus, welcher typischerweise in Auflistungen mehrerer Inhaltselemente verwendet wird. <em>Vollständiger-Inhalt</em> wird meist verwendet, wenn ein Inhalt auf einer eigenen Seite angezeigt wird.', 'de', '0', '0'),
('4764', 'Hier kann festgelegt werden, welche Felder angezeigt und ausgeblendet werden sollen, wenn %type-Inhalte angezeigt werden und „wie“ diese Felder in dem jeweiligen Ansichtsmodus angezeigt werden.', 'de', '0', '0'),
('4765', 'Versionen ermöglichen Ihnen die Änderungen zwischen zwei Versionen Ihres Inhalts zu verfolgen und zu alten Versionen zurückzukehren.', 'de', '0', '0'),
('4766', 'Vollständiger Inhalt', 'de', '0', '0'),
('4767', 'Der Inhalt dieser Seite wurde entweder gerade von einem anderen Benutzer bearbeitet oder Sie haben bereits Änderungen mit diesem Formular gespeichert. Deshalb kann diese Änderung nicht gesichert werden.', 'de', '0', '0'),
('4768', 'Inhaltstypen verwalten', 'de', '0', '0'),
('4769', 'Warnung: Sollte nur vertrauenswürdigen Rollen gewährt werden; diese Berechtigung hat Auswirkungen auf die Sicherheit.', 'de', '0', '0'),
('4770', 'Veröffentlichten Inhalt anzeigen', 'de', '0', '0'),
('4771', 'Zugriff auf die Inhaltsübersichtsseite', 'de', '0', '0'),
('4772', 'Zugriffskontrolle auf Inhalte umgehen', 'de', '0', '0'),
('4773', 'Inhaltsversionen anzeigen', 'de', '0', '0'),
('4774', 'Inhaltsversionen zurücksetzen', 'de', '0', '0'),
('4775', 'Inhaltsversionen löschen', 'de', '0', '0'),
('4776', 'Eigenen unveröffentlichten Inhalt anzeigen', 'de', '0', '0'),
('4777', 'Inhalt, der am Amfang von Listen gesetzt ist', 'de', '0', '0'),
('4778', 'Inhalt, der auf der Startseite veröffentlicht ist', 'de', '0', '0'),
('4779', 'Neuester Inhalt', 'de', '0', '0'),
('4780', 'Anzahl der anzuzeigenden neuesten Inhalte', 'de', '0', '0'),
('4781', 'Den Block bei den angegebenen Inhaltstypen anzeigen', 'de', '0', '0'),
('4782', 'Diesen Block nur auf Seiten anzeigen, die Inhalte von den ausgewählten Type(n) darstellen. Wenn kein Typ ausgewählt ist, gibt es kein typspezifische Beschränkung.', 'de', '0', '0'),
('4783', 'Willkommen auf @site-name', 'de', '0', '0'),
('4784', 'Es wurde noch kein Inhalt für die Startseite erstellt.', 'de', '0', '0'),
('4785', 'Die Veröffentlichung von Inhalt zurücknehmen', 'de', '0', '0'),
('4786', 'Inhalt hervorheben', 'de', '0', '0'),
('4787', 'Hervorhebung zurücknehmen', 'de', '0', '0'),
('4788', 'Inhalt auf der Startseite veröffentlichen', 'de', '0', '0'),
('4789', 'Inhalt von der Startseite entfernen', 'de', '0', '0'),
('4790', 'Den Autor des Inhalts ändern', 'de', '0', '0'),
('4791', 'Inhalt speichern', 'de', '0', '0'),
('4792', 'Die Veröffentlichung von Inhalt mit den Schlüsselwörtern zurücknehmen', 'de', '0', '0'),
('4793', 'Die Veröffentlichung des Inhalts wird zurückgenommen, wenn er die obigen Ausdrücke enthält. Es muss eine durch Kommata getrennte Liste von Ausdrücken unter Berücksichtigung der Groß- und Kleinschreibung verwendet werden. Beispiel: lustig, Bungeespringen, „GmbH&Co. KG“', 'de', '0', '0'),
('4794', 'Sollten Probleme mit den Inhaltsberechtigungen auftreten, dann sollten Sie den Berechtigungen-Cache neu aufbauen. Dies entfernt alle alten Inhaltberechtigungen und ersetzt diese mit den Berechtigungen basierend auf den aktuellen Einstellungen und Modulen. Der Neuaufbau kann einige Zeit in Anspruch nehmen, wenn viel Inhalt oder komplexe Berechtigungseinstellungen vorhanden sind. Sobald der Neuaufbau beendet ist, werden für die Beiträge automatisch die neuen Berechtigungen verwenden.', 'de', '0', '0'),
('4795', 'Node-Zugriffsberechtigungen', 'de', '0', '0'),
('4796', 'Eine Berechtigung in Verwendung', 'de', '0', '0'),
('4797', '@count Berechtigungen in Verwendung', 'de', '4796', '1'),
('4799', 'Die Inhalte finden und verwalten.', 'de', '0', '0'),
('4800', 'Inhaltstypen verwalten sowie Veröffentlichungseinstellungen, Kommentareinstellungen, etc.', 'de', '0', '0'),
('4801', 'Inhaltstyp bearbeiten', 'de', '0', '0'),
('4802', 'Diese Seite unterstützt <a href="@openid-net">OpenID</a>, ein sicherer Weg, um sich auf vielen Webseiten mit einem einzigen Benutzernamen und Passwort anzumelden.', 'de', '0', '0'),
('4803', 'Wenn Sie bereits eine OpenID haben, geben Sie die URL zu Ihrem OpenID-Server an z.B. myusername.openidprovider.com. Wenn Sie sich das nächste Mal anmelden, dann verwenden Sie diese URL statt eines regulären Benutzernamen und Passwort. Sie können mehrere OpenID-Server nutzen und sie hier eintragen.', 'de', '0', '0'),
('4804', 'Mit dem OpenID-Modul können sich Benutzer mit einem OpenID-single-Sign-Dienst auf der Website anmelden. <a href="@openid-net">OpenID</a> ist eine sichere Methode für die Anmeldung auf vielen Websites mit einem einzigen Benutzernamen und Passwort. Dieser Dienst erfordert keine spezielle Software und teilt Kennwörter nicht mit anderen Internetsites. Dies bedeutet auch, dass sie leicht ihr Kennwort auf einem zentralen Standort, anstatt Dutzenden von Websites Kennwörtern einzeln ändern oder aktualisieren müssen. Weitere Informationen finden Sie im <a href="@handbook"> Handbuch für das OpenID-Modul</a>.', 'de', '0', '0'),
('4805', 'Anmeldung mit OpenID', 'de', '0', '0'),
('4806', 'Um sich mit einer OpenID anzumelden, muss ein Benutzer bereits über ein OpenID-Konto verfügen. Benutzer können (je nach Konfiguration) auf der  Website Konten mit ihrer OpenID erstellen. Benutzer können eine oder mehrere OpenIDs zu einem vorhandenen Konto zuweisen und sich mit einer dieser OpenIDs anmelden. Damit wird die Hürde für eine Registrierung gesenkt und hilft so die Zahl der Benutzer zu erhöhen und bietet daneben auch Komfort und Sicherheit für die Nutzer. Da die OpenID kann die Identität eines Benutzer nicht garantieren kann, ist e-Mail-Bestätigung erforderlich (Beachten Sie: auch das ist keine zuverlässige Identifikation eines Benutzers, sondern nur die Bestätigung der Existenz des E-Mail-Kontos). Benutzer sich mit ihre OpenID URL, die wie <em>namedes.Benutzers.openidprovider.com</em>aussieht, anmelden. Ihre Site kommuniziert dann mit dem OpenID-Server, um das Passwort für diesen Benutzer zu überprüfen. Wenn der Benutzer auf dem OpenID-Server angemeldet ist, kommuniziert der Server mit Ihrer Website und teilt das Ergebnis der Anmeldung mit. Wenn der Benutzer auf dem OpenID-Server nicht angemeldet ist, wird der OpenID-Server den Benutzer nach seinem Passwort fragen. Zu keinem Zeitpunkt erhält ihre Website das OpenID-Kennwort des Benutzers.', 'de', '0', '0'),
('4807', 'Wenn Sie Ihre E-Mail-Adresse bestätigt haben, können Sie sich via Open-ID anmelden.', 'de', '0', '0'),
('4808', 'Dies ist leider keine gültige OpenID. Stellen Sie sicher, dass die ID korrekt angegeben ist.', 'de', '0', '0'),
('4809', 'Vervollständigen Sie die Registrierung, indem Sie das unten stehende Formular ausfüllen. Falls Sie schon ein Konto haben, können Sie sich jetzt <a href="@login">anmelden</a> und Ihre OpenID unter „Mein Konto“ ergänzen.', 'de', '0', '0'),
('4810', 'Die Anmeldung mit den Informationen Ihres OpenID Provider ist aus den unten aufgeführten Gründen fehlgeschlagen. Führen Sie die Registrierung durch und füllen Sie dazu einfach das untenstehende Formular aus. Wenn Sie bereits ein Konto haben, können Sie sich damit <a href="@login">Anmelden.</a> Fügen Sie Ihre OpenID unter „Mein Konto“ ein.', 'de', '0', '0'),
('4811', 'Das Overlay-Modul sorgt dafür, dass Verwaltungsseiten Ihrer Site in einem JavaScript Fenster angezeigt werden und die Seite, von der aus Sie auf einen Verwaltungslink geklickt haben,  überlagert wird, ohne direkt in den Verwaltungsbereich zu wechseln. Verwenden Sie die den Punkt „Schließen“, um direkt zu der Seite zurückzukehren, auf der Sie den Link angeklickt haben. Weitere Informationen finden Sie im Online-Handbuch zum <a href="@overlay">Overlay-Modul</a>.', 'de', '0', '0'),
('4812', 'Zugriff auf den administrativen Overlay', 'de', '0', '0'),
('4813', 'Administrative Seiten in dem Overlay anzeigen.', 'de', '0', '0'),
('4814', 'Zeigt den Verwaltungsbereich von Drupal in einem Overlay an.', 'de', '0', '0'),
('4815', 'Geben Sie den vorhandenen Pfad an, der ein Alias erhalten soll. Zum Beispiel: node/28, forum/1, taxonomy/term/1.', 'de', '0', '0'),
('4816', 'Mit dem Pfad-Modul können Sie einen Alias oder eine benutzerdefinierte URL für jeden internen Systempfad angeben. Aliase sollten nicht verwechselt werden mit URL-Umleitungen mit denen Sie von einer geänderten oder inaktiven URL auf eine neue URL weiterleiten können. Mit Aliasen werden URLs besser lesbar, mit Hilfe der Aliase können Suchmaschinen die Inhalte effektiver erfassen. Mehrere Aliase können für einen internen System-Pfad verwendet werden. Um das Aliasing von Pfaden zu automatisieren, können Sie das bereitgestellte Modul <a href="@pathauto">Pathauto</a>installieren. Weitere Informationen finden Sie im Handbuch für das <a href="@path">Pfad-Modul</a>.', 'de', '0', '0'),
('4817', 'Aliase erstellen', 'de', '0', '0'),
('4818', 'Benutzer mit ausreichenden <a href="@permissions">Berechtigungen</a> können Aliase im Abschnitt <em>URL-Pfad-Einstellungen</em> erstellen, wenn sie Inhalte erstellen oder bearbeiten. Einige Beispiele für Aliase sind: ', 'de', '0', '0'),
('4819', '<em>Mitglied/Jane-Smith</em> als Alias für den internen Pfad <em>user/123</em>', 'de', '0', '0'),
('4820', '<em>ueber-uns/team</em> ist ein Alias für den internen Pfad <em>node/456</em>', 'de', '0', '0'),
('4821', 'Aliase verwalten', 'de', '0', '0'),
('4822', 'Das Pfad-Modul bietet eine Möglichkeit zum Suchen und Anzeigen einer <a href="@aliases">Liste aller Aliase</a> , die auf Ihrer Website verwendet werden. Aliase können hinzugefügt, bearbeitet und über diese Liste gelöscht werden.', 'de', '0', '0'),
('4823', 'Ein Alias definiert einen anderen Namen für einen bestehenden URL-Pfad - als Beispiel, der Alias „ueber-uns“ für den URL-Pfad „node/1“. Ein URL-Pfad kann mehrere Aliase haben.', 'de', '0', '0'),
('4824', 'URL-Aliase verwalten', 'de', '0', '0'),
('4825', 'URL-Aliase erstellen und bearbeiten', 'de', '0', '0'),
('4826', 'Der Alias wird bereits verwendet.', 'de', '0', '0'),
('4827', 'Sie können einen alternative URL angeben, mit der auf diesen Inhalt zugegriffen werden kann. Verwenden Sie einen relativen Pfad und fügen Sie keinen abschließenden Schrägstrich hinzu, ansonsten funktioniert der URL-Alias nicht.', 'de', '0', '0'),
('4828', 'Die Ausführung von PHP in Textfeldern zulassen', 'de', '0', '0'),
('4829', 'Das PHP-Filter-Modul kann Benutzer mit den entsprechenden Berechtigungen benutzerdefinierten PHP-Code als Inhalt speichern und ausführen, wenn die entsprechenden Seiten Ihrer Website verarbeitet werden. Einerseits ist dies eine leistungsstarke und flexible Funktion, wenn sie von vertrauenswürdigen Benutzern mit PHP Erfahrung verwendet wird. Andererseits ist es ein Sicherheitsrisiko, wenn böswillige oder unerfahrene Benutzer diese Funktion verwenden. Sogar ein vertrauenswürdiger Benutzer kann versehentlich die Website beeinträchtigen, indem fehlerhafter oder falscher PHP-Code ausgeführt wird. Nur die zuverlässigsten Benutzer sollte berechtigt sein den PHP-Filter zu verwenden. <a href="@php-snippets">Beispiel PHP-Snippets</a> finden Sie auf Drupal.org.', 'de', '0', '0'),
('4830', 'Verwende PHP in Einstellungen', 'de', '0', '0'),
('4831', '<p>Fügen Sie einen benutzerdefinierten Block auf Ihrer Webseite mit dem Namen "Willkommen" ein. Mit dessen Text-Format "PHP-Code" (oder ein anderes Format, unterstützt die Eingabe von PHP), fügen Sie nun folgendes in dem Block-Körper ein:</p>\r\n\r\n<pre>\r\nprint t(''Willkommen Besucher! Vielen Dank für Ihren Besuch.''); \r\n</pre>', 'de', '0', '0'),
('4832', '<p>Um einen registrierten Benutzer anzuzeigen, benutzen Sie folgenden Code:</p>\r\n<pre> \r\nglobal $user; \r\nif ($user->uid) {\r\n print t(''Willkommen @name! Vielen Dank für Ihren Besuch.'', array(''@name'' => format_username($user))); } \r\nelse {\r\n print t(''Willkommen Besucher! Vielen Dank für Ihren Besuch.''); \r\n} \r\n</pre>', 'de', '0', '0'),
('4833', 'Das PHP-Modul wurde deaktiviert. Jeder bestehende Inhalt, welcher den PHP Filter verwendet hat, wird nun im Klartext angezeigt. Dies stellt unter Umständen ein Sicherheitsrisiko dar und erlaubt Zugriff auf sensible Informationen, die möglicherweise im PHP-Code verwendet wurden.', 'de', '0', '0'),
('4834', 'Das Poll-Modul kann für einfache Umfragen oder Fragekataloge, die kumulierte Ergebnisse anzeigen, verwendet werden. Eine Umfrage ist ein guter Weg, um Feedback von Besuchern zu erhalten. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@poll">Poll-Modul</a>.', 'de', '0', '0'),
('4835', 'Erstellen einer Umfrage', 'de', '0', '0'),
('4836', 'Anwender können eine Umfrage erzeugen, indem sie auf Umfrage/Poll auf der <a href="@add-content">Neuen Inhalt zufügen</a>-Seite klicken und dann die zu stellende Frage, die Antwortmöglichkeiten und die Initialwerte für die Stimmabgabe pro Möglichkeit eingeben. Der Status (geschlossen oder aktiv) und die Dauer, die die Umfrage für neue Stimmen aktiv sein soll, können ebenfalls definiert werden.', 'de', '0', '0'),
('4837', 'Umfragen anzeigen', 'de', '0', '0'),
('4838', 'Sie können <a href="@poll">Umfragen</a> aufrufen, dort finden Sie alle aktuelle Umfragen, Sie können auch einzelne aktivieren oder den Block mit der <em>jüngsten Umfrage</em> auf der <a href="@blocks">Seite zur Verwaltung der Blöcke</a>. Abstimmung oder die Ergebnisse einer bestimmten Umfrage anzeigen.', 'de', '0', '0'),
('4839', 'An Umfragen teilnehmen', 'de', '0', '0'),
('4840', 'Abbrechen und eigene Stimmen ändern', 'de', '0', '0'),
('4841', 'Ihre Stimme wurde zurückgezogen.', 'de', '0', '0'),
('4842', 'Der Titel der Seite, die alle Benutzer mit dem angegebenen Feld zeigt. Das Wort <code>%value</code> wird durch den entsprechenden Wert ersetzt. Ein Beispieltitel ist „Nutzer deren Lieblingsfarbe %value ist“. Trifft nur für öffentliche Felder zu.', 'de', '0', '0'),
('4843', 'Der Titel der Seite, die alle Benutzer mit dem angegebenen Feld zeigt. Ein Beispieltitel ist „Beschäftige Personen“. Trifft nur für öffentliche Felder zu.', 'de', '0', '0'),
('4844', 'Das Profil-Modul ermöglicht Websiteadministratoren benutzerdefinierte Felder (z. B. Land, vollständiger Name oder Alter) für Benutzerprofile zu verwenden, die dann im Abschnitt <a href="@user">Mein Konto</a> angezeigt werden. Dies erlaubt Benutzern einer Website weitere Informationen über sich selbst  zu geben und hilft Community-basierte Websites zu organisieren. Weitere Informationen finden Sie im online Handbuch für das <a href="@profile">Profil-Modul</a>.', 'de', '0', '0'),
('4845', 'Dem Standardprofil Felder hinzufügen', 'de', '0', '0'),
('4846', 'Dies gibt Benutzern die  Möglichkeit Informationen über sich bereitzustellen, dazu kann das Profil-Modul zusätzliche Felder zum Benutzerprofil hinzugefügen. Beispiele für häufige Ergänzungen wäre die <em>Adresse</em>, <em> das Unternehmen</em>, <em>Alter</em>oder <em>sonst etwas über sich</em>.', 'de', '0', '0'),
('4847', 'Seiten zu Benutzerinformationen', 'de', '0', '0'),
('4848', 'Das Profil-Modul ermöglicht Links, um weitere Informationen zu Benutzern anzuzeigen. Sie können sowohl eine <a href="@profile">Benutzer-Listenseite</a>und mehr angegebenen Seiten anzeigen, indem Sie auf verknüpfte Felder in jedem Profil klicken. Die <a href="@profile-country">Menschen, die in Kanada leben,</a> auf Drupal.org zeigt beispielsweise alle Benutzer, die <em>Kanada</em> in ihrem Benutzerprofil im Feld <em>Land</em> eingegeben haben.', 'de', '0', '0'),
('4849', 'Block für Informationen zum Autor', 'de', '0', '0'),
('4850', 'Der <em>Autor-Informationsblock</em> ist ein Standardblock, bereitgestellt von dem Profil-Modul, das auf der <a href="@blocks">Verwaltungsseite Blöcke</a>aktiviert werden kann. Es zeigt Besuchern Ihre Website-Informationen zu dem Autor der Seite, die sie gerade lesen.', 'de', '0', '0'),
('4851', 'Diese Seite zeigt eine Liste der vorhandenen benutzerdefinierten Profilfelder an, die auf der <em>Mein Konto</em>-Seite des Benutzers angezeigt werden sollen. Um eine Struktur aufzubauen, können ähnliche oder in Beziehung zueinander stehende Felder innerhalb einer Kategorie platziert werden. Um eine neue Kategorie hinzuzufügen (oder eine vorhandene zu bearbeiten) können Sie ein Profilfeld bearbeiten und dort einen neuen Kategorienamen eingeben.', 'de', '0', '0'),
('4852', 'Erweitern Sie die Inhalte mit Metadaten, um andere Anwendung (z.B. Suchmaschinen, Aggregatoren) besser deren Beziehungen und Attribute verstehen zu lassen.', 'de', '0', '0'),
('4853', 'Das aktive Standard Suchmodul wurde geändert.', 'de', '0', '0'),
('4854', 'Sie müssen mindestens ein gültiges Schlüsselwort mit 1 Buchstaben oder mehr angeben.', 'de', '0', '0'),
('4856', '%type wurde nach %keys durchsucht.', 'de', '0', '0'),
('4857', 'Die Modul Search (Suche) indiziert Inhalte, Benutzerkonten und ermöglicht die Suche nach genauen Schlüsselwörtern, nach Benutzernamen oder E-Mail-Adressen. Weitere Informationen finden Sie im Online-Handbuch-Eintrag für das <a href="@search-module">Search-Modul</a>.', 'de', '0', '0'),
('4858', 'Inhalt und Benutzer suchen', 'de', '0', '0'),
('4859', 'Benutzer mit der Berechtigung <em>Suche verwenden</em> können den Suchblock und die <a href="@search">Suchseite</a> aufrufen. Benutzer mit der Berechtigung <em>veröffentlichte Inhalte anzeigen</em> können Inhalte mit genauen Schlüsselwörtern suchen. Benutzer mit der Berechtigung <em>Benutzerprofile anzeigen</em> können nach Benutzernamen suchen und Benutzer mit der Berechtigung <em>Benutzer verwalten</em> können auch nach der E-Mail-Adresse von Benutzern suchen. Zusätzlich können Benutzer mit der Berechtigung <em>verwendet erweiterte Suche</em> Inhalte mit komplexen Suchmethoden und Filtern auswerten, indem Sie die Option <em>Erweiterte Suche</em> auf der <a href="@search">Suchseite</a> wählen.', 'de', '0', '0'),
('4860', 'Inhalt mit Cron indizieren', 'de', '0', '0'),
('4861', 'Sucheinstellungen konfigurieren', 'de', '0', '0'),
('4862', 'Die Indizierung kann über die <a href="@searchsettings">Suche Seite</a>gesteuert werden. Benutzer mit der Berechtigung  <em>Verwalten-Suche</em> können die Einstellungen wie z. B. die <em>Anzahl der Elemente, Index pro Cron ausführen, Indizierung Einstellungen (Wortlänge), Active Recherchemodule und Content-Klassifizierung</em> anpassen und auch die Gewichtung innerhalb der Suchergebnisse steuern.', 'de', '0', '0'),
('4863', 'Das Search-Modul beinhaltet einen Standard-<em>Suchformular</em> Block, der auf der <a href="@blocks">Blöcke-Administrationsseite</a> konfiguriert werden kann. Der Block steht Benutzern mit der Berechtigung <em>Inhalte durchsuchen</em> zur Verfügung.', 'de', '0', '0'),
('4864', 'Erweitertes Suchmodul', 'de', '0', '0'),
('4865', 'Das Suchmodul unterstützt standardmäßig nur genaue Übereinstimmung von Suchworten mit dem Inhalt. Sie können dieses Verhalten ändern, indem Sie ein sprachspezifisches Wortstammerkennungs-Modul z. B. <a href="http://drupal.org/project/porterstemmer">Porter Stemmer</a> für amerikanisches Englisch, die Wörter wie walk, walking und walked für das Suchmodul auf einen gemeinsamen Wortstamm zurückführen. Ein anderer Ansatz ist die Verwendung einer alternativen Such-Technologie mit Wortstammerkennung oder Teilwortsuche, wie z. B. <a href="http://drupal.org/project/apachesolr">Apache Solr</a> oder <a href="http://drupal.org/project/sphinx">Sphinx</a>, zu verwenden. Diese und andere auf den <a href="@contrib-search">Suchvorgang bezogene Module</a> können Sie über Drupal.org erhalten.', 'de', '0', '0'),
('4866', '<ul>\r\n<li>Überprüfen Sie die Schreibweise.</li>\r\n<li>Entfernen Sie Anführungszeichen um Ausdrücke herum, um nach jedem einzelnen Wort zu suchen. <em>heute Sonntag</em> wird meist mehr Treffer ergeben als <em>&quot;heute Sonntag&quot;</em>.</li>\r\n<li>Erwägen Sie, die Suche durch <em>OR</em> zu vergröbern. <em>heute OR Sonntag</em> wird oft mehr Treffer ergeben als <em>heute Sonntag</em>.</li>\r\n</ul>', 'de', '0', '0'),
('4867', 'Suche verwalten', 'de', '0', '0'),
('4868', 'Suche verwenden', 'de', '0', '0'),
('4869', 'Erweiterte Suche verwenden', 'de', '0', '0'),
('4870', 'Die Relevanzeinstellungen für die Suche und andere Indexierungsoptionen konfigurieren.', 'de', '0', '0'),
('4871', 'Wählen Sie eine Gruppe von zu verwendenden Verknüpfungen aus', 'de', '0', '0'),
('4872', 'Wählen Sie eine Gruppe von Verknüpfungen für diesen Benutzer aus', 'de', '0', '0'),
('4873', 'Sie verwenden jetzt die neue Verknüpfungsgruppe %set_name. Diese kann auf dieser Seite bearbeitet werden oder <a href="@switch-url">zu einer anderen gewechselt werden</a>.', 'de', '0', '0'),
('4874', '%user verwendet jetzt eine neue Verknüpfungsgruppe %set_name. Diese kann auf dieser Seite bearbeitet werden.', 'de', '0', '0'),
('4875', 'Sie verwenden jetzt die Verknüpfungsgruppe %set_name.', 'de', '0', '0'),
('4876', '%user verwendet jetzt die Verknüpfungsgruppe %set_name.', 'de', '0', '0'),
('4877', 'Set ändern', 'de', '0', '0'),
('4878', 'Die Verknüpfungsgruppe wurde aktualisiert.', 'de', '0', '0'),
('4879', 'Neue Verknüpfung hinzufügen', 'de', '0', '0'),
('4880', '@shortcut bearbeiten', 'de', '0', '0'),
('4881', 'Der Name der Verknüpfung.', 'de', '0', '0'),
('4882', 'Der Pfad zur Verknüpfung.', 'de', '0', '0'),
('4883', 'Der Link muss sich auf einen gültigen Pfad der Website beziehen.', 'de', '0', '0'),
('4884', 'Die Verknüpfung %link wurde aktualisiert.', 'de', '0', '0'),
('4885', 'Eine Verknüpfung für %title wurde hinzugefügt.', 'de', '0', '0'),
('4886', 'Soll die Verknüpfung %title wirklich gelöscht werden?', 'de', '0', '0'),
('4887', 'Die Verknüpfung %title wurde gelöscht.', 'de', '0', '0'),
('4888', 'Die Verknüpfung für %title kann nicht hinzugefügt werden.', 'de', '0', '0'),
('4889', 'Hinzufügen und Entfernen von Verknüpfungen', 'de', '0', '0'),
('4890', 'Anzeigen von Verknüpfungen', 'de', '0', '0'),
('4891', 'Sie können Verknüpfungen als Block anzeigen über die <a href="@blocks">Verwaltungsseite für Blöcke</a>. Bestimmte administrative Module liefern auch Verknüpfungen; beispielsweise zeigt Drupal die Werkzeugleiste des <a href="@toolbar-help">Toolbar-Moduls</a> am oberen Rand der Seite zusammen mit einem Link zum <em>Bearbeiten von Verknüpfungen</em> an.', 'de', '0', '0'),
('4892', 'Verknüpfungen verwalten', 'de', '0', '0'),
('4893', '@shortcut_set-Verknüpfungen', 'de', '0', '0'),
('4894', 'Zu %shortcut_set-Verknüpfungen hinzufügen', 'de', '0', '0'),
('4895', 'Zu Verknüpfungen hinzufügen', 'de', '0', '0'),
('4896', 'Aus %shortcut_set-Verknüpfungen entfernen', 'de', '0', '0'),
('4897', 'Aus Verknüpfungen entfernen', 'de', '0', '0'),
('4898', 'Verknüpfungen bearbeiten', 'de', '0', '0'),
('4899', 'Verknüpfungen hinzufügen', 'de', '0', '0'),
('4900', 'Verknüpfung bearbeiten', 'de', '0', '0'),
('4901', 'Verknüpfung löschen', 'de', '0', '0'),
('4902', 'Ermöglicht Benutzern, anpassbare Listen mit Shortcut-Links zu verwalten', 'de', '0', '0'),
('4903', 'Wert @value ist WAHR.', 'de', '0', '0'),
('4904', 'Wert @value ist FALSCH.', 'de', '0', '0'),
('4905', 'Wert @value ist NULL.', 'de', '0', '0'),
('4906', 'Wert @value ist nicht NULL.', 'de', '0', '0'),
('4907', 'Wert @first ist gleich Wert @second.', 'de', '0', '0'),
('4908', 'Wert @first ist ungleich Wert @second.', 'de', '0', '0'),
('4909', 'Wert @first ist identisch mit Wert @second.', 'de', '0', '0'),
('4910', 'Wert @first ist nicht identisch mit Wert @second.', 'de', '0', '0'),
('4911', 'Der Test wurde wegen eines schweren Fehlers nicht abgeschlossen.', 'de', '0', '0'),
('4912', 'Link mit Beschriftung %label gefunden.', 'de', '0', '0'),
('4913', 'Link mit Beschriftung %label nicht gefunden.', 'de', '0', '0'),
('4914', 'Link mit href %href gefunden.', 'de', '0', '0'),
('4915', 'Keinen Link mit href %href gefunden.', 'de', '0', '0'),
('4916', 'Link auf %label (@url_target) angeklickt auf @url_before', 'de', '0', '0'),
('4917', 'Die Option @option im Feld @id ist ausgewählt.', 'de', '0', '0'),
('4918', 'Die Option @option im Feld @id ist nicht ausgewählt.', 'de', '0', '0'),
('4919', 'In der Voreinstellung löscht Simpletest die Ergebnisse, nachdem sie auf der Ergebnisseite dargestellt wurden. In manchen Fällen kann es jedoch sinnvoll sein, die Ergebnisse in der Datenbank zu belassen.\r\nDie Ergebnisse können unter <em>admin/config/development/testing/[test_id]</em> angezeigt werden. Die Test-ID kann in der simpletest-Tabelle der Datenbank gefunden oder bei der ersten Anzeige der Ergebnisse ermittelt werden. Zusätzlich können einige Module Analysen oder Funktionen bereitstellen, die das Deaktivieren dieser Einstellung erfordern.', 'de', '0', '0'),
('4920', 'GSS abschließen', 'de', '0', '0'),
('4921', 'NTLM', 'de', '0', '0'),
('4922', 'irgendwie sichern', 'de', '0', '0'),
('4923', 'Das Testing-Modul stellt eine Testumgebung zur Durchführung automatisierter Tests bereit. Es kann dazu verwendet werden, den Funktionsstatus von Drupal vor und nach Code-Änderungen zu prüfen. Modulentwickler können eigene Tests schreiben und ausführen. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@simpletest">Simpletest-Modul</a>.', 'de', '0', '0'),
('4924', 'Tests laufen', 'de', '0', '0'),
('4925', 'Besuchen Sie die <a href="@admin-simpletest">Seite zum Testen,</a> um eine Liste der verfügbaren Tests anzuzeigen. Für umfassende Tests wählen Sie <em>alle</em> Tests - alternativ gezielt einzelne Tests - aus. Beachten Sie, dass alle Tests einige Minuten in Anspruch nehmen können. Weitere Informationen zum Erstellen und ändern von Tests finden Sie in der <a href="@simpletest-api">API-Dokumentation bzgl. Tests</a> im Drupal-Handbuch.', 'de', '0', '0'),
('4926', 'Nachdem die Tests ausgeführt wurden, wird eine Nachricht pro Testgruppe mit dem Testergebnis angezeigt. Ein ‚Pass‘ (bestanden) bedeutet, dass der Test die erwarteten Ergebnisse zurückgegeben, alternativ Fehler (error, dass nicht die erwarteten Ergebnisse produziert wurden. Eine Ausnahme weist normalerweise auf einen Fehler außerhalb des eigentlichen Tests hin, z. B. eine PHP-Warnung. Gibt es Fehler oder Ausnahmen, so werden die Ergebnisse mit Details angezeigt.', 'de', '0', '0'),
('4927', 'Tests verwalten', 'de', '0', '0'),
('4928', 'Der Testlauf wurde in @elapsed abgeschlossen.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('4929', 'Verwenden Sie die Schaltfläche <em>Umgebung bereinigen</em>, um temporäre Dateien und Tabellen zu entfernen.', 'de', '0', '0'),
('4930', 'Die Testumgebung macht es erforderlich, die <a href="@open_basedir-url">open_basedir</a> Einschränkung zu deaktivieren. Prüfen Sie Ihre Webserver Konfiguration oder kontaktieren Sie Ihren Webhosting Provider.', 'de', '0', '0'),
('4931', 'Die Testumgebung konnte nicht installiert werden, da die PHP Bibliothek <a href="@curl_url">cURL</a> nicht verfügbar ist.', 'de', '0', '0'),
('4932', 'Die Testumgebung konnte nicht installiert werden, da die PHP Erweiterung <a href="@hash_url">hash</a> deaktiviert ist.', 'de', '0', '0'),
('4933', 'PHP open_basedir Einschränkung', 'de', '0', '0'),
('4934', 'Sperre der IP-Adresse aufheben', 'de', '0', '0'),
('4935', 'IP-Adresse sperren', 'de', '0', '0'),
('4936', 'Das Statistics-Modul zeigt, wie oft eine bestimmte Seite angezeigt wird, wer sie angezeigt hat, die Seite die der Besucher zuvor angezeigt hat (Referrer-URL) und wann sie angezeigt wurde. Diese Statistiken sind hilfreich um nachzuvollziehen, wie Benutzer diese Website aufrufen und durch sie navigieren. Der Eintrag des Online-Handbuchs zum <a href="@statistics">Statistics-Modul</a> enthält weitere Informationen.', 'de', '0', '0'),
('4937', 'Protokolle verwalten', 'de', '0', '0'),
('4938', 'Um die Sammlung von Statistiken zu aktivieren, muss das <em>Zugriffsprotokoll aktiviert sein</em> und die <a href="@statistics-settings"> Statistik Einstellungen</a> sollten Sie überprüfen. Alte <em>Zugriffsprotokolle</em> können automatisch gelöscht werden. Diese Einstellung erfordert einen korrekt konfigurierten <a href="@cron">Cron Wartungsjob</a>.', 'de', '0', '0'),
('4939', 'Seitennutzung anzeigen', 'de', '0', '0'),
('4940', 'Das Statistik-Modul unterstützt Sie in der Auswertung der Details zu Ihren Benutzern und wie die Benutzer die Website verwenden. Das Modul bietet vier Berichte:', 'de', '0', '0'),
('4941', 'Eine Liste der <a href="@recent-hits">jüngsten Zugriffe</a> auf der Website mit der URL und dem Titel der aufgerufenen Seite, sowie die IP-Adresse und, sofern vorhanden, dem Namen des Benutzers.', 'de', '0', '0'),
('4942', '<a href="@top-referrers">Top Verweise</a> zeigt woher Besucher kamen (referrer URL).', 'de', '0', '0'),
('4943', '<a href="@top-pages">Top Seiten</a> zeigt eine Liste von Seiten sortiert nach der Anzahl der Aufrufe.', 'de', '0', '0'),
('4944', '<a href="@top-visitors">Top Besucher</a> zeigt die aktivsten Benutzer ihrer Website und erlaubt es Benutzer, die ihre Site missbrauchen, zu sperren.', 'de', '0', '0'),
('4945', 'Beliebte Inhalte anzeigen', 'de', '0', '0'),
('4946', 'Das Modul beinhaltet einen Block, <em>Beliebter Inhalt</em>, der die populärsten Seiten sowie die zuletzt angesehenen Inhalte darstellt. Um diesen Block zu nutzen aktivieren Sie <em>Ansichtszähler</em> unter <a href="@statistic-settings">Statistische Einstellungen</a>. Anschließend können Sie den Block auf der <a href="@blocks">Administrationsseite</a> aktivieren und konfigurieren.', 'de', '0', '0'),
('4947', 'Besucherzähler', 'de', '0', '0'),
('4948', 'Das Statistics-Modul beinhaltet einen Zähler für jede Seite, der sich um 1 erhöht sobald eine Seite angesehen wird. Um den Zähler zu nutzen, aktivieren Sie <em>Inhaltsaufrufe zählen</em> auf der <a href="@statistics-settings">Statististik-Einstellungsseite</a>. Setzen Sie die erforderlichen <a href="@permissions">Berechtigungen</a> (<em>Inhaltsaufrufe sehen</em>), um den Zähler für die Benutzer sichtbar zu machen.', 'de', '0', '0'),
('4949', 'Statistiken verwalten', 'de', '0', '0'),
('4950', 'Zugriffsstatistiken anzeigen', 'de', '0', '0'),
('4951', 'Inhaltsaufrufe sehen', 'de', '0', '0'),
('4952', 'Legen Sie fest womit und wie Ihre Site die Zugriffsstatistiken erstellt.', 'de', '0', '0'),
('4953', 'Das Syslog-Modul protokolliert Ereignisse durch das Senden von Nachrichten an die Protokollfunktion des Betriebssystems des Webservers. Syslog ist ein Protokollierungssystem, das die vertraulichen Informationen für den Einsatz in System-Management und die Sicherheitsüberwachung sammelt. Als wichtige Funktion für mittlere und große Websites, bietet Syslog Filter für Webinhalte, Nachrichten nach Typ und Schweregrad.. Weitere Informationen finden Sie online im Handbucheintrag für das <a href=''@syslog''>Syslog-Modul</a> dort finden Sie auch Informationen zu <a href=''@php_openlog''>Openlog</a> und zu den <a href=''@php_syslog''>Syslog</a> Funktionen von PHP.', 'de', '0', '0'),
('4954', 'Protokollierung für UNIX, Linux und Mac OS X', 'de', '0', '0'),
('4955', 'Unter UNIX, Linux und Mac OS X definiert die Datei <em>/etc/syslog.conf</em> die Routing-Konfiguration. Nachrichten können mit Markierungen von <code>LOG_LOCAL0</code> bis <code>LOG_LOCAL7</code> versehen werden. Für Informationen zu Syslog facilities, severity Ebenen und wie Sie die <em>syslog.conf</em> konfigurieren, schauen Sie in die Hilfeseiten von <em>syslog.conf</em> über die Kommandozeile.', 'de', '0', '0'),
('4956', 'Protokollierung für Microsoft Windows', 'de', '0', '0'),
('4957', 'Unter Microsoft Windows werden Nachrichten immer in die Ereignisanzeige mit dem Schlüssel <code>LOG_USER</code> geschrieben.', 'de', '0', '0'),
('4958', 'Syslog Ursprung', 'de', '0', '0'),
('4959', 'Abhängig von der Systemkonfiguration können Syslog und andere Log-Werkzeuge diesen Code verwenden, um Nachrichten aus dem systemweiten Log zu identifizieren oder zu filtern.', 'de', '0', '0'),
('4960', 'Das Bild %file konnte nicht gedreht werden, da die Funktion imagerotate() in dieser PHP-Installation nicht verfügbar ist.', 'de', '0', '0'),
('4961', 'Die Sättigung des Bildes %file konnte nicht verringert werden, da die Funktion imagefilter() in dieser Installation von PHP nicht zur Verfügung steht.', 'de', '0', '0'),
('4962', 'Screenshot für Theme !theme', 'de', '0', '0'),
('4963', 'Einstellungen für das Theme !theme', 'de', '0', '0'),
('4964', 'Theme !theme deaktivieren', 'de', '0', '0'),
('4965', '!theme als Standard-Theme einstellen', 'de', '0', '0'),
('4966', 'Theme !theme aktivieren', 'de', '0', '0'),
('4967', 'Aktivieren und als Standard festlegen', 'de', '0', '0'),
('4968', 'Theme !theme als Standard-Theme aktivieren', 'de', '0', '0'),
('4969', 'Standard-Theme', 'de', '0', '0'),
('4970', '„Standard-Theme“ auswählen, um immer dasselbe Theme zu verwenden wie der Rest der Website.', 'de', '0', '0'),
('4971', 'Das Verwaltungstheme auch während der Erstellung und Bearbeitung von Inhalt verwenden.', 'de', '0', '0'),
('4972', 'Das Theme %theme wurde aktiviert.', 'de', '0', '0'),
('4973', 'Das Theme %theme wurde nicht gefunden.', 'de', '0', '0'),
('4974', '%theme ist das Standard-Theme und kann nicht deaktiviert werden.', 'de', '0', '0'),
('4975', 'Das Theme %theme wurde deaktiviert.', 'de', '0', '0'),
('4976', 'Beachten Sie, dass das Verwaltungstheme, derzeit auf %admin_theme eingestellt ist und deshalb das Theme auf dieser Seite unverändert bleibt. Alle Seiten außerhalb des Verwaltungsbereiches der Website, werden in dem ausgewählten Standard Theme %selected_theme angezeigt.', 'de', '0', '0'),
('4977', '%theme ist jetzt das Standard-Theme.', 'de', '0', '0'),
('4978', 'Überprüfungsstatus eines Benutzer in Kommentare', 'de', '0', '0'),
('4979', 'Diese Einstellungen sind nur für Themes verfügbar, die auf der %engine Theme Engine basieren.', 'de', '0', '0'),
('4980', 'Das Logo konnte nicht hochgeladen wereden', 'de', '0', '0'),
('4981', 'Das Favicon konnte nicht hochgeladen werden.', 'de', '0', '0'),
('4982', 'Der Pfad zum benutzerdefinierten Logo ist ungültig.', 'de', '0', '0'),
('4983', 'Der Pfad zum benutzerdefinierten Favicon ist ungültig.', 'de', '0', '0'),
('4984', '@module (<span class="admin-missing">inkompatibel mit</span> Version @version)', 'de', '0', '0'),
('4985', 'Diese Version ist nicht kompatibel mit Drupal !core_version und sollte ersetzt werden.', 'de', '0', '0'),
('4986', 'Möchten Sie mit obiger Funktion fortfahren?', 'de', '0', '0'),
('4987', 'Bitte eine gültige IP-Adresse eingeben.', 'de', '0', '0'),
('4988', 'Diese IP-Adresse ist bereits gesperrt.', 'de', '0', '0'),
('4989', 'Die eigene IP-Adresse kann nicht gesperrt werden.', 'de', '0', '0'),
('4990', 'Die IP-Adresse %ip wurde gesperrt.', 'de', '0', '0'),
('4991', 'Soll %ip wirklich gelöscht werden?', 'de', '0', '0'),
('4992', 'Die IP-Adresse %ip wurde gelöscht.', 'de', '0', '0'),
('4993', 'Wie genau dies verwendet wird hängt von dem Theme Ihrer Site ab.', 'de', '0', '0'),
('4994', 'Anzahl der Beiträge auf der Startseite', 'de', '0', '0'),
('4995', 'Die maximale Anzahl von Beiträgen, die auf Übersichtsseiten wie der Startseite angezeigt wird.', 'de', '0', '0'),
('4996', 'Diese Seite wird angezeigt, wenn der Zugriff auf das angeforderte Dokument für den Benutzer verweigert wird. Leer belassen, um eine generische „Zugriff verweigert“ Seite anzuzeigen.', 'de', '0', '0'),
('4997', 'Diese Seite wird angezeigt, wenn kein anderer Inhalt mit dem angefragten Dokument übereinstimmt. Leer lassen, um eine allgemeine „Seite wurde nicht gefunden“-Seite anzuzeigen.', 'de', '0', '0'),
('4998', 'Fehler und Warnungen', 'de', '0', '0'),
('4999', 'Gesamten Cache löschen', 'de', '0', '0'),
('5000', '<strong class="error">Legen Sie das <a href="!file-system">Verzeichnis für Öffentliche Dateien</a> fest, um diese Optimierungen zu nutzen.</strong>', 'de', '0', '0'),
('5001', 'Bandbreitenoptimierung', 'de', '0', '0'),
('5002', 'Zwischengespeicherte Seiten komprimieren.', 'de', '0', '0'),
('5003', 'Pfad des öffentlichen Dateisystems', 'de', '0', '0'),
('5004', 'Ein Pfad des lokalen Dateisystems, in dem öffentlich zugängliche Dateien gespeichert werden. Dieses Verzeichnis muss existieren und durch Drupal beschreibbar sein. Dieses Verzeichnis muss sich relativ zum Drupal-Installationsverzeichnis befinden und über das Web erreichbar sein.', 'de', '0', '0'),
('5005', 'Pfad des privaten Dateisystems', 'de', '0', '0'),
('5006', 'Ein Pfad des lokalen Dateisystems in den temporäre Dateien gespeichert werden. Dieses Verzeichnis sollte nicht über das Web erreichbar sein.', 'de', '0', '0'),
('5007', 'Standard-Downloadmethode', 'de', '0', '0'),
('5008', 'Diese Einstellung wird als die bevorzugte Download-Methode verwendet. Die Nutzung von öffentlich zugänglichen Dateien ist zwar effizienter, bietet jedoch keinerlei Zugriffskontrolle.', 'de', '0', '0'),
('5009', 'Kein Bild-Toolkits gefunden. Drupal bietet Unterstützung für die <a href=''!gd-link''>integrierten Bildverarbeitungs-Funktionen von PHP,</a> aber sie wurden auf diesem System nicht erkannt. Wenden Sie sich an Ihren Systemadministrator.', 'de', '0', '0'),
('5010', 'Die Beschreibung der Website, die in jedem Feed eingebunden wird.', 'de', '0', '0'),
('5011', 'Zeitzonen', 'de', '0', '0'),
('5012', 'Benutzer dürfen ihre eigene Zeitzone einstellen.', 'de', '0', '0'),
('5013', 'Benutzer beim Anmelden daran erinnern, dass ihre Zeitzone nicht eingestellt ist.', 'de', '0', '0'),
('5014', 'Wird nur angewendet, wenn Benutzer ihre eigene Zeitzone einstellen dürfen.', 'de', '0', '0'),
('5015', 'Zeitzone für neue Benutzer', 'de', '0', '0'),
('5016', 'Standardzeitzone.', 'de', '0', '0'),
('5017', 'Leere Zeitzone.', 'de', '0', '0'),
('5018', 'Benutzer dürfen ihre Zeitzone bei der Registrierung einstellen.', 'de', '0', '0'),
('5019', 'Keine Datumstypen vorhanden. <a href="@link">Datumstyp hinzufügen</a>.', 'de', '0', '0'),
('5020', 'Datumstyp hinzufügen', 'de', '0', '0'),
('5021', 'Der Datumstyp darf nur alphanumerische Zeichen und Unterstriche beinhalten.', 'de', '0', '0'),
('5022', 'Dieser Datumstyp existiert bereits. Bitte geben Sie einen anderen Typ an.', 'de', '0', '0'),
('5023', 'Neuer Datumstyp erfolgreich hinzugefügt.', 'de', '0', '0'),
('5024', 'Website in den Wartungsmodus versetzen', 'de', '0', '0'),
('5025', 'Nachricht beim Wartungsmodus', 'de', '0', '0'),
('5026', 'Nachricht die Benutzern angezeigt wird, wenn sich die Webseite im Wartungsmodus befindet.', 'de', '0', '0'),
('5027', 'URLs wie <code>example.com/user</code> statt <code>example.com/?q=user</code> verwenden.', 'de', '0', '0'),
('5028', 'Benötigt: !module-list', 'de', '0', '0'),
('5029', 'Benötigt von: !module-list', 'de', '0', '0'),
('5030', 'Soll der Datumstyp %type wirklich entfernt werden?', 'de', '0', '0'),
('5031', 'Datumstyp %type entfernt.', 'de', '0', '0'),
('5032', 'Keine benutzerdefinierten Datumsformate vorhanden. <a href="@link">Datumsformat hinzufügen</a>.', 'de', '0', '0'),
('5033', 'Angezeigt als', 'de', '0', '0'),
('5034', 'Angezeigt als %date', 'de', '0', '0'),
('5035', 'Ein benutzerdefiniertes Datumsformat. Siehe <a href="@url">PHP Handbuch</a> für weitere Optionen.', 'de', '0', '0'),
('5036', 'Format speichern', 'de', '0', '0'),
('5037', 'Dieses Format existiert bereits. Bitte eindeutige Format-Zeichenkette eingeben.', 'de', '0', '0'),
('5038', 'Benutzerdefiniertes Datumsformat aktualisiert.', 'de', '0', '0'),
('5039', 'Benutzerdefiniertes Datumsformat hinzugefügt.', 'de', '0', '0'),
('5040', 'Verfügbare Aktionen:', 'de', '0', '0'),
('5041', 'Eine erweiterte Aktion erstellen', 'de', '0', '0'),
('5042', 'Eine eindeutige Bezeichnung für die erweiterte Aktion. Diese wird in der Benutzeroberfläche von Modulen angezeigt (z.B. Trigger-Modul), die Aktionen integrieren.', 'de', '0', '0'),
('5043', '%ip gelöscht', 'de', '0', '0'),
('5044', 'Aktiviertes Theme', 'de', '0', '0'),
('5045', 'Aktivierte Themes', 'de', '5044', '1'),
('5046', 'Deaktiviertes Theme', 'de', '0', '0'),
('5047', 'Das Modul @required muss aktiviert werden, um @module zu installieren.', 'de', '0', '0'),
('5048', 'Die Module @required müssen aktiviert werden, um @module zu installieren.', 'de', '5047', '1'),
('5049', 'Token für seiten-übergreifende Einstellungen und andere globale Informationen.', 'de', '0', '0'),
('5050', 'Token mit Bezug auf Datum und Uhrzeit', 'de', '0', '0'),
('5051', 'Token mit Bezug auf hochgeladene Dateien', 'de', '0', '0'),
('5052', 'URL (kurz)', 'de', '0', '0'),
('5053', 'Die URL der Startseite dieser Website ohne Angabe des Protokolls.', 'de', '0', '0'),
('5054', 'Kurzes Format', 'de', '0', '0'),
('5055', 'Ein Datum im ‚kurzen‘ Format. (%date)', 'de', '0', '0'),
('5056', 'Mittleres Format', 'de', '0', '0'),
('5057', 'Ein Datum im ‚mittleren‘ Format. (%date)', 'de', '0', '0'),
('5058', 'Langes Format', 'de', '0', '0'),
('5059', 'Ein Datum im ‚langen‘ Format. (%date)', 'de', '0', '0'),
('5060', 'Ein Datum in einem benutzerdefinierten Format. Details enthält !php-date.', 'de', '0', '0'),
('5061', 'die PHP-Dokumentation', 'de', '0', '0'),
('5062', 'Vergangene Zeit', 'de', '0', '0'),
('5063', 'direkter Zeitstempel', 'de', '0', '0'),
('5064', 'Ein Datum im UNIX Zeitstempel Format (%date)', 'de', '0', '0'),
('5065', 'Das System-Modul ist integraler Bestandteil der Website und bietet erweiterbare Basisfunktionen, die von anderen Modulen und Themes verwendet werden. Einige integralen Elemente von Drupal sind im System-Modul enthalten und werden von diesem verwaltet, insbesondere Caching, Aktivieren und Deaktivieren von Modulen und Themes, Generierung und Anzeige der Einstellungsseiten, sowie das Setzen von fundamentalen Systemeinstellungen. Eine Reihe von wichtigen Aufgaben zur Systemwartung sind ebenfalls Teil des System-Modules. Für weitere Informationen schauen Sie bitte im Online-Handbuch unter dem Eintrag <a href="@system">System-Modul</a> nach.', 'de', '0', '0'),
('5066', 'Module verwalten', 'de', '0', '0'),
('5067', 'Das System-Modul ermöglicht Benutzern mit den entsprechenden Berechtigungen das Aktivieren und Deaktivieren von Module auf der <a href="@modules">Verwaltungsseite für Module</a>. Drupal bringt von Haus aus eine Reihe von Kernmodulen mit. Jedes Modul stellt einen separaten Satz von Funktionen bereit und kann einzeln aktiviert oder deaktiviert werden. Viele Zusatzmodule, die von Mitgliedern der Drupal Community beigetragen werden stehen auf der <a href="@drupal-modules">den Modulseiten von Drupal.org</a> bereit.', 'de', '0', '0'),
('5068', 'Themes verwalten', 'de', '0', '0'),
('5069', 'Das System-Modul ermöglicht Benutzern mit den entsprechenden Berechtigungen das Aktivieren und Deaktivieren von Themen auf der <a href="@themes">Verwaltungsseite Themen</a>. Themen bestimmen das Design und die Präsentation Ihrer Website. Drupal bringt mehrere Themen im Kern mit und kann durch zusätzliche beigesteuerte Themen z.B. von <a href="@drupal-themes">Themenseite Drupal.org</a> erweitert werden.', 'de', '0', '0'),
('5070', 'Cache Einstellungen', 'de', '0', '0'),
('5071', 'Das Systemmodul ermöglicht Nutzern mit den entsprechenden Rechten die Verwaltung des Zwischenspeichers auf der <a href=''@cache-settings''>Performance settings Seite</a>. Drupal besitzt ein robustes System des Zwischenspeichern, das die effiziente Wiederverwendung von vorher aufgebauten Webseiten und -komponenten ermöglicht. Seiten, die durch anonyme Nutzer aufgerufen werden, sind in einem komprimierten Format gespeichert; abhängig von der Sitekonfiguraiton und dem Transfervolumen, das durch anonyme Nutzer ausgelöst wird, kann das Cachingsystem die Geschwindigkeit der Seite signifikant erhöhen.', 'de', '0', '0'),
('5072', 'Wartungsarbeiten am System durchführen', 'de', '0', '0'),
('5073', 'Grundlegende Website-Einstellungen konfigurieren', 'de', '0', '0'),
('5074', 'Grundlegende Konfigurationseinstellungen der Website wie etwa <a href="@date-settings">Datums- und Zeitformate</a>, <a href="@file-system">Dateisystem-Einstellungen</a>, <a href="@clean-url">Unterstützung von „lesbaren URLs“ (suchmaschinenfreundliche URLs)</a>, <a href="@site-info">Name der Site und weitere administrative Informationen</a> sowie die Möglichkeit zur temporären Offline-Schaltung der Website zu <a href="@site-maintenance">Wartungszwecken</a> werden über das Modul System bereit gestellt.', 'de', '0', '0'),
('5075', 'Aktionen konfigurieren', 'de', '0', '0'),
('5076', 'Aktionen sind individuelle Aufgaben, die das System erledigen kann, beispielsweise zurückrufen eines veröffentlichten Inhalts oder die Sperrung eines Benutzers. Module wie das <a href="@trigger-help">Trigger-Modul</a> können diese Aktionen ausführen, wenn bestimmte Systemereignisse auftreten; beispielsweise wenn ein neuer Beitrag hinzugefügt wurde oder ein Benutzer sich anmeldet. Module können auch weitere Aktionen bereitstellen. Besuchen Sie die <a href="@actions">Actionen-Seite</a>, um Aktionen festzulegen.', 'de', '0', '0'),
('5077', 'Standard-Theme der Website festlegen und konfigurieren. Alternative <a href="@themes">Themes</a> sind auch vorhanden.', 'de', '0', '0'),
('5078', 'Installieren Sie <a href="@modules">Zusatz-Module</a>, um den Funktionsumfang von Drupal zu erweitern.', 'de', '0', '0'),
('5079', 'Überprüfen Sie in regelmäßgen Abständen die <a href="@updates">verfügbaren Aktualisierungen</a> und installieren Sie diese, um eine sichere und aktuelle Website zu haben. Führen Sie jedesmal das <a href="@update-php">Aktualisierungsscript</a> durch, wenn ein Modul aktualisiert wird.', 'de', '0', '0'),
('5080', 'Überprüfen Sie in regelmäßgen Abständen die <a href="@updates">verfügbaren Aktualisierungen</a> und installieren Sie diese, um eine sichere und aktuelle Website zu haben. Führen Sie jedesmal das <a href="@update-php">Aktualisierungsscript</a> durch, wenn ein Modul aktualisiert wird.', 'de', '0', '0'),
('5081', 'Prüft regelmäßig, ob Aktualisierungen verfügbar sind, um die Website sicher und auf dem neuesten Stand zu halten. Nach jeder Modul-Aktualisierung muss das <a href="@update-php">Aktualisierungs-Skript</a> ausgeführt werden. Mithilfe des <em>Update-manager</em>-Moduls können Module und Themes aktualisiert und installiert werden.', 'de', '0', '0'),
('5082', 'Wenn Sie Drupal, Module oder ein Theme aktualisiert haben, müssen Sie gegebenenfalls das <a href="@update-php">Aktualisierungsprogramm</a> ausführen.', 'de', '0', '0'),
('5083', 'Es werden zwei Arten von Aktionen unterschieden: einfache und erweiterte. Einfache Aktionen benötigen keine Konfiguration und sind automatisch hier aufgeführt. Erweiterte Aktionen haben einen größeren Funktionsumfang als die einfachen Aktionen. Beispiele sind das Versenden einer E-Mail an eine spezielle Adresse oder das Unveröffentlichen eines Textes bei Vorhandensein eines bestimmten Schlüsselwortes. Diese erweiterten Aktionen müssen vor ihrer Nutzung separat angelegt und konfiguriert werden. Erweiterte Aktionen können durch Auswahl einer Aktion aus der Liste und anschließendes Klicken auf den <em>Erstellen</em>-Button erstellt werden.', 'de', '0', '0'),
('5084', 'Eine erweiterte Aktion bietet weitere Einstellungsmöglichkeiten, die unten festgelegt werden können. Es wird empfohlen das Feld <em>Beschreibung</em> auszufüllen, um eine bessere Zuordnung zu ermöglichen, wenn genau diese Aktion ausgeführt wird. Die Beschreibung wird in Modulen wie dem Trigger-Modul angezeigt, wenn Aktionen zu Systemereignissen zugeordnet werden. Es ist daher sinnvoll eine möglichst treffende Beschreibung zu wählen (z.B. „E-Mail an Moderatoren-Team senden“ anstatt einfach nur „E-Mail senden“).', 'de', '0', '0'),
('5085', 'Module verwalten', 'de', '0', '0'),
('5086', 'Websitekonfiguration verwalten', 'de', '0', '0'),
('5087', 'Themes verwalten', 'de', '0', '0'),
('5088', 'Aktionen verwalten', 'de', '0', '0'),
('5089', 'Administrationsseiten und die Hilfe verwenden', 'de', '0', '0'),
('5090', 'Die Website im Wartungsmodus verwenden', 'de', '0', '0'),
('5091', 'Website-Berichte anzeigen', 'de', '0', '0'),
('5092', 'IP-Adressen sperren', 'de', '0', '0'),
('5093', 'Öffentliche Dateien', 'de', '0', '0'),
('5094', 'Öffentlich zugängliche Dateien werden durch den Webserver ausgeliefert.', 'de', '0', '0'),
('5095', 'Private Dateien werden durch Drupal ausgeliefert.', 'de', '0', '0'),
('5096', 'Temporäre Dateien', 'de', '0', '0'),
('5097', 'Temporäre lokale Dateien für Uploads und Previews.', 'de', '0', '0'),
('5098', 'Module aktualisieren', 'de', '0', '0'),
('5099', 'Themes aktualisieren', 'de', '0', '0'),
('5100', 'SSH', 'de', '0', '0'),
('5101', 'Ihr Passwort wird nicht in der Datenbank gespeichert und wird nur verwendet, um eine Verbindung herzustellen.', 'de', '0', '0'),
('5102', 'Die Verbindung wird zwischen Ihrem Webserver und dem Server aufgebaut, welcher die Webserver Dateien bereitstellt. In der Mehrheit der Fälle ist dies die gleiche Maschine, so dass „localhost“ richtig ist.', 'de', '0', '0'),
('5103', 'Passen Sie ihre <a href="@user-edit">persönlichen Zeitzoneneinstellungen</a> an.', 'de', '0', '0'),
('5104', 'Wählen Sie die gewünschte lokale Uhrzeit und Zeitzone. Datumsangaben und Zeiten der Website werden für diese Zeitzone angezeigt.', 'de', '0', '0'),
('5105', 'Ihre Zeitzoneneinstellung wird soweit möglich automatisch erkannt. Überprüfen Sie die Einstellung und klicken Sie auf speichern.', 'de', '0', '0'),
('5106', 'System-Hilfe', 'de', '0', '0'),
('5107', 'Das Verzeichnis %directory existiert nicht und konnte nicht erstellt werden.', 'de', '0', '0'),
('5108', 'Das Verzeichnis %directory existiert, ist aber nicht beschreibbar und konnte nicht beschreibbar gemacht werden.', 'de', '0', '0'),
('5109', 'Die E-Mail-Adresse, an die die Nachricht gesendet werden soll. Geben Sie alternativ [node:author:mail], [comment:author:mail] etc. ein, wenn Sie eine Nachricht an den jeweiligen Autor der Nachricht senden möchten.', 'de', '0', '0'),
('5110', 'Die zu sendende Nachricht. Es können Platzhalter wie z.B. [node:title], [user:name], und [comment:body] verwendet werden, um den Inhalt dynamisch anzupassen. Nicht alle Platzhalter sind in allen Kontexten verfügbar.', 'de', '0', '0'),
('5111', 'Diese Meldung wird dem Benutzer angezeigt. Folgende Platzhalter können verwendet werden, um den Nachrichtentext zu dynamisch zu gestalten: [node:title], [user:name] und [comment:body]. Diese Platzhalter sind nicht in allen Kontexten verfügbar.', 'de', '0', '0'),
('5112', '@zone: @date', 'de', '0', '0'),
('5113', 'Powered by <a href="@poweredby">Drupal</a>', 'de', '0', '0'),
('5114', 'AHAH-Callback', 'de', '0', '0'),
('5115', 'Blöcke, Inhaltstypen, Menüs, etc. verwalten', 'de', '0', '0'),
('5116', 'Das eigene Theme auswählen und konfigurieren', 'de', '0', '0'),
('5117', 'Theme aktivieren', 'de', '0', '0'),
('5118', 'Theme deaktivieren', 'de', '0', '0'),
('5119', 'Standardtheme festlegen', 'de', '0', '0'),
('5120', 'Standard- sowie Themespezifische-Einstellungen konfigurieren.', 'de', '0', '0'),
('5121', 'Sperren von IP-Adressen', 'de', '0', '0'),
('5122', 'Gesperrte IP-Adressen verwalten.', 'de', '0', '0'),
('5123', 'IP-Adresse löschen', 'de', '0', '0'),
('5124', 'Medienwerkzeuge.', 'de', '0', '0'),
('5125', 'Webservice verwandte Werkzeuge.', 'de', '0', '0'),
('5126', 'Die Beschreibung der Website konfigurieren, die Anzahl der Einträge pro Feed und ob Feeds nur mit dem Titel, Anrisstext oder vollständigen Text angezeigt werden soll.', 'de', '0', '0'),
('5127', 'Entwicklungswerkzeuge.', 'de', '0', '0'),
('5128', 'Wartungsmodus', 'de', '0', '0'),
('5129', 'Die Website für die Wartung offline oder wieder online stellen.', 'de', '0', '0'),
('5130', 'Protokollierung und Fehler', 'de', '0', '0'),
('5131', 'Einstellungen für das Protokollieren und den Benachrichtigungsmodulen. Verschiedene Module können Drupal''s Systemereignisse zu unterschiedlichen Zielen weiterleiten, wie zum Beispiel Syslog, Datenbank, E-Mail etc.', 'de', '0', '0'),
('5132', 'Lokalisierung und Sprache', 'de', '0', '0'),
('5133', 'Regionale Einstellungen, Lokalisierung und Übersetzung.', 'de', '0', '0'),
('5134', 'Einstellungen für die Standardzeitzone und Land der Website.', 'de', '0', '0'),
('5135', 'Anzeigeformate für Datum und Uhrzeit konfigurieren.', 'de', '0', '0'),
('5136', 'Neuen Datumstyp hinzufügen.', 'de', '0', '0'),
('5137', 'Datumstyp löschen', 'de', '0', '0'),
('5138', 'Benutzern erlauben, einen konfigurierten Datumstyp zu löschen.', 'de', '0', '0'),
('5139', 'Einstellungen für die Anzeigeformate von Datum und Uhrzeit.', 'de', '0', '0'),
('5140', 'Datumsformat bearbeiten', 'de', '0', '0'),
('5141', 'Benutzern erlauben, ein konfiguriertes Datumsformat zu bearbeiten.', 'de', '0', '0'),
('5142', 'Suche und Metadaten', 'de', '0', '0'),
('5143', 'Lokale Suche der Website, Metadaten und SEO.', 'de', '0', '0'),
('5144', 'Allgemeine systembezogene Konfiguration.', 'de', '0', '0'),
('5145', 'Werkzeuge, die die Benutzeroberfläche verbessern.', 'de', '0', '0'),
('5146', 'Werkzeuge für den Arbeitsablauf bei der Inhaltserstellung sowie redaktionelle Arbeiten.', 'de', '0', '0'),
('5147', 'Inhaltserstellung', 'de', '0', '0'),
('5148', 'Einstellungen rund um das Formatieren und Schreiben von Inhalten.', 'de', '0', '0'),
('5149', 'Der Rechner !host wird nicht mehr gesperrt, da es keine gültige IP-Adresse ist.', 'de', '0', '0'),
('5150', 'Die Rechte für Rollen ID !id wurde zu {role_permission} hinzugefügt.', 'de', '0', '0'),
('5151', 'Aggressives Zwischenspeichern wurde deaktiviert und durch normales Zwischenspeichern ersetzt. Lesen Sie die Sektion „page caching“ in der Datei default.settings.php für weitere Informationen, um eine ähnliche Funktionalität wiederherzustellen.', 'de', '0', '0'),
('5152', '%profile_name (%profile-%version)', 'de', '0', '0'),
('5153', 'weitere Informationen', 'de', '0', '0'),
('5154', 'Die phpinfo() Funktion wurde aus Sicherheitsgründen deaktiviert. Um die phpinfo() Informationen ihres Servers zu sehen, ändern Sie die entsprechenden PHP einstellungen oder kontaktieren Sie ihren Server Administrator. Mehr Informationen auf der <a href="@phpinfo">phpinfo() aktiveren und deaktivieren</a> Handbuchseite.', 'de', '0', '0'),
('5155', 'Um Cron von außerhalb der Website auszuführen, verwenden Sie die folgende URL <a href="!cron">!cron</a>', 'de', '0', '0'),
('5156', 'Die automatische Erstellung dieses Verzeichnisses ist fehlgeschlagen, möglicherweise aufgrund fehlender Berechtigungen. Um mit der Installation fortzufahren, muss das Verzeichnis mit den entsprechenden Berechtigungen entweder von Hand erstellt werden oder Sie stellen sicher, dass die Berechtigungen zum automatischen Anlegen vorhanden sind. Weitere Information finden Sie in der Datei INSTALL.txt oder im <a href="@handbook_url">Online-Handbuch</a>.', 'de', '0', '0'),
('5157', 'Die Konfiguration wurde gespeichert.', 'de', '0', '0'),
('5158', 'Keine Vokabulare verfügbar. <a href="@link">Vokabular hinzufügen</a>.', 'de', '0', '0'),
('5159', 'Keine Begriffe verfügbar. <a href="@link">Begriff hinzufügen</a>.', 'de', '0', '0'),
('5160', 'Momentan ist kein Inhalt mit diesem Begriff klassifiziert.', 'de', '0', '0'),
('5161', 'Token mit Bezug auf Taxonomiebegriffe.', 'de', '0', '0'),
('5162', 'Token mit Bezug auf Taxonomie-Vokabulare.', 'de', '0', '0'),
('5163', 'Das Taxonomie Modul erlaubt ihnen die Inhalte auf ihrer Website zu klassifizieren. Um Inhalte zu klassifizieren legen Sie <em>Vokabulare</em> fest, die verwandte <em>Begriffe</em> enthalten, dann ordnen Sie die Vokabulare Inhaltstypen zu. Für mehr Informatiionen sehen sie sich den online Handbuch Eintrag zum <a href="@taxonomy">Taxonomie Modul</a> an.', 'de', '0', '0'),
('5164', 'Vokabulare erstellen', 'de', '0', '0'),
('5165', 'Nutzer mit entsprechender <a href="@perm">Berechtigung</a> können über die <a href="@taxo">Taxonomy-Seite</a> <em>Vokabularien</em> und <em>Begriffe</em> erstellen. Die Seitenauflistung der Begriffe stellt eine Drag-and-Drop - Oberfläche bereit, über die Sie die Reihenfolge der Begriffe und Unterbegriffe hierarchisch anordnen können. Ein <em>geordnetes Vokabular</em>, das Musik nach Genre und Subgenre unterteilt könnte wie folgt aussehen:', 'de', '0', '0'),
('5166', '<em>Vokabular</em>: Musik', 'de', '0', '0'),
('5167', '<em>Begriff</em>: Jazz', 'de', '0', '0'),
('5168', '<em>Unterbegriff</em>: Swing', 'de', '0', '0'),
('5169', '<em>Unterbegriff</em>: Fusion', 'de', '0', '0'),
('5170', '<em>Begriff</em>: Rock', 'de', '0', '0'),
('5171', '<em>Unterbegriff</em>: Country Rock', 'de', '0', '0'),
('5172', '<em>Unterbegriff</em>: Hard Rock', 'de', '0', '0'),
('5173', 'Sie können einen Unterbegriff mehreren Elternbegriffen zuordnen. Z.B. kann <em>fusion</em> sowohl dem Begriff <em>rock</em> wie auch <em>jazz</em> zugeordnet werden.', 'de', '0', '0'),
('5174', 'Begriffe in einem <em>Vokabular mit freier Verschlagwortung</em>, können schrittweise beim Anlegen oder Ändern von Inhalten hinzugefügt werden. Dieses Art eine Vokabulars wird oft bei Blogs oder Anwendungen für Fotoverwaltung eingesetzt.', 'de', '0', '0'),
('5175', 'Vokabulare Inhaltstypen zuweisen', 'de', '0', '0'),
('5176', 'Bevor Sie ein neues Vokabular für die Kategorisierung Ihres Inhalts verwenden können, müssen Sie Ihrem <a href="@ctedit">Inhaltstyp</a> auf der Seite <em>Felder verwalten</em> einen neuen Taxonomy-Begriff hinzufügen. Wenn Sie ein Feld hinzufügen, wählen Sie ein <em>Steuerelement</em>, das Sie verwenden, um Ihren Inhalt einzugeben: eine Auswahlliste, Kontrollkästchen, Radiobuttons oder ein Feld mit Auto-Vervollständigung (das Sie für frei zu vergebene Stichworte verwenden). Nachdem Sie den Typ des Feldes und dessen Steuerelement gewählt haben, können Sie auf der folgenden Seite <em> Feldeinstellungen</em> das gewünschte Vokabular auswählen. Hier können Sie auch individuelle Einstellungen vornehmen, ob es sich z.B. um einen oder mehrere Begriffe handelt. Einem Vokabular können Sie verschiedene Inhaltstypen zuordnen. Nutzen Sie hierfür die Option „Vorhandenes Feld auswählen“ auf der Verwaltungsseite Ihrer Felder.', 'de', '0', '0'),
('5177', 'Klassifizieren von Inhalt', 'de', '0', '0'),
('5178', 'Nachdem das Vokabular dem Inhaltstyp zugeordnet wurde, können Sie Inhalte klassifizieren. Das Feld mit den Taxonomiebegriffen wird auf der Bearbeitungsseite erscheinen, wenn Sie den Inhalt bearbeiten oder <a href="@addnode">neue Inhalte anlegen</a>.', 'de', '0', '0'),
('5179', 'Anzeige von Listen und RSS Feeds nach Begriff', 'de', '0', '0'),
('5180', 'Jeder Taxonomy-Begriff stellt automatisch eine Auflistung mit allen Inhalten, die mit diesen Begriff getaggt wurden sowie einen entsprechenden RSS-Feed bereit. Beispiel: Ihr Taxonomy-Begriff <em>country rock</em> hat die ID 123. (Sie erkennen die ID an der URL, wenn Sie die Maus über den verlinkten Taxonomy-Begriff halten, welchen Sie anklicken können, um auf die Seite der Auflistung zu gelangen), dann werden Sie diese Auflistung unter dem Pfad <em>taxonomy/term/123</em> finden. Der entsprechende RSS-Feed verwendet den Pfad <em>taxonomy/term/123/feed</em>. (Das RSS-Symbol für die Auflistung des Begriffs wird automatisch in der Adressleiste Ihres Browsers angezeigt, wenn Sie die Auflistung aufrufen).', 'de', '0', '0'),
('5181', 'Taxonomy-Modul erweitern', 'de', '0', '0'),
('5182', 'Es gibt <a href="@taxcontrib">viele beigesteuerte Module</a>, die das Verhalten des Taxonomy-Moduls bei der Darstellung und der Organisation von Begriffen erweitern.', 'de', '0', '0'),
('5183', 'Taxonomy dient der Kategorisierung von Inhalten. Begriffe werden in Vokabularen gruppiert. So enthält ein Vokabular mit dem Namen "Früchte" beispielsweise die Begriffe "Apfel" und "Banane".', 'de', '0', '0'),
('5184', 'Die Begriffe in %capital_name können mit Hilfe der Drag-and-Drop-Anfasser sortiert werden. Begriffe können auch übergeordneten Punkte zugeordnet werden, indem sie unter diese und dann nach rechts gezogen werden.', 'de', '0', '0'),
('5185', '%capital_name enthält Begriffe, die übergeordneten Begriffen zugeordnet sind. Die Begriffe in %capital_name können mit Hilfe der Drag-and-Drop-Anfasser sortiert werden.', 'de', '0', '0'),
('5186', '%capital_name enthält Begriffe mit mehreren übergeordneten Begriffen (Eltern). Drag &amp; Drop von mit mehreren Eltern wird nicht unterstützt, aber Sie können Drag-and-Drop-Unterstützung aktivieren, indem Sie dafür sorgen, dass jeder Begriff nur noch ein einzelnes übergeordnetes Element hat.', 'de', '0', '0'),
('5187', 'Vokabulare und Begriffe verwalten', 'de', '0', '0'),
('5188', 'Begriffe in %vocabulary bearbeiten', 'de', '0', '0'),
('5189', 'Begriffe aus %vocabulary löschen', 'de', '0', '0'),
('5190', 'Seite der Taxonomy-Begriffe', 'de', '0', '0'),
('5191', 'Referenz auf Taxonomy-Begriffe', 'de', '0', '0'),
('5192', 'Dieses Feld speichert eine Referenz auf einem Taxonomy-Begriff.', 'de', '0', '0'),
('5193', 'Element für Taxonomy-Begriffe mit Autovervollständigung (Tagging)', 'de', '0', '0'),
('5194', 'Das Vokabular, das die Optionen für dieses Feld liefert.', 'de', '0', '0'),
('5195', 'Das Toolbar-Modul zeigt Links zu Menüelementen der obersten Ebene der Verwaltung und Links von Modulen am oberen Bildschirmrand. Weitere Informationen finden Sie im Handbucheintrag für das <a href="@toolbar">Toolbar-Modul</a>.', 'de', '0', '0'),
('5196', 'Administrative Links anzeigen', 'de', '0', '0'),
('5197', 'Administrations-Toolbar verwenden', 'de', '0', '0'),
('5198', 'Sichtbarkeit der Leiste umschalten', 'de', '0', '0'),
('5199', 'Stellt eine Werkzeugleiste mit Links zu den Hauptbereichen der Administration bereit, sowie Links von anderen Modulen.', 'de', '0', '0'),
('5200', 'Das Tracker-Modul zeigt die neuesten und zuletzt überarbeiteten Inhalte an und erlaubt, neuen Inhalten von jedem einzelnen Benutzer zu folgen. Dieses Modul hat keine konfigurierbaren Optionen. Mehr Informationen gibt es im Handbuch des <a href="@tracker">Tracker-Moduls</a>.', 'de', '0', '0'),
('5201', 'Das Tracker-Modul fügt dem Menü einen neuen Menüpunkt namens <em>Neuester Inhalt</em> hinzu. Menüpunkte können auf der  <a href="@menus">Administrationsseite der Menüs</a> bearbeitet werden.', 'de', '0', '0'),
('5202', 'Neue und aktualisierte Seiteninhalte verfolgen', 'de', '0', '0'),
('5203', 'Die Seite <a href=''@recent''>aktueller Inhalt</a> zeigt neue und aktualisierte Inhalte in umgekehrter chronologischer Reihenfolge: der Inhaltstyp, der Titel, der Namen des Autors, Anzahl der Kommentare und Zeitpunkt der letzten Aktualisierung. Inhalt wird als aktualisiert betrachtet, wenn Änderungen im Text auftreten oder wenn neue Kommentare hinzugefügt werden. Die Registerkarte <em>Mein aktueller Inhalt</em> schränkt die Liste auf den derzeit angemeldeten Benutzer ein.', 'de', '0', '0'),
('5204', 'Verfolgen von nutzerspezifischen Inhalten', 'de', '0', '0'),
('5205', 'Wählen Sie den <em>Verfolgen</em>-Reiter von der Profilseite eines Benutzers, um neue und aktualisierte Beiträge dieses Benutzers zu verfolgen.', 'de', '0', '0'),
('5206', 'Aller neuester Inhalt', 'de', '0', '0'),
('5207', 'Mein neuester Inhalt', 'de', '0', '0'),
('5208', 'Inhalt nachverfolgen', 'de', '0', '0'),
('5209', 'Aktiviert das Protokollieren von Aktionen der Benutzer auf Inhalte.', 'de', '0', '0'),
('5210', 'Mit Hilfe des Content-Translation-Moduls können Inhalte in verschiedene Sprachen übersetzt werden. Zusammen mit dem <a href="@locale">Locale-Modul</a> bildet es die Grundlage für die Erstellung und Verwaltung mehrsprachiger Websites. Das <a href="@locale">Locale-Modul</a> verwaltet dazu die verfügbaren Sprachen und stellt die Übersetzung der Website-Schnittstelle bereit; weitere Informationen im <a href="@translation">Handbuch zum Content Translation Modul</a>.', 'de', '0', '0'),
('5211', 'Inhaltstypen für die Übersetzung konfigurieren', 'de', '0', '0'),
('5212', 'Konfigurieren Sie die Übersetzung für einen bestimmten Inhaltstyp auf <a href="@content-types">Inhaltstypen</a> und klicken Sie auf den <em>Bearbeiten</em> -Link für den Inhaltstyp. Wählen Sie im Abschnitt <em>Veröffentlichungsoptionen</em> <em>aktiviert, mit Übersetzung</em> unter <em>Mehrsprachigkeit unterstützen</em>.', 'de', '0', '0'),
('5213', 'Inhalt eine Sprache zuweisen', 'de', '0', '0'),
('5214', 'Verwenden Sie das Auswahlmenü <em>Sprache</em> um die passende Sprache für das Erstellen oder Bearbeiten von Inhalten festzulegen.', 'de', '0', '0'),
('5215', 'Übersetzen von Inhalt', 'de', '0', '0'),
('5216', 'Benutzer mit der Berechtigung <em>Inhalt übersetzen</em> können Inhalt übersetzen, wenn für den Inhaltstyp konfiguriert ist, dass Übersetzungen erlaubt sind. Um Inhalt zu übersetzen muss bei der Anzeige des Inhalts der Reiter <em>Übersetzung</em> ausgewählt werden, die Sprache ausgewählt werden, für die der Inhalt bereitgestellt werden soll und dann der Inhalt eingegeben werden.', 'de', '0', '0'),
('5217', 'Übersetzungen pflegen', 'de', '0', '0'),
('5218', 'Wenn Sie Inhalte in einer Sprache bearbeiten und diese Änderungen in der Übersetzung übernommen werden sollen, so verwenden Sie das Kontrollkästchen <em>Übersetzungen als veraltet kennzeichnen.</em> Individuelle Übersetzungen können außerdem für die Überprüfung gekennzeichnet sein, indem Sie das Kontrollkästchen <em>diese Übersetzung muss aktualisiert werden</em> markieren.', 'de', '0', '0'),
('5219', 'Inhalt übersetzen', 'de', '0', '0'),
('5220', 'Es gibt bereits eine Übersetzung in dieser Sprache.', 'de', '0', '0'),
('5221', 'Trigger: !description', 'de', '0', '0'),
('5222', 'Keine Aktionen vorhanden für diesen Trigger. <a href="@link">Add action</a>.', 'de', '0', '0'),
('5223', 'Fehlende/Unbekannte Speicheraktion (%save_aid) für die Aktion %aid.', 'de', '0', '0'),
('5224', 'Die Aktion %label wurde hinzugefügt, um die Änderung zu speichern.', 'de', '0', '0'),
('5225', 'Die Aktion %label wurde verschoben, um Änderung zu speichern.', 'de', '0', '0'),
('5226', 'Auslöser sind Ereignisse auf der Site, wie das Hinzufügen von Inhalten oder das Anmelden eines Benutzers. Das Trigger-Modul verbindet diese Auslöser mit Aktionen (funktionalen Aufgaben), wie dem Zurücknehmen von Veröffentlichungen mit bestimmten Wörtern oder dem Senden einer E-Mail an den Administrator. Die Einstellungsseite <a href="@url">Aktionen</a> zeigt eine Liste von bereits vorhandenen Aktionen und bietet das Erstellen und Konfigurieren von erweiterten Aktionen an (das sind Aktionen, die eine weitere Konfiguration benötigen, beispielsweise eine E-Mail-Adresse oder eine Liste von nicht erlaubten Wörtern).', 'de', '0', '0'),
('5227', 'Das Trigger-Modul bietet die Möglichkeit bestimmte <em>Aktionen</em> auszuführen, sobald bestimmte Auslöseereignisse auf Ihrer Site eintreten. Auslöser sind Ereignisse wie beispielsweise das Hinzufügen neuer Inhalte oder dem Anmelden eines Benutzers. Aktionen sind Aufgaben, wie dem Unveröffentlichen von Inhalten oder dem Senden einer E-Mail an den Administrator. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@trigger">Trigger-Modul</a>.', 'de', '0', '0'),
('5228', 'Triggers und Aktionen konfigurieren', 'de', '0', '0'),
('5229', 'Die Kombination von ‚Aktionen‘ und ‚Auslösern‘ kann viele nützliche Aufgaben durchführen. So kann zum Beispiel ein Administrator benachrichtigt werden, sobald ein Benutzerkonto gelöscht wird oder Kommentare können automatisch deaktiviert werden, sofern sie bestimmte unerlaubte Begriffe enthalten. Um eine ‚Aktion/Auslöser‘-Maßnahme zu definieren, besuchen Sie die  <a href="@actions-page">Aktionen-Konfigurationsseite</a>. Hier können Sie feststellen, ob Ihre Aktion bereits existiert oder alternativ eine neue <em>fortgeschrittene</em> Aktion erstellen. Eine fortgeschrittene Aktion müssen Sie wählen, wenn die Konfigurationsoptionen Ihrer ‚Aktion/Auslöser‘-Kombination die Eingabe einer eMail-Adresse oder einer Liste unerlaubter Worte enthält. Nachdem Sie Ihre Aktion konfiguriert und überprüft haben, besuchen Sie die <a href="@triggers-page">Auslöser-Konfigurationsseite</a> und wählen Sie einen entsprechenden Reiter (Kommentar, Taxonomy, etc.), über den Sie die Aktion einleiten, sobald das Auslöseereignis auftritt.', 'de', '0', '0'),
('5230', 'Beim Speichern von neuen Inhalt oder beim Aktualisieren von bestehenden Inhalt', 'de', '0', '0'),
('5231', 'Nach dem Speichern von aktualisiertem Inhalt', 'de', '0', '0'),
('5232', 'Beim Speichern eines neuen Kommentars oder beim Aktualisieren eines bestehenden Kommentars', 'de', '0', '0'),
('5233', 'Nach dem Erstellen eines neuen Benutzerkontos', 'de', '0', '0'),
('5234', 'Nach dem Aktualisieren eines Benutzerkontos', 'de', '0', '0'),
('5235', 'Einstellen wann Aktionen ausgeführt werden sollen.', 'de', '0', '0'),
('5236', 'Aktualisierungen werden installiert', 'de', '0', '0'),
('5237', 'Vorbereiten der Aktualisierung der Webseite', 'de', '0', '0'),
('5238', '%project wird installiert', 'de', '0', '0'),
('5239', 'Vorbereitung auf das Installieren', 'de', '0', '0'),
('5240', 'Fehler beim Installieren / Aktualisieren', 'de', '0', '0'),
('5241', '%project_name erfolgreich installiert', 'de', '0', '0'),
('5242', 'Aktualisierung wurde erfolgreich abgeschlossen. Die Website wurde wieder aus dem Wartungsmodus genommen.', 'de', '0', '0'),
('5243', 'Aktualisierung wurde erfolgreich abgeschlossen.', 'de', '0', '0'),
('5244', 'Aktualisierung fehlgeschlagen! Das unten stehende Protokoll enthält weitere Informationen.', 'de', '0', '0'),
('5245', 'Aktualisierung fehlgeschlagen! Das unten stehende Protokoll enthält weitere Informationen. Die Website ist weiterhin im Wartungsmodus.', 'de', '0', '0'),
('5246', 'Installation wurde erfolgreich abgeschlossen. Die Website wurde aus dem Wartungsmodus genommen.', 'de', '0', '0'),
('5247', 'Installation wurde erfolgreich abgeschlossen.', 'de', '0', '0'),
('5248', 'Installation fehlgeschlagen! Das Protokoll enthält weitere Informationen.', 'de', '0', '0'),
('5249', 'Installation fehlgeschlagen! Das nachfolgende Protokoll enthält weitere Informationen. Die Website ist weiterhin im Wartungsmodus.', 'de', '0', '0'),
('5250', 'Fehler beim Abrufen der Daten über verfügbare Aktualisierungen.', 'de', '0', '0'),
('5251', 'Keine Daten über verfügbare Aktualisierungen.', 'de', '0', '0'),
('5252', 'Prüfen von Daten über verfügbare Aktualisierungen', 'de', '0', '0'),
('5253', 'Aktualisierungsinformationen  werden überprüft …', 'de', '0', '0'),
('5254', 'Fehler beim Prüfen von Daten über verfügbare Aktualisierungen.', 'de', '0', '0'),
('5255', 'Daten über verfügbare Aktualisierungen werden geprüft ...', 'de', '0', '0'),
('5256', 'Daten über verfügbare Aktualisierungen geprüft für %title.', 'de', '0', '0'),
('5257', 'Fehler beim Prüfen von Daten über verfügbare Aktualisierungen für %title.', 'de', '0', '0'),
('5258', 'Ein Fehler ist aufgetreten, während versucht wurde die Aktualisierungsinformationen abzurufen.', 'de', '0', '0'),
('5259', 'Daten über verfügbare Aktualisierungen wurden für ein Projekt überprüft.', 'de', '0', '0'),
('5260', 'Daten über verfügbare Aktualisierungen wurden für @count Projekte überprüft.', 'de', '5259', '1'),
('5261', 'Fehler beim Prüfen von Daten über verfügbare Aktualisierungen für ein Projekt.', 'de', '0', '0'),
('5262', 'Fehler beim Prüfen von Daten über verfügbare Aktualisierungen für @count Projekte.', 'de', '5261', '1'),
('5264', 'Es gab ein Problem beim Abrufen der Update Informationen. Bitte versuchen Sie es später noch einmal', 'de', '0', '0'),
('5265', '(Theme)', 'de', '0', '0'),
('5266', '(Versionshinweise)', 'de', '0', '0'),
('5267', 'Diese Aktualisierung ist eine Aktualisierung der Hauptversion. Das bedeutet, dass sie möglicherweise nicht rückwärtskompatibel mit der aktuellen Version ist. Es wird empfohlen, die Versionshinweise zu lesen und auf eigenes Risiko fortfahren.', 'de', '0', '0'),
('5268', '(Sicherheitsupdate)', 'de', '0', '0'),
('5269', '(Nicht unterstützt)', 'de', '0', '0'),
('5270', 'Alle Ihre Projekte sind aktuell.', 'de', '0', '0'),
('5271', 'Diese Aktualisierungen herunterladen', 'de', '0', '0'),
('5272', 'Manuelles Aktualisieren erforderlich', 'de', '0', '0'),
('5273', 'Eine Aktualisierung des Drupal-Kerns wird derzeit nicht unterstützt.', 'de', '0', '0'),
('5274', 'Es muss mindestens ein zu aktualisierendes Projekt ausgewählt werden.', 'de', '0', '0'),
('5275', 'Aktualisierungen werden heruntergeladen', 'de', '0', '0'),
('5276', 'Das Herunterladen der ausgewählten Aktualisierungen wird vorbereitet', 'de', '0', '0'),
('5277', 'Herunterladen von Aktualisierungen fehlgeschlagen:', 'de', '0', '0'),
('5278', 'Aktualisierungen erfolgreich heruntergeladen', 'de', '0', '0'),
('5279', 'Schwerer Fehler beim Herunterladen.', 'de', '0', '0'),
('5280', 'Führen Sie zuerst eine Sicherung Ihrer Datenbank und Ihrer Website durch. <a href="@backup_url">Wie geht das?</a>.', 'de', '0', '0'),
('5281', 'Beim Durchführen der Aktualisierungen die Website in den Wartungsmodus versetzen (dringend empfohlen)', 'de', '0', '0'),
('5282', 'Von einer URL installieren', 'de', '0', '0'),
('5283', 'Zum Beispiel: %url', 'de', '0', '0'),
('5284', 'Ein zu installierendes Modul oder Theme Archiv (tar.gz) hochladen', 'de', '0', '0'),
('5285', 'Zum Beispiel: %filename auf dem lokalen Computer', 'de', '0', '0'),
('5286', 'Es muss entweder eine URL angegeben oder eine zu installierende Archivdatei hochgeladen werden.', 'de', '0', '0'),
('5287', 'Die angegebene URL ist ungültig.', 'de', '0', '0'),
('5288', 'Drupal-Projekt konnte nicht von %url abgerufen werden.', 'de', '0', '0'),
('5289', 'Das angegebene Archiv enthält keine Dateien.', 'de', '0', '0'),
('5290', '%project-Name kann nicht ermittelt werden.', 'de', '0', '0'),
('5291', '%project ist bereits installiert.', 'de', '0', '0'),
('5292', '%file kann nicht entpackt werden, kein gültiges Archiv.', 'de', '0', '0'),
('5293', '%project wird heruntergeladen', 'de', '0', '0'),
('5294', '%project konnte nicht von %url heruntergeladen werden', 'de', '0', '0'),
('5295', 'Enthält:', 'de', '0', '0'),
('5296', 'Aktiviert: %includes', 'de', '0', '0'),
('5297', 'Deaktiviert: %disabled', 'de', '0', '0'),
('5298', '%base_theme (!base_label)', 'de', '0', '0'),
('5299', 'Abhängig von: !basethemes', 'de', '0', '0'),
('5300', 'Benötigt von: %subthemes', 'de', '0', '0'),
('5301', 'Das Update-Manager-Modul prüft periodisch auf neue Version der Software dieser Website (einschließlich Zusatzmodulen und Themes) und benachrichtigt Administratoren über verfügbare Aktualisierungen. Um Aktualisierungsinformationen bereitzustellen, werden anonyme Nutzungsstatistiken an drupal.org gesendet. Wenn gewünscht, kann das Update-Manager-Modul auf der <a href=''@modules''>Modul-Verwaltungsseite</a> deaktiviert werden. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@update">Update-Manager-Modul</a>.', 'de', '0', '0'),
('5302', 'Der Update-Manager ermöglicht Administratoren auch, Module und Themes sicher über eine Verwaltungsoberfläche zu aktualisieren und installieren.', 'de', '0', '0'),
('5303', 'Auf verfügbare Aktualisierungen prüfen', 'de', '0', '0'),
('5304', 'Ein Bericht über <a href="@update-report">verfügbare Aktualisierungen</a> alarmiert Sie, wenn neue Versionen zum Download zur Verfügung stehen. Auf der Seite mit den <a href="@update-settings">Update-Manager-Einstellungen</a> können Optionen über die Häufigkeit der Prüfungen auf Aktualisierungen (die während <a href="@cron">Cron</a>-Läufen erfolgen) und über E-Mail-Benachrichtigungen konfiguriert werden.', 'de', '0', '0'),
('5305', 'Aktualisierungen über die Benutzeroberfläche durchführen', 'de', '0', '0'),
('5306', 'Mit dem Update-Manager-Modul können Administratoren Aktualisierungen direkt über die Administrations-Oberfläche durchführen. Oben auf der Seite <a href="@modules_page">Module</a> und <a href="@themes_page">Themen</a> sehen Sie einen Link „auf neue Releases aktualisieren“. Dieser leitet Sie die <a href="@update-page">Seite aktualisieren</a> , wo Sie eine Liste aller ausstehenden Updates erhalten und diese wählen, die Sie tatsächlich aktualisieren möchten. Von dort werden Sie aufgefordert Ihr FTP/SSH-Kennwort einzugeben, so dass dann die Dateien in Ihre Drupal Installation überschrieben werden. Detaillierte Anweisungen finden Sie im <a href="@update">online-Handbuch</a>.', 'de', '0', '0'),
('5307', 'Neue Module und Themes über die Benutzeroberfläche installieren', 'de', '0', '0'),
('5308', 'Sie können auch neue Module und Themen in der gleichen Weise, durch die Seite <a href="@install">Installieren</a>, oder über den Link <em>installieren neuer Module/Themes</em> oben auf <a href="@modules_page">Module</a> und <a href="@themes_page">Themen</a> installieren. In diesem Fall werden Sie aufgefordert, die URL zum Download oder eine gepackte Datei von Ihrem lokalen Computer zu übertragen.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('5309', 'Keine Informationen über Aktualisierungen verfügbar. <a href="@run_cron">Cron ausführen</a> oder <a href="@check_manually">manuell überprüfen</a>.', 'de', '0', '0'),
('5310', 'Mit dem Update-Manager können die fehlenden Aktualisierungen automatisch installiert werden:', 'de', '0', '0'),
('5311', 'Die Website ist momentan so konfiguriert, dass diese E-Mails gesendet werden, wenn irgendein Update verfügbar ist. Um nur bei Sicherheitsupdates benachrichtigt zu werden, !url.', 'de', '0', '0'),
('5312', 'Die Website ist momentan so konfiguriert, dass diese E-Mails nur gesendet werden, wenn Sicherheitsupdates verfügbar sind. Um über alle verfügbaren Updates benachrichtigt zu werden, !url.', 'de', '0', '0'),
('5313', 'Die installierte Version von mindestens einem installierten Modul oder Theme wird nicht mehr unterstützt. Aktualisieren oder Deaktivieren wird sehr empfohlen. Die Projekt-Homepage enthält weitere Details.', 'de', '0', '0'),
('5314', 'Beim Prüfen auf <a href="@update-report">verfügbare Aktualisierungen</a> für Drupal ist ein Problem aufgetreten.', 'de', '0', '0'),
('5315', 'Beim Prüfen auf <a href="@update-report">verfügbare Aktualisierungen</a> für Ihre Module oder Themes ist ein Problem aufgetreten.', 'de', '0', '0'),
('5316', 'Auf der Übersichtsseite für <a href="@available_updates">verfügbare Aktualisierungen</a>, finden Sie weitere Informationen und können die notwendigen Aktualisierungen installieren.', 'de', '0', '0'),
('5317', 'Bereit zum Aktualisieren', 'de', '0', '0'),
('5318', 'Update-Manager', 'de', '0', '0'),
('5319', 'Prüft auf verfügbare Aktualisierungen und kann Module und Themes sicher via Weboberfläche installieren oder aktualisieren.', 'de', '0', '0'),
('5320', 'Keine Personen verfügbar.', 'de', '0', '0'),
('5321', 'Dieser Rolle werden immer automatisch alle neuen Berechtigungen zugewiesen, wenn ein Modul aktiviert wird. Das Ändern der Einstellung hat keine Auswirkung auf bestehende Berechtigungen.', 'de', '0', '0'),
('5322', 'An- und Abmeldung', 'de', '0', '0'),
('5323', 'Wer kann Konten registrieren?', 'de', '0', '0'),
('5324', 'Nur Administratoren', 'de', '0', '0'),
('5325', 'Besucher, aber Bestätigung durch einen Administrator ist erforderlich', 'de', '0', '0'),
('5326', 'E-Mail-Verifikation ist notwendig, wenn ein Besucher ein Konto erstellt.', 'de', '0', '0'),
('5327', 'Neue Benutzer müssen ihre E-Mail-Adresse bestätigen, bevor sie sich an der Webseite anmelden, Ihnen wird ein vom System erzeugtes Passwort zugewiesen. Wenn diese Einstellung deaktiviert ist können sich Benutzer sofort nach der Registrierung anmelden und können ihre eigenen Passwörter während der Registrierung auswählen.', 'de', '0', '0'),
('5328', 'Beim Löschen eines Benutzerkontos', 'de', '0', '0'),
('5329', 'Benutzer mit der %select-cancel-method oder den %administer-users <a href="@permissions-url">Berechtigungen</a> können diese Standardregel übersteuern.', 'de', '0', '0'),
('5330', 'Auswahl der Methode zum Löschen von Benutzerkonten', 'de', '0', '0'),
('5331', 'Benutzer verwalten', 'de', '0', '0'),
('5332', 'Personalisierung', 'de', '0', '0'),
('5333', 'Signaturen aktivieren.', 'de', '0', '0'),
('5334', 'Das Verzeichnis %directory existiert nicht oder ist nicht beschreibbar.', 'de', '0', '0'),
('5335', 'Benutzerbilder aktivieren.', 'de', '0', '0'),
('5336', 'Bilderverzeichnis', 'de', '0', '0'),
('5337', 'Anzeigestil für das Bild', 'de', '0', '0'),
('5338', 'Der ausgewählte Stil wird für die Anzeige verwendet, wobei das Original erhalten bleibt. Stile können im <a href="!url">Bildstil</a>-Verwaltungsbereich konfiguriert werden.', 'de', '0', '0'),
('5339', 'Abmessungen für hochgeladene Bilder', 'de', '0', '0'),
('5340', 'Dateigröße für Bilder', 'de', '0', '0'),
('5341', 'E-Mails', 'de', '0', '0'),
('5342', 'Willkommen (Neuer, von einem Administrator erstellter Benutzer)', 'de', '0', '0'),
('5343', 'Willkommens-E-Mail-Nachrichten bearbeiten, die an neuen Benutzern gesendet werden, wenn das Konto von einem Administrator erstellt wurde.', 'de', '0', '0'),
('5344', 'Willkommen (Bestätigung erwartet)', 'de', '0', '0'),
('5345', 'Willkommens-E-Mail-Nachrichten bearbeiten, die an Benutzern beim Registrieren gesendet werden, wenn eine administrative Bestätigung erforderlich ist.', 'de', '0', '0'),
('5346', 'Willkommen (keine Bestätigung nötig)', 'de', '0', '0'),
('5347', 'Willkommens-E-Mail-Nachrichten bearbeiten, die an Benutzern beim Registrieren gesendet werden, wenn keine administrative Bestätigung erforderlich ist.', 'de', '0', '0'),
('5348', 'Passwort-Wiederherstellung', 'de', '0', '0'),
('5349', 'Die E-Mail-Nachrichten bearbeiten, die an Benutzern gesendet werden, wenn sie ein neues Passwort anfordern.', 'de', '0', '0'),
('5350', 'Benutzerkonto-Aktivierung', 'de', '0', '0'),
('5351', 'E-Mail-Nachrichten aktivieren und bearbeiten, die während der Benutzerkontoaktivierung an Benutzer gesendet werden (wenn ein Administrator das Konto eines Benutzers aktiviert, der sich bereits registriert hat, wenn auf der Webseite die Bestätigung eines Administrators erforderlich ist).', 'de', '0', '0'),
('5352', 'E-Mail-Nachrichten aktivieren und bearbeiten, die an Benutzer gesendet werden, wenn ihre Benutzerkonten gesperrt werden.', 'de', '0', '0'),
('5353', 'Bestätigung zum Löschen des Benutzerkontos', 'de', '0', '0'),
('5354', 'E-Mail-Nachrichten bearbeiten, die an Benutzern gesendet werden, wenn sie versuchen ihre Benutzerkonten zulöschen.', 'de', '0', '0'),
('5355', 'Benutzerkonto gelöscht', 'de', '0', '0'),
('5356', 'E-Mail-Nachrichten aktivieren und bearbeiten, die an Benutzern gesendet werden, wenn ihre Benutzerkonten gelöscht werden.', 'de', '0', '0'),
('5357', 'Benutzer benachrichtigen, wenn das Benutzerkonto gelöscht ist.', 'de', '0', '0'),
('5358', 'Der Rollenname %name existiert bereits. Bitte einen anderen Rollennamen auswählen.', 'de', '0', '0'),
('5359', 'Sie sind angemeldet als %user. <a href="!user_edit">Password ändern.</a>', 'de', '0', '0'),
('5360', 'Ein anderer Benutzer (%other_user) ist an diesem Computer schon an dieser Webseite angemeldet, während Sie einen Link zum einmaligen Anmelden für den Benutzer %resetting_user verwenden wollten. Bitte <a href="!logout">melden Sie sich ab</a> und versuchen es erneut, den Link zu verwenden.', 'de', '0', '0'),
('5361', 'Das angeklickte Link zum einmaligen Anmelden ist ungültig.', 'de', '0', '0'),
('5362', 'Sie haben soeben Ihren Link zum einmaligen Anmelden verwendet. Bitte ändern Sie Ihr Passwort.', 'de', '0', '0'),
('5363', '<p>Dies ist eine einmalige Anmeldung für %user_name und läuft am %expiration_date ab.</p><p>Klicken Sie diese Schaltfläche an, um sich an der Webseite anzumelden und Ihr Passwort zu ändern.</p>', 'de', '0', '0'),
('5364', 'Sie haben versucht einen Link zur einmaligen Anmeldung zu verwenden, der entweder bereits verwendet wurde oder der nicht mehr gültig ist. Bitte fordern Sie sich mit dem unten stehenden Formular einen neuen an.', 'de', '0', '0'),
('5365', 'Beim Löschen Ihres Benutzerkontos', 'de', '0', '0'),
('5366', 'Beim Löschen des Benutzerkontos', 'de', '0', '0'),
('5367', 'Es ist eine Bestätigung per E-Mail erforderlich, um das Benutzerkonto zu löschen.', 'de', '0', '0'),
('5368', 'Der Benutzer muss das Löschen des Benutzerkontos durch eine E-Mail bestätigen.', 'de', '0', '0'),
('5369', 'Der Benutzer wird nach dem Löschen seines Accounts per E-Mail benachrichtigt.', 'de', '0', '0'),
('5370', 'Wollen Sie Ihr Benutzerkonto wirklich löschen?', 'de', '0', '0'),
('5371', 'Soll das Benutzerkonto %name wirklich gelöscht werden?', 'de', '0', '0'),
('5372', 'Wählen Sie die Art zum Löschen des obigen Benutzerkontos aus.', 'de', '0', '0'),
('5373', 'Eine Bestätigungsanfrage zum Aufheben Ihres Benutzerkontos wurde an Ihre E-Mail-Adresse gesendet.', 'de', '0', '0'),
('5374', 'Ihr Konto wird gesperrt und Sie können sich nicht mehr anmelden. Ihr gesamter Inhalt bleibt mit Ihrem Benutzernamen verbunden.', 'de', '0', '0'),
('5375', 'Ihr Konto wird gesperrt und Sie können sich nicht mehr anmelden. Ihr gesamter Inhalt wird vor allen außer Administratoren verborgen.', 'de', '0', '0'),
('5376', 'Ihr Konto wird entfernt und alle Konteninformationen gelöscht. Ihr gesamter Inhalt wird dem Benutzer %anonymous-name zugewiesen.', 'de', '0', '0'),
('5377', 'Ihr Konto wird entfernt und Informationen zum Benutzerkonto sowie Ihr gesamter Inhalt werden ebenfalls gelöscht.', 'de', '0', '0'),
('5378', 'Sie haben einen Link zum Löschen eines Benutzerkontos verwendet, der abgelaufen ist. Es muss ein neuer über das Formular unten angefragt werden.', 'de', '0', '0'),
('5379', 'Anfrage zur Kontenlöschung wurde an %name %email gesandt.', 'de', '0', '0'),
('5380', 'Token mit Bezug auf einzelne Benutzerkonten.', 'de', '0', '0'),
('5381', 'Token mit Bezug zum momentan angemeldeten Benutzer.', 'de', '0', '0'),
('5382', 'Das User-Modul erlaubt Benutzern sich zu registrieren, sowie sich an- und abzumelden. Benutzern mit der entsprechenden Berichtigung können Benutzerrechte verwalten (wird benutzt um Benutzer zu klassifizieren), Rechte bearbeiten und Rollen zuweisen. Mehr Informationen sind im <a href="@user">Online-Handbuch</a> verfügbar.', 'de', '0', '0'),
('5383', 'Benutzer erstellen und verwalten', 'de', '0', '0'),
('5384', 'Das User-Modul liefert die Funktionen zum Verwalten von Benutzerkonten auf <a href="@people">Benutzer-Verwaltungsseite</a>, wo sie auch eine oder mehrere Rollen Benutzern zuweisen oder auch Benutzerkonten sperren oder löschen können - selbstverständlich braucht der Benutzer, der diese Aufgabe durchführen möchte entsprechenden <a href="@permissions">Berechtigungen</a>. Je nach Konfiguration können Benutzer ohne Konten (anonyme Benutzer) ein <a href="@register">Neues Konto erstellen.</a>', 'de', '0', '0'),
('5385', 'Benutzerrollen und Berechtigungen', 'de', '0', '0'),
('5386', '<em>Benutzerrollen</em> werden verwendet, um Benutzer zu gruppieren und einzuteilen. Jeder Benutzer kann einer oder mehreren Rollen zugeordnet werden. Standardmäßig gibt es zwei Rollen: <em>Anonyme Benutzer</em> (Benutzer die nicht angemeldet sind) und <em>Angemeldete Benutzer</em> (Benutzer die angemeldet sind). Je nach dem, welche Auswahl Sie während der Installation von Drupal getroffen haben, gibt es möglicherweise noch mehr Rollen und Sie haben die Möglichkeit auf der <a href="@roles">Benutzerrollen Seite</a>noch weitere Rollen zu erstellen. Nach dem Sie Rollen erstellt haben, können Sie auf der <a href="@permissions_user">Berechtigungsseite</a>für jede Rolle Berechtigungen anlegen.Wenn Sie Berechtigungen gewähren, erhalten die Benutzer, die der entsprechende Rolle zugeordnet sind, die Möglichkeit bestimmte Tätigkeiten auf ihre Website auszuführen, wie bestimmte Inhalte zu sehen, Inhalte zu bearbeiten oder zu erstellen, Einstellungen für entsprechende Module vorzunehmen oder auch Funktionen der Website zu nutzen wie z.B die Suchfunktion.', 'de', '0', '0'),
('5387', 'Die Seite <a href="@accounts">Benutzerkonto-Einstellungen</a> ermöglicht das Einstellen des angezeigten Namens des Gastbenutzers, persönlicher Kontaktformulare, Benutzerregistrierung und dem Löschen eines Benutzerkontos. Auch können Einstellungen zur Personalisierung von Benutzerkonten (inklusive Signatur und Bild) vorgenommen werden und die E-Mail Texte, die für den Benutzerregistrierungs-Prozess verwendet werden, angepasst werden.', 'de', '0', '0'),
('5388', 'Standardmäßig gibt es bei Drupal zwei Benutzerrollen:', 'de', '0', '0'),
('5389', 'Gast: Diese Rolle wird für Benutzer verwendet, die kein Benutzerkonto haben oder die nicht authentifiziert sind.', 'de', '0', '0'),
('5390', 'Authentifizierte Benutzer: Diese Rolle wird automatisch allen angemeldeten Benutzern zugewiesen.', 'de', '0', '0'),
('5391', 'Dieses Formular lässt Administratoren Felder zum Speichern von Benutzerdaten hinzufügen, bearbeiten und anordnen.', 'de', '0', '0'),
('5392', 'Dieses Formular lässt Administratoren konfigurieren, wie Felder beim Darstellen einer Benutzerprofilseite angezeigt werden sollen.', 'de', '0', '0'),
('5393', 'Formularelement (Zeitzone) des User-Moduls.', 'de', '0', '0'),
('5394', 'Formularelement (Mitglied seit) des User-Moduls.', 'de', '0', '0'),
('5395', 'Berechtigungen verwalten', 'de', '0', '0'),
('5396', 'Benutzerprofile anzeigen', 'de', '0', '0'),
('5397', 'Eigenen Benutzernamen ändern', 'de', '0', '0'),
('5398', 'Eigenes Benutzerkonto löschen', 'de', '0', '0'),
('5399', 'Hinweis: Inhalt kann erhalten bleiben, dessen Veröffentlichung kann zurückgenommen werden, er kann gelöscht oder dem Benutzer %anonymous-name übertragen werden, je nach Konfiguration in den <a href="@user-settings-url">Benutzereinstellungen</a>.', 'de', '0', '0'),
('5400', 'Auswahl der Methode zum Löschen des eigenen Benutzerkontos', 'de', '0', '0'),
('5401', 'Leerzeichen sind erlaubt. Satzzeichen sind mit Ausnahme von Punkten, Bindestrichen, Apostrophen und Unterstrichen nicht erlaubt.', 'de', '0', '0'),
('5402', 'Diese Signatur ist zu lang: sie darf nur %max Zeichen oder weniger betragen.', 'de', '0', '0'),
('5403', 'Es gibt leider zu viele fehlgeschlagene Anmeldeversuche von Ihrer IP-Adresse. Diese IP-Adresse ist vorübergehend gesperrt. Bitte später wieder versuchen oder <a href="@url">ein neues Passwort anfordern</a>.', 'de', '0', '0'),
('5404', 'Benutzerkonto löschen', 'de', '0', '0'),
('5405', 'Benutzerkonto löschen', 'de', '0', '0'),
('5406', '%name wurde deaktiviert.', 'de', '0', '0'),
('5407', 'Benutzerkontendetails für [user:name] auf [site:name]', 'de', '0', '0'),
('5408', 'Ein Administrator hat für Sie auf [site:name] ein Benutzerkonto angelegt', 'de', '0', '0'),
('5409', 'Benutzerkontendetails für [user:name] auf [site:name] (Genehmigung durch einen Administrator steht aus)', 'de', '0', '0'),
('5410', '[user:name],\n\nvielen Dank für die Registrierung auf [site:name]. Ihr Antrag für ein Benutzerkonto wird aktuell geprüft. Sobald eine Freigabe erfolgt ist, erhalten Sie eine weitere E-Mail mit Informationen zum Login, Setzen Ihres Passwortes sowie weitere Details.\n\nViele Grüße\nDas Team von [site:name]', 'de', '0', '0'),
('5411', '[user:name] hat einen Antrag für ein Benutzerkonto gestellt.\r\n\r\n[user:edit-url]', 'de', '0', '0'),
('5412', 'Neue Login-Daten für Benutzerkonto [user:name] auf [site:name]', 'de', '0', '0'),
('5413', 'Benutzerkontendetails für [user:name] auf [site:name] (genehmigt)', 'de', '0', '0'),
('5414', 'Details für Benutzerkonto [user:name] auf [site:name] (gesperrt)', 'de', '0', '0'),
('5415', 'Antrag auf Löschung von Benutzerkonto [user:name] auf [site:name]', 'de', '0', '0'),
('5416', 'Details für Benutzerkonto [user:name] auf [site:name] (gelöscht)', 'de', '0', '0'),
('5417', 'Ausgewählte Benutzerkonten löschen', 'de', '0', '0'),
('5418', 'Das Benutzerkonto %name kann nicht gelöscht werden.', 'de', '0', '0'),
('5419', 'Beim Aufheben dieser Benutzerkonten', 'de', '0', '0'),
('5420', 'Sind Sie sicher, dass Sie diese Benutzerkonten löschen wollen?', 'de', '0', '0'),
('5421', 'Benutzerkonten löschen', 'de', '0', '0'),
('5422', 'Um die Sicherheit des Passworts zu erhöhen:', 'de', '0', '0'),
('5423', 'Verwenden Sie mindestens 6 Zeichen', 'de', '0', '0'),
('5424', 'Verwenden Sie Kleinbuchstaben', 'de', '0', '0'),
('5425', 'Verwenden Sie Großbuchstaben', 'de', '0', '0'),
('5426', 'Verwenden Sie Zahlen', 'de', '0', '0'),
('5427', 'Verwenden Sie Satzzeichen', 'de', '0', '0'),
('5428', 'Verwenden Sie nicht Ihren Benutzernamen', 'de', '0', '0'),
('5429', 'Schwach', 'de', '0', '0'),
('5430', 'Mittel', 'de', '0', '0'),
('5431', 'Gesperrter Benutzer: %name %email.', 'de', '0', '0'),
('5432', 'Zurzeit ist 1 Benutzer online.', 'de', '0', '0'),
('5433', 'Zurzeit sind @count Benutzer online.', 'de', '5432', '1'),
('5435', 'Es gab mehr als einen fehlgeschlagenen Anmeldeversuch für dieses Benutzerkonto. Es ist vorübergehend gesperrt. Versuchen Sie es später wieder oder <a href="@url">fordern Sie ein neues Passwort an</a>.', 'de', '0', '0'),
('5436', 'Es gab mehr als @count fehlgeschlagene Anmeldeversuche für dieses Benutzerkonto. Es ist vorübergehend gesperrt. Versuchen Sie es später wieder oder <a href="@url">fordern Sie ein neues Passwort an</a>.', 'de', '5435', '1'),
('5438', 'Menschen finden und verwalten, die mit Ihrer Website in Kontakt stehen.', 'de', '0', '0'),
('5439', 'Kontolöschung bestätigen', 'de', '0', '0'),
('5440', 'Hashes der Benutzerpasswörter neu berechnet um die Sicherheit zu verbessern', 'de', '0', '0'),
('5441', 'Zeitzonen migrierter Benutzer', 'de', '0', '0'),
('5442', 'Minimal', 'de', '0', '0'),
('5443', 'Fangen Sie mit wenigen aktivierten Modulen an.', 'de', '0', '0'),
('5444', 'Einfache Seite', 'de', '0', '0'),
('5445', 'Benutzen Sie <em>Einfache Seiten</em> für statischen Inhalt, wie z.B. eine „Über uns“ Seite.', 'de', '0', '0'),
('5446', 'Mit Schlagwörtern können Artikel zu verwandten Themen in Kategorien zusammengefasst werden.', 'de', '0', '0'),
('5447', 'Durch Kommata getrennte Schlagwörter eingeben, die den Inhalt beschreiben.', 'de', '0', '0'),
('5448', 'Mit den am häufigsten verwendeten Funktionen installieren.', 'de', '0', '0'),
('5449', 'Breite des Inhalts', 'de', '0', '0'),
('5450', 'Flexible Breite', 'de', '0', '0'),
('5451', 'Feste Breite', 'de', '0', '0'),
('5452', 'Geben Sie an, ob der Inhalt auf eine feste Breite umgebrochen werden oder sich dynamisch der Breite des Browserfensters anpassen soll.', 'de', '0', '0'),
('5453', 'Ein mehrspaltiges Theme, dessen Farben angepasst werden können und dessen Layout zwischen fester und dynamischer Breite umgestellt werden kann.', 'de', '0', '0'),
('5454', 'Ein einfaches, einspaltiges Verwaltungs-Theme ohne Tabellen und mit dynamischer Breite.', 'de', '0', '0'),
('5455', 'Dieses Theme demonstriert Drupals Standard-HTML und CSS-Stile. Der <a href="http://drupal.org/theme-guide">Theming Guide</a> beschreibt, wie eigene Themes erstellt und Drupals Standardcode überschrieben werden kann.', 'de', '0', '0'),
('5456', 'Bilddarstellung', 'de', '0', '0'),
('5457', '1 ausstehende Aktualisierung (@number_applied anwendbar, @number_incompatible übersprungen)', 'de', '0', '0'),
('5458', '@count ausstehende Aktualisierungen (@number_applied anwendbar, @number_incompatible übersprungen)', 'de', '5457', '1'),
('5460', 'Das Blog-Modul ermöglicht registrierten Benutzern ein Online-Journal zu führen oder zu bloggen. Blogs bestehen aus einzelnen <em>Blog-Einträgen</em>. In der Vorauswahl werden sie in absteigender Reihenfolge nach Datum sortiert und bei aktivierter Kommentarfunktion auf der Startseite dargestellt. Weitere Informationen befinden sich im Online-Handbuch zum <a href="@blog">Blog-Modul</a>.', 'de', '0', '0'),
('5461', 'Autor-Textfeld', 'de', '0', '0'),
('5462', 'Betreff-Textfeld', 'de', '0', '0'),
('5463', 'Ein Kontaktformular mit der Kategorie %category ist bereits vorhanden.', 'de', '0', '0'),
('5464', 'Hallo !recipient-name,', 'de', '0', '0'),
('5465', 'Es wurde versucht, eine Instanz eines @field_name-Felds anzulegen, das nicht existiert oder nicht aktiv ist.', 'de', '0', '0'),
('5466', 'Es wurde versucht, eine Instanz eines @field_name-Felds für das Bundle anzulegen, das bereits eine Instanz dieses Felds enthält.', 'de', '0', '0'),
('5467', 'Field-API, um Felder zu den Entities wie Beiträge oder Benutzer hinzuzufügen.', 'de', '0', '0'),
('5468', 'Übersicht über alle Felder in allen Objekttypen.', 'de', '0', '0'),
('5469', 'Textformate konfigurieren', 'de', '0', '0'),
('5470', 'Konfigurieren der <a href="@formats">Text-Formate.</a> <strong>Unsachgemäße Konfiguration der Text-Formate stellt ein Sicherheitsrisiko dar</strong>. Um die Sicherheit zu gewährleisten, sollten nur vertrauenswürdige Benutzer Zugriff auf Text-Formate haben, die über Klartext oder sichere HTML-Tags hinausgehen, da bestimmte HTML-Tags es ermöglichen bösartige Links oder Skripts im Text einzubetten. Je vertrauenswürdige die Benutzer sind, desto freizügigere Text-Formate können Sie für diese Benutzer zulassen.', 'de', '0', '0'),
('5471', 'Benutzer mit Zugriff auf mehrere Textformate können in der Feldgruppe <em>-Text-Format</em> das Textformat, das sie zum Erstellen oder Bearbeiten von mehrzeiligem Inhalt verwenden, selbst auswählen. Administratoren können die verfügbaren Textformate für jede Benutzerrolle definieren und steuern die Reihenfolge der Formate in der Feldgruppe <em>-Text-Format</em> auf der <a href="@text-formats">Seite der Text-Formate</a>.', 'de', '0', '0'),
('5472', 'Die Textformate definieren die HTML-Tags, Code und andere Formatierungen, die bei der Eingabe von Text verwendet werden dürfen. <strong>Eine unsachgemäße Konfiguration der Textformate kann die Sicherheit der Website gefährden</strong>. Weitere Informationen befinden sich auf der <a href="@filterhelp">Hilfeseite des Filter-Moduls</a>.', 'de', '0', '0'),
('5473', 'Weiteren Inhalt anzeigen', 'de', '0', '0'),
('5474', 'Zusammenklappen', 'de', '0', '0'),
('5475', 'Die Testumgebung erfordert die Klasse DOMDocument. Prüfen Sie das configure-Kommando auf der <a href="@link-phpinfo">PHP Info Seite</a>.', 'de', '0', '0'),
('5476', 'Anzuzeigende Fehlermeldungen', 'de', '0', '0'),
('5477', 'Es wird empfohlen, dass Websites die in einer Live-Umgebung laufen keine Fehler anzeigen.', 'de', '0', '0'),
('5478', '%file_path kann nicht geöffnet werden', 'de', '0', '0'),
('5479', 'Begriffsname-Textfeld', 'de', '0', '0'),
('5480', 'Begriffsbeschreibungs-Textbereich', 'de', '0', '0'),
('5481', 'Anweisungen zum Zurücksetzen des Passworts werden an %email gesendet. Sie müssen sich abmelden, um den Link zum Zurücksetzen des Passwortes in der E-Mail verwenden zu können.', 'de', '0', '0'),
('5482', 'Geben Sie ihr aktuelles Passwort ein, um %mail oder %pass zu ändern. !request_new.', 'de', '0', '0'),
('5483', 'Aktuelles Passwort', 'de', '0', '0'),
('5484', 'Das aktuelle Passwort fehlt oder ist falsch. Dieses ist erforderlich, um %name zu ändern.', 'de', '0', '0'),
('5485', 'Eine Willkommensnachricht mit weiteren Anweisungen wurde per E-Mail an den neuen Benutzer <a href="@url">%name</a> gesendet.', 'de', '0', '0'),
('5486', 'Eine Willkommensnachricht mit weiteren Anweisungen wurde an Ihre E-Mail-Adresse geschickt.', 'de', '0', '0'),
('5487', 'Benutzerkonten konfigurieren.', 'de', '0', '0'),
('5488', 'Standardeinstellungen für Benutzer, einschließlich der Registrierungsvoraussetzungen, E-Mails, Felder und Benutzerbilder konfigurieren.', 'de', '0', '0'),
('5489', 'Das Modul %module wurde installiert.', 'de', '0', '0'),
('5490', 'Diese Seite verwenden, um einen neuen benutzerdefinierten Block anzulegen.', 'de', '0', '0'),
('5491', 'Anzahl der anzuzeigenden neuesten Blogeinträge', 'de', '0', '0'),
('5492', '@node_type Kommentar', 'de', '0', '0'),
('5493', 'Kommentar %comment bearbeiten', 'de', '0', '0'),
('5494', 'Das Field-UI-Modul bietet eine administrative Benutzeroberfläche (UI), um Felder anzuhängen und zu verwalten. Felder können auf Ebene von Inhaltstyp für Inhalte und Kommentare, auf Vokabularebene für Taxonomy-Begriffe und auf Seitenebene für Benutzerkonten definiert werden. Andere Module können ebenfalls Felder für die Verwendung ihrer Daten freischalten. Feldtypen (Text, Bild, Nummer, etc ) werden von Modulen definiert und durch das <a href="@field">Field-Modul</a> gesammelt und verwaltet. Für weitere Information lesen Sie den Online-Handbucheintrag zum  <a href="@field_ui" target="_blank">Field-UI-Modul</a>.', 'de', '0', '0'),
('5495', 'Felder planen', 'de', '0', '0'),
('5496', 'Wie das Feld genannt wird', 'de', '0', '0'),
('5497', 'Das Feld hat einen <em>Bezeichner</em> (der Name, der in der Benutzeröberfläche angezeigt wird) und einen <em>Maschinen-Namen</em> (der intern genutzte Name). Der Bezeichner kann nach dem Anlegen verändert werden, falls nötig, aber der Maschinen-Name kann nach dem Anlegen nicht verändert werden.', 'de', '0', '0'),
('5498', 'Welchen Typ von Daten das Feld speichert', 'de', '0', '0'),
('5499', 'Jedes Feld kann eine Art von Daten (Text, Zahl, Datei usw.) annehmen. Bei der Definition eines Felds ist ein bestimmter <em>Feldtyp</em> auszuwählen, der dem zu speichernden Datentyp entspricht. Nach dem Erzeugen eines Felds kann sein Feldtyp nicht mehr geändert werden.', 'de', '0', '0'),
('5500', 'Wie die Daten eingegeben und angezeigt werden', 'de', '0', '0'),
('5501', 'Wie viele Werte das Feld speichert', 'de', '0', '0'),
('5502', 'Jedes Feld kann entweder einen Wert, eine begrenzte Anzahl von Werten oder beliebig viele Werte speichern. Zum Beispiel könnte ein Feld "Personalnummer" auf einen Wert beschränkt sein, während ein Feld "Telefonnummer" mehrere Rufnummern speichern könnte. Diese Einstellung kann auch nach dem Erzeugen eines Felds verändert werden; wird allerdings die Maximalzahl an Werten verringert, kann es zu Datenverlust kommen.', 'de', '0', '0'),
('5503', 'Felder wiederverwenden', 'de', '0', '0'),
('5504', 'Sobald Sie ein Feld definiert haben, können Sie es mehrfach verwenden. Wenn Sie beispielsweise ein individuelles Feld für Bilder angelegt haben und noch ein weiteres Feld mit den selben Einstellungen benötigen, können Sie das bestehende Feld einem weiteren Inhaltstypen zuordnen. Wählen Sie dazu das bestehende Feld in dem Bereich <em>Ein bestehendes Feld hinzufügen</em> der Benutzeroberfläche aus. Ebenfalls können Sie dieses Feld einem Taxonomy-Vokabular, Kommentaren, Benutzerkonten etc hinzufügen.', 'de', '0', '0'),
('5505', 'Einige Einstellungen von mehrfach verwendeten Feldern werden bei jeder einzelnen Nutzung dieses Feldes getrennt festgelegt; andere werden überall verwendet, wo das Feld benutzt wird. Beispiel: Die Beschriftung eines Textfeldes wird für jede Nutzung neu festgelegt, während die Einstellung zur Anzahl von Werten überall verwendet wird.', 'de', '0', '0'),
('5506', 'Es gibt zwei Hauptgründe Felder mehrfach zu verwenden: Zum einen sparen Sie Zeit, wenn Sie bestehende Felder nutzen, da Sie nicht jedes Feld neu anlegen müssen. Zum anderen können Sie auf Basis von Feldern Inhalte gruppieren, filtern, darstellen und sortieren. So können Sie zum Beispiel mit Hilfe des Zusatzmoduls Views Listen und Tabellen aller Inhalte erstellen, die sie in diesem Feld speichern. Wenn Sie das selbe Feld in unterschiedlichen Inhaltstypen verwenden, können Sie Ansichten erstellen, die alle Informationen dieses Felds je nach Bedarf zusammenfassen, sortieren oder filtern.', 'de', '0', '0'),
('5507', 'Felder für Inhaltselemente', 'de', '0', '0'),
('5508', 'Felder für Inhalte werden auf der Ebene der Inhaltstypen definiert, und zwar im Tab <em>Felder verwalten</em> auf der Seite zur Bearbeitung von Inhaltstypen (erreichbar über die Seite <a href="@types">Inhaltstypen</a>). Wird einem Inhaltstyp ein Feld hinzugefügt, wird jedem Eintrag dieses Typs dieses neue Feld hinzugefügt. Einige Felder, zum Beispiel "Titel" und "Textkörper", werden schon beim Erzeugen eines neuen Inhaltstyps oder durch ein Installationsprofil bereitgestellt.', 'de', '0', '0'),
('5509', 'Felder für Taxonomiebegriffe', 'de', '0', '0'),
('5510', 'Felder für Taxonomy-Begriffe werden auf der Ebene des Taxonomy-Vokabulars definiert. Gehen Sie hierzu auf die Bearbeitenseite des Vokabulars und klicken Sie den Reiter <em> Felder verwalten</em>. (Sie erreichen die Bearbeitenseite über die href="@taxonomy">Taxonomy-Seite</a>). Wenn Sie ein Feld für ein Vokabular definieren, wird dieses Feld jedem Begriff in Ihrem Vokabular zugeordnet. So können Sie zum Beispiel ein Feld "Bild" anlegen, über das Sie jeden Begriff mit einem Bildzeichen ausstatten.', 'de', '0', '0'),
('5511', 'Felder für Benutzerkonten', 'de', '0', '0'),
('5512', 'Felder für Benutzerkonten werden im Tab <a href="@fields">Felder verwalten</a> auf der Seite <a href="@accounts">Benutzer</a> definiert. Wird ein Feld für Benutzerkonten definiert, erhält jedes Benutzerkonto dieses neue Feld. Beispielsweite kann so ein Textfeld hinzugefügt werden, das ausreichend Platz für eine Kurzbiografie des Benutzers bietet.', 'de', '0', '0'),
('5513', 'Felder für Kommentare', 'de', '0', '0'),
('5514', 'Felder für Kommentare werden auf der Ebene eines Inhaltstyps definiert, und zwar im Tab <em>Kommentarfelder</em> der Bearbeitungs-Seite für <a href="@types">Inhaltstypen</a>. Wird ein neues Feld für Kommentare definiert, wird jedem Kommentar auf Einträge des betreffenden Inhaltstyps dieses Feld hinzugefügt. Zum Beispiel könnten so die Kommentare auf Forumseinträge um ein Feld ergänzt werden, das die Eingabe eines Homepage-Links erlaubt.', 'de', '0', '0'),
('5515', 'Textformate und Filter verwalten', 'de', '0', '0'),
('5516', '@type - Spracherkennung', 'de', '0', '0'),
('5517', 'Zeichenketten in der/den hochgeladenen Datei(en) ersetzen vorhandene, neue werden hinzugefügt. Das Plural-Format wird aktualisiert.', 'de', '0', '0'),
('5518', 'Bestehende Zeichenketten und das Plural-Format wird beibehalten, nur neue Zeichenketten werden hinzugefügt.', 'de', '0', '0'),
('5519', 'Geben Sie an, wie entschieden werden soll welche Sprache zuverwenden ist, um Seitenelemente anzuzeigen (hauptsächlich Text, der von Drupal und Module stammt, wie Feldbezeichnungen und Hilfetexte). Diese Entscheidung wird durch die Auswertung einer Reihe von Methoden zum Erkennen der Sprachen getroffen; die erste Erkennungsmethode, die ein Ergebnis liefert, bestimmt welche Sprache verwendet wird für die Art des Textes. Definieren Sie die Reihenfolge der Auswertung für die Sprachen-Erkennungsmethoden auf dieser Seite.', 'de', '0', '0'),
('5520', 'Benutzeroberflächentext', 'de', '0', '0'),
('5521', 'Verwende die festgestellte Sprache der Benutzeroberfläche.', 'de', '0', '0'),
('5522', '%type hinzufügen', 'de', '0', '0'),
('5523', 'Die neue Gruppe wird durch Kopieren der Verknüpfungen aus der Standard-Verknüpfungsgruppe erstellt.', 'de', '0', '0'),
('5524', 'Der neue Satz wird durch das Kopieren vom Satz %default angelegt.', 'de', '0', '0'),
('5525', 'Sie verwenden gerade die %set-name-Verknüpfungsgruppe.', 'de', '0', '0'),
('5526', 'Gruppen-Name bearbeiten', 'de', '0', '0'),
('5527', 'Set löschen', 'de', '0', '0'),
('5528', 'Neue Gruppe erstellen', 'de', '0', '0'),
('5529', 'Die Verknüpfungsgruppe %set_name wurde erstellt. Diese kann von dieser Seite aus bearbeitet werden.', 'de', '0', '0'),
('5530', 'Gruppen-Name wurde auf %set-name geändert.', 'de', '0', '0'),
('5531', 'Wenn diese Verknüpfungsgruppe als Standard für manche oder alle Benutzer ausgewählt wird, sind diese Benutzer auch beim Löschen der Verknüpfungsgruppes betroffen.', 'de', '0', '0'),
('5532', 'Soll die Verknüpfungsgruppe %title wirklich gelöscht werden?', 'de', '0', '0'),
('5533', 'Die Verknüpfungsgruppe %title wurde gelöscht.', 'de', '0', '0'),
('5534', '1 Benutzer hat diese Verknüpfungsgruppe ausgewählt oder sie wurde ihm zugewiesen.', 'de', '0', '0'),
('5535', '@count Benutzer haben diese Verknüpfungsgruppe ausgewählt oder sie wurde ihnen zugewiesen.', 'de', '5534', '1'),
('5537', 'Das Shortcut-Modul ermöglicht Benutzern sich Gruppen von <em>Verknüpfungen</em> für häufig besuchte Seiten der Website zu erstellen. Verknüpfungen sind in <em>Gruppen</em> enthalten. Die Verknüpfungen sind für Benutzer mit der Berechtigung <em>Beliebige Verknüpfungen auswählen</em> sichtbar. Weitere Informationen finden Sie unter Online-Handbucheintrag für das <a href="@shortcut">Shortcut-Modul</a>.', 'de', '0', '0'),
('5538', 'Verwalten von Verknüpfungen', 'de', '0', '0'),
('5539', 'Benutzer mit der Berechtigung <em>Verknüpfungen verwalten</em> können auf der <a href="@shortcuts">Verwaltungsseite für Verknüpfungen</a> die Verknüpfungsgruppen verwalten und die Verknüpfungen innerhalb der Gruppen bearbeiten.', 'de', '0', '0'),
('5540', 'Auswählen von Verknüpfungsgruppen', 'de', '0', '0'),
('5541', 'Benutzer mit der Berechtigung Verknüpfungen umzuschalten können die zu verwendende Verknüpfungsgruppe auf ihrer Benutzerkontoseite auswählen.', 'de', '0', '0'),
('5542', 'Das Shortcut-Modul erstellt einen Hinzufügen-/Entfernen-Link für jede Seite der Website. Der Link erlaubt das Hinzufügen und Entfernen der aktuellen Seite von der aktuell aktivierten Verknüpfungsgruppe (wenn das Theme diese anzeigt und die Berechtigung zum Bearbeiten der Verknüpfungsgruppe vorliegt). Das Drupal-Verwaltungs-Theme ‚Seven‘ zeigt den Link als kleines Plus- oder Minuszeichen beim Seitentitel an. Wenn das Pluszeichen angeklickt wird, wird diese Seite zur bevorzugten Verknüpfungsgruppe hinzugefügt. Wenn die Seite schon Teil der Verknüpfungsgruppe ist, ist der Link ein Minus-Zeichen und erlaubt das Entfernen der aktuellen Seite von der Verknüpfungsgruppe.', 'de', '0', '0'),
('5543', 'Auf dem <a href="@shortcut-link">Verknüpfungen-Reiter</a> der Seite „Mein Konto“ kann die eigene Verknüpfungsgruppe festgelegt werden.', 'de', '0', '0'),
('5544', 'Aktuelle Verknüpfungsgruppe bearbeiten', 'de', '0', '0'),
('5545', 'Das Bearbeiten der aktuellen Verknüpfungsgruppe betrifft auch andere Benutzer, wenn diese anderen Benutzern zugewiesen oder von ihnen ausgewählt wurde. Das Gewähren der Berechtigung „Beliebige Verknüpfungsgruppe auswählen“ gewährt zusammen mit dieser Berechtigung die Berechtigung alle Verknüpfungsgruppen zu bearbeiten.', 'de', '0', '0'),
('5546', 'Beliebige Verknüpfungsgruppe auswählen', 'de', '0', '0'),
('5547', 'Von allen Verknüpfungsgruppen kann eine eigene aktive Gruppe ausgewählt werden. Ohne diese Berechtigung wählt ein Administrator die Verknüpfungsgruppen für Benutzer aus.', 'de', '0', '0'),
('5548', 'Verknüpfungsgruppen hinzufügen und ändern.', 'de', '0', '0'),
('5549', 'Verknüpfungsgruppe hinzufügen', 'de', '0', '0'),
('5550', 'Gruppen-Name bearbeiten', 'de', '0', '0'),
('5551', 'Verknüpfungsgruppe löschen', 'de', '0', '0'),
('5552', '@remote konnte nicht unter @path gespeichert werden.', 'de', '0', '0'),
('5553', 'Drupal erfordert, dass die PHP-Erweiterungen in der folgenden Liste aktiviert werden (Siehe <a href="@system_requirements">Systemanforderungen</a> für weitere Informationen):', 'de', '0', '0'),
('5554', 'Datenbank-Unterstützung', 'de', '0', '0'),
('5555', 'Der Webserver scheint keine bekannte PDO-Datenbankerweiterung zu unterstützen. Beim Hosting-Anbieter sollte geprüft werden, ob er PDO (PHP Data Objects) unterstützt und eine von <a href="@drupal-databases">Drupal unterstützte Datenbank</a> anbietet.', 'de', '0', '0'),
('5556', 'Fußbereich erste Spalte', 'de', '0', '0'),
('5557', 'Fußbereich zweite Spalte', 'de', '0', '0'),
('5558', 'Fußbereich dritte Spalte', 'de', '0', '0'),
('5559', 'Fußbereich vierte Spalte', 'de', '0', '0'),
('5560', 'Kirgisisch', 'de', '0', '0'),
('5561', 'theme() darf nicht aufgerufen werden, bevor alle Module geladen wurden.', 'de', '0', '0'),
('5562', 'GD Grafikbibliothek PNG Unterstützung', 'de', '0', '0'),
('5563', 'Das Datum an dem der Kommentar zum letzten mal aktualisiert wurde.', 'de', '0', '0'),
('5564', 'Kommentar abgegeben: %subject.', 'de', '0', '0'),
('5565', 'Wert für AN', 'de', '0', '0'),
('5566', 'Wenn nichts angegeben wird "1" verwendet.', 'de', '0', '0'),
('5567', 'Wert für AUS', 'de', '0', '0'),
('5568', 'Wenn nichts angegeben wird "0" verwendet.', 'de', '0', '0'),
('5569', 'Dieses Feld wurde deaktiviert weil Sie nicht die erforderlichen Berechtigungen haben, um es zu bearbeiten.', 'de', '0', '0'),
('5570', 'Wählen Sie ein Forum aus.', 'de', '0', '0'),
('5571', 'Die GD Grafikbibliothek für PHP ist aktiviert, wurde aber ohne Unterstützung für Funktionen die von den Drehen und Entsättigungs Effekten verwendet werden compiliert. Es wurde wahrscheinlich die GD Bibliothek von http://www.libgd.org und nicht die mit PHP ausgelieferte Version verwendet. Sie Sollten PHP nochmal mit der Option --with-gd compilieren und dabei die mit PHP ausgelieferte GD Bibliothek verwenden. In der <a href="http://www.php.net/manual/book.image.php">PHP Anleitung</a> finden Sie mehr Informationen.', 'de', '0', '0'),
('5572', 'Drehen und entsättigen Effekte der GD Grafikbibliothek', 'de', '0', '0'),
('5573', 'Anzeigen, bearbeiten und löschen aller Inhalte unabhängig von dessen Zugriffseinschränkungen.', 'de', '0', '0'),
('5574', 'Sie müssen Ihre Mailadresse bestätigen, bevor Sie sich über OpenID anmelden können.', 'de', '0', '0'),
('5575', 'Die HTML-ID %id ist eindeutig.', 'de', '0', '0'),
('5576', 'Syslog Format', 'de', '0', '0'),
('5577', 'Legen Sie das Format des Syslog Eintrags fest. Verfügbare Variablen lauten: <dl><dt><code>!base_url</code></dt><dd>Basis URL der Seite.</dd><dt><code>!timestamp</code></dt><dd>Unix Zeitstempel des Protokolleintrags.</dd><dt><code>!type</code></dt><dd>Die Kategorie, zu der diese Meldung gehört.</dd><dt><code>!ip</code></dt><dd>IP Adresse des Benutzers, der die Meldung verursacht hat.</dd><dt><code>!request_uri</code></dt><dd>Die angefragte URI.</dd><dt><code>!referer</code></dt><dd>HTTP Referer wenn verfügbar.</dd><dt><code>!uid</code></dt><dd>Benutzer ID.</dd><dt><code>!link</code></dt><dd>Ein Link, um auf die Meldung zu verweisen.</dd><dt><code>!message</code></dt><dd>Die zu speichernde Meldung.</dd></dl>', 'de', '0', '0'),
('5578', 'Externe Ressourcen können automatisch optimiert werden, die sowohl die Größe und Anzahl der Zugriffe auf Ihre Website reduzieren können.', 'de', '0', '0'),
('5579', 'Ein Datum im Format ''time-since''. (%date)', 'de', '0', '0'),
('5580', 'Ablageort der Datei relativ zum Drupal Hauptverzeichnis.', 'de', '0', '0'),
('5581', 'HTTP-Fehler @errorcode aufgetreten, während versucht wurde @remote abzurufen.', 'de', '0', '0'),
('5582', 'Ihre System oder Netzwerk-Konfiguration erlaubt Drupal keinen Zugriff auf andere Web-Seiten, wodurch die Funktionalität eingeschränkt ist. Damit werden Informationen zu verfügbaren Updates geladen, RSS-Feeds bezogen, die Anmeldung über OpenID durchgeführt u.ä. Wenn Sie sicher sind, dass Drupal auf andere Web-Seiten zugreifen kann, aber Sie sind immer noch diese Nachricht sehen, können Sie die Prüfung unterdrücken, indem Sie <code>$conf[''drupal_http_request_fails''] = FALSE;</code> in der zweiten Hälfte Ihrer settings.php Datei hinzufügen.', 'de', '0', '0'),
('5583', 'Es gibt bereits eine Übersetzung von  %title in %language, deshalb wird statt der Übersetzung ein neuer Inhalt:%type erstellt.', 'de', '0', '0'),
('5584', 'Die Module wurden heruntergeladen und aktualisiert.', 'de', '0', '0'),
('5585', '<a href="@update">Datenbankaktualisierung durchführen</a>', 'de', '0', '0'),
('5586', '@name <em>(gesperrt)</em>', 'de', '0', '0'),
('5587', 'Soll die Rolle %name wirklich gelöscht werden?', 'de', '0', '0'),
('5588', 'Mit Berechtigungen können Sie kontrollieren, was die Benutzer tun können und auf der Website sehen. Die Berechtigungen können für jede Rolle einzeln vergeben werden. (Auf der <a href="@role">Rollenseite</a> lassen sich weitere Rollen anlegen.) Zwei wichtige Rollen, die zu beachten sind, sind „Authentifizierter Benutzer“ und „Administrator“. Jede Berechtigung die der Rolle „Authentifizierter Benutzer“ gewährt wird, wird auch jedem Benutzer gegeben, der sich anmelden kann. Sie können jede Rolle zur Administrator-Rolle machen, die dann automatisch alle Berechtigungen erhält. In den <a href="@settings">Benutzereinstellungen</a> kann dies eingestellt werden. Sie sollten vorsichtig sein bei der Vergabe der Berechtigungen an eine Rolle und bei der Vergabe einer Rolle an einen Benutzer, um die Sicherheit der Website zu gewährleisten.', 'de', '0', '0'),
('5589', 'Rollen ermöglichen eine Feinabstimmung der Sicherheit und Administration von Drupal. Eine Rolle definiert eine Gruppe von Benutzern, welche die auf der <a href="@permissions">Berechtigungsseite</a> festgelegten Privilegien besitzt. Beispiele von Rollen sind: Gast, Authentifizierter Benutzer, Moderator, Administrator usw. In diesem Bereich legen Sie die Namen und die Reihenfolge der Rollen auf Ihrer Website fest. Es wird empfohlen die Reihenfolge der Rollen von weniger wichtig (Gast) bis zu den wichtigsten (Administrator) anzuordnen. Um eine Rolle zu löschen, klicken Sie auf „Rolle bearbeiten“.', 'de', '0', '0'),
('5590', 'Benutzen Sie <em>Artikel</em> für zeitkritische Inhalte wie Nachrichten, Pressemeldungen oder Blogeinträge.', 'de', '0', '0'),
('5591', 'Filipino', 'de', '0', '0'),
('5592', 'Schweizerdeutsch', 'de', '0', '0'),
('5593', 'schottisch', 'de', '0', '0'),
('5594', 'Seiten für anonyme Benutzer cachen', 'de', '0', '0'),
('5595', 'Bartik', 'de', '0', '0'),
('5596', 'Ein flexibles, einfärbbares Theme mit vielen Regionen.', 'de', '0', '0'),
('5597', 'Hervorgehoben', 'de', '0', '0'),
('5598', 'Zweite Sidebar', 'de', '0', '0'),
('5599', 'Erstes Drittel', 'de', '0', '0'),
('5600', 'Mittleres Drittel', 'de', '0', '0'),
('5601', 'Letztes Drittel', 'de', '0', '0'),
('5602', 'Haupthintergrund', 'de', '0', '0'),
('5603', 'Hintergrund der Seitenleiste', 'de', '0', '0'),
('5604', 'Rahmen der Seitenleiste', 'de', '0', '0'),
('5605', 'Hintergrund des Fußbereich', 'de', '0', '0'),
('5606', 'Pflaume', 'de', '0', '0'),
('5607', '!local-task-title!active', 'de', '0', '0'),
('5608', 'Eine leerzeichengetrennte Liste von erlaubten HTML-Tags im Inhalt von Feedinhalten. Nicht erlaubte Tags werden aus dem Inhalt entfernt.', 'de', '0', '0'),
('5609', '%field darf nur Zeichen von a-z, Unter- oder Bindestriche enthalten.', 'de', '0', '0'),
('5610', '%field darf kein Markup enthalten.', 'de', '0', '0'),
('5611', 'Es sind keine Aliase vorhanden. <a href="@link">URL-Alias hinzufügen</a>.', 'de', '0', '0'),
('5612', 'Um eine Schlüsselwort-Suche bereitzustellen, führt die Suchmaschine einen Index von Wörtern, die sie im Inhalt und dessen Feldern findet. Berücksichtigt werden auch Texte von anderen Modulen (beispielsweise Kommentare und Taxonomy-Begriffe). Um diesen Index zu erstellen und aktuell zu halten, ist eine korrekt konfigurierte <a href="@cron">Cron-Wartungsaufgabe</a> notwendig. Benutzer mit der Berechtigung <em>Sucheinstellungen verwalten</em> können zusätzlich die Cron-Einstellungen auf der Seite <a href="@searchsettings">Sucheinstellungen</a> konfigurieren.', 'de', '0', '0'),
('5613', 'Inhalte neu indexieren', 'de', '0', '0'),
('5614', 'Inhaltsbezogene Aktionen auf der Website (Erstellen, Bearbeiten oder Löschen von Inhalten oder Kommentare) führt automatisch dazu, dass die betroffenen Inhalte für die (Neu)Indizierung markiert werden und beim nächsten Cron-Durchlauf verarbeitet werden. Wenn Inhalte markiert werden, verbleibt der ursprüngliche Inhalt solange im Index, bis dieser durch den neuen Inhalt ersetzt wird. Im Gegensatz zu inhaltsbezogenen Aktionen werden Inhalte bei strukturbezogenen Änderungen nicht vom Cronjob neu indiziert. Beispiele von strukturbezogener Änderungen, die sich auf Inhalte auswirken können sind: das Löschen oder Bearbeiten von Taxonomy-Begriffen, das De-/Aktivieren von Modulen, die Text zu Ihren Inhalten hinzufügen (wie etwa Taxonomy, Kommentare und Module, die Felder bereitstellen) sowie das Verändern von Feldern oder Darstellungsoptionen Ihrer Inhaltstypen. Wenn Sie eine dieser Maßnahmen vornehmen und sicher stellen möchten, dass die veränderte Seitenstruktur nach einer Aktualisierung des Suchindexes wieder gespiegelt wird, können Sie den Inhalt für eine Reindizierung vormerken. Klicken Sie hierzu die Schaltfläche „Seite neu indizieren“ unter <a href="@searchsettings">Sucheinstellungen</a>. Wenn Sie viel Inhalt auf Ihrer Website haben, können mehrere Durchläufe des Crons notwendig sein, um alle Inhalte Ihrer Website neu zu indizieren.', 'de', '0', '0'),
('5615', 'Zwischengespeicherte Seiten werden nicht neu generiert, bis mindestens so viel Zeit vergangen ist.', 'de', '0', '0'),
('5616', 'Ablauf von zwischengespeicherten Seiten', 'de', '0', '0'),
('5617', 'Maximale Zeit, die ein externer Proxy-Cache eine alte Version einer Seite zwischenspeichern darf.', 'de', '0', '0'),
('5618', 'Die Optionen kontrollieren die Anzeigeeinstellungen für das %name Theme. Wenn die Website mit diesem Theme angezeigt wird, werden diese Einstellungen verwendet.', 'de', '0', '0'),
('5619', 'Softwareaktualisierung verwalten', 'de', '0', '0'),
('5620', 'Geben Sie eine gültige E-Mail-Adresse an oder verwenden Sie ein Adresskürzel wie z.B. %author.', 'de', '0', '0'),
('5621', '@required_name (fehlt)', 'de', '0', '0'),
('5622', '@required_name (Version @compatibility erforderlich)', 'de', '0', '0'),
('5623', '@name benötigt mindestens PHP @version.', 'de', '0', '0'),
('5624', 'Nicht auflösbare Abhängigkeit', 'de', '0', '0'),
('5625', '@name benötigt dieses Modul.', 'de', '0', '0'),
('5626', '@name benötigt dieses Modul und Version. Aktuell wird @required_name Version @version verwendet.', 'de', '0', '0'),
('5627', 'Details zur Website', 'de', '0', '0'),
('5628', 'Titel und Slogan', 'de', '0', '0'),
('5629', 'Feuerwehrhaus', 'de', '0', '0'),
('5630', 'Eis', 'de', '0', '0'),
('5631', 'Mehr als eine Field-Storage-Engine kann nicht verwendet werden.', 'de', '0', '0'),
('5632', 'Die Field-Storage-Engine konnte nicht gefunden werden.', 'de', '0', '0'),
('5633', 'Für diese Abfrage muss der Entitätstyp angegeben werden.', 'de', '0', '0'),
('5634', 'Die Entität %entity hat keine Datenbanktabelle.', 'de', '0', '0'),
('5635', 'Die Funktion Sortieren konnte nicht angewendet werden auf @key für @entity_type', 'de', '0', '0'),
('5636', 'Der Datenbank Tabellenpräfix %prefix ist ungültig. Der Tabellenpräfix darf nur alphanumerische Zeichen sowie Punkte und Unterstriche enthalten.', 'de', '0', '0'),
('5637', 'Standard-Einstellungsdatei', 'de', '0', '0'),
('5638', 'Die Standard-Einstellungsdatei ist nicht vorhanden.', 'de', '0', '0'),
('5639', 'Der @drupal-Installer erfordert, dass die Download-Version der Datei %default-file in keiner Weise verändert wird.', 'de', '0', '0'),
('5640', 'Maori', 'de', '0', '0'),
('5641', 'Versuch eine Instanz des Feldes @field_name ohne Angabe eines Entitätstyps zu erstellen.', 'de', '0', '0'),
('5642', 'Versuch eine Instanz des Feldes @field_name mit einem verbotenen Entitätstyp @entity_type zu erstellen.', 'de', '0', '0'),
('5643', 'Versuch eine Instanz eines nicht existierenden Feldes @field zu aktualisieren.', 'de', '0', '0'),
('5644', 'Versuch eine Instanz eines nicht existierenden Feldes @field im Bündel @bundle zu aktualisieren.', 'de', '0', '0'),
('5645', 'Versuch ein Feld @field_name zu löschen, das noch Instanzen beinhaltet.', 'de', '0', '0'),
('5646', '%name: dieser Wert darf nicht kleiner sein als %min.', 'de', '0', '0'),
('5647', '%name: dieser Wert darf nicht größer sein als %max.', 'de', '0', '0'),
('5648', 'Es wurden noch keine Felder angelegt.', 'de', '0', '0'),
('5649', 'Gewicht für das neue Feld.', 'de', '0', '0'),
('5650', 'Gewicht für das hinzugefügte Feld', 'de', '0', '0'),
('5651', 'Benutzerdefinierte Anzeigeeinstellungen', 'de', '0', '0'),
('5652', 'Benutzerdefinierte Anzeigeeinstellungen für die folgenden Anzeigemodi verwenden', 'de', '0', '0'),
('5653', 'Der %view_mode Modus verwendet jetzt die benutzerdefinierte Anzeigeeinstellungen. Vielleicht möchten Sie <a href="@url">diese konfigurieren</a>.', 'de', '0', '0'),
('5654', 'Benutzer-Oberfläche zur Field-API.', 'de', '0', '0'),
('5655', 'Erweiterungen mit einem Leerzeichen oder Komma trennen und den führenden Punkt nicht einschliessen.', 'de', '0', '0'),
('5656', 'Einen existierenden Effekt in einem Style bearbeiten.', 'de', '0', '0'),
('5657', 'Einen existierenden Effekt von einem Style entfernen.', 'de', '0', '0'),
('5658', 'Element des Node-Moduls', 'de', '0', '0'),
('5659', 'Overlay schliessen.', 'de', '0', '0'),
('5660', 'Poll-Modul Einstellungen', 'de', '0', '0'),
('5661', 'für Umfrage abstimmen', 'de', '0', '0'),
('5662', 'Umfrageergebnisse', 'de', '0', '0'),
('5663', 'Der neue Satz-Name ist erforderlich.', 'de', '0', '0'),
('5664', 'Die Verknüpfungsgruppe %name existiert bereits. Bitte wählen Sie einen anderen Namen.', 'de', '0', '0'),
('5665', 'Erwarteter Text gefunden in @field der E-Mail Nachricht "@expected".', 'de', '0', '0'),
('5666', '1 E-Mail wurde während dieses Tests gesendet.\r\n', 'de', '0', '0'),
('5667', '@count E-Mails wurden während dieses Tests gesendet.', 'de', '5666', '1'),
('5669', 'Gesperrte IP-Adressen', 'de', '0', '0'),
('5670', 'Die hier aufgelisteten IP-Adressen sind durch Ihre Website gesperrt. Gesperrte Adressen ist der Zugriff auf die Website vollständig verboten und stattdessen sehen sie eine kurze Nachricht, welche die Situation erklärt.', 'de', '0', '0'),
('5671', 'Für den Inhaltstyp %rowtype sind Dateianhänge deaktiviert, aber einige Beiträge dieses Typs enthaltenen bereits Dateien. Um die vorhandenen Dateien zu erhalten aktivieren Sie Dateianhänge (Uploads). Sie können das Feld „Datei anhängen“ im Inhaltstyp %rowtype löschen, wenn diese Dateien nicht benötigt werden.', 'de', '0', '0'),
('5672', 'Upload-Modul wurde zum File-Modul migriert.', 'de', '0', '0'),
('5673', 'Verfügbare Platzhalter sind: [site:name], [site:url], [user:name], [user:mail], [site:login-url], [site:url-brief], [user:edit-url], [user:one-time-login-url], [user:cancel-url].', 'de', '0', '0'),
('5674', 'noch nicht zugeordnet', 'de', '0', '0'),
('5675', 'noch nicht erzeugt', 'de', '0', '0'),
('5676', '[user:name],\n\nvielen Dank für die Registrierung auf [site:name]. Sie können sich jetzt mit einem Klick auf den folgenden Link anmelden oder diesen alternativ in Ihren Browser kopieren:\n\n[user:one-time-login-url]\n\nDieser Link kann nur einmal verwendet werden und leitet Sie auf eine Seite, auf der Sie Ihr Passwort festlegen können.\n\nNachdem Sie Ihr Passwort festgelegt haben, können Sie sich zukünftig mit folgenden Zugangsdaten bei [site:login-url] anmelden:\n\nBenutzername: [user:name]\nPasswort: Ihr Passwort\n\nViele Grüße\nDas Team von [site:name]', 'de', '0', '0'),
('5677', '[user:name],\n\nEin Administrator der Website [site:name] hat für Sie ein Benutzerkonto angelegt. Sie können sich jetzt mit einem Klick auf den folgenden Link anmelden oder diesen alternativ in Ihren Browser kopieren:\n\n[user:one-time-login-url]\n\nDieser Link kann nur einmal verwendet werden und leitet Sie zu einer Seite, auf der Sie ein neues Passwort vergeben können.\n\nNachdem Sie Ihr Passwort festgelegt haben, können Sie sich zukünftig auf [site:login-url] mit den folgenden Zugangsdaten anmelden:\n\nBenutzername: [user:name]\nPasswort: Ihr Passwort\n\nViele Grüße\nDas Team von [site:name]', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('5678', '[user:name],\r\n\r\neine Anfrage zum Zurücksetzen des Passworts für Ihr Benutzerkonto auf [site:name] wurde gestellt.\r\n\r\nSie können sich jetzt mit einem Klick auf folgenden Link anmelden oder diesen alternativ in Ihren Browser kopieren:\r\n\r\n[user:one-time-login-url]\r\n\r\nDieser Link kann nur einmal verwendet werden und leitet Sie zu einer Seite, auf der Sie ein neues Passwort festlegen können. Er ist einen Tag lang gültig und läuft automatisch aus, falls Sie ihn nicht verwenden.\r\n\r\nViele Grüße\r\nDas Team von [site:name]', 'de', '0', '0'),
('5679', '[user:name],\r\n\r\nIhr Benutzerkonto auf [site:name] wurde gesperrt.\r\n\r\n--  [site:name]-Team', 'de', '0', '0'),
('5680', '[user:name],\r\n\r\nEine Anfrage zur Löschung Ihres Benutzerkontos auf [site:name] wurde gestellt.\r\n\r\nSie können Ihr Konto auf [site:url-brief] jetzt durch Klick auf den folgenden Link löschen oder diesen alternativ in Ihren Browser kopieren:\r\n\r\n[user:cancel-url]\r\n\r\nHINWEIS: Die Löschung Ihres Benutzerkontos kann nicht rückgängig gemacht werden und ist endgültig.\r\n\r\nDer Link ist einen Tag lang gültig und läuft automatisch aus, falls Sie ihn nicht verwenden.\r\n\r\nViele Grüße\r\nDas Team von [site:name]', 'de', '0', '0'),
('5681', '[user:name],\r\n\r\nIhr Benutzerkonto auf [site:name] wurde gelöscht.\r\n\r\n--  [site:name]-Team', 'de', '0', '0'),
('5682', 'Die Möglichkeit Benutzern ihr Passwort im Klartext zuzusenden wurde in Drupal 7 entfernt. Ihre bestehenden Email Vorlagen wurden entsprechend angepasst, um es zu entfernen. Sie sollten <a href="@template-url">diese Vorlagen prüfen</a> um sicher zu stellen, dass die Texte in Ordnung sind.', 'de', '0', '0'),
('5683', 'Keine (Originalbild)', 'de', '0', '0'),
('5684', 'Die URL der Benutzerprofilseite.', 'de', '0', '0'),
('5685', 'Ein-mal-Kennwort von @endpoint zurückgewiesen, weil es nicht korrekt formatiert war, Kennwort: @nonce.', 'de', '0', '0'),
('5686', 'Ein-mal-Kennwort von @endpoint ist zeitlich ungültig (Zeitdifferenz: @intervals). Prüfen Sie die Systemuhren.', 'de', '0', '0'),
('5687', 'Ein-mal-Kennwort @nonce wurde erneut verwendet von @ip, und daher blockiert.', 'de', '0', '0'),
('5688', 'Kommentaranzeige', 'de', '0', '0'),
('5689', 'Neuer Feldname', 'de', '0', '0'),
('5690', 'Fehler beim Öffnen der Socket Verbindung @socket', 'de', '0', '0'),
('5691', 'Callback für Auslieferung nicht gefunden', 'de', '0', '0'),
('5692', 'Callback %callback nicht gefunden: %q', 'de', '0', '0'),
('5693', 'Die angegebene Datei %file konnte nicht kopiert werden da das Ziel ungültig ist. Weitere Informationen hierzu entnehmen Sie bitte dem System Log.', 'de', '0', '0'),
('5694', 'Die angegebene Datei %file konnte nicht kopiert werden, da das Zielverzeichnis nicht richtig konfiguriert ist. Dies könnte durch Probleme bei der Berechtigung im Dateisystem verursacht werden. Weitere Informationen finden Sie im System Log.', 'de', '0', '0'),
('5695', 'Die Datei %file konnte nicht kopiert werden, da eine Datei mit diesem Namen im Zielverzeichnis bereits existiert.', 'de', '0', '0'),
('5696', 'Die angegebene Datei %file konnte nicht verschoben werden, da das Zielverzeichnis ungültig ist. Weitere Informationen finden Sie im System Log.', 'de', '0', '0'),
('5697', 'Die angegebene Datei %file konnte nicht gelöscht werden, da es keine gültige URI ist. Weitere Informationen finden Sie im System Log.', 'de', '0', '0'),
('5698', 'Die Datei konnte nicht gespeichert werden, da das Zielverzeichnis ungültig ist. Weitere Informationen finden Sie im System Log.', 'de', '0', '0'),
('5699', 'Die Datei %file (%realpath) konnte nicht kopiert werden, da das Zielverzeichnis %destination ungültig ist. Dies wird häufig durch falsche Anwendung des Befehls file_copy() oder eines fehlenden Stream-Wrappers verursacht.', 'de', '0', '0'),
('5700', 'Die Datei %file (%realpath) konnte nicht kopiert werden, da sie nicht existiert.', 'de', '0', '0'),
('5701', 'Die Datei %file (%realpath) konnte nicht kopiert werden, da eine Datei mit gleichem Namen im Zielverzeichnis %directory bereits existiert.', 'de', '0', '0'),
('5702', 'Die Datei %file konnte nicht kopiert werden, da sie sich selbst überschreiben würde.', 'de', '0', '0'),
('5703', 'Die genannte Datei %file konnte nicht nach %destination kopiert werden.', 'de', '0', '0'),
('5704', 'Die Datei %file (%realpath) konnte nicht verschoben werden, da das Zielverzeichnis %destination ungültig ist. Dies kann durch falsche Verwendung des Befehls file_move() oder eines fehlenden Stream-Wrappers verursacht werden.', 'de', '0', '0'),
('5705', 'Die Datei %file (%realpath) konnte nicht gelöscht werden, da dies keine gültige URI ist. Dies kann durch falsche Verwendung des Befehls file_delete() oder eines fehlenden Stream Wrappers verursacht werden.', 'de', '0', '0'),
('5706', 'Die Datei konnte nicht gespeichert werden, da das Zielverzeichnis %destination ungültig ist. Dies kann durch falsche Verwendung des Befehls file_save_data() oder eines fehlenden Stream Wrappers verursacht werden.', 'de', '0', '0'),
('5707', 'Ihre PHP-Konfiguration unterstützt nur einen Datenbanktyp, deshalb wurde dieser automatisch ausgewählt.', 'de', '0', '0'),
('5708', 'Es konnte keine Verbindung zur Datenbank hergestellt werden. Der Server gibt die folgende Fehlermeldung zurück: %error.<ul><li>Ist der Datenbank Server gestartet?</li><li>Existiert die Datenbank und haben Sie den richtigen Namen eingetragen?</li><li>Haben Sie den richtigen Benutzernamen und das richtige Password verwendet?</li><li>Haben Sie den richtigen Hostnamen für den Datenbank Server angegeben?</li></ul>', 'de', '0', '0'),
('5709', 'Die von Ihnen verwendete Version von PHP weist bekannte Probleme mit PostgreSQL auf. Bitten aktualisieren Sie PHP mindestens auf die Versionen 5.2.11, 5.3.1 oder höher.', 'de', '0', '0'),
('5710', 'Vorschau der Block-Regionen beenden', 'de', '0', '0'),
('5711', 'Das Personalisieren der Übersicht-Seite erfordert die Berechtigung !permission-name.', 'de', '0', '0'),
('5712', 'Das Dashboard kann durch Ziehen von Blöcken in Dashboard-Bereiche auf der <a href="@dashboard">Dashboard-Verwaltungsseite</a> angepasst werden. Wenn JavaScript aktiviert wird, kann auch eine Drag-and-Drop-Oberfläche benutzt werden.', 'de', '0', '0'),
('5713', 'Verfügbare Blöcke für das Dashboard konfigurieren', 'de', '0', '0'),
('5714', 'Diese Blöcke in die unten stehenden Spalten ziehen. Änderungen werden automatisch gespeichert. Weitere Optionen sind auf der <a href="@dashboard-url">Konfigurationsseite</a> verfügbar.', 'de', '0', '0'),
('5715', 'Festlegen, welche Blöcke auf der Übersicht-Seite angezeigt werden können.', 'de', '0', '0'),
('5716', 'Das Database-Logging-Modul erlaubt die Anzeige des Ereignisprotokolls auf der <a href="@dblog">Neueste Protokollnachrichten</a>-Seite. Das Protokoll ist eine chronologische Liste aufgezeichneter Ereignisse und enthält Nutzungsdaten, Leistungsdaten, Fehler, Warnungen und Betriebsdaten. Administratoren sollten das Protokoll regelmäßig prüfen, um sicherzustellen, dass ihre Site korrekt funktioniert.', 'de', '0', '0'),
('5717', 'Im Falle von Fehlern oder Problemen mit der Website, kann die <a href="@dblog">Aktuelle Protokollnachrichten</a>-Seite sehr nützlich sein für das Debuggen, denn es zeigt die Abfolge der Ereignisse. Die Protokollnachrichten enthalten Informationen zur Verwendung, Warnungen und Fehler.', 'de', '0', '0'),
('5718', 'Das Database-Logging-Modul überwacht die Website, erfasst Systemereignisse in ein Protokoll (hier gezeigt), um von einer autorisierten Person später geprüft zu werden. Dieses Protokoll ist eine Liste von aufgezeichneten Ereignissen und enthält Nutzungsdaten, Leistungsdaten, Fehler, Warnungen und Betriebsdaten. Es ist unerlässlich, den Bericht "Neueste Protokollnachrichten" regelmäßig zu prüfen, da dies meist der einzige Weg für das Kommunizieren der aktuellen Geschehnisse ist.', 'de', '0', '0'),
('5719', 'Datenbank-Protokolleinträge behalten', 'de', '0', '0'),
('5720', 'Die maximale Anzahl der Protokolleinträge, die in der Datenbank verbleiben. Erfordert eine <a href="@cron">Cron-Wartungsaufgabe</a>.', 'de', '0', '0'),
('5721', 'Aktuelle Protokollnachrichten', 'de', '0', '0'),
('5722', 'Definiere eine Zeichenkette, die dem Wert nachgestellt werden soll (z.B.: "MB", "km/h"). Für "kein Suffix" leer lassen. Angabe von Singular- und Pluralform durch einen senkrechten Strich getrennt ("Tag|Tage").', 'de', '0', '0'),
('5723', 'Tausender Trennzeichen', 'de', '0', '0'),
('5724', 'Präfix und Suffix anzeigen.', 'de', '0', '0'),
('5725', 'Mit Präfix und Suffix anzeigen.', 'de', '0', '0'),
('5726', '- Wert wählen -', 'de', '0', '0'),
('5727', 'Länge kürzen', 'de', '0', '0'),
('5728', 'Es wird kein Feld angezeigt.', 'de', '0', '0'),
('5729', 'Es ist kein Feld ausgeblendet.', 'de', '0', '0'),
('5730', 'Formateinstellungen:', 'de', '0', '0'),
('5731', 'Die im Feld !name verwendete Datei wird möglicherweise nicht referenziert.', 'de', '0', '0'),
('5732', 'Textformate werden in der unten festgelegten Reihenfolge auf Seiten zur Bearbeitung von Inhalten angezeigt. Das erste für den Benutzer verfügbare Format wird dabei als Vorauswahl ausgewählt.', 'de', '0', '0'),
('5733', 'Fehlendes Textformat: %format.', 'de', '0', '0'),
('5734', 'Bild verlinken mit', 'de', '0', '0'),
('5735', 'Bildstil: @style', 'de', '0', '0'),
('5736', 'Verlinkt mit Inhalt', 'de', '0', '0'),
('5737', 'Verlinkt mit Datei', 'de', '0', '0'),
('5738', 'Wird beim Schweben über dem Menülink angezeigt.', 'de', '0', '0'),
('5739', 'Das Menü-Modul ermöglicht die Erstellung von Menü-Links gleich in den Formularen für die Inhaltseingabe. Um die erforderlichen Einstellungen für einen jeweiligen Inhaltstyp zu konfigurieren, gehen Sie auf der Seite der <a href="@content-types">Inhaltstypen</a> zum <em>bearbeiten</em> Link dieses Inhaltstyps und dort zu den <em>Menüeinstellungen</em>.', 'de', '0', '0'),
('5740', 'Nicht definierte Sprache (@language)', 'de', '0', '0'),
('5741', 'Format: %time. Das Datumsformat ist JJJJ-MM-TT und %timezone ist der Zeitzonenunterschied gegenüber UTC. Leer lassen, um die aktuelle Zeit zu verwenden.', 'de', '0', '0'),
('5742', 'Überlagerte Darstellung', 'de', '0', '0'),
('5743', 'Überlagernde Darstellung für Verwaltungsfunktionen verwenden.', 'de', '0', '0'),
('5744', 'Zeigt die Verwaltungsseiten direkt auf der aktuellen Seite als Überlagerung an.', 'de', '0', '0'),
('5745', 'Ein <a href="@php-code">PHP Code</a> Textformat wurde erstellt.', 'de', '0', '0'),
('5746', 'Wählen Sie die zu verwendenden Suchmodule aus den verfügbaren Modulen.', 'de', '0', '0'),
('5747', 'Standard Suchmodul', 'de', '0', '0'),
('5748', 'Wählen Sie ein Standard Suchmodul.', 'de', '0', '0'),
('5749', 'Ihr gewähltes Standard Suchmodul ist nicht als aktives Modul ausgewählt.', 'de', '0', '0'),
('5750', 'Die Suchfunktion ist derzeit deaktiviert.', 'de', '0', '0'),
('5751', '... !excerpt ... !excerpt ...', 'de', '0', '0'),
('5752', 'Syslog Identität', 'de', '0', '0'),
('5753', 'Eine Zeichenkette, die vor jede in Syslog aufgezeichnte Nachricht gehängt wird. Falls Sie mehrere Sites haben, die alle zum selben Syslog schreiben, vereinfacht ein eindeutiger Schlüssel die Zuordnung der Logeinträge.', 'de', '0', '0'),
('5754', 'Legen Sie optional eine relative URL fest, die als Startseite angezeigt werden soll. Leer lassen, um den Standard Inhalts-Feed anzuzeigen.', 'de', '0', '0'),
('5755', 'Fehlerseiten', 'de', '0', '0'),
('5756', 'Der Pfad ''%path'' ist entweder ungültig oder Sie besitzen nicht die notwendigen Zugriffsrechte.', 'de', '0', '0'),
('5757', 'Letzter Lauf: vor %cron-last.', 'de', '0', '0'),
('5758', 'Cron abarbeiten alle', 'de', '0', '0'),
('5759', 'Sobald diese Funktion aktiviert ist, haben nur Benutzer Zugriff auf die Website, bei denen "Die Website im Wartungsmodus verwenden" <a href="@permissions-url">Berechtigung</a> gesetzt wurde. Alle anderen Besucher sehen die Wartungsmodus Nachricht, die nachfolgend konfiguriert werden kann. Berechtigte Benutzer können sich direkt auf der Seite <a href="@user-login">Benutzeranmeldung</a> anmelden.', 'de', '0', '0'),
('5760', 'Für die Website und deren Module müssen eine Reihe von administrativen Vorgängen regelmäßig durchgeführt werden. Das Modul System verwendet für diese Aufgaben einen System-Cron-Job. Sie können den Status der Cron-Aufgaben <a href="@status">Bericht Statusseite</a>überprüfen. Weitere Informationen finden Sie im <a href="@handbook">Handbucheintrag</a> zur <a href="@cron">Konfiguration von Cron-Jobs</a>.', 'de', '0', '0'),
('5761', 'Ändern Sie Seitennamen, E-Mail-Adresse, Motto, Fehlerseiten, Startseite und die Anzahl der Nachrichten pro Seite.', 'de', '0', '0'),
('5762', 'Automatische Wartungsaufgaben steuern.', 'de', '0', '0'),
('5763', 'Die temporäre Datei „%path“ wurde während des Reinigungslaufs nicht gelöscht, da sie von den folgenden Modulen noch verwendet wird: %modules.', 'de', '0', '0'),
('5764', 'Gewichtung für hinzugefügten Begriff', 'de', '0', '0'),
('5765', 'Unterverzeichnis im Dateiupload-Verzeichnis zur Speicherung von Bildern.', 'de', '0', '0'),
('5766', 'Größere Bilder werden auf diese Größe verkleinert.', 'de', '0', '0'),
('5767', 'Maximal erlaubte Dateigröße für hochgeladene Bilder. Die Uploadgröße wird normalerweise nur durch die maximale POST-Größe von PHP und die Dateiupload-Einstellungen beschränkt. Bilder werden automatisch an die oben angegebene Größe herunterskaliert.', 'de', '0', '0'),
('5768', 'Ihr virtuelles Gesicht oder Bild. Bilder, die mehr als @dimensions Pixel breit oder hoch sind, werden verkleinert.', 'de', '0', '0'),
('5769', '[user:name],\n\nIhr Benutzerkonto auf [site:name] wurde aktiviert.\n\nSie können sich jetzt mit einem Klick auf folgenden Link anmelden oder diesen alternativ in Ihren Browser kopieren:\n\n[user:one-time-login-url]\n\nDieser Link kann nur einmal verwendet werden und leitet Sie zu einer Seite, auf der Sie ein neues Passwort festlegen können.\n\nNachdem Sie Ihr Passwort festgelegt haben, können Sie sich zukünftig auf [site:login-url] mit den folgenden Zugangsdaten anmelden:\n\nBenutzername: [user:name]\nPasswort: Ihr Passwort\n\nViele Grüße\nDas Team von [site:name]', 'de', '0', '0'),
('5770', 'Speichern Sie ein Bild, um diesen Artikel zu veröffentlichen.', 'de', '0', '0'),
('5771', 'Minimal-Profil für Testzwecke. Beinhaltet lediglich absolut notwendige Module.', 'de', '0', '0'),
('5772', 'Die Einstellungsdatei ist beschreibbar.', 'de', '0', '0'),
('5773', 'Der Webserver ist Besitzer der Einstellungsdatei.', 'de', '0', '0'),
('5774', 'Der Drupal Installer konnte die Datei mit den Einstellungen nicht mit den notwendigen Besitzrechten anlegen. Melden Sie sich auf Ihrem Web Server an und löschen Sie die existierende Datei %file. Kopieren Sie anschließend die Vorlagen-Datei %default_file nach %file. Weitere Details zur Installation von Drupal finden Sie in der Datei <a href="@install_txt">INSTALL.txt</a>. Sollten Sie Schwierigkeiten mit den Dateiberechtigungen auf Ihrem Server haben, so werfen Sie einen Blick in das <a href="@handbook_url">Online-Handbuch</a>.', 'de', '0', '0'),
('5775', 'Ungültige MERGE Abfrage: Keine Bedingungen', 'de', '0', '0'),
('5776', 'Gewichtung für @block-Block', 'de', '0', '0'),
('5777', 'Region für @block-Block', 'de', '0', '0'),
('5778', 'Kommentar Freigabe', 'de', '0', '0'),
('5779', 'Kommentare von Benutzern mit der Berechtigung <em>Kommentarfreigabe übergehen</em> werden sofort veröffentlicht. Alle anderen Kommentare kommen in die Warteschlange für <a href=''@comment-approval''>nicht-freigegebene Kommentare</a>, bis ein Benutzer mit der Berechtigung <em>Kommentare verwalten</em> sie veröffentlicht oder löscht. Veröffentlichte Kommentare können auf der Seite <a href=''@admin-comment''>Veröffentlichte Kommentare</a> verwaltet werden.', 'de', '0', '0'),
('5780', 'Kommentare erstellen', 'de', '0', '0'),
('5781', 'Freigabe von Kommentaren überspringen', 'de', '0', '0'),
('5782', 'Übersicht-Seite anzeigen und personalisieren.', 'de', '0', '0'),
('5783', 'Die Übersicht-Seite anpassen.', 'de', '0', '0'),
('5784', 'Diese Funktion kann nur dazu verwendet werden, leere Felder zu löschen', 'de', '0', '0'),
('5785', 'Wollen Sie das Textformat %format deaktivieren?', 'de', '0', '0'),
('5786', 'Ausgeschaltete Eingabeformate werden aus der Administrationsoberfläche entfernt. Jeder gespeicherte Inhalt, der eines dieser Eingabeformate verwendet, wird nicht angezeigt. Der Vorgang kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('5787', 'Textformat %format wurde deaktiviert.', 'de', '0', '0'),
('5788', 'Textformate', 'de', '0', '0'),
('5789', 'Textformat deaktivieren', 'de', '0', '0'),
('5790', 'Gefragtes Thema, neue Kommentare', 'de', '0', '0'),
('5791', 'Gefragtes Thema', 'de', '0', '0'),
('5792', 'Normales Thema', 'de', '0', '0'),
('5793', 'Geschlossenes Thema', 'de', '0', '0'),
('5794', 'Die Referenz für die Nutzung, Konfiguration und Module.', 'de', '0', '0'),
('5795', 'bei dem %property dem Wert %value entspricht', 'de', '0', '0'),
('5796', 'wobei %property dem Wert %value entspricht', 'de', '0', '0'),
('5797', 'und wo', 'de', '0', '0'),
('5798', 'Das RDF-Modul erweitert Ihren Inhalt mit Metadaten, damit andere Anwendungen (z. B. Suchmaschinen, Aggregatoren und so weiter) ihre Beziehungen und Attribute besser zu verstehen. Diese semantisch angereicherten, maschinenlesbaren Ausgabe für Drupal-Seiten verwendet die <a href="@rdfa">RDFa Spezifikation</a> dem RDF-Daten in HTML-Markup eingebettet werden können. Andere Module können ebenfalls diese Technik für ihre Daten verwenden. Das RDF-Modul stellt diese RDF-Daten für das Theme zur Verfügung. Die Module des Drupal-Kern stellen für ihre Datenmodelle die nötigen Informatione für RDF bereit und die Themes des Drupal-Kern geben diese RDF-Metadateninformationen zusammen mit den Menschen-lesbaren visuellen Informationen aus. Weitere Informationen finden Sie im Online-Handbucheintrag für das <a href="@rdf">RDF-Modul</a>.', 'de', '0', '0'),
('5799', 'Aktuelle URL lautet @url.', 'de', '0', '0'),
('5800', 'Seitentitel @actual entspricht @expected.', 'de', '0', '0'),
('5801', 'Seitentitel @actual entspricht nicht @unexpected.', 'de', '0', '0'),
('5802', 'HTTP Antwort !code nicht erwartet, tatsächlich !curl_code', 'de', '0', '0'),
('5803', 'Zugriffsrechte für das @module-Modul einstellen', 'de', '0', '0'),
('5804', 'Die Themes auswählen und konfigurieren.', 'de', '0', '0'),
('5805', 'Die Einstellungen verwalten.', 'de', '0', '0'),
('5806', 'Berichte, Aktualisierungen und Fehler anzeigen.', 'de', '0', '0'),
('5807', 'Speichert temporäre Daten für system_update_7061.', 'de', '0', '0'),
('5808', 'Verwaltungsleiste', 'de', '0', '0'),
('5809', 'Neues Modul oder Theme installieren', 'de', '0', '0'),
('5810', 'Neues Modul installieren', 'de', '0', '0'),
('5811', 'Neues Theme installieren', 'de', '0', '0'),
('5812', '%property ist %value', 'de', '0', '0'),
('5813', 'Verwalten von Benutzerkonten, Rollen und Zugriffsrechten.', 'de', '0', '0'),
('5814', 'Die Berechtigung „Kommentare ohne Freigabe erlauben“ wurde umbenannt in „Kommentarfreigabe überspringen“.', 'de', '0', '0'),
('5815', 'Nichts', 'de', '0', '0'),
('5816', 'Lolspeak', 'de', '0', '0'),
('5817', '%type: !message in %function (Zeile %line von %file).', 'de', '0', '0'),
('5818', '@title aktualisiert', 'de', '0', '0'),
('5819', 'Einen einzigartigen maschinenlesbaren Namen. Kann nur Kleinbuchstaben, Zahlen und Unterstrichen enthalten.', 'de', '0', '0'),
('5820', 'Der maschinenlesbare Name muss ein einzigartigs Zeichen enthalten.', 'de', '0', '0'),
('5821', 'Der maschinenlesbare Name darf nur Kleinbuchstaben, Zahlen und Bindestriche enthalten.', 'de', '0', '0'),
('5822', 'Dieser maschinenlesbare Name ist bereits vergeben. Er muss einzigartig sein.', 'de', '0', '0'),
('5823', 'Asturisch', 'de', '0', '0'),
('5824', 'Englisch, Britisch', 'de', '0', '0'),
('5825', 'Haitian Kreolisch', 'de', '0', '0'),
('5826', 'Portugiesisch, International', 'de', '0', '0'),
('5827', 'Reihenfolge für @title', 'de', '0', '0'),
('5828', 'Reihenfolge für zeile @number', 'de', '0', '0'),
('5829', 'Übergeordnet für @title', 'de', '0', '0'),
('5830', 'Neue Feldbezeichnung', 'de', '0', '0'),
('5831', 'Übergeordnetes Element für das neue Feld', 'de', '0', '0'),
('5832', 'Typ des neuen Feldes', 'de', '0', '0'),
('5833', 'Reihenfolge des neuen Feldes', 'de', '0', '0'),
('5834', 'Vorhandene Feldbezeichnung', 'de', '0', '0'),
('5835', 'Übergeordnetes Element für das vorhandene Feld', 'de', '0', '0'),
('5836', 'Vorhandenes Feld zur Wiederverwendung', 'de', '0', '0'),
('5837', 'Steuerelement für vorhandenes Feld', 'de', '0', '0'),
('5838', 'Beschriftung für @title', 'de', '0', '0'),
('5839', 'Formatierer für @title.', 'de', '0', '0'),
('5840', 'Übergeordnete für @title', 'de', '0', '0'),
('5841', 'Sichtbarkeit für @title', 'de', '0', '0'),
('5842', 'Für dieses Feld sind bereits Daten in der Datenbank. Die Feldeinstellungen können nicht mehr geändert werden.', 'de', '0', '0'),
('5843', 'Reihenfolge für die neue Datei', 'de', '0', '0'),
('5844', 'Datei auswählen', 'de', '0', '0'),
('5845', 'Reihenfolge für den neuen Effekt', 'de', '0', '0'),
('5846', '@title Sprachanbieter', 'de', '0', '0'),
('5847', '@title Menüpunkt aktivieren', 'de', '0', '0'),
('5848', 'Ein einzigartiger Name, um die URL für das Menü zu konstruieren. Er darf nur Kleinbuchstaben, Zahlen und Bindestriche enthalten.', 'de', '0', '0'),
('5849', 'Ein eindeutiger maschinenlesbaren Name für diesen Inhaltstyp. Er darf nur Kleinbuchstaben, Zahlen und Unterstriche enthalten. Dieser Name wird zum Erstellen der URL verwendet auf der Seite %node-add, dabei werden Unterstriche in Bindestriche umgewandelt.', 'de', '0', '0'),
('5850', 'Auswahlbezeichnung', 'de', '0', '0'),
('5851', 'Neue Auswahlbezeichnung', 'de', '0', '0'),
('5852', 'Stimmanzahl für die Auswahl @label', 'de', '0', '0'),
('5853', 'Stimmanzahl für eine neue Auswahl', 'de', '0', '0'),
('5854', 'Reihenfolge für die Auswahl @label', 'de', '0', '0'),
('5855', 'Reihenfolge für eine neue Auswahl', 'de', '0', '0'),
('5856', 'Kategorie für @title', 'de', '0', '0'),
('5857', 'Aktive Module', 'de', '0', '0'),
('5858', '@original_title (@parent_title)', 'de', '0', '0'),
('5859', 'Ihre PHP-Installation ist zu alt. Drupal benötigt mindestens PHP 5.2.5 oder PHP @version mit dem zurückportierten htmlspecialchars Sicherheitspatch.', 'de', '0', '0'),
('5860', 'Ihr Webserver scheint nicht PDO (PHP Data Objects) zu unterstützen. Fragen Sie Ihren Hostinganbieter, ob dieser die native PDO-Erweiterung unterstützt. Für weitere Informationen sehen Sie die <a href="@link">Systemvoraussetzungen</a> an.', 'de', '0', '0'),
('5861', 'Ihr Webserver scheint die falsche Version von PDO installiert zu haben. Drupal 7 verlangt die PDO-Erweiterung von PHP. Dieses System hat die ältere PECL-Version. Für weitere Informationen sehen Sie die <a href="@link">Systemvoraussetzungen</a> an.', 'de', '0', '0'),
('5862', 'Liste der Aktionen auslösen, wenn !description', 'de', '0', '0'),
('5863', 'Die Datenbankversion %version ist älter als die minimal benötigte Version %minimum_version.', 'de', '0', '0'),
('5864', '!theme (Standard-Theme)', 'de', '0', '0'),
('5865', '!theme (Verwaltungs-Theme)', 'de', '0', '0'),
('5866', 'Das Dashboard Modul stellt eine<a href="@dashboard">Dashboardseite</a> im Administrationsbereich zur Verfügung. Diese dient dazu häufige Verwaltungsaufgaben, Links und Informationen rund um ihre Site zu bündeln. Die Dashboardseite besteht aus Blöcken die sie hinzufügen und mit mit der Drag-n-Drop-Oberfläche verschieben können, diese erscheint, wenn Sie auf <em>Dashboard anpassen</em> anklicken. Blöcke, die nicht primär für Administrationsaufgaben gedacht sind, erscheinen hier nicht, können aber über  <em>Weitere Blöcke hinzufügen</em> eingefügt werden. Für weitere Informationen, sehen Sie im Online Handbuch des <a href="@handbook">Dashboard Moduls</a> nach.', 'de', '0', '0'),
('5867', 'Ordnen Sie Blöcke für die Anzeige auf der <a href="@dashboard-url">Dashboard-Seite</a> an. Blöcke aus der Region <em>Dashboard (inaktiv)</em> werden nicht angezeigt.', 'de', '0', '0'),
('5868', 'Weitere Blöcke hinzufügen', 'de', '0', '0'),
('5869', 'Ersatz-URL', 'de', '0', '0'),
('5870', 'Verwenden Sie eine bereits erfasste Sprache für URLs, wenn keine gefunden wird.', 'de', '0', '0'),
('5871', '%type_name: Neuen Inhalt erzeugen', 'de', '0', '0'),
('5872', '%type_name: Eigenen Inhalt bearbeiten', 'de', '0', '0'),
('5873', '%type_name: Beliebigen Inhalt bearbeiten', 'de', '0', '0'),
('5874', '%type_name: Eigenen Inhalt löschen', 'de', '0', '0'),
('5875', '%type_name: Beliebigen Inhalt löschen', 'de', '0', '0'),
('5876', 'Die Nachricht wurde ausgeblendet. Sie können Ihre Overlay-Einstellungen jederzeit ändern, indem Sie ihr Benutzerkonto besuchen.', 'de', '0', '0'),
('5877', 'Wenn Sie Probleme beim Zugriff auf administrative Seiten auf dieser Website haben, deaktivieren Sie die Überlagerung auf Ihrer Profilseite.', 'de', '0', '0'),
('5878', 'Diese Meldung ausblenden.', 'de', '0', '0'),
('5879', 'Optionen für das administrative Overlay', 'de', '0', '0'),
('5880', 'Nächste Schritte', 'de', '0', '0'),
('5881', 'Die Datei %file konnte nicht kopiert werden, da das Zielverzeichnis %destination nicht korrekt konfiguriert ist.', 'de', '0', '0'),
('5882', '@driver_name Einstellungen', 'de', '0', '0'),
('5883', 'MySQL, MariaDB, oder equivalent', 'de', '0', '0'),
('5884', 'SQLite', 'de', '0', '0'),
('5885', 'Datenbankdatei', 'de', '0', '0'),
('5886', 'Der absolute Pfad zur Datei, in welcher die Daten von @drupal gespeichert werden. Diese muss durch den Webserver beschreibbar sein und sollte sich außerhalb des Wurzelverzeichnisses der Drupal-Installation befinden.', 'de', '0', '0'),
('5887', 'Das angegebene Verzeichnis ist durch den Web-Server nicht beschreibbar.', 'de', '0', '0'),
('5888', 'Das Feld-Modul ermöglicht benutzerdefinierte Datenfelder für <em>Entitätstypen</em>. Entitäten sind Inhaltselemente, Kommentare, Benutzerkonten und Taxonomie-Begriffe. Das Feld-Modul übernimmt das Speichern, Laden, Bearbeiten und Ausgeben der Felddaten. Die meisten Benutzer interagiert nicht direkt mit dem Feld-Modul, sondern werden die <a href="@field-ui-help">Feld UI Modul</a> -Benutzeroberfläche verwenden. Entwickler können die Feld-API nutzen, um neue Entitätstypen mit Feldern zu versehen. Weitere Informationen finden Sie im Handbucheintrag zum <a href="@field">Feldmodul</a>.', 'de', '0', '0'),
('5889', 'Im Moment sind keine Felder vorhanden.', 'de', '0', '0'),
('5890', 'Fett', 'de', '0', '0'),
('5891', 'Nachdem Sie einen Bildstil erzeugt haben, können Sie Effekte hinzufügen: Zuschneiden, Skalieren, Grösse verändern, Rotieren, Sättigung ändern (andere Module verfügen über zusätzliche Effekte). Zum Beispiel kann durch Kombination der Effekte wie Zuschneiden, Skalieren und Sättigung ändern graugefärbte, quadratische Vorschaubilder erzeugt werden.', 'de', '0', '0'),
('5892', 'Weiterlesen<span class="element-invisible"> über @title</span>', 'de', '0', '0'),
('5893', 'Sie können einen alternative URL angeben, mit der auf diesen Inhalt zugegriffen werden kann. Beispielsweise kann „info“ für eine Informationsseite festgelegt werden. Verwenden Sie einen relativen Pfad und fügen Sie keinen abschließenden Schrägstrich hinzu, ansonsten funktioniert der URL-Alias nicht.', 'de', '0', '0'),
('5894', 'Das PHP-Filter-Modul fügt einen PHP-Filter auf Ihre Website ein, für die Verwendung beispielsweise in Beiträgen als <a href="@filter">Text-Format</a>. Dieses Filter fügt die Funktion zum Ausführen von PHP Code in einem beliebigen Textfeld zu Ihrer Website hinzu. <a href="@php-net">PHP</a> ist eine Skriptsprache, die häufig für Web-Entwicklung verwendet, und die Sprache mit der Drupal entwickelt wurde. Weitere Informationen finden Sie im Handbucheintrag für das <a href="@php">Filter-Modul für PHP</a>.', 'de', '0', '0'),
('5895', 'Die Zahl der Stimmen, die bei einer Umfrage abgegeben wurden.', 'de', '0', '0'),
('5896', 'Der Befragungs-Zeitraum für die Umfrage.', 'de', '0', '0'),
('5897', 'Module @module deinstallieren', 'de', '0', '0'),
('5898', 'CSS-Dateien aggregieren und komprimieren.', 'de', '0', '0'),
('5899', 'JavaScript-Dateien aggregieren.', 'de', '0', '0'),
('5900', 'Um @module zu deinstallieren muss zuerst das folgende Modul deinstalliert werden: @required_modules', 'de', '0', '0'),
('5901', 'Um @module zu deinstallieren müssen zuerst die folgenden Module deinstalliert werden: @required_modules', 'de', '5900', '1'),
('5902', 'Neu hinzugefügte Module aktivieren', 'de', '0', '0'),
('5903', 'Neu hinzugefügte Themes aktivieren', 'de', '0', '0'),
('5904', 'Das Deinstallationsprogramm entfernt alle zu einem Modul gehörigen Daten. Ein Modul kann nur dann deinstalliert werden, wenn dieses auf der <a href="@modules">Modulseite</a> deaktiviert ist.', 'de', '0', '0'),
('5905', 'Anzeigen des Verwaltung-Theme', 'de', '0', '0'),
('5906', 'Dies wird nur dann verwendet, wenn die Site so konfiguriert ist, dass ein eigenes Verwaltungsthema auf der <a href="@appearance-url">Erscheinungsbildseite</a> verwendet wird.', 'de', '0', '0'),
('5907', 'Datenbank', 'de', '0', '0'),
('5908', 'Version der Datenbank', 'de', '0', '0'),
('5909', 'Das Toolbar-Modul zeigt am oberen Bildschirmrand eine Leiste mit der obersten Ebene der administrativen Links an. Darunter gibt es eine Leiste, in der andere Module, wie das <a href="@shortcuts-help">Shortcut-Modul</a> frei definierbare Links anzeigen können. Die Leiste kann über den Ein/Ausblenden-Link am Ende der Toolbar ein-/ausgeblendet werden.', 'de', '0', '0'),
('5910', '%count Inhaltselemente für die Nachverfolgung idexiert.', 'de', '0', '0'),
('5911', 'Auf dieser Seite gibt es für jedes Modul einen Tab, der einen Trigger definiert. In diesen Tabs können Aktionen definiert werden, die durch <a href="@module-help">@module-name module</a> ausgelöst werden.', 'de', '0', '0'),
('5912', 'Versionshinweise für @project_title', 'de', '0', '0'),
('5913', 'Die Einstellungen für die Rollen wurden aktualisiert.', 'de', '0', '0'),
('5914', 'Das Benutzerkonto deaktivieren und damit erstellten Inhalt behalten.', 'de', '0', '0'),
('5915', 'Das Benutzerkonto deaktivieren und die Veröffentlichung des damit erstellen Inhalts zurücknehmen.', 'de', '0', '0'),
('5916', 'Das Benutzerkonto löschen und dessen Inhalt dem Benutzer %anonymous-name zuordnen.', 'de', '0', '0'),
('5917', 'Das Benutzerkonto und dessen erstellten Inhalt löschen.', 'de', '0', '0'),
('5918', 'Im Benutzerregistrierungsformular anzeigen.', 'de', '0', '0'),
('5919', 'Diese Einstellung ist für „Pflichtfelder” obligatorisch.', 'de', '0', '0'),
('5920', 'Drupal-Systemauflistung kompatibler Test', 'de', '0', '0'),
('5921', 'Hilfsmodul zum Test der Funktion drupal_system_listing.', 'de', '0', '0'),
('5922', 'Drupal-Systemauflistung inkompatibler Test', 'de', '0', '0'),
('5923', 'In der actions-Tabelle existieren @count verwaiste Aktionen (%orphans) . !link', 'de', '0', '0'),
('5924', '1 Kommentar gelöscht.', 'de', '0', '0'),
('5926', 'Verwenden Sie die Feldbezeichnung anstelle des Werts zur Beschriftung', 'de', '0', '0'),
('5927', 'Ein Beitrag gelöscht.', 'de', '0', '0'),
('5929', 'tracker', 'de', '0', '0'),
('5930', 'Das automatische Aktualisieren des Drupal-Kerns wird nicht unterstützt. Der<a href="@upgrade-guide">upgrade guide</a> enthält Informationen darüber, wie der Drupal-Kern manuell aktualisiert werden kann.', 'de', '0', '0'),
('5931', '%archive_file beinhaltet eine Version von %names, welche nicht kompatibel ist mit Drupal !version.', 'de', '0', '0'),
('5932', '%archive_file beinhaltet Versionen von Modulen oder Themes, welche nicht kompatibel sind mit Drupal !version: %names', 'de', '5931', '1'),
('5933', 'Die Einstellung %setting ist derzeit gesetzt auf ‚%current_value‘, muss jedoch auf ‚%needed_value‘ gesetzt werden. Ändere dies, durch das Ausführen folgender Query: !query', 'de', '0', '0'),
('5934', 'Liste (Ganzzahl)', 'de', '0', '0'),
('5935', 'Dieses Feld speichert ganzzahlige Werte aus einer Liste von zulässigen Werten als Paare in der Form ‚Wert => Bezeichnung‘, z. B. ‚Lebensdauer in Tagen‘: 1 => 1 Tag, 7 => 1 Woche, 31 => 1 Monat.', 'de', '0', '0'),
('5936', 'Liste (Float)', 'de', '0', '0'),
('5937', 'Dieses Feld speichert Gleitkommawerte aus einer Liste von zulässigen Werten als Paare in der Form ‚Wert => Bezeichnung‘, z. B. ‚Brüche‘: 0 => 0; 0,25 => 1/4; 0,75 => 3/4.', 'de', '0', '0'),
('5938', 'Dieses Feld speichert Textwerte aus einer Liste von Paaren im Format ‚Wert => Label‘ , d.h. ‚US Bundesstaaten‘: IL => Illinois, IA => Iowa, IN => Indiana.', 'de', '0', '0'),
('5939', 'Die möglichen Werte, die dieses Feld enthalten kann. Geben Sie einen Wert pro Zeile, im Format: Schlüssel|Bezeichnung.', 'de', '0', '0'),
('5940', 'Der Schlüssel ist der gespeicherte Wert und muss numerisch sein. Die Bezeichnungen werden zur Anzeige der Werte und beim Bearbeiten in Formularen verwendet.', 'de', '0', '0'),
('5941', 'Der Bezeichner ist optional: Wenn eine Zeile eine einzige Nummer enthält, wird diese als Schlüssel und Bezeichnung verwendet.', 'de', '0', '0'),
('5942', 'Listen von Bezeichnungen sind auch möglich (jeweils eine pro Zeile), solange das Feld noch keine Werte enthält. Ziffern als Schlüssel werden automatisch aus den Positionen in der Liste erzeugt.', 'de', '0', '0'),
('5943', 'Der Schlüssel ist der gespeicherte Wert. Die Bezeichnungen werden zur Anzeige der Werte und beim Bearbeiten in Formularen verwendet.', 'de', '0', '0'),
('5944', 'Der Bezeichner ist optional: Wenn eine Zeile einen einzigen Text enthält, wird dieser als Schlüssel und Bezeichnung verwendet.', 'de', '0', '0'),
('5945', 'Liste der zulässigen Werte: Ungültige Eingabe.', 'de', '0', '0'),
('5946', 'Gültige Werteliste: einige Werte werden gelöscht, während sie noch in der Verwendung sind.', 'de', '0', '0'),
('5947', 'Verbindung zum Server fehlgeschlagen. Der Server brachte folgende Meldung: !message <br /><a href="@handbook_url">Hilfe zum Installieren oder Aktualisieren von Code auf dem Server</a>.', 'de', '0', '0'),
('5948', 'Die info-Datei kann nicht ausgewertet werdden: %info_file.', 'de', '0', '0'),
('5949', 'Die Informationsdatei (%info_file) definiert kein ‚name‘ - Attribut.', 'de', '0', '0'),
('5950', 'Die Test-Umgebung erfordert ein Speicherlimit für PHP von zumindest %memory_minimum_limit. Der derzeitige Wert beträgt %memory_limit. <a href="@url">Empfehlung zur Einstellung des Speicherlimits</a>.', 'de', '0', '0'),
('5951', '<a href="@module_url">Module</a> und <a href="@theme_url">Themes</a> können auf <a href="@drupal_org_url">drupal.org</a> gefunden werden. Die folgenden Dateiendungen werden akzeptiert: %extensions.', 'de', '0', '0'),
('5952', 'Der Server unterstützt nicht das Updaten von Modulen und Themes über dieses Interface. Module und Themes können, so wie im <a href="@handbook_url">Handbuch</a> beschrieben, durch direktes Speichern auf dem Server aktualisiert werden.', 'de', '0', '0'),
('5953', 'Der Server unterstützt nicht das Installieren von Modulen und Themes über diese Oberfläche. Module und Themes können installiert werden, indem sie direkt auf dem Server gespeichert werden, so wie es im <a href="@handbook_url">Handbuch</a> steht.', 'de', '0', '0'),
('5954', 'Die Aktualisierung von Modulen und Themes erfordert <strong>@backends-Zugriff</strong> auf den Server. Nähere Informationen zu anderen Aktualisierungsmethoden gibt es im <a href="@handbook_url">Handbuch</a>.', 'de', '0', '0'),
('5955', 'Die Aktualisierung von Modulen und Themes erfordert Zugriff auf den Server über eine der folgenden Methoden: <strong>@backends</strong>. Nähere Informationen zu anderen Aktualisierungsmethoden gibt es im <a href="@handbook_url">Handbuch</a>.', 'de', '5954', '1'),
('5956', 'Die Installation von Modulen und Themes erfordert <strong>@backends Zugriff</strong> auf Ihrem Server, siehe <a href="@handbook_url">Handbuch zur Installation</a>.', 'de', '0', '0'),
('5957', 'Die Installation von Modulen und Themes erfordert <strong>@backends Zugriff</strong> auf Ihrem Server, siehe <a href="@handbook_url">Handbuch zur Installation</a>.', 'de', '5956', '1'),
('5958', '%archive_file enthält keine .info-Dateien.', 'de', '0', '0'),
('5959', 'Inhalte und Kommentare verwalten.', 'de', '0', '0'),
('5960', 'Felder des Kommentars', 'de', '0', '0'),
('5961', 'RSS Kategorie', 'de', '0', '0'),
('5962', 'Geben Sie für %name die Farbe als hexadezimalen CSS Wert an.', 'de', '0', '0'),
('5963', 'Jeder Bereich verfügt über <em>Widgets</em>; jedes Widget bietet einen eigenen Mechanismus für die Dateneingabe. Jeder Bereich hat auch einen oder mehrere Anzeigeoptionen, die bestimmen, wie das Feld für Besucher der angezeigt wird. Die Widget und Display-Optionen können geändert werden, nachdem Sie das Feld erstellt haben.', 'de', '0', '0'),
('5964', 'Das Feld %id (%old_field_name) konnte nicht in %new_field_name umbenannt werden, weil der Typ field_sql_storage nicht verwendet wird.', 'de', '0', '0'),
('5965', 'Die Änderungen am Stil wurden gespeichert.', 'de', '0', '0'),
('5966', 'Dieser Block wird angezeigt, falls <a href="@languages">mindestens zwei Sprachen aktiviert</a> sind und die <a href="@configuration">Spracherkennung</a> auf <em>URL</em> oder <em>Session</em> eingestellt ist.', 'de', '0', '0'),
('5967', 'Das Menü-Modul bietet eine Schnittstelle zum Verwalten von Menüs. Ein Menü ist eine hierarchische Auflistung der Links, die im Allgemeinen für die Navigation verwendet werden. Jedes Menü wird als eigener Block ausgegeben und über die <a href="@blocks">Verwaltungsseite Blöcke</a>positioniert werden. Sie können <a href="@menus">Menüs anzeigen und verwalten </a>. Weitere Informationen finden Sie im Handbucheintrag für das <a href="@menu">Menü-Modul</a>.', 'de', '0', '0'),
('5968', '(Maschinenlesbarer Name: @type)', 'de', '0', '0'),
('5969', 'OpenID schlägt vor eine Bibliothek zu verwenden, entweder <a href="@gmp">GMP-Math</a> (für hohe Leistung empfohlen) oder <a href="@bc">BC Math.</a>', 'de', '0', '0'),
('5970', 'Nicht optimiert', 'de', '0', '0'),
('5971', 'OpenID schlägt vor, die Verwendung von der GMP-Mathematik-Bibliothek für PHP für eine optimale Leistung. Überprüfen Sie die Installationsanweisungen für <a href="@url">GMP Math Library Dokumentation</a> .', 'de', '0', '0'),
('5972', 'OpenID Math Bibliothek', 'de', '0', '0'),
('5973', 'Das @module Modul fehlt, daher wird das folgende Modul deaktiviert: @depends.', 'de', '0', '0'),
('5974', 'Das @module Modul fehlt, daher werden die folgenden Module deaktiviert: @depends.', 'de', '5973', '1'),
('5975', 'Der vom System lesbare Name darf nicht „add“ oder „list“ sein.', 'de', '0', '0'),
('5976', 'Die Unterstützung von Mehrsprachigkeit für diesen Inhaltstyp aktivieren. Sobald aktiviert, wird im Bearbeiten-Formular ein Sprachauswahlfeld hinzugefügt, dass eine Auswahl der <a href="!languages">aktivierten Sprachen</a> ermöglicht. Außerdem kann das Übersetzen für diesen Inhaltstyp aktiviert werden, damit Inhalte in alle aktivierten Sprachen übersetzt werden können. Sobald deaktiviert, werden neue Beiträge mit der Standardsprache gespeichert. Vorhandene Inhalte sind durch die Änderung dieser Option nicht betroffen.', 'de', '0', '0'),
('5977', 'Diese Abfrage erfordert Zugriffsberechtigungen für Beiträge, aber es fehlt die Nid. Fügen Sie Node.nid im Schema als Fremdschlüssel hinzu.', 'de', '0', '0'),
('5978', 'Die Abfrage für eine Liste der Beiträge verwendet @fallback als Basistabelle, obwohl die Zugriffsberechtigungen berücksichtigt werden sollen. Dies ist möglicherweise nicht sicher und funktioniert möglicherweise überhaupt nicht. Geben Sie in Ihrem Schema node.nid als Fremdschlüssel an. ', 'de', '0', '0'),
('5979', 'Unbekanntes Feld: @field_name', 'de', '0', '0'),
('5980', '%field: Es darf nur ein Dezimaltrennzeichen definiert sein. (%separator)', 'de', '0', '0'),
('5981', '!title aktivieren', 'de', '0', '0'),
('5982', 'Setze !title als Standard', 'de', '0', '0'),
('5983', 'Aktivierte Module: %modules', 'de', '0', '0'),
('5984', 'Die Datei %file konnte nicht kopiert werden, da das Ziel %destination ungültig ist. Dies passiert häufig wegen inkorrekter Nutzung von file_copy() oder einem fehlenden Stream Wrapper.', 'de', '0', '0'),
('5985', 'Die Datei %file konnte nicht kopiert werden, da sie nicht existiert.', 'de', '0', '0'),
('5986', 'Die Datei %file konnte nicht verschoben werden, da das Ziel %destination nicht gültig ist. Dies kann verursacht sein durch eine falsche Verwendung von file_move() oder aufgrund eines fehlenden „Stream Wrappers“.', 'de', '0', '0'),
('5987', 'Die Datei %file konnte nicht gelöscht werden, da dies keine gültige URL ist. Dies kann verursacht sein durch einen falschen Gebrauch von file_delete() oder einen fehlenden „Stream Wrapper“.', 'de', '0', '0'),
('5988', 'Ein vorhandener lokaler Dateisystempfad zum Speichern privater Dateien gespeichert. Es sollte von Drupal beschreibbar und nicht über das Internet zugänglich sein; <a href="@handbook">weitere Informationen zum Sichern von Dateien</a>.', 'de', '0', '0'),
('5989', 'Curaçao', 'de', '0', '0'),
('5990', 'Sint Maarten', 'de', '0', '0'),
('5991', 'Fehlende Paketeigenschaft auf einem Element des Types @entity_type.', 'de', '0', '0'),
('5992', 'Feld Typ(en) in Verwendung', 'de', '0', '0'),
('5993', 'Felder stehen zum Löschen noch aus.', 'de', '0', '0'),
('5994', '(Modul: !module)', 'de', '0', '0'),
('5995', 'Erweitern der Website-Funktionalität', 'de', '0', '0'),
('5996', 'Die angeforderte Seite „@path“ wurde nicht gefunden.', 'de', '0', '0'),
('5997', 'Das Formular ist nicht mehr gültig. Speichern Sie alle noch nicht gespeicherten Arbeiten im untenstehenden Formular und dann <a href="@link">laden Sie diese Seite</a> erneut.', 'de', '0', '0'),
('5998', 'Treffen Sie Ihre Entscheidungen, bevor Sie ein Feld für Inhalte, Kommentare, etc. definieren:', 'de', '0', '0'),
('5999', 'Die Aktivitätsanzeige zeigt nicht den Status der hochgeladenen Dateien an, aber benötigt weniger Platz. Die Fortschrittsanzeige ist nützlich, um den Fortschritt großer hochzuladenen Dateien zu beobachten.', 'de', '0', '0'),
('6000', 'Der Domainname, der für diese Sprache verwendet werden soll, falls URL-Domänen zur <em>Erkennung und Auswahl</em> verwendet werden. Für die Standardsprache lassen Sie dies leer. <strong>Eine Änderung des Wertes kann bestehende URL''s ungültig werden lassen.</strong> Beispiel: die Angabe von „de.example.com„ als Sprachdomäne für die deutsche Sprache ergibt eine URL wie „http://de.example.com/contact“.', 'de', '0', '0'),
('6001', 'Der neue OpenID Ifentifikator %identitiy wurde als Ersatz für den ungültigen Identifikator %invalid_identity hinzugefügt. Um den Prozess zur Bereinigung der ungültigen Identifikation zu beenden, gehen Sie zur <a href="@openid_url">OpenID Identifikatorenseite</a> und löschen den alten Identifikator %invalid_identity.', 'de', '0', '0'),
('6002', 'Ein schon bestehendes Benutzerkonto ist mit dem OpenID Identifikator, den Sie eingegeben haben, verknüpft. Aufgrund eines Programmierfehlers inder vorhergehenden Version des Authentisierungssystem könenn wir nicht sicher sein, dass dieses Konto zu Ihnen gehört. Wenn Sie neuer Benutzer dieser Site sind, fahren Sie bitte mit der Neu-Registration fort. Wenn Sie schon ein Konto haben, das mit der gegebenen OpenID verknüpft ist, versuchen Sie, das <a href="@url_password">Passwort zurückzusetzen</a> oder kontaktieren Sie den Administrator diese Site.', 'de', '0', '0'),
('6003', 'Der Suchindex wird nicht gelöscht, sondern systematisch aktualisiert, um die neue Einstellungen zu berücksichtigen. Die Suchfunktion arbeitet weiterhin, aber neue Inhalte werden nicht indiziert, bis jeglicher schon bestehender Inhalt erneut indiziert wurde. Diese Aktion kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('6004', 'Aktive Suchmodule', 'de', '0', '0'),
('6005', 'Keine Shortcuts verfügbar. <a href="@link">Einen Shortcut hinzufügen</a>.', 'de', '0', '0'),
('6006', 'Lassen Sie dieses frei, um sowohl den bestehenden Benutzernamen als auch das Password zu löschen.', 'de', '0', '0'),
('6007', 'Um das Passwort zu ändern, geben Sie hier das neue Password ein.', 'de', '0', '0'),
('6008', 'Die HTTP-Authentifizierungsinformationen müssen neben dem Passwort auch einen Benutzernamen beinhalten.', 'de', '0', '0'),
('6009', 'Nicht kompatibel mit dieser Version des Drupal-Kernsystems.', 'de', '0', '0'),
('6010', 'Cron ist verantwortlich dafür, dass regelmässige Aufgaben, wie das Prüfen von Updates und das Indizieren von Inhalten für die Suche, durchgeführt werden.', 'de', '0', '0'),
('6011', 'Die Prüfung auf gültige URL''s war erfolgreich.', 'de', '0', '0'),
('6012', 'Clean-URL''s sind eingeschaltet, aber der dazugehörige Test war nicht erfolgreich. Deselektieren Sie die Box unten, um Clean-URL''s zu deaktivieren.', 'de', '0', '0'),
('6013', 'Die Prüfung auf gültige URL''s war nicht erfolgreich.', 'de', '0', '0'),
('6014', 'Clean-URL''s können nicht aktiviert werden. Wenn Sie auf diese Seite weitergeleitet wurden, oder ein <em>Seite wurde nicht gefunden (404)</em>-Fehler nach dem Testen der Clean-URL''s aufgetreten ist, schauen Sie bitte ins <a href="@handbook">Online-Handbuch</a>.', 'de', '0', '0'),
('6015', 'Benutzername und Passwort', 'de', '0', '0'),
('6016', 'Benutzermodul-Kontoformularelemente.', 'de', '0', '0'),
('6017', 'Fehler beim Erstellen des Feldes %label: !message', 'de', '0', '0'),
('6018', '@module (<span class="admin-missing">nicht kompatibel mit</span> dieser Version des Drupal-Kerns)', 'de', '0', '0'),
('6019', 'Aktualisierungsnachrichten sind nicht eingerichtet. Es wird <strong>dringlich empfohlen</strong>, das Update Manager Modul auf der <a href="@module">Modul Verwaltungsseite</a> einzuschalten, um aktuelle Releases zu erhalten. Weitere Informationen finden Sie auf der <a href="@update">Update Status Seite des Handbuchs</a>.', 'de', '0', '0'),
('6020', 'Ihre Suche hat zuviele AND/OR Ausdrücke verwendet. Nur die ersten @count Begriffe wurden in die Suche einbezogen.', 'de', '0', '0'),
('6021', 'Der Test kann nicht durchgeführt werden, da er nicht korrekt aufgesetzt wurde.', 'de', '0', '0'),
('6022', 'Feld mit dem Namen @name gefunden.', 'de', '0', '0'),
('6023', 'Feld mit dem Namen @name und dem Wert @value gefunden.', 'de', '0', '0'),
('6024', 'Der Schlüssel eines Listenfelds (@field_name) mit vorhandenen Daten kann nicht geändert werden.', 'de', '0', '0'),
('6025', 'Ein eindeutiger maschinenlesbarer Name kann nur Kleinbuchstaben, Zahlen und Unterstriche enthalten.', 'de', '0', '0'),
('6026', 'Der Stil %style wurde auf seine Standardeinstellungen zurückgesetzt.', 'de', '0', '0'),
('6027', 'Wenn kein Bild gespeichert wird, wird dieses Bild angezeigt und das Standard-Bild des Felds überschrieben.', 'de', '0', '0'),
('6028', 'Anzeigen von Details für alle Stimmen', 'de', '0', '0'),
('6029', 'Keine gesperrten IP-Adressen vorhanden.', 'de', '0', '0'),
('6030', 'Taxonomie Feld @field_name nicht gefunden.', 'de', '0', '0'),
('6031', 'Verzeichnis temporärer Dateien', 'de', '0', '0'),
('6032', '!feed-title abonnieren', 'de', '0', '0'),
('6033', 'Theme hook %hook nicht gefunden.', 'de', '0', '0'),
('6034', 'Die Tabelle @name besteht bereits.', 'de', '0', '0'),
('6035', 'Die Tabelle @table kann nicht nach @table_new umbenannt werden: Die Tabelle @table existiert nicht.', 'de', '0', '0'),
('6036', 'Die Tabelle @table kann nicht nach @table_new umbenannt werden: Die Tabelle @table_new existiert bereits.', 'de', '0', '0'),
('6037', 'Das Feld @table.@field konnte nicht hinzugefügt werden: Die Tabelle existiert nicht.', 'de', '0', '0'),
('6038', 'Das Feld @table.@field konnte nicht hinzugefügt werden: Das Feld existiert bereits.', 'de', '0', '0'),
('6039', 'Das Feld @table.@field konnte nicht auf einen Standard-Wert gesetzt werden: Das Feld existiert nicht.', 'de', '0', '0'),
('6040', 'Der Standardwert von Feld @table.@field konnte nicht entfernt werden: Das Feld existiert nicht.', 'de', '0', '0'),
('6041', 'Der Primärschlüssel konnte nicht zur Tabelle @table hinzugefügt werden: Die Tabelle existiert nicht.', 'de', '0', '0'),
('6042', 'Der Primärschlüssel konnte nicht zur Tabelle @table hinzugefügt werden: der Primärschlüssel besteht bereits.', 'de', '0', '0'),
('6043', 'Der eindeutige Schlüssel @name konnte nicht zur Tabelle @table hinzugefügt werden: Die Tabelle existiert nicht.', 'de', '0', '0'),
('6044', 'Der eindeutige Schlüssel @name konnte nicht zur Tabelle @table hinzugefügt werden: Der eindeutige Schlüssel besteht bereits.', 'de', '0', '0'),
('6045', 'Der Index @name konnte nicht zur Tabelle @table hinzugefügt werden: Die Tabelle existiert nicht.', 'de', '0', '0'),
('6046', 'Der Index @name konnte nicht zur Tabelle @table hinzugefügt werden: Der Index besteht bereits.', 'de', '0', '0'),
('6047', 'Die Definition des Feldes @table.@name konnte nicht geändert werden: Das Feld existiert nicht.', 'de', '0', '0'),
('6048', 'Die Definition des Feldes @table.@name konnte nicht zu @name_new umbenannt werden: Das Ziel-Feld besteht bereits.', 'de', '0', '0'),
('6049', 'Kein Buchinhalt verfügbar.', 'de', '0', '0'),
('6050', 'Feldtyp(en) sind in Verwendung - siehe <a href="@fields-page">Feld-Liste</a>', 'de', '0', '0'),
('6051', 'nur angemeldete Benutzer', 'de', '0', '0'),
('6052', 'Für dieses Benutzerkonto sind keine OpenID-Identitäten verfügbar.', 'de', '0', '0'),
('6053', 'Uigurisch', 'de', '0', '0'),
('6054', 'Weiteres Modul installieren', 'de', '0', '0'),
('6055', 'Südsudan', 'de', '0', '0'),
('6056', 'Verschaffen Sie sich einen Überblick über <a href="@url">alle Inhalte</a>.', 'de', '0', '0'),
('6057', 'Verschaffen Sie sich einen Überblick über alle Inhalte.', 'de', '0', '0'),
('6061', 'Alle Menüpunkte anzeigen', 'de', '0', '0'),
('6062', 'Erweiterungen', 'de', '0', '0'),
('6063', 'Alle', 'de', '0', '0'),
('6064', 'Aktualisierungen durchführen', 'de', '0', '0'),
('6065', 'Aktuelle Gäste / authentifizierte Benutzer', 'de', '0', '0'),
('6066', 'Menü-Link-ID', 'de', '0', '0'),
('6067', 'Theme-Registry', 'de', '0', '0'),
('6068', 'Oberen Seitenrand anpassen', 'de', '0', '0'),
('6069', 'Menü am Seitenanfang halten', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('6070', 'Sollte das „Utility“-Modul für diesen Zweck installiert worden sein, kann dieses deaktiviert und deinstalliert werden.', 'de', '0', '0'),
('6071', 'Tabs in das Menü verschieben', 'de', '0', '0'),
('6072', 'Administrationsmenü-Einstellungen', 'de', '0', '0'),
('6073', 'Übergeordnete Link-ID', 'de', '0', '0'),
('6074', 'Zusätzliche Daten für jeden Menüpunkt anzeigen', 'de', '0', '0'),
('6075', 'Die ausgewählte Information zu jedem Menüpunkt anzeigen.', 'de', '0', '0'),
('6076', 'Falls aktiviert, werden alle Menüpunkte unabhängig von den Benutzerberechtigungen angezeigt. <em>Hinweis: Nicht auf Produktivseiten aktivieren.</em>', 'de', '0', '0'),
('6077', 'Das Administrationsmenü bietet ein ausklappbares Menü, das Zugriff auf die meisten Verwaltungsaufgaben und andere häufig gebrauchten Ziele mit einem oder zwei Mausklicks ermöglicht (entsprechenden Berechtigungen vorausgesetzt). Die Darstellung des Menüs kann mit untenstehenden Einstellungen angepasst werden.', 'de', '0', '0'),
('6078', 'Das Administrationsmenü bietet ein ausklappbares Menü, welches Zugriff auf die meisten administrativen Aufgaben und andere, allgemeine Seiten mit ein oder zwei Klicks erlaubt (für Benutzer mit den entsprechenden Berechtigungen). Es zeigt außerdem die Anzahl der anonymen und authentifizierten Benutzer an, und erlaubt Modulen, weitere Einträge hinzuzufügen. Die Integration mit dem Menü variiert je nach Modul; das Modul <a href="@drupal">Devel</a> macht beispielsweise starken Gebrauch vom Administationsmenü, um schnellen Zugriff auf Entwicklungswerkzeuge bereitzustellen.', 'de', '0', '0'),
('6079', 'Die <a href="@settings">Einstellungsseite</a> des Administrationsmenüs erlaubt die Anpassung des Menüverhaltens und der Darstellung. Da die Darstellung des Menüs abhängig von der Theme ist, erfordern erhebliche Anpassungen davon besondere Änderungen in der Theme und CSS-Dateien. Die README.txt enthält weiterführende Informationen zu Theme- und CSS-Anpassungen.', 'de', '0', '0'),
('6080', 'Die angezeigten Menüpunkte hängen von den tatsächlichen Berechtigungen des Benutzers ab. Zum einen wird das Administrationsmenü nur Benutzern mit der Berechtigung <em>Zugriff auf das Administrationsmenü</em> (admin_menu module) angezeigt. Zum anderen muss der Benutzer die Berechtigung <em>Zugriff auf den Verwaltungsbereich</em> (system module) besitzen, um die administrativen Links zu sehen. Ferner werden ausschließlich erlaubte Links angezeigt; zum Beispiel, wenn ein Benutzer nicht in einer Rolle mit den Berechtigungen <em>Berechtigungen verwalten</em> (user module) und <em>Benutzer verwalten</em> (user module) ist, dann wird der Menüpunkt <em>Benutzerverwaltung</em> nicht angezeigt.', 'de', '0', '0'),
('6081', 'Administrationsmenü', 'de', '0', '0'),
('6082', 'Einstellungen für das Administrationsmenü anpassen.', 'de', '0', '0'),
('6083', '@count-anon / @count-auth', 'de', '0', '0'),
('6084', 'Bietet ein ausklappbares Menü, welches Zugriff auf die meisten administrativen Aufgaben und andere, allgemeine Seiten mit ein oder zwei Klicks erlaubt (für Benutzer mit den entsprechenden Berechtigungen).', 'de', '0', '0'),
('6085', '@project Issue-Queue', 'de', '0', '0'),
('6086', 'Alle Zwischenspeicher (caches) leeren', 'de', '0', '0'),
('6087', 'Stil der Werkzeugleiste des Administrationsmenü', 'de', '0', '0'),
('6088', 'Eine bessere Werkzeugleiste.', 'de', '0', '0'),
('6089', 'Registrierung von Klassen', 'de', '0', '0'),
('6090', 'Bewegt die Ausgabe der Seite vom oberen Ende des Darstellungsfeldes um ungefähr 20 Pixel nach unten. Wenn deaktiviert, können absolut oder fix positionierte Seitenelemente vom Administrationsmenü bedeckt sein.', 'de', '0', '0'),
('6091', 'Zeigt das Administrationsmenü immer oberhalb des Darstellungsfeldes im Browser an (selbst wenn die Seite nach unten gescrollt wird)', 'de', '0', '0'),
('6092', 'In manchen Browsern kann diese Einstellung zu falsch dargestellten Seitenelementen, einem unsichtbaren Mauszeiger, nicht auswählbaren Elementen in Formularen oder ähnlichen Fehlern führen.', 'de', '0', '0'),
('6093', 'Modulgruppen auf der Seite <a href="!modules-url">%modules</a> standardmäßig einklappen.', 'de', '0', '0'),
('6094', 'Modulgruppen auf der Seite <a href="@permissions-url">%permissions</a> standardmäßig einklappen.', 'de', '0', '0'),
('6095', 'Bewegt die Reiter auf allen Seiten in das Administrationsmenü. Nur in Themes möglich, die die CSS-Klassen <code>tabs primary</code> und <code>tabs secondary</code> verwenden.', 'de', '0', '0'),
('6096', 'Zugriff auf das Administrationsmenü', 'de', '0', '0'),
('6097', 'Das Administrationsmenü am oberen Rand jeder Seite anzeigen.', 'de', '0', '0'),
('6098', 'Alle Zwischenspeicher (caches) leeren', 'de', '0', '0'),
('6099', 'Berechtigung zum Leeren aller Zwischenspeicher im Administrationsmenü.', 'de', '0', '0'),
('6100', 'Links zu drupal.org anzeigen', 'de', '0', '0'),
('6101', 'Links zu Drupal.org im Administrationsmenü anzeigen.', 'de', '0', '0'),
('6102', 'Administrationswerkzeuge.', 'de', '0', '0'),
('6103', 'Systemlinks neu erstellen', 'de', '0', '0'),
('6104', 'System Links aus der Tabelle Menu_router wurden erneut aufgebaut.', 'de', '0', '0'),
('6105', 'Administration von Entwicklungswerkzeugen', 'de', '0', '0'),
('6106', 'Verwaltung und Debugfunktion für Entwickler und Administratoren von Sites.', 'de', '0', '0'),
('6108', '!title Zwischenspeicher (Cache) geleert.', 'de', '0', '0'),
('6109', 'CSS und JavaScript', 'de', '0', '0'),
('6110', 'Seite und Sonstiges', 'de', '0', '0'),
('6111', 'Daten aktualisieren', 'de', '0', '0'),
('6113', 'Kontext', 'de', '0', '0'),
('6114', 'Ausführen', 'de', '0', '0'),
('6115', 'Anmelden', 'de', '0', '0'),
('6116', 'Kommentarformular', 'de', '0', '0'),
('6117', 'Formular zum Bearbeiten des Benutzerkontos', 'de', '0', '0'),
('6118', 'Kontaktformular des Benutzers', 'de', '0', '0'),
('6119', 'Admin Titel', 'de', '0', '0'),
('6120', 'Tiefe', 'de', '0', '0'),
('6121', 'Zurück', 'de', '0', '0'),
('6122', 'Oben', 'de', '0', '0'),
('6123', 'Klein', 'de', '0', '0'),
('6124', 'Groß', 'de', '0', '0'),
('6125', 'Ansichten', 'de', '0', '0'),
('6126', 'Zugriff', 'de', '0', '0'),
('6127', 'Inhaltstyp', 'de', '0', '0'),
('6128', 'Stil', 'de', '0', '0'),
('6129', 'Pfade', 'de', '0', '0'),
('6130', 'Ein Formular zum Bearbeiten eines Beitrages.', 'de', '0', '0'),
('6131', 'Ein Formular zum Erstellen eines Beitrages.', 'de', '0', '0'),
('6132', 'Titel übersteuern', 'de', '0', '0'),
('6133', 'Pager ID', 'de', '0', '0'),
('6134', 'URL überschreiben', 'de', '0', '0'),
('6135', 'Falls aktiviert, wird die URL der Ansicht überschrieben; manchmal kann es sinnvoll sein, die Panel-URL einzusetzen.', 'de', '0', '0'),
('6136', 'Unten', 'de', '0', '0'),
('6137', 'Beitraglinks', 'de', '0', '0'),
('6138', 'Benutzerbild', 'de', '0', '0'),
('6139', 'Breadcrumb', 'de', '0', '0'),
('6140', 'Delta', 'de', '0', '0'),
('6141', 'Begriff', 'de', '0', '0'),
('6142', 'Normal', 'de', '0', '0'),
('6143', 'Erweitert', 'de', '0', '0'),
('6144', 'Nach oben', 'de', '0', '0'),
('6145', 'Begriffe', 'de', '0', '0'),
('6146', 'Alle Ansichten', 'de', '0', '0'),
('6147', 'Basis', 'de', '0', '0'),
('6148', 'Ausrichten', 'de', '0', '0'),
('6149', 'Listentyp', 'de', '0', '0'),
('6150', 'Groß-/Kleinschreibung', 'de', '0', '0'),
('6151', 'Vorhanden', 'de', '0', '0'),
('6152', 'Aufrufparameter', 'de', '0', '0'),
('6153', '- Alle -', 'de', '0', '0'),
('6154', 'Ansicht bearbeiten', 'de', '0', '0'),
('6155', 'Duplizieren', 'de', '0', '0'),
('6156', 'Normaler Menüpunkt', 'de', '0', '0'),
('6157', 'Nach unten', 'de', '0', '0'),
('6158', 'Argumente', 'de', '0', '0'),
('6159', 'Operator', 'de', '0', '0'),
('6160', 'Kriterium hinzufügen', 'de', '0', '0'),
('6161', 'Node: ID', 'de', '0', '0'),
('6162', 'Grundeinstellungen', 'de', '0', '0'),
('6163', 'Beitragsvorlage', 'de', '0', '0'),
('6164', 'Untergeordnete Begriffe', 'de', '0', '0'),
('6165', 'Sortieren nach', 'de', '0', '0'),
('6166', 'Erstellungsdatum', 'de', '0', '0'),
('6167', 'Rules', 'de', '0', '0'),
('6168', 'Regulärer Ausdruck', 'de', '0', '0'),
('6169', 'Einige', 'de', '0', '0'),
('6170', 'Ändern', 'de', '0', '0'),
('6171', 'Token', 'de', '0', '0'),
('6172', 'Token', 'de', '0', '0'),
('6173', 'Newsfeeds', 'de', '0', '0'),
('6174', 'Beitragtitel', 'de', '0', '0'),
('6175', 'Beitragstext', 'de', '0', '0'),
('6176', 'Unbegrenzt', 'de', '0', '0'),
('6177', 'Aktivität', 'de', '0', '0'),
('6178', 'Erster', 'de', '0', '0'),
('6179', 'Sekunde', 'de', '0', '0'),
('6180', 'Entität', 'de', '0', '0'),
('6181', 'Statisch', 'de', '0', '0'),
('6182', 'Gleich', 'de', '0', '0'),
('6183', 'Wählen Sie einen Benutzer', 'de', '0', '0'),
('6184', 'In neuem Fenster öffnen', 'de', '0', '0'),
('6185', 'Links', 'de', '0', '0'),
('6186', 'Rechts', 'de', '0', '0'),
('6187', 'Alle Blogs', 'de', '0', '0'),
('6188', 'Darstellung', 'de', '0', '0'),
('6189', 'Geändert', 'de', '0', '0'),
('6190', 'Beziehungen', 'de', '0', '0'),
('6191', 'Basisinformation', 'de', '0', '0'),
('6192', 'Übergeordneter Menüpunkt', 'de', '0', '0'),
('6193', '﻿Sprungmenü', 'de', '0', '0'),
('6194', 'Reiter', 'de', '0', '0'),
('6195', 'Speicher', 'de', '0', '0'),
('6196', 'Seiten-Name', 'de', '0', '0'),
('6197', 'Anwenden', 'de', '0', '0'),
('6198', 'Einen Beitrag auswählen!', 'de', '0', '0'),
('6199', 'Fett', 'de', '0', '0'),
('6200', 'PHP-Code', 'de', '0', '0'),
('6201', 'Einfach', 'de', '0', '0'),
('6202', 'Doppelt', 'de', '0', '0'),
('6203', 'Beziehungstyp', 'de', '0', '0'),
('6204', 'Drittes', 'de', '0', '0'),
('6205', 'Viertes', 'de', '0', '0'),
('6206', 'Fünftes', 'de', '0', '0'),
('6207', 'Formular', 'de', '0', '0'),
('6208', 'Durchgezogen', 'de', '0', '0'),
('6209', 'Diesen Begriff bearbeiten', 'de', '0', '0'),
('6210', 'Kursiv', 'de', '0', '0'),
('6211', 'Großbuchstaben', 'de', '0', '0'),
('6212', 'Kontexte', 'de', '0', '0'),
('6213', 'Autor des Beitrags', 'de', '0', '0'),
('6214', 'Diverses', 'de', '0', '0'),
('6215', 'Dateien anhängen', 'de', '0', '0'),
('6216', 'Panel-Ansichten', 'de', '0', '0'),
('6217', 'Argument-Typ', 'de', '0', '0'),
('6218', 'Entfernter/fehlender Block @module-@delta', 'de', '0', '0'),
('6219', 'Neuer benutzerdefinierter Inhalt', 'de', '0', '0'),
('6220', 'Vollständig individuellen HTML-Inhalt erstellen.', 'de', '0', '0'),
('6221', 'Allgemeines Formular', 'de', '0', '0'),
('6222', 'Formular wird hier angezeigt.', 'de', '0', '0'),
('6223', '„@s“ Basisformular', 'de', '0', '0'),
('6224', 'Beschreibung des Beitragtyps', 'de', '0', '0'),
('6225', 'Angehängte Dateien', 'de', '0', '0'),
('6226', 'Eine Liste der an einem Beitrag angehängten Dateien.', 'de', '0', '0'),
('6227', '„@s“ Dateianhänge', 'de', '0', '0'),
('6228', 'Kommentar hinzufügen', 'de', '0', '0'),
('6229', 'Kommentarformular erscheint hier.', 'de', '0', '0'),
('6230', 'Ein Formular zum Hinzufügen eines neuen Kommentars.', 'de', '0', '0'),
('6231', '„@s“ Kommentarformular', 'de', '0', '0'),
('6232', 'Beitragskommentare', 'de', '0', '0'),
('6233', 'Seitennavigation', 'de', '0', '0'),
('6234', '„@s“ Kommentare', 'de', '0', '0'),
('6235', 'Beitragsinhalt', 'de', '0', '0'),
('6236', 'Der Inhalt des referenzierten Beitrages.', 'de', '0', '0'),
('6237', 'Titel des Beitrages.', 'de', '0', '0'),
('6238', 'Den Titel mit dem Beitrag verlinken', 'de', '0', '0'),
('6239', 'Bezeichner', 'de', '0', '0'),
('6240', 'Beitragsformular-Veröffentlichungsoptionen', 'de', '0', '0'),
('6241', 'Beitragsautor-Formular', 'de', '0', '0'),
('6242', 'Autor-Informationen im Beitragsformular.', 'de', '0', '0'),
('6243', 'Beitragsformular-Kommentareinstellungen', 'de', '0', '0'),
('6244', 'Beitragsformular-Menüeinstellungen', 'de', '0', '0'),
('6245', 'Beitragsformular-Dateianhänge', 'de', '0', '0'),
('6246', 'Kommentareinstellungen', 'de', '0', '0'),
('6247', 'Kommentareinstellungen.', 'de', '0', '0'),
('6248', 'Informationen zum Autor.', 'de', '0', '0'),
('6249', 'Menüeinstellungen', 'de', '0', '0'),
('6250', 'Menüeinstellungen.', 'de', '0', '0'),
('6251', 'Dateien anhängen.', 'de', '0', '0'),
('6252', '„@s“ @type', 'de', '0', '0'),
('6253', 'Beschreibung des Inhaltstyps.', 'de', '0', '0'),
('6254', 'Beschreibung des Begriffs.', 'de', '0', '0'),
('6255', '„@s“ Begriffsbeschreibung', 'de', '0', '0'),
('6256', 'Liste relevanter Begriffe', 'de', '0', '0'),
('6257', 'Ungeordnet', 'de', '0', '0'),
('6258', 'Geordnet', 'de', '0', '0'),
('6259', 'Das Bild von einem Benutzer.', 'de', '0', '0'),
('6260', '„@s“ Benutzerbild', 'de', '0', '0'),
('6261', 'Benutzerprofil', 'de', '0', '0'),
('6262', 'Das Profil eines Benutzers.', 'de', '0', '0'),
('6263', '„@s“ Benutzerprofil', 'de', '0', '0'),
('6264', 'Vokabularbegriffe', 'de', '0', '0'),
('6265', 'Alle Begriffe in einem Vokabular.', 'de', '0', '0'),
('6266', '„@s“ Begriffe', 'de', '0', '0'),
('6267', 'Maximale Tiefe', 'de', '0', '0'),
('6268', 'Als Baum anzeigen', 'de', '0', '0'),
('6269', 'Ein Beitragsobjekt.', 'de', '0', '0'),
('6270', 'Derzeit auf !link gesetzt', 'de', '0', '0'),
('6271', 'Ein Formular zum Erstellen eines Beitrages.', 'de', '0', '0'),
('6272', 'Ein Formular zum Bearbeiten eines Beitrages.', 'de', '0', '0'),
('6273', 'Ein einzelnes Taxonomie-Begriff-Objekt.', 'de', '0', '0'),
('6274', 'Ein einzelnes Benutzerobjekt.', 'de', '0', '0'),
('6275', 'Das Vokabular für dieses Formular auswählen.', 'de', '0', '0'),
('6276', 'Argument', 'de', '0', '0'),
('6277', 'Argument hinzufügen', 'de', '0', '0'),
('6278', 'Beziehung', 'de', '0', '0'),
('6279', 'Beziehung hinzufügen', 'de', '0', '0'),
('6280', 'Kontext hinzufügen', 'de', '0', '0'),
('6281', 'Erforderliche Kontexte', 'de', '0', '0'),
('6282', 'Erforderlicher Kontext', 'de', '0', '0'),
('6283', 'Erforderlichen Kontext hinzufügen', 'de', '0', '0'),
('6284', 'Fenster schließen', 'de', '0', '0'),
('6285', 'Fenster schließen', 'de', '0', '0'),
('6286', '@type „@context“ hinzufügen', 'de', '0', '0'),
('6287', '@type „@context“ bearbeiten', 'de', '0', '0'),
('6288', 'Einen Namen eingeben, um diese(s) !type auf administrativen Seiten zu identifizieren.', 'de', '0', '0'),
('6289', 'Schlüsselwort', 'de', '0', '0'),
('6290', 'Platzhalter zur Ersetzung in Titeln eingeben.', 'de', '0', '0'),
('6291', 'Ignorieren; Inhalt, der diesen Kontext erfordert, ist nicht verfügbar.', 'de', '0', '0'),
('6292', 'Bestimmt das Verhalten, falls das Argument fehlt oder nicht gültig ist.', 'de', '0', '0'),
('6293', 'Argument @count', 'de', '0', '0'),
('6294', 'Kontext @count', 'de', '0', '0'),
('6295', 'Alle anzeigen', 'de', '0', '0'),
('6296', '!subtype_title konfigurieren', 'de', '0', '0'),
('6297', 'Panel-Einstellungen', 'de', '0', '0'),
('6298', 'Kein Titel', 'de', '0', '0'),
('6299', 'Unbekannter Kontext', 'de', '0', '0'),
('6300', 'Kein Kontext', 'de', '0', '0'),
('6301', '%keywords von Kontexten sowie der originale Titel %title können verwendet werden.', 'de', '0', '0'),
('6302', 'Kontext %count', 'de', '0', '0'),
('6303', 'Modulname', 'de', '0', '0'),
('6304', 'Den Modulnamen angebenen zu dem Code exportiert wird.', 'de', '0', '0'),
('6305', 'Lokal', 'de', '0', '0'),
('6306', 'Panel', 'de', '0', '0'),
('6307', 'Beitrag von dieser Webseite als Inhalt hinzufügen.', 'de', '0', '0'),
('6308', 'Beitragstitel beibehalten', 'de', '0', '0'),
('6309', 'Ungültiger Beitrag', 'de', '0', '0'),
('6310', 'Der Pfad ist erforderlich.', 'de', '0', '0'),
('6311', 'Kein Argument', 'de', '0', '0'),
('6312', 'Sechstes', 'de', '0', '0'),
('6313', 'Statisches Argument', 'de', '0', '0'),
('6314', 'Seitennavigation verwenden', 'de', '0', '0'),
('6315', 'Offset', 'de', '0', '0'),
('6316', '‚Weiter‘-Link', 'de', '0', '0'),
('6317', 'Argumente übergeben', 'de', '0', '0'),
('6318', 'Übergeordnetes Buch', 'de', '0', '0'),
('6319', 'Oberste Ebene des Buchs', 'de', '0', '0'),
('6320', 'Übergeordneter Begriff', 'de', '0', '0'),
('6321', 'Begriff auf oberster Ebene', 'de', '0', '0'),
('6322', 'Abschließen', 'de', '0', '0'),
('6323', 'Unterstrichen', 'de', '0', '0'),
('6324', 'Ungeordnete Liste', 'de', '0', '0'),
('6325', 'Schriftenfamilie', 'de', '0', '0'),
('6326', 'Groß- und Kleinschreibung berücksichtigen', 'de', '0', '0'),
('6327', 'Steuerelemente', 'de', '0', '0'),
('6328', 'Benutzerdefinierte Seiten', 'de', '0', '0'),
('6329', 'Zeile', 'de', '0', '0'),
('6330', 'Element 1', 'de', '0', '0'),
('6331', 'Element 2', 'de', '0', '0'),
('6332', 'Elemente der Seite', 'de', '0', '0'),
('6333', 'Varianten', 'de', '0', '0'),
('6334', 'Primär', 'de', '0', '0'),
('6335', 'Suche Typ', 'de', '0', '0'),
('6336', 'Die ID des Benutzers', 'de', '0', '0'),
('6337', 'Angemeldeter Benutzer', 'de', '0', '0'),
('6338', 'Keine Beschreibung', 'de', '0', '0'),
('6339', 'Sekundär', 'de', '0', '0'),
('6340', 'Chaos Tool Suite', 'de', '0', '0'),
('6341', 'Die Seite wurde gelöscht.', 'de', '0', '0'),
('6342', 'Kleinbuchstaben', 'de', '0', '0'),
('6343', 'Blocksatz', 'de', '0', '0'),
('6344', 'Parent term(s)', 'de', '0', '0'),
('6345', 'Sperre aufheben', 'de', '0', '0'),
('6346', 'Aktuelle Sprache des Benutzers', 'de', '0', '0'),
('6347', 'Standardsprache der Website', 'de', '0', '0'),
('6348', 'Keine Sprache', 'de', '0', '0'),
('6349', 'Aufbau-Modus', 'de', '0', '0'),
('6350', 'Elemente pro Seite', 'de', '0', '0'),
('6351', 'Kein Menüeintrag', 'de', '0', '0'),
('6352', 'Normaler Menüeintrag', 'de', '0', '0'),
('6353', 'Menü-Reiter', 'de', '0', '0'),
('6354', 'Standardmäßiger Reiter im Menü', 'de', '0', '0'),
('6355', 'Den zu verwendenden Text für den Menüpunkt eingeben, wenn dieser auf Normal oder Reiter eingestellt wird.', 'de', '0', '0'),
('6356', 'Fügen Sie ein Element zu einem Menü hinzu.', 'de', '0', '0'),
('6357', 'Die Menüauswahl erfordert die Aktivierung eines Menü-Moduls.', 'de', '0', '0'),
('6358', 'Je geringer das Gewicht desto höher / weiter links wird es erscheinen.', 'de', '0', '0'),
('6359', 'Einen Titel für den Menüpunkt eingeben, wenn ein übergeordneter Menüpunkt erstellt wird.', 'de', '0', '0'),
('6360', '- Alle -', 'de', '0', '0'),
('6361', 'Code importieren', 'de', '0', '0'),
('6362', 'Gleich', 'de', '0', '0'),
('6363', 'h1', 'de', '0', '0'),
('6364', 'h2', 'de', '0', '0'),
('6365', 'h3', 'de', '0', '0'),
('6366', 'h4', 'de', '0', '0'),
('6367', 'h5', 'de', '0', '0'),
('6368', 'h6', 'de', '0', '0'),
('6369', 'Stile', 'de', '0', '0'),
('6370', 'Hallo Welt!', 'de', '0', '0'),
('6371', 'Das Element wurde gelöscht.', 'de', '0', '0'),
('6372', 'Ist größer als oder gleich', 'de', '0', '0'),
('6373', 'gleich oder weniger', 'de', '0', '0'),
('6374', 'CTools-CSS-Cache', 'de', '0', '0'),
('6375', 'Das CTools CSS Cache Verzeichnis, %path konnte nicht erstellt werden. Stellen Sie sicher, dass das Verzeichnis korrekt konfiguriert ist und dass auf dem Webserver korrekte Berechtigungen gesetzt sind.', 'de', '0', '0'),
('6376', 'Konnte nicht erstellt werden', 'de', '0', '0'),
('6377', 'Ein spezieller Cache der zum Speichern von Objekten verwendet wird, die gerade bearbeitet werden. Dieser speichert den Status für eine vom Prinzip her statuslosen Umgebung.', 'de', '0', '0'),
('6378', 'Eine Bibliothek mit nützlichen Tools von Merlin of Chaos.', 'de', '0', '0'),
('6379', 'Massen-Export der Resultate.', 'de', '0', '0'),
('6380', 'Code in der Datei @file abspeichern', 'de', '0', '0'),
('6381', 'Derzeit gibt es keine exportierbaren Panels.', 'de', '0', '0'),
('6382', 'Massen-Exporter', 'de', '0', '0'),
('6383', 'Massen-Export für mehrere CTools-Datenobjekte als Code.', 'de', '0', '0'),
('6384', 'Massenexport', 'de', '0', '0'),
('6385', 'Führt Massenexport von Datenobjekten, die Chaos-Tools kennt, durch.', 'de', '0', '0'),
('6386', '@type:@subtype wird wegen fehlendem Kontext nicht angezeigt', 'de', '0', '0'),
('6387', 'Keine Information verfügbar.', 'de', '0', '0'),
('6388', 'Neuen !subtype_title konfigurieren', 'de', '0', '0'),
('6389', 'Alle Kriterien müssen richtig sein.', 'de', '0', '0'),
('6390', 'Ein Kriterium muss zutreffen.', 'de', '0', '0'),
('6391', 'Beschädigtes/fehlendes Zugangs-Plugin %plugin', 'de', '0', '0'),
('6392', 'Einstellungen für diesen Eintrag konfigurieren.', 'de', '0', '0'),
('6393', 'Dieses Element entfernen', 'de', '0', '0'),
('6394', 'Keine Kriterien ausgewählt, dieser Test wird übersprungen.', 'de', '0', '0'),
('6395', 'Fehlender Callback-Hook.', 'de', '0', '0'),
('6396', 'Kriterium bearbeiten', 'de', '0', '0'),
('6397', 'Ungültiger Objektname.', 'de', '0', '0'),
('6398', 'Ungültiger Kontexttyp.', 'de', '0', '0'),
('6399', 'Anzeigeseite nicht gefunden oder überhaupt nichts zum anzeigen.', 'de', '0', '0'),
('6400', 'Konnte fehlende Elemente nicht löschen.', 'de', '0', '0'),
('6401', '@type bearbeiten', 'de', '0', '0'),
('6402', 'Zusammenfassung von Kontexten', 'de', '0', '0'),
('6403', 'Wählen Sie den Kontext und wie Sie diesen umwandeln möchten.', 'de', '0', '0'),
('6404', ', und ', 'de', '0', '0'),
('6405', ', oder ', 'de', '0', '0'),
('6406', 'Integrierte Oberfläche', 'de', '0', '0'),
('6407', 'Schlüsselwort: %@keyword', 'de', '0', '0'),
('6408', 'Von „@title“', 'de', '0', '0'),
('6409', 'CTools CSS-Cache-Verzeichnis kann nicht erstellt werden. Überprüfen Sie die Berechtigungen für Ihre Verzeichnisse.', 'de', '0', '0'),
('6410', 'Aktualisieren und Zurück', 'de', '0', '0'),
('6411', 'Im Code', 'de', '0', '0'),
('6412', 'Aktiviert, Titel', 'de', '0', '0'),
('6413', 'Eine Zusammenfassung der Information über diese Seite anzeigen.', 'de', '0', '0'),
('6414', 'Diese Seite aktivieren, damit diese im System verwendet wird.', 'de', '0', '0'),
('6415', 'Diese Seite deaktivieren. Die Daten werden behalten, aber die Seite wird auf dem System nicht mehr verwendet.', 'de', '0', '0'),
('6416', 'Variante hinzufügen', 'de', '0', '0'),
('6417', 'Eine neue Variante zu dieser Seite hinzufügen.', 'de', '0', '0'),
('6418', 'Variante erstellen', 'de', '0', '0'),
('6419', 'Variante importieren', 'de', '0', '0'),
('6420', 'Aus exportiertem Code einer anderen Seite, eine neue Variante zu dieser Seite hinzufügen.', 'de', '0', '0'),
('6421', 'Varianten neu sortieren', 'de', '0', '0'),
('6422', 'Ändern Sie die Priorität der Varianten, um sicherzustellen, dass die richtige ausgewählt wird.', 'de', '0', '0'),
('6423', 'Konfigurieren Sie eine neue Variante bevor diese der Seite hinzugefügt wird.', 'de', '0', '0'),
('6424', 'Die Sperre auf diese Seite aufheben, damit diese bearbeitet werden kann.', 'de', '0', '0'),
('6425', 'Varianten-Operationen', 'de', '0', '0'),
('6426', 'Eine Zusammenfassung der Information über diese Variante anzeigen.', 'de', '0', '0'),
('6427', 'Eine genaue Kopie dieser Variante erstellen.', 'de', '0', '0'),
('6428', 'Diese Variante in Code exportieren, damit diese in eine andere Seite importiert werden kann.', 'de', '0', '0'),
('6429', 'Alle Änderungen dieser Variante entfernen und auf die Version aus dem Code zurücksetzen.', 'de', '0', '0'),
('6430', 'Diese Variante vollständig aus der Seite entfernen.', 'de', '0', '0'),
('6431', 'Diese Variante aktivieren, damit diese im System verwendet wird.', 'de', '0', '0'),
('6432', 'Diese Variante deaktivieren. Die Daten werden behalten, aber die Variante wird auf dem System nicht mehr verwendet.', 'de', '0', '0'),
('6433', 'Keine Varianten', 'de', '0', '0'),
('6434', 'Die Seite wurde aktualisiert. Änderungen werden erst beim Sichern gespeichert.', 'de', '0', '0'),
('6435', 'Die Änderungen konnten aufgrund einer Sperre nicht aktualisiert werden.', 'de', '0', '0'),
('6436', 'Diese Einstellung enthält nicht gespeicherte Änderungen.', 'de', '0', '0'),
('6437', 'Sie haben Änderungen an dieser Seite noch nicht gespeichert. Speichern Sie diese in die Datenbank oder wählen Sie ‚Abbrechen‘, um diese Änderungen zu verwerfen. Beachten Sie: geänderte Formulare müssen an den Server gesendet werden, bevor diese gespeichert werden können.', 'de', '0', '0'),
('6438', 'Alle ausstehenden Änderungen wurden verworfen und die Seite ist nun entsperrt.', 'de', '0', '0'),
('6439', 'Administrativer Titel dieser Variante. Sollte dieser leer gelassen werden, wird er automatisch zugewiesen.', 'de', '0', '0'),
('6440', 'Variantentyp', 'de', '0', '0'),
('6441', 'Optionale Funktionen', 'de', '0', '0'),
('6442', 'Überprüfen Sie alle optionalen Funktionen, damit diese über Formulare konfiguriert werden können. Wenn Sie nicht diese hier nicht überprüfen, so können Sie die Funktionen dennoch nutzen, sobald eine neue Seite erstellt wurde. Wenn Sie nicht sicher sind, lassen Sie diese deaktiviert.', 'de', '0', '0'),
('6443', 'Varianten-Name', 'de', '0', '0'),
('6444', 'Den Namen einer neuen Variante eingeben.', 'de', '0', '0'),
('6445', 'Varianten-Code hier einfügen', 'de', '0', '0'),
('6446', 'Keine Variante gefunden', 'de', '0', '0'),
('6447', 'Wollen Sie dies Variante löschen? Die Variante wird gelöscht, wenn Sie die Schaltfläche betätigen.', 'de', '0', '0'),
('6448', 'Diese Variante ist aktuell deaktiviert. Sie können diese aktivieren. Dies wird erst wirksam, wenn Sie diese Seite speichern.', 'de', '0', '0'),
('6449', 'Diese Variante ist aktuell aktiviert. Sie können diese deaktivieren. Dies wird erst wirksam, wenn Sie diese Seite speichern.', 'de', '0', '0'),
('6450', 'Aktivieren dieser Seite wird diese sofort im System verfügbar machen (ohne Verzögerung).', 'de', '0', '0'),
('6451', 'Deaktivieren dieser Seite wird diese sofort im System verfügbar machen (ohne Verzögerung).', 'de', '0', '0'),
('6452', 'Diese Seite hat keine Varianten und somit keine eigene Ausgabe.', 'de', '0', '0'),
('6453', 'Neue Variante hinzufügen', 'de', '0', '0'),
('6454', 'Konnte wegen Sperre nicht deaktiviert werden.', 'de', '0', '0'),
('6455', 'Konnte wegen Sperre nicht aktiviert werden.', 'de', '0', '0'),
('6456', 'Hinzufügen, Bearbeiten und Löschen überschrieben System-Seiten und benutzerdefinierte Seiten des Systems.', 'de', '0', '0'),
('6457', 'Seiten-Manager', 'de', '0', '0'),
('6458', 'Stellt eine Benutzeroberfläche und der API für die Verwaltung von Seiten zur Verfügung.', 'de', '0', '0'),
('6459', 'Formular zum Erstellen und Bearbeiten von Beiträgen', 'de', '0', '0'),
('6460', 'angezeigter Beitrag', 'de', '0', '0'),
('6461', 'Argumenteinstellungen', 'de', '0', '0'),
('6462', 'Administrativer Titel', 'de', '0', '0'),
('6463', 'Der Titel von dieser Seite. Dieser wird zur leichteren Identifizierung in der Verwaltungsoberfläche angezeigt.', 'de', '0', '0'),
('6464', 'Der maschinenlesbare Name dieser Seite. Es muss eindeutig sein, und darf nur alphanumerische Zeichen und Unterstriche enthalten. Einmal angelegt, kann dieser Wert nicht mehr geändert werden!', 'de', '0', '0'),
('6465', 'Administrative Beschreibung', 'de', '0', '0'),
('6466', 'Einen Namen eingeben, um diese(s) !type auf administrativen Seiten zu identifizieren.', 'de', '0', '0'),
('6467', 'Die URL dieser Seite. Sie können benannte Platzhalter für Variable im Pfad verwenden, %name für erforderliche Elemente  und !name für optionale Elemente. Zum Beispiel: „node/%node/foo“, „forum/%forum“ oder „dashboard /!input“. Diese benannten Platzhalter können zu Kontexten auf dem Argumente-Formular transformiert werden.', 'de', '0', '0'),
('6468', 'Diese Seite zur Startseite machen.', 'de', '0', '0'),
('6469', 'Sichtbarer Menüpunkt', 'de', '0', '0'),
('6470', 'Der Name ist erforderlich.', 'de', '0', '0'),
('6471', 'Dieser Name wird von einer anderen Seite verwendet: @page', 'de', '0', '0'),
('6472', 'Der Seitenname darf nur alphanumerische Zeichen oder Unterstriche enthalten.', 'de', '0', '0'),
('6473', 'Dieser Pfad wird von einer anderen Seite verwendet: @page', 'de', '0', '0'),
('6474', 'Dieser Pfad ist derzeit als Alias für @alias zugewiesen, vorhandene Aliase können nicht überschrieben werden.', 'de', '0', '0'),
('6475', 'Die Startseite kann keine % Platzhalter im Pfad enthalten.', 'de', '0', '0'),
('6476', 'Doppeltes Argument %arg', 'de', '0', '0'),
('6477', 'Ungültiges Argument <em>%</em>. Alle Argumente müssen mit Schlüsselwörtern benannt sein.', 'de', '0', '0'),
('6478', 'Wenn ein Menüelement als eine Standardregisterkarte dient, dann ist ein übergeordnetes Menüelement erforderlich. Manchmal wird das übergeordnete Element bereits vorhanden sein, manchmal Sie es erst erstellen. Der Pfad eines übergeordneten Elements stimmt mit einem untergeordneten bis auf den letzten Teil überein. Der Pfad <em>Foo/Bar/Baz</em> ist der untergeordnete Pfad zu <em>Foo/bar</em>.', 'de', '0', '0'),
('6479', 'Titel des übergeordneten Menüpunktes', 'de', '0', '0'),
('6480', 'Übergeordneter Menüpunkt', 'de', '0', '0'),
('6481', 'Zugriffsregeln werden verwendet, um zu testen, ob die Seite zugänglich ist und alle Menüelemente sichtbar sind.', 'de', '0', '0'),
('6482', 'Kein Kontext zugewiesen', 'de', '0', '0'),
('6483', 'Position im Pfad', 'de', '0', '0'),
('6484', 'Kontext wurde zugewiesen', 'de', '0', '0'),
('6485', 'Der Pfad %path enthält keine konfigurierbaren Argumente.', 'de', '0', '0'),
('6486', 'Ungültiges Schlüsselwort.', 'de', '0', '0'),
('6487', 'Kontexttyp ändern.', 'de', '0', '0'),
('6488', 'Argument ändern', 'de', '0', '0'),
('6489', 'Kein Kontext ausgewählt', 'de', '0', '0'),
('6490', 'Fehler: Fehlendes Argument', 'de', '0', '0'),
('6491', 'Kontext Bezeichner', 'de', '0', '0'),
('6492', 'Dies ist der Titel des Kontextes, der später in administrativen Vorgängen verwendet werden wird, dieser wird keinem Benutzer angezeigt.', 'de', '0', '0'),
('6493', 'Fehler: Fehlendes oder ungültiges Argument-Plugin %argument.', 'de', '0', '0'),
('6494', 'Seite importieren', 'de', '0', '0'),
('6495', 'Einen Namen für diese Seite eingeben, wenn dieser anders lautet als auf der ursprünglichen Seite. Freilassen, um den Namen der ursprünglichen Seite zu verwenden.', 'de', '0', '0'),
('6496', 'Einen Pfad für diese Seite eingeben, wenn dieser anders lautet als auf der ursprünglichen Seite. Freilassen, um den Pfad der ursprünglichen Seite zu verwenden.', 'de', '0', '0'),
('6497', 'Überschreiben einer vorhanden Seite zulassen', 'de', '0', '0'),
('6498', 'Sollte der ausgewähle Namen in der Datenbank schon vorhanden sein, kann die vorhandene Seite überschrieben werden.', 'de', '0', '0'),
('6499', 'Seiten-Code hier einfügen', 'de', '0', '0'),
('6500', 'Kein Handler gefunden.', 'de', '0', '0'),
('6501', 'Die Seitenname wird verwendet und durch einen anderen Benutzer gesperrt. Sie können <a href="!break">die Sperre dieser Seite aufheben</a> oder wählen Sie einen anderen Namen.', 'de', '0', '0'),
('6502', 'Einen einzigartigen Namen für diese Panel-Ansicht eingeben. Dieser darf nur Buchstaben und Zahlen enthalten.', 'de', '0', '0'),
('6503', 'Die URL dieser Seite. Sie können benannte Platzhalter für Variable im Pfad verwenden, %name für erforderliche Elemente  und !name für optionale Elemente. Zum Beispiel: „node/%node/foo“, „forum/%forum“ oder „dashboard /!input“. Diese benannten Platzhalter können zu Kontexten auf dem Argumente-Formular transformiert werden.', 'de', '0', '0'),
('6504', 'Varianten duplizieren', 'de', '0', '0'),
('6505', 'Die Seite inklusive aller Varianten vervielfältigen, wenn abgewählt, wird die Seite ohne Varianten vervielfältigt.', 'de', '0', '0'),
('6506', 'Soll diese Seite wirklich gelöscht werden? Das Löschen einer Seite kann nicht rückgängig gemacht werden.', 'de', '0', '0'),
('6507', 'Die Seite wurde zurückgesetzt.', 'de', '0', '0'),
('6508', 'Administratoren erstellen Seiten, die eine URL, Zugriffssteuerung und Einträge im Drupal Menüsystem haben.', 'de', '0', '0'),
('6509', 'Neue Seite erstellen', 'de', '0', '0'),
('6510', 'Den Namen, Pfad und andere Basiseinstellungen für die Seite bearbeiten.', 'de', '0', '0'),
('6511', 'Einrichten von Kontexten für die Argumente dieser Seite.', 'de', '0', '0'),
('6512', 'Setzen Sie Zugriffsberechtigungen auf die einzelnen Elemente dieser Seite', 'de', '0', '0'),
('6513', 'Diese Seite mit einem sichtbarem Menü oder einem Reiter ausstatten.', 'de', '0', '0'),
('6514', 'Eine Kopie dieser Seite erstellen', 'de', '0', '0'),
('6515', 'Diese Seite als Code exportieren, die dann importiert oder in ein Modul eingebettet werden kann.', 'de', '0', '0'),
('6516', 'Alle Änderungen dieser Seite entfernen und auf die Version der Seite aus dem Code zurücksetzen.', 'de', '0', '0'),
('6517', 'Entfernen Sie diese Seite vollständig aus Ihrem System.', 'de', '0', '0'),
('6518', 'Dies ist die Startseite der Website.', 'de', '0', '0'),
('6519', 'Diese Seite ist als Startseite der Website eingestellt.', 'de', '0', '0'),
('6520', 'Zugriff nur bei @conditions.', 'de', '0', '0'),
('6521', 'Die Seite ist öffentlich erreichbar.', 'de', '0', '0'),
('6522', 'Kein Menüpunkt.', 'de', '0', '0'),
('6523', 'Normaler Menüpunkt.', 'de', '0', '0'),
('6524', 'Menü-Reiter.', 'de', '0', '0'),
('6525', 'Standardmäßiger Reiter im Menü.', 'de', '0', '0'),
('6526', 'Titel: %title.', 'de', '0', '0'),
('6527', 'Übergeordneter Titel: %title.', 'de', '0', '0'),
('6528', 'Menüblock: %title.', 'de', '0', '0'),
('6529', 'Taxonomie-Begriff-Vorlage', 'de', '0', '0'),
('6530', 'Überschreibt das Standardverhalten für Taxonomie Begriffe <em>taxonomy/term/%term</em> wird angezeigt. Wenn Sie Varianten hinzufügen, können Sie Auswahlkriterien wie Wortschatz oder Benutzerzugriff nutzen zur Anzeige von Taxonomie Begriffen und zugehörigen Beiträgen. Diese Seite betrifft nur tatsächlich angezeigten Elemente auf taxonomy/term/%term. Einige Module,  wie Foren, verwenden Begriffe an anderer Orten. Beachten Sie, dass Pathauto  Aliase für Taxonomie-Begriffe erzeugen kann, intern verwendet Drupal immer taxonomy/term/%term.', 'de', '0', '0'),
('6531', 'angezeigte/r Begriff/e', 'de', '0', '0'),
('6532', 'angezeigter Begriff', 'de', '0', '0'),
('6533', 'Mehrere Begriffe auf taxonomy/term/%term zulassen', 'de', '0', '0'),
('6534', 'Einzelner Begriff', 'de', '0', '0'),
('6535', 'Mehrere Begriffe', 'de', '0', '0'),
('6536', 'Standardmäßig erlaubt Drupal mehrere Begriffe als Argument, getrennt durch Kommas oder Plus-Zeichen. Wenn Sie nur ein einziges Argument erlauben wollen, dann deaktivieren Sie diese Funktion.', 'de', '0', '0'),
('6537', 'Die Pfadnavigation wird die Taxonomie-Begriffs-Hierarchie des ersten Begriffes enthalten', 'de', '0', '0'),
('6538', 'Sobald aktiviert, werden übergeordnete Taxonomie-Begriffe in der Pfadnavigation erscheinen.', 'de', '0', '0'),
('6539', 'Mehrere Begriffe können verwendet werden, getrennt durch , oder +.', 'de', '0', '0'),
('6540', 'Nur ein einzelner Begriff kann verwendet werden.', 'de', '0', '0'),
('6541', '%term', 'de', '0', '0'),
('6542', 'Die Pfadnavigation wird die Taxonomie-Begriffs-Hierarchie enthalten', 'de', '0', '0'),
('6543', 'Benutzer-Profil-Vorlage', 'de', '0', '0'),
('6544', 'Angezeigter Benutzer', 'de', '0', '0'),
('6545', 'An dieser Seite können derzeit keine Änderungen vorgenommen werden, da diese Seite von einem anderen Benutzer bearbeitet wird.', 'de', '0', '0'),
('6546', 'Diese Seite wurde neu erstellt und noch nicht in der Datenbank gespeichert. Sie ist nicht verfügbar, solange sie nicht gespeichert wurde.', 'de', '0', '0'),
('6547', 'Diese Seite wurde geändert, aber die Änderungen sind noch nicht Live. Während der Änderung dieser Seite, wird diese für die Änderung durch andere Benutzer gesperrt.', 'de', '0', '0'),
('6548', 'Für diese Aufgabe sind keine Task-Handler definiert.', 'de', '0', '0'),
('6549', 'Variante', 'de', '0', '0'),
('6550', 'Diese Ansicht wird gerade vom Benutzer !user bearbeitet und ist deshalb für die Bearbeitung durch andere gesperrt. Diese Sperre ist !age alt. Hier klicken um <a href="!break">die Sperre aufzuheben</a>.', 'de', '0', '0'),
('6551', 'Benutzer: Vergleich', 'de', '0', '0'),
('6552', 'Zwei Benutzer vergleichen (beispielsweise: angemeldeter Benutzer und angezeigter)', 'de', '0', '0'),
('6553', 'Erster Benutzer', 'de', '0', '0'),
('6554', 'Zweiter Benutzer', 'de', '0', '0'),
('6555', 'Zugriff gewähren, wenn der Kontext für den Benutzer', 'de', '0', '0'),
('6556', 'Nicht gleich', 'de', '0', '0'),
('6557', '@id1 @comp @id2', 'de', '0', '0'),
('6558', 'Beitrag: Erreichbar', 'de', '0', '0'),
('6559', 'Zugriffskontrolle durch den Drupal Node access.', 'de', '0', '0'),
('6560', 'Beiträge des gleichen Inhaltstyps erstellen', 'de', '0', '0'),
('6561', '@user kann @node sehen.', 'de', '0', '0'),
('6562', '@user kann @node bearbeiten.', 'de', '0', '0'),
('6563', '@user kann @node löschen.', 'de', '0', '0'),
('6564', '@user kann Beiträge von dem gleichen Typ wie @node erstellen.', 'de', '0', '0'),
('6565', 'Beitrag: Sprache', 'de', '0', '0'),
('6566', 'Zugriff über die Beitragssprache kontrollieren.', 'de', '0', '0'),
('6567', 'Aktuelle Website-Sprache', 'de', '0', '0'),
('6568', 'Beitrag: Typ', 'de', '0', '0'),
('6569', 'Zugriff mit Beitragstyp kontrollieren', 'de', '0', '0'),
('6570', '@identifier vom Typ „@types“', 'de', '0', '0'),
('6571', '@identifier Typ ist aus „@types“', 'de', '6570', '1'),
('6572', 'Benutzer: Berechtigung', 'de', '0', '0'),
('6573', 'Zugriff nur für Benutzer mit den ausgewählten Berechtigungsmarkierungen gewähren.', 'de', '0', '0'),
('6574', '@identifier enthält „@perm“', 'de', '0', '0'),
('6575', 'Administrative-Beschreibung', 'de', '0', '0'),
('6576', 'Eine Beschreibung für diesen Test für Verwaltungsvorgänge.', 'de', '0', '0'),
('6577', 'Zugriff wird gewährt, wenn der folgende PHP-Code <code>TRUE</code> zurück gibt. Verwenden Sie keine &lt;? Php? &gt; Tags. Beachten Sie, dass Fehler im PHP-Code Ihre Website lahmlegen können. Alle Kontexte werden in der Variable <em>$contexts</em> verfügbar sein.', 'de', '0', '0'),
('6578', 'Benutzer: Rolle', 'de', '0', '0'),
('6579', 'Zugriff über die Rolle kontrollieren', 'de', '0', '0'),
('6580', 'Nur den angekreuzten Rollen wird der Zugang gewährt.', 'de', '0', '0'),
('6581', '@identifier hat die Rolle „@roles“', 'de', '0', '0'),
('6582', '@identifier hat eine der Rollen „@roles“', 'de', '6581', '1'),
('6583', 'Benutzer: Sprache', 'de', '0', '0'),
('6584', 'Nur dann übergeben, wenn die aktuelle Sprache der Site in der ausgewählten Sprache ist.', 'de', '0', '0'),
('6585', 'Website-Sprache ist jede Sprache', 'de', '0', '0'),
('6586', 'Sprache der Website ist „@languages“', 'de', '0', '0'),
('6587', 'Sprache der Website ist aus „@languages“', 'de', '6586', '1'),
('6588', 'Taxonomie: Vokabular', 'de', '0', '0'),
('6589', 'Erstellt einen Beitragskontext von einem Argument (nid)', 'de', '0', '0'),
('6590', 'Bestimmt den Inhaltstyp für dieses Formular.', 'de', '0', '0'),
('6591', 'Einen Wert für dieses Argument eingeben', 'de', '0', '0'),
('6592', 'Die Pfadnavigation wird die Taxonomie-Begriffs-Hierarchie enthalten', 'de', '0', '0'),
('6593', 'Geben Sie eine ID eines Begriffs oder eine Liste von IDs ein, getrennt durch + (Pluszeichen) oder , (Komma)', 'de', '0', '0'),
('6594', 'Erstellt ein Benutzer-Objekt durch ein Argument.', 'de', '0', '0'),
('6595', 'Ersetzungen', 'de', '0', '0'),
('6596', '@identifier: @title', 'de', '0', '0'),
('6597', '„@s“ Autor', 'de', '0', '0'),
('6598', 'Beitragserstellungsdatum', 'de', '0', '0'),
('6599', 'Letzter Aktualisierungszeitpunkt des Beitrages', 'de', '0', '0'),
('6600', 'Der Zeitpunkt zu dem der referenzierte Beitrag zuletzt aktualisiert wurde.', 'de', '0', '0'),
('6601', 'Letzter Aktualisierungszeitpunkt', 'de', '0', '0'),
('6602', '„@s“ Letzter Aktualisierungszeitpunkt', 'de', '0', '0'),
('6603', 'node_form', 'de', '0', '0'),
('6604', 'Beitragsformular Speichern-Schaltknöpfe', 'de', '0', '0'),
('6605', '„@s“ Beitragsformular Speichern-Schaltknöpfe', 'de', '0', '0'),
('6606', 'Protokollnachricht im Beitragsformular', 'de', '0', '0'),
('6607', 'Beitragsformular-URL-Pfad-Einstellungen', 'de', '0', '0'),
('6608', 'Profilkategorie', 'de', '0', '0'),
('6609', 'Geben Sie die ID eines Beitrags für diesen Kontext ein:', 'de', '0', '0'),
('6610', '‚%title‘ [Beitrag-ID %nid]', 'de', '0', '0'),
('6611', 'Ein Kontext, der nur eine Zeichenfolge ist.', 'de', '0', '0'),
('6612', 'Ungefilterte Zeichenkette', 'de', '0', '0'),
('6613', 'Ein Beitrag muss ausgewählt werden.', 'de', '0', '0'),
('6614', 'Vokabular-ID des ersten Begriffs', 'de', '0', '0'),
('6615', 'Term-ID aller Begriff, getrennt durch + oder,', 'de', '0', '0'),
('6616', 'Der Name des ersten Begriffs', 'de', '0', '0'),
('6617', 'Term Namen aller Begriffe, getrennt durch + oder,', 'de', '0', '0'),
('6618', 'Vokabular-ID des ersten Begriffs', 'de', '0', '0'),
('6619', 'Alle Ansichten als Ausschnitte zu Verfügung stellen', 'de', '0', '0'),
('6620', 'Alle Ansichten werden als Content Bereiche zu Inhaltstypen hinzugefügt. Wenn nicht aktiviert, werden nur Ansichten, die eine ‚Content Bereich‘-Anzeige haben als Content-Bereiche verfügbar. Deaktivieren Sie dies, wenn Sie genauer steuern möchten, welche Inhalt einer Ansicht für Benutzer verfügbar, die mit der  Panels Layout Benutzeroberfläche arbeiten.', 'de', '0', '0'),
('6621', 'Panel-Ansichten-Inhalte', 'de', '0', '0'),
('6622', 'Ermöglicht Ansichten Inhalte zu verwenden: In  Panels, Übersichten (Dashboard) und anderen Module, die die CTools Content-API verwenden.', 'de', '0', '0'),
('6623', 'Anzeige auswählen', 'de', '0', '0'),
('6624', 'Ansicht konfigurieren', 'de', '0', '0'),
('6625', 'Ansicht: @name', 'de', '0', '0'),
('6626', 'Ansichtsinformation', 'de', '0', '0'),
('6627', 'Anzeige @display wird verwendet.', 'de', '0', '0'),
('6628', 'Argument @arg verwendet den Kontext @context konvertiert nach @converter', 'de', '0', '0'),
('6629', '@count Einträge wurden angezeigt.', 'de', '0', '0'),
('6630', 'Mit Seitennavigation.', 'de', '0', '0'),
('6631', 'Überspringe die ersten @count Ergebnisse', 'de', '0', '0'),
('6632', 'Panel-Ansichten', 'de', '0', '0'),
('6633', 'Panel Inhalt', 'de', '0', '0'),
('6634', 'Ist verfügbar als Inhalt für ein Panel- oder Dashboard-Anzeige.', 'de', '0', '0'),
('6635', 'Argumenteingabe', 'de', '0', '0'),
('6636', 'Einstellungen zulassen', 'de', '0', '0'),
('6637', 'Panel-Seiten können als Landing-Pages verwendet werden. Sie haben eine URL, die Argumente akzeptiert und können Menü-Einträge haben.', 'de', '0', '0'),
('6638', 'Panel-Seite', 'de', '0', '0'),
('6639', 'Zur Liste', 'de', '0', '0'),
('6640', 'Auswahlregeln', 'de', '0', '0'),
('6641', 'Steuern Sie welche Kriterien verwendet werden, um die verwendeten Varianten zu bestimmen.', 'de', '0', '0'),
('6642', 'Fügen Sie zusätzlichen Kontextobjekte zu dieser Variante hinzu, die durch den Inhalt verwendet werden können.', 'de', '0', '0'),
('6643', 'Dieses Panel wird ausgewählt werden, wenn @conditions gegeben sind.', 'de', '0', '0'),
('6644', 'Dieses Panel wird immer ausgewählt sein.', 'de', '0', '0'),
('6645', 'Auswahlregel', 'de', '0', '0'),
('6646', 'Panel: @title', 'de', '0', '0'),
('6647', 'Administrativer Titel von dieser Variante.', 'de', '0', '0'),
('6648', '﻿(Beginn mit den letzten Werten)', 'de', '0', '0'),
('6649', 'CTools plugin Beispiel', 'de', '0', '0'),
('6650', 'Zeigt, wie ein externes Modul Ctools-Plugins bereitstellen kann, (für Panel, etc..).', 'de', '0', '0'),
('6651', 'CTools Beispiel', 'de', '0', '0'),
('6652', 'Die Einstellung für Element 1.', 'de', '0', '0'),
('6653', 'Die Einstellung für Element 2', 'de', '0', '0'),
('6654', 'Mehr Informationen in der Anleitung ‚Erste Schritte‘.', 'de', '0', '0'),
('6655', 'Vorhandener Beitrag', 'de', '0', '0'),
('6656', 'Links für Beiträge einschließen: „Kommentar hinzufügen“, „Weiterlesen“ etc.', 'de', '0', '0'),
('6657', 'Bezeichner der Vorlage (Template).', 'de', '0', '0'),
('6658', 'Breadcrumb als Inhalt hinzufügen.', 'de', '0', '0'),
('6659', 'Status-Nachrichten', 'de', '0', '0'),
('6660', 'Fügen Sie den Seitentitel als Inhalt hinzu.', 'de', '0', '0'),
('6661', 'Seiten verwalten', 'de', '0', '0'),
('6662', 'Diese Seite ist derzeit zur Bearbeitung gesperrt. Niemand kann diese Seite bearbeiten, bis diese Änderungen gespeichert werden oder die Bearbeitung abgebrochen wird.', 'de', '0', '0'),
('6663', 'Diese Seite ist derzeit für die Bearbeitung durch andere Benutzer gesperrt. Sie dürfen diese Seite bearbeiten, ohne die Sperre aufzuheben.', 'de', '0', '0'),
('6664', 'Weblog von Benutzern', 'de', '0', '0'),
('6665', 'Die Kontaktseite der Website', 'de', '0', '0'),
('6666', 'Benutzerkontakt', 'de', '0', '0'),
('6667', 'Alle Umfragen', 'de', '0', '0'),
('6668', 'Taxonomie-Begriff', 'de', '0', '0'),
('6669', 'Einen Begriff von @vocabulary auswählen.', 'de', '0', '0'),
('6670', 'Der Name des Benutzers', 'de', '0', '0'),
('6671', 'Vokabular-ID', 'de', '0', '0'),
('6672', 'Das Kontaktformular der Website mit dem Benutzer eine Nachricht an die Administratoren der Website senden können.', 'de', '0', '0'),
('6673', 'Das Kontaktformular der Website mit dem Benutzer eine Nachricht an andere Benutzer der Website senden können.', 'de', '0', '0'),
('6674', 'Name des Ereignisses (z.B. Kontakt).', 'de', '0', '0'),
('6675', 'Dieser Titel wird administrativ verwendet, um diese Pane zu identifizieren. Wenn leer, wird der reguläre Titel verwendet.', 'de', '0', '0'),
('6676', 'Erweiterte Suche', 'de', '0', '0'),
('6677', 'Ein Suchformular mit erweiterten Optionen.', 'de', '0', '0'),
('6678', 'Die Ergebnisse einer Suche über Schlagwörter.', 'de', '0', '0'),
('6679', 'HTML-Safe-Zeichenfolge', 'de', '0', '0'),
('6680', 'Styles', 'de', '0', '0'),
('6681', 'Dicke', 'de', '0', '0'),
('6682', 'Dünner', 'de', '0', '0'),
('6683', 'Extrafett', 'de', '0', '0'),
('6684', '- Wählen Sie -', 'de', '0', '0'),
('6685', '﻿Aktualisieren und speichern', 'de', '0', '0'),
('6686', 'Die Seite wurde aktualisiert und gespeichert.', 'de', '0', '0'),
('6687', 'Um dieses Panel als Startseite festzulegen, müssen Sie einen eindeutigen Pfadnamen ohne Platzhalter (%) im Pfad erstellen. Die Homepage ist zurzeit auf %homepage durch das !siteinfo Konfigurationsformular festgelegt.', 'de', '0', '0'),
('6688', 'Diese Seite ist derzeit auf Ihrer Website als Startseite eingestellt. Sie ändern dies auf der !siteinfo Konfigurationsseite.', 'de', '0', '0'),
('6689', 'Dieser Pfad wird bereits verwendet. Dieses System kann vorhandene Pfade nicht überschreiben.', 'de', '0', '0'),
('6690', 'Kontext existiert', 'de', '0', '0'),
('6691', 'Überprüfen, ob der Kontext vorhanden ist (enthält Daten). Beispielsweise ist kein Argument vorhanden, wenn ein Kontext optional ist und der Pfad kein Argument für diesen Kontext enthält.', 'de', '0', '0'),
('6692', 'Existiert nicht', 'de', '0', '0'),
('6693', '@identifier ist vorhanden', 'de', '0', '0'),
('6694', '@identifier ist nicht vorhanden', 'de', '0', '0'),
('6695', 'Zeichenfolge: Vergleich', 'de', '0', '0'),
('6696', '@identifier ist „@value“', 'de', '0', '0'),
('6697', '@identifier ist ungleich „@value“', 'de', '0', '0'),
('6698', 'Zeichenfolge: Länge', 'de', '0', '0'),
('6699', 'Nicht gleich', 'de', '0', '0'),
('6700', 'Länge der Zeichenfolge', 'de', '0', '0'),
('6701', 'Ein Kontext, der token Ersetzungen aus token.module enthält.', 'de', '0', '0'),
('6702', 'Geben Sie einen Benutzernamen ein', 'de', '0', '0'),
('6703', 'CTools PHP-Anforderungen', 'de', '0', '0'),
('6704', 'CTools erfordert bestimmte Features, die nur ab PHP 5.2.0 verfügbar sind.', 'de', '0', '0'),
('6705', 'PHP !version', 'de', '0', '0'),
('6706', 'Wählen Sie die Basisformatvorlage aus', 'de', '0', '0'),
('6707', 'Arial, Helvetica, sans-serif', 'de', '0', '0'),
('6708', 'Times New Roman, Times, serif', 'de', '0', '0'),
('6709', 'Courier New, Courier, monospace', 'de', '0', '0'),
('6710', 'Georgia, Times New Roman, Times, serif', 'de', '0', '0'),
('6711', 'Verdana, Arial, Helvetica, sans-serif', 'de', '0', '0'),
('6712', 'Geneva, Arial, Helvetica, sans-serif', 'de', '0', '0'),
('6713', 'Trebuchet MS, Trebuchet, Verdana, sans-serif', 'de', '0', '0'),
('6714', 'XX-Small', 'de', '0', '0'),
('6715', 'X-Small', 'de', '0', '0'),
('6716', 'X-Large', 'de', '0', '0'),
('6717', 'XX-Large', 'de', '0', '0'),
('6718', 'Zeichenabstand', 'de', '0', '0'),
('6719', 'Wortabstand', 'de', '0', '0'),
('6720', 'Dekoration', 'de', '0', '0'),
('6721', 'Überstrich', 'de', '0', '0'),
('6722', 'Durchgestrichen', 'de', '0', '0'),
('6723', 'Schräg', 'de', '0', '0'),
('6724', 'Kleine Buchstaben', 'de', '0', '0'),
('6725', '1. Buchstabe groß', 'de', '0', '0'),
('6726', 'Zeichenfolge: URL-Pfad', 'de', '0', '0'),
('6727', 'Steuern Sie Zugriff über den aktuellen Pfad.', 'de', '0', '0'),
('6728', 'Hinweis: Wenn kein Kontext gewählt wurde, dann wird der Pfad der aktuellen Seite verwendet.', 'de', '0', '0'),
('6729', 'Erlauben Sie den Zugriff auf die folgenden Seiten', 'de', '0', '0'),
('6730', 'Erlauben Sie den Zugriff auf alle Seiten außer den folgenden', 'de', '0', '0'),
('6731', 'Aktueller Pfad', 'de', '0', '0'),
('6732', '@identifier ist „@paths“', 'de', '0', '0'),
('6733', '@identifier ist einer aus „@paths“', 'de', '6732', '1'),
('6734', 'Taxonomie: übergeordneter Begriff', 'de', '0', '0'),
('6735', 'Aktuelles Theme', 'de', '0', '0'),
('6736', 'Zugriff nur gewähren, wenn das aktuelle Theme ausgewählt wurde.', 'de', '0', '0'),
('6737', 'Aktuelles Theme ist „@theme“', 'de', '0', '0'),
('6738', 'Begriffe des Beitrags', 'de', '0', '0'),
('6739', 'Feed Icons', 'de', '0', '0'),
('6740', 'Site-Logo', 'de', '0', '0'),
('6741', 'Primäre Navigationslinks', 'de', '0', '0'),
('6742', 'Sekundäre Navigationslinks', 'de', '0', '0'),
('6743', 'CSS-Id verwenden', 'de', '0', '0'),
('6744', 'Fehlendes Plugin', 'de', '0', '0'),
('6745', 'Benutzerdefinierte Stile', 'de', '0', '0'),
('6746', 'Benutzerdefinierter Regelsatz', 'de', '0', '0'),
('6747', 'Benutzerdefinierte Regelsätze können als Kombinationen aus Plugins für Zutrittskontrolle, Auswahlkriterien und Sichtbarkeit von Bereichen (Pane) verwenden werden.', 'de', '0', '0'),
('6748', 'Es gibt keine benutzerdefinierten Regelsätze.', 'de', '0', '0'),
('6749', 'Verwalten von benutzerdefinierten Regelsätzen', 'de', '0', '0'),
('6750', 'Benutzerdefinierter Regelsatz', 'de', '0', '0'),
('6751', 'Regelsatz', 'de', '0', '0'),
('6752', 'Regelsätze', 'de', '0', '0'),
('6753', 'Benutzerdefinierter Inhalt', 'de', '0', '0'),
('6754', 'Es gibt keine benutzerdefinierte Inhaltsbereiche.', 'de', '0', '0'),
('6755', 'Verwalten von benutzerdefiniertem Inhalt', 'de', '0', '0'),
('6756', 'Benutzerdefinierte Bereiche mit Inhalten', 'de', '0', '0'),
('6757', 'Panel Inhalt', 'de', '0', '0'),
('6758', 'Panel Inhalte', 'de', '0', '0'),
('6759', 'Panel Inhalte', 'de', '0', '0'),
('6760', 'Umgekehrt (NOT)', 'de', '0', '0'),
('6761', 'Ein neues @plugin hinzufügen', 'de', '0', '0'),
('6762', '@plugin %title bearbeiten', 'de', '0', '0'),
('6763', '@plugin %title duplizieren', 'de', '0', '0'),
('6764', '@plugin importieren', 'de', '0', '0'),
('6765', '@plugin %title exportieren', 'de', '0', '0'),
('6766', 'Wollen Sie %title zurücksetzen?', 'de', '0', '0'),
('6767', 'Diese Aktion entfernt dauerhaft alle Anpassungen, die an diesem Element vorgenommen wurden.', 'de', '0', '0'),
('6768', 'Das Element wurde zurückgesetzt.', 'de', '0', '0'),
('6769', 'Diese Aktion wird dieses Element dauerhaft aus Ihrer Datenbank entfernen.', 'de', '0', '0'),
('6770', '%title wurde erstellt.', 'de', '0', '0'),
('6771', '%title konnte nicht erstellt werden.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('6772', '%title wurde aktualisiert.', 'de', '0', '0'),
('6773', '%title konnte nicht aktualisiert werden.', 'de', '0', '0'),
('6774', 'Sie können eine exportierte Definition importieren, indem Sie den exportierten Objekt-Code in das Feld unten einfügen.', 'de', '0', '0'),
('6775', '@plugin %title wurde aktiviert.', 'de', '0', '0'),
('6776', '@plugin %title wurde deaktiviert.', 'de', '0', '0'),
('6777', 'Konfigurieren von Stil', 'de', '0', '0'),
('6778', 'Wählen Sie einen Erstellungsmodus für diesen Beitrag.', 'de', '0', '0'),
('6779', 'div', 'de', '0', '0'),
('6780', 'Aktiviert, name', 'de', '0', '0'),
('6781', 'Dieser wird zur leichteren Identifizierung in der Verwaltungsoberfläche angezeigt.', 'de', '0', '0'),
('6782', 'Die eindeutige ID für diesen @export.', 'de', '0', '0'),
('6783', 'Konnte keinen Import aus dem Code erhalten. Fehler erfasst: @errors', 'de', '0', '0'),
('6784', 'Benutzerdefinierte Formatvorlagen können auf Panel-Regionen und Panel-Bereichen (Panes) angewendet werden.', 'de', '0', '0'),
('6785', 'Es gibt keine benutzerdefinierten Stile.', 'de', '0', '0'),
('6786', 'Verwalten von Stilen', 'de', '0', '0'),
('6787', 'Erstellen von benutzerdefinierten Designs für Anwendungen wie Panels.', 'de', '0', '0'),
('6788', 'Administrative Einstellungen', 'de', '0', '0'),
('6789', 'Wählen Sie den Stiltyp', 'de', '0', '0'),
('6790', 'Anhang anzeigen', 'de', '0', '0'),
('6791', 'View Kontext', 'de', '0', '0'),
('6792', 'Anzeige der Anhänge in einem View-Kontext.', 'de', '0', '0'),
('6793', '„Vor“ dem Anhang', 'de', '0', '0'),
('6794', '„Nach“ dem Anhang', 'de', '0', '0'),
('6795', 'Ansicht für leeren Text', 'de', '0', '0'),
('6796', 'Fußzeile der Ansicht', 'de', '0', '0'),
('6797', 'Kopfbereich der Ansicht', 'de', '0', '0'),
('6798', 'Seitennavigation der Ansicht', 'de', '0', '0'),
('6799', 'Zeile der Ansicht', 'de', '0', '0'),
('6800', 'Wählen Sie den Kontext', 'de', '0', '0'),
('6801', 'Konfigurieren Sie die Zeilen', 'de', '0', '0'),
('6802', 'Zeileninformation', 'de', '0', '0'),
('6803', 'Das Ergebnis einer Ansicht als Kontext  dem Modul Panels und andere Anwendungen zur Verfügung stellen.', 'de', '0', '0'),
('6804', 'Enthält Zeilen in Kontexten.', 'de', '0', '0'),
('6805', 'Kontext-Einstellungen', 'de', '0', '0'),
('6806', 'Ansichtsmodus', 'de', '0', '0'),
('6807', 'Beispiel-Inhalt', 'de', '0', '0'),
('6808', 'CTools Javascript Widgets', 'de', '0', '0'),
('6809', 'Link 1', 'de', '0', '0'),
('6810', 'Link 2', 'de', '0', '0'),
('6811', 'Link 3', 'de', '0', '0'),
('6812', 'Drop Down Menü', 'de', '0', '0'),
('6813', 'Hallo Welt', 'de', '0', '0'),
('6814', 'Ihr Benutzerkonto', 'de', '0', '0'),
('6815', 'Anmeldung durchgeführt', 'de', '0', '0'),
('6816', 'Zu dieser Beispielseite zurückkehren.', 'de', '0', '0'),
('6817', 'Chaos Tools AJAX Demo', 'de', '0', '0'),
('6818', 'Einfaches Formular', 'de', '0', '0'),
('6819', 'Zeigt die Anwendung und die Mächtigkeit von Chaos AJAX.', 'de', '0', '0'),
('6820', 'Wenn es mehr als eine Variante auf einer Seite gibt, wenn die Seite besucht wird, kann jede Variante angezeigt werden. Ausgehend von der ersten Variante bis zur letzten, testet jede, welche Auswahlregeln zutreffen. Die erste passende Variante wird angezeigt.', 'de', '0', '0'),
('6821', '404 Seite nicht gefunden', 'de', '0', '0'),
('6822', 'Das erste Element in einem Pfad kann nicht dynamisch sein.', 'de', '0', '0'),
('6823', 'Benutzersignatur', 'de', '0', '0'),
('6824', 'Die Signatur eines Benutzers.', 'de', '0', '0'),
('6825', 'Löschen und speichern', 'de', '0', '0'),
('6826', 'Aktivieren und speichern', 'de', '0', '0'),
('6827', 'Deaktivieren und speichern', 'de', '0', '0'),
('6828', '@entity: ID', 'de', '0', '0'),
('6829', 'Erstellt den Kontext @entity aus der ID einer Entität, die als Argument verwendet wird.', 'de', '0', '0'),
('6830', 'Benutzerdefinierte Blöcke', 'de', '0', '0'),
('6831', '„@s“ @field', 'de', '0', '0'),
('6832', 'Entitäts-Objekt.', 'de', '0', '0'),
('6833', 'Website-Informationen', 'de', '0', '0'),
('6834', 'Verwenden Sie diese Seite in einem Admin-Overlay.', 'de', '0', '0'),
('6835', 'Master', 'de', '0', '0'),
('6838', 'Taxonomie: Begriff hat (ein) ihm übergeordnete(s) Element(e)', 'de', '0', '0'),
('6839', 'Feld: @widget_label (@field_name)', 'de', '0', '0'),
('6840', '@entity (Token)', 'de', '0', '0'),
('6841', 'Ansicht: @view', 'de', '0', '0'),
('6842', 'Ansicht: @view: @display', 'de', '0', '0'),
('6844', 'Vollständige Ansicht', 'de', '0', '0'),
('6845', 'Die vollständige Ansicht anzeigen.', 'de', '0', '0'),
('6846', 'Inhaltsbereich konfigurieren', 'de', '0', '0'),
('6850', 'Kommentar-Antwortformular', 'de', '0', '0'),
('6851', 'Ein Formular zum Hinzufügen einer neuen Antwort auf einen Kommentar.', 'de', '0', '0'),
('6852', 'Das Sprachauswahl-Formular.', 'de', '0', '0'),
('6863', 'Wysiwyg Profil', 'de', '0', '0'),
('6866', 'Speichert einen Titel, den HREF und Attribute in der Datenbank, um einen Link zusammenzubauen.', 'de', '0', '0'),
('6881', 'Titel, als Link (Standard)', 'de', '0', '0'),
('6882', 'Titel, als Klartext', 'de', '0', '0'),
('6883', 'URL, als Link', 'de', '0', '0'),
('6884', 'URL, als Klartext', 'de', '0', '0'),
('6887', 'Kurz, als Link mit dem Titel „Link“', 'de', '0', '0'),
('6888', 'Beschriftung, als Link mit Beschriftung als Titel', 'de', '0', '0'),
('6889', 'Titel und URL trennen', 'de', '0', '0'),
('6892', 'Features', 'de', '0', '0'),
('6897', 'WYSIWYG-Profile', 'de', '0', '0'),
('6898', 'Client-seitige Editor-Profile konfigurieren.', 'de', '0', '0'),
('6899', 'Cctags', 'de', '0', '0'),
('6935', 'Date API', 'de', '0', '0'),
('6936', 'Einstellungen für Module, die das Date-API verwenden.', 'de', '0', '0'),
('6941', 'In Views verwendet', 'de', '0', '0'),
('6942', 'Überblick über alle Felder, die in allen Ansichten verwendet werden.', 'de', '0', '0'),
('6943', 'Erweiterungen für Ansichten', 'de', '0', '0'),
('6944', 'Übersicht der Funktionserweiterungen, die in allen Ansichten verwendet werden.', 'de', '0', '0'),
('6945', 'Ansichten', 'de', '0', '0'),
('6946', 'Diese Aktion wird alle an dieser Ansicht vorgenommenen Anpassungen dauerhaft entfernen.', 'de', '0', '0'),
('6947', 'Die Ansicht wurde zurückgesetzt.', 'de', '0', '0'),
('6948', 'Diese Aktion wird die Ansicht dauerhaft aus Ihrer Datenbank löschen.', 'de', '0', '0'),
('6949', 'Die Ansicht wurde gelöscht.', 'de', '0', '0'),
('6951', 'Neue Ansicht hinzufügen', 'de', '0', '0'),
('6952', 'Ansicht aus Vorlage hinzufügen', 'de', '0', '0'),
('6962', 'Layout', 'de', '0', '0'),
('6964', 'Layouts', 'de', '0', '0'),
('6968', 'Anforderung', 'de', '0', '0'),
('6972', 'Aggregator - Eintrag', 'de', '0', '0'),
('6973', 'Feedeinträge werden aus externe RSS und Atom-News Feeds importiert.', 'de', '0', '0'),
('6974', 'Feed Element-ID', 'de', '0', '0'),
('6975', 'Die eindeutige ID des Aggregator-Elementes', 'de', '0', '0'),
('6976', 'Objekt ID', 'de', '0', '0'),
('6977', 'Der Titel des Feedseintrags.', 'de', '0', '0'),
('6978', 'Der Link zu der originalen Quell-URL des Feedeintrags.', 'de', '0', '0'),
('6979', 'Der Autor des originalen importierten Feedeintrags.', 'de', '0', '0'),
('6980', 'GUID', 'de', '0', '0'),
('6981', 'Die GUID des urpsrunglich importierten Elementes.', 'de', '0', '0'),
('6982', 'Der tatsächliche Inhalt des importierten Feedeintrags.', 'de', '0', '0'),
('6983', 'Das Datum an dem der originale Feedeintrag erstellt wurde. (Bei einigen Feeds, wird dies das Import-Datum sein.)', 'de', '0', '0'),
('6984', 'Aggregator-Feed', 'de', '0', '0'),
('6985', 'Feed-ID', 'de', '0', '0'),
('6986', 'Die eindeutige ID des Aggregator-Feeds.', 'de', '0', '0'),
('6987', 'Der Titel des Aggregator-Feeds.', 'de', '0', '0'),
('6988', 'Der Link zu der Quell-URL des Feeds.', 'de', '0', '0'),
('6989', 'Zuletzt überprüft', 'de', '0', '0'),
('6990', 'Das Datum an dem der Feed das letzte Mal auf neuen Inhalt überprüft wurde.', 'de', '0', '0'),
('6991', 'Die Beschreibung dieses Aggregator-Feeds.', 'de', '0', '0'),
('6992', 'Zuletzt geändert', 'de', '0', '0'),
('6993', 'Das Datum der jüngesten Inhaltsneueingabe.', 'de', '0', '0'),
('6994', 'Aggregator Kategorie', 'de', '0', '0'),
('6995', 'Kategorie-ID', 'de', '0', '0'),
('6996', 'Die eindeutige ID der Aggregator-Kategorie.', 'de', '0', '0'),
('6997', 'Der Titel der Aggregator Kategorie.', 'de', '0', '0'),
('6998', 'Das Buch, indem der Beitrag enthalten ist.', 'de', '0', '0'),
('6999', 'Die Reihenfolge der Buchseite.', 'de', '0', '0'),
('7000', 'Die Tiefe der Buchseite in der Hierarchie. Bücher der obersten Ebene haben eine Tiefe von 1.', 'de', '0', '0'),
('7001', '﻿Die Reihenfolge der Seiten in der Buch-Hierarchie.', 'de', '0', '0'),
('7002', 'Der übergeordnete Buchbeitrag.', 'de', '0', '0'),
('7004', 'Benutzerdefinierten Text oder Link bereitstellen.', 'de', '0', '0'),
('7005', 'Kommentare sind Antworten auf Beiträge.', 'de', '0', '0'),
('7006', 'ID', 'de', '0', '0'),
('7007', 'Die Kommentar-ID des Feldes', 'de', '0', '0'),
('7008', 'Der Name des Kommentar-Autors. Kann als Link zur Website vom Kommentar-Autor ausgegeben werden.', 'de', '0', '0'),
('7009', 'Website des Autors', 'de', '0', '0'),
('7010', 'Die Website-Adresse des Kommentar-Autors. Kann als Link ausgegeben werden. Wird jedoch leer bleiben, wenn der Autor ein registrierter Benutzer ist.', 'de', '0', '0'),
('7011', '﻿Der Hostname des Benutzers, der den Kommentar geschrieben hat.', 'de', '0', '0'),
('7012', 'E-Mail', 'de', '0', '0'),
('7013', 'E-Mail-Adresse des Nutzers, der den Kommentar hinterlegt hat. Bleibt leer wenn der Benutzer registriert ist.', 'de', '0', '0'),
('7014', 'Beitragsdatum', 'de', '0', '0'),
('7015', 'Datum und Uhrzeit, wann der Kommentar erstellt wurde.', 'de', '0', '0'),
('7016', 'Die Sprache, in der der Kommentar verfasst ist.', 'de', '0', '0'),
('7017', 'Aktualisierungszeitpunkt', 'de', '0', '0'),
('7018', 'Datum und Uhrzeit, wann der Kommentar zuletzt aktualisiert wurde.', 'de', '0', '0'),
('7019', 'Datum im Format JJJJMMTT.', 'de', '0', '0'),
('7020', 'Jahr + Monat wurde erstellt', 'de', '0', '0'),
('7021', 'Datum im Format JJJJMM.', 'de', '0', '0'),
('7022', 'Erstellungsjahr', 'de', '0', '0'),
('7023', 'Datum im Format JJJJ.', 'de', '0', '0'),
('7024', 'Erstellungsmonat', 'de', '0', '0'),
('7025', 'Datum im Format MM (01 - 12).', 'de', '0', '0'),
('7026', 'Erstellungstag', 'de', '0', '0'),
('7027', 'Datum im Format TT (01 - 31).', 'de', '0', '0'),
('7028', 'Erstellungswoche', 'de', '0', '0'),
('7029', 'Datum im Format WW (01 - 53).', 'de', '0', '0'),
('7030', 'Bestätigt', 'de', '0', '0'),
('7031', 'Ob der Kommentar genemigt ist (oder sich noch in der Moderation-Warteschlange befinden).', 'de', '0', '0'),
('7032', 'Nicht freigegeben', 'de', '0', '0'),
('7033', 'Genemigter Kommentar', 'de', '0', '0'),
('7034', '‚Anzeigen‘-Link', 'de', '0', '0'),
('7035', 'Stellt einen einfachen Link zur Ansicht des Kommentars bereit.', 'de', '0', '0'),
('7036', '‚Bearbeiten‘-Link', 'de', '0', '0'),
('7037', 'Stellt einen einfachen Link zum Bearbeiten des Kommentars bereit.', 'de', '0', '0'),
('7038', 'Link löschen', 'de', '0', '0'),
('7039', 'Stellt einen einfachen Link zum Löschen des Kommentars bereit.', 'de', '0', '0'),
('7040', 'Link bestätigen.', 'de', '0', '0'),
('7041', 'Einen einfachen Link zur Verfügung stellen, um einen Kommentar zu bestätigen.', 'de', '0', '0'),
('7042', '‚Antworten‘-Link', 'de', '0', '0'),
('7043', 'Stellt einen einfachen Link zum Antworten auf den Kommentars bereit.', 'de', '0', '0'),
('7044', 'Bei gruppierter Ansicht die Verschachtelungstiefe des Kommentars anzeigen.', 'de', '0', '0'),
('7045', 'Thread', 'de', '0', '0'),
('7046', 'Nach der gruppierten Reihenfolge sortieren. Dies wird die Unterkommentare mit ihren Eltern zusammenlassen.', 'de', '0', '0'),
('7047', 'Beitrags-ID', 'de', '0', '0'),
('7048', 'Die Beitrags-ID, auf die der Kommentar antwortet.', 'de', '0', '0'),
('7049', 'Der Inhalt, auf den der Kommentar eine Antwort ist.', 'de', '0', '0'),
('7050', 'Benutzer-ID des Autors', 'de', '0', '0'),
('7052', 'Die Benutzer-ID des Kommentar-Autors.', 'de', '0', '0'),
('7053', 'Autor', 'de', '0', '0'),
('7054', 'Übergeordnete Kommentar-ID', 'de', '0', '0'),
('7055', 'Die Kommentar-ID des übergeordneten Kommentars.', 'de', '0', '0'),
('7056', 'Übergeordneter Kommentar', 'de', '0', '0'),
('7057', 'Der übergeordnete Kommentar.', 'de', '0', '0'),
('7058', 'Letzter Kommentarzeitpunkt', 'de', '0', '0'),
('7059', 'Zeitpunkt zu dem der letzte Kommentar gespeichert wurde.', 'de', '0', '0'),
('7060', 'Letzter Kommentarautor', 'de', '0', '0'),
('7061', 'Der Name des Autors von dem letzten Kommentar.', 'de', '0', '0'),
('7062', 'Die Anzahl der Kommentare zu einem Beitrag.', 'de', '0', '0'),
('7063', 'Aktualisierungs-/Kommentarzeitpunkt', 'de', '0', '0'),
('7064', 'Der Zeitpunkt des letzten Kommentars oder einer Beitragsaktualisierung.', 'de', '0', '0'),
('7065', 'Letzer Kommentar CID', 'de', '0', '0'),
('7066', 'Letzten Kommentar eines Beitrages anzeigen', 'de', '0', '0'),
('7067', 'Letzter Kommentar', 'de', '0', '0'),
('7068', 'Der letzte Kommentar eines Beitrages.', 'de', '0', '0'),
('7069', 'Die UID des letzten Kommentars.', 'de', '0', '0'),
('7070', 'Die Benutzer-ID des Authors des letzten Kommentar eines Beitrags.', 'de', '0', '0'),
('7071', 'Datum (!base_table)', 'de', '0', '0'),
('7073', 'Unbefristet', 'de', '0', '0'),
('7074', 'Alle Datumsfelder in Ansichten !base_table filtern.', 'de', '0', '0'),
('7075', '@entity:@bundle', 'de', '0', '0'),
('7076', 'Erscheint in: @bundles.', 'de', '0', '0'),
('7077', '@group: @field', 'de', '0', '0'),
('7078', '@label (!name)', 'de', '0', '0'),
('7079', '- Kein Wert -', 'de', '0', '0'),
('7080', '@label (!name:!column)', 'de', '0', '0'),
('7081', '@label:!column', 'de', '0', '0'),
('7082', 'Ein Alias von @group: @field.', 'de', '0', '0'),
('7083', 'Auch bekannt als: !also.', 'de', '0', '0'),
('7084', '@group (Historische Daten)', 'de', '0', '0'),
('7085', '@group (Historische Daten): @field', 'de', '0', '0'),
('7089', '- kein Wert -', 'de', '0', '0'),
('7090', '@label (!name:Delta)', 'de', '0', '0'),
('7091', '@label:Delta', 'de', '0', '0'),
('7092', 'Delta - Erscheint in: @bundles.', 'de', '0', '0'),
('7093', 'Begriff aus !field_name', 'de', '0', '0'),
('7094', 'Bild von !field_name', 'de', '0', '0'),
('7095', 'Datei von !field_name', 'de', '0', '0'),
('7096', 'Übersetzungquelle', 'de', '0', '0'),
('7097', 'Die Quell-Zeichenkette der Übersetzung, in Englisch oder in der Standardsprache der Website.', 'de', '0', '0'),
('7098', 'LID', 'de', '0', '0'),
('7099', 'Die ID der Quell-Zeichenkette.', 'de', '0', '0'),
('7100', 'Eine Beschreibung des Vorkommens oder Kontext der Zeichenkette.', 'de', '0', '0'),
('7101', 'Die Gruppe in der die Übersetzung ist.', 'de', '0', '0'),
('7102', 'Quelle', 'de', '0', '0'),
('7103', 'Die vollständige originale Zeichenkette.', 'de', '0', '0'),
('7104', 'Die Version des Drupal-Kerns zu der diese Zeichenkette gehört.', 'de', '0', '0'),
('7105', 'Ein einfachen Link bereitstellen, um die Übersetzungen zu bearbeiten.', 'de', '0', '0'),
('7106', 'Zielsprache', 'de', '0', '0'),
('7107', 'Übersetzung', 'de', '0', '0'),
('7108', 'Die vollständige Zeichenkette der Übersetzung.', 'de', '0', '0'),
('7109', 'Die Sprache der Übersetzung.', 'de', '0', '0'),
('7110', 'Singular LID', 'de', '0', '0'),
('7111', 'Die ID der übergeordneten Übersetzung.', 'de', '0', '0'),
('7112', 'Mehrzahl', 'de', '0', '0'),
('7113', 'Gibt an, ob die Übersetzung Plural ist oder nicht.', 'de', '0', '0'),
('7114', 'Die ID des Beitrags.', 'de', '0', '0'),
('7115', 'Der Inhaltstitel.', 'de', '0', '0'),
('7116', 'Erstellungsdatum des Inhalts.', 'de', '0', '0'),
('7117', 'Letztes Aktualisierungsdatum des Inhalts.', 'de', '0', '0'),
('7118', 'Der Inhaltstyp (z.B. "Blogeintrag", "Forenbeitrag", Geschichte, etc.).', 'de', '0', '0'),
('7119', 'Ob der Inhalt veröffentlicht ist, oder nicht.', 'de', '0', '0'),
('7120', 'Veröffentlicht oder Administrator', 'de', '0', '0'),
('7121', 'Unveröffentlichte Inhalte filtern, wenn der aktuelle Benutzer diese nicht sehen darf.', 'de', '0', '0'),
('7122', 'Ob der Inhalt auf der Startseite veröffentlicht wurde, oder nicht.', 'de', '0', '0'),
('7123', 'Auf der Startseite', 'de', '0', '0'),
('7124', 'nicht auf der Startseite', 'de', '0', '0'),
('7125', 'am Anfang von Listen', 'de', '0', '0'),
('7126', 'Ob der Inhalt in Listen immer oben erscheint, oder nicht.', 'de', '0', '0'),
('7127', 'nicht am Anfang von Listen', 'de', '0', '0'),
('7128', 'Inhalte, die mit „am Anfang von Listen markiert sind, werden zuerst aufgelistet, wenn „absteigend sortiert“ wird.', 'de', '0', '0'),
('7129', 'Einen einfachen Link für den Inhalt verfügbar machen.', 'de', '0', '0'),
('7130', 'Stellt einen einfachen Link zum Bearbeiten des Inhalts bereit.', 'de', '0', '0'),
('7131', 'Stellt einen einfachen Link zum Löschen des Inhalts bereit.', 'de', '0', '0'),
('7132', 'Der Aliaspfad zu diesem Inhalt.', 'de', '0', '0'),
('7133', 'Aktualisiert Jahr + Monat', 'de', '0', '0'),
('7134', 'Aktualisiert Jahr', 'de', '0', '0'),
('7135', 'Aktualisiert Monat', 'de', '0', '0'),
('7136', 'Aktualisiert Tag', 'de', '0', '0'),
('7137', 'Aktualisiert Woche', 'de', '0', '0'),
('7139', 'Verknüpfe den Inhalt mit dem Benutzer, der ihn erzeugt hat.', 'de', '0', '0'),
('7140', 'Der Benutzer hat eine neue Version.', 'de', '0', '0'),
('7141', 'Alle Beiträge, zu denen ein bestimmter Benutzer eine neue Version hat.', 'de', '0', '0'),
('7142', 'Inhaltsversion', 'de', '0', '0'),
('7143', 'Die Inhaltsversion ist eine Abfolge von Inhaltsänderungen.', 'de', '0', '0'),
('7144', 'Eine Inhaltsversion mit einem Benutzer verbinden, der diese Version erstellt hat.', 'de', '0', '0'),
('7145', 'Revision Benutzer', 'de', '0', '0'),
('7146', 'Die Versions-NID der Inhaltsversion.', 'de', '0', '0'),
('7147', 'Den aktuellen Inhalt einer Version laden.', 'de', '0', '0'),
('7148', 'Vid', 'de', '0', '0'),
('7149', 'Die Versions-ID, die zur Version des Inhalts gehört.', 'de', '0', '0'),
('7150', 'Die eingegebene Protokollnachricht, als die Version erstellt wurde.', 'de', '0', '0'),
('7151', 'Der Zeitpunkt zu dem der Beitrag das letzte mal aktualisiert wurde.', 'de', '0', '0'),
('7152', 'Bietet einen einfachen Link zu der Version an.', 'de', '0', '0'),
('7153', '‚Zurück‘-Link', 'de', '0', '0'),
('7154', 'Stellt einen einfachen Link bereit, um zu der Version zurückzukehren.', 'de', '0', '0'),
('7155', 'Einen einfachen Link zur Verfügung stellen, mit dem eine Beitragsversion gelöscht werden kann.', 'de', '0', '0'),
('7156', 'Inhaltszugriff', 'de', '0', '0'),
('7157', 'Filtern nach Berechtigungen.', 'de', '0', '0'),
('7158', 'Inhalt durch Zugriff auf Ansichten filtern. <strong>Nicht notwendig, wenn Sie "node" als Basis-Tabelle verwenden.</strong>', 'de', '0', '0'),
('7159', 'Neuer Inhalt vorhanden', 'de', '0', '0'),
('7160', 'Zeige eine Markierung, wenn der Inhalt neu oder aktualisiert ist.', 'de', '0', '0'),
('7161', 'Zeige nur neuen oder aktualisierten Inhalt.', 'de', '0', '0'),
('7162', 'Ob die Umfrage offen für die Stimmabgabe ist.', 'de', '0', '0'),
('7163', 'Ergebnis', 'de', '0', '0'),
('7164', 'Die Treffer des Suchbegriffs. Dies wird nicht verwendet, wenn der Suchfilter nicht auch angezeigt wird.', 'de', '0', '0'),
('7165', 'Links von', 'de', '0', '0'),
('7166', 'Andere Beiträge, die von diesem Beitrag verlinkt sind.', 'de', '0', '0'),
('7167', 'Links zu', 'de', '0', '0'),
('7168', 'Andere Beiträge, die zu diesem Beitrag verlinken.', 'de', '0', '0'),
('7169', 'Suchbegriffe', 'de', '0', '0'),
('7170', 'Die Begriffe nach denen gesucht werden soll.', 'de', '0', '0'),
('7171', 'Inhaltstatistiken', 'de', '0', '0'),
('7172', 'Seitenansichten gesamt', 'de', '0', '0'),
('7173', 'Dies zeigt die Anzahl an, wie oft ein Beitrag insgesamt gelesen wurde.', 'de', '0', '0'),
('7174', 'Dies zeigt die Anzahl an, wie oft ein Beitrag heute gelesen wurde.', 'de', '0', '0'),
('7175', 'Der letzte Seitenaufruf', 'de', '0', '0'),
('7176', 'Der letzte Zeitpunkt zu dem der Beitrag gelesen wurde.', 'de', '0', '0'),
('7177', 'Zugriffsprotokoll', 'de', '0', '0'),
('7178', 'Speichert die Zugriffsinformation auf die Website.', 'de', '0', '0'),
('7179', 'Hilfe', 'de', '0', '0'),
('7180', 'Eindeutige Zugriffsereignis-ID', 'de', '0', '0'),
('7181', 'Session-ID', 'de', '0', '0'),
('7182', 'Session-ID des Benutzers, der die Seite aufgerufen hat.', 'de', '0', '0'),
('7183', 'Titel der besuchten Seite.', 'de', '0', '0'),
('7184', 'Interner Pfad zur besuchten Seite (relativ zum Drupal-Hauptverzeichnis).', 'de', '0', '0'),
('7185', 'Referrer-URI.', 'de', '0', '0'),
('7186', 'Hostname des Besuchers der Seite.', 'de', '0', '0'),
('7187', 'Der Benutzer, der die Website besucht hat.', 'de', '0', '0'),
('7188', 'Timer', 'de', '0', '0'),
('7189', 'Ladezeit der Seite in Millisekunden.', 'de', '0', '0'),
('7190', 'Zeitpunkt des Seitenaufrufs.', 'de', '0', '0'),
('7191', 'Dateien werden von Drupal und unterschiedlichen Modulen verwaltet.', 'de', '0', '0'),
('7192', 'Die ID der Datei.', 'de', '0', '0'),
('7193', 'Der Name der Datei.', 'de', '0', '0'),
('7194', 'Der Pfad der Datei.', 'de', '0', '0'),
('7195', 'MIME-Typ', 'de', '0', '0'),
('7196', 'Der MIME-Typ der Datei.', 'de', '0', '0'),
('7197', 'Erweiterung', 'de', '0', '0'),
('7198', 'Die Erweiterung der Datei.', 'de', '0', '0'),
('7199', 'Der Status der Datei.', 'de', '0', '0'),
('7200', 'Upload Datum', 'de', '0', '0'),
('7201', 'Der Zeitpunkt zu dem die Datei hochgeladen wurde.', 'de', '0', '0'),
('7202', 'Benutzer, der hochgeladen hat', 'de', '0', '0'),
('7203', 'Der Benutzer, der die Datei hochgeladen hat.', 'de', '0', '0'),
('7204', 'Dateiverwendung', 'de', '0', '0'),
('7206', 'Eine Datei, die mit diesem Beitrag verknüpft ist. Normalerweise da sie sich in einem Feld dieses Beitrages befindet.', 'de', '0', '0'),
('7207', 'Ein Benutzer, der mit diesr Datei verknüpft ist. Normalerweise da sich die Datei in einem Feld dieses Benutzers bedindet.', 'de', '0', '0'),
('7208', 'Eine Datei, die mit diesem Benutzer verknüpft ist. Normalerweise da sie sich in einem Feld dieses Benutzer befindet.', 'de', '0', '0'),
('7209', 'Ein Kommentar, das mit dieser Datei verknüpft ist. Normalerweise da sich die Datei in einem Feld dieses Kommentares befindet.', 'de', '0', '0'),
('7210', 'Eine Datei, die mit diesem Kommentar verknüpft ist. Normalerweise da sie sich in einem Feld dieses Kommentares befindet.', 'de', '0', '0'),
('7211', 'Taxonomie-Begriff', 'de', '0', '0'),
('7212', 'Ein Taxonomiebegriff, der mit dieser Datei verknüpft ist. Normalerweise da sich die Datei in einem Feld dieses Taxonomiebegriffes befindet.', 'de', '0', '0'),
('7213', 'Eine Datei, die mit diesem Taxonomiebegriff verknüpft ist. Normalerweise da sie sich in einem Feld dieses Taxonomiebegriffes befindet.', 'de', '0', '0'),
('7214', 'Taxonomie-Vokabular', 'de', '0', '0'),
('7215', 'Ein Taxonomie-Vokabular, das mit dieser Datei verknüpft ist. Normalerweise da sich die Datei in einem Feld dieses Taxonomie-Vokabulares befindet.', 'de', '0', '0'),
('7216', 'Eine Datei, die mit diesem Taxonomie-Vokabular verknüpft ist. Normalerweise, da sie sich in einem Feld dieses Taxonomie-Vokabulares befindet.', 'de', '0', '0'),
('7217', 'Modul', 'de', '0', '0'),
('7218', 'Das Modul ist zuständig für die Verwaltung dieser Datei-Beziehung.', 'de', '0', '0'),
('7219', 'Entitätstyp', 'de', '0', '0'),
('7220', 'Der Einheitentyp, der mit dieser Datei verknüpft ist.', 'de', '0', '0'),
('7221', 'Objektkennung', 'de', '0', '0'),
('7222', 'Die ID der Entität, auf die sich die Datei bezieht.', 'de', '0', '0'),
('7223', 'Anzahl der Verwendung', 'de', '0', '0'),
('7224', 'Die Anzahl, wie oft die Datei von dieser Einheit verwendet wird.', 'de', '0', '0'),
('7225', 'Modul/Theme/Theme-Generator', 'de', '0', '0'),
('7226', 'Modul/Theme/Theme-Generator in Ihrer Codebase.', 'de', '0', '0'),
('7227', 'Dateiname von Modul/Theme/Theme-Generator', 'de', '0', '0'),
('7228', 'Der Pfad der primären Datei dieses Elements, relativ zum Drupal-Wurzelverzeichnis; z.B. modules/node/node.module.', 'de', '0', '0'),
('7229', 'Modul/Theme/Theme-Generatorname', 'de', '0', '0'),
('7230', 'Der Name des Eintrag; z.B. Node', 'de', '0', '0'),
('7231', 'Der Typ des Eintrages entweder Modul, Theme oder Theme-Engine.', 'de', '0', '0'),
('7232', 'Kennzeichen, ob dieses Element aktiviert ist oder nicht.', 'de', '0', '0'),
('7234', 'Die Versionsnummer des Datenbank-Schemas des Moduls. Ist das Modul nicht installiert, d.h. sind dessen Tabellen nicht angelegt, ist die Versionsnummer -1. Andernfalls 0 oder das höchste N entsprechend der Funktion hook_update_N(), die zum Zeitpunkt der Erstinstallation des Moduls ausgeführt wurde oder vorgelegen hat.', 'de', '0', '0'),
('7235', 'Name des Vokabulars, zu dem ein Begriff gehört. Dies wird das Vokabular sein, zu dem der Begriff im "Taxonomie:Begriff"-Feld gehört und kann zu Duplikate führen.', 'de', '0', '0'),
('7236', 'Der Name des Taxonomie-Vokabulars', 'de', '0', '0'),
('7237', 'Der Maschinenname des Vokabulars, dem ein Begriff zugehörig ist. Dies wird das Vokabular von jedem Begriff des „Taxonomie: Begriff“-Feldes; und kann in ähnlicher Weise Duplikate verursachen.', 'de', '0', '0'),
('7238', 'Die Ergebnisse von "Taxonomie: Begriff" auf ein bestimmtes Vokabular filtern.', 'de', '0', '0'),
('7239', 'Die Vokabular-ID der Taxonomie', 'de', '0', '0'),
('7240', 'Die Beschreibung des Taxonomie-Vokabulars', 'de', '0', '0'),
('7241', 'Die Gewichtung des Taxonomie-Vokabulars', 'de', '0', '0'),
('7242', '﻿Taxonomie-Begriffe werden Beiträgen zugeordnet.', 'de', '0', '0'),
('7243', 'Die TID eines Taxonomie-Begriffes.', 'de', '0', '0'),
('7244', 'Taxonomiebegriff, der über ein Autovervollständigungs- oder Auswahl-Steuerelement ausgewählt wurde.', 'de', '0', '0'),
('7245', 'Repräsentativer Beitrag', 'de', '0', '0'),
('7247', 'Der Name des Taxonomiebegriffs.', 'de', '0', '0'),
('7248', 'Name des Taxonomie-Begriffes.', 'de', '0', '0'),
('7249', 'Nicht kategorisiert', 'de', '0', '0'),
('7250', 'Das Feld für die Begriffsreihenfolge', 'de', '0', '0'),
('7251', 'Die einem Taxonomiebegriff zugeordnete Beschreibung.', 'de', '0', '0'),
('7252', '‚Bearbeiten‘-Link für Begriffe', 'de', '0', '0'),
('7253', 'Stellt einen einfachen Link zum Bearbeiten eines Begriffes bereit.', 'de', '0', '0'),
('7254', 'Inhalt mit Begriff', 'de', '0', '0'),
('7256', 'Besitzt eine Taxonomiebegriff-TID.', 'de', '0', '0'),
('7257', 'Inhalt anzeigen, wenn ihm die gewählten Taxonomiebegriffe zugeordnet wurden.', 'de', '0', '0'),
('7258', 'Hat einen Taxonomiebegriff', 'de', '0', '0'),
('7259', 'Der übergeordnete Begriff des aktuellen Begriffes. Dies kann zu Duplikaten führen, wenn der verwendete Vokabular mehrere übergeordnete Begriffe zulässt.', 'de', '0', '0'),
('7261', 'Der übergeordnete Begriff des Begriffes.', 'de', '0', '0'),
('7262', 'Die ID des Beitrags.', 'de', '0', '0'),
('7263', 'Ob der Beiträg veröffentlicht ist.', 'de', '0', '0'),
('7266', 'Uid', 'de', '0', '0'),
('7270', 'Benutzer, die Konten auf der Website erstellt haben.', 'de', '0', '0'),
('7271', 'Benutzer-ID', 'de', '0', '0'),
('7274', 'Beiträge', 'de', '0', '0'),
('7277', 'Aktuell', 'de', '0', '0'),
('7278', 'Die Ansicht für den aktuell angemeldeten Benutzer filtern.', 'de', '0', '0'),
('7279', 'Der Benutzer oder Name des Autors.', 'de', '0', '0'),
('7280', 'Name (unformatiert)', 'de', '0', '0'),
('7281', 'Den Namen des Benutzers oder Autor. Dieser Filter wird nicht überprüfen, ob der Benutzer vorhanden ist und partiellen Vergleich ermöglichen. Keine Verwendung von Autovervollständigung.', 'de', '0', '0'),
('7282', 'Die E-Mail-Adresse für einen bestimmten Benutzer. Dieses Feld wird Benutzern normalerweise nicht angezeigt und sollte nur unter Vorsicht verwendet werden.', 'de', '0', '0'),
('7283', 'Aktuelle Sprache des Benutzers', 'de', '0', '0'),
('7284', 'Das Bild des Benutzers, soweit zulässig.', 'de', '0', '0'),
('7285', 'Hat ein Avatar', 'de', '0', '0'),
('7286', 'Einen einfachen Link zu dem Benutzer zur Verfügung stellen.', 'de', '0', '0'),
('7287', 'Der Zeitpunkt zu dem der Benutzer erstellt wurde.', 'de', '0', '0'),
('7288', 'Letztes Zugriffsdatum des Benutzers.', 'de', '0', '0'),
('7289', 'Letztes Anmeldedatum des Benutzers.', 'de', '0', '0'),
('7290', 'Ob ein Benutzer aktiv oder blockiert ist.', 'de', '0', '0'),
('7291', 'Die Signatur des Benutzers.', 'de', '0', '0'),
('7292', 'Stellt einen einfachen Link zum Bearbeiten des Benutzers bereit.', 'de', '0', '0'),
('7293', 'Link zum Account löschen', 'de', '0', '0'),
('7295', 'Daten', 'de', '0', '0'),
('7296', 'Serialisierte Daten des Benutzers zur Verfügung stellen.', 'de', '0', '0'),
('7297', 'Die Rollen denen ein Benutzer angehört.', 'de', '0', '0'),
('7298', 'Keine Rolle', 'de', '0', '0'),
('7299', 'Die Benutzerberechtigungen.', 'de', '0', '0'),
('7300', 'Authmap ID', 'de', '0', '0'),
('7301', 'Die Authmap ID.', 'de', '0', '0'),
('7302', 'Authentifizierungsname', 'de', '0', '0'),
('7303', '﻿Der eindeutige Authentifizierung-Name.', 'de', '0', '0'),
('7304', 'Authentifizierungsmodul', 'de', '0', '0'),
('7305', 'Der Name des Moduls, zur Verwaltung des Authentifizierungs-Eintrags.', 'de', '0', '0'),
('7308', 'Wertetyp', 'de', '0', '0'),
('7310', 'Tag', 'de', '0', '0'),
('7321', 'Global', 'de', '0', '0'),
('7322', 'Zufall', 'de', '0', '0'),
('7323', 'Die Anzeigereihenfolge zufällig anordnen.', 'de', '0', '0'),
('7324', 'Null', 'de', '0', '0'),
('7325', 'Erlaubt, dass ein Kontextfilter-Wert ignoriert wird. Die Abfrage wird durch den Filterwert nicht verändert. Dies kann verwendet werden, wenn ein Filterwert von der URL kommt und ein Teil dieser URL ignoriert werden soll.', 'de', '0', '0'),
('7326', 'Benutzerdefinierter Text', 'de', '0', '0'),
('7327', 'Ergebniszähler einer Ansicht', 'de', '0', '0'),
('7328', 'Anzeige der aktuellen Position des Ergebnis dieser Ansicht', 'de', '0', '0'),
('7329', 'Textbereich', 'de', '0', '0'),
('7330', 'Bereitstellen von Textauszeichung für diesen Bereich.', 'de', '0', '0'),
('7333', 'Ansichtsbereich', 'de', '0', '0'),
('7334', 'Eine Ansicht in einen Ansichtsbereicht einfügen.', 'de', '0', '0'),
('7335', 'Ergebnis-Zusammenfassung', 'de', '0', '0'),
('7336', 'Zeigt die Ergebniszusammenfassung, z.B. die Elemente pro Seite.', 'de', '0', '0'),
('7337', 'Nachrichten', 'de', '0', '0'),
('7341', 'Feld-Filter kombinieren', 'de', '0', '0'),
('7342', 'Zwei Felder miteinander kombinieren und danach suchen.', 'de', '0', '0'),
('7343', 'Mathematischer Ausdruck', 'de', '0', '0'),
('7344', 'Einen mathematischen Ausdruck auswerten und anzeigen.', 'de', '0', '0'),
('7348', 'Die Anzahl der neuen Kommentare zu dem Beitrag.', 'de', '0', '0'),
('7349', '﻿Kommentar-Link hinzufügen', 'de', '0', '0'),
('7350', 'Den Link zum Hinzufügen von Kommentaren auf regulären Beiträgen anzeigen, wenn der Benutzer das Recht zu kommentieren hat.', 'de', '0', '0'),
('7351', 'Kommentarstatus', 'de', '0', '0'),
('7352', 'Ob Kommentare zu dem Beitrag aktiviert oder deaktiviert sind.', 'de', '0', '0'),
('7353', 'Benutzer ist Autor oder Kommentierender', 'de', '0', '0'),
('7354', 'Nur Beiträge anzeigen, die ein Benutzer  erstellt oder kommentiert hat.', 'de', '0', '0'),
('7355', 'Kommentare des Beitrags', 'de', '0', '0'),
('7357', 'Link zur Kontaktseite', 'de', '0', '0'),
('7358', 'Stellt einen einfachen Link zum Senden einer Nachricht an den Benutzer bereit.', 'de', '0', '0'),
('7359', '@entity die @field benutzt', 'de', '0', '0'),
('7361', '!field_name', 'de', '0', '0'),
('7362', 'Verknüpfe jede @entity mit einem @field, das auf das Bild gesetzt ist.', 'de', '0', '0'),
('7363', 'Verknüpfe jede @entity mit einem @field, das auf die Datei gesetzt ist.', 'de', '0', '0'),
('7364', 'Die Sprache des Inhalts.', 'de', '0', '0'),
('7366', 'Wenn Beiträge mit Taxonomie-Begriffen verknüft sind, geben Sie das bzw. die zugehörigen Vokabulare an. Dieser Beziehungstyp kann zur mehrfachen Ausgabe von Treffern in der Ergebnismenge führen.', 'de', '0', '0'),
('7367', 'Begriff', 'de', '0', '0'),
('7368', 'Alle Taxononmiebegriffe', 'de', '0', '0'),
('7369', 'Alle Taxonomiebegriffe aus angegebenen Vokabularen anzeigen, die mit einem Beitrag verknüpft sind.', 'de', '0', '0'),
('7370', 'Inhalt anzeigen, wenn ihm die gewählten Taxonomiebegriffe oder Unterbegriffe von diesen zugeordnet wurden. Wegen der erhöhten Komplexität gibt es hier weniger Einstellmöglichkeiten als bei Versionen ohne ‚Tiefe‛.', 'de', '0', '0'),
('7433', 'Den Feedeintrag unter Verwendung der Daten aus der originalen Quelle anzeigen.', 'de', '0', '0'),
('7440', 'Den Kommentar mit der Standardkommentaransicht anzeigen.', 'de', '0', '0'),
('7441', 'Zeigt den Kommentar als RSS-Newsfeed an.', 'de', '0', '0'),
('7442', 'Datumssuche', 'de', '0', '0'),
('7443', 'Die vorwärts/rückwärts Navigation für ein Datum an anderen Anzeigen anhängen. Hierfür ist das Datumsargument erforderlich.', 'de', '0', '0'),
('7444', 'Seite nach Datum sortiert', 'de', '0', '0'),
('7446', 'Design der Datumssuche', 'de', '0', '0'),
('7447', 'Erstellt eine vorwärts/rückwärts Navigation.', 'de', '0', '0'),
('7449', 'Den Inhalt mit der Standardbeitragsansicht anzeigen.', 'de', '0', '0'),
('7450', 'Beitrags-ID aus der URL', 'de', '0', '0'),
('7454', 'Zeigt die Zeilen nacheinander an.', 'de', '0', '0'),
('7456', 'Die Felder mit einer optionalen Vorlage anzeigen.', 'de', '0', '0'),
('7457', 'Taxonomiebegriffs-ID aus der URL', 'de', '0', '0'),
('7459', 'Benutzer-ID aus der URL', 'de', '0', '0'),
('7460', 'Benutzer-ID des angemeldeten Benutzers', 'de', '0', '0'),
('7467', 'Slideshow', 'de', '0', '0'),
('7471', 'Standardeinstellungen für diese Ansicht.', 'de', '0', '0'),
('7472', 'Die Ansicht als Seite mit einer URL und Menüeinträgen anzeigen.', 'de', '0', '0'),
('7473', 'Diese Ansicht als Block anzeigen.', 'de', '0', '0'),
('7474', 'Anhänge werden zu anderen Ansichten hinzugefügt, um mehrere Ansichten in der gleichen Ansicht darzustellen.', 'de', '0', '0'),
('7475', 'Newsfeed', 'de', '0', '0'),
('7476', 'Die Ansicht als Newsfeed anzeigen, wie einen RSS-Newsfeed.', 'de', '0', '0'),
('7477', 'Einbetten', 'de', '0', '0'),
('7478', 'Bietet eine Anzeige, die unter Verwendung der Views-API eingebettet werden kann.', 'de', '0', '0'),
('7479', 'Leere Anzeigenerweiterungen', 'de', '0', '0'),
('7480', 'Unformatierte Liste', 'de', '0', '0'),
('7481', 'HTML Liste', 'de', '0', '0'),
('7482', 'Zeigt die Zeilen als HTML-Liste an.', 'de', '0', '0'),
('7483', 'Raster', 'de', '0', '0'),
('7484', 'Zeilen in einem Raster anzeigen.', 'de', '0', '0'),
('7485', 'Zeilen in einer Tabelle anzeigen.', 'de', '0', '0'),
('7486', 'Zeigt die standardmäßige Zusammenfassung als Liste an.', 'de', '0', '0'),
('7487', 'Zeigt die Zusammenfassung unformatiert an, mit der Option eine nach der anderen oder inline.', 'de', '0', '0'),
('7488', 'RSS-Feed', 'de', '0', '0'),
('7489', 'Generiert einen RSS-Newsfeed aus einer Ansicht.', 'de', '0', '0'),
('7490', 'Felder', 'de', '0', '0'),
('7491', 'Felder als RSS-Elemente anzeigen.', 'de', '0', '0'),
('7492', 'Festgelegter Wert', 'de', '0', '0'),
('7493', 'Ungefilterter Wert aus der URL', 'de', '0', '0'),
('7494', 'Numerisch', 'de', '0', '0'),
('7495', 'Wird allen Benutzern zu Verfügung stehen.', 'de', '0', '0'),
('7496', 'Der Zugriff wird dem Benutzer mit einer der angegebenen Rollen gewährt.', 'de', '0', '0'),
('7497', 'Der Zugriff wird Benutzern mit einer der angegebenen Berechtigung gewährt.', 'de', '0', '0'),
('7498', 'SQL Abfrage', 'de', '0', '0'),
('7499', 'Abfrage generiert und mithilfe der Drupal-Datenbank-API ausgeführt.', 'de', '0', '0'),
('7500', 'Daten von Ansichten nicht zwischenspeichern.', 'de', '0', '0'),
('7501', 'Zeitbasiert', 'de', '0', '0'),
('7502', 'Einfaches zeitbasiertes Caching von Daten.', 'de', '0', '0'),
('7503', 'Exponierten Grundform', 'de', '0', '0'),
('7504', 'Eingabe erforderlich', 'de', '0', '0'),
('7505', 'Eine verfügbar gemachtes Formular, das nur dann eine Ansicht erzeugt, wenn das Formular Benutzereingaben enthält.', 'de', '0', '0'),
('7506', 'Alle Elemente anzeigen', 'de', '0', '0'),
('7507', 'Anzeigen aller Elemente, die diese Ansicht filtert', 'de', '0', '0'),
('7508', 'Die angegebene Anzahl von Elementen anzeigen', 'de', '0', '0'),
('7509', 'Zeigt eine begrenzte Anzahl Elemente dieser Ansicht.', 'de', '0', '0'),
('7510', 'Seitenweise Ausgabe, volle Seitennavigation', 'de', '0', '0'),
('7511', 'Vollständig', 'de', '0', '0'),
('7512', 'Seitenweise Ausgabe, kompletter Drupal Stil', 'de', '0', '0'),
('7513', 'Seitenweise Ausgabe, mini Seitennavigation', 'de', '0', '0'),
('7514', 'Mini', 'de', '0', '0'),
('7515', 'Die Mini-Seitennavigation verwenden.', 'de', '0', '0'),
('7516', 'Geben Sie keine Admin-Zeichenfolgen an die Übersetzung weiter.', 'de', '0', '0'),
('7517', 'Verwenden Sie die Drupal-Kern t() Funktion. Nicht empfohlen, da sie Updates bestehender Zeichenfolgen nicht unterstützt.', 'de', '0', '0'),
('7518', 'Wenn Sie Views-Labels in andere Sprachen übersetzen müssen, erwägen Sie dann die Installation des im <a href="!path">Internationalisierung</a> Paket enhaltenen Views-Übersetzungs-Moduls', 'de', '0', '0'),
('7519', '﻿Sprungmenü', 'de', '0', '0'),
('7520', 'Setzt alle Ergebnisse in ein Auswahlfeld und ermöglicht dem Benutzer auf  anderen Seiten zu gelangen, auf der Grundlage der dargestellten Ergebnisse.', 'de', '0', '0'),
('7523', 'Felder', 'de', '0', '0'),
('7524', 'Feld', 'de', '0', '0'),
('7525', 'Kontextfilter', 'de', '0', '0'),
('7526', 'Kontextabhängige Filter', 'de', '0', '0'),
('7527', 'Kontextfilter', 'de', '0', '0'),
('7528', 'Kontextabhängiger Filter', 'de', '0', '0'),
('7529', 'Sortierkriterium', 'de', '0', '0'),
('7530', 'Sortierkriterium', 'de', '0', '0'),
('7531', 'Sortierkriterien', 'de', '0', '0'),
('7532', 'Sortierkriterium', 'de', '0', '0'),
('7533', 'Filterkriterien', 'de', '0', '0'),
('7534', 'Filterkriterien', 'de', '0', '0'),
('7535', 'Filterkriterium', 'de', '0', '0'),
('7536', 'Filterkriterium', 'de', '0', '0'),
('7537', 'Beziehungen', 'de', '0', '0'),
('7538', 'Beziehung', 'de', '0', '0'),
('7539', 'Verhalten, wenn keine Ergebnisse vorliegen', 'de', '0', '0'),
('7540', 'Verhalten, wenn kein Ergebnis vorliegt', 'de', '0', '0'),
('7545', 'Wahr', 'de', '0', '0'),
('7546', 'Ist eines von', 'de', '0', '0'),
('7547', 'in', 'de', '0', '0'),
('7548', '=', 'de', '0', '0'),
('7549', 'Ist keines von', 'de', '0', '0'),
('7550', 'nicht in', 'de', '0', '0'),
('7551', '<>', 'de', '0', '0'),
('7558', 'Aufsteigend', 'de', '0', '0'),
('7559', 'Absteigend', 'de', '0', '0'),
('7560', 'Zurück', 'de', '0', '0'),
('7568', '-- [signature]', 'de', '0', '0'),
('7569', 'Ist leer (NULL)', 'de', '0', '0'),
('7570', 'leer', 'de', '0', '0'),
('7571', 'Ist nicht leer (NOT NULL)', 'de', '0', '0'),
('7572', 'nicht leer', 'de', '0', '0'),
('7573', 'Alle Ergebnisse für das gewählte Feld anzeigen', 'de', '0', '0'),
('7574', 'Vorgabewert bereitstellen', 'de', '0', '0'),
('7575', 'Ansicht verstecken', 'de', '0', '0'),
('7576', 'Eine Zusammenfassung anzeigen', 'de', '0', '0'),
('7578', '„Zugriff verweigert“ anzeigen', 'de', '0', '0'),
('7582', 'field_blog_tags', 'de', '0', '0'),
('7592', 'Google Karte', 'de', '0', '0'),
('7594', 'Symbol', 'de', '0', '0'),
('7604', 'JQuery Update', 'de', '0', '0'),
('7610', 'Libraries (Bibliotheken)', 'de', '0', '0'),
('7618', 'Link-Ziel', 'de', '0', '0'),
('7619', 'Optionaler Titel', 'de', '0', '0'),
('7620', 'Erforderlicher Titel', 'de', '0', '0'),
('7621', 'Kein Titel', 'de', '0', '0'),
('7622', 'Link-Titel', 'de', '0', '0'),
('7623', 'URL-Anzeige abschneiden', 'de', '0', '0'),
('7624', 'Sollte der Benutzer keinen Titel für diesen Link angeben, wird die URL als der Titel verwendet. Wann soll der Link-Titel gekürzt und mit Auslassungspunkten bzw. Ellipse (&hellip;) abgeschlossen werden? Freilassen für keine Begrenzung.', 'de', '0', '0'),
('7625', 'Standard (kein Zielfenster-Attribut)', 'de', '0', '0'),
('7626', 'Link am Fensteranfang öffnen', 'de', '0', '0'),
('7627', 'Link in einem neuen Fenster öffnen', 'de', '0', '0'),
('7628', 'Auswahl durch Benutzer zulassen', 'de', '0', '0'),
('7629', 'Weitere CSS-Klasse', 'de', '0', '0'),
('7630', 'Titel sind für alle Links erforderlich.', 'de', '0', '0'),
('7631', 'Link in einem neuen Fenster öffnen', 'de', '0', '0'),
('7632', 'Definiert einfache Typen von Linkfeldern.', 'de', '0', '0'),
('7633', 'Link-URL', 'de', '0', '0'),
('7634', 'Wildcard', 'de', '0', '0'),
('7635', 'Protokoll', 'de', '0', '0'),
('7636', 'Optionale URL', 'de', '0', '0'),
('7637', 'Benutzereingabe von Tokens zulassen', 'de', '0', '0'),
('7638', 'Rel-Attribut', 'de', '0', '0'),
('7639', 'Bei der Ausgabe wird der Link mit diesem Rel-Attribut ausgezeichnet. Die allgemein übliche Verwendung ist <a href="http://de.wikipedia.org/wiki/Nofollow">rel=&quot;nofollow&quot;</a>, was manche Suchmaschinen daran hindert die Links zu folgen.', 'de', '0', '0'),
('7640', 'Es muss mindestens ein Titel oder eine URL eingegeben werden.', 'de', '0', '0'),
('7641', 'Ein Titel kann nicht ohne eine Link-URL eingegeben werden.', 'de', '0', '0'),
('7642', 'Validator', 'de', '0', '0'),
('7643', 'Der bei diesem vorhandenen Argument zu verwendende Titel. Dies wird den Titel der Ansicht und die Titel von vorhergehenden Argumenten übersteuern. Um Titel mit Argumenten zu ersetzen, kann die prozentuale Ersetzung verwendet werden. Dabei kann für das erste Argument „%1“, für das zweite „%2“, etc. verwendet werden.', 'de', '0', '0'),
('7644', 'Die auszuführende Aktion, wenn das Argument nicht vorhanden ist', 'de', '0', '0'),
('7645', 'Sollte dieser Wert als Argument übergeben werden, wird das Argument ignoriert z.B. „alle Werte“', 'de', '0', '0'),
('7646', 'Platzhaltertitel', 'de', '0', '0'),
('7647', 'Der Titel für die Wildcard, der an anderer Stelle in Ersetzungen zu verwenden ist.', 'de', '0', '0'),
('7648', 'Die auszuführende Aktion, wenn das Argument nicht valide ist', 'de', '0', '0'),
('7649', 'Die hier angezeigten Protokolle sind global verfügbar. Weitere Protokolle können in der Installation durch Anpassung der <em>filter_allowed_protocols</em>-Variable hinzugefügt werden.', 'de', '0', '0'),
('7650', 'Link-Titel', 'de', '0', '0'),
('7651', 'Formatierter HTML Link', 'de', '0', '0'),
('7652', 'URL überprüfen', 'de', '0', '0'),
('7653', 'Wenn aktiviert, wird das URL-Feld als eine gültige URL während der Validierung überprüft.', 'de', '0', '0'),
('7654', 'Wenn aktiviert, dann ist das URL-Feld optional und nur die Eingabe eines Titels ist zulässig. Wenn die URL nicht angegeben ist, wird der Titel als unformatierter Text angezeigt.', 'de', '0', '0'),
('7655', 'Bei der Ausgabe, wird dieser Link mit diesem Class-Attribut versehen. Mehrere Klassen sollten durch Leerzeichen getrennt werden.', 'de', '0', '0'),
('7656', 'Statischer Titel', 'de', '0', '0'),
('7657', 'Statischer Titel', 'de', '0', '0'),
('7658', 'Wenn oben „Statischer Titel“ ausgewählt wurde, wird immer dieser Titel verwendet.', 'de', '0', '0'),
('7659', 'Ein Standardwert muss vorhanden sein, wenn der Link-Titel einen statischen Wert haben soll.', 'de', '0', '0'),
('7660', '- Basisvalidierung -', 'de', '0', '0'),
('7661', 'Absolute URL', 'de', '0', '0'),
('7668', 'Der Titel des Links.', 'de', '0', '0'),
('7675', 'Abgleich', 'de', '0', '0'),
('7676', 'Steuerelemente', 'de', '0', '0'),
('7677', 'Übergang', 'de', '0', '0'),
('7678', 'Erweiterte Optionen', 'de', '0', '0'),
('7679', 'Zeitüberschreitung', 'de', '0', '0'),
('7680', 'Oberfläche', 'de', '0', '0'),
('7682', 'Geschwindigkeit', 'de', '0', '0'),
('7683', 'von', 'de', '0', '0'),
('7684', 'Kreis', 'de', '0', '0'),
('7742', 'Letzter Beitrag', 'de', '0', '0'),
('7743', 'Für', 'de', '0', '0'),
('7744', 'Blockeinstellungen', 'de', '0', '0'),
('7745', 'Beschreibungsfeld', 'de', '0', '0'),
('7746', 'Einstellungen', 'de', '0', '0'),
('7747', 'Beitrags-ID', 'de', '0', '0'),
('7748', 'Falsch', 'de', '0', '0'),
('7749', 'Neu hinzufügen', 'de', '0', '0'),
('7750', 'Theme', 'de', '0', '0'),
('7751', 'Davor', 'de', '0', '0'),
('7752', 'Danach', 'de', '0', '0'),
('7753', 'Anzahl der Spalten', 'de', '0', '0'),
('7754', 'Trennzeichen', 'de', '0', '0'),
('7755', 'Ausschließen', 'de', '0', '0'),
('7756', 'Horizontal', 'de', '0', '0'),
('7757', 'Vertikal', 'de', '0', '0'),
('7758', 'CSS-Klasse', 'de', '0', '0'),
('7759', 'Links anzeigen', 'de', '0', '0'),
('7760', 'Enthält', 'de', '0', '0'),
('7761', 'Enthält nicht', 'de', '0', '0'),
('7762', 'Ist weniger als', 'de', '0', '0'),
('7763', 'Ist weniger als oder gleich', 'de', '0', '0'),
('7764', 'Ist gleich mit', 'de', '0', '0'),
('7765', 'Ist größer als oder gleich', 'de', '0', '0'),
('7766', 'Ist größer als', 'de', '0', '0'),
('7767', 'Ist ungleich zu', 'de', '0', '0'),
('7768', 'Durchschnitt', 'de', '0', '0'),
('7769', 'vor %time', 'de', '0', '0'),
('7770', 'Sortierreihenfolge', 'de', '0', '0'),
('7771', 'Sortierbar', 'de', '0', '0'),
('7772', 'ODER', 'de', '0', '0'),
('7773', 'Neueste Beiträge für %1', 'de', '0', '0'),
('7774', 'Alle auswählen', 'de', '0', '0'),
('7775', 'Linktext', 'de', '0', '0'),
('7776', 'Beide', 'de', '0', '0'),
('7777', 'Ansichten verwalten', 'de', '0', '0'),
('7778', 'Vorhandene Ansichten', 'de', '0', '0'),
('7779', 'Standardansichten', 'de', '0', '0'),
('7780', 'Aufsteigend', 'de', '0', '0'),
('7781', 'Absteigend', 'de', '0', '0'),
('7782', 'Hervorgehobene Filter', 'de', '0', '0'),
('7783', 'Der Name einer Ansicht darf nur aus Buchstaben und Unterstrichen bestehen.', 'de', '0', '0'),
('7784', 'Ansichten-Oberfläche', 'de', '0', '0'),
('7785', 'Position', 'de', '0', '0'),
('7786', ' (', 'de', '0', '0'),
('7787', ')', 'de', '0', '0'),
('7788', 'Standards', 'de', '0', '0'),
('7789', 'mit Kommentaren', 'de', '0', '0'),
('7790', 'ohne Kommentare', 'de', '0', '0'),
('7791', 'Kommentare', 'de', '0', '0'),
('7792', 'Andere Abfragen', 'de', '0', '0'),
('7793', 'Newsfeed-Einstellungen', 'de', '0', '0'),
('7794', 'Ersetzungsmuster', 'de', '0', '0'),
('7795', 'Anzeigename', 'de', '0', '0'),
('7796', 'Abfrage', 'de', '0', '0'),
('7797', 'Blockname', 'de', '0', '0'),
('7798', 'Stunde', 'de', '0', '0'),
('7799', 'Minute', 'de', '0', '0'),
('7800', 'Granularität', 'de', '0', '0'),
('7801', 'Ausrichtung', 'de', '0', '0'),
('7802', 'Link Text', 'de', '0', '0'),
('7803', 'UND', 'de', '0', '0'),
('7804', 'Verlinkungen hierher', 'de', '0', '0'),
('7805', 'Sekunden', 'de', '0', '0'),
('7806', 'oder', 'de', '0', '0'),
('7807', '.', 'de', '0', '0'),
('7808', 'Alle Tags', 'de', '0', '0'),
('7809', 'Umgekehrt', 'de', '0', '0'),
('7810', 'Umkehren', 'de', '0', '0'),
('7811', 'Datum - Älteste zuerst', 'de', '0', '0'),
('7812', 'Basispfad', 'de', '0', '0'),
('7813', 'Übersetzungen', 'de', '0', '0'),
('7814', 'Ok', 'de', '0', '0'),
('7815', 'Ausgabeformat', 'de', '0', '0'),
('7816', 'Information', 'de', '0', '0'),
('7817', 'Übersetzungsstatus', 'de', '0', '0'),
('7818', '@min und @max', 'de', '0', '0'),
('7819', 'Ausnahmen', 'de', '0', '0'),
('7820', ',', 'de', '0', '0'),
('7821', 'Bildergalerie', 'de', '0', '0'),
('7822', 'Titeltext', 'de', '0', '0'),
('7823', 'Eindeutig', 'de', '0', '0'),
('7825', 'Aggregation', 'de', '0', '0'),
('7826', '- Alle -', 'de', '0', '0'),
('7827', 'Alle Typen', 'de', '0', '0'),
('7828', 'Anhängen an', 'de', '0', '0'),
('7829', 'Dieses Element entfernen', 'de', '0', '0'),
('7830', 'Seiteneinstellungen', 'de', '0', '0'),
('7831', 'Anzahl anzuzeigender Einträge', 'de', '0', '0'),
('7832', 'Text für den ‚Weiter‘-Link', 'de', '0', '0'),
('7833', 'enthält', 'de', '0', '0'),
('7834', 'Auswahltyp', 'de', '0', '0'),
('7835', 'Kein Name', 'de', '0', '0'),
('7836', 'Geordnete Liste', 'de', '0', '0'),
('7837', 'Link-Klasse', 'de', '0', '0'),
('7838', 'Regulärer Ausdruck (RegEx)', 'de', '0', '0'),
('7839', 'Spalte', 'de', '0', '0'),
('7840', 'Standardsortierung', 'de', '0', '0'),
('7841', '@type hinzufügen', 'de', '0', '0'),
('7842', 'Anzuzeigender Text', 'de', '0', '0'),
('7843', 'Dieses Feld auf die Homepage des Benutzers oder die des Autors verlinken', 'de', '0', '0'),
('7844', 'Neuestes zuerst', 'de', '0', '0'),
('7845', 'Formatierer', 'de', '0', '0'),
('7846', '@week Woche', 'de', '0', '0'),
('7847', 'Zielpunkt', 'de', '0', '0'),
('7848', 'Zeit vergangen', 'de', '0', '0'),
('7849', 'Auswahlknöpfe', 'de', '0', '0'),
('7850', 'Beginnt bei @count', 'de', '0', '0'),
('7851', 'Benutzerrollen', 'de', '0', '0'),
('7852', '%1', 'de', '0', '0'),
('7854', 'Schaltflächen-Text', 'de', '0', '0'),
('7855', 'Nur Titel', 'de', '0', '0'),
('7856', 'Undefiniert', 'de', '0', '0'),
('7857', 'Fehlersuche', 'de', '0', '0'),
('7858', 'Vererben', 'de', '0', '0'),
('7859', 'Anzeigeformat', 'de', '0', '0'),
('7860', '!group: !field', 'de', '0', '0'),
('7861', 'Ungültige Anzeige-ID @display', 'de', '0', '0'),
('7862', 'Fehler: Die Behandlungsroutine für @table > @field ist nicht vorhanden!', 'de', '0', '0'),
('7863', 'Keine Beziehung verwenden', 'de', '0', '0'),
('7864', 'Darstellungsart', 'de', '0', '0'),
('7865', 'Der Cache wurde geleert.', 'de', '0', '0'),
('7866', 'Titel Feld', 'de', '0', '0'),
('7867', 'Übersetzen', 'de', '0', '0'),
('7868', 'Keine Verlinkung', 'de', '0', '0'),
('7869', 'Beginnt mit', 'de', '0', '0'),
('7870', 'Autovervollständigung', 'de', '0', '0'),
('7871', 'Dauerhaft', 'de', '0', '0'),
('7872', 'Temporär', 'de', '0', '0'),
('7873', 'Benutzerdefiniertes Datumsformat', 'de', '0', '0'),
('7874', 'Senden Button verbergen', 'de', '0', '0'),
('7875', 'Ausdruck', 'de', '0', '0'),
('7876', 'Alle anzeigen', 'de', '0', '0'),
('7877', '!group: !title', 'de', '0', '0'),
('7878', '!=', 'de', '0', '0'),
('7879', 'Theming-Information', 'de', '0', '0'),
('7880', 'Endet mit', 'de', '0', '0'),
('7881', 'Nicht cachen', 'de', '0', '0'),
('7882', 'Dieses Feld mit seinem Benutzer verlinken', 'de', '0', '0'),
('7883', 'Dies wird alle anderen Links übersteuern.', 'de', '0', '0'),
('7884', 'Überschreiben der Werte für die Anzeige für anonyme Benutzer', 'de', '0', '0'),
('7885', 'Der Text der für anonyme Benutzer angezeigt wird', 'de', '0', '0'),
('7886', 'Standard-RSS-Einstellungen verwenden', 'de', '0', '0'),
('7887', 'Titel und Anrisstext', 'de', '0', '0'),
('7888', 'Newsfeed der Startseite', 'de', '0', '0'),
('7889', 'Reiterreihenfolge', 'de', '0', '0'),
('7890', 'Dieses Feld verlinken', 'de', '0', '0'),
('7891', 'Einmalig für alles (global) cachen.', 'de', '0', '0'),
('7892', 'Nach Seite', 'de', '0', '0'),
('7893', 'Nach Rolle', 'de', '0', '0'),
('7894', 'Nach Rolle und Seite', 'de', '0', '0'),
('7895', 'Nach Benutzer', 'de', '0', '0'),
('7896', 'Nach Benutzer und Seite', 'de', '0', '0'),
('7897', 'Ersten Buchstaben groß schreiben', 'de', '0', '0'),
('7898', 'Summe', 'de', '0', '0'),
('7899', 'Sortiert nach', 'de', '0', '0'),
('7900', 'Eigene URL', 'de', '0', '0'),
('7901', 'Text des „Speichern“-Schaltknopfes', 'de', '0', '0'),
('7902', 'Beschädigte Behandlungsroutine @table.@field', 'de', '0', '0'),
('7903', 'Beschädigte Ansicht @view wurde übersprungen', 'de', '0', '0'),
('7904', 'Ajax-Rückfrage für das Laden der Ansicht.', 'de', '0', '0'),
('7905', 'An einer gesperrten Ansicht können keine Änderungen vorgenommen werden.', 'de', '0', '0'),
('7906', 'Benutzerdefinierte Listen und SQL-Abfragen aus der Datenbank erstellen.', 'de', '0', '0'),
('7907', 'Verwaltungsoberfläche für Ansichten. Ohne dieses Modul können Ansichten weder erstellt noch bearbeitet werden.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('7908', 'Beschädigte/fehlende Behandlungsroutine', 'de', '0', '0'),
('7909', 'Die Behandlungsroutine für diesen Eintrag ist beschädigt oder fehlt und kann nicht verwendet werden. Sollte ein Modul diese Behandlungsroutine zu Verfügung gestellt haben und deaktiviert worden sein, kann die Wiederaktivierung des Moduls dies korrigieren. Ansonsten sollte der Eintrag wohl gelöscht werden.', 'de', '0', '0'),
('7910', 'Aktuelles Datum', 'de', '0', '0'),
('7911', 'Aktuelles Beitragserstellungsdatum', 'de', '0', '0'),
('7912', 'Aktuelles Beitragsaktualisierungsdatum', 'de', '0', '0'),
('7913', 'Einträge ohne Wert in der Zusammenfassung nicht anzeigen', 'de', '0', '0'),
('7914', 'Ungültige Eingabe', 'de', '0', '0'),
('7915', 'Die Basisvalidierung soll fehlschlagen, wenn irgendein Argument übergeben wird', 'de', '0', '0'),
('7916', 'Durch Aktivieren dieses Feldes können Sie sicherstellen, dass Ansichten mit mehr als erforderlichen Argumenten bei der Validierung fehlschlagen.', 'de', '0', '0'),
('7917', 'Glossar-Modus', 'de', '0', '0'),
('7918', 'Zeichenbegrenzung', 'de', '0', '0'),
('7919', 'Keine Umwandlung', 'de', '0', '0'),
('7920', 'Großschreibung', 'de', '0', '0'),
('7921', 'Kleinschreibung', 'de', '0', '0'),
('7922', 'Jedes Wort groß schreiben', 'de', '0', '0'),
('7923', 'Groß-/Kleinschreibung im Pfad', 'de', '0', '0'),
('7924', 'Leerzeichen in der URL in Striche umwandeln', 'de', '0', '0'),
('7925', 'Von der Anzeige ausschließen', 'de', '0', '0'),
('7926', 'Die Ausgabe des Feldes neu definieren', 'de', '0', '0'),
('7927', 'Der Text, der für dieses Feld angezeigt wird. Er kann HTML enthalten. Es können auch Daten dieser Ansicht durch die unteren „Ersetzungsmuster“ eingegeben werden.', 'de', '0', '0'),
('7928', 'Dieses Feld als Link ausgeben', 'de', '0', '0'),
('7929', 'Wenn aktiviert, wird dieses Feld zu einem Link. Das Ziel muss unten eingegeben werden.', 'de', '0', '0'),
('7930', 'Linkpfad', 'de', '0', '0'),
('7931', 'Der Drupal-Pfad oder die absolute URL für diesen Link. Es können auch Daten dieser Ansicht durch die unteren „Ersetzungsmuster“ eingegeben werden.', 'de', '0', '0'),
('7932', '﻿Die CSS-Klasse auf den Link anwenden.', 'de', '0', '0'),
('7933', 'Präfix', 'de', '0', '0'),
('7934', 'Beliebiger Text, der vor dem Link angezeigt wird. Dieser kann auch HTML enthalten.', 'de', '0', '0'),
('7935', 'Suffix', 'de', '0', '0'),
('7936', 'Beliebiger Text, der nach dem Link angezeigt wird. Dieser kann auch HTML enthalten.', 'de', '0', '0'),
('7937', '<p> Fügen Sie einige Felder zu dieser Anzeige hinzu, bevor Sie dieses Feld benutzen. Diese Felder können mit <em>von der Anzeige ausschließen</em> gekennzeichnet werden. Beachten Sie, die Rendering Reihenfolge, Sie können keine Felder verwenden, die nach diesem Feld kommen. Wenn Sie ein Feld hier nicht aufgeführt finden, dann ordnen Sie die Felder neu an.</p>', 'de', '0', '0'),
('7938', 'Dieses Feld auf eine Maximallänge verkürzen', 'de', '0', '0'),
('7939', 'Nur am Wortende abschneiden.', 'de', '0', '0'),
('7940', 'Wenn aktiviert, wird dieses Feld nur am Wortende abgeschnitten. Dies garantiert die maximale angegebene Zeichenlänge oder weniger. Wenn es kein Wortende gibt, könnte dies zu einem leeren abgeschnittenes Feld führen.', 'de', '0', '0'),
('7941', 'Ein Auslassungszeichen hinzufügen', 'de', '0', '0'),
('7942', 'Wenn aktiviert, wird ein „...“ hinzugefügt, falls ein Feld abgeschnitten wurde.', 'de', '0', '0'),
('7943', 'HTML-Tags entfernen', 'de', '0', '0'),
('7944', 'Wenn aktiviert, werden alle HTML-Tags entfernt.', 'de', '0', '0'),
('7945', 'Feld kann HTML enthalten', 'de', '0', '0'),
('7946', 'Wenn aktiviert, wird die HTML-Korrektur ausgeführt, um sicherzustellen das abgeschnittene Tags ordnungsgemäß geschlossen werden.', 'de', '0', '0'),
('7947', 'Anzeige der Dateigröße', 'de', '0', '0'),
('7948', '﻿Formatiert (in KB oder MB)', 'de', '0', '0'),
('7949', 'Unbearbeiteter Wert', 'de', '0', '0'),
('7950', 'Sobald aktiviert, wird „wahr“ als „unwahr“ angezeigt.', 'de', '0', '0'),
('7951', 'Zeit vergangen (mit angehängten „vergangen“)', 'de', '0', '0'),
('7952', '﻿Zeitspanne (mit „vor/seit“ angehängt)', 'de', '0', '0'),
('7953', 'Runden', 'de', '0', '0'),
('7954', 'Sobald aktiviert, wird die Zahl gerundet.', 'de', '0', '0'),
('7955', 'Festlegen, wie viele Stellen nach dem Dezimalpunkt erscheinen sollen.', 'de', '0', '0'),
('7956', 'Welches Zeichen soll als Dezimalpunkt verwendet werden.', 'de', '0', '0'),
('7957', 'Welches Zeichen als tausender Trennzeichen verwendet werden soll.', 'de', '0', '0'),
('7958', 'Text der vor die Zahl gestellt werden soll, wie etwa ein Währungszeichen.', 'de', '0', '0'),
('7959', 'Text der an die Zahl angehängt werden soll, wie etwa ein Währungszeichen.', 'de', '0', '0'),
('7960', 'Einfaches Trennzeichen', 'de', '0', '0'),
('7961', 'Als Link anzeigen', 'de', '0', '0'),
('7962', 'Bezeichner für Operator', 'de', '0', '0'),
('7963', 'Dies wird in der URL nach dem ? erscheinen, um diesen Operator zu identifizieren.', 'de', '0', '0'),
('7964', 'Bezeichner für Filter', 'de', '0', '0'),
('7965', 'Dieser wird in der URL nach dem ? erscheinen, um den Filter zu identifizieren. Darf nicht unausgefüllt bleiben.', 'de', '0', '0'),
('7966', 'Dieser hervorgehobene Filter ist optional und wird Optionen enthalten, damit dieser nicht eingestellt werden muss.', 'de', '0', '0'),
('7967', 'Merken', 'de', '0', '0'),
('7968', 'Die letzte Filtereinstellung des Benutzers merken.', 'de', '0', '0'),
('7969', 'Der Bezeichner ist erforderlich, wenn der Filter hervorgehoben ist.', 'de', '0', '0'),
('7970', 'Dieser Bezeichner ist unzulässig.', 'de', '0', '0'),
('7971', '- Alle -', 'de', '0', '0'),
('7972', 'Hervorgehoben', 'de', '0', '0'),
('7973', 'Ein Datum in einem maschinenlesbaren Format. JJJJ-MM-TT HH:MM:SS ist bevorzugt.', 'de', '0', '0'),
('7974', 'Ungültiges Datumsformat.', 'de', '0', '0'),
('7975', 'Liste auf ausgewählte Einträge begrenzen', 'de', '0', '0'),
('7976', 'Wenn aktiviert, werden nur die hier ausgewählten Einträge dem Benutzer angezeigt.', 'de', '0', '0'),
('7977', 'Ist alles von', 'de', '0', '0'),
('7978', 'Ist keines von', 'de', '0', '0'),
('7979', 'nicht', 'de', '0', '0'),
('7980', '<', 'de', '0', '0'),
('7981', '<=', 'de', '0', '0'),
('7982', '>=', 'de', '0', '0'),
('7983', '>', 'de', '0', '0'),
('7984', 'Ist zwischen', 'de', '0', '0'),
('7985', 'zwischen', 'de', '0', '0'),
('7986', 'Ist nicht zwischen', 'de', '0', '0'),
('7987', 'nicht zwischen', 'de', '0', '0'),
('7988', 'Min', 'de', '0', '0'),
('7989', 'Und höchstens', 'de', '0', '0'),
('7990', 'Und', 'de', '0', '0'),
('7991', 'Enthält ein beliebiges Wort', 'de', '0', '0'),
('7992', 'enthält das Wort', 'de', '0', '0'),
('7993', 'Enthält alle Wörter', 'de', '0', '0'),
('7994', 'enthält alle', 'de', '0', '0'),
('7995', 'beginnt', 'de', '0', '0'),
('7996', 'endet', 'de', '0', '0'),
('7997', '!has', 'de', '0', '0'),
('7998', 'Beziehung ist erforderlich', 'de', '0', '0'),
('7999', 'aufsteigend', 'de', '0', '0'),
('8000', 'absteigend', 'de', '0', '0'),
('8001', 'Die Granularität ist die Kleinste zu verwendende Einheit, wenn die Gleichheit zweier Datumsangaben ermittelt werden soll. Anwendungsbeispiel - die Granularität wird auf das „Jahr“ gesetzt, somit wird jedes Datum aus einem Jahr (z.b. 1999) als das gleiche Datum betrachtet, ungeachtet wann dieses Datum in dem Jahr (1999) liegt.', 'de', '0', '0'),
('8002', 'Beschädigt', 'de', '0', '0'),
('8003', 'Anzeigen', 'de', '0', '0'),
('8004', 'Diese Abfragen werden während dem Rendering der Ansicht ausgeführt:', 'de', '0', '0'),
('8005', '[@time ms]', 'de', '0', '0'),
('8006', 'Diese Anzeige hat keinen Pfad.', 'de', '0', '0'),
('8007', 'Aufbauzeit der Abfrage', 'de', '0', '0'),
('8008', '@time ms', 'de', '0', '0'),
('8009', 'Ausführungszeit der Abfrage', 'de', '0', '0'),
('8010', 'Renderingzeit der Ansicht', 'de', '0', '0'),
('8011', 'Es wurde keine Abfrage ausgeführt', 'de', '0', '0'),
('8012', 'Die Vorschau kann wegen Validierungsfehlern nicht angezeigt werden.', 'de', '0', '0'),
('8013', 'Ansichtsname', 'de', '0', '0'),
('8014', 'Beschreibung anzeigen', 'de', '0', '0'),
('8015', 'Diese Beschreibung erscheint auf der Verwaltungsoberfläche der Ansichten, um darüber Aufzuklären, worum es sich bei der Ansicht handelt.', 'de', '0', '0'),
('8016', 'Ansichten-Kennzeichnung', 'de', '0', '0'),
('8017', 'Soll die Sperre bei der Ansicht %name wirklich aufgehoben werden?', 'de', '0', '0'),
('8018', 'Durch Aufheben der Sperre, gehen alle ungespeicherten Änderungen von !user verloren!', 'de', '0', '0'),
('8019', 'Die Sperre wurde aufgehoben und die Ansicht kann jetzt bearbeitet werden.', 'de', '0', '0'),
('8020', 'Einen Namen für die Ansicht eingeben, wenn dieser anders als die ursprüngliche Ansicht ist. Freilassen, um den Namen der Ansicht zu verwenden.', 'de', '0', '0'),
('8021', 'Code für die Ansicht hier einfügen', 'de', '0', '0'),
('8022', 'Code der Ansicht konnte nicht Interpretiert werden.', 'de', '0', '0'),
('8023', 'Eine Ansicht mit diesem Namen ist schon vorhanden. Bitte einen anderen Namen wählen.', 'de', '0', '0'),
('8024', 'Das Anzeige-Plugin @plugin ist nicht verfügbar.', 'de', '0', '0'),
('8025', 'Das Design-Plugin @plugin ist nicht verfügbar.', 'de', '0', '0'),
('8026', 'Das Zeilen-Plugin @plugin ist nicht verfügbar.', 'de', '0', '0'),
('8027', 'Die @type-Behandlungsroutine @table.@field ist nicht verfügbar.', 'de', '0', '0'),
('8028', 'Die Ansicht konnte nicht importiert werden.', 'de', '0', '0'),
('8029', 'Einen Eintrag anklicken, um die Details zu bearbeiten.', 'de', '0', '0'),
('8030', 'Auf die reale Seite dieser Anzeige wechseln', 'de', '0', '0'),
('8031', 'Ungültig', 'de', '0', '0'),
('8032', 'Fehlendes Design-Plugin', 'de', '0', '0'),
('8033', 'Einstellungen für dieses Design ändern', 'de', '0', '0'),
('8034', 'Analyse anzeigen', 'de', '0', '0'),
('8035', '@type konfigurieren', 'de', '0', '0'),
('8036', '@type neu anordnen', 'de', '0', '0'),
('8037', 'Beschädigtes Feld @id', 'de', '0', '0'),
('8038', 'Es stehen keine @types zum Hinzufügen zur Verfügung.', 'de', '0', '0'),
('8039', 'Besondere Einstellungen für @type %item konfigurieren', 'de', '0', '0'),
('8040', 'Zusammenfassungsdesign für @type %item konfigurieren', 'de', '0', '0'),
('8041', 'Ansichten-Cache leeren', 'de', '0', '0'),
('8042', 'Eine View-Signatur zu allen SQL-Abfragen hinzufügen', 'de', '0', '0'),
('8043', 'Datencaching von Views deaktivieren', 'de', '0', '0'),
('8044', 'Ausschalten des Zwischenspeichers des Modul Views: Dieses speichert Daten zu Tabellen, Module und verfügbaren Ansichten, um die Leistung zu steigern. Ausschalten bedeutet diesen Zwischenspeicher nicht zu nutzen und stattdessen die Daten jeweils neu  zu ermitteln, dies kann die Leistung der Website deutlich verschlechtern.', 'de', '0', '0'),
('8045', 'Andere ausgeführte SQL-Abfragen während des Rendern bei der Live-Vorschau anzeigen', 'de', '0', '0'),
('8046', 'Drupal hat das Potenzial viele SQL-Abfragen auszuführen, während eine Ansicht dargestellt werden wird. Mit dem Aktivieren dieser Box werden alle ausgeführten SQL-Abfragen während des Rendern der Ansicht als Teil der Live-Vorschau angezeigt.', 'de', '0', '0'),
('8047', 'Fehler: @component fehlt', 'de', '0', '0'),
('8048', 'Die Analyse der Ansicht ergab keine Einstellungsfehler.', 'de', '0', '0'),
('8049', 'Die Ansicht hat nur eine Standardanzeige und deswegen wird sie auch nirgends auf der Website angezeigt werden; daher sollte die Anzeige als Seite oder Block hinzufügt werden.', 'de', '0', '0'),
('8050', 'Duplikate reduzieren', 'de', '0', '0'),
('8051', 'Die Anzeige %display hat keine Zugriffskontrolle und enthält keinen Filter für veröffentlichte Beiträge.', 'de', '0', '0'),
('8052', 'Profiltextfeld', 'de', '0', '0'),
('8053', 'Profil-Textbereich', 'de', '0', '0'),
('8054', 'Profil-Kontrollkästchen', 'de', '0', '0'),
('8055', 'Profil-URL', 'de', '0', '0'),
('8056', 'Profileauswahl', 'de', '0', '0'),
('8057', 'Feies Formular für Profillisten %field-name.', 'de', '0', '0'),
('8058', 'Profildatum %field-name.', 'de', '0', '0'),
('8059', 'Die Ergebnisse mit der Standard-Suchansicht anzeigen.', 'de', '0', '0'),
('8060', 'Beitragsübersetzung', 'de', '0', '0'),
('8061', 'Beitrags-ID des Übersetzungssatzes', 'de', '0', '0'),
('8062', 'Die ID des Übersetzungssatzes, zu dem der Inhalt gehört.', 'de', '0', '0'),
('8063', 'Quellübersetzung', 'de', '0', '0'),
('8064', 'Die Quelle aus der dieser Inhalt übersetzt wird.', 'de', '0', '0'),
('8065', 'Versionen von Inhalten in verschiedenen Sprachen.', 'de', '0', '0'),
('8066', 'Untergeordnete Übersetzung.', 'de', '0', '0'),
('8067', 'Veraltet', 'de', '0', '0'),
('8068', 'Dieses Feld mit der Begriffseite der Aggregator-Kategorie verlinken', 'de', '0', '0'),
('8069', 'Keine Benutzer', 'de', '0', '0'),
('8070', 'Dieses Feld auf seinen Kommentar verlinken', 'de', '0', '0'),
('8071', 'Anrisstext-Design eines Link anzeigen', 'de', '0', '0'),
('8072', 'Dieses Feld mit neuen Kommentaren verknüpfen', 'de', '0', '0'),
('8073', '%user kontaktieren', 'de', '0', '0'),
('8074', 'Unbekannte Gruppe', 'de', '0', '0'),
('8075', 'Unbekannte Sprache', 'de', '0', '0'),
('8076', 'Aktuelle installierte Version', 'de', '0', '0'),
('8077', 'Auch auf neue Kommentare überprüfen.', 'de', '0', '0'),
('8078', 'Beitrag-IDs getrennt nach , oder +', 'de', '0', '0'),
('8079', 'Keine Alternative', 'de', '0', '0'),
('8080', 'Alternative Sortierung', 'de', '0', '0'),
('8081', 'Alternative Sortierreihenfolge', 'de', '0', '0'),
('8082', 'Bei leerer Eingabe', 'de', '0', '0'),
('8083', 'Keine anzeigen', 'de', '0', '0'),
('8084', 'Trefferanzahl anzeigen', 'de', '0', '0'),
('8085', 'Dieses Feld auf die herunterladbare Datei verlinken', 'de', '0', '0'),
('8086', 'Die Pfadnavigation für die übergeordneten Begriffe festlegen', 'de', '0', '0'),
('8087', 'Wenn ausgewählt, wird der Breadcrumb-Verlauf alle übergeordnete Begriffe einbinden, jeder einzelne verweist auf diese Ansicht. Hinweis: Dies funktioniert nur, wenn nur ein Begriff empfangen wurde.', 'de', '0', '0'),
('8088', 'Die Tiefe wird Beiträge vergleichen, die mit Begriffe in der Hierarchie vergeben wurden. Zum Beispiel, wenn Sie ein Begriff "Frucht" und ein untergeordneten Begriff "Apfel" haben, mit einer Tiefe von 1 (oder höher). Dann nach dem Begriff "Frucht" filtern, erhalten Sie Beiträge, die mit den Begriff "Apfel" sowie "Frucht" enthalten. Wenn negativ ist das Gegenteil wahr; die Suche nach "Apfel" wird auch Beiträge mit "Frucht" hervorrufen, wenn die Tiefe -1 (oder niedriger) ist.', 'de', '0', '0'),
('8089', 'Kein Vokabular', 'de', '0', '0'),
('8090', 'Dieses Feld mit seiner Taxonomie-Begriffseite verlinken', 'de', '0', '0'),
('8091', 'Dieses Feld mit seiner Begriffseite verlinken', 'de', '0', '0'),
('8092', 'Begriffe nach Vokabular begrenzen', 'de', '0', '0'),
('8093', 'Wählen Sie, welches Vokabular, Begriffe in den regulären Optionen anzeigen soll.', 'de', '0', '0'),
('8094', 'Auswahlliste', 'de', '0', '0'),
('8095', 'Hierarchie in Auswahlliste anzeigen', 'de', '0', '0'),
('8096', 'Ein ungültiges Vokabular wurde ausgewählt. Bitte in den Optionen ändern.', 'de', '0', '0'),
('8097', 'Begriffe aus dem Vokabular @voc wählen', 'de', '0', '0'),
('8098', 'Wähle die Begriffe', 'de', '0', '0'),
('8099', 'Begriff konnte nicht gefunden werden: @terms', 'de', '0', '0'),
('8100', 'Begriffe konnten nicht gefunden werden: @terms', 'de', '8099', '1'),
('8101', 'Wenn nach bestimmte Vokabalure validiert werden soll, dann dies aktivieren. Ansonsten nichts ändern, damit alle Begriffe angezeigt werden.', 'de', '0', '0'),
('8102', 'Begriff-IDs getrennt nach , oder +', 'de', '0', '0'),
('8103', 'Aktuelle Sprache', 'de', '0', '0'),
('8104', 'Übersetzungsoption', 'de', '0', '0'),
('8105', 'Die Übersetzung-Optionen ermöglichen das Auswählen, welche Übersetzung oder Übersetzungen in einem Übersetzungsatz verbunden werden. Wählen Sie „Aktuelle Sprache“ oder „Standardsprache“, um den Bezug der Übersetzung in der aktuellen oder der Standardsprache zu erhalten. Wählen Sie eine bestimmte Sprache, um den Bezug in dieser Sprache zu erhalten. Wenn „Alle“ gewählt wird, erstellt jede Übersetzung eine neue Zeile, was zu Duplikaten führen kann.', 'de', '0', '0'),
('8106', 'Zu dem Benutzer', 'de', '0', '0'),
('8107', 'Mit einem mailto:', 'de', '0', '0'),
('8108', 'Ist der angemeldete Benutzer', 'de', '0', '0'),
('8109', 'Benutzernamen', 'de', '0', '0'),
('8110', 'Eine kommagetrennte Liste von Benutzernamen.', 'de', '0', '0'),
('8111', 'Benutzer konnte nicht gefunden werden: @users', 'de', '0', '0'),
('8112', 'Benutzer konnten nicht gefunden werden: @users', 'de', '8111', '1'),
('8113', 'Zusätzlich nach einem Beitrag schauen und den Autor des Beitrags verwenden.', 'de', '0', '0'),
('8114', 'Nur die numerische Benutzer-ID erlauben', 'de', '0', '0'),
('8115', 'Nur Benutzernamen als Zeichenketten erlauben', 'de', '0', '0'),
('8116', 'Sowohl die numerischen Benutzer-IDs als auch die Benutzernamen als Zeichenkette erlauben', 'de', '0', '0'),
('8117', 'Benutzer begrenzen, basierend auf der Rolle', 'de', '0', '0'),
('8118', 'Auf die ausgewählten Rollen begrenzen', 'de', '0', '0'),
('8119', 'Wenn keine Rollen ausgewählt sind, wird es für Benutzer jeder Rolle erlaubt sein.', 'de', '0', '0'),
('8120', 'Unbeschränkt', 'de', '0', '0'),
('8121', 'Nur Benutzer mit der ausgewählten Berechtigung werden auf die Anzeige zugreifen können. Hinweis: Benutzer mit der „Zugriff auf alle Ansichten“-Berechtigung können alle aktivierten Ansichten sehen, unabhängig von anderen Berechtigungen.', 'de', '0', '0'),
('8122', 'Keine Rolle(n) ausgewählt', 'de', '0', '0'),
('8123', 'Mehrere Rollen', 'de', '0', '0'),
('8124', 'Nur die aktivierten Rollen werden auf diese Anzeige zugreifen können. Beachten, dass Benutzer mit dem „Zugriff auf alle Ansichten“ alle Ansichten unabhängig von ihrer Rolle sehen können.', 'de', '0', '0'),
('8125', 'Beim Typ „nach Rolle“ muss mindestens eine Rolle ausgewählt sein.', 'de', '0', '0'),
('8126', 'PHP Validierungscode', 'de', '0', '0'),
('8127', 'Niemals zwischenspeichern', 'de', '0', '0'),
('8128', 'Anfrageergebnisse', 'de', '0', '0'),
('8129', 'Die Zeitdauer für die (rohe) Abfrageergebnisse zwischengespeichert werden.', 'de', '0', '0'),
('8130', 'Ausgabeformat', 'de', '0', '0'),
('8131', 'Die Zeitdauer für erzeugter HTML-Code zwischengespeichert werden.', 'de', '0', '0'),
('8132', 'Beschädigtes Feld', 'de', '0', '0'),
('8133', 'Den von dieser Anzeige verwendeten Titel ändern.', 'de', '0', '0'),
('8134', 'AJAX verwenden', 'de', '0', '0'),
('8135', 'Ändern, ob diese Anzeige AJAX verwenden soll oder nicht.', 'de', '0', '0'),
('8136', 'Die Seitennavigations-Einstellung dieser Anzeige ändern.', 'de', '0', '0'),
('8137', 'Festlegen, ob diese Anzeige einen „Weiter“-Link bereitstellt.', 'de', '0', '0'),
('8138', 'Den Zugriffskontrolltyp für diese Anzeige festlegen.', 'de', '0', '0'),
('8139', 'Einstellungen für diesen Zugriffstyp ändern.', 'de', '0', '0'),
('8140', 'Den Zugriffskontrolltyp für diese Anzeige festlegen.', 'de', '0', '0'),
('8141', 'Einstellungen für diesen Zugriffstyp ändern.', 'de', '0', '0'),
('8142', 'Anzeige verlinken', 'de', '0', '0'),
('8143', 'Hervorgehobenes Formular in Block', 'de', '0', '0'),
('8144', 'Ermöglicht das Erscheinen des hervorgehobenen Formulars in einem Block anstatt der Ansicht.', 'de', '0', '0'),
('8145', 'Information abrufen, wie diese Anzeige dargestellt werden soll.', 'de', '0', '0'),
('8146', 'Der Titel dieser Ansicht.', 'de', '0', '0'),
('8147', 'Dieser Titel wird mit der Ansicht angezeigt, wo in der Regel die Titel angezeigt werden. Beispielsweise als Seitentitel, Blocktitel, etc.', 'de', '0', '0'),
('8148', 'Soweit möglich, soll diese Ansicht mit AJAX geladen werden.', 'de', '0', '0'),
('8149', 'Wenn gesetzt, wird diese Ansicht eine AJAX Mechanismus für die Seitennavigation, Tabellensortierung und den hervorgehobenen Filter verwenden. Das bedeutet, dass nicht die ganze Seite erneut geladen werden muss. Es ist nicht empfehlenswert, dies zu verwenden, wenn diese Ansicht den Hauptinhalt der Seite darstellt, da es tiefes Verlinken auf spezifische Seiten verhindert, aber es ist sehr nützlich für seitlichen Inhalt.', 'de', '0', '0'),
('8150', 'Wenn Probleme mit der Seitennavigation im Zusammenhang mit dieser Ansicht auftreten, sollte der Wert bei 0 sein. Wenn mehrere Seitennavigationen auf einer Seite verwendet werden, dann kann ein höheren Wert dieser Zahl gesetzt werden, so dass es zu keine Konflikte innerhalb des ?page= array kommt. Ein großer Wert wird viele Kommata an den URLs anhängen, daher möglichst vermeiden.', 'de', '0', '0'),
('8151', 'Die Anzahl der anzuzeigenden Einträge pro Seite. 0 für keine Begrenzung.', 'de', '0', '0'),
('8152', 'Am unteren Rand der Anzeige einen ‚mehr‘-Link einfügen.', 'de', '0', '0'),
('8153', '‚Weiter‘-Link erstellen', 'de', '0', '0'),
('8154', 'Am unteren Rand der Anzeige einen ‚mehr‘-Link einfügen.', 'de', '0', '0'),
('8155', 'Dadurch wird versucht, dass die Ansicht nur unterschiedliche Einträge angezeigt. Wenn mehrere identische Einträge vorhanden sind, wird jeweils nur einer angezeigt. Sie können dieses verwenden, um zu versuchen Duplikate aus einer Ansicht zu entfernen, obwohl es nicht immer funktioniert. Hinweis: Die SQL-Abfragen könnten sich dadurch verlangsamen, daher mit Vorsicht verwenden.', 'de', '0', '0'),
('8156', 'Zugriffsberechtigungen', 'de', '0', '0'),
('8157', 'Zugriffsoptionen', 'de', '0', '0'),
('8158', 'Optionen für das Zwischenspeichern (cache)', 'de', '0', '0'),
('8159', 'Auch anzeigen, wenn die Ansicht keine Ergebnisse zurückliefert', 'de', '0', '0'),
('8160', 'Wie soll diese Ansicht dargestellt werden', 'de', '0', '0'),
('8161', 'Wenn das ausgewählte Design Einstellungen enthält, dann klicken Sie auf die „Einstellungen“-Schaltfläche neben der Zusammenfassung der Ansicht.', 'de', '0', '0'),
('8162', 'Darstellungsoptionen', 'de', '0', '0'),
('8163', 'Darstellungsoptionen für Zeilen', 'de', '0', '0'),
('8164', 'Wie sollen die Zeilen in dieser Ansicht dargestellt werden', 'de', '0', '0'),
('8165', 'Welche Anzeige für den Pfad verwendet werden soll', 'de', '0', '0'),
('8166', 'Die hier angebene Anzeige wird als Pfad beim Abrufen von z.B. der Zusammfassung-Links, RSS-Feed-Links, Weiter-Links etc. verwendet.', 'de', '0', '0'),
('8167', 'Ausgabe anzeigen', 'de', '0', '0'),
('8168', 'Alternative Ausgabe der Anzeige', 'de', '0', '0'),
('8169', 'Designausgabe', 'de', '0', '0'),
('8170', 'Alternatives Design', 'de', '0', '0'),
('8171', 'Ausgabe des Zeilendesign', 'de', '0', '0'),
('8172', 'Alternatives Zeilendesign', 'de', '0', '0'),
('8173', 'Feld @field (ID: @id)', 'de', '0', '0'),
('8174', 'Dieser Bereich listet alle Templates für das Anzeige-Plugin und für das Design-Plugin, sortiert von weniger nach spezifischeren. Das aktive Template für ein Plugin -- das spezifischste Template, das gefunden wurde -- wird hervorgehoben.', 'de', '0', '0'),
('8175', 'Theme ändern', 'de', '0', '0'),
('8176', 'Vorlagendateien erneut einlesen', 'de', '0', '0'),
('8177', '<strong>Wichtig!</strong> Wenn Templatedateien hinzugefügt, entfernt oder umbenannt werden, ist es notwendig Drupal von den Änderungen in Kenntnis zu setzen durch neu-einlesen der Dateien auf dem System. Durch klicken auf der Schaltfläche wird Drupals Themeregistrierung gelöscht und der Scanvorgang wird ausgelöst. Die oben hervorgehobenen Templates werden dann den neuen Zustand ihres Systems widerspiegeln.', 'de', '0', '0'),
('8178', 'Theming-Information (Anzeige)', 'de', '0', '0'),
('8179', 'Zurück zu !info.', 'de', '0', '0'),
('8180', 'Theming-Information', 'de', '0', '0'),
('8181', 'Für diese Anzeige gibt es keine Theming-Information', 'de', '0', '0'),
('8182', 'Dies ist das standardmäßig verwendete Theme-Template für diese Anzeige.', 'de', '0', '0'),
('8183', 'Dies ist eine alternative Vorlage für diese Anzeige.', 'de', '0', '0'),
('8184', 'Theming-Information (Design)', 'de', '0', '0'),
('8185', 'Diese Anzeige enthält keine Theming-Information für das Design', 'de', '0', '0'),
('8186', 'Dies ist das standardmäßig verwendete Theme-Template für dieses Design.', 'de', '0', '0'),
('8187', 'Dies ist ein alternatives Template für dieses Design.', 'de', '0', '0'),
('8188', 'Theming-Information (Zeilendesign)', 'de', '0', '0'),
('8189', 'Diese Anzeige enthält keine Theming-Information für das Zeilendesign', 'de', '0', '0'),
('8190', 'Dies ist das standardmäßig verwendete Theme-Template für dieses Zeilendesign.', 'de', '0', '0'),
('8191', 'Dies ist ein alternatives Template für dieses Zeilendesign.', 'de', '0', '0'),
('8192', 'Das hervorgehobene Formular in einen Block legen', 'de', '0', '0'),
('8193', 'Wenn aktiviert, werden hervorgehobene Filter nicht mit der Ansicht angezeigt. Stattdessen wird ein Block zur Verfügung gestellt, der das hervorgehobene Formular enthält. Hierbei ist zu beachten, dass dieser Block manuell in der Blöckeverwaltung aktiviert werden muss und dies nicht automatisch geschieht.', 'de', '0', '0'),
('8194', 'Datei wurde im Verzeichnis @template-path gefunden', 'de', '0', '0'),
('8195', '(Datei wurde im Verzeichnis @template-path nicht gefunden)', 'de', '0', '0'),
('8196', 'Die Anzeige „@display“ verwendet Felder, aber es sind keine dafür angegeben oder alle ausgeschlossen.', 'de', '0', '0'),
('8197', 'Die Anzeige „@display“ verwendet einen Pfad, aber der Pfad ist nicht angegeben.', 'de', '0', '0'),
('8198', 'Die Anzeige „@display“ verwendet ein ungültiges Design-Plugin.', 'de', '0', '0'),
('8199', 'Hervorgehobenes Formular: @view-@display_id', 'de', '0', '0'),
('8200', 'Einstellungen für Anhänge', 'de', '0', '0'),
('8201', 'Hervorgehobene Filter übernehmen', 'de', '0', '0'),
('8202', 'Mehrere Anzeigen', 'de', '0', '0'),
('8203', 'Soll diese Anzeige die Werte des hervorgehobenen Filter aus der übergeordneten Anzeige, das angehangen wurde, übernehmen?', 'de', '0', '0'),
('8204', 'Bevor oder nach der übergeordneten Anzeige anhängen?', 'de', '0', '0'),
('8205', 'Wählen Sie, welche Anzeige oder Anzeigen angehangen werden soll.', 'de', '0', '0'),
('8206', 'Blockbeschreibung für die Verwaltung', 'de', '0', '0'),
('8207', 'Cachetyp für Blöcke', 'de', '0', '0'),
('8208', 'Dies setzt den Standardstatus für Drupal''s integrierte Blockcaching-Methode. Dies erfordert, dass das Caching in der Blockverwaltung eingeschaltet ist. Seien Sie vorsichtig, weil Sie nur wenig Kontrolle darüber haben, wann dieser Cache geleert wird.', 'de', '0', '0'),
('8209', 'Der Name der Website wird verwendet', 'de', '0', '0'),
('8210', 'Den Namen der Website für den Titel verwenden.', 'de', '0', '0'),
('8211', 'Das Feed-Symbol wird nur in den ausgewählten Anzeigen zur Verfügung stehen.', 'de', '0', '0'),
('8212', 'Kein Menü', 'de', '0', '0'),
('8213', 'Normal: @title', 'de', '0', '0'),
('8214', 'Reiter: @title', 'de', '0', '0'),
('8215', 'Einstellungen für das übergeordnete Menü ändern', 'de', '0', '0'),
('8216', 'Der Menüpfad oder die URL von dieser Ansicht', 'de', '0', '0'),
('8217', 'Menüpunkt', 'de', '0', '0'),
('8218', 'Wenn auf Normal oder Reiter eingestellt wird, kann der Text für die Beschreibung des Menüpunkt angegeben werden.', 'de', '0', '0'),
('8219', 'Standardmäßige Reiteroptionen', 'de', '0', '0'),
('8220', 'Wenn ein Menüpunkt als ein Reiter bereitgestellt wird, muss Drupal wissen, welcher der Reiter der übergeordnete Menüpunkt ist. Manchmal ist schon einer vorhanden, aber manchmal ist es notwendig, einen zu erstellen. Der Pfad von einem übergeordneten Menüpunkt ist bis auf den letzten Teil identisch. Beispiel: Wenn der Pfad von dieser Ansicht <em>sport/fussball/bundesliga</em> ist, wäre der Pfad des übergeordneten Menüpunkt <em>sport/fussball</em>.', 'de', '0', '0'),
('8221', 'Schon vorhanden', 'de', '0', '0'),
('8222', 'Wenn Sie einen übergeordneten Menüpunkt erstellen, so vergeben Sie für einen Titel.', 'de', '0', '0'),
('8223', 'Die Reihenfolge des Reiters eingeben, wenn der übergeordnete Menüpunkt ein Reiter ist. Umso niedriger die Zahl ist, desto weiter links wird er angezeigt.', 'de', '0', '0'),
('8224', '„$arg“ wird nicht mehr unterstützt. Stattdessen kann % verwendet werden.', 'de', '0', '0'),
('8225', '„%“ darf nicht als erstes Segment eines Pfades verwendet werden.', 'de', '0', '0'),
('8226', 'Ansichten können keine normalen Menüpunkt für Pfade mit einem % erstellen.', 'de', '0', '0'),
('8227', 'Eine Anzeige deren Pfad mit einem % abschließt kann kein Reiter sein.', 'de', '0', '0'),
('8228', 'Ein Titel ist für diesen Menütyp erforderlich.', 'de', '0', '0'),
('8229', 'Inline-Felder', 'de', '0', '0'),
('8230', 'Der Separator kann zwischen Inline-Felder gesetzt werden, um sie voneinander getrennt zu halten. HTML kann in diesem Feld auch benutzt werden.', 'de', '0', '0'),
('8231', 'Es kann optional ein Feld angegeben werden, womit die Einträge gruppiert werden. Freilassen, um nicht zu gruppieren.', 'de', '0', '0'),
('8232', 'Das Design @style erfordert ein Zeilendesign, aber das Zeilen-Plugin ist ungültig.', 'de', '0', '0'),
('8233', 'Horizontale Ausrichtung platziert die Einträge beginnend von oben links nach rechts. Vertikale Ausrichtung platziert die Einträge beginnend von oben links nach unten.', 'de', '0', '0'),
('8234', 'RSS-Beschreibung', 'de', '0', '0'),
('8235', 'Dies wird in dem RSS-Newsfeed erscheinen.', 'de', '0', '0'),
('8236', 'Anzahl der Ergebnisse mit dem Link anzeigen', 'de', '0', '0'),
('8237', 'Die Anzahl der anzuzeigenden Einträge übersteuern', 'de', '0', '0'),
('8238', 'Einträge inline anzeigen', 'de', '0', '0'),
('8239', 'Mindestens ein Feld ist erforderlich, bevor die Tabelleneinstellungen konfiguriert werden können', 'de', '0', '0'),
('8240', 'Normale Sortierung übersteuern, wenn die Klick-Sortierung verwendet wird.', 'de', '0', '0'),
('8241', 'Drupals „selbstklebenden“ Tabellenkopf aktivieren (Javascript)', 'de', '0', '0'),
('8242', '(Der Klebeeffekt des Tabellenkopf wird in der unteren Vorschau nicht angezeigt, nur bei der Live-Ausgabe.)', 'de', '0', '0'),
('8243', 'Platziert Felder in Spalten; es können mehrere Felder in die gleiche Spalte kombiniert werden. Wenn Sie das tun, wird der Separator in der angegebenen Spalte benutzt, um die Felder zu trennen. Das „Sortierbar”-Kontrollkästchen anhaken, um Spalten sortierbar zu machen. Die Standardsortierung (Radiobutton) festlegen, die Spaltenreihenfolge sowie Feldbeschriftung kann im Bereich der Felder konfiguriert werden.', 'de', '0', '0'),
('8244', 'Das ausgewählte Design verwendet keine Felder.', 'de', '0', '0'),
('8245', 'Nicht definiert', 'de', '0', '0'),
('8246', 'Diese Ansicht wird gerade vom Benutzer !user bearbeitet und ist deshalb für die Bearbeitung durch andere gesperrt. Diese Sperre ist !age alt. Hier klicken, um <a href="!break">die Sperre aufzuheben</a>.', 'de', '0', '0'),
('8247', 'Neue Ansicht', 'de', '0', '0'),
('8248', 'Ansicht wurde geändert', 'de', '0', '0'),
('8249', 'Die Ansicht %name zeigt Einträge vom Typ <strong>@base</strong> an.', 'de', '0', '0'),
('8250', 'Live-Vorschau', 'de', '0', '0'),
('8251', '‹‹', 'de', '0', '0'),
('8252', '››', 'de', '0', '0'),
('8253', '@current von @max', 'de', '0', '0'),
('8254', 'Mehrfacheinträge erlauben', 'de', '0', '0'),
('8255', 'Standardabweichung', 'de', '0', '0'),
('8256', 'Absteigend sortieren', 'de', '0', '0'),
('8257', 'Aufsteigend sortieren', 'de', '0', '0'),
('8258', 'Design-Einstellungen', 'de', '0', '0'),
('8259', '﻿(das erstes Element ist 0)', 'de', '0', '0'),
('8260', 'Anzahl der Seiten', 'de', '0', '0'),
('8261', 'Galerieseite', 'de', '0', '0'),
('8262', 'Ziel des Links, wie _blank, _parent oder ein iframe Namen. Dieses Feld wird nur selten genutzt.', 'de', '0', '0'),
('8263', '@argument Titel', 'de', '0', '0'),
('8264', '@argument Eingabe', 'de', '0', '0'),
('8265', '﻿Die maximale Anzahl der Zeichen für dieses Feld.', 'de', '0', '0'),
('8266', 'Die Nummer 0 als leer werten.', 'de', '0', '0'),
('8267', 'Verstecken, falls leer', 'de', '0', '0'),
('8268', 'Anfangswert', 'de', '0', '0'),
('8269', 'Geben Sie den Startwert für den Zähler an.', 'de', '0', '0'),
('8270', '﻿Beginnt nicht mit', 'de', '0', '0'),
('8271', 'beginnt nicht mit', 'de', '0', '0'),
('8272', 'Endet nicht mit', 'de', '0', '0'),
('8273', 'not_ends', 'de', '0', '0'),
('8274', 'Die Ansicht %name wurde gespeichert.', 'de', '0', '0'),
('8275', 'Elemente, auf die mehr als eine der ausgewählten Optionen zutreffen, können durch diesen Filter als Duplikate auftreten. Sollte dies der Fall sein, können Duplikate durch diese Checkbox unterdrückt werden. Diese Abfrage beeinträchtigt - abhängig von der Anzahl der zu suchenden Begriffe - die Performance beeinträchtigen, sollte also mit Vorsicht verwendet werden. Sollte nicht gewählt werden für Felder mit Einzelwerten, weil dadurch Werte eines inkompatiblen Feldes möglicherweise nicht angezeigt werden.', 'de', '0', '0'),
('8276', '﻿Der Text der das Profil-Element.', 'de', '0', '0'),
('8277', '﻿Die Taxonomie-Begriff-ID für den Begriff.', 'de', '0', '0'),
('8278', 'Name des Taxonomie-Begriffes.', 'de', '0', '0'),
('8279', 'Der Name des Vokabulars zu dem der Begriff gehört.', 'de', '0', '0'),
('8280', 'Wählen Sie die Vokabularien aus, aus denen Begriffe entnommen werden. Für jeden Begriff werden alle Beiträge in die Ergebnissmenge übernommen (u.U. der gleiche Beitrag mehrfach, wenn dieser mit mehreren Begriffen verknüpft ist).', 'de', '0', '0'),
('8281', 'Der Name der Rolle.', 'de', '0', '0'),
('8282', 'Die ID der Rolle.', 'de', '0', '0'),
('8283', '﻿Leere Felder ausblenden', 'de', '0', '0'),
('8284', 'Keine Felder, Bezeichnungen oder Feldermarkups anzeigen, die leer sind.', 'de', '0', '0'),
('8285', 'Mindestens ein Feld ist erforderlich, bevor das Sprungmenü konfiguriert werden kann', 'de', '0', '0'),
('8286', 'Um ein Sprungmenü zu konfigurieren, wählen Sie ein Feld aus, das den verwendeten Pfad enthält. Sie sollten dann das Feld als auszuschließend von der Ausgabe festlegen. Alle anderen angezeigten Felder werden Teil des Menüs. Hinweis: HTML wird bei Ausgabe dieser Felder entfernt.', 'de', '0', '0'),
('8287', '﻿Pfad-Feld', 'de', '0', '0'),
('8288', 'Wenn ausgeblendet, wird diese Schaltfläche nur für Benutzer mit Javascript ausgeblendet werden, und die Seite wird automatisch geladen, wenn die Auswahl geändert wird.', 'de', '0', '0'),
('8289', 'Monatliches Archiv', 'de', '0', '0'),
('8290', '﻿Diese Kennung wird von einem anderen Handler verwendet.', 'de', '0', '0'),
('8291', 'Länge ist kürzer als', 'de', '0', '0'),
('8292', 'Ist kürzer als', 'de', '0', '0'),
('8293', 'Länge ist länger als', 'de', '0', '0'),
('8294', 'länger als', 'de', '0', '0'),
('8295', 'Hervorgehobenes Formular', 'de', '0', '0'),
('8296', 'Vererbte Seitennavigation', 'de', '0', '0'),
('8297', 'Seitennavigation ausgeben', 'de', '0', '0'),
('8298', 'Formatieren', 'de', '0', '0'),
('8299', 'Die Bezeichnung für diese Beziehung wird nur innerhalb der Verwaltung angezeigt.', 'de', '0', '0'),
('8300', 'Hervorheben', 'de', '0', '0'),
('8301', 'Zeigt ‚neu anordnen‘ an', 'de', '0', '0'),
('8302', 'Anzeige entfernen', 'de', '0', '0'),
('8303', 'Operator auf alle Gruppen anwenden', 'de', '0', '0'),
('8304', 'Entweder „group 0 AND group 1 AND group 2“ oder „group 0 OR group 1 OR group 2“, etc.', 'de', '0', '0'),
('8305', 'Gruppe @group entfernen', 'de', '0', '0'),
('8306', 'Standardgruppe', 'de', '0', '0'),
('8307', 'Gruppe @group', 'de', '0', '0'),
('8308', 'Nicht gruppierbare Filter', 'de', '0', '0'),
('8309', 'Gruppeneinstellungen für @type %item konfigurieren', 'de', '0', '0'),
('8310', 'Maschinenlesbarer Name', 'de', '0', '0'),
('8311', 'Den Maschinennamen dieser Anzeige ändern.', 'de', '0', '0'),
('8312', 'Einstellungen für diese Seitennavigation ändern.', 'de', '0', '0'),
('8313', 'Gruppierung und Aggregation (Berechnung) der Felder ermöglichen.', 'de', '0', '0'),
('8314', 'Stil des hervorgehobenen Formulars', 'de', '0', '0'),
('8315', 'Wählen Sie die Art der exponierten Filter.', 'de', '0', '0'),
('8316', 'Einstellungen für dieses Design dem Benutzer zum Ändern päsentieren', 'de', '0', '0'),
('8317', 'Der Maschinenname dieser Anzeige', 'de', '0', '0'),
('8318', 'Der Maschinenname dieser Anzeige', 'de', '0', '0'),
('8319', 'Wenn aktiviert, sind möglicherweise einige Felder nicht mehr verfügbar. Alle Felder, die für die Gruppierung ausgewählt sind, werden um einen Datensatz pro eindeutigen Wert reduziert. Andere Felder, die für die Aggregation ausgewählt sind, werden mit der ausgewählten Funktion aggregiert. Beispielsweise können Sie Beiträge nach dem Titel gruppieren und zählen die Anzahl der Beiträge, um eine Liste der doppelten Titeln zu erhalten.', 'de', '0', '0'),
('8320', '<strong>Wichtige!</strong> Sie haben den maschinenlesbaren Namen der Anzeige geändert. Alle Funktionen, die auf diesen Namen angewiesen sind, werden möglicherweise nicht mehr arbeiten, bis diese aktualisiert werden. Speichern Sie die Ansicht, um Vorschläge zum Theming zu erhalten.', 'de', '0', '0'),
('8321', 'Hervorgehobenes Formular', 'de', '0', '0'),
('8322', 'Optionen für hervorgehobenes Formular', 'de', '0', '0'),
('8323', 'Wählen Sie eine Seitennavigation für diese Ansicht aus', 'de', '0', '0'),
('8324', 'Optionen der Seitennavigation', 'de', '0', '0'),
('8325', 'Die Anzeige-ID muss eindeutig sein.', 'de', '0', '0'),
('8326', 'Text der Schaltfläche zum Absenden eines hervorgehobenen Formulars.', 'de', '0', '0'),
('8327', 'Eine Reset-Schaltfläche einschließen', 'de', '0', '0'),
('8328', 'Eine Schaltfläche, um alle Eingaben eines hervorgehobenen Formulars zurückzusetzen.', 'de', '0', '0'),
('8329', 'Bezeichnung der Reset-Schaltfläche', 'de', '0', '0'),
('8330', 'Text der Schaltfläche zum Zurücksetzen eines hervorgehobenen Formulars.', 'de', '0', '0'),
('8331', 'Bezeichner für die Sortierung', 'de', '0', '0'),
('8332', 'Geben Sie den Text zur Beschriftung der Auswahl zum Sortieren ein.', 'de', '0', '0'),
('8333', 'Text für Aufsteigende Sortierung', 'de', '0', '0'),
('8334', 'Text für Absteigende Sortierung', 'de', '0', '0'),
('8335', 'Text für ‚auf Anfrage‘', 'de', '0', '0'),
('8336', 'Anzahl der Elemente, die übersprungen und nicht angezeigt werden.', 'de', '0', '0'),
('8337', 'Die Anzahl der Seiten, leer lassen für alle Seiten.', 'de', '0', '0'),
('8338', 'Verfügbare Optionen', 'de', '0', '0'),
('8339', 'Anbieten von Optionen für Benutzern, damit diese Werte eingeben können und so die Ausgabe einer Ansicht steuern können.', 'de', '0', '0'),
('8340', 'Verfügbar machen von Elementen pro Seite', 'de', '0', '0'),
('8341', 'Wenn aktiviert, können Benutzer bestimmen, wie viele Elemente pro Seite in einer Ansicht angezeigt werden', 'de', '0', '0'),
('8342', 'Beschriftung der „Elemente pro Seite“', 'de', '0', '0'),
('8343', 'Die im Formularelement "Elemente pro Seite" zu verwendende Beschriftung.', 'de', '0', '0'),
('8344', '„Elemente pro Seite“-Auswahloptionen', 'de', '0', '0'),
('8345', 'Expose Offset', 'de', '0', '0'),
('8346', 'Offset-Label', 'de', '0', '0'),
('8347', 'Label für exponierte Offset Seite-Form-Element verwenden.', 'de', '0', '0'),
('8348', 'Der Offset muss eine Zahl größer oder gleich als 0 sein.', 'de', '0', '0'),
('8349', 'Mini-Seitennavigation, @count Element, übersprungen @skip', 'de', '0', '0'),
('8350', 'Mini-Seitennavigation, @count Elemente, übersprungen @skip', 'de', '8349', '1'),
('8352', 'Mini-Seitennavigation, @count Element', 'de', '0', '0'),
('8353', 'Mini-Seitennavigation, @count Elemente', 'de', '8352', '1'),
('8355', 'Alle Elemente, überspringen @skip', 'de', '0', '0'),
('8356', 'Alle Elemente', 'de', '0', '0'),
('8357', '@count Element, übersprungen @skip', 'de', '0', '0'),
('8358', '@count Elemente, übersprungen @skip', 'de', '8357', '1'),
('8360', '@count Element', 'de', '0', '0'),
('8361', 'Gruppieren von Ergebnissen', 'de', '0', '0'),
('8362', 'In der Datenbank', 'de', '0', '0'),
('8363', 'Vorschau aktualisieren', 'de', '0', '0'),
('8364', 'Diese Ansicht wurde für die Version @import_version von Views erstellt, aktuell ist aber die @api_version installiert.', 'de', '0', '0'),
('8365', 'Beschädigte o. fehlende Behandlungsroutine @table > @field', 'de', '0', '0'),
('8366', 'Anzeige %display hat node/% als Pfad. Wenn Sie mehrere Versionen einer Ansicht haben möchten, so verwenden Sie das Modul Panels.', 'de', '0', '0'),
('8367', '@category: @field-name', 'de', '0', '0'),
('8368', '﻿Link zum Übersetzen', 'de', '0', '0'),
('8369', 'Stellt einen einfachen Link zum Übersetzen des Beitrags bereit.', 'de', '0', '0'),
('8370', 'Verwenden Sie einen absoluten Link (beginnt mit "http://")', 'de', '0', '0'),
('8371', 'Maschinenname der Ausgabe', 'de', '0', '0'),
('8372', 'Drupals Taxonomie-Begriffe für die Pfadnavigation verwenden', 'de', '0', '0'),
('8373', 'Wenn ausgewählt, werden die Links im Breadcrumb-Pfad unter Verwendung der standard-drupal-Methode anstelle der benutzerdefinierte Views-Methode erstellt. Dies ist nützlich, wenn Sie Module wie Taxonomie-Umleitung verwenden, um Links für Taxonomie-Begriff zu ändern.', 'de', '0', '0'),
('8374', 'Ändern der CSS-Klasse/n, die dieser Anzeige hinzugefügt wird/werden.', 'de', '0', '0'),
('8375', 'Die CSS-Klassennamen werden der Ansicht hinzugefügt. Damit können Sie spezifischen CSS-Code für jede Ansicht verwenden. Sie können ein Vielfaches-Klassen, die durch Leerzeichen getrennt sind definieren.', 'de', '0', '0'),
('8376', 'Eine CSS-Klasse darf nur aus Buchstaben, Zahlen und Unterstrichen bestehen.', 'de', '0', '0'),
('8377', 'Wählen Sie Text', 'de', '0', '0'),
('8378', 'Der Text, der als ausgewählte Option im Sprungmenü angezeigt wird.', 'de', '0', '0'),
('8379', 'Zwischen welchen Werten der Benutzer wählen kann, wenn er die Anzahl der Elemente pro Seite festlegt. Trennen Sie die Werte durch Komma.', 'de', '0', '0'),
('8380', 'Benutzer können bestimmen, wie viele Elemente am Anfang übersprungen werden.', 'de', '0', '0'),
('8381', 'Legen Sie eine Liste von ganzzahligen Werte durch Komma getrennt an, z. B.: 10, 20, 50, 100', 'de', '0', '0'),
('8383', 'Anhang vor', 'de', '0', '0'),
('8384', 'Anhang nach', 'de', '0', '0'),
('8385', 'Handler @handler versuchte, additional_field @identifier hinzuzufügen, aber @table konnte nicht hinzugefügt werden!', 'de', '0', '0'),
('8386', 'Eine einzelne Zeile füllen', 'de', '0', '0'),
('8387', 'Zeilen-Klasse', 'de', '0', '0'),
('8388', '- Standard verwenden -', 'de', '0', '0'),
('8389', 'Unbekannter Inhaltstyp', 'de', '0', '0'),
('8390', 'Ansicht: !view', 'de', '0', '0'),
('8391', 'Lesbarer Name', 'de', '0', '0'),
('8392', 'Zugriff auf die Views Verwaltungsseiten.', 'de', '0', '0'),
('8393', 'Zugriffskontrolle beim Zugriff auf Views umgehen.', 'de', '0', '0'),
('8394', 'HTML-Element', 'de', '0', '0'),
('8395', 'Label des HTML-Elementes', 'de', '0', '0'),
('8396', 'Platziert einen Doppelpunkt nach dem Label', 'de', '0', '0'),
('8397', 'Wrapper-HTML-Element', 'de', '0', '0'),
('8398', 'Wrapper-Klasse', 'de', '0', '0'),
('8399', 'Standardklassen hinzufügen', 'de', '0', '0'),
('8400', 'Die standardmäßigen Views-Klassen verwenden, um das Feld, die Feldbezeichnung und den Feldinhalt zu identifizieren.', 'de', '0', '0'),
('8401', 'Absoluten Pfad verwenden', 'de', '0', '0'),
('8402', 'Rel Text (Beziehung)', 'de', '0', '0'),
('8403', 'Rel-Attribut (Beziehung) für den Einsatz in lightbox2 oder anderen Javascript-Werkzeugen einschließen.', 'de', '0', '0'),
('8404', 'Bestimmte Tags beibehalten', 'de', '0', '0'),
('8405', 'Liste der Tags, die während des Stripping-Prozesses beibehalten werden müssen. z.B. &quot;&lt;p&gt; &lt;br&gt;&quot;, das alle P und BR Elemente bewahren wird.', 'de', '0', '0'),
('8406', 'Format Plural', 'de', '0', '0'),
('8407', 'Wenn aktiviert, wird ein spezielle Behandlung für Pluralformen verwendet.', 'de', '0', '0'),
('8408', 'Singularform', 'de', '0', '0'),
('8409', 'Text, der für die Singularform verwendet wird.', 'de', '0', '0'),
('8410', 'Pluralform', 'de', '0', '0'),
('8411', 'Text, der für die Pluralform verwendet wird, @count wird mit dem Wert ersetzt.', 'de', '0', '0'),
('8412', 'Offset ab dem aktuellen Zeitpunkt wie „!example1“ oder „!example2“', 'de', '0', '0'),
('8413', 'Ein eindeutiger maschinenlesbaren Name für diese Ansicht. Er darf nur Kleinbuchstaben, Zahlen und Unterstriche enthalten.', 'de', '0', '0'),
('8414', 'Gewichtung für @display', 'de', '0', '0'),
('8415', 'Übersetzungsmethode', 'de', '0', '0'),
('8416', 'Wählen Sie eine Übersetzungsmethode für View-Daten wie z.B. Kopfzeile, Fußzeile und Leertext.', 'de', '0', '0'),
('8417', 'Anstatt dem standardmäßigen Titel, wird dieser Titel auf der „Bearbeiten“-Seite der Ansicht angezeigt. Dies ist hilfreich, wenn ein Element doppelt vorhanden ist.', 'de', '0', '0'),
('8418', 'Einigen Rollen fehlt die Berechtigung zum Zugriff auf Inhalte, aber Ansicht @display hat keine Zugriffssteuerung.', 'de', '0', '0'),
('8419', 'Ziel verwenden', 'de', '0', '0'),
('8420', 'Ziel dem Link hinzufügen', 'de', '0', '0'),
('8421', 'Den Kommentar-Link in dem Formular auf Beiträgen mit dem Standard-Anrisstext verwenden, anstatt auf den Formularen der Beiträgen.', 'de', '0', '0'),
('8423', 'Gruppiere Spalte', 'de', '0', '0'),
('8424', 'Wählen Sie die Spalte des Feldes auf das die oben gewählte Gruppierfunktion angewandt wird.', 'de', '0', '0'),
('8425', 'Gruppiere Spalten (zusätzlich)', 'de', '0', '0'),
('8426', 'Zusätzliche Spalten dieses Feldes hinzufügen, die in die Abfrage einbezogen werden und nach denen gruppiert wird.', 'de', '0', '0'),
('8427', 'Zeige den Downloadpfad anstelle der Adresse der Datei auf dem Server', 'de', '0', '0'),
('8428', 'Komplette Download-URL anstelle der internen Filestream-Adresse verwenden.', 'de', '0', '0'),
('8429', 'Die eindeutige Bezeichnung des Taxonomie-Vokabulars, zu welchem der Begriff gehört.', 'de', '0', '0'),
('8430', 'Fehlermeldung anzeigen', 'de', '0', '0'),
('8432', 'Kein Kommentar', 'de', '0', '0'),
('8433', 'Diese Anzeige kommentieren oder dokumentieren', 'de', '0', '0'),
('8434', 'Datenbankabfrageeinstellungen', 'de', '0', '0'),
('8435', 'Erlaubt weitere Einstellungen für das Query-Plugin', 'de', '0', '0'),
('8436', 'Name und Beschreibung diese Anzeige', 'de', '0', '0'),
('8437', 'Dieser Name wird nur in der administrativen Ansicht gezeigt.', 'de', '0', '0'),
('8438', 'Die Beschreibung wird nur in der Verwaltungsoberfläche der Anzeige angezeigt.', 'de', '0', '0'),
('8439', 'Die Kommentare dieser Anzeige', 'de', '0', '0'),
('8441', 'Datenbankabfrageoptionen', 'de', '0', '0'),
('8442', 'Anzeigename darf nur aus Buchstaben, Zahlen oder Unterstrichen bestehen.', 'de', '0', '0'),
('8444', 'Soll diese Anzeige Werte für die Seitennavigation rendern? (Nur von Bedeutung, wenn eine Seitennavigation ererbt wird).', 'de', '0', '0'),
('8445', 'Dies wird als Blockname erscheinen in: Verwaltung >> Struktur >> Blöcke', 'de', '0', '0'),
('8446', 'Anstelle von Ergebnissen anzuzeigender Text, bis der Benutzer einen hervorgehobenen Filter wählt und anwendet.', 'de', '0', '0'),
('8447', 'Option „alle Elemente“ einfügen', 'de', '0', '0'),
('8448', 'Eine weitere Option hinzufügen, über die alle Elemente angezeigt werden können', 'de', '0', '0'),
('8449', '„Alle Elemente“-Beschriftung', 'de', '0', '0'),
('8450', 'Welche Beschriftung soll für „alle Elemente“ verwendet werden?', 'de', '0', '0'),
('8451', 'SQL-rewriting deaktivieren', 'de', '0', '0'),
('8453', 'Slave-Server verwenden', 'de', '0', '0'),
('8454', 'Dies wird die SQL-Abfrage auf einem Slave-Server ausführen, wenn dieser verfügbar ist. Sollte kein Slave-Server konfiguriert oder verfügbar sein, wird die Abfrage auf dem Standard-Server ausgeführt.', 'de', '0', '0'),
('8455', 'Feldsprache', 'de', '0', '0'),
('8456', 'Alle Felder, die Übersetzungen unterstützen, werden in der gewählten Sprache angezeigt.', 'de', '0', '0'),
('8457', 'Die Klasse die jeder Zeile zugewiesen wird.', 'de', '0', '0'),
('8459', 'Tabellenzusammenfassung', 'de', '0', '0'),
('8460', 'Den aktuellen Pfad als Standardoption im Menü anzeigen.', 'de', '0', '0'),
('8461', 'Die Klasse, die auf den Wrapper angewendt werden soll (außerhalb der Liste).', 'de', '0', '0'),
('8462', 'Listenklasse', 'de', '0', '0'),
('8463', 'Die Klasse, die auf das Listenelement selbst angewendet werden soll.', 'de', '0', '0'),
('8465', 'Inhaltsrevisionen', 'de', '0', '0'),
('8466', 'in %time', 'de', '0', '0'),
('8467', 'Maschinenlesbarer Name: ', 'de', '0', '0'),
('8468', 'Views Zugriffskontrolle umgehen', 'de', '0', '0'),
('8469', '@section bearbeiten', 'de', '0', '0'),
('8470', 'Diese Ansicht bearbeiten, um eine Anzeige hinzuzufügen.', 'de', '0', '0'),
('8471', 'Einfügen-Ansicht', 'de', '0', '0'),
('8472', 'Die Ansicht, die in diesen Bereich eingefügt werden.', 'de', '0', '0'),
('8473', 'Kontextfilter vererben', 'de', '0', '0'),
('8474', 'Diese Ansicht erbt die Kontextfilter seiner Elternobjekte.', 'de', '0', '0'),
('8475', 'Rekursion entdeckt in Ansicht @view, Display @display.', 'de', '0', '0'),
('8476', 'Wenn der Filterwert <em>NICHT</em> in der URL ist', 'de', '0', '0'),
('8477', 'Ausnahmewert', 'de', '0', '0'),
('8478', 'Wenn dieser Wert übergeben wird, wird der Filter ignoriert; z.B. "alle Werte"', 'de', '0', '0'),
('8480', 'Wenn der Filterwert <em>IN</em> der URL ist, oder ein Standardwert vorgegeben ist.', 'de', '0', '0'),
('8481', 'Titel bereitstellen', 'de', '0', '0'),
('8482', 'Breadcrumb überschreiben', 'de', '0', '0'),
('8483', 'Pfadnavigation zur Verfügung stellen.', 'de', '0', '0'),
('8485', 'Spezifizieren eines Validationskriteriums', 'de', '0', '0'),
('8486', 'Aktion, falls der Filterwert ungültig ist', 'de', '0', '0'),
('8487', '"Seite wurde nicht gefunden" anzeigen', 'de', '0', '0'),
('8488', 'Standard-Argument für die URL der Ansicht überspringen', 'de', '0', '0'),
('8489', 'Wählen Sie, ob dieses Standard-Argument beim Zusammensetzen der URL für diese Ansicht einbezogen werden soll. Das Überspringen von Standard-Argumenten ist z.B. bei Feeds sinnvoll.', 'de', '0', '0'),
('8490', 'Anzahl der Einträge', 'de', '0', '0'),
('8491', 'Voreingestellte Sortierung\r\nim Zusammenhang mit: Sortierungereihenfolge', 'de', '0', '0'),
('8492', 'Datum', 'de', '0', '0'),
('8493', 'Numerisch', 'de', '0', '0'),
('8494', 'Benutzer können mehrfache Werte der Form 1+2+3 (für ODER) oder 1,2,3 (für UND) eingeben.', 'de', '0', '0'),
('8501', 'Alphabetisch', 'de', '0', '0'),
('8502', 'Bezeichnung erstellen', 'de', '0', '0'),
('8503', 'Aktivieren, um eine Bezeichnung für dieses Feld zu erstellen.', 'de', '0', '0'),
('8505', 'Wählen Sie das HTML Element, das dieses Feld einschliesst, z.B. H1, H2, etc.', 'de', '0', '0'),
('8506', 'Eine CSS-Klasse erstellen', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('8507', 'Wählen Sie das HTML Element, das diese Beschriftung einschliesst z.B. H1, H2.', 'de', '0', '0'),
('8508', 'Ergebnisse überschreiben', 'de', '0', '0'),
('8509', 'Aktivieren, um die Ausgabe des Feldes mit benutzerdefiniertem Text oder Ersetzungs-Tokens zu übersteuern.', 'de', '0', '0'),
('8510', 'Leerzeichen durch Striche ersetzen', 'de', '0', '0'),
('8511', 'Externe Server-URL', 'de', '0', '0'),
('8512', 'Links zu einer externen Website brauchen eine komplette URL, z.B. ‚http://www.example.com‘ oder ‚www.beispiel.com‘.', 'de', '0', '0'),
('8513', 'Das Feld auf eine maximale Länge an Zeichen beschränken.', 'de', '0', '0'),
('8514', 'Zeilenumbrüche in &lt;br&gt; HTML-Tags umwandeln', 'de', '0', '0'),
('8515', 'Alle Zeilenumbruchzeichen (z.B. \\n) werden in HTML &lt;br&gt; Tags umgewandelt.', 'de', '0', '0'),
('8516', 'Text für keine Ergebnisse', 'de', '0', '0'),
('8517', 'Die Textanzeige für keine Ergebnisse aktivieren, falls das Feld die Zahl 0 enthält.', 'de', '0', '0'),
('8520', 'Zeitspanne (zukünftige Datumsangaben haben ein „-“ vorangestellt)', 'de', '0', '0'),
('8521', 'Zeitspanne (vergangene Datumsangaben haben ein „-“ vorangestellt)', 'de', '0', '0'),
('8523', 'Vollständige Daten (nicht serialisiert)', 'de', '0', '0'),
('8524', 'Vollständige Daten (serialisiert)', 'de', '0', '0'),
('8525', 'Ein bestimmer Schlüssel', 'de', '0', '0'),
('8526', 'Wählen Sie Schlüssel zur Anzeige', 'de', '0', '0'),
('8528', 'Legen Sie fest wieviele verschiedenen Einheiten in einer Zeichenkette angezeigt werden.', 'de', '0', '0'),
('8529', 'Dieser Filter wird nicht gezeigt. Machen Sie ihn sichtbar, damit Benutzer ihn verändern können.', 'de', '0', '0'),
('8530', 'Filter sichtbar machen', 'de', '0', '0'),
('8531', 'Dieser Filter wird dargestellt. Falls er versteckt wird, werden Benutzer ihn nicht anpassen können.', 'de', '0', '0'),
('8532', 'Verberge Filter', 'de', '0', '0'),
('8533', 'Operator hervorheben', 'de', '0', '0'),
('8534', 'Erlauben Sie Benutzern den Operator selbst zu wählen.', 'de', '0', '0'),
('8535', 'Erlaube Mehrfachauswahlen', 'de', '0', '0'),
('8536', 'Erlauben Sie Benutzern mehrerer Objekte zu wählen.', 'de', '0', '0'),
('8537', 'Die letzte Auswahl merken', 'de', '0', '0'),
('8538', 'Aktivieren um sich die letzte Benutzerauswahl zu merken.', 'de', '0', '0'),
('8540', 'Objekte ohne diese Beziehung verbergen', 'de', '0', '0'),
('8541', 'Diese Sortierungsoption ist nicht sichtbar. Machen Sie sie sichtbar, um den Benutzern deren Änderung zu ermöglichen.', 'de', '0', '0'),
('8542', 'Zeige die Sortierungsoption.', 'de', '0', '0'),
('8543', 'Diese Sortierungsoption ist sichtbar. Wenn Sie diese verstecken, werden Benutzer diese nicht ändern können.', 'de', '0', '0'),
('8544', 'Sortieren verstecken', 'de', '0', '0'),
('8545', 'Beschreibung zur Verfügung stellen', 'de', '0', '0'),
('8546', 'Speichern & Beenden', 'de', '0', '0'),
('8547', 'Fortfahren & Bearbeiten', 'de', '0', '0'),
('8548', 'Aktualisiere "@title" Auswahl', 'de', '0', '0'),
('8549', 'Aktualisiere "@title" Auswahl (@number)', 'de', '0', '0'),
('8550', 'Ihre Ansicht wurde gespeichert. Sie können sie aus der Liste unten bearbeiten.', 'de', '0', '0'),
('8551', 'Datenbank übersteuert Code', 'de', '0', '0'),
('8552', '* Alle Änderungen werden temporär gespeichert. "Speichern" klicken, um die Änderungen dauerhaft zu speichern. Mit "Abbrechen" wird die Ansicht verworfen.', 'de', '0', '0'),
('8553', '* Alle Änderungen werden temporär gespeichert. "Speichern" klicken, um die Änderungen dauerhaft zu speichern oder "Abbrechen" klicken, um sie zu verwerfen.', 'de', '0', '0'),
('8554', 'Anzeige(n) dieser Ansicht bearbeiten oder neue Anzeigen hinzufügen:', 'de', '0', '0'),
('8555', 'Name/Beschreibung der Ansicht bearbeiten', 'de', '0', '0'),
('8556', 'Ansicht analysieren', 'de', '0', '0'),
('8557', 'Ansicht duplizieren', 'de', '0', '0'),
('8558', 'Ansicht exportieren', 'de', '0', '0'),
('8559', 'Ansicht zurücksetzen', 'de', '0', '0'),
('8560', 'Ansicht löschen', 'de', '0', '0'),
('8561', '!display hinzufügen', 'de', '0', '0'),
('8562', '@display_title Details', 'de', '0', '0'),
('8563', 'Automatische Vorschau', 'de', '0', '0'),
('8564', 'Vorschau mit Kontextfiltern:', 'de', '0', '0'),
('8565', 'Trenne Kontextfilter-Werte mit „/“. Beispiel: %example.', 'de', '0', '0'),
('8566', ':', 'de', '0', '0'),
('8567', 'Anwenden und Fortfahren', 'de', '0', '0'),
('8568', '@current von @total', 'de', '0', '0'),
('8569', 'Alle Anzeigen (außer überschriebenen)', 'de', '0', '0'),
('8570', 'Alle Anzeigen', 'de', '0', '0'),
('8571', 'Den Ansichtstyp @display_type (übersteuern)', 'de', '0', '0'),
('8572', 'Name und Beschreibung ansehen', 'de', '0', '0'),
('8573', 'Eine anschaulicher, vom Menschen lesbarer Name für diese Ansicht.\r\nLeerzeichen sind erlaubt.', 'de', '0', '0'),
('8574', 'Neue Filtergruppe erstellen', 'de', '0', '0'),
('8575', 'Keine Filter wurden hinzugefügt.', 'de', '0', '0'),
('8576', 'Ziehen, um Filter hinzuzufügen.', 'de', '0', '0'),
('8577', '@types hinzufügen und konfigurieren', 'de', '0', '0'),
('8578', '@type: @item konfigurieren', 'de', '0', '0'),
('8579', 'Filter auf der Liste der Ansichten anzeigen', 'de', '0', '0'),
('8580', 'Den Hinweis zur erweiterten Hilfe anzeigen', 'de', '0', '0'),
('8581', 'Die Standardanzeige immer anzeigen', 'de', '0', '0'),
('8582', 'Fortgeschrittene Anwender von Views erhalten die Auswahlmöglichkeit, die Standardanzeige zu sehen.', 'de', '0', '0'),
('8583', 'Die erweiterten Anzeigeeinstellungen immer anzeigen', 'de', '0', '0'),
('8586', 'Einstellungen der Live-Vorschau', 'de', '0', '0'),
('8587', 'Vorschau bei Änderungen automatisch aktualisieren', 'de', '0', '0'),
('8588', 'Informationen und Statistiken über die Ansicht während der Live-Vorschau anzeigen', 'de', '0', '0'),
('8589', 'Oberhalb der Vorschau', 'de', '0', '0'),
('8590', 'Unterhalb der Vorschau', 'de', '0', '0'),
('8591', 'SQL Abfrage anzeigen', 'de', '0', '0'),
('8592', 'Leistungsstatistiken anzeigen', 'de', '0', '0'),
('8593', 'JavaScript bei Ansichten abschalten', 'de', '0', '0'),
('8595', 'Es sind keine Vorlagen verfügbar.', 'de', '0', '0'),
('8597', 'Inhalt, der eine Übersetzung eines Originaltextes ist.', 'de', '0', '0'),
('8598', 'Übersetzungsstatus des Inhaltes - muss die Übersetzung aktualisiert werden?', 'de', '0', '0'),
('8599', 'Aktivieren, um die Verknüpfungen dieses Felds zu überschreiben.', 'de', '0', '0'),
('8600', 'Feldvorlage verwenden', 'de', '0', '0'),
('8604', 'Alle Werte in der selben Reihe anzeigen', 'de', '0', '0'),
('8605', 'Zeige @count Wert(e)', 'de', '0', '0'),
('8606', 'Unbearbeitete @column', 'de', '0', '0'),
('8607', 'Muttersprache', 'de', '0', '0'),
('8608', 'Falls aktiviert, wird der Name der Sprache in der Sprache selbst angezeigt', 'de', '0', '0'),
('8609', 'Dieses Feld mit dem ursprünglichen Inhalt verlinken', 'de', '0', '0'),
('8611', 'Dieses Feld mit seiner Inhaltsversion verlinken.', 'de', '0', '0'),
('8612', 'Feld als maschinenlesbaren Inhaltstypen anzeigen.', 'de', '0', '0'),
('8613', 'Einen oder mehrere Inhaltstypen wählen, um mit diesen zu validieren.', 'de', '0', '0'),
('8614', 'Überprüfe, ob der Benutzer Zugfriff zum Inhalt hat', 'de', '0', '0'),
('8617', 'Kommentare anzeigen', 'de', '0', '0'),
('8618', 'Wählen Sie eine alternatives Sortierfeld für die Standard Tabelle, falls das eigentliche Sortierfeld nicht im Suchergebnis verfügbar ist.', 'de', '0', '0'),
('8620', 'Standardfilter der Begriffsseite laden', 'de', '0', '0'),
('8621', 'Typ des Filterwertes', 'de', '0', '0'),
('8622', 'Schliesse unübersetzten Inhalt mit ein', 'de', '0', '0'),
('8623', 'Aktivieren, um anderen Text für anonyme Benutzer zu zeigen.', 'de', '0', '0'),
('8626', 'PHP-Code für kontextabhängigen Filter', 'de', '0', '0'),
('8627', 'Ändere die Art, wie Inhalt formatiert wird.', 'de', '0', '0'),
('8628', 'Ändere die Einstellungen für dieses Format', 'de', '0', '0'),
('8629', 'Ändere die Art, wie jede Zeile in dieser Ansicht dargestellt wird.', 'de', '0', '0'),
('8630', 'Anhänge in Zusammenfassungen ausblenden', 'de', '0', '0'),
('8632', 'Anhänge ausblenden, wenn eine Kontextfilter-Zusammenfassung gezeigt wird.', 'de', '0', '0'),
('8633', 'Sie können auch die !settings für die gegenwärtig ausgewählten Zugriffseinschränkungen anpassen.', 'de', '0', '0'),
('8634', 'Sie können auch die !settings für den gegenwärtig ausgewählten Cache-Mechanismus anpassen.', 'de', '0', '0'),
('8635', 'Sie können auch die !settings für den gegenwärtig ausgewählten Stil anpassen.', 'de', '0', '0'),
('8636', 'Sie können auch die !settings für den gegenwärtig ausgewählten Zeilenstil anpassen.', 'de', '0', '0'),
('8637', 'Sie können auch die !settings für den gegenwärtig ausgewählten Pager anpassen.', 'de', '0', '0'),
('8638', 'Position des Anhangs', 'de', '0', '0'),
('8639', 'Zwischenspeichern von Blöcken', 'de', '0', '0'),
('8642', 'Anzeige @display soll ein Menu verwenden, aber der Text für den Link auf das Menu ist nicht definiert.', 'de', '0', '0'),
('8643', 'Anzeige @display soll ein übergeordnetes Menu verwenden, aber der Text für den Link auf das übergeordnete Menu ist nicht definiert.', 'de', '0', '0'),
('8644', 'Seitenwiese, @count Elemente, überspringe @skip', 'de', '8357', '1'),
('8646', 'Seitenweise, @count Elemente', 'de', '8360', '1'),
('8651', 'Gesamtspeicher', 'de', '0', '0'),
('8652', 'Gesamtstatus', 'de', '0', '0'),
('8653', 'Keine Tags', 'de', '0', '0'),
('8654', 'Keine Ansichten passen zu den Suchkriterien,', 'de', '0', '0'),
('8655', 'Erzeuge Ansicht aus dem Template @template', 'de', '0', '0'),
('8656', 'Kopie von', 'de', '0', '0'),
('8657', '@count Kopien von', 'de', '8656', '1'),
('8659', 'Neue Seite anlegen', 'de', '0', '0'),
('8660', 'Einen neuen Menülink erzeugen', 'de', '0', '0'),
('8661', 'RSS-Feed einschließen', 'de', '0', '0'),
('8662', 'Zugriffspfad für den Feed', 'de', '0', '0'),
('8663', 'Zeilenlayout für den Feed', 'de', '0', '0'),
('8664', 'Erzeuge einen Block', 'de', '0', '0'),
('8665', 'von Feldern', 'de', '0', '0'),
('8666', 'vom Typ', 'de', '0', '0'),
('8667', 'markiert mit', 'de', '0', '0'),
('8668', 'Links sollen unter jedem Kommentar angezeigt werden', 'de', '0', '0'),
('8669', 'mit Links (erlaubt Benutzern, Kommentare zu beantworten, etc.)', 'de', '0', '0'),
('8670', 'ohne Links', 'de', '0', '0'),
('8671', 'Anrisstexte', 'de', '0', '0'),
('8672', 'vollständige Beiträge', 'de', '0', '0'),
('8673', 'Titel', 'de', '0', '0'),
('8674', 'Titel (verlinkt)', 'de', '0', '0'),
('8675', 'Links unterhalb jedes Elements anzeigen', 'de', '0', '0'),
('8676', 'mit Links (erlaubt dem Benutzer, Kommentare etc. hinzuzufügen)', 'de', '0', '0'),
('8677', 'Kommentare sollen unterhalb jedes Elements angezeigt werden', 'de', '0', '0'),
('8678', 'Anzahl Treffer', 'de', '0', '0'),
('8680', 'Unsortiert', 'de', '0', '0'),
('8681', 'Zusammenfassungstyp', 'de', '0', '0'),
('8682', 'Ersetzungs-Tokens der ersten Zeile verwenden', 'de', '0', '0'),
('8683', 'Mehrfache Filterwerte arbeiten zusammen', 'de', '0', '0'),
('8684', 'HTML-Code des Feldes anpassen', 'de', '0', '0'),
('8685', 'Sie dürfen in dieser Klasse Token-Ersetzungen aus dem Überschreibungs-Abschnitt verwenden.', 'de', '0', '0'),
('8686', 'HTML-Code der Bezeichnung anpassen', 'de', '0', '0'),
('8687', 'HTML-Code des Feldes und der Bezeichnung anpassen', 'de', '0', '0'),
('8688', 'Wählen Sie das HTML Element, das dieses Feld und seine Beschriftung einschliesst, z.B. H1, H2, etc. Dies darf nicht verwendet werden, wenn das Feld und seine Beschriftung nicht zusammen dargestellt werden, wie etwa bei einer Tabelle.', 'de', '0', '0'),
('8689', 'Leerzeichen entfernen', 'de', '0', '0'),
('8690', 'Alle Leerzeichen am Anfang und am Ende der Ausgabe löschen.', 'de', '0', '0'),
('8691', 'Nicht Überschreiben, wenn leer', 'de', '0', '0'),
('8692', 'Falls das Feld leer ist, soll überschriebener Inhalt nicht angezeigt werden.', 'de', '0', '0'),
('8693', 'Tausender Trennzeichen', 'de', '0', '0'),
('8694', 'Diesen Filter für Seitenbesucher freigeben, so dass sie die Optionen selbst wählen können.', 'de', '0', '0'),
('8695', 'Typische Sortierreihenfolge', 'de', '0', '0'),
('8696', 'Namensraum der Unterabfrage', 'de', '0', '0'),
('8697', 'Typische Ansicht', 'de', '0', '0'),
('8698', 'Jedes Mal, wenn die Ansicht aufgerufen wird, eine Unterabfrage erzeugen.', 'de', '0', '0'),
('8699', 'Zeige diese Sortierungsoption den Besuchern, damit sie diese ändern können.', 'de', '0', '0'),
('8700', 'Die Anzeige ist deaktiviert.', 'de', '0', '0'),
('8702', 'Anzeigen neu sortieren', 'de', '0', '0'),
('8703', 'Fehler: Die Ansicht @display verweist auf das Plugin @plugin , aber dieses ist nicht verfügbar.', 'de', '0', '0'),
('8704', '@display_title aktivieren', 'de', '0', '0'),
('8705', '@display anzeigen', 'de', '0', '0'),
('8706', '@display_title duplizieren', 'de', '0', '0'),
('8707', '@display_title löschen', 'de', '0', '0'),
('8708', '@display_title deaktivieren', 'de', '0', '0'),
('8709', 'Rückgängig Machen der Löschung von @display_title', 'de', '0', '0'),
('8711', 'Der ausgewählte Stil oder das Zeilenformat verwenden keine Felder.', 'de', '0', '0'),
('8712', 'Einstellungen der Zusammenfassung', 'de', '0', '0'),
('8713', 'Anzeigenerweiterungen', 'de', '0', '0'),
('8714', 'Erweiterungen der Schnittstellen des Views-Moduls auswählen.', 'de', '0', '0'),
('8716', 'Wählen Sie die Funktion zum Zusammenfassen, die für dieses Feld genutzt wird.', 'de', '0', '0'),
('8717', 'Antworte an', 'de', '0', '0'),
('8718', ' neu', 'de', '0', '0'),
('8719', 'Keine Backlinks gefunden.', 'de', '0', '0'),
('8720', 'Seiten, die auf %1 verweisen', 'de', '0', '0'),
('8721', 'Beliebt (Seite)', 'de', '0', '0'),
('8722', 'Heute (Seite)', 'de', '0', '0'),
('8723', 'Populär (Block)', 'de', '0', '0'),
('8724', 'Heute (Block)', 'de', '0', '0'),
('8725', 'Beliebtester Inhalt von heute', 'de', '0', '0'),
('8727', 'Für den Dateityp ein Symbol anstelle des MIME-Textes (wie etwa "image/jpeg") anzeigen', 'de', '0', '0'),
('8728', 'Standardfilter der Node-Seite laden (gut für verwandte Vokabular-Blöcke).', 'de', '0', '0'),
('8729', 'Pfadkomponente', 'de', '0', '0'),
('8730', 'Die Nummerierung beginnt bei 1. Bei der Seite admin/structure/types beispielsweise ist die 3. Pfadkomponente "types".', 'de', '0', '0'),
('8731', 'Zusammenfassung verwenden', 'de', '0', '0'),
('8732', 'Anzeigetitel darf nicht leer sein.', 'de', '0', '0'),
('8733', 'Falls der Filterwert <em>NICHT verfügbar </em> ist', 'de', '0', '0'),
('8734', 'Falls der Filterwert <em>verfügbar</em> ist, oder falls ein Standardwert verfügbar ist', 'de', '0', '0'),
('8736', 'Anzahl der Elemente, die angezeigt werden sollen. Geben Sie 0 ein, wenn kein Limit gesetzt werden soll.', 'de', '0', '0'),
('8737', 'Die Kontextfilterwerte sind durch die URL gegeben.', 'de', '0', '0'),
('8738', 'Automatisch senden', 'de', '0', '0'),
('8739', 'Sendet das Formular automatisch ab, sobald ein Element geändert wurde.', 'de', '0', '0'),
('8740', 'Sendenbutton verbergen, wenn Javascript aktiviert ist.', 'de', '0', '0'),
('8741', 'Datenbankabfragekommentar', 'de', '0', '0'),
('8743', 'Falls erforderlich, die Feldsprachenbedingung der Datenbankabfrage hinzufügen.', 'de', '0', '0'),
('8744', 'Count DISTINCT', 'de', '0', '0'),
('8747', 'Den „Go“ Button verbergen', 'de', '0', '0'),
('8748', 'Wähle den gegenwärtigen Kontextfilterwert', 'de', '0', '0'),
('8749', 'Leeren Text in der Tabelle anzeigen.', 'de', '0', '0'),
('8757', 'Leere Spalten ausblenden', 'de', '0', '0'),
('8758', 'Der Operator ist für den Filter @filter ungültig.', 'de', '0', '0'),
('8759', 'Keine gültigen Werte für den Filter @filter gefunden.', 'de', '0', '0'),
('8763', 'Ein Drupal-Pfad oder eine externe URL, auf den/die der "Weiter"-Link verweisen soll. Achtung: dies üerschreibt die oben eingestellte Linkanzeige.', 'de', '0', '0'),
('8764', '@view : @display', 'de', '0', '0'),
('8765', 'Ansicht: @view - Anzeige: @display', 'de', '0', '0'),
('8769', 'Typische Sortier-Kriterien', 'de', '0', '0'),
('8770', 'Die Reihenfolge zum Sortierkriterium, welches oben gewählt wurde.', 'de', '0', '0'),
('8771', 'Und/Oder, Umsortieren', 'de', '0', '0'),
('8772', 'Optional: kommagetrennte Liste von Tags für diese Ansicht eintragen, die zum Filtern und Sortieren der Ansichten auf der Übersichtsseite verwendet werden.', 'de', '0', '0'),
('8775', 'Nur der/die Erste und Letzte', 'de', '0', '0'),
('8776', 'Formatierten Benutzernamen verwenden', 'de', '0', '0'),
('8777', 'Den Benutzername durch das System formatieren. Andernfalls unformatiert anzeigen.', 'de', '0', '0'),
('8778', 'Link zum Profil des Benutzers', 'de', '0', '0'),
('8779', 'Pager verwenden', 'de', '0', '0'),
('8780', 'Token mit Bezug auf Views.', 'de', '0', '0'),
('8781', 'Lesbarer Name der Ansicht.', 'de', '0', '0'),
('8782', 'Die Beschreibung der Ansicht.', 'de', '0', '0'),
('8783', 'Technischer Name der Ansicht.', 'de', '0', '0'),
('8784', 'Der Titel der gegenwärtigen Bildschirmansicht.', 'de', '0', '0'),
('8785', 'Die URL der Ansicht.', 'de', '0', '0'),
('8786', '- Auswahl -', 'de', '0', '0'),
('8788', 'Auswählen, um das Feld zu verbergen, wenn keine Ergebnisse zurückgeliefert werden. Label und überschriebene Werte werden ggf. trotzdem angezeigt – über Stil/Zeilenstil-Einstellungen  können Labels für leere Felder ausgeblendet werden. Um überschriebene Werte zu verbergen, "Überschreiben ignorieren, wenn leer" auswählen.', 'de', '0', '0'),
('8789', 'Apostroph', 'de', '0', '0'),
('8792', 'Devel-Nachricht (dpm)', 'de', '0', '0'),
('8793', 'Leistungsstatistiken/Debug-Mitteilungen in folgender Seitenregion ausgeben', 'de', '0', '0'),
('8794', 'Verknüpfe Feld mit dem Node, falls es keinen Kommentar gibt.', 'de', '0', '0'),
('8795', 'Leerzeichen in Begriffen in Bindestriche umwandeln', 'de', '0', '0'),
('8799', 'Ersetze eine bestehende Ansicht, falls schon eine mit demselben Namen existiert.', 'de', '0', '0'),
('8800', 'Sie können HTML-Code in diesem Feld verwenden. Die folgenden Token werden unterstützt:', 'de', '0', '0'),
('8801', 'Standard RSS-Einstellungen der Site verwenden.', 'de', '0', '0'),
('8802', 'Listenwert für den Menschen lesbar darstellen', 'de', '0', '0'),
('8803', 'Link in den Kontextual-Links anzeigen.', 'de', '0', '0'),
('8804', 'Gruppiere Feld mit der Nummer @number', 'de', '0', '0'),
('8827', 'Einzelner Filter', 'de', '0', '0'),
('8828', 'Gruppierte Filter', 'de', '0', '0'),
('8830', 'gruppiert', 'de', '0', '0'),
('8832', 'Sie müssen Felder hinzufügen um diesen Filter verwenden zu können.', 'de', '0', '0'),
('8834', 'Innerhalb jeder Hierarchie-Ebene sortieren', 'de', '0', '0'),
('8852', 'Ansicht: !view: !display', 'de', '0', '0'),
('8887', 'Schriftart', 'de', '0', '0'),
('8888', 'Hintergrundfarbe', 'de', '0', '0'),
('8889', 'BBCode', 'de', '0', '0'),
('8890', 'Flash', 'de', '0', '0'),
('8891', 'Smiley', 'de', '0', '0'),
('8892', 'CSS', 'de', '0', '0'),
('8893', 'Basis-Setup', 'de', '0', '0'),
('8894', 'Benutzer können Standardeinstellung auswählen', 'de', '0', '0'),
('8895', 'Schaltflächen und Plugins', 'de', '0', '0'),
('8896', 'Erscheinungsbild des Editors', 'de', '0', '0'),
('8897', 'Position der Werkzeugleiste', 'de', '0', '0'),
('8898', 'Position der Pfad-Leiste', 'de', '0', '0'),
('8899', 'Schaltfläche zur Größenanpassung aktivieren', 'de', '0', '0'),
('8900', 'Blockformate', 'de', '0', '0'),
('8901', 'Bereinigung und Ausgabe', 'de', '0', '0'),
('8902', 'HTML prüfen', 'de', '0', '0'),
('8903', '&lt;font&gt;-Tags zu Styles konvertieren', 'de', '0', '0'),
('8904', 'Zeilenumbrüche entfernen', 'de', '0', '0'),
('8905', 'Quellcodeformatierung anwenden', 'de', '0', '0'),
('8906', 'Editor-CSS', 'de', '0', '0'),
('8907', 'CSS-Verzeichnis', 'de', '0', '0'),
('8908', 'CSS-Klassen', 'de', '0', '0'),
('8909', 'Wörter zählen', 'de', '0', '0'),
('8910', 'Ersetzen', 'de', '0', '0'),
('8911', 'Schriftgröße', 'de', '0', '0'),
('8912', 'Hochgestellt', 'de', '0', '0'),
('8913', 'Blöcke anzeigen', 'de', '0', '0'),
('8914', 'Kopieren', 'de', '0', '0'),
('8915', 'Wiederholen', 'de', '0', '0'),
('8916', 'Herausgeber', 'de', '0', '0'),
('8917', 'Quellcode', 'de', '0', '0'),
('8918', 'Tiefgestellt', 'de', '0', '0'),
('8919', 'Einzug vergrößern', 'de', '0', '0'),
('8920', 'Einzug verkleinern', 'de', '0', '0'),
('8921', 'Link entfernen', 'de', '0', '0'),
('8922', 'Aufzählungszeichen', 'de', '0', '0'),
('8923', 'Zitatblock', 'de', '0', '0'),
('8924', 'Oberflächensprache', 'de', '0', '0'),
('8925', 'Ausschneiden', 'de', '0', '0'),
('8926', 'Einfügen', 'de', '0', '0'),
('8927', 'Ausrichtung der Schaltknöpfe', 'de', '0', '0'),
('8928', 'Beispiel:', 'de', '0', '0'),
('8929', 'iFrame', 'de', '0', '0'),
('8930', 'Zitat', 'de', '0', '0'),
('8931', 'Nummerierung', 'de', '0', '0'),
('8932', 'Nicht installiert.', 'de', '0', '0'),
('8933', 'Endemarkierung für den Anrisstext', 'de', '0', '0'),
('8934', '%editor-Profil für %format', 'de', '0', '0'),
('8935', 'Standardmäßig aktiviert', 'de', '0', '0'),
('8936', 'Der standardmäßige Status des Editors für Benutzer mit Zugriff auf dieses Profil. Benutzer können diese Einstellung übersteuern, wenn die nachfolgende Option aktiviert ist.', 'de', '0', '0'),
('8937', 'Sobald aktiviert, können Benutzer auf ihrer Profilseite ihren eigenen standardmäßigen Status des Editors auswählen.', 'de', '0', '0'),
('8938', '<em>Ein-/Auschalter</em> für Rich-Text anzeigen', 'de', '0', '0'),
('8939', 'Ob der <em>Rich-Text aktivieren/deaktivieren</em>-Link unterhalb eines Textfeldes angezeigt werden soll oder nicht. Sollte diese Einstellung deaktiviert sein, werden die Benutzereinstellungen oder globalen Standardwerte verwendet (siehe oberhalb).', 'de', '0', '0'),
('8940', 'Diese Option kontrolliert, ob die Editor-Werkzeugleiste über oder unter dem Bearbeitungsfeld angezeigt wird.', 'de', '0', '0'),
('8941', 'Diese Option kontrolliert die Anordnung der Symbole in der Editor-Werkzeugleiste.', 'de', '0', '0'),
('8942', 'Wo der Pfad zu den HTML-Elementen angezeigt werden soll (d.h. <code>body > table > tr > td</code>).', 'de', '0', '0'),
('8943', 'Diese Option ermöglicht die Schaltfläche zur Größenanpassung zu aktivieren/deaktivieren. Ist diese aktiviert, muss die Pfad-Leiste auf „Oben“ oder „Unten“ eingestellt werden, damit das Symbol zur Größenanpassung angezeigt wird.', 'de', '0', '0'),
('8944', 'Sobald aktiviert, wird potentiell bösartiger Code wie <code>&lt;HEAD&gt;</code>-Tags aus den HTML-Inhalten entfernt.', 'de', '0', '0'),
('8945', 'Sobald aktiviert, wird der Editor für Tabulatoren ein „TAB“-Zeichen einfügen und andere Leerflächen beibehalten, wie dies mit einem „PRE“-HTML-Element der Fall wäre.', 'de', '0', '0'),
('8946', 'Sobald aktiviert, werden HTML-Tags mit Schriftgröße, Schriftfamilie, Schriftfarbe und Schrifthintergrundfarbe durch Inline-Styles ersetzt.', 'de', '0', '0'),
('8947', 'Sobald aktiviert, wird der Editor die meisten Zeilenumbrüche aus dem Inhalt entfernen. Die Deaktivierung dieser Option kann Konflikte mit anderen Eingabefiltern verhindern.', 'de', '0', '0'),
('8948', 'Der Editor wird den HTML-Quellcode reformatieren. Die Deaktivierung dieser Option kann Konflikte mit anderen Eingabefiltern verhindern.', 'de', '0', '0'),
('8949', 'Bereinigung beim standardmäßigen Einfügen erzwingen', 'de', '0', '0'),
('8950', 'Sobald aktiviert, verhält sich die standardmäßige Einfügen-Funktion (STRG+V oder STRG-Einf) wie die „aus MS-Word einfügen“-Funktion.', 'de', '0', '0'),
('8951', 'Eine kommagetrennte Liste von HTML-Blockformaten. Mögliche Werte: <code>@format-list</code>.', 'de', '0', '0'),
('8952', 'CSS-Anweisungen des Themes verwenden', 'de', '0', '0'),
('8953', 'CSS festlegen', 'de', '0', '0'),
('8954', 'Standardmäßiges Editor-CSS', 'de', '0', '0'),
('8956', 'Wenn  "CSS definieren" ausgewählt wurde, dann geben Sie den Pfad zu einer CSS-Datei oder eine Liste von CSS-Dateien durch ein Komma getrennt an.', 'de', '0', '0'),
('8957', 'Verfügbare Platzhalter: <code>%b</code> (Basispfad, z.B.: <code>/</code>), <code>%t</code> (Pfad zum Theme, z.B.: <code>themes/garland</code>)', 'de', '0', '0'),
('8958', 'Optional CSS-Klassen definieren für die „Schriftstil“ Dropdown-Liste. <br /> Geben Sie eine Klasse in jeder Zeile an, im Format: !format. Beispiel: !example <br /> Wenn leer, werden CSS-Klassen automatisch aus allen geladenen Stylesheets  importiert.', 'de', '0', '0'),
('8959', 'Das WYSIWYG-Profil für %format wurde gespeichert.', 'de', '0', '0'),
('8960', 'Kein Editor', 'de', '0', '0'),
('8961', '<a href="!vendor-url">@editor</a> (<a href="!download-url">Herunterladen</a>)', 'de', '0', '0'),
('8962', 'Das Archiv extrahieren und dessen Inhalt in ein neues Verzeichnis an der folgenden Stelle kopieren:<br /><code>@editor-path</code>', 'de', '0', '0'),
('8963', 'Damit lässt sich die aktuelle Bibliothek hier finden:<br /><code>@library-filepath</code>', 'de', '0', '0'),
('8964', 'Installationsanweisungen', 'de', '0', '0'),
('8965', 'Derzeit sind keine Editor-Bibliotheken installiert. Die Liste der derzeit unterstützten Editoren:', 'de', '0', '0'),
('8966', 'Möchten Sie das Profil für %name wirklich löschen?', 'de', '0', '0'),
('8967', 'Das WYSIWYG-Profil für %name wurde gelöscht.', 'de', '0', '0'),
('8968', 'WYSIWYG', 'de', '0', '0'),
('8969', 'Rich-Text deaktivieren', 'de', '0', '0'),
('8970', 'Rich-Text aktivieren', 'de', '0', '0'),
('8971', 'Die Version von %editor konnte nicht erkannt werden.', 'de', '0', '0'),
('8972', 'Die installierte Version %version von %editor ist nicht unterstützt.', 'de', '0', '0'),
('8973', 'Durchgestrichen', 'de', '0', '0'),
('8974', 'Linksbündig', 'de', '0', '0'),
('8975', 'Zentriert', 'de', '0', '0'),
('8976', 'Rechtsbündig', 'de', '0', '0'),
('8977', 'Vordergrundfarbe', 'de', '0', '0'),
('8978', 'Hintergrundfarbe', 'de', '0', '0'),
('8979', 'Horizontale Linie', 'de', '0', '0'),
('8980', 'Text einfügen', 'de', '0', '0'),
('8981', 'Aus Word einfügen', 'de', '0', '0'),
('8982', 'Format entfernen', 'de', '0', '0'),
('8983', 'Sonderzeichen', 'de', '0', '0'),
('8984', 'HTML-Blockformat', 'de', '0', '0'),
('8985', 'Formatvorlage', 'de', '0', '0'),
('8986', 'DIV-Container erstellen', 'de', '0', '0'),
('8987', 'Fenster anpassen', 'de', '0', '0'),
('8988', 'Rechtschreibung überprüfen', 'de', '0', '0'),
('8989', 'Automatische Größenanpassung', 'de', '0', '0'),
('8990', 'Tabelle zur Größenänderung mit der Maus ziehen.', 'de', '0', '0'),
('8991', 'Tabelle: Zellen-Eigenschaften', 'de', '0', '0'),
('8992', 'Tabelle: Zeile unterhalb einfügen', 'de', '0', '0'),
('8993', 'Tabelle: Spalte rechts danach einfügen', 'de', '0', '0'),
('8994', 'Tabelle: Zelle danach einfügen', 'de', '0', '0'),
('8995', 'Tabelle: Zeilen entfernen', 'de', '0', '0'),
('8996', 'Tabelle: Spalten löschen', 'de', '0', '0'),
('8997', 'Tabelle: Zellen löschen', 'de', '0', '0'),
('8998', 'Tabelle: Zellen verbinden', 'de', '0', '0'),
('8999', 'Tabelle: Zelle horizontal teilen', 'de', '0', '0'),
('9000', '<sup>Hoch</sup>gestellt', 'de', '0', '0'),
('9001', 'Tiefgestellt', 'de', '0', '0'),
('9002', 'Bereinigen', 'de', '0', '0'),
('9003', 'Optische Hilfe', 'de', '0', '0'),
('9004', 'Vollbild', 'de', '0', '0'),
('9005', 'Erweiterte horizontale Linie', 'de', '0', '0'),
('9006', 'Advanced Image', 'de', '0', '0'),
('9007', 'Advanced Link', 'de', '0', '0'),
('9008', 'Hintergrundspeicherung', 'de', '0', '0'),
('9009', 'Kontextmenü', 'de', '0', '0'),
('9010', 'Links nach rechts', 'de', '0', '0'),
('9011', 'Rechts nach links', 'de', '0', '0'),
('9012', 'Emotionen', 'de', '0', '0'),
('9013', 'Inline-Popups', 'de', '0', '0'),
('9014', 'Datum einfügen', 'de', '0', '0'),
('9015', 'Zeit einfügen', 'de', '0', '0'),
('9016', 'Layer einfügen', 'de', '0', '0'),
('9017', 'Vorwärts', 'de', '0', '0'),
('9018', 'rückwärts', 'de', '0', '0'),
('9019', 'Absolut', 'de', '0', '0'),
('9020', 'Text einfügen', 'de', '0', '0'),
('9021', 'Safari-Kompatibilität', 'de', '0', '0'),
('9022', 'Rechtschreibprüfung', 'de', '0', '0'),
('9023', 'Schriftfarbe', 'de', '0', '0'),
('9024', 'Ein-/Ausblenden versteckter Elemente', 'de', '0', '0'),
('9025', 'Separiert den Anrisstext und Textkörper des Inhalts an dieser Stelle', 'de', '0', '0'),
('9026', '﻿HTML-Attribute', 'de', '0', '0'),
('9027', 'DIV-Container', 'de', '0', '0'),
('9028', 'Maximieren', 'de', '0', '0'),
('9029', 'Rechtschreibung während der Eingabe überprüfen', 'de', '0', '0'),
('9030', 'Erweiterte Liste', 'de', '0', '0'),
('9031', 'Um einem Textformat einen anderen Editor zuzuweisen, muss zuerst mit „löschen“ der bestehende entfernt werden.', 'de', '0', '0'),
('9032', 'Automatisches Ändern der Größe', 'de', '0', '0'),
('9033', 'Die Textformate für die ein Rich-Text-Editor aktiviert ist', 'de', '0', '0'),
('9034', 'Ermöglicht Inhalt im Browser zu bearbeiten.', 'de', '0', '0'),
('9035', 'Mitte oben', 'de', '0', '0'),
('9036', 'Unten mitte', 'de', '0', '0'),
('9037', 'update.php', 'de', '0', '0'),
('9038', 'authorize.php', 'de', '0', '0'),
('9041', 'Öffentliches Dateiverzeichnis', 'de', '0', '0'),
('9042', 'Geschützes Dateiverzeichnis', 'de', '0', '0'),
('9051', 'Mit dem Beitrag verlinken', 'de', '0', '0'),
('9052', 'Wählen Sie einen Benutzer aus.', 'de', '0', '0'),
('9053', 'Kommentareinstellungen im Beitragsformular.', 'de', '0', '0'),
('9054', 'Antwortcode', 'de', '0', '0'),
('9055', 'Ein Relcontext-Objekt.', 'de', '0', '0'),
('9056', 'Fügt ein relcontext einem bestehenden simplecontext hinzu.', 'de', '0', '0'),
('9057', 'HTTP-Status-Code', 'de', '0', '0'),
('9058', 'Chaos-Tools', 'de', '0', '0'),
('9059', 'Alle Elemente des Formulars, die nicht durch andere Inhalte angezeigt werden.', 'de', '0', '0'),
('9060', '„@s“ Erstellungsdatum', 'de', '0', '0'),
('9061', 'Ohne Seitennavigation.', 'de', '0', '0'),
('9062', 'Die Anzahl der anzuzeigenden Einträge auswählen, oder 0 um alle Ergebnisse anzuzeigen.', 'de', '0', '0'),
('9063', 'Titel-Übersteuerung', 'de', '0', '0'),
('9064', 'Vererben des Pfads für die Anzeige des Panel', 'de', '0', '0'),
('9065', 'Chaos-Tools (CTools) Plugin Beispiel', 'de', '0', '0'),
('9066', 'Erstellt einen „Simple-Kontext“ aus einem Argument.', 'de', '0', '0'),
('9067', 'CTools Beispiel ohne Kontext Inhaltstyp', 'de', '0', '0'),
('9068', 'CTools Beispiel Relcontext Inhaltstyp', 'de', '0', '0'),
('9069', 'Ein einzelner „simplecontext“ Kontext oder einzelnes Datenelement.', 'de', '0', '0'),
('9070', 'Fügen Sie den Hilfetext der aktuellen Seite als Inhalt ein.', 'de', '0', '0'),
('9071', 'Die Statusmeldungen auf der aktuellen Seite als Inhalt einfügen.', 'de', '0', '0'),
('9072', 'Die Registerkarten (local tasks) als Inhalt einfügen.', 'de', '0', '0'),
('9073', '\n    Dies ist ein Block mit Daten, die durch den Relcontent-Inhaltstyp erstellt wurden.\n    Daten im Block können zusammengestellt werden, aus statischem Text (wie diesem hier), aus  Einstellungen Formular des Inhaltstyps ($Conf) oder aus dem Kontext, der übergeben wird.<br />. In unserem Fall das Konfigurations- Formular ($Conf), dieses hat nur ein Feld ‚config_item_1;‘\n    und wird folgendermaßen konfiguriert:\n    ', 'de', '0', '0'),
('9074', '\n    Dies ist ein Block mit Daten, die durch den Simplecontext-Inhaltstyp erstellt wurden.\n    Daten im Block können zusammengestellt werden, aus statischem Text (wie diesem hier), aus  Einstellungen Formular des Inhaltstyps ($Conf) oder aus dem Kontext, der übergeben wird.<br />. In unserem Fall das Konfigurations- Formular ($Conf), dieses hat nur ein Feld ‚config_item_1;‘\n    und wird folgendermaßen konfiguriert:\n    ', 'de', '0', '0'),
('9075', 'Den Pfad zum Logo als Inhalt einfügen.', 'de', '0', '0'),
('9076', 'Die Primary_links (local tasks) als Inhalt einfügen.', 'de', '0', '0'),
('9077', 'Die secondary_links (local tasks) als Inhalt einfügen.', 'de', '0', '0'),
('9078', 'Erstellen Sie benutzerdefinierte, exportierbare und wiederverwendbare Regelsätze zur Zugriffskontrolle für Anwendungen wie Panels.', 'de', '0', '0'),
('9079', 'Erstellen Sie benutzerdefinierte, exportierbare und wiederverwendbare Inhalts-Bereiche für Anwendungen wie Panels.', 'de', '0', '0'),
('9080', '@plugin Code', 'de', '0', '0'),
('9081', 'Zulassen, dass durch den Import existierende Einträge überschrieben werden können', 'de', '0', '0'),
('9082', 'Die Seitennavigation der Ansicht anzeigen, wenn es keine Ergebnisse gibt.', 'de', '0', '0'),
('9083', '„@context“ pager', 'de', '0', '0'),
('9084', 'Zeile @number', 'de', '0', '0'),
('9085', 'Zeilennummer', 'de', '0', '0'),
('9086', 'Wählen Sie ein Tier', 'de', '0', '0'),
('9087', 'Diese Zeile löschen', 'de', '0', '0'),
('9088', 'Gehen Sie zu Ihrem Benutzerkonto', 'de', '0', '0'),
('9089', 'Tier auswählen', 'de', '0', '0'),
('9090', 'Ein Tier konfigurieren', 'de', '0', '0'),
('9091', 'Schaf', 'de', '0', '0'),
('9092', 'Schaf konfigurieren', 'de', '0', '0'),
('9093', 'Eidechse', 'de', '0', '0'),
('9094', 'Eidechse konfigurieren', 'de', '0', '0'),
('9095', 'Greifvogel konfigurieren', 'de', '0', '0'),
('9096', 'Wählen Sie Ihr Tier', 'de', '0', '0'),
('9097', 'Benennen Sie Ihr Schaf', 'de', '0', '0'),
('9098', 'Welche Art von Schaf', 'de', '0', '0'),
('9099', 'Wensleydale', 'de', '0', '0'),
('9100', 'Merino', 'de', '0', '0'),
('9101', 'Corriedale', 'de', '0', '0'),
('9102', 'Coriedale', 'de', '0', '0'),
('9103', 'Sie haben ein @type Schaf namens „@name“', 'de', '0', '0'),
('9104', 'Benennen Sie Ihre Eidechse', 'de', '0', '0'),
('9105', 'Giftig', 'de', '0', '0'),
('9106', 'Sie haben eine @type Eidechse namens „@name“', 'de', '0', '0'),
('9107', 'ungiftig', 'de', '0', '0'),
('9108', 'giftig', 'de', '0', '0'),
('9109', 'Benennen Sie Ihren Greifvogel', 'de', '0', '0'),
('9110', 'Welche Art des Greifvogels', 'de', '0', '0'),
('9111', 'Adler', 'de', '0', '0'),
('9112', 'Habicht', 'de', '0', '0'),
('9113', 'Eule', 'de', '0', '0'),
('9114', 'Bussard', 'de', '0', '0'),
('9115', 'Domestiziert', 'de', '0', '0'),
('9116', 'Sie haben einen @type @raptor namens „@name“', 'de', '0', '0'),
('9117', 'wild', 'de', '0', '0'),
('9118', 'domestiziert', 'de', '0', '0'),
('9119', 'Sprung!', 'de', '0', '0'),
('9120', 'Tier', 'de', '0', '0'),
('9121', 'Verwalten von benutzerdefiniertem Inhalt', 'de', '0', '0'),
('9122', 'Aktuell stehen keine Assistenten zur Verfügung.', 'de', '0', '0'),
('9123', 'Ändern Sie die allgemeinen Einstellungen für diese Variante.', 'de', '0', '0'),
('9124', '403 Zugriff verweigert', 'de', '0', '0'),
('9125', '301-Weiterleitung', 'de', '0', '0'),
('9126', 'Vererbter Pfad', 'de', '0', '0'),
('9127', 'Geben Sie die ID einer Entität für diesen Kontext ein.', 'de', '0', '0'),
('9128', 'Entität: Bündel', 'de', '0', '0'),
('9129', '@entity: Bündel', 'de', '0', '0'),
('9130', 'Versionsinformation', 'de', '0', '0'),
('9135', '''%name'' [Benutzer-ID %uid]', 'de', '0', '0'),
('9138', 'Beitrag: (un)veröffentlicht', 'de', '0', '0'),
('9140', 'Google', 'de', '0', '0'),
('9141', 'jQuery', 'de', '0', '0'),
('9142', 'Microsoft', 'de', '0', '0'),
('9160', 'Es wurde versucht create_view mit ungültigen Werten auszuführen', 'de', '0', '0'),
('9168', 'Das Benutzerbild mit dem Benutzerprofil verknüpfen.', 'de', '0', '0'),
('9170', 'Es wurden bisher noch keine Felder in Ansichten verwendet.', 'de', '0', '0'),
('9171', 'Umgang mit mehrfachen Werten', 'de', '0', '0'),
('9172', 'Auf Elemente filtern, die alle Begriffe teilen', 'de', '0', '0'),
('9173', 'Auf Elemente filtern, die einen beliebigen Begriff teilen', 'de', '0', '0'),
('9174', 'Mit <em>Standard</em> wird der Site-weite Bildstil für Benutzerbilder verwendet, der in <a href="!account-settings">Kontoeinstellungen</a> definiert ist.', 'de', '0', '0'),
('9175', 'Sie haben keine übersetzbaren Entitätstypen.', 'de', '0', '0'),
('9176', 'Devel Protokoll (tmp://drupal_debug.txt)', 'de', '0', '0'),
('9181', 'Der Wert wird benötigt, wenn der Titel dieses Eintrags definiert ist.', 'de', '0', '0'),
('9191', 'Benutzerdefinierte Ausgabe für WAHR', 'de', '0', '0'),
('9192', 'Benutzerdefinierte Ausgabe für FALSCH', 'de', '0', '0'),
('9217', 'Titel Tag', 'de', '0', '0'),
('9218', 'Pfad überschreiben', 'de', '0', '0'),
('9219', 'Gepunktet', 'de', '0', '0'),
('9220', 'Gestrichelt', 'de', '0', '0'),
('9221', '3D-Effekt', 'de', '0', '0'),
('9222', '3D-Effekt', 'de', '0', '0'),
('9223', '3D-Effekt', 'de', '0', '0'),
('9224', '3D-Effekt', 'de', '0', '0'),
('9225', 'Angehängte Dateien erscheinen hier.', 'de', '0', '0'),
('9226', 'Buch-Navigation wird hier angezeigt.', 'de', '0', '0'),
('9227', '„@s“ Buch-Navigation', 'de', '0', '0'),
('9228', 'Beitragskommentare erscheinen hier.', 'de', '0', '0'),
('9229', 'Kommentare des referenzierten Beitrages.', 'de', '0', '0'),
('9230', 'Beitragsinhalt wird hier angezeigt.', 'de', '0', '0'),
('9231', 'Aktivieren, um den Titel mit dem Beitrag zu verlinken.', 'de', '0', '0'),
('9232', 'Keine Zusätze', 'de', '0', '0'),
('9233', 'Aktivieren, um Zusätze von anderen Modulen zu deaktivieren, wie z.B. Dateianhänge und CCK-Felder; dies sollte nur den Anrisstext oder vollen Inhaltstext darstellen.', 'de', '0', '0'),
('9234', '„@s“ Inhalt', 'de', '0', '0'),
('9235', 'Veröffentlichungsoptionen im Beitragsformular.', 'de', '0', '0'),
('9236', 'Dateianhänge im Beitragsformular.', 'de', '0', '0'),
('9237', 'Beitragsformular-Buchoptionen', 'de', '0', '0'),
('9238', 'Buchoptionen für den Beitrag.', 'de', '0', '0'),
('9239', 'Veröffentlichungseinstellungen.', 'de', '0', '0'),
('9240', 'URL-Alias-Einstellungen', 'de', '0', '0'),
('9241', 'URL-Alias-Einstellungen.', 'de', '0', '0'),
('9242', 'Buchoptionen.', 'de', '0', '0'),
('9243', 'Inhaltstyp-Beschreibung wird hier angezeigt.', 'de', '0', '0'),
('9244', '„@s“ Typ-Beschreibung', 'de', '0', '0'),
('9245', 'Profilinhalt wird hier angezeigt.', 'de', '0', '0'),
('9246', 'Welche Kategorie', 'de', '0', '0'),
('9247', 'Angezeigter Text, wenn die Kategorie keine Daten enthält. Der Titel wird nicht dargestellt, sofern er nicht übersteuert wurde.', 'de', '0', '0'),
('9248', '„@s“ Profilfelder', 'de', '0', '0'),
('9249', 'Begriffsbeschreibung wird hier angezeigt.', 'de', '0', '0'),
('9250', 'Verwandte Begriffe für einen existierenden Begriff; Kinder, Nachbarn oder übergeordnete Begriffe.', 'de', '0', '0'),
('9251', 'Benachbarte Begriffe', 'de', '0', '0'),
('9252', 'Übergeordnete Begriffe', 'de', '0', '0'),
('9253', 'Welche Begriffe', 'de', '0', '0'),
('9254', 'Maximale Tiefe der dargestellten Begriffe.', 'de', '0', '0'),
('9255', 'Begriffe in einem Baum dargestellen, ansonsten als einfache Liste.', 'de', '0', '0'),
('9256', 'Ein ungültiger Beitrag wurde ausgewählt.', 'de', '0', '0'),
('9257', 'Bestimmt den Inhaltstyp für dieses Formular.', 'de', '0', '0'),
('9258', 'Ein einzelnes Taxonomie-Vokabular-Objekt.', 'de', '0', '0'),
('9259', 'Um eine NID aus der URL zu verwenden, %0, %1, ..., %N für die URL-Argumente verwenden. Oder @0, @1, @2, ..., @N für die Panel-Argumente verwenden.', 'de', '0', '0'),
('9260', 'Erweitert: Falls aktiviert, bleibt der Beitragstitel unberührt. Dies kann zur doppelten Darstellung in der Ausgabe führen, sofern die Theme dies nicht berücksichtigt.', 'de', '0', '0'),
('9261', 'Beitrag wurde von @var geladen', 'de', '0', '0'),
('9262', 'Entfernter/fehlender Beitrag @nid', 'de', '0', '0'),
('9263', 'Argument-Platzhalter', 'de', '0', '0'),
('9264', 'Aus Kontext', 'de', '0', '0'),
('9265', 'Aus Panel-Argument', 'de', '0', '0'),
('9266', 'Eingabe in Panel-Inhalt-Einstellungen', 'de', '0', '0'),
('9267', 'Erfoderlicher Kontext', 'de', '0', '0'),
('9268', 'Panel-Argument', 'de', '0', '0'),
('9269', 'Das zu verwendende Panel-Argument, falls „Aus Panel-Argument“ ausgewählt wurde.', 'de', '0', '0'),
('9270', 'Das Argument, falls „Statisch“ ausgewählt wurde.', 'de', '0', '0'),
('9271', 'Die verwendete Bezeichnung, falls dieses Argument für den Benutzer erscheint.', 'de', '0', '0'),
('9272', 'Zur Ansicht verlinken', 'de', '0', '0'),
('9273', 'Titel mit Ansicht verlinken', 'de', '0', '0'),
('9274', 'Stellt einen „Mehr“-Link bereit, der zur Ansicht verlinkt', 'de', '0', '0'),
('9275', 'Dies ist unabhängig von jeglichem Mehr-Link, welcher von der Ansicht selbst bereitgestellt wird; falls zwei Mehr-Links angezeigt werden, diesen hier deaktivieren. Ansichten stellen nur in der Block-Ausgabe einen Mehr-Link bereit. Für eingebettete Ansichten diesen verwenden.', 'de', '0', '0'),
('9276', 'Newsfeed-Symbole anzeigen', 'de', '0', '0'),
('9277', 'Anzahl Beiträge', 'de', '0', '0'),
('9278', 'Entfernte/fehlende Ansicht @view', 'de', '0', '0'),
('9279', 'Fügt ein übergeordnetes Buch aus einem Beitragskontext hinzu.', 'de', '0', '0'),
('9280', 'Direktes, übergeordnetes Element', 'de', '0', '0'),
('9281', 'Begriff des Beitrages', 'de', '0', '0'),
('9282', 'Fügt einen Taxonomie-Begriff aus einem Beitragskontext hinzu. Sollten mehrere Begriffe ausgewählt werden, wird nur der „erste“ Begriff verwendet.', 'de', '0', '0'),
('9283', 'Fügt einen übergeordneten Taxonomie-Begriff aus einem Begriffskontext hinzu.', 'de', '0', '0'),
('9284', 'Simple-Kontext Argument', 'de', '0', '0'),
('9285', 'Relations-Kontext', 'de', '0', '0'),
('9286', 'Simple-Kontext', 'de', '0', '0'),
('9287', 'Geben Sie einen Titel ein, der verwendet wird, wenn dieses Argument vorhanden ist. Verwenden Sie %KEYWORD Ersetzung, sofern ein Platzhalter durch den Administrator definiert wurde.', 'de', '0', '0'),
('9288', '@identifier (@keyword)', 'de', '0', '0'),
('9289', '@keyword --&gt; @title', 'de', '0', '0'),
('9290', 'Die angegebene ID ist in der Datenbank nicht vorhanden.', 'de', '0', '0'),
('9291', 'Eine Variante konnte nicht importiert werden, gemeldete Fehler: @errors', 'de', '0', '0'),
('9292', 'Wiederherstellen der Variante wird die Variante in der Datenbank löschen, weil die ursprüngliche Standard-Variante wiederhergestellt wird. Dieser Löschvorgang erfolgt sobald Sie auf Speichern klicken.', 'de', '0', '0'),
('9293', 'Aufheben der Sperre auf dieser Seite wird alle Änderungen des sperrenden Benutzers <strong>verwerfen</strong>. Wollen Sie das?', 'de', '0', '0'),
('9294', 'Die Sperre wurde gelöscht und alle Änderungen verworfen. Jetzt können Sie Änderungen an dieser Seite vornehmen.', 'de', '0', '0'),
('9295', 'Wenn aktiviert, überschreibt dies das Drupal Standardverhalten für das Hinzufügen oder Bearbeiten von Beiträgen auf <em>node/%node/edit</em> und <em>node/add/%node_type</em>. Wenn Sie Varianten hinzufügen, können Sie Auswahlkriterien wie Inhaltstyp, Sprache oder Benutzerzugriff dazu verwenden, verschiedene Formulare für Beiträge anzuzeigen. Wenn keine Variante ausgewählt ist, wird das Standard-Drupal Formular verwendet.', 'de', '0', '0'),
('9296', 'bearbeiteter Beitrag', 'de', '0', '0'),
('9297', 'Überschreibt das Standardverhalten zur Anzeige von Beiträgen für <em>node/%node</em>. Wenn Sie Varianten hinzufügen, können Sie Auswahlkriterien wie Inhaltsyp, Sprache oder Benutzer Zugriff zum Bereitstellen verschiedener Ansichten der Beiträge verwenden. Dies wirkt nur auf Beiträge, die als Seiten dargestellt werden, es wirkt nicht auf Beiträge in Listen oder an anderen Positionen. Hinweis: Wenn Sie Pathauto verwenden, können Beiträge Aliase haben, intern arbeitet Drupal immer mit node/%node.', 'de', '0', '0'),
('9298', 'Eine bedeutungslose zweite Seite', 'de', '0', '0'),
('9299', 'Nach einem optionalen Pfadelement kann kein dynamisches Pfadelement mehr folgen.', 'de', '0', '0'),
('9300', 'Auf ein optionales Pfadelement kann kein statisches folgen.', 'de', '0', '0'),
('9301', 'Konnte keine Seite aus den Import erhalten. Fehler erfasst: @errors', 'de', '0', '0'),
('9302', 'Eine Ansicht zurückzusetzten wird die Ansicht in der Datenbank löschen und auf die Orginalansicht zurücksetzten. Alle vorgenommenen Änderungen gehen verloren und können nicht wiederhergestellt werden.', 'de', '0', '0'),
('9303', 'Die Pfadnavigation wird die Taxonomie-Begriffs-Hierarchie nicht enthalten.', 'de', '0', '0'),
('9304', 'Überschreibt das Standardverhalten die Anzeigen von Benutzerprofilen <em>user/%user</em>. Wenn Sie Varianten hinzufügen, können Sie Auswahlkriterien wie Rollen oder Benutzerzugriff zum Bereitstellen verschiedener Ansichten der Profile verwenden. Beachten Sie, dass wenn Sie Pathauto verwenden, Aliase einen Beitrags existieren können, intern verwendet Drupal immer user/%user.', 'de', '0', '0'),
('9305', 'Gewähren Sie Zugriff basierend auf dem Vergleich zweier Benutzerkontexte. Beispielsweise zum Gewähren von Zugriff für einen Benutzer zum eigenen Profil, wählen „angemeldet“ und „Nutzer angesehen“ und wählen Sie „Zugriff gewähren wenn gleich“. Wenn also der Benutzer sein Profil anzeigt, so wird Zugriff gewährt.', 'de', '0', '0'),
('9306', 'Verwenden der bestehenden Zugriffsregeln für Beiträge, um zu entscheiden, ob ein Benutzer die gewünschte Operation mit dem Beitrag durchführen kann.', 'de', '0', '0'),
('9307', 'Nur dann übergeben, wenn der Beitrag in der ausgewählten Sprache verfasst wurde.', 'de', '0', '0'),
('9308', '@identifier ist in beliebiger Sprache', 'de', '0', '0'),
('9309', '@identifier Sprache ist „@languages“', 'de', '0', '0'),
('9310', '@identifier Sprache ist aus „@languages“', 'de', '9309', '1'),
('9311', 'Nur die aktivierten Beitragstypen sind gültig.', 'de', '0', '0'),
('9312', '@identifier ist ein beliebiger Beitragstyp', 'de', '0', '0'),
('9313', 'Zugriff mit Zugriffsberechtigungs-Zeichenkette kontrollieren', 'de', '0', '0'),
('9314', 'keine Berechtigungen vergeben', 'de', '0', '0'),
('9315', 'Zugriffskontrolle durch PHP-Code.', 'de', '0', '0'),
('9316', 'Ihre Berechtigungen erlauben es nicht PHP-Code zu bearbeiten.', 'de', '0', '0'),
('9317', '@identifier kann jede Rolle enthalten', 'de', '0', '0'),
('9318', 'Den Zugriff über die Sprache des Benutzers oder der Site steuern.', 'de', '0', '0'),
('9319', '@identifier ist ein beliebiges Vokabular.', 'de', '0', '0'),
('9320', 'Erstellt ein Benutzer-Objekt durch ein Argument.', 'de', '0', '0'),
('9321', 'Erstellt ein Benutzer-Objekt durch ein Argument.', 'de', '0', '0'),
('9322', 'Eine Zeichenfolge ist ein minimaler Kontext, der einfach eine Zeichenfolge enthält, die für andere Zwecke verwendet werden kann.', 'de', '0', '0'),
('9323', 'Erstellt einen einzelnen Taxonomie-Begriff aus einer Taxonomie-ID oder dem Taxonomie-Begriff.', 'de', '0', '0'),
('9324', 'Eine Taxonomie-Begriffs-ID eingeben.', 'de', '0', '0'),
('9325', 'Einen Taxonomie-Begriff eingeben.', 'de', '0', '0'),
('9326', 'Erstellt eine Gruppe von Taxonomie Begriffe aus einer Liste von Tids getrennt durch ein Komma oder ein Pluszeichen. Im Allgemeinen wird der erste Begriff  der Liste für Bereiche (Panes) verwendet.', 'de', '0', '0'),
('9327', 'Den Titel oder die Beitrag-ID eines Beitrages eingeben', 'de', '0', '0'),
('9328', 'Erstellt einen Vokabular-Kontext durch ein Vokabular-ID Argument.', 'de', '0', '0'),
('9329', 'Geben Sie die Vokabular-ID für dieses Argument an', 'de', '0', '0'),
('9330', 'Kontextschlüsselwörter verwenden', 'de', '0', '0'),
('9331', 'Kontextschlüsselwörter in diesen Inhalt ersetzen.', 'de', '0', '0'),
('9332', 'Der Autor des referenzierten Beitrages.', 'de', '0', '0'),
('9333', 'Mit dem Profil des Autors verlinken', 'de', '0', '0'),
('9334', 'Aktivieren, um zum Autor des Beitrages zu verlinken.', 'de', '0', '0'),
('9335', 'Der Textkörper des referenzierten Beitrages.', 'de', '0', '0'),
('9336', '„@s“ Textkörper', 'de', '0', '0'),
('9337', 'Das Menü zu dem das Buch des Beitrags gehört.', 'de', '0', '0'),
('9338', 'Der Zeitpunkt zu dem der referenzierte Beitrag erstellt wurde.', 'de', '0', '0'),
('9339', 'Beitrag verlinkt zum referenzierten Beitrag.', 'de', '0', '0'),
('9340', 'Beitraglinks erscheinen hier.', 'de', '0', '0'),
('9341', '„@s“ Links', 'de', '0', '0'),
('9342', 'Der Titel des referenzierten Beitrages.', 'de', '0', '0'),
('9343', '„@s“ Titel', 'de', '0', '0'),
('9344', '„@s“ Beitragsformular-Veröffentlichungsoptionen', 'de', '0', '0'),
('9345', '„@s“ Beitragsformular-Buchoptionen', 'de', '0', '0'),
('9346', 'Speichern-Schaltknöpfe für das Beitragsformular.', 'de', '0', '0'),
('9347', 'Beitragsformular-Schaltknöpfe', 'de', '0', '0'),
('9348', '„@s“ Beitragsformular-Kommentareinstellungen', 'de', '0', '0'),
('9349', 'Protokollnachricht für den Beitrag.', 'de', '0', '0'),
('9350', 'Menüeinstellungen im Beitragsformular.', 'de', '0', '0'),
('9351', 'Inhalt einer einzelnen Kategorie im Profil', 'de', '0', '0'),
('9352', 'Den Beitragstyp für diesen Kontext eingeben.', 'de', '0', '0'),
('9353', 'Geben Sie die ID eines Beitrags für dieses Argument ein:', 'de', '0', '0'),
('9354', 'Die Zeichenkette für diesen Kontext eingeben.', 'de', '0', '0'),
('9355', 'Zurzeit ist  @term festgelegt. Geben Sie einen anderen Begriff ein, wenn Sie diesen ändern möchten.', 'de', '0', '0'),
('9356', 'Einen Begriff aus @vocabulary wählen.', 'de', '0', '0'),
('9357', 'Den Identifikator des Titels des Begriffes zurücksetzen.', 'de', '0', '0'),
('9358', 'Sobald aktiviert, wird der Identifikator auf den Begriffsnamen des ausgewählten Begriffes zurückgesetzt.', 'de', '0', '0'),
('9359', 'Ein ungültiger Begriff wurde ausgewählt.', 'de', '0', '0'),
('9360', 'Mehrere Taxonomie-Begriffe, als Gruppe.', 'de', '0', '0'),
('9361', 'Erstellt den Autor  aus dem Benutzer-Kontext eines Beitrags', 'de', '0', '0'),
('9362', 'Ansichten konfigurieren, die CTools-Inhalt verwendet werden.', 'de', '0', '0'),
('9363', 'Wählen Sie die Anzeige dieser Ansicht, die Sie verwenden möchten.', 'de', '0', '0'),
('9364', 'Beschädigte/Fehlende/Gelöschte Ansicht.', 'de', '0', '0'),
('9365', 'Ansicht @view (@display) konfigurieren', 'de', '0', '0'),
('9366', 'Mit „Mehr“-Link', 'de', '0', '0'),
('9367', 'Mit Feed-Symbol.', 'de', '0', '0'),
('9368', 'Argumente übergeben.', 'de', '0', '0'),
('9369', 'Argumente verwenden: @arg', 'de', '0', '0'),
('9370', 'Verwende URL: @url', 'de', '0', '0'),
('9371', 'Titel mit Seite verlinken', 'de', '0', '0'),
('9372', 'Stellt einen „Mehr“-Link bereit.', 'de', '0', '0'),
('9373', 'Anzahl Einträge', 'de', '0', '0'),
('9374', 'Die Anzahl der zu überspringenden Einträge eingeben, oder 0 um keine Einträge zu überspringen.', 'de', '0', '0'),
('9375', 'Sobald aktiviert, wird die Ansichten-URL übersteuert; manchmal kann es sinnvoll sein, die Panel-URL einzusetzen.', 'de', '0', '0'),
('9376', 'Ausschnitt-Einstellungen', 'de', '0', '0'),
('9377', 'Ansichtsname verwenden', 'de', '0', '0'),
('9378', 'Admin-Beschreibung', 'de', '0', '0'),
('9379', 'Offset der Seitennavigation', 'de', '0', '0'),
('9380', 'Die ist die Kategorie, in welcher der Ausschnitt im „Inhalt hinzufügen“-Dialog erscheint.', 'de', '0', '0'),
('9381', 'Dies ist das Standard-Gewichtung der Kategorie. Beachten Sie, dass wenn das Gewicht einer Kategorie an mehreren Orten definiert ist, nur die erste Panel  diese Definition erhalten wird. Falls das Gewicht nicht angezeigt wird, überprüfen andere Orte, die das Gewicht festlegen können.', 'de', '0', '0'),
('9382', 'Einen Wert für dieses Argument eingeben', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('9383', 'Demonstrationscode: erweiterte Hilfe und eine Demo-Panel, um zu zeigen, wie für CTools Plugins erstellt werden.', 'de', '0', '0'),
('9384', 'Das CTools-Plugin-Beispiel ist einfach eines Entwicklers Demo für Plugins zu CTools. Es bietet keine nützlichen Funktionen für einen normalen Benutzer.', 'de', '0', '0'),
('9385', 'Es ist eine Demostrations-Panel, die den Großteil der Funktionalität, die in <a href="@demo_url">CTools demo-Panel</a> zur Verfügung gestellt wird, zeigt; Dokumentation und Beispiele finden Sie auf ! ctools_plugin_example_help.\n    CTools selbst bietet die Dokumentation über !ctools_help. Ein Blick in den Code kann ungeahnte Wahrheiten offenbaren.\n    Diesen finden Sie in %path.', 'de', '0', '0'),
('9386', 'Argumentlänge', 'de', '0', '0'),
('9387', 'Zugriff mit der Länge eines Simple-Kontext Argument kontrollieren.', 'de', '0', '0'),
('9388', 'Zugriff gewähren, wenn Simplecontext Argumentlänge ist', 'de', '0', '0'),
('9389', 'Länge eines Simple-Kontext Argument', 'de', '0', '0'),
('9390', 'Zugang/Sichtbarkeit wird basierend auf der Länge des Arguments gewährt.', 'de', '0', '0'),
('9391', 'Simpletext Argument muss !comp @length Zeichen haben', 'de', '0', '0'),
('9392', 'CTools Beispiel: Rolle', 'de', '0', '0'),
('9393', '@identifier kann jede Rolle enthalten', 'de', '0', '0'),
('9394', '@identifier kann jede Rolle enthalten', 'de', '9393', '1'),
('9395', 'Geben Sie das simplecontext Argument ein', 'de', '0', '0'),
('9396', 'Kein Kontext-Content-Type - erfordert und kein Kontext verwendet.', 'de', '0', '0'),
('9397', 'Relcontext-Content-Type - arbeitet mit einem relcontext-Kontext.', 'de', '0', '0'),
('9398', 'Konfigurieren von Element 1 (relcontext)', 'de', '0', '0'),
('9399', 'Einstellung für Relcontext.', 'de', '0', '0'),
('9400', 'Simple-Kontext Inhaltstyp', 'de', '0', '0'),
('9401', 'Simplecontext-Content-Type - arbeitet mit einem Simplecontext-Kontext.', 'de', '0', '0'),
('9402', 'Konfiguration des Element 1 für Simplecontext Inhaltstyp', 'de', '0', '0'),
('9403', 'Relcontext-Kontext von simplecontext', 'de', '0', '0'),
('9404', 'Relcontext-Einstellung', 'de', '0', '0'),
('9405', 'Nur eine Beispiel-Einstellung.', 'de', '0', '0'),
('9406', 'Geben Sie einige Daten für diesen „simplecontext“ an.', 'de', '0', '0'),
('9407', 'Einstellung für simplecontext', 'de', '0', '0'),
('9408', 'Eine Beispieleinstellung, die für einen Kontext verwendet werden könnte', 'de', '0', '0'),
('9409', 'Relcontext von simplecontext', 'de', '0', '0'),
('9410', 'Bevor diese Variante hinzugefügt werden kann, muss diese konfiguriert werden. Wenn Sie fertig sind, klicken Sie auf „Variante erzeugen“ am Ende dieses Assistenten, um diese  Ihrer Seite hinzuzufügen.', 'de', '0', '0'),
('9411', 'Das Seiten-Manager-Modul ist nicht in der Lage node/%node/edit zu aktivieren, da ein anderes Modul diesen bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9412', 'Seiten-Manager-Modul ist nicht in der Lage, @path zu überschreiben, weil ein anderes Modul mit %callback diesen bereits überschrieben hat. Beiträge bearbeiten wird aktiviert, aber der Pfad zum Bearbeiten wird nicht überschrieben werden.', 'de', '0', '0'),
('9413', 'Das Seiten-Manager-Modul ist nicht in der Lage node/%node zu aktivieren, weil ein anderes Modul diesen bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9414', 'Pfade mit erforderlichen Platzhaltern können als normale Menüelemente verwendet werden, sofern die ausgewählte Funktion (Handler) für Argumente <em>kein</em> Standardargument für das Menüelement verwendet.', 'de', '0', '0'),
('9415', 'Das Seiten-Manager-Modul ist nicht in der Lage user/%user zu aktivieren, da ein anderes Modul diesen Pfad bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9416', 'Den Titel oder die Beitrag-ID eines Beitrages eingeben', 'de', '0', '0'),
('9417', 'Überschreiben des Standardverhalten für alle Blogs unter <em>/blog</em>. Wenn keine Variante ausgewählt ist, wird der Standard des jüngsten Blog-Beitrags angezeigt.', 'de', '0', '0'),
('9418', 'Das Seiten-Manager-Modul ist nicht in der Lage ‚Blog‘ zu aktivieren, da ein anderes Modul diesen bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9419', 'Überschreiben des Standardverhalten des Blogs unter <em>blog/%user</em>. Wenn keine Variante ausgewählt ist, wird der Standard für Blog-Beiträge angezeigt.', 'de', '0', '0'),
('9420', 'Das Seiten-Manager-Modul ist nicht in der Lage blog/%user zu aktivieren, da ein anderes Modul diesen bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9421', 'Überschreiben des Standardverhalten des Kontaktformulars auf <em>/contact</em>.', 'de', '0', '0'),
('9422', 'Das Seiten-Manager-Modul ist nicht in der Lage contact zu aktivieren, da ein anderes Modul diesen bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9423', 'Überschreiben des Standardverhalten des Kontaktformulars für Benutzer auf <em>user/%user/contact</em>.', 'de', '0', '0'),
('9424', 'Das Seiten-Manager-Modul ist nicht in der Lage user/%user/contact zu aktivieren, da ein anderes Modul diesen Pfad bereits mit %callback überschrieben hat.', 'de', '0', '0'),
('9425', 'Es sind nur benannte Platzhalter möglich also nicht % oder! alleine. Benennen Sie Ihre Platzhalter durch  %etwas-Text hinzufügen oder!, z. B. %user oder %node.', 'de', '0', '0'),
('9426', 'Überschreiben des Standardverhalten für alle Umfragen unter <em>/poll</em>.', 'de', '0', '0'),
('9427', 'Das Seiten-Manager-Modul ist nicht in der Lage Umfragen zu aktivieren, da ein anderes Modul diesen bereits mit %callback überschrieben hat.', 'de', '0', '0'),
('9428', 'Suche @type', 'de', '0', '0'),
('9429', 'Zugriff mit einem Begriff kontrollieren', 'de', '0', '0'),
('9430', '@term kann der Begriff„@terms“ sein', 'de', '0', '0'),
('9431', '@term kann einer der Begriffe aus „@terms“ sein', 'de', '9430', '1'),
('9432', 'Beitragserstellungsformular: Inhaltstyp', 'de', '0', '0'),
('9433', 'Beitragsbearbeitungsformular: Beitrags-ID', 'de', '0', '0'),
('9434', 'Alle Argumente nach diesem abholen', 'de', '0', '0'),
('9435', 'Diese Zeichenfolge wird alle Argumente enthalten: Beispielsweise, wenn der Pfad „path/%“ und der Benutzer besucht „pfad/foo/bar“, wenn dies nicht aktiviert ist, wird die Zeichenfolge „foo“ sein. Wenn es aktiviert ist, wird die Zeichenfolge „foo/bar“ sein.', 'de', '0', '0'),
('9436', 'Taxonomie-Begriff: ID', 'de', '0', '0'),
('9437', 'Taxonomie-Begriffe (mehrfache): ID', 'de', '0', '0'),
('9438', 'Erstellt ein Benutzer-Objekt durch ein Argument.', 'de', '0', '0'),
('9439', 'Einen Benutzernamen für diese Argument eingeben', 'de', '0', '0'),
('9440', 'Benutzerdefiniert: @title', 'de', '0', '0'),
('9441', 'Die gleiche Seite', 'de', '0', '0'),
('9442', '@type Suchformular', 'de', '0', '0'),
('9443', 'Für Suchvorgänge jeweils einen Logeintrag (watchdog) aufzeichnen', 'de', '0', '0'),
('9444', 'Den Text „kein Ergebnis“ überschreiben', 'de', '0', '0'),
('9445', 'Text: Kein Ergebnis', 'de', '0', '0'),
('9446', 'Einen Text ausgeben, wenn keine Schlüsselworte übermittelt wurden', 'de', '0', '0'),
('9447', '@type Suchergebnis', 'de', '0', '0'),
('9448', 'Benutzerdefinierte Pager-Einstellungen', 'de', '0', '0'),
('9449', 'Verwenden Sie verschiedene Pager-Einstellungen von Einstellungen aus Views', 'de', '0', '0'),
('9450', '<strong>Warnung:</strong> Diese Ansicht hat AJAX aktiviert. Überschreiben der Pager-Einstellungen funktioniert zunächst, aber wenn die Ansicht über AJAX aktualisiert wird, werden die ursprünglichen Einstellungen verwendet. Sie sollten die Pager-Einstellungen-Ansichten mit der AJAX-Einstellung nicht überschreiben.', 'de', '0', '0'),
('9451', 'Die Anzahl zu überspringender Elemente, die auch nicht angezeigt werden.', 'de', '0', '0'),
('9452', 'Alle Argumente aus dem Panel direkt an die Ansicht senden. Panel-Argumente kommen nach Kontext-Argumenten und vor allen zusätzlichen Argumenten, die durch das Arguments-Feld unten übergeben werden. Beachten Sie, dass die Argumente nicht die Base-URL beinhalten; nur die Werte nach der URL oder eine Gruppe von Platzhalter gelten als Argumente.', 'de', '0', '0'),
('9453', 'Zusätzliche Argumente zur Ansicht  senden, als wären Sie Teil der URL in Form von arg1/arg2/arg3. Sie können auf %0, %1,..., %N als Argumente aus der URL zugreifen. Oder verwenden Sie @0, @1, @2,..., @N in dem Bereich  wie übergebene Argumente. Hinweis: Verwenden Sie diese Werte nur als letzten Ausweg. In zukünftigen Versionen des Moduls steht dieser Weg möglicherweise nicht mehr zur Verfügung.', 'de', '0', '0'),
('9454', 'Kontext ist optional', 'de', '0', '0'),
('9455', 'Vorgang kann nicht abgeschlossen. Schwerwiegender Fehler in @file auf Zeile @line: @message', 'de', '0', '0'),
('9456', 'keine realer Kontext', 'de', '0', '0'),
('9457', 'Es gibt derzeit keine Varianten und eine Seite kann nicht hinzugefügt werden. Vielleicht benötigen Sie das Panel-Modul, um eine Variante zu erhalten?', 'de', '0', '0'),
('9458', 'Steuern Sie den Zugriff über einen Kontext und den enthaltenen Daten.', 'de', '0', '0'),
('9459', 'Den Zugriff steueren durch eine passende Zeichenfolge', 'de', '0', '0'),
('9460', 'Nicht gleich für reguläre Ausdrücke', 'de', '0', '0'),
('9461', 'Wenn Sie einen regulären Ausdruck verwenden, sollten Sie das Muster in Schrägstriche einschließen: <em>/reg_ex_hier/</em>. Wenn Sie auf Schrägstriche vergleichen, dann können Sie ein anderes Zeichen verwenden, um das Muster einzuschließen. Siehe <a href="http://www.php.net/manual/en/reference.pcre.pattern.syntax.php">PHP Regex-Dokumentation</a>.', 'de', '0', '0'),
('9462', '@identifier stimmt mit „@value“ überein', 'de', '0', '0'),
('9463', '@identifier stimmt nicht mit „@value“ überein', 'de', '0', '0'),
('9464', 'Den Zugriff steuern über die Länge der Kontext-Zeichenfolge.', 'de', '0', '0'),
('9465', 'Zugang/Sichtbarkeit wird basierend auf der Länge der Kontext-Zeichenfolge gewährt.', 'de', '0', '0'),
('9466', '@identifier muss @comp @length Zeichen haben', 'de', '0', '0'),
('9467', 'Geben Sie den Kontexttyp an', 'de', '0', '0'),
('9468', 'Den Identifikator auf Benutzername zurücksetzen', 'de', '0', '0'),
('9469', 'Sobald aktiviert, wird der Identifikator auf den Benutzernamen des ausgewählten Benutzers zurückgesetzt.', 'de', '0', '0'),
('9470', 'Ungültiger Benutzer ausgewählt.', 'de', '0', '0'),
('9471', 'Sie können Substitutionen in diesem Pfad verwenden.', 'de', '0', '0'),
('9472', 'CTools Cache-Verzeichnis @path für Stile kann nicht erstellt werden. Überprüfen Sie die Berechtigungen für Ihre Verzeichnisse.', 'de', '0', '0'),
('9473', 'Fehlende Einstellungen für Cache.', 'de', '0', '0'),
('9474', 'Ihre Berechtigungen erlauben es nicht diese Aktion durchzuführen.', 'de', '0', '0'),
('9475', 'Ihre Berechtigungen erlauben keinen Import.', 'de', '0', '0'),
('9476', '@identifier ist nicht „@paths“', 'de', '0', '0'),
('9477', '@identifier ist nicht aus „@paths“', 'de', '9476', '1'),
('9478', 'Den Zugriff steuern über die Existenz eines übergeordneten Begriffs.', 'de', '0', '0'),
('9479', 'Wählen Sie das Vokabular für dieses Formular. Wenn es eine übergeordnete Begriff in diesem Vokabular gibt, wird diese Überprüfung erfolgreich sein.', 'de', '0', '0'),
('9480', '„@term“ hat übergeordnetes Element im Vokabular „@vocab“', 'de', '0', '0'),
('9481', 'Den Zugriff über ein Vokabular steuern.', 'de', '0', '0'),
('9482', 'Nur die aktivierten Vokabulare sind gültig.', 'de', '0', '0'),
('9483', 'Kontrollieren Sie den Zugriff anhand  des verwendeten Theme.', 'de', '0', '0'),
('9484', 'Fehler, Theme zurücksetzen', 'de', '0', '0'),
('9485', 'Unveröffentlichter Beitrag @nid', 'de', '0', '0'),
('9486', 'Untergeordnete Elemente im Buch', 'de', '0', '0'),
('9487', '„@s“ untergeordnetes Buch', 'de', '0', '0'),
('9488', 'Begriffe des referenzierten Beitrages.', 'de', '0', '0'),
('9489', '-Alle Vokabulare-', 'de', '0', '0'),
('9490', 'Optional beschränken Sie die Begriffe auf ein spezifisches Vokabular oder lassen Sie Begriffe aus allen Vokabularen zu.', 'de', '0', '0'),
('9491', 'Begriff Formatierung', 'de', '0', '0'),
('9492', 'Inline, begrenzt', 'de', '0', '0'),
('9493', 'Link zu Begriffen', 'de', '0', '0'),
('9494', 'Aktivieren, um den Link zum Begriff zum Pfad des Begriffes zu machen.', 'de', '0', '0'),
('9495', 'Trennzeichen für Begriffe', 'de', '0', '0'),
('9496', '„@s“ Begriffe aus @vocabulary', 'de', '0', '0'),
('9497', 'Das Feed_icon der Site als Inhalt einfügen.', 'de', '0', '0'),
('9498', 'Registerkarten-Typ', 'de', '0', '0'),
('9499', 'Primäre und sekundäre', 'de', '0', '0'),
('9500', 'Beschreibung der Begriffe.', 'de', '0', '0'),
('9501', 'Mehrere Begriffe von Beiträgen', 'de', '0', '0'),
('9502', 'Fügt einen Taxonomie-Begriff aus einem Beitragskontext hinzu. Sollten mehrere Begriffe ausgewählt werden, dann werden diese aneinander gehängt.', 'de', '0', '0'),
('9503', 'Verkettung', 'de', '0', '0'),
('9504', 'Wenn der Wert aus diesem Kontext einer Ansicht als Argument übergeben wird, können die Begriffe verkettet werden, in Form von 1+2+3 (für OR) oder 1,2,3 (für AND).', 'de', '0', '0'),
('9505', 'Der Text dieser Verknüpfung wird „@more“ sein. Diese Einstellung kann nur in der Konfiguration der Ansicht geändert werden.', 'de', '0', '0'),
('9506', 'Stylizer', 'de', '0', '0'),
('9507', 'Lokale Maßnahmen', 'de', '0', '0'),
('9508', 'Regelsatz', 'de', '0', '0'),
('9509', 'Regelsätze', 'de', '0', '0'),
('9510', 'Benutzerdefinierte Inhalts-Bereiche enthalten HTML, das Sie eingeben, die in alle Ihren Bereichen (panels) verwendet werden können.', 'de', '0', '0'),
('9511', 'Welche Kategorie soll dieser Inhalt angezeigt werden.  Falls keine Kategorie angegeben wird, wird „Verschiedenes“ zugeordnet.', 'de', '0', '0'),
('9512', '@type wird wegen fehlendem Kontext nicht angezeigt', 'de', '0', '0'),
('9513', 'Der Definition des Plugins @plugin fehlt der Schlüssel %key.', 'de', '0', '0'),
('9514', 'Die Definition des Plugins @plugin ist nicht Schema %schema vorhanden.', 'de', '0', '0'),
('9515', 'Die Definition des Plugin @plugin verwendet %schema, aber dieses hat kein Export-Abschnitt.', 'de', '0', '0'),
('9516', 'Konfigurationsfehler. Kein Handler gefunden.', 'de', '0', '0'),
('9517', 'Kein Element gefunden.', 'de', '0', '0'),
('9518', 'In der Export-Definition von @table fehlt das Attribut „primary key“.', 'de', '0', '0'),
('9519', 'Auf diese Vokabulare beschränken', 'de', '0', '0'),
('9520', 'Wenn keine Vokabulare überprüft werden, werden Begriffe aus allen Vokabulare akzeptiert.', 'de', '0', '0'),
('9521', 'Fehlende/Gelöschte Inhalte', 'de', '0', '0'),
('9522', 'Machen Sie diesen Inhalt wiederverwendbar', 'de', '0', '0'),
('9523', 'Der maschinenlesbare Name dieses Inhalts. Es muss eindeutig sein, und darf nur alphanumerische Zeichen und Unterstriche enthalten. Einmal angelegt, kann dieser Wert nicht mehr geändert werden!', 'de', '0', '0'),
('9524', 'Eine Beschreibung was oder wofür dieser Inhalt ist, für Verwaltungszwecke.', 'de', '0', '0'),
('9525', 'Der Name darf nur Kleinbuchstaben, Zahlen und Unterstriche enthalten.', 'de', '0', '0'),
('9526', 'Inhalt mit diesem Namen ist bereits vorhanden. Bitte wählen Sie einen anderen Namen, oder löschen Sie das vorhandene Element vor dem Erstellen eines Neuen.', 'de', '0', '0'),
('9527', 'Den Beitragstitel mit dem Beitrag verlinken', 'de', '0', '0'),
('9528', 'Markieren Sie dieses Kontrollkästchen, wenn Sie Ihre Titelzeile auf den Beitrag verlinken möchten.', 'de', '0', '0'),
('9529', 'Links zum Registrieren oder zum Anmelden anzeigen.', 'de', '0', '0'),
('9530', 'Wenn anonyme Kommentare nicht zugelassen sind, werden die Links zur  Registrierung und zur Anmeldung angezeigt.', 'de', '0', '0'),
('9531', '- Kein Tag -', 'de', '0', '0'),
('9532', 'CSS-Klasse verwenden', 'de', '0', '0'),
('9533', 'Sie haben ungespeicherte Änderungen. Diese Änderungen werden nicht permanent vorgenommen werden, bis Sie auf <em>Speichern</em> klicken.', 'de', '0', '0'),
('9534', 'Die Export-ID darf nur Kleinbuchstaben, Zahlen und Unterstriche enthalten.', 'de', '0', '0'),
('9535', 'Ein @plugin mit diesem Namen ist bereits vorhanden. Bitte einen anderen Namen wählen oder das vorhandene Element vor dem Erstellen eines neuen löschen.', 'de', '0', '0'),
('9536', 'Formular zum Bearbeiten des Beitrags aus dem Beitrag', 'de', '0', '0'),
('9537', 'Fügt das Beitrag bearbeiten Formular aus einem Beitrags-Kontext hinzu.', 'de', '0', '0'),
('9538', 'Es gibt derzeit keine Stiltypen zum Hinzufügen. Aktivieren Sie ein Modul wie z. B. Panels.', 'de', '0', '0'),
('9539', 'Sie müssen mindestens eine Anlage zum Anzeigen auswählen.', 'de', '0', '0'),
('9540', 'Die Ansicht leer Text anzeigen, wenn es keine Ergebnisse gibt.', 'de', '0', '0'),
('9541', '„@context“ leerer Text', 'de', '0', '0'),
('9542', 'View exposed widgets', 'de', '0', '0'),
('9543', 'Die Steuerelemente der Ansicht (exposed widgests) anzeigen, wenn es keine Ergebnisse gibt.', 'de', '0', '0'),
('9544', '„@context“ Steuerelemente', 'de', '0', '0'),
('9545', 'Feed-Symbol.', 'de', '0', '0'),
('9546', '„@context“ Feed-Symbol', 'de', '0', '0'),
('9547', 'Den Fußbereich der Ansicht anzeigen, wenn es keine Ergebnisse gibt.', 'de', '0', '0'),
('9548', '„@context“ Fußzeile', 'de', '0', '0'),
('9549', 'Den Kopfbereich der Ansicht anzeigen, wenn es keine Ergebnisse gibt.', 'de', '0', '0'),
('9550', '„@context“ Kopfbereich', 'de', '0', '0'),
('9551', 'Ungültiger Kontext ausgewählt.', 'de', '0', '0'),
('9552', 'defekte Ansicht', 'de', '0', '0'),
('9553', 'Anzeigen: !fields', 'de', '0', '0'),
('9554', 'Anzeigen der konfigurierten Zeile.', 'de', '0', '0'),
('9555', 'Lädt das Ergebnis einer Ansicht in einen Kontext, der dann als Berich (panel) angezeigt oder in anderen Kontext verwandelt werden kann.', 'de', '0', '0'),
('9556', 'Wählen Sie eine Ansicht aus.', 'de', '0', '0'),
('9557', 'Beitrag aus einer Ansicht', 'de', '0', '0'),
('9558', 'Die Nummer der Zeile muss eine positive ganze Zahl sein.', 'de', '0', '0'),
('9559', 'Begriff der Ansicht', 'de', '0', '0'),
('9560', 'Benutzer aus der Ansicht', 'de', '0', '0'),
('9561', 'Zugriff zu Bulk Exporter', 'de', '0', '0'),
('9562', 'Exportieren Sie verschiedenen Systemobjekte in Code.', 'de', '0', '0'),
('9563', 'Verwalten von Zugriffs-Regelsätzen', 'de', '0', '0'),
('9564', 'Hinzufügen, löschen und bearbeiten von benutzerdefinierten Zugriffs-Regelsätzen.', 'de', '0', '0'),
('9565', 'Modale Anmeldung (Standardformat)', 'de', '0', '0'),
('9566', 'Anmelden via Modal', 'de', '0', '0'),
('9567', 'Modale Anmeldung (benutzerdefinierte Stil)', 'de', '0', '0'),
('9568', 'Assistenten (nicht modal)', 'de', '0', '0'),
('9569', 'Assistent (Standard modal)', 'de', '0', '0'),
('9570', 'Assistent (benutzerdefiniert modal)', 'de', '0', '0'),
('9571', 'Text ersetzen mit „Hallo Welt“', 'de', '0', '0'),
('9572', 'Auf Drop Down klicken', 'de', '0', '0'),
('9573', 'Klicken Sie auf reduzieren', 'de', '0', '0'),
('9574', 'Reduzierbares Div', 'de', '0', '0'),
('9575', 'hier bleiben', 'de', '0', '0'),
('9576', 'Greifvogel', 'de', '0', '0'),
('9577', 'Link funktioniert! !return_link', 'de', '0', '0'),
('9578', 'Aktion nach der Anmeldung', 'de', '0', '0'),
('9579', 'Erfolgreicher Sprung', 'de', '0', '0'),
('9580', 'Chaos Tools (CTools) AJAX Example', 'de', '0', '0'),
('9581', 'Hinzufügen, bearbeiten und Löschen von benutzerdefinierten Inhalt, der mit CTools gespeichert wurde.', 'de', '0', '0'),
('9582', 'Neuen !plugin_title konfigurieren', 'de', '0', '0'),
('9583', '!plugin_title konfigurieren', 'de', '0', '0'),
('9584', 'ctools', 'de', '0', '0'),
('9585', 'Ungültige Kombination von Modulen / Typen angefordert: Module @module and Typen @type', 'de', '0', '0'),
('9586', 'Plugin @plugin des Plugin Tpys @owner: @type verweist auf nicht existierende Datei @file für die Klasse @class.', 'de', '0', '0'),
('9587', 'Page Manager verwenden', 'de', '0', '0'),
('9588', 'Ermöglicht es Benutzern, die meisten Funktionen von Page Manager zu verwenden, obwohl einige der mächtigsten, potenziell schädliche Website-Funktionen davon ausgeklammert sind. Beachten Sie, dass sogar mit dem reduzierten Funktionsumfang noch enorme Kontrolle über Ihre Website möglich ist.', 'de', '0', '0'),
('9589', 'Page Manager verwalten', 'de', '0', '0'),
('9590', 'Ermöglicht die vollständigen Kontrolle über Page Manager, d.h. vollständige Kontrolle über Ihre Website. Mit extremer Vorsicht gewähren.', 'de', '0', '0'),
('9591', 'Page Manager Kontext', 'de', '0', '0'),
('9592', 'Ziel der Weiterleitung', 'de', '0', '0'),
('9593', 'Geben Sie den Pfad zur Weiterleitung ein. Sie können Schlüsselwort Ersetzungen aus Kontexten verwenden. Sie können externe Urls (http://www.example.com/foo) oder interne Urls (node/1) werwenden.', 'de', '0', '0'),
('9594', 'Kontextschlüsselwörter in diesen Inhalt einsetzen. Beachten Sie, dass CCK Felder als Schlüsselwörter, die mit Mustern wie  <em>%node:field_name-formatted</em> verwendet werden können.', 'de', '0', '0'),
('9595', 'Kontextschlüsselwörter in diesen Inhalt einsetzen. Weitere Schlüsselwörter werden verfügbar, wenn Sie das Token-Modul installieren, siehe http://drupal.org/project/token.', 'de', '0', '0'),
('9596', '„@s“ Benutzersignatur', 'de', '0', '0'),
('9597', 'Verwenden Sie die Stylizer UI', 'de', '0', '0'),
('9598', 'Version: ID', 'de', '0', '0'),
('9599', 'Erstellt einen Beitragskontext aus der ID einer Version, die als Argument verwendet wird.', 'de', '0', '0'),
('9600', 'Geben Sie die ID einer Version eines Beitrags für dieses Argument ein', 'de', '0', '0'),
('9601', 'Begriff Name, in Kleinbuchstaben und Leerzeichen wurden in Bindestriche umgewandelt', 'de', '0', '0'),
('9602', 'Name des ersten Begriffs, in Kleinbuchstaben und Leerzeichen wurden in Bindestriche umgewandelt', 'de', '0', '0'),
('9603', 'Entität: ID', 'de', '0', '0'),
('9604', 'Erstellt einen Kontext aus der ID einer Entität, die als Argument verwendet wird.', 'de', '0', '0'),
('9605', 'Entität Feld', 'de', '0', '0'),
('9606', 'Feld für die referenzierte Entität.', 'de', '0', '0'),
('9607', 'Formatter-Stile', 'de', '0', '0'),
('9608', 'Wählen Sie Einen Formatierer aus.', 'de', '0', '0'),
('9609', 'Erstellt den Kontext @entity aus der ID einer Entität.', 'de', '0', '0'),
('9610', 'Geben Sie den Titel oder die ID einer @entity Entität ein.', 'de', '0', '0'),
('9611', '‚%title‘ [%type id %id]', 'de', '0', '0'),
('9612', '[%type id %id]', 'de', '0', '0'),
('9615', 'Wählen Sie eine Entität aus.', 'de', '0', '0'),
('9616', 'Ungültige Entität ausgewählt.', 'de', '0', '0'),
('9617', 'Admin-Overlays werden an vielen Orten in Drupal 7 verwendet und administrative benutzerdefinierte Seiten sollten dieses Feature nutzen.', 'de', '0', '0'),
('9618', 'ein unbekannter Callback', 'de', '0', '0'),
('9619', 'Das Seiten-Manager-Modul ist nicht in der Lage taxonomy/term/%taxonomy_term zu aktivieren, weil ein anderes Modul diesen Pfad bereits mit %callback  überschrieben hat.', 'de', '0', '0'),
('9620', 'Steuern Sie den Zugriff über Entität Bündel.', 'de', '0', '0'),
('9621', 'Steuern Sie den Zugriff über Entität Bündel @entity.', 'de', '0', '0'),
('9622', 'Entität Bündel', 'de', '0', '0'),
('9624', '@identifier ist ein Bündel', 'de', '0', '0'),
('9625', 'Feld: @widget_label', 'de', '0', '0'),
('9626', 'Entität-Info.', 'de', '0', '0'),
('9627', '„@s“ @field form', 'de', '0', '0'),
('9629', 'Zeigen des Von-Argumentes', 'de', '0', '0'),
('9630', 'Erstellt einen Kontext für eine Ansicht aus einem Argument der Eingabe-Einstellungen.', 'de', '0', '0'),
('9639', 'Titel des Bereiches', 'de', '0', '0'),
('9641', 'Titel-Feld des Beitragsformulars', 'de', '0', '0'),
('9642', 'Das Formular des Beitragstitels.', 'de', '0', '0'),
('9644', 'Fehlender/fehlerhafter Typ', 'de', '0', '0'),
('9648', '"@s" @name', 'de', '0', '0'),
('9649', 'Erzeugt einen @to_entity Kontext aus @from_entity unter Verwendung des @field_name Feldes von @from_entity.', 'de', '0', '0'),
('9650', '@to_entity von @from_entity (in @base_table.@relationship)', 'de', '0', '0'),
('9651', 'Erstellt eine Verbindung von @from_entity zu @to_entity unter Verwendung des @base_table.@relationship Feldes.', 'de', '0', '0'),
('9652', '@from_entity von @to_entity (in @base_table.@relationship)', 'de', '0', '0'),
('9653', 'Erstellt eine Verbindung von @to_entity zu @from_entity unter Verwendung des @base_table.@relationship Feldes.', 'de', '0', '0'),
('9667', '@to_entity von @from_entity (in @from_entity: @field_label [@field_name])', 'de', '0', '0'),
('9669', 'Sprachen des Beitragsformulars', 'de', '0', '0'),
('9682', 'Zum Element 1 gehörig.', 'de', '0', '0'),
('9683', 'Ansichtsbeschreibung verwenden', 'de', '0', '0'),
('9684', 'Panel-Pfad verwenden', 'de', '0', '0'),
('9685', 'Benutzer von Panels können Einstellungen im Konfigurationsdialog ändern, ansonsten können die Benutzer nur die Standardeinstellungen für dieses Display verwenden.', 'de', '0', '0'),
('9686', 'Pfad-Übersteuerung', 'de', '0', '0'),
('9687', 'Dies ist der Titel, der für diesen Ansichten-Ausschnitt im „Inhalt hinzufügen“-Dialog erscheint. Falls nicht gesetzt, wird der Ansichten-Name verwendet.', 'de', '0', '0'),
('9688', 'Dieser Text wird angezeigt, wenn der Benutzer mit der Maus über dem Panel ist für den Dialog zum Hinzufügen von Inhalt. Wenn der Text leer bleibt, dann wird die Beschreibung der  Ansicht verwendet.', 'de', '0', '0'),
('9689', 'Ausschnitt-Titel mit Ansicht verlinken', 'de', '0', '0'),
('9690', 'Alle Links, die vom Modul Views generiert werden, wie z. B. weitere Links, Linkübersichten und exponierten Eingabeverknüpfungen, die auf den Pfad zur Anzeige des Panels verweisen, nicht auf die Ansicht, wenn diese einen Pfad hat.', 'de', '0', '0'),
('9691', '@arg-Quelle', 'de', '0', '0'),
('9692', 'Simplecontext Kontext aus der Konfiguration', 'de', '0', '0'),
('9693', 'Überschreiben der Standard-Eingabeaufforderung', 'de', '0', '0'),
('9694', 'Wenn „von Kontext“ ausgewählt ist, dann geben Sie die Typen  der zu verwendende Kontexte an.', 'de', '0', '0'),
('9695', 'Das untergeordnete Menü zu dem das Buch des Beitrags gehört.', 'de', '0', '0'),
('9696', 'Das untergeordnete Buchmenü hier platzieren.', 'de', '0', '0'),
('9697', 'Felder überschreiben', 'de', '0', '0'),
('9698', '„@context“ Anhang', 'de', '0', '0'),
('9699', 'Das Feed-Symbol anzeigen, wenn es keine Ergebnisse gibt.', 'de', '0', '0'),
('9700', 'Kontext enthält eine ungültige Ansicht.', 'de', '0', '0'),
('9701', 'Bestimmte Felder anzeigen', 'de', '0', '0'),
('9702', 'Aufgrund einer Fehlkonfigurationen werden keine Felder angezeigt.', 'de', '0', '0'),
('9703', '„@context“ Zeile @rows', 'de', '0', '0'),
('9704', '„@context“ Zeilen @rows', 'de', '9703', '1'),
('9705', 'Export-Assistent für UI-Cache', 'de', '0', '0'),
('9706', 'Ermöglicht einem Benutzer die CTools-Stylizer-Benutzeroberfläche zu verwenden.', 'de', '0', '0'),
('9707', 'Erstellt ein Entitätskontext aus einem Fremdschlüssel auf ein Feld.', 'de', '0', '0'),
('9711', '"@context" vollständige Ansicht', 'de', '0', '0'),
('9726', 'Views Slideshow', 'de', '0', '0'),
('9729', 'ClearType', 'de', '0', '0'),
('9760', '„@s“ Beitragsformular-Dateianhänge', 'de', '0', '0'),
('9761', '„@s“ Protokollnachricht im Beitragsformular', 'de', '0', '0'),
('9762', '„@s“ Beitragsformular-Menüeinstellungen', 'de', '0', '0'),
('9763', '„@s“ Beitragsformular-Pfadoptionen', 'de', '0', '0'),
('9764', '„@s“ Beitragsformular-Autoreninformation', 'de', '0', '0'),
('9765', 'Den Identifikator des Beitragstitel des Beitrages zurückgesetzen.', 'de', '0', '0'),
('9766', 'Sobald aktiviert, wird der Identifikator auf den Beitragstitel des ausgewählten Beitrages zurückgesetzt.', 'de', '0', '0'),
('9767', 'Das erweiterte Formular kann zusätzliche Optionen auf der Grundlage des Suche-Typs haben. Zum Beispiel die erweiterte Suche ermöglicht es nach Inhaltsyp und Taxonomie Begriffen zu durchsuchen.', 'de', '0', '0'),
('9768', 'Dieser Kontext ist für den Bereich möglicherweise nicht vorhanden. Wenn Sie diesen verwenden möchten, stellen Sie sicher, dass der Argument-Handler mit leeren Werten problemlos umgehen kann.', 'de', '0', '0'),
('9769', 'Taxonomie-Links (verwendet theme(''links''))', 'de', '0', '0'),
('9770', 'Es gibt aktuell keine Ansichten mit aktivierter Kontext-Anzeige. Gehen Sie  zur Verwaltung von Ansichten und fügen Sie eine Kontext-Anzeige für eine Ansicht ein.', 'de', '0', '0'),
('9771', 'Extrahieren Sie einen Beitrags-Kontext aus dem Context einer Ansicht des Basistyps des Beitrags.', 'de', '0', '0'),
('9772', 'Extrahieren Sie einen Begriffskontext aus Kontext der Ansicht des Basistyps des Begriffs.', 'de', '0', '0'),
('9773', 'Extrahieren Sie einen Benutzerkontext aus dem Kontext der Anischt des Basistyps für  Benutzer.', 'de', '0', '0'),
('9774', 'Dies ist der Titel, der für diesen Ansichten-Kontext in Konfigurations-Dialog für Kontext erscheint. Falls nicht gesetzt, wird der Name der Ansicht verwendet.', 'de', '0', '0'),
('9775', 'Das Formular Exponierte Widgets als Konfigurations-Bereich verwenden', 'de', '0', '0'),
('9776', 'Begriffe aller Bedingungen, getrennt durch + oder, und in Kleinbuchstaben und Leerzeichen konvertiert in Bindstriche', 'de', '0', '0'),
('9777', 'Tage', 'de', '0', '0'),
('9778', 'Enddatum', 'de', '0', '0'),
('9779', 'Jetzt', 'de', '0', '0'),
('9780', 'Startdatum', 'de', '0', '0'),
('9781', 'Enddatum', 'de', '0', '0'),
('9782', 'Wiederholung', 'de', '0', '0'),
('9783', 'Einfach', 'de', '0', '0'),
('9784', 'Datumsstempel', 'de', '0', '0'),
('9785', 'Dauer', 'de', '0', '0'),
('9786', 'Woche von @date', 'de', '0', '0'),
('9787', 'Position der Seitennavigation', 'de', '0', '0'),
('9788', 'Datum/Uhrzeit', 'de', '0', '0'),
('9789', 'Datum auswählen', 'de', '0', '0'),
('9790', 'Zeitzone der Website', 'de', '0', '0'),
('9791', 'Zeitzone des Datums', 'de', '0', '0'),
('9792', 'Keine Zeitzonenumrechnung', 'de', '0', '0'),
('9793', 'Datumsangaben ohne Stunden können keiner Zeitzone zugeordnet werden.', 'de', '0', '0'),
('9794', 'Zeitzonenbehandlung', 'de', '0', '0'),
('9795', '!time', 'de', '0', '0'),
('9796', 'Datumsfeld', 'de', '0', '0'),
('9797', 'Intervall', 'de', '0', '0'),
('9798', 'Für %title ist ein gültiges Datum erforderlich.', 'de', '0', '0'),
('9799', 'Ein Datum-API, dass von anderen Modulen verwendet werden kann.', 'de', '0', '0'),
('9800', 'Der standardmäßige Wert für „Strtotime“ ist ungültig.', 'de', '0', '0'),
('9801', 'Relativ', 'de', '0', '0'),
('9802', 'strtotime', 'de', '0', '0'),
('9803', 'Innerhalb', 'de', '0', '0'),
('9804', 'Position der Beschriftungen von Datumsbestandteilen', 'de', '0', '0'),
('9805', 'Zeitzone des Benutzers', 'de', '0', '0'),
('9806', '﻿Speichern Sie ein Datum in der Datenbank als ein ISO-Datum für Datumsangaben, die historisch oder oder als Teil gespeichert werden.', 'de', '0', '0'),
('9807', 'Speichern eines Datums in der Datenbank als ein „datetime“-Feld, empfohlen für vollständige Datums- und Zeitangaben, die eine Zeitzonenumrechnung benötigen.', 'de', '0', '0'),
('9808', 'Date Popup', 'de', '0', '0'),
('9809', 'Aktiviert jQuery-Popup-Kalender und Zeit-Steuerelemente für die Auswahl von Terminen und Zeiten.', 'de', '0', '0'),
('9810', 'Bis', 'de', '0', '0'),
('9811', 'Date Repeat API', 'de', '0', '0'),
('9812', 'Eine Datumwiederholungs-API, um sich wiederholende Termine und Uhrzeiten von iCal Regeln zu berechnen.', 'de', '0', '0'),
('9813', '1 Minute', 'de', '0', '0'),
('9814', 'Zeitspanne', 'de', '0', '0'),
('9815', 'Standardformat', 'de', '0', '0'),
('9816', 'Popup', 'de', '0', '0'),
('9817', '@count Werte anzeigen', 'de', '0', '0'),
('9818', 'Intervall', 'de', '0', '0'),
('9819', 'Datum: Jahresbereich', 'de', '0', '0'),
('9820', 'Format: @date', 'de', '0', '0'),
('9821', 'iCal-Datum', 'de', '0', '0'),
('9822', '!timezone', 'de', '0', '0'),
('9823', 'Die Datumsangaben sind ungültig.', 'de', '0', '0'),
('9824', 'Wiederholungen', 'de', '0', '0'),
('9825', '!repeats_every_interval am !date_order !day_of_week', 'de', '0', '0'),
('9826', '!repeats_every_interval jeden !day_of_week', 'de', '0', '0'),
('9827', '!repeats_every_interval am !month_days im !month_names', 'de', '0', '0'),
('9828', '!repeats_every_interval im !month_names', 'de', '0', '0'),
('9829', '!repeats_every_interval, !count mal', 'de', '0', '0'),
('9830', '!repeats_every_interval bis zum !until_date', 'de', '0', '0'),
('9831', '!repeats_every_interval ausgenommen !except_dates', 'de', '0', '0'),
('9832', '!repeats_every_interval wenn die Woche am !day_of_week beginnt', 'de', '0', '0'),
('9833', 'jede Woche', 'de', '0', '0'),
('9834', 'alle @count-Wochen', 'de', '9833', '1'),
('9835', 'jeden Monat', 'de', '0', '0'),
('9836', 'alle @count-Monate', 'de', '9835', '1'),
('9837', 'jedes Jahr', 'de', '0', '0'),
('9838', 'alle @count-Jahre', 'de', '9837', '1'),
('9839', 'jeden Tag', 'de', '0', '0'),
('9840', 'alle @count-Tage', 'de', '9839', '1'),
('9841', 'Datumsfeld(er)', 'de', '0', '0'),
('9842', '﻿Art der Behandlung mehrere Datumsfelder in derselben Abfrage. Findet Artikel, die alle übereinstimmenden Datumsfelder haben (Datum = field_1 OR field_2), oder nur die mit Übereinstimmungen in alle ausgewählten Feldern date (Datum = field_1 AND field_2).', 'de', '0', '0'),
('9843', 'Für diesen Filter muss mindestens ein Datumsfeld ausgewählt werden.', 'de', '0', '0'),
('9844', 'Datumsfelder fehlen!', 'de', '0', '0'),
('9845', '(@field) <strong>Hervorgehoben</strong> @widget @format', 'de', '0', '0'),
('9846', '%title ist ungültig.', 'de', '0', '0'),
('9847', 'HTTP-Anfrage-Fehler beim Importieren von %filename: @error', 'de', '0', '0'),
('9848', 'Öffnen der Datei fehlgeschlagen: %filename', 'de', '0', '0'),
('9849', 'Ungültige Kalenderdatei: %filename', 'de', '0', '0'),
('9850', 'Ungültige Kalenderdatei.', 'de', '0', '0'),
('9851', 'Benutzerdefiniertes Eingabeformat', 'de', '0', '0'),
('9852', 'Wiederholungsregel verstecken', 'de', '0', '0'),
('9853', 'Es gibt Fehler in @field_name Wert #@delta:', 'de', '0', '0'),
('9854', 'Es gibt Fehler in @field_name:', 'de', '0', '0'),
('9855', '﻿Die Vollständige Dokumentation für das Date und Date API-Modul befindet sich unter <a href="@link">http://drupal.org/node/92460</a>.', 'de', '0', '0'),
('9856', 'Den standardmäßigen jQuery-Timepicker verwenden', 'de', '0', '0'),
('9857', 'Manuelle Zeiterfassung, ohne jQuery-Timepicker', 'de', '0', '0'),
('9858', 'Timepicker', 'de', '0', '0'),
('9859', 'Aktuelle Ausnahmen', 'de', '0', '0'),
('9860', 'Datumsassistent', 'de', '0', '0'),
('9861', 'Der maschinenlesbare Name. Zulässige Werte: (a-Z, 0-9, _). Sollte dies kein vorhandener Inhaltstyp sein, wird dieser Inhaltstyp erstellt.', 'de', '0', '0'),
('9862', 'Inhaltstyp-Beschriftung', 'de', '0', '0'),
('9863', '﻿Der lesbarer Name für diesen Inhaltstyp. Nur erforderlich, wenn Sie einen neuen Inhaltstyp erstellen.', 'de', '0', '0'),
('9864', 'Ein Datums-Inhaltstyp der mit einer Kalender-Ansicht verknüpft ist.', 'de', '0', '0'),
('9865', 'Inhaltstyp-Beschreibung', 'de', '0', '0'),
('9866', '﻿Eine Beschreibung für den Inhaltstyp. Nur erforderlich, wenn Sie einen neuen Inhaltstyp erstellen.', 'de', '0', '0'),
('9867', 'Datumsfeld-Name', 'de', '0', '0'),
('9868', 'Der maschinenlesbare Name. Zulässige Werte: (a-z, 0-9, _). Darf kein bestehender Feldname sein.', 'de', '0', '0'),
('9869', 'Datumsfeld-Beschriftung', 'de', '0', '0'),
('9870', 'Die Beschriftung für dieses Feld.', 'de', '0', '0'),
('9871', 'Datums-Steuerelementtyp', 'de', '0', '0'),
('9872', 'Optionen für wiederholendes Datum anzeigen', 'de', '0', '0'),
('9873', 'Datumsfeld-Typ', 'de', '0', '0'),
('9874', 'Der empfohlene Typ ist Datetime, außer für historische daten oder Daten mit einer Granualarität von Jahr oder Monat, oder für unvollständige Datentypen – nutzen Sie hierfür den Date-typ (ein ISO-Datum).', 'de', '0', '0'),
('9875', 'Zeitzonenbehandlung', 'de', '0', '0'),
('9876', 'Die Behandlung der Zeitzone sollt auf ‚Keine‘ gesetzt sein für Inhaltstypen ohne Datumsfelder.', 'de', '0', '0'),
('9877', 'Einen Kalender für dieses Datumsfeld erstellen', 'de', '0', '0'),
('9878', 'Dieser Name für einen Inhaltstyp ist bereits vergeben, fügen Sie einen exitierenden Inhaltstyp hinzu.', 'de', '0', '0'),
('9879', 'Das Feld ist bereits vorhanden.', 'de', '0', '0'),
('9880', 'Ist die Granualarität ohne Uhrzeit, so schalten Sie dafür die Zeitzonenbehandlung ab.', 'de', '0', '0'),
('9881', 'Date Tools', 'de', '0', '0'),
('9882', 'Werkzeuge zum Importieren und automatische Erstellen von Datumsangaben und Kalendern.', 'de', '0', '0'),
('9883', 'Alle Datumsfelder in Ansichten !base_table nach dem Datumsargument filtern, unter Verwendung eines gebräuchlichen ISO Datums-/Zeitformates (z.B. YYYY, YYYY-MM, YYYY-MM-DD, YYYY-W99, YYYY-MM-DD--P3M, P90D, etc).', 'de', '0', '0'),
('9884', '﻿Wählen Sie den Typ der Datumsangaben, die für Standardwerte, Zusammenfassungen und Navigation verwendet werden. Beispielsweise wird eine Granularität von ''Monat'' das Standarddatum auf den aktuellen Monat festlegen, Zusammenfassungen pro Monat in der Übersicht und eine Navigation vorherigen und nächsten Monat anzubieten.', 'de', '0', '0'),
('9885', 'Für dieses Argument muss mindestens ein Datumsfeld ausgewählt werden.', 'de', '0', '0'),
('9886', 'Zum vorangegangenen Jahr wechseln', 'de', '0', '0'),
('9887', 'Zum nächsten Jahr', 'de', '0', '0'),
('9888', 'Zum vorangegangenen Monat wechseln', 'de', '0', '0'),
('9889', 'Zum nächsten Monat', 'de', '0', '0'),
('9890', 'Zu der vorangegangenen Woche wechseln', 'de', '0', '0'),
('9891', 'Zur nächsten Woche', 'de', '0', '0'),
('9892', 'Zum gestrigen Tag', 'de', '0', '0'),
('9893', 'Zum morgigen Tag', 'de', '0', '0'),
('9894', 'Ansicht des gesamten Monats auf einer Seite', 'de', '0', '0'),
('9895', 'Relatives Datum', 'de', '0', '0'),
('9896', 'Enddatum anzeigen', 'de', '0', '0'),
('9897', 'Standardwerte', 'de', '0', '0'),
('9898', 'ISO-8601-Wochennummern verwenden', 'de', '0', '0'),
('9899', 'WICHTIG! Sobald aktiviert, muss der Montag als erster Wochentag festgelegt werden', 'de', '0', '0'),
('9900', 'Wenn Sie ISO-8601-Wochennummern verwenden, muss der Montag als erster Wochentag festgelegt werden.', 'de', '0', '0'),
('9901', 'Feld @label (@field_name)', 'de', '0', '0'),
('9902', '﻿Es gibt keine Datumsfelder in dieser Datenbank.', 'de', '0', '0'),
('9903', '﻿Das Datum Feld, dessen Typ geändert wird.', 'de', '0', '0'),
('9904', 'Der neue Typ des Datumsfeldes.', 'de', '0', '0'),
('9905', 'Neuer Typ:', 'de', '0', '0'),
('9906', '﻿Der aktuelle Typ ist der ausgewählte Typ. Es gibt nichts ändern.', 'de', '0', '0'),
('9907', '﻿Das Feld @field_name wurde von @old_type auf @new_type geändert.', 'de', '0', '0'),
('9908', 'Ändern Sie ein Datumsfeld von einem Typ zum anderen. Sehr experimentell, Benutzung auf eigene Gefahr!', 'de', '0', '0'),
('9909', 'Jahresbereich', 'de', '0', '0'),
('9910', 'Aktuelle Erweiterungen', 'de', '0', '0'),
('9911', 'Enthält auch !additional_dates.', 'de', '0', '0'),
('9912', 'Wiederholungen !interval !bymonth !byday !count !until !except. !additional', 'de', '0', '0'),
('9913', 'Datum Jahresbereich muss im Format -9:+9, 2005:2010, -9:2010, oder 2005:+9', 'de', '0', '0'),
('9914', 'Ganztägig', 'de', '0', '0'),
('9915', 'Jahr', 'de', '0', '0'),
('9916', 'Monat', 'de', '0', '0'),
('9917', 'Woche', 'de', '0', '0'),
('9918', 'Tag', 'de', '0', '0'),
('9919', 'Anzeige:', 'de', '0', '0'),
('9920', 'Mehrfache Werte:', 'de', '0', '0'),
('9921', 'Anzahl der anzuzeigenden Werten, oder frei lassen um alle Werte anzuzeigen.', 'de', '0', '0'),
('9922', 'beginnend am @isodate', 'de', '0', '0'),
('9923', 'endend am @isodate', 'de', '0', '0'),
('9924', 'Ein bestimmtes Start- und/oder Enddatum im YYYY-MM-DDTHH:MM:SS Format angeben, oder leer lassen um alle Datumsangaben anzuzeigen.', 'de', '0', '0'),
('9925', 'Wiederholungsregel:', 'de', '0', '0'),
('9926', 'Die Zeiteinheiten, die als „Zeit vergangen“ angezeigt werden.', 'de', '0', '0'),
('9927', 'Zeige @count Wert(e) beginnend am @date1, endend am @date2', 'de', '0', '0'),
('9928', 'frühestens', 'de', '0', '0'),
('9929', 'spätestens', 'de', '0', '0'),
('9930', 'Wiederholungsregel anzeigen', 'de', '0', '0'),
('9931', 'Zeige die verstrichene Zeit in @interval Einheiten.', 'de', '0', '0'),
('9932', 'Wiederholende Termine anzeigen', 'de', '0', '0'),
('9933', 'Die Dauer der Zeitperiode, die durch die Datumsangaben sich ergibt.', 'de', '0', '0'),
('9934', 'Stunde', 'de', '0', '0'),
('9935', 'Minute', 'de', '0', '0'),
('9936', 'Sekunde', 'de', '0', '0'),
('9937', 'Das Jahr ist ungültig.', 'de', '0', '0'),
('9938', 'Das Monat ist ungültig.', 'de', '0', '0'),
('9939', 'Der Tag ist ungültig.', 'de', '0', '0'),
('9940', 'Die Stunde ist ungültig.', 'de', '0', '0'),
('9941', 'Die Minute ist ungültig.', 'de', '0', '0'),
('9942', 'Die Sekunde ist ungültig.', 'de', '0', '0'),
('9943', 'vormittags', 'de', '0', '0'),
('9944', 'nachmittags', 'de', '0', '0'),
('9945', 'Erste(r)', 'de', '0', '0'),
('9946', 'Zweite(r)', 'de', '0', '0'),
('9947', 'Dritte(r)', 'de', '0', '0'),
('9948', 'Vierte(r)', 'de', '0', '0'),
('9949', 'Fünfte(r)', 'de', '0', '0'),
('9950', 'letzten', 'de', '0', '0'),
('9951', 'vorletzten', 'de', '0', '0'),
('9952', 'drittletzten', 'de', '0', '0'),
('9953', 'viertletzten', 'de', '0', '0'),
('9954', 'fünftletzten', 'de', '0', '0'),
('9955', 'Vorheriger', 'de', '0', '0'),
('9956', 'Nächster', 'de', '0', '0'),
('9957', 'Die Einstellungen des Date Popup-Moduls konfigurieren.', 'de', '0', '0'),
('9958', 'Ausnahme hinzufügen', 'de', '0', '0'),
('9959', 'Weitere hinzufügen', 'de', '0', '0'),
('9960', 'Jeden', 'de', '0', '0'),
('9961', 'Sonntag', 'de', '0', '0'),
('9962', 'Montag', 'de', '0', '0'),
('9963', 'Dienstag', 'de', '0', '0'),
('9964', 'Mittwoch', 'de', '0', '0'),
('9965', 'Donnerstag', 'de', '0', '0'),
('9966', 'Freitag', 'de', '0', '0'),
('9967', 'Samstag', 'de', '0', '0'),
('9968', 'Dieser Vorgang ist in der Drupal 7 Version noch nicht verfügbar.', 'de', '0', '0'),
('9969', 'Bereich erlaubter Jahre. ''-1:+1'' bedeutet, das älteste Datum liegt ein Jahr zurück, das früheste Datum ein Jahr in der Zukunft.', 'de', '0', '0'),
('9970', 'Der Inhaltstyp @name wurde erstellt.', 'de', '0', '0'),
('9971', 'Das Datumsfeld @name wurde erstellt.', 'de', '0', '0'),
('9972', 'Verwalte die Datumswerkzeuge', 'de', '0', '0'),
('9973', 'Datumsangaben und Kalender können schwierig einzurichten sein. Der !date_wizard erleichtert das Erstellen einfacher Datumsinhaltstypen und damit verbundener Kalender. ', 'de', '0', '0'),
('9974', 'Einfaches Erstellen von Datumsinhaltstypen und Kalendern. ', 'de', '0', '0'),
('9975', 'Datumsansichten', 'de', '0', '0'),
('9976', '5 Minuten', 'de', '0', '0'),
('9977', '15 Minuten', 'de', '0', '0'),
('9978', 'Wählen Sie das/die Datumsfeld(er) zum Filtern aus.', 'de', '0', '0'),
('9979', 'Ganztägig', 'de', '0', '0'),
('9980', 'Werte des Datumsfeldes', 'de', '0', '0'),
('9981', 'Token die mit dem Datumsfeld in Beziehung stehen.', 'de', '0', '0'),
('9982', 'Der Wert des Datums.', 'de', '0', '0'),
('9983', 'Relativer Standardwert', 'de', '0', '0'),
('9984', 'Das Jahr ist ungültig. Das Jahr muss mit 4 Ziffern angegeben werden.', 'de', '0', '0'),
('9985', '<strong>Hervorgehoben</strong> @widget @format', 'de', '0', '0'),
('9986', 'Wiederholende Datumsangabe', 'de', '0', '0'),
('9987', 'Bereich für Zeitstempel', 'de', '0', '0'),
('9988', 'Datum-Zeitangabe', 'de', '0', '0'),
('9989', 'Bereichsangabe der Datum-Zeitangabe', 'de', '0', '0'),
('9990', 'Quellen-ID', 'de', '0', '0'),
('9991', 'Einfaches Datum', 'de', '0', '0'),
('9992', 'Startwert für einen Datumsbereich', 'de', '0', '0'),
('9993', 'Einfacher Datumsstempel', 'de', '0', '0'),
('9994', 'Startwert für einen Datumsstempelbereich', 'de', '0', '0'),
('9995', 'Einfache Datum-Zeit-Angabe', 'de', '0', '0'),
('9996', 'Startwert für einen Datums-Zeit-Bereich', 'de', '0', '0'),
('9997', 'Beispiel einer sich wiederholenden Datumsangabe', 'de', '0', '0'),
('9998', 'Beispiele der Datumsmigration mit dem Date-Modul', 'de', '0', '0'),
('9999', 'Speichert ein Datum als Zeitstempel in die Datenbank, veraltetes Format zur Unterstützung früherer Datumsangaben.', 'de', '0', '0'),
('10000', 'Pop-up Kalender', 'de', '0', '0'),
('10001', 'Das Feld %field #%delta muss ein Startdatum enthalten.', 'de', '0', '0'),
('10002', 'Das Feld %field #%delta muss ein Enddatum enthalten.', 'de', '0', '0'),
('10003', 'Der Wert des Enddatums.', 'de', '0', '0'),
('10004', 'Die Ansicht von Terminen und Uhrzeiten auswählen:', 'de', '0', '0'),
('10005', 'Die Einstellungen können in den <a href="@date-time-page">Datums- und Uhrzeiteinstellungen</a> geändert oder hinzugefügt werden.', 'de', '0', '0'),
('10006', 'Start- und Enddatum', 'de', '0', '0'),
('10007', 'Nur Startdatum', 'de', '0', '0'),
('10008', 'Nur Enddatum', 'de', '0', '0'),
('10009', 'Datumseinträge im Format @format darstellen.', 'de', '0', '0'),
('10010', 'Start- und Enddatum anzeigen', 'de', '0', '0'),
('10011', 'Nur Startdatum anzeigen', 'de', '0', '0'),
('10012', 'Nur Enddatum anzeigen', 'de', '0', '0'),
('10013', 'Standardwert', 'de', '0', '0'),
('10014', 'Kein Standardwert', 'de', '0', '0'),
('10015', 'Standardmäßiges Enddatum', 'de', '0', '0'),
('10016', 'Relativer Standardwert für das Enddatum', 'de', '0', '0'),
('10017', 'Der "strtotime"-Standardwert für das Enddatum ist ungültig.', 'de', '0', '0'),
('10018', 'Optionen zur Datumseingabe', 'de', '0', '0'),
('10019', 'Die Reihenfolge und das Format der Optionen festlegen, die der Benutzer zu sehen bekommt.', 'de', '0', '0'),
('10020', 'Zeitschritte', 'de', '0', '0'),
('10021', '10 Minuten', 'de', '0', '0'),
('10022', '30 Minuten', 'de', '0', '0'),
('10023', 'Ein eigenes Datumsformat angeben, oder ein vorgegebenes Format auswählen.', 'de', '0', '0'),
('10024', 'Die Datumsattribute auswählen, die erfasst und gespeichert werden sollen.', 'de', '0', '0'),
('10025', 'Zu erfassende Datumsattribute', 'de', '0', '0'),
('10026', 'Mit dem Enddatum lässt sich die Dauer bestimmen. Zum Beispiel kann ein Event am 15. September beginnen und am 16. enden.', 'de', '0', '0'),
('10027', 'Enddatum erfassen', 'de', '0', '0'),
('10028', 'Wählen Sie Zeitzonenbehandlung für dieses Datumsfeld.', 'de', '0', '0'),
('10029', 'Ein leeres Enddatum wird auf das Startdatum gesetzt.', 'de', '0', '0'),
('10030', '@field_name Wert des Startdatums #@delta', 'de', '0', '0'),
('10031', '@field_name Wert des Enddatums #@delta', 'de', '0', '0'),
('10032', '@field_name Startdatum', 'de', '0', '0'),
('10033', '@field_name Enddatum', 'de', '0', '0'),
('10034', 'Ein Startdatum ist notwendig, falls ein Enddatum für das Feld %field #%delta angegeben wird.', 'de', '0', '0'),
('10035', 'Ein Startdatum ist notwendig, falls ein Enddatum für das Feld %field #%delta angegeben wird.', 'de', '0', '0'),
('10036', 'Das Enddatum muss grösser als das Startdatum sein.', 'de', '0', '0'),
('10037', 'Das Startdatum ist ungültig.', 'de', '0', '0'),
('10038', 'Das Enddatum ist ungültig.', 'de', '0', '0'),
('10039', 'Weitere Einstellungen und Werte', 'de', '0', '0'),
('10040', 'Datumseingabe', 'de', '0', '0'),
('10041', 'Start- und Endjahr', 'de', '0', '0'),
('10042', '!start-date bis !end-date', 'de', '0', '0'),
('10043', 'Datumsteil', 'de', '0', '0'),
('10044', 'Stellt Datum- und Zeitfelder zu Verfügung.', 'de', '0', '0'),
('10045', 'Startjahr', 'de', '0', '0'),
('10046', 'Geben Sie einen relativen Wert (-9, +9) oder ein absolutes Jahr wie 2015 ein.', 'de', '0', '0'),
('10047', 'Endjahr', 'de', '0', '0'),
('10048', 'Die Werteingabe für das Feld %field ist ungültig:', 'de', '0', '0'),
('10049', 'Die Werteingabe für das Feld %field ist ungültig.', 'de', '0', '0'),
('10050', 'Der Wert @date passt nicht zum erwarteten Format.', 'de', '0', '0'),
('10051', 'Fehlende Einstellungen des Systemdatums', 'de', '0', '0'),
('10052', 'Einstellungen des Systemdatums', 'de', '0', '0'),
('10053', '@count Jahr von heute an', 'de', '0', '0'),
('10054', '@count Jahre von heute an', 'de', '10053', '1'),
('10055', 'Datum', 'de', '0', '0'),
('10056', 'Zeit', 'de', '0', '0'),
('10057', 'Datumsmigration', 'de', '0', '0'),
('10058', 'Beispiel für Datumsmigration', 'de', '0', '0'),
('10059', 'z.B. @date', 'de', '0', '0'),
('10060', '<p>Das Date Popup Modul erlaubt die manuelle Eingabe oder die Nutzung eines jQuery Zeitauswahl-Plugins. Das Datumsmodul bringt ein Standard-jQuery-Zeitauswahl-Plugin vorinstalliert mit. Das Modul unterstützt auch ein gesondert herunter zu ladendes Dropdown-Zeitauwahl Plugin. Das Dropdown-Eingabe Plugin steht erst zur Verfügung, wenn es im libraries Verzeichnis verfügbar ist. Wenn das jQuery-Zeitauwahl Plugin nicht genutzt werden soll, kann "Manuelle Eingabe" gewählt werden, um die Eingabe über ein Textfeld zu nutzen.</p>', 'de', '0', '0'),
('10061', 'Verwenden des Dropdown-Zeitauswahlwerkzeugs.', 'de', '0', '0'),
('10062', 'Zeige ein passendes zweites Feld als „Enddatum“.', 'de', '0', '0'),
('10063', 'Der Name des Inhaltstyps darf nicht länger als 12 Zeichen sein, wenn dieser zum Erstellen eines Kalenders oder Blocks verwendet werden soll.', 'de', '0', '0'),
('10064', 'Der Feldname darf nicht länger als 26 Buchstaben sein.', 'de', '0', '0'),
('10065', '@label -  Startdatum (!name)', 'de', '0', '0'),
('10066', '@label -  Startdatum', 'de', '0', '0'),
('10067', '@label - Enddatum (!name:!column)', 'de', '0', '0'),
('10068', '@label - Enddatum:!column', 'de', '0', '0'),
('10069', 'Wählen Sie eines oder mehrere Datumsfelder aus, um damit zu filtern.', 'de', '0', '0'),
('10070', 'Datumsangaben, die zu vergleichen sind', 'de', '0', '0'),
('10071', 'Bereich für Start-/Enddatum', 'de', '0', '0'),
('10072', 'Nur dieses Feld', 'de', '0', '0'),
('10073', 'Datumsauswahlelement', 'de', '0', '0'),
('10074', 'Filtergranularität', 'de', '0', '0'),
('10075', 'Relatives Startdatum', 'de', '0', '0'),
('10076', 'Relatives Enddatum', 'de', '0', '0'),
('10077', 'Relatives Startdatum nicht spezifiziert.', 'de', '0', '0'),
('10078', 'Ein relatives Enddatum wurde nicht angegeben.', 'de', '0', '0'),
('10079', 'Relatives Datum nicht spezifiziert.', 'de', '0', '0'),
('10080', 'Position: @position, Format: @format.', 'de', '0', '0'),
('10081', 'Datumskennung', 'de', '0', '0'),
('10082', 'Linkformat', 'de', '0', '0'),
('10083', 'Ist leer', 'de', '0', '0'),
('10084', 'Identisch mit dem Standarddatum', 'de', '0', '0'),
('10085', 'Wiederholungstermin', 'de', '0', '0'),
('10086', 'Benutzern die Ansicht einer Seite erlauben, die alle Zeitpunkte anzeigt, zu denen sich ein Termin wiederholt.', 'de', '0', '0'),
('10087', 'Das Startjahr muss ein relativer Wert der Form -9 sein, oder ein absoluter Wert sein, wie 1980.', 'de', '0', '0'),
('10088', 'Das Endjahr muss ein relativer Wert (Format: +9) oder ein absoluter Wert (z.b.: 2030) sein.', 'de', '0', '0');
INSERT INTO `locales_target` VALUES
('10089', 'Eine Bedingung in Abhängigkeit vom Wert eines Datumsfeldes einstellen.', 'de', '0', '0'),
('10090', 'Ist nicht leer', 'de', '0', '0'),
('10091', 'Datumskontext', 'de', '0', '0'),
('10092', 'Fügt zum Context-Modul eine Bedingung hinzu, um eine Kontextbedingung basierend auf dem Wert des Feldes einzustellen.', 'de', '0', '0'),
('10093', 'Das Ganztages-Kontrollkästchen anzeigen', 'de', '0', '0'),
('10094', 'Bestimmt, ob das Ganztages-Kontrollkästchen dem Benutzer gezeigt wird.', 'de', '0', '0'),
('10095', 'Datumsformatoptionen', 'de', '0', '0'),
('10096', 'Eigenes Datumsformat für Zusammenfassungen', 'de', '0', '0'),
('10097', 'Die <em>Ganztags</em>-Funktionalität wurde in ein separates Modul ausgelagert. Diese neue Modul gibt die Möglichkeit, eine <em>Ganztags</em>- Checkbox hinzuzufügen, um die Zeit für Datumsfelder ein- und auszuschalten. Es beinhaltet auch das Theme, daß den <em>Ganztags</em>-Text bei Feldern anzeigt, die keine Uhrzeit besitzen. Aus Konsistenzgründen mit älterem Code wird dies automatisch aktiviert. Falls Sie die <em>Ganztags</em>-Funktionalität nicht haben wollen, können Sie das Modul deaktivieren.', 'de', '0', '0'),
('10098', 'Die <em>Datumswiederholungs</em>-Integration für Datumsfelder wurde in ein separates Modul ausgelagert. Aus Konsistenzgründen mit älterem Code wird dies automatisch aktiviert, wenn das Date Repeat API aktiviert ist.. Falls Sie die <em>Datumswiederholungs</em>-Funktionalität nicht nutzen wollen, können Sie das Modul deaktivieren.', 'de', '0', '0'),
('10099', 'Ganztagestermin', 'de', '0', '0'),
('10100', 'Wiederholt sich', 'de', '0', '0'),
('10101', 'Alle @interval Tage', 'de', '0', '0'),
('10102', 'Alle @interval Wochen', 'de', '0', '0'),
('10103', 'Alle @interval Monate', 'de', '0', '0'),
('10104', 'Alle @interval Jahre', 'de', '0', '0'),
('10105', 'Wiederholt sich am', 'de', '0', '0'),
('10106', 'Jeder Wochentag', 'de', '0', '0'),
('10107', 'Jeden Mo., Mi., Fr.', 'de', '0', '0'),
('10108', 'Jeden Di., Do.', 'de', '0', '0'),
('10109', 'Wiederholt sich jeden', 'de', '0', '0'),
('10110', 'Jeder Wochentag', 'de', '0', '0'),
('10111', 'Montag, Mittwoch, Freitag', 'de', '0', '0'),
('10112', 'Dienstag, Donnerstag', 'de', '0', '0'),
('10113', 'Jeden @bymonthday im', 'de', '0', '0'),
('10114', 'Nach Monat', 'de', '0', '0'),
('10115', 'Jeden @byday im', 'de', '0', '0'),
('10116', 'Am Tag ... von ...', 'de', '0', '0'),
('10117', 'Am ... des ...', 'de', '0', '0'),
('10118', 'Nach @count Vorkommnissen', 'de', '0', '0'),
('10119', 'Anzahl', 'de', '0', '0'),
('10120', 'Am', 'de', '0', '0'),
('10121', 'Bis', 'de', '0', '0'),
('10122', 'Wiederholung beenden', 'de', '0', '0'),
('10123', 'Termine ausschließen', 'de', '0', '0'),
('10124', 'Termine einschließen', 'de', '0', '0'),
('10125', 'Wiederholungseinstellungen', 'de', '0', '0'),
('10126', 'Täglich', 'de', '0', '0'),
('10127', 'Wöchentlich', 'de', '0', '0'),
('10128', 'Monatlich', 'de', '0', '0'),
('10129', 'Jährlich', 'de', '0', '0'),
('10130', 'Fehlender Wert im Wiederholungszeitraum. (BIS).', 'de', '0', '0'),
('10131', 'Fehlender Wert im Wiederholungszeitraum: Jahr (BIS).', 'de', '0', '0'),
('10132', 'Fehlender Wert im Wiederholungszeitraum: Monat (BIS).', 'de', '0', '0'),
('10133', 'Fehlender Wert im Wiederholungszeitraum: Tag (BIS).', 'de', '0', '0'),
('10134', 'Fehlender Wert im Wiederholungszeitraum. (ANZAHL).', 'de', '0', '0'),
('10135', 'Erweitert', 'de', '0', '0'),
('10136', 'Zusammengeklappt', 'de', '0', '0'),
('10137', 'Anzeige wiederholen', 'de', '0', '0'),
('10138', 'Datumsangaben zwischenspeichern', 'de', '0', '0'),
('10139', 'Maximale Anzahl an Datumsangaben pro Feld', 'de', '0', '0'),
('10140', 'Die Anzahl der zwischenzuspeicherenden Werte muss eine Zahl sein.', 'de', '0', '0'),
('10141', 'Die Anzahl der zwischenzuspeicherenden Werte muss eine Zahl >= 0 sein.', 'de', '0', '0'),
('10142', 'bis:', 'de', '0', '0'),
('10143', 'Die Konfiguration von Terminen und Kalendern kann kompliziert sein. Der !date_wizard vereinfacht die Erstellung eines Inhaltstyps mit einem Datumsfeld. ', 'de', '0', '0'),
('10144', 'Die Konfiguration von Terminen und Kalendern kann kompliziert sein. Nach Aktivieren des Date-Tools-Moduls, steht ein Datumsassistent zu Verfügung, der die Erstellung eines Inhaltstyps mit einem Datumsfeld vereinfacht. ', 'de', '0', '0'),
('10145', 'Wie die vergangene oder zukünftige Zeit für dieses Feld angezeigt werden soll.', 'de', '0', '0'),
('10146', 'Es wurde kein gültiger Zeitzonenname angegeben.', 'de', '0', '0'),
('10147', 'Lesbare URL', 'de', '0', '0'),
('10148', 'Der erste Tag der Woche wurde auf <a href="@regional_settings">@day</a> eingestellt.', 'de', '0', '0'),
('10773', 'Einstellungen', 'de', '0', '0'),
('10775', 'Menüname', 'de', '0', '0'),
('10776', 'Menütitel', 'de', '0', '0'),
('10778', 'Menüeintrag', 'de', '0', '0'),
('10800', 'Zeile hinzufügen', 'de', '0', '0'),
('10859', 'Zoom', 'de', '0', '0'),
('10860', 'Elastisch', 'de', '0', '0'),
('10861', 'Schwarz', 'de', '0', '0'),
('10862', 'Blau', 'de', '0', '0'),
('10863', 'Grün', 'de', '0', '0'),
('10867', 'Animation', 'de', '0', '0');
/*!40000 ALTER TABLE locales_target ENABLE KEYS */;

--
-- Table structure for table 'media_filter_usage'
--

CREATE TABLE IF NOT EXISTS `media_filter_usage` (
  `fid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The media file_managed.fid.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The timestamp the fid was last recorded by media_filter()',
  PRIMARY KEY (`fid`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores fids that have been included in the media tag in...' COMMENT='Stores fids that have been included in the media tag in...';

--
-- Dumping data for table 'media_filter_usage'
--

/*!40000 ALTER TABLE media_filter_usage DISABLE KEYS */;
/*!40000 ALTER TABLE media_filter_usage ENABLE KEYS */;

--
-- Table structure for table 'media_list_type'
--

CREATE TABLE IF NOT EXISTS `media_list_type` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user.uid of the user.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The type of display (table or images).',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the user preference for whether to list as table...' COMMENT='Stores the user preference for whether to list as table...';

--
-- Dumping data for table 'media_list_type'
--

/*!40000 ALTER TABLE media_list_type DISABLE KEYS */;
/*!40000 ALTER TABLE media_list_type ENABLE KEYS */;

--
-- Table structure for table 'media_type'
--

CREATE TABLE IF NOT EXISTS `media_type` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The machine name of the media type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label of the media type.',
  `base` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'If this is a base type (i.e. cannot be deleted)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of media type. Determines which one wins when claiming a piece of media (first wins)',
  `type_callback` varchar(255) DEFAULT '' COMMENT 'Callback to determine if provided media is of this type.',
  `type_callback_args` longtext COMMENT 'A serialized array of name value pairs that will be passed to the callback function',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the settings for media types.' COMMENT='Stores the settings for media types.';

--
-- Dumping data for table 'media_type'
--

/*!40000 ALTER TABLE media_type DISABLE KEYS */;
INSERT INTO `media_type` VALUES
('audio', 'Audio', '1', '0', 'media_is_type', 'a:4:{s:10:"match_type";s:3:"all";s:9:"mimetypes";a:1:{i:0;s:8:"/^audio/";}s:10:"extensions";a:3:{i:0;s:3:"mp3";i:1;s:3:"ogg";i:2;s:3:"wma";}s:7:"streams";a:2:{i:0;s:6:"public";i:1;s:7:"private";}}'),
('default', 'Other', '1', '1000', 'media_is_type', 'a:2:{s:10:"match_type";s:3:"any";s:9:"mimetypes";a:1:{i:0;s:4:"/.*/";}}'),
('image', 'Image', '1', '0', 'media_is_type', 'a:4:{s:10:"match_type";s:3:"all";s:9:"mimetypes";a:1:{i:0;s:8:"/^image/";}s:10:"extensions";a:5:{i:0;s:3:"jpg";i:1;s:4:"jpeg";i:2;s:3:"gif";i:3;s:3:"png";i:4;s:4:"tiff";}s:7:"streams";a:2:{i:0;s:6:"public";i:1;s:7:"private";}}'),
('video', 'Video', '1', '0', 'media_is_type', 'a:4:{s:10:"match_type";s:3:"all";s:9:"mimetypes";a:1:{i:0;s:8:"/^video/";}s:10:"extensions";a:3:{i:0;s:3:"mov";i:1;s:3:"mp4";i:2;s:3:"avi";}s:7:"streams";a:2:{i:0;s:6:"public";i:1;s:7:"private";}}');
/*!40000 ALTER TABLE media_type ENABLE KEYS */;

--
-- Table structure for table 'menu_custom'
--

CREATE TABLE IF NOT EXISTS `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...' COMMENT='Holds definitions for top-level custom menus (for example...';

--
-- Dumping data for table 'menu_custom'
--

/*!40000 ALTER TABLE menu_custom DISABLE KEYS */;
INSERT INTO `menu_custom` VALUES
('main-menu', 'Main menu', 'The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),
('management', 'Management', 'The <em>Management</em> menu contains links for administrative tasks.'),
('menu-elemets-col-1', 'Elemets col 1', ''),
('menu-elemets-col-2', 'Elemets col 2', ''),
('menu-elemets-col-3', 'Elemets col 3', ''),
('menu-footer-menu', 'Footer menu', ''),
('menu-short-user-menu', 'Short user menu', ''),
('menu-sitemap', 'Sitemap', ''),
('navigation', 'Navigation', 'The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),
('user-menu', 'User menu', 'The <em>User</em> menu contains links related to the user''s account, as well as the ''Log out'' link.');
/*!40000 ALTER TABLE menu_custom ENABLE KEYS */;

--
-- Table structure for table 'menu_links'
--

CREATE TABLE IF NOT EXISTS `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=12193 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.' COMMENT='Contains the individual links within a menu.';

--
-- Dumping data for table 'menu_links'
--

/*!40000 ALTER TABLE menu_links DISABLE KEYS */;
INSERT INTO `menu_links` VALUES
('user-menu', '2', '0', 'user', 'user', 'My Account', 'a:2:{s:5:"alter";b:1;s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 0, 0, '-49', 1, 1, '2', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '15', '0', 'user/logout', 'user/logout', 'Sign out', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 0, 0, '-47', 1, 1, '15', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('shortcut-set-1', '199', '0', 'node/add', 'node/add', 'Add content', 'a:0:{}', 'menu', 0, 0, 0, 0, '-50', 1, 0, '199', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('shortcut-set-1', '200', '0', 'admin/content', 'admin/content', 'Find content', 'a:0:{}', 'menu', 0, 0, 0, 0, '-49', 1, 0, '200', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '201', '0', '<front>', '', 'Home', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 1, 0, '-50', 1, 1, '201', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '202', '0', 'search', 'search', 'Search', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 1, '202', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '320', '0', 'blog', 'blog', 'Blog', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 1, 0, 1, 0, '0', 1, 1, '320', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '325', '0', 'poll', 'poll', 'Polls', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 1, '325', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '435', '0', 'faq', 'faq', 'FAQ''s', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-43', 1, 1, '435', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '668', '0', 'blog', 'blog', 'Blog', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-46', 1, 1, '668', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '747', '0', 'user/login', 'user/login', 'Sign in', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 1, 1, '747', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '1056', '0', 'faq-questions-top', 'faq-questions-top', 'FAQ', 'a:0:{}', 'system', 1, 0, 0, 0, '0', 1, 1, '1056', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '1145', '0', 'portfolio-1-col', 'portfolio-1-col', 'Portfolio 1 col', 'a:0:{}', 'system', 0, 0, 0, 0, '-50', 1, 1, '1145', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '1146', '0', 'portfolio-2-col', 'portfolio-2-col', 'Portfolio 2 cols', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 0, 0, '-49', 1, 1, '1146', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '1147', '0', 'portfolio-3-col', 'portfolio-3-col', 'Portfolio 3 cols', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 0, 0, '-48', 1, 1, '1147', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '1446', '0', 'portfolio-2-cols', 'portfolio-2-cols', 'Portfolio 2 cols', 'a:0:{}', 'system', 0, 0, 0, 0, '-49', 1, 1, '1446', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '1447', '0', 'portfolio-3-cols', 'portfolio-3-cols', 'Portfolio 3 cols', 'a:0:{}', 'system', 0, 0, 0, 0, '-48', 1, 1, '1447', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '3769', '0', 'portfolio-3', 'portfolio-3', 'Portfolio 3', 'a:0:{}', 'system', 0, 0, 1, 0, '-49', 1, 1, '3769', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '4865', '0', 'playlists', 'playlists', 'Playlists', 'a:0:{}', 'system', 0, 0, 0, 0, '-49', 1, 1, '4865', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '4931', '0', 'contacts', 'contacts', 'Contacts', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '4931', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '5076', '668', 'archive', 'archive', 'Blog archive', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-46', 2, 1, '668', '5076', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '5079', '3769', 'taxonomy/term/31', 'taxonomy/term/%', 'Category 1', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 2, 1, '3769', '5079', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '5080', '3769', 'taxonomy/term/30', 'taxonomy/term/%', 'Category 2', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 2, 1, '3769', '5080', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '5081', '3769', 'taxonomy/term/29', 'taxonomy/term/%', 'Category 3', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 2, 1, '3769', '5081', '0', '0', '0', '0', '0', '0', '0', 0),
('book-toc-127', '6059', '0', 'node/127', 'node/%', 'Vivamus lacus erat', 'a:0:{}', 'book', 0, 0, 1, 0, '0', 1, 0, '6059', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('book-toc-127', '6060', '6059', 'node/128', 'node/%', 'Maecenas sollicitudin quis', 'a:0:{}', 'book', 0, 0, 0, 0, '0', 2, 0, '6059', '6060', '0', '0', '0', '0', '0', '0', '0', 0),
('book-toc-127', '6061', '6059', 'node/129', 'node/%', 'Maecenas dui urna', 'a:0:{}', 'book', 0, 0, 0, 0, '0', 2, 0, '6059', '6061', '0', '0', '0', '0', '0', '0', '0', 0),
('book-toc-127', '6062', '6059', 'node/130', 'node/%', 'Suspendisse et enim', 'a:0:{}', 'book', 0, 0, 0, 0, '0', 2, 0, '6059', '6062', '0', '0', '0', '0', '0', '0', '0', 0),
('book-toc-127', '6063', '6059', 'node/131', 'node/%', 'Quisque ac arcu', 'a:0:{}', 'book', 0, 0, 0, 0, '0', 2, 0, '6059', '6063', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6233', '0', 'features', 'features', 'Features', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 0, 0, '-45', 1, 1, '6233', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6295', '0', 'gallery', 'gallery', 'Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '-48', 1, 1, '6295', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '6499', '0', 'aggregator/categories/1', 'aggregator/categories/%', 'Drupal news', 'a:0:{}', 'aggregator', 1, 0, 0, 0, '0', 1, 1, '6499', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6680', '668', 'categories', 'categories', 'Blog categories', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-47', 2, 1, '668', '6680', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6709', '0', 'about', 'about', 'Pages', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-49', 1, 1, '6709', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '6715', '0', 'comments', 'comments', 'Comments', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '6715', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6724', '10945', 'portfolio-1', 'portfolio-1', 'Portfolio (1 column)', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 2, 1, '10945', '6724', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6725', '10946', 'portfolio-classic-2-cols', 'portfolio-classic-2-cols', '2 Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 3, 1, '10945', '10946', '6725', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6726', '10946', 'portfolio-classic-3-cols', 'portfolio-classic-3-cols', '3 Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 3, 1, '10945', '10946', '6726', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6729', '10945', 'portfolio-masonry', 'portfolio-masonry', 'Portfolio (Masonry)', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-47', 2, 1, '10945', '6729', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6730', '668', 'blog-grid', 'blog-grid', 'Blog (Grid)', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 2, 1, '668', '6730', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6731', '668', 'blog-timeline', 'blog-timeline', 'Blog (Timeline)', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 2, 1, '668', '6731', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '6732', '668', 'blog-masonry', 'blog-masonry', 'Blog (Masonry)', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 2, 1, '668', '6732', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '7172', '0', 'user/register', 'user/register', 'Sign up', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 1, 1, '7172', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '7803', '201', '<front>', '', 'Home 1', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '-50', 2, 1, '201', '7803', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '7804', '201', 'home-2', 'home-2', 'Home 2', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 2, 1, '201', '7804', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10229', '0', 'contact', 'contact', 'Contact', 'a:0:{}', 'system', 1, 0, 0, 0, '0', 1, 0, '10229', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10230', '0', 'aggregator', 'aggregator', 'Feed aggregator', 'a:0:{}', 'system', 0, 0, 1, 0, '5', 1, 0, '10230', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10231', '0', 'forum', 'forum', 'Forums', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 1, 0, '10231', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10232', '0', 'tracker', 'tracker', 'Recent content', 'a:0:{}', 'system', 0, 0, 0, 0, '1', 1, 0, '10232', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10233', '0', 'admin', 'admin', 'Administration', 'a:0:{}', 'system', 0, 0, 1, 0, '9', 1, 0, '10233', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '10234', '0', 'about', 'about', 'About', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10234', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '10237', '0', 'columns', 'columns', 'Columns', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10237', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '10239', '0', 'counters', 'counters', 'Counters', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10239', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '10245', '0', 'privacy-policy', 'privacy-policy', 'Privacy policy', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10245', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '10247', '0', 'services', 'services', 'Services', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10247', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10254', '10232', 'tracker/all', 'tracker/all', 'All recent content', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10232', '10254', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10255', '10230', 'aggregator/categories', 'aggregator/categories', 'Categories', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 2, 0, '10230', '10255', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10256', '0', 'comment/%', 'comment/%', 'Comment permalink', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 1, 0, '10256', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10257', '0', 'filter/tips', 'filter/tips', 'Compose tips', 'a:0:{}', 'system', 1, 0, 1, 0, '0', 1, 0, '10257', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10258', '10231', 'forum/%', 'forum/%', 'Forums', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10231', '10258', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10259', '0', 'media/%', 'media/%', '', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 1, 0, '10259', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10260', '10232', 'tracker/%', 'tracker/%', 'My recent content', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10232', '10260', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10261', '10230', 'aggregator/sources', 'aggregator/sources', 'Sources', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 2, 0, '10230', '10261', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10263', '0', 'node/%', 'node/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10263', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10264', '0', 'node/add', 'node/add', 'Add content', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 1, 0, '10264', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10265', '10233', 'admin/add_func', 'admin/add_func', 'Additional Functionality', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 2, 0, '10233', '10265', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10266', '10233', 'admin/appearance', 'admin/appearance', 'Appearance', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"Select and configure your themes.";}}', 'system', 0, 0, 0, 0, '-6', 2, 0, '10233', '10266', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10267', '10233', 'admin/config', 'admin/config', 'Configuration', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:20:"Administer settings.";}}', 'system', 0, 0, 1, 0, '0', 2, 0, '10233', '10267', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10268', '10233', 'admin/content', 'admin/content', 'Content', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:32:"Administer content and comments.";}}', 'system', 0, 0, 1, 0, '-10', 2, 0, '10233', '10268', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10269', '202', 'search/node', 'search/node', 'Content', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 2, 0, '202', '10269', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '10270', '2', 'user/register', 'user/register', 'Create new account', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '2', '10270', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10271', '10233', 'admin/index', 'admin/index', 'Index', 'a:0:{}', 'system', -1, 0, 0, 0, '-18', 2, 0, '10233', '10271', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '10272', '2', 'user/login', 'user/login', 'Log in', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '2', '10272', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10273', '10233', 'admin/modules', 'admin/modules', 'Modules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"Extend site functionality.";}}', 'system', 0, 0, 0, 0, '-2', 2, 0, '10233', '10273', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10274', '0', 'user/%', 'user/%', 'My account', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 1, 0, '10274', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10275', '320', 'blog/%', 'blog/%', 'My blog', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '320', '10275', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10276', '10233', 'admin/people', 'admin/people', 'People', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Manage user accounts, roles, and permissions.";}}', 'system', 0, 0, 0, 0, '-4', 2, 0, '10233', '10276', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10277', '10233', 'admin/reports', 'admin/reports', 'Reports', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"View reports, updates, and errors.";}}', 'system', 0, 0, 1, 0, '5', 2, 0, '10233', '10277', '0', '0', '0', '0', '0', '0', '0', 0),
('user-menu', '10278', '2', 'user/password', 'user/password', 'Request new password', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '2', '10278', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10279', '10233', 'admin/structure', 'admin/structure', 'Structure', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Administer blocks, content types, menus, etc.";}}', 'system', 0, 0, 1, 0, '-8', 2, 0, '10233', '10279', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10281', '10233', 'admin/tasks', 'admin/tasks', 'Tasks', 'a:0:{}', 'system', -1, 0, 0, 0, '-20', 2, 0, '10233', '10281', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10284', '202', 'search/user', 'search/user', 'Users', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '202', '10284', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10289', '10255', 'aggregator/categories/%', 'aggregator/categories/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10230', '10255', '10289', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10290', '10261', 'aggregator/sources/%', 'aggregator/sources/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10230', '10261', '10290', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10291', '0', 'comment/reply/%', 'comment/reply/%', 'Add new comment', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10291', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10292', '10256', 'comment/%/approve', 'comment/%/approve', 'Approve', 'a:0:{}', 'system', 0, 0, 0, 0, '1', 2, 0, '10256', '10292', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10293', '10257', 'filter/tips/%', 'filter/tips/%', 'Compose tips', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10257', '10293', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10294', '10256', 'comment/%/delete', 'comment/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 2, 0, '10256', '10294', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10295', '10259', 'media/%/delete', 'media/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 2, 0, '10259', '10295', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10296', '10256', 'comment/%/edit', 'comment/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10256', '10296', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10297', '10259', 'media/%/edit', 'media/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10259', '10297', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10298', '10259', 'media/%/multiedit', 'media/%/multiedit', 'Multi Edit', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10259', '10298', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10299', '10259', 'media/%/format-form', 'media/%/format-form', 'Style selector', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Choose a format for a piece of media";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10259', '10299', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10300', '0', 'taxonomy/term/%', 'taxonomy/term/%', 'Taxonomy term', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '10300', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10301', '10259', 'media/%/view', 'media/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 2, 0, '10259', '10301', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10302', '10256', 'comment/%/view', 'comment/%/view', 'View comment', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 2, 0, '10256', '10302', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10303', '10273', 'admin/modules/install', 'admin/modules/install', 'Install new module', 'a:0:{}', 'system', -1, 0, 0, 0, '25', 3, 0, '10233', '10273', '10303', '0', '0', '0', '0', '0', '0', 0),
('management', '10304', '10266', 'admin/appearance/install', 'admin/appearance/install', 'Install new theme', 'a:0:{}', 'system', -1, 0, 0, 0, '25', 3, 0, '10233', '10266', '10304', '0', '0', '0', '0', '0', '0', 0),
('management', '10305', '10276', 'admin/people/create', 'admin/people/create', 'Add user', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '10233', '10276', '10305', '0', '0', '0', '0', '0', '0', 0),
('management', '10306', '10267', 'admin/config/administration', 'admin/config/administration', 'Administration', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:21:"Administration tools.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10267', '10306', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10307', '10264', 'node/add/article', 'node/add/article', 'Article', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:89:"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10307', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10308', '10277', 'admin/reports/updates', 'admin/reports/updates', 'Available updates', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:82:"Get a status report about available updates for your installed modules and themes.";}}', 'system', 0, 0, 0, 0, '-50', 3, 0, '10233', '10277', '10308', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10309', '10264', 'node/add/banner', 'node/add/banner', 'Banner', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10309', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10310', '10264', 'node/add/page', 'node/add/page', 'Basic page', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:77:"Use <em>basic pages</em> for your static content, such as an ''About us'' page.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10310', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10311', '10279', 'admin/structure/block', 'admin/structure/block', 'Blocks', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:79:"Configure what block content appears in your site''s sidebars and other regions.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10311', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10312', '10264', 'node/add/blog', 'node/add/blog', 'Blog entry', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:58:"Use for multi-user blogs. Every user gets a personal blog.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10312', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10313', '10264', 'node/add/book', 'node/add/book', 'Book page', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:87:"<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10313', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10315', '10274', 'user/%/cancel', 'user/%/cancel', 'Cancel account', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 2, 0, '10274', '10315', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10316', '10268', 'admin/content/comment', 'admin/content/comment', 'Comments', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:59:"List and edit site comments and the comment approval queue.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10268', '10316', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10317', '10274', 'user/%/contact', 'user/%/contact', 'Contact', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 2, 0, '10274', '10317', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10318', '10279', 'admin/structure/contact', 'admin/structure/contact', 'Contact form', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:71:"Create a system contact form and set up categories for the form to use.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10318', '0', '0', '0', '0', '0', '0', 0),
('management', '10319', '10268', 'admin/content/node', 'admin/content/node', 'Content', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 3, 0, '10233', '10268', '10319', '0', '0', '0', '0', '0', '0', 0),
('management', '10320', '10267', 'admin/config/content', 'admin/config/content', 'Content authoring', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:53:"Settings related to formatting and authoring content.";}}', 'system', 0, 0, 1, 0, '-15', 3, 0, '10233', '10267', '10320', '0', '0', '0', '0', '0', '0', 0),
('management', '10321', '10279', 'admin/structure/types', 'admin/structure/types', 'Content types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:92:"Manage content types, including default status, front page promotion, comment settings, etc.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10321', '0', '0', '0', '0', '0', '0', 0),
('management', '10322', '10267', 'admin/config/date', 'admin/config/date', 'Date API', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"Settings for modules the use the Date API.";}}', 'system', 0, 0, 0, 0, '-10', 3, 0, '10233', '10267', '10322', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10323', '10263', 'node/%/delete', 'node/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 2, 0, '10263', '10323', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10324', '10267', 'admin/config/development', 'admin/config/development', 'Development', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:18:"Development tools.";}}', 'system', 0, 0, 1, 0, '-10', 3, 0, '10233', '10267', '10324', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10325', '10274', 'user/%/edit', 'user/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10274', '10325', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10326', '10263', 'node/%/edit', 'node/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10263', '10326', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10327', '10264', 'node/add/employee', 'node/add/employee', 'Employee', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:9:"Add staff";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10327', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10328', '10264', 'node/add/faq', 'node/add/faq', 'FAQ', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10328', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10329', '10277', 'admin/reports/fields', 'admin/reports/fields', 'Field list', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Overview of fields on all entity types.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10277', '10329', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10331', '10264', 'node/add/forum', 'node/add/forum', 'Forum topic', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:69:"A <em>forum topic</em> starts a new discussion thread within a forum.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10331', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10332', '10279', 'admin/structure/forum', 'admin/structure/forum', 'Forums', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"Control forum hierarchy settings.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10332', '0', '0', '0', '0', '0', '0', 0),
('management', '10333', '10266', 'admin/appearance/list', 'admin/appearance/list', 'List', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Select and configure your theme";}}', 'system', -1, 0, 0, 0, '-1', 3, 0, '10233', '10266', '10333', '0', '0', '0', '0', '0', '0', 0),
('management', '10334', '10273', 'admin/modules/list', 'admin/modules/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '10233', '10273', '10334', '0', '0', '0', '0', '0', '0', 0),
('management', '10335', '10276', 'admin/people/people', 'admin/people/people', 'List', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:50:"Find and manage people interacting with your site.";}}', 'system', -1, 0, 0, 0, '-10', 3, 0, '10233', '10276', '10335', '0', '0', '0', '0', '0', '0', 0),
('management', '10336', '10268', 'admin/content/media', 'admin/content/media', 'Media', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Manage files used on your site.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10268', '10336', '0', '0', '0', '0', '0', '0', 0),
('management', '10337', '10267', 'admin/config/media', 'admin/config/media', 'Media', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:12:"Media tools.";}}', 'system', 0, 0, 1, 0, '-10', 3, 0, '10233', '10267', '10337', '0', '0', '0', '0', '0', '0', 0),
('management', '10338', '10279', 'admin/structure/menu', 'admin/structure/menu', 'Menus', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:86:"Add new menus to your site, edit existing menus, and rename and reorganize menu links.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10338', '0', '0', '0', '0', '0', '0', 0),
('management', '10340', '10279', 'admin/structure/pages', 'admin/structure/pages', 'Pages', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:84:"Add, edit and remove overridden system pages and user defined pages from the system.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10340', '0', '0', '0', '0', '0', '0', 0),
('management', '10341', '10273', 'admin/modules/update', 'admin/modules/update', 'Update', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 3, 0, '10233', '10273', '10341', '0', '0', '0', '0', '0', '0', 0),
('management', '10342', '10266', 'admin/appearance/update', 'admin/appearance/update', 'Update', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 3, 0, '10233', '10266', '10342', '0', '0', '0', '0', '0', '0', 0),
('management', '10343', '10279', 'admin/structure/panels', 'admin/structure/panels', 'Panels', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:49:"Get a bird''s eye view of items related to Panels.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10279', '10343', '0', '0', '0', '0', '0', '0', 0),
('management', '10344', '10267', 'admin/config/people', 'admin/config/people', 'People', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:24:"Configure user accounts.";}}', 'system', 0, 0, 1, 0, '-20', 3, 0, '10233', '10267', '10344', '0', '0', '0', '0', '0', '0', 0),
('management', '10345', '10276', 'admin/people/permissions', 'admin/people/permissions', 'Permissions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:64:"Determine access to features by selecting permissions for roles.";}}', 'system', -1, 0, 0, 0, '0', 3, 0, '10233', '10276', '10345', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10346', '10264', 'node/add/poll', 'node/add/poll', 'Poll', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:191:"A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10346', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10347', '10264', 'node/add/project', 'node/add/project', 'Project', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10347', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10348', '10277', 'admin/reports/hits', 'admin/reports/hits', 'Recent hits', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View pages that have recently been visited.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10277', '10348', '0', '0', '0', '0', '0', '0', 0),
('management', '10349', '10267', 'admin/config/regional', 'admin/config/regional', 'Regional and language', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"Regional settings, localization and translation.";}}', 'system', 0, 0, 1, 0, '-5', 3, 0, '10233', '10267', '10349', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10350', '10263', 'node/%/results', 'node/%/results', 'Results', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 2, 0, '10263', '10350', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10351', '10263', 'node/%/revisions', 'node/%/revisions', 'Revisions', 'a:0:{}', 'system', -1, 0, 1, 0, '2', 2, 0, '10263', '10351', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10352', '10267', 'admin/config/search', 'admin/config/search', 'Search and metadata', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Local site search, metadata and SEO.";}}', 'system', 0, 0, 1, 0, '-10', 3, 0, '10233', '10267', '10352', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10353', '10264', 'node/add/service', 'node/add/service', 'Service', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10353', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10354', '10266', 'admin/appearance/settings', 'admin/appearance/settings', 'Settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:46:"Configure default and theme specific settings.";}}', 'system', -1, 0, 0, 0, '20', 3, 0, '10233', '10266', '10354', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10355', '10274', 'user/%/shortcuts', 'user/%/shortcuts', 'Shortcuts', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10274', '10355', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10356', '10264', 'node/add/slide', 'node/add/slide', 'Slide', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Use to create slides in header-slider.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10356', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10357', '10279', 'admin/structure/demo', 'admin/structure/demo', 'Snapshots', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Create snapshots and reset the site.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10279', '10357', '0', '0', '0', '0', '0', '0', 0),
('management', '10358', '10277', 'admin/reports/status', 'admin/reports/status', 'Status report', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Get a status report about your site''s operation and any detected problems.";}}', 'system', 0, 0, 0, 0, '-60', 3, 0, '10233', '10277', '10358', '0', '0', '0', '0', '0', '0', 0),
('management', '10359', '10267', 'admin/config/system', 'admin/config/system', 'System', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"General system related configuration.";}}', 'system', 0, 0, 1, 0, '-20', 3, 0, '10233', '10267', '10359', '0', '0', '0', '0', '0', '0', 0),
('management', '10360', '10279', 'admin/structure/tb-megamenu', 'admin/structure/tb-megamenu', 'TB Mega Menu', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:12:"TB Mega Menu";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10279', '10360', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10361', '10264', 'node/add/tariff-plan', 'node/add/tariff-plan', 'Tariff plan', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10361', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10362', '10279', 'admin/structure/taxonomy', 'admin/structure/taxonomy', 'Taxonomy', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:67:"Manage tagging, categorization, and classification of your content.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10362', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10363', '10264', 'node/add/testimonial', 'node/add/testimonial', 'Testimonial', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10363', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10364', '10277', 'admin/reports/pages', 'admin/reports/pages', 'Top pages', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"View pages that have been hit frequently.";}}', 'system', 0, 0, 0, 0, '1', 3, 0, '10233', '10277', '10364', '0', '0', '0', '0', '0', '0', 0),
('management', '10365', '10277', 'admin/reports/referrers', 'admin/reports/referrers', 'Top referrers', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"View top referrers.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10277', '10365', '0', '0', '0', '0', '0', '0', 0),
('management', '10366', '10277', 'admin/reports/visitors', 'admin/reports/visitors', 'Top visitors', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"View visitors that hit many pages.";}}', 'system', 0, 0, 0, 0, '2', 3, 0, '10233', '10277', '10366', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10367', '10263', 'node/%/track', 'node/%/track', 'Track', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 2, 0, '10263', '10367', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10368', '10274', 'user/%/track', 'user/%/track', 'Track', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10274', '10368', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10369', '10279', 'admin/structure/trigger', 'admin/structure/trigger', 'Triggers', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Configure when to execute actions.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10279', '10369', '0', '0', '0', '0', '0', '0', 0),
('management', '10370', '10273', 'admin/modules/uninstall', 'admin/modules/uninstall', 'Uninstall', 'a:0:{}', 'system', -1, 0, 0, 0, '20', 3, 0, '10233', '10273', '10370', '0', '0', '0', '0', '0', '0', 0),
('management', '10371', '10267', 'admin/config/user-interface', 'admin/config/user-interface', 'User interface', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Tools that enhance the user interface.";}}', 'system', 0, 0, 1, 0, '-15', 3, 0, '10233', '10267', '10371', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10372', '10263', 'node/%/view', 'node/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 2, 0, '10263', '10372', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10373', '10274', 'user/%/view', 'user/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 2, 0, '10274', '10373', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10374', '10279', 'admin/structure/views', 'admin/structure/views', 'Views', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:35:"Manage customized lists of content.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10279', '10374', '0', '0', '0', '0', '0', '0', 0),
('management', '10375', '10277', 'admin/reports/views-plugins', 'admin/reports/views-plugins', 'Views plugins', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Overview of plugins used in all views.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10277', '10375', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10376', '10263', 'node/%/votes', 'node/%/votes', 'Votes', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 2, 0, '10263', '10376', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10377', '10267', 'admin/config/services', 'admin/config/services', 'Web services', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"Tools related to web services.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10267', '10377', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10378', '10264', 'node/add/webform', 'node/add/webform', 'Webform', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:138:"Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.";}}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '10378', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10379', '10267', 'admin/config/workflow', 'admin/config/workflow', 'Workflow', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Content workflow, editorial workflow tools.";}}', 'system', 0, 0, 1, 0, '5', 3, 0, '10233', '10267', '10379', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10380', '10269', 'search/node/%', 'search/node/%', 'Content', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '202', '10269', '10380', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10381', '10284', 'search/user/%', 'search/user/%', 'Users', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '202', '10284', '10381', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10382', '10289', 'aggregator/categories/%/categorize', 'aggregator/categories/%/categorize', 'Categorize', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10230', '10255', '10289', '10382', '0', '0', '0', '0', '0', 0),
('navigation', '10383', '10290', 'aggregator/sources/%/categorize', 'aggregator/sources/%/categorize', 'Categorize', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10230', '10261', '10290', '10383', '0', '0', '0', '0', '0', 0),
('navigation', '10384', '10289', 'aggregator/categories/%/configure', 'aggregator/categories/%/configure', 'Configure', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 4, 0, '10230', '10255', '10289', '10384', '0', '0', '0', '0', '0', 0),
('navigation', '10385', '10290', 'aggregator/sources/%/configure', 'aggregator/sources/%/configure', 'Configure', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 4, 0, '10230', '10261', '10290', '10385', '0', '0', '0', '0', '0', 0),
('navigation', '10386', '10300', 'taxonomy/term/%/edit', 'taxonomy/term/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 2, 0, '10300', '10386', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10387', '10289', 'aggregator/categories/%/view', 'aggregator/categories/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10230', '10255', '10289', '10387', '0', '0', '0', '0', '0', 0),
('navigation', '10388', '10290', 'aggregator/sources/%/view', 'aggregator/sources/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10230', '10261', '10290', '10388', '0', '0', '0', '0', '0', 0),
('navigation', '10389', '10300', 'taxonomy/term/%/view', 'taxonomy/term/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10300', '10389', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10390', '10359', 'admin/config/system/actions', 'admin/config/system/actions', 'Actions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Manage the actions defined for your site.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10267', '10359', '10390', '0', '0', '0', '0', '0', 0),
('management', '10391', '10311', 'admin/structure/block/add', 'admin/structure/block/add', 'Add block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10311', '10391', '0', '0', '0', '0', '0', 0),
('management', '10392', '10318', 'admin/structure/contact/add', 'admin/structure/contact/add', 'Add category', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 4, 0, '10233', '10279', '10318', '10392', '0', '0', '0', '0', '0', 0),
('management', '10393', '10321', 'admin/structure/types/add', 'admin/structure/types/add', 'Add content type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10321', '10393', '0', '0', '0', '0', '0', 0),
('management', '10394', '10338', 'admin/structure/menu/add', 'admin/structure/menu/add', 'Add menu', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '10394', '0', '0', '0', '0', '0', 0),
('management', '10395', '10374', 'admin/structure/views/add', 'admin/structure/views/add', 'Add new view', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10395', '0', '0', '0', '0', '0', 0),
('management', '10396', '10374', 'admin/structure/views/add-template', 'admin/structure/views/add-template', 'Add view from template', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10396', '0', '0', '0', '0', '0', 0),
('management', '10397', '10362', 'admin/structure/taxonomy/add', 'admin/structure/taxonomy/add', 'Add vocabulary', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10362', '10397', '0', '0', '0', '0', '0', 0),
('management', '10398', '10371', 'admin/config/user-interface/addthis', 'admin/config/user-interface/addthis', 'AddThis', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Configure AddThis settings.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10371', '10398', '0', '0', '0', '0', '0', 0),
('management', '10399', '10277', 'admin/reports/access/%', 'admin/reports/access/%', 'Details', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:16:"View access log.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10277', '10399', '0', '0', '0', '0', '0', '0', 0),
('management', '10401', '10362', 'admin/structure/taxonomy/%', 'admin/structure/taxonomy/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10362', '10401', '0', '0', '0', '0', '0', 0),
('management', '10402', '10344', 'admin/config/people/accounts', 'admin/config/people/accounts', 'Account settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:109:"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.";}}', 'system', 0, 0, 0, 0, '-10', 4, 0, '10233', '10267', '10344', '10402', '0', '0', '0', '0', '0', 0),
('management', '10403', '10340', 'admin/structure/pages/add', 'admin/structure/pages/add', 'Add custom page', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10340', '10403', '0', '0', '0', '0', '0', 0),
('management', '10404', '10306', 'admin/config/administration/admin_menu', 'admin/config/administration/admin_menu', 'Administration menu', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Adjust administration menu settings.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10306', '10404', '0', '0', '0', '0', '0', 0),
('management', '10405', '10354', 'admin/appearance/settings/bartik', 'admin/appearance/settings/bartik', 'Bartik', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10266', '10354', '10405', '0', '0', '0', '0', '0', 0),
('management', '10407', '10320', 'admin/config/content/cctags', 'admin/config/content/cctags', 'Cctags', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:21:"Configure the Cctags.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10320', '10407', '0', '0', '0', '0', '0', 0),
('management', '10408', '10352', 'admin/config/search/clean-urls', 'admin/config/search/clean-urls', 'Clean URLs', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Enable or disable clean URLs for your site.";}}', 'system', 0, 0, 0, 0, '5', 4, 0, '10233', '10267', '10352', '10408', '0', '0', '0', '0', '0', 0),
('management', '10409', '10337', 'admin/config/media/colorbox', 'admin/config/media/colorbox', 'Colorbox', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:25:"Adjust Colorbox settings.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10337', '10409', '0', '0', '0', '0', '0', 0),
('management', '10410', '10369', 'admin/structure/trigger/comment', 'admin/structure/trigger/comment', 'Comment', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10369', '10410', '0', '0', '0', '0', '0', 0),
('management', '10411', '10357', 'admin/structure/demo/dump', 'admin/structure/demo/dump', 'Create snapshot', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10357', '10411', '0', '0', '0', '0', '0', 0),
('management', '10412', '10359', 'admin/config/system/cron', 'admin/config/system/cron', 'Cron', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:40:"Manage automatic site maintenance tasks.";}}', 'system', 0, 0, 0, 0, '20', 4, 0, '10233', '10267', '10359', '10412', '0', '0', '0', '0', '0', 0),
('management', '10413', '10343', 'admin/structure/panels/dashboard', 'admin/structure/panels/dashboard', 'Dashboard', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10343', '10413', '0', '0', '0', '0', '0', 0),
('management', '10414', '10349', 'admin/config/regional/date-time', 'admin/config/regional/date-time', 'Date and time', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"Configure display formats for date and time.";}}', 'system', 0, 0, 0, 0, '-15', 4, 0, '10233', '10267', '10349', '10414', '0', '0', '0', '0', '0', 0),
('management', '10416', '10320', 'admin/config/content/email', 'admin/config/content/email', 'Email Contact Form Settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:57:"Administer flood control settings for email contact forms";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10320', '10416', '0', '0', '0', '0', '0', 0),
('management', '10417', '10359', 'admin/config/system/entity-view-modes', 'admin/config/system/entity-view-modes', 'Entity view modes', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Create new custom view modes for content.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10267', '10359', '10417', '0', '0', '0', '0', '0', 0),
('management', '10418', '10377', 'admin/config/services/aggregator', 'admin/config/services/aggregator', 'Feed aggregator', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:116:"Configure which content your site aggregates from other sites, how often it polls them, and how they''re categorized.";}}', 'system', 0, 0, 1, 0, '10', 4, 0, '10233', '10267', '10377', '10418', '0', '0', '0', '0', '0', 0),
('management', '10419', '10337', 'admin/config/media/file-system', 'admin/config/media/file-system', 'File system', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:68:"Tell Drupal where to store uploaded files and how they are accessed.";}}', 'system', 0, 0, 0, 0, '-10', 4, 0, '10233', '10267', '10337', '10419', '0', '0', '0', '0', '0', 0),
('management', '10420', '10337', 'admin/config/media/file-types', 'admin/config/media/file-types', 'File types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Manage files used on your site.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10267', '10337', '10420', '0', '0', '0', '0', '0', 0),
('management', '10421', '10337', 'admin/config/media/flexslider', 'admin/config/media/flexslider', 'FlexSlider', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"Administer FlexSlider presets.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10337', '10421', '0', '0', '0', '0', '0', 0),
('management', '10423', '10354', 'admin/appearance/settings/garland', 'admin/appearance/settings/garland', 'Garland', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10266', '10354', '10423', '0', '0', '0', '0', '0', 0),
('management', '10424', '10354', 'admin/appearance/settings/global', 'admin/appearance/settings/global', 'Global settings', 'a:0:{}', 'system', -1, 0, 0, 0, '-1', 4, 0, '10233', '10266', '10354', '10424', '0', '0', '0', '0', '0', 0),
('management', '10425', '10344', 'admin/config/people/ip-blocking', 'admin/config/people/ip-blocking', 'IP address blocking', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Manage blocked IP addresses.";}}', 'system', 0, 0, 1, 0, '10', 4, 0, '10233', '10267', '10344', '10425', '0', '0', '0', '0', '0', 0),
('management', '10426', '10337', 'admin/config/media/image-styles', 'admin/config/media/image-styles', 'Image styles', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:78:"Configure styles that can be used for resizing or adjusting images on display.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10267', '10337', '10426', '0', '0', '0', '0', '0', 0),
('management', '10427', '10337', 'admin/config/media/image-toolkit', 'admin/config/media/image-toolkit', 'Image toolkit', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";}}', 'system', 0, 0, 0, 0, '20', 4, 0, '10233', '10267', '10337', '10427', '0', '0', '0', '0', '0', 0),
('management', '10428', '10374', 'admin/structure/views/import', 'admin/structure/views/import', 'Import', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10428', '0', '0', '0', '0', '0', 0),
('management', '10429', '10336', 'admin/content/media/import', 'admin/content/media/import', 'Import media', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Import files into your media library.";}}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10268', '10336', '10429', '0', '0', '0', '0', '0', 0),
('management', '10430', '10340', 'admin/structure/pages/import', 'admin/structure/pages/import', 'Import page', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10340', '10430', '0', '0', '0', '0', '0', 0),
('management', '10431', '10371', 'admin/config/user-interface/isotope', 'admin/config/user-interface/isotope', 'Isotope Configurations', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Administer Isotope configurations.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10371', '10431', '0', '0', '0', '0', '0', 0),
('management', '10432', '10349', 'admin/config/regional/language', 'admin/config/regional/language', 'Languages', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:55:"Configure languages for content and the user interface.";}}', 'system', 0, 0, 1, 0, '-10', 4, 0, '10233', '10267', '10349', '10432', '0', '0', '0', '0', '0', 0),
('management', '10434', '10374', 'admin/structure/views/list', 'admin/structure/views/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10374', '10434', '0', '0', '0', '0', '0', 0);
INSERT INTO `menu_links` VALUES
('management', '10435', '10334', 'admin/modules/list/confirm', 'admin/modules/list/confirm', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10273', '10334', '10435', '0', '0', '0', '0', '0', 0),
('management', '10436', '10357', 'admin/structure/demo/list', 'admin/structure/demo/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10357', '10436', '0', '0', '0', '0', '0', 0),
('management', '10437', '10332', 'admin/structure/forum/list', 'admin/structure/forum/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10332', '10437', '0', '0', '0', '0', '0', 0),
('management', '10438', '10321', 'admin/structure/types/list', 'admin/structure/types/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10321', '10438', '0', '0', '0', '0', '0', 0),
('management', '10439', '10340', 'admin/structure/pages/list', 'admin/structure/pages/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10340', '10439', '0', '0', '0', '0', '0', 0),
('management', '10440', '10362', 'admin/structure/taxonomy/list', 'admin/structure/taxonomy/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10362', '10440', '0', '0', '0', '0', '0', 0),
('management', '10441', '10329', 'admin/reports/fields/list', 'admin/reports/fields/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10277', '10329', '10441', '0', '0', '0', '0', '0', 0),
('management', '10443', '10308', 'admin/reports/updates/list', 'admin/reports/updates/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10277', '10308', '10443', '0', '0', '0', '0', '0', 0),
('management', '10444', '10338', 'admin/structure/menu/list', 'admin/structure/menu/list', 'List menus', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10338', '10444', '0', '0', '0', '0', '0', 0),
('management', '10445', '10324', 'admin/config/development/logging', 'admin/config/development/logging', 'Logging and errors', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:154:"Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destinations, such as syslog, database, email, etc.";}}', 'system', 0, 0, 0, 0, '-15', 4, 0, '10233', '10267', '10324', '10445', '0', '0', '0', '0', '0', 0),
('management', '10446', '10324', 'admin/config/development/maintenance', 'admin/config/development/maintenance', 'Maintenance mode', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:62:"Take the site offline for maintenance or bring it back online.";}}', 'system', 0, 0, 0, 0, '-10', 4, 0, '10233', '10267', '10324', '10446', '0', '0', '0', '0', '0', 0),
('management', '10447', '10337', 'admin/config/media/browser', 'admin/config/media/browser', 'Media browser settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:56:"Configure the behavior and display of the media browser.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10337', '10447', '0', '0', '0', '0', '0', 0),
('management', '10448', '10371', 'admin/config/user-interface/modulefilter', 'admin/config/user-interface/modulefilter', 'Module filter', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:46:"Configure how the modules page looks and acts.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10371', '10448', '0', '0', '0', '0', '0', 0),
('management', '10449', '10369', 'admin/structure/trigger/node', 'admin/structure/trigger/node', 'Node', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10369', '10449', '0', '0', '0', '0', '0', 0),
('management', '10450', '10324', 'admin/config/development/performance', 'admin/config/development/performance', 'Performance', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:101:"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.";}}', 'system', 0, 0, 0, 0, '-20', 4, 0, '10233', '10267', '10324', '10450', '0', '0', '0', '0', '0', 0),
('management', '10451', '10345', 'admin/people/permissions/list', 'admin/people/permissions/list', 'Permissions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:64:"Determine access to features by selecting permissions for roles.";}}', 'system', -1, 0, 0, 0, '-8', 4, 0, '10233', '10276', '10345', '10451', '0', '0', '0', '0', '0', 0),
('management', '10452', '10316', 'admin/content/comment/new', 'admin/content/comment/new', 'Published comments', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10268', '10316', '10452', '0', '0', '0', '0', '0', 0),
('management', '10453', '10377', 'admin/config/services/rss-publishing', 'admin/config/services/rss-publishing', 'RSS publishing', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:114:"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10377', '10453', '0', '0', '0', '0', '0', 0),
('management', '10454', '10337', 'admin/config/media/rebuild_types', 'admin/config/media/rebuild_types', 'Rebuild type information for media', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:79:"In case there are files in file_managed w/o a type, this function rebuilds them";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10337', '10454', '0', '0', '0', '0', '0', 0),
('management', '10455', '10349', 'admin/config/regional/settings', 'admin/config/regional/settings', 'Regional settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:54:"Settings for the site''s default time zone and country.";}}', 'system', 0, 0, 0, 0, '-20', 4, 0, '10233', '10267', '10349', '10455', '0', '0', '0', '0', '0', 0),
('management', '10457', '10360', 'admin/structure/tb-megamenu/request', 'admin/structure/tb-megamenu/request', 'Request', 'a:0:{}', 'system', 1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10360', '10457', '0', '0', '0', '0', '0', 0),
('management', '10458', '10357', 'admin/structure/demo/reset', 'admin/structure/demo/reset', 'Reset', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 4, 0, '10233', '10279', '10357', '10458', '0', '0', '0', '0', '0', 0),
('management', '10459', '10345', 'admin/people/permissions/roles', 'admin/people/permissions/roles', 'Roles', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"List, edit, or add user roles.";}}', 'system', -1, 0, 1, 0, '-5', 4, 0, '10233', '10276', '10345', '10459', '0', '0', '0', '0', '0', 0),
('management', '10460', '10352', 'admin/config/search/settings', 'admin/config/search/settings', 'Search settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:67:"Configure relevance settings for search and other indexing options.";}}', 'system', 0, 0, 0, 0, '-10', 4, 0, '10233', '10267', '10352', '10460', '0', '0', '0', '0', '0', 0),
('management', '10462', '10357', 'admin/structure/demo/settings', 'admin/structure/demo/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 4, 0, '10233', '10279', '10357', '10462', '0', '0', '0', '0', '0', 0),
('management', '10463', '10338', 'admin/structure/menu/settings', 'admin/structure/menu/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 4, 0, '10233', '10279', '10338', '10463', '0', '0', '0', '0', '0', 0),
('management', '10464', '10343', 'admin/structure/panels/settings', 'admin/structure/panels/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10343', '10464', '0', '0', '0', '0', '0', 0),
('management', '10465', '10308', 'admin/reports/updates/settings', 'admin/reports/updates/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '50', 4, 0, '10233', '10277', '10308', '10465', '0', '0', '0', '0', '0', 0),
('management', '10466', '10374', 'admin/structure/views/settings', 'admin/structure/views/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10466', '0', '0', '0', '0', '0', 0),
('management', '10467', '10354', 'admin/appearance/settings/seven', 'admin/appearance/settings/seven', 'Seven', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10266', '10354', '10467', '0', '0', '0', '0', '0', 0),
('management', '10468', '10371', 'admin/config/user-interface/shortcut', 'admin/config/user-interface/shortcut', 'Shortcuts', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:29:"Add and modify shortcut sets.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10267', '10371', '10468', '0', '0', '0', '0', '0', 0),
('management', '10469', '10359', 'admin/config/system/site-information', 'admin/config/system/site-information', 'Site information', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:104:"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.";}}', 'system', 0, 0, 0, 0, '-20', 4, 0, '10233', '10267', '10359', '10469', '0', '0', '0', '0', '0', 0),
('management', '10470', '10354', 'admin/appearance/settings/stark', 'admin/appearance/settings/stark', 'Stark', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10266', '10354', '10470', '0', '0', '0', '0', '0', 0),
('management', '10471', '10359', 'admin/config/system/statistics', 'admin/config/system/statistics', 'Statistics', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:68:"Control details about what and how your site logs access statistics.";}}', 'system', 0, 0, 0, 0, '-15', 4, 0, '10233', '10267', '10359', '10471', '0', '0', '0', '0', '0', 0),
('management', '10473', '10369', 'admin/structure/trigger/system', 'admin/structure/trigger/system', 'System', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10369', '10473', '0', '0', '0', '0', '0', 0),
('management', '10474', '10369', 'admin/structure/trigger/taxonomy', 'admin/structure/trigger/taxonomy', 'Taxonomy', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10369', '10474', '0', '0', '0', '0', '0', 0),
('management', '10475', '10320', 'admin/config/content/formats', 'admin/config/content/formats', 'Text formats', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:127:"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10267', '10320', '10475', '0', '0', '0', '0', '0', 0),
('navigation', '10476', '10368', 'user/%/track/content', 'user/%/track/content', 'Track content', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '10274', '10368', '10476', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10477', '10368', 'user/%/track/navigation', 'user/%/track/navigation', 'Track page visits', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 3, 0, '10274', '10368', '10477', '0', '0', '0', '0', '0', '0', 0),
('management', '10478', '10349', 'admin/config/regional/translate', 'admin/config/regional/translate', 'Translate interface', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:59:"Translate the built in interface and optionally other text.";}}', 'system', 0, 0, 1, 0, '-5', 4, 0, '10233', '10267', '10349', '10478', '0', '0', '0', '0', '0', 0),
('management', '10479', '10316', 'admin/content/comment/approval', 'admin/content/comment/approval', 'Unapproved comments', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10268', '10316', '10479', '0', '0', '0', '0', '0', 0),
('management', '10480', '10369', 'admin/structure/trigger/unassign', 'admin/structure/trigger/unassign', 'Unassign', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Unassign an action from a trigger.";}}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10369', '10480', '0', '0', '0', '0', '0', 0),
('management', '10481', '10308', 'admin/reports/updates/install', 'admin/reports/updates/install', 'Install new module or theme', 'a:0:{}', 'system', -1, 0, 0, 0, '25', 4, 0, '10233', '10277', '10308', '10481', '0', '0', '0', '0', '0', 0),
('management', '10482', '10370', 'admin/modules/uninstall/confirm', 'admin/modules/uninstall/confirm', 'Uninstall', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10273', '10370', '10482', '0', '0', '0', '0', '0', 0),
('management', '10483', '10308', 'admin/reports/updates/update', 'admin/reports/updates/update', 'Update', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 4, 0, '10233', '10277', '10308', '10483', '0', '0', '0', '0', '0', 0),
('management', '10484', '10329', 'admin/reports/fields/views-fields', 'admin/reports/fields/views-fields', 'Used in views', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Overview of fields used in all views.";}}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10277', '10329', '10484', '0', '0', '0', '0', '0', 0),
('management', '10485', '10369', 'admin/structure/trigger/user', 'admin/structure/trigger/user', 'User', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10369', '10485', '0', '0', '0', '0', '0', 0),
('management', '10486', '10352', 'admin/config/search/votingapi', 'admin/config/search/votingapi', 'Voting API', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:65:"Configure sitewide settings for user-generated ratings and votes.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10352', '10486', '0', '0', '0', '0', '0', 0),
('management', '10487', '10340', 'admin/structure/pages/wizard', 'admin/structure/pages/wizard', 'Wizards', 'a:0:{}', 'system', -1, 0, 0, 0, '-5', 4, 0, '10233', '10279', '10340', '10487', '0', '0', '0', '0', '0', 0),
('management', '10489', '10354', 'admin/appearance/settings/gatsby', 'admin/appearance/settings/gatsby', 'Gatsby', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10266', '10354', '10489', '0', '0', '0', '0', '0', 0),
('management', '10490', '10324', 'admin/config/development/jquery_update', 'admin/config/development/jquery_update', 'jQuery update', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:83:"Configure settings related to the jQuery upgrade, the library path and compression.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10324', '10490', '0', '0', '0', '0', '0', 0),
('navigation', '10491', '10325', 'user/%/edit/account', 'user/%/edit/account', 'Account', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '10274', '10325', '10491', '0', '0', '0', '0', '0', '0', 0),
('management', '10492', '10332', 'admin/structure/forum/settings', 'admin/structure/forum/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 4, 0, '10233', '10279', '10332', '10492', '0', '0', '0', '0', '0', 0),
('management', '10493', '10475', 'admin/config/content/formats/%', 'admin/config/content/formats/%', '', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 5, 0, '10233', '10267', '10320', '10475', '10493', '0', '0', '0', '0', 0),
('management', '10494', '10421', 'admin/config/media/flexslider/add', 'admin/config/media/flexslider/add', 'Add', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10337', '10421', '10494', '0', '0', '0', '0', 0),
('management', '10495', '10431', 'admin/config/user-interface/isotope/add', 'admin/config/user-interface/isotope/add', 'Add', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10371', '10431', '10495', '0', '0', '0', '0', 0),
('management', '10496', '10407', 'admin/config/content/cctags/add', 'admin/config/content/cctags/add', 'Add cctags item', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10320', '10407', '10496', '0', '0', '0', '0', 0),
('management', '10498', '10432', 'admin/config/regional/language/add', 'admin/config/regional/language/add', 'Add language', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 5, 0, '10233', '10267', '10349', '10432', '10498', '0', '0', '0', '0', 0),
('management', '10499', '10468', 'admin/config/user-interface/shortcut/add-set', 'admin/config/user-interface/shortcut/add-set', 'Add shortcut set', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10371', '10468', '10499', '0', '0', '0', '0', 0),
('management', '10500', '10426', 'admin/config/media/image-styles/add', 'admin/config/media/image-styles/add', 'Add style', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Add a new image style.";}}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '10267', '10337', '10426', '10500', '0', '0', '0', '0', 0),
('management', '10501', '10401', 'admin/structure/taxonomy/%/add', 'admin/structure/taxonomy/%/add', 'Add term', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10362', '10401', '10501', '0', '0', '0', '0', 0),
('management', '10502', '10475', 'admin/config/content/formats/add', 'admin/config/content/formats/add', 'Add text format', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 5, 0, '10233', '10267', '10320', '10475', '10502', '0', '0', '0', '0', 0),
('management', '10503', '10466', 'admin/structure/views/settings/advanced', 'admin/structure/views/settings/advanced', 'Advanced', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 5, 0, '10233', '10279', '10374', '10466', '10503', '0', '0', '0', '0', 0),
('management', '10504', '10398', 'admin/config/user-interface/addthis/advanced', 'admin/config/user-interface/addthis/advanced', 'Advanced settings', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 5, 0, '10233', '10267', '10371', '10398', '10504', '0', '0', '0', '0', 0),
('management', '10505', '10421', 'admin/config/media/flexslider/advanced', 'admin/config/media/flexslider/advanced', 'Advanced settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:50:"Configure the advanced flexslider module settings.";}}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '10267', '10337', '10421', '10505', '0', '0', '0', '0', 0),
('management', '10506', '10311', 'admin/structure/block/list/bartik', 'admin/structure/block/list/bartik', 'Bartik', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10311', '10506', '0', '0', '0', '0', '0', 0),
('management', '10507', '10466', 'admin/structure/views/settings/basic', 'admin/structure/views/settings/basic', 'Basic', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10466', '10507', '0', '0', '0', '0', 0),
('management', '10508', '10398', 'admin/config/user-interface/addthis/basic', 'admin/config/user-interface/addthis/basic', 'Basic settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10371', '10398', '10508', '0', '0', '0', '0', 0),
('management', '10509', '10407', 'admin/config/content/cctags/list', 'admin/config/content/cctags/list', 'Cctags configuration', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10267', '10320', '10407', '10509', '0', '0', '0', '0', 0),
('management', '10510', '10460', 'admin/config/search/settings/reindex', 'admin/config/search/settings/reindex', 'Clear index', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10352', '10460', '10510', '0', '0', '0', '0', 0),
('management', '10511', '10360', 'admin/structure/tb-megamenu/%/config', 'admin/structure/tb-megamenu/%/config', 'Config TB Mega Menu', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10360', '10511', '0', '0', '0', '0', '0', 0),
('management', '10512', '10390', 'admin/config/system/actions/configure', 'admin/config/system/actions/configure', 'Configure an advanced action', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10359', '10390', '10512', '0', '0', '0', '0', 0),
('management', '10513', '10338', 'admin/structure/menu/manage/%', 'admin/structure/menu/manage/%', 'Customize menu', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10279', '10338', '10513', '0', '0', '0', '0', '0', 0),
('management', '10514', '10414', 'admin/config/regional/date-time/date-views', 'admin/config/regional/date-time/date-views', 'Date views', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Configure settings for date views.";}}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10414', '10514', '0', '0', '0', '0', 0),
('management', '10515', '10318', 'admin/structure/contact/delete/%', 'admin/structure/contact/delete/%', 'Delete contact', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10318', '10515', '0', '0', '0', '0', '0', 0),
('management', '10516', '10357', 'admin/structure/demo/delete/%', 'admin/structure/demo/delete/%', 'Delete snapshot', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10357', '10516', '0', '0', '0', '0', '0', 0),
('management', '10517', '10432', 'admin/config/regional/language/configure', 'admin/config/regional/language/configure', 'Detection and selection', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 5, 0, '10233', '10267', '10349', '10432', '10517', '0', '0', '0', '0', 0),
('management', '10518', '10401', 'admin/structure/taxonomy/%/edit', 'admin/structure/taxonomy/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '10362', '10401', '10518', '0', '0', '0', '0', 0),
('management', '10519', '10340', 'admin/structure/pages/edit/%', 'admin/structure/pages/edit/%', 'Edit', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10340', '10519', '0', '0', '0', '0', '0', 0),
('management', '10520', '10318', 'admin/structure/contact/edit/%', 'admin/structure/contact/edit/%', 'Edit contact category', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10318', '10520', '0', '0', '0', '0', '0', 0),
('management', '10521', '10321', 'admin/structure/types/manage/%', 'admin/structure/types/manage/%', 'Edit content type', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '10279', '10321', '10521', '0', '0', '0', '0', '0', 0),
('management', '10522', '10468', 'admin/config/user-interface/shortcut/%', 'admin/config/user-interface/shortcut/%', 'Edit shortcuts', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 5, 0, '10233', '10267', '10371', '10468', '10522', '0', '0', '0', '0', 0),
('management', '10523', '10478', 'admin/config/regional/translate/export', 'admin/config/regional/translate/export', 'Export', 'a:0:{}', 'system', -1, 0, 0, 0, '30', 5, 0, '10233', '10267', '10349', '10478', '10523', '0', '0', '0', '0', 0),
('management', '10524', '10414', 'admin/config/regional/date-time/formats', 'admin/config/regional/date-time/formats', 'Formats', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:51:"Configure display format strings for date and time.";}}', 'system', -1, 0, 1, 0, '-9', 5, 0, '10233', '10267', '10349', '10414', '10524', '0', '0', '0', '0', 0),
('management', '10525', '10311', 'admin/structure/block/list/garland', 'admin/structure/block/list/garland', 'Garland', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10311', '10525', '0', '0', '0', '0', '0', 0),
('management', '10526', '10464', 'admin/structure/panels/settings/general', 'admin/structure/panels/settings/general', 'General', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '10343', '10464', '10526', '0', '0', '0', '0', 0),
('management', '10533', '10421', 'admin/config/media/flexslider/import', 'admin/config/media/flexslider/import', 'Import', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10337', '10421', '10533', '0', '0', '0', '0', 0),
('management', '10535', '10431', 'admin/config/user-interface/isotope/import', 'admin/config/user-interface/isotope/import', 'Import', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10371', '10431', '10535', '0', '0', '0', '0', 0),
('management', '10536', '10478', 'admin/config/regional/translate/import', 'admin/config/regional/translate/import', 'Import', 'a:0:{}', 'system', -1, 0, 0, 0, '20', 5, 0, '10233', '10267', '10349', '10478', '10536', '0', '0', '0', '0', 0),
('management', '10537', '10421', 'admin/config/media/flexslider/list', 'admin/config/media/flexslider/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10267', '10337', '10421', '10537', '0', '0', '0', '0', 0),
('management', '10538', '10475', 'admin/config/content/formats/list', 'admin/config/content/formats/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10320', '10475', '10538', '0', '0', '0', '0', 0),
('management', '10539', '10401', 'admin/structure/taxonomy/%/list', 'admin/structure/taxonomy/%/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-20', 5, 0, '10233', '10279', '10362', '10401', '10539', '0', '0', '0', '0', 0),
('management', '10540', '10418', 'admin/config/services/aggregator/list', 'admin/config/services/aggregator/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10267', '10377', '10418', '10540', '0', '0', '0', '0', 0),
('management', '10542', '10431', 'admin/config/user-interface/isotope/list', 'admin/config/user-interface/isotope/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10267', '10371', '10431', '10542', '0', '0', '0', '0', 0),
('management', '10543', '10432', 'admin/config/regional/language/overview', 'admin/config/regional/language/overview', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10432', '10543', '0', '0', '0', '0', 0),
('management', '10544', '10426', 'admin/config/media/image-styles/list', 'admin/config/media/image-styles/list', 'List', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"List the current image styles on the site.";}}', 'system', -1, 0, 0, 0, '1', 5, 0, '10233', '10267', '10337', '10426', '10544', '0', '0', '0', '0', 0),
('management', '10546', '10414', 'admin/config/regional/date-time/locale', 'admin/config/regional/date-time/locale', 'Localize', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Configure date formats for each locale";}}', 'system', -1, 0, 1, 0, '-8', 5, 0, '10233', '10267', '10349', '10414', '10546', '0', '0', '0', '0', 0),
('management', '10547', '10390', 'admin/config/system/actions/manage', 'admin/config/system/actions/manage', 'Manage actions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Manage the actions defined for your site.";}}', 'system', -1, 0, 0, 0, '-2', 5, 0, '10233', '10267', '10359', '10390', '10547', '0', '0', '0', '0', 0),
('management', '10552', '10478', 'admin/config/regional/translate/overview', 'admin/config/regional/translate/overview', 'Overview', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10478', '10552', '0', '0', '0', '0', 0),
('management', '10553', '10464', 'admin/structure/panels/settings/panel-page', 'admin/structure/panels/settings/panel-page', 'Panel pages', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '10343', '10464', '10553', '0', '0', '0', '0', 0),
('management', '10554', '10418', 'admin/config/services/aggregator/settings', 'admin/config/services/aggregator/settings', 'Settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:129:"Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.";}}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10554', '0', '0', '0', '0', 0),
('management', '10555', '10402', 'admin/config/people/accounts/settings', 'admin/config/people/accounts/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10267', '10344', '10402', '10555', '0', '0', '0', '0', 0),
('management', '10556', '10311', 'admin/structure/block/list/seven', 'admin/structure/block/list/seven', 'Seven', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10311', '10556', '0', '0', '0', '0', '0', 0),
('management', '10557', '10311', 'admin/structure/block/list/stark', 'admin/structure/block/list/stark', 'Stark', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10311', '10557', '0', '0', '0', '0', '0', 0),
('management', '10558', '10478', 'admin/config/regional/translate/translate', 'admin/config/regional/translate/translate', 'Translate', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 5, 0, '10233', '10267', '10349', '10478', '10558', '0', '0', '0', '0', 0),
('management', '10559', '10374', 'admin/structure/views/view/%', 'admin/structure/views/view/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10559', '0', '0', '0', '0', '0', 0),
('management', '10560', '10414', 'admin/config/regional/date-time/types', 'admin/config/regional/date-time/types', 'Types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"Configure display formats for date and time.";}}', 'system', -1, 0, 1, 0, '-10', 5, 0, '10233', '10267', '10349', '10414', '10560', '0', '0', '0', '0', 0),
('management', '10561', '10311', 'admin/structure/block/list/gatsby', 'admin/structure/block/list/gatsby', 'Gatsby', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '10311', '10561', '0', '0', '0', '0', '0', 0),
('management', '10562', '10332', 'admin/structure/forum/add/container', 'admin/structure/forum/add/container', 'Add container', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10332', '10562', '0', '0', '0', '0', '0', 0),
('management', '10563', '10332', 'admin/structure/forum/add/forum', 'admin/structure/forum/add/forum', 'Add forum', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10332', '10563', '0', '0', '0', '0', '0', 0),
('navigation', '10564', '10351', 'node/%/revisions/%/delete', 'node/%/revisions/%/delete', 'Delete earlier revision', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10263', '10351', '10564', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10565', '10351', 'node/%/revisions/%/revert', 'node/%/revisions/%/revert', 'Revert to earlier revision', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10263', '10351', '10565', '0', '0', '0', '0', '0', '0', 0),
('navigation', '10566', '10351', 'node/%/revisions/%/view', 'node/%/revisions/%/view', 'Revisions', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10263', '10351', '10566', '0', '0', '0', '0', '0', '0', 0),
('management', '10567', '10506', 'admin/structure/block/list/bartik/add', 'admin/structure/block/list/bartik/add', 'Add block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10311', '10506', '10567', '0', '0', '0', '0', 0),
('management', '10568', '10525', 'admin/structure/block/list/garland/add', 'admin/structure/block/list/garland/add', 'Add block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10311', '10525', '10568', '0', '0', '0', '0', 0),
('management', '10569', '10556', 'admin/structure/block/list/seven/add', 'admin/structure/block/list/seven/add', 'Add block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10311', '10556', '10569', '0', '0', '0', '0', 0),
('management', '10570', '10557', 'admin/structure/block/list/stark/add', 'admin/structure/block/list/stark/add', 'Add block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10311', '10557', '10570', '0', '0', '0', '0', 0),
('management', '10571', '10418', 'admin/config/services/aggregator/add/category', 'admin/config/services/aggregator/add/category', 'Add category', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10571', '0', '0', '0', '0', 0),
('management', '10572', '10560', 'admin/config/regional/date-time/types/add', 'admin/config/regional/date-time/types/add', 'Add date type', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:18:"Add new date type.";}}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10267', '10349', '10414', '10560', '10572', '0', '0', '0', 0),
('management', '10573', '10418', 'admin/config/services/aggregator/add/feed', 'admin/config/services/aggregator/add/feed', 'Add feed', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10573', '0', '0', '0', '0', 0),
('management', '10574', '10524', 'admin/config/regional/date-time/formats/add', 'admin/config/regional/date-time/formats/add', 'Add format', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Allow users to add additional date formats.";}}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10267', '10349', '10414', '10524', '10574', '0', '0', '0', 0),
('management', '10575', '10513', 'admin/structure/menu/manage/%/add', 'admin/structure/menu/manage/%/add', 'Add link', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10338', '10513', '10575', '0', '0', '0', '0', 0),
('management', '10576', '10522', 'admin/config/user-interface/shortcut/%/add-link', 'admin/config/user-interface/shortcut/%/add-link', 'Add shortcut', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10371', '10468', '10522', '10576', '0', '0', '0', 0),
('management', '10577', '10417', 'admin/config/system/entity-view-modes/add/%', 'admin/config/system/entity-view-modes/add/%', 'Add view mode', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10359', '10417', '10577', '0', '0', '0', '0', 0),
('management', '10578', '10559', 'admin/structure/views/view/%/break-lock', 'admin/structure/views/view/%/break-lock', 'Break lock', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10559', '10578', '0', '0', '0', '0', 0),
('management', '10579', '10311', 'admin/structure/block/manage/%/%', 'admin/structure/block/manage/%/%', 'Configure block', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10311', '10579', '0', '0', '0', '0', '0', 0),
('management', '10580', '10432', 'admin/config/regional/language/delete/%', 'admin/config/regional/language/delete/%', 'Confirm', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10432', '10580', '0', '0', '0', '0', 0),
('navigation', '10581', '10315', 'user/%/cancel/confirm/%/%', 'user/%/cancel/confirm/%/%', 'Confirm account cancellation', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10274', '10315', '10581', '0', '0', '0', '0', '0', '0', 0),
('management', '10584', '10521', 'admin/structure/types/manage/%/delete', 'admin/structure/types/manage/%/delete', 'Delete', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10279', '10321', '10521', '10584', '0', '0', '0', '0', 0),
('management', '10585', '10425', 'admin/config/people/ip-blocking/delete/%', 'admin/config/people/ip-blocking/delete/%', 'Delete IP address', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10344', '10425', '10585', '0', '0', '0', '0', 0),
('management', '10586', '10390', 'admin/config/system/actions/delete/%', 'admin/config/system/actions/delete/%', 'Delete action', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:17:"Delete an action.";}}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10359', '10390', '10586', '0', '0', '0', '0', 0),
('management', '10587', '10513', 'admin/structure/menu/manage/%/delete', 'admin/structure/menu/manage/%/delete', 'Delete menu', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10279', '10338', '10513', '10587', '0', '0', '0', '0', 0),
('management', '10588', '10338', 'admin/structure/menu/item/%/delete', 'admin/structure/menu/item/%/delete', 'Delete menu link', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '10588', '0', '0', '0', '0', '0', 0),
('management', '10589', '10459', 'admin/people/permissions/roles/delete/%', 'admin/people/permissions/roles/delete/%', 'Delete role', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10276', '10345', '10459', '10589', '0', '0', '0', '0', 0),
('management', '10590', '10522', 'admin/config/user-interface/shortcut/%/delete', 'admin/config/user-interface/shortcut/%/delete', 'Delete shortcut set', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10371', '10468', '10522', '10590', '0', '0', '0', 0),
('management', '10591', '10478', 'admin/config/regional/translate/delete/%', 'admin/config/regional/translate/delete/%', 'Delete string', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10478', '10591', '0', '0', '0', '0', 0),
('management', '10592', '10493', 'admin/config/content/formats/%/disable', 'admin/config/content/formats/%/disable', 'Disable text format', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10320', '10475', '10493', '10592', '0', '0', '0', 0),
('management', '10593', '10521', 'admin/structure/types/manage/%/edit', 'admin/structure/types/manage/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10321', '10521', '10593', '0', '0', '0', '0', 0),
('management', '10594', '10332', 'admin/structure/forum/edit/container/%', 'admin/structure/forum/edit/container/%', 'Edit container', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10332', '10594', '0', '0', '0', '0', '0', 0),
('management', '10595', '10332', 'admin/structure/forum/edit/forum/%', 'admin/structure/forum/edit/forum/%', 'Edit forum', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10332', '10595', '0', '0', '0', '0', '0', 0),
('management', '10596', '10432', 'admin/config/regional/language/edit/%', 'admin/config/regional/language/edit/%', 'Edit language', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10432', '10596', '0', '0', '0', '0', 0),
('management', '10597', '10513', 'admin/structure/menu/manage/%/edit', 'admin/structure/menu/manage/%/edit', 'Edit menu', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10338', '10513', '10597', '0', '0', '0', '0', 0),
('management', '10598', '10338', 'admin/structure/menu/item/%/edit', 'admin/structure/menu/item/%/edit', 'Edit menu link', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '10598', '0', '0', '0', '0', '0', 0),
('management', '10599', '10459', 'admin/people/permissions/roles/edit/%', 'admin/people/permissions/roles/edit/%', 'Edit role', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10276', '10345', '10459', '10599', '0', '0', '0', '0', 0),
('management', '10600', '10522', 'admin/config/user-interface/shortcut/%/edit', 'admin/config/user-interface/shortcut/%/edit', 'Edit set name', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 6, 0, '10233', '10267', '10371', '10468', '10522', '10600', '0', '0', '0', 0),
('management', '10601', '10468', 'admin/config/user-interface/shortcut/link/%', 'admin/config/user-interface/shortcut/link/%', 'Edit shortcut', 'a:0:{}', 'system', 0, 0, 1, 0, '0', 5, 0, '10233', '10267', '10371', '10468', '10601', '0', '0', '0', '0', 0),
('management', '10602', '10478', 'admin/config/regional/translate/edit/%', 'admin/config/regional/translate/edit/%', 'Edit string', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10349', '10478', '10602', '0', '0', '0', '0', 0),
('management', '10603', '10426', 'admin/config/media/image-styles/edit/%', 'admin/config/media/image-styles/edit/%', 'Edit style', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:25:"Configure an image style.";}}', 'system', 0, 0, 1, 0, '0', 5, 0, '10233', '10267', '10337', '10426', '10603', '0', '0', '0', '0', 0),
('management', '10604', '10559', 'admin/structure/views/view/%/edit', 'admin/structure/views/view/%/edit', 'Edit view', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '10374', '10559', '10604', '0', '0', '0', '0', 0),
('management', '10605', '10418', 'admin/config/services/aggregator/add/opml', 'admin/config/services/aggregator/add/opml', 'Import OPML', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10605', '0', '0', '0', '0', 0),
('management', '10606', '10513', 'admin/structure/menu/manage/%/list', 'admin/structure/menu/manage/%/list', 'List links', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '10338', '10513', '10606', '0', '0', '0', '0', 0),
('management', '10607', '10522', 'admin/config/user-interface/shortcut/%/links', 'admin/config/user-interface/shortcut/%/links', 'List links', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10371', '10468', '10522', '10607', '0', '0', '0', 0),
('management', '10608', '10340', 'admin/structure/pages/%/operation/%', 'admin/structure/pages/%/operation/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10340', '10608', '0', '0', '0', '0', '0', 0),
('management', '10611', '10420', 'admin/config/media/file-types/manage/%', 'admin/config/media/file-types/manage/%', 'Manage file types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Manage files used on your site.";}}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10337', '10420', '10611', '0', '0', '0', '0', 0),
('management', '10612', '10426', 'admin/config/media/image-styles/retina_preview/%', 'admin/config/media/image-styles/retina_preview/%', 'Preview retinafied style', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10337', '10426', '10612', '0', '0', '0', '0', 0),
('management', '10613', '10418', 'admin/config/services/aggregator/remove/%', 'admin/config/services/aggregator/remove/%', 'Remove items', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10613', '0', '0', '0', '0', 0),
('management', '10614', '10338', 'admin/structure/menu/item/%/reset', 'admin/structure/menu/item/%/reset', 'Reset menu link', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '10614', '0', '0', '0', '0', '0', 0),
('management', '10615', '10517', 'admin/config/regional/language/configure/session', 'admin/config/regional/language/configure/session', 'Session language detection configuration', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10432', '10517', '10615', '0', '0', '0', 0),
('management', '10617', '10517', 'admin/config/regional/language/configure/url', 'admin/config/regional/language/configure/url', 'URL language detection configuration', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10432', '10517', '10617', '0', '0', '0', 0),
('management', '10618', '10418', 'admin/config/services/aggregator/update/%', 'admin/config/services/aggregator/update/%', 'Update items', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10618', '0', '0', '0', '0', 0),
('management', '10620', '10559', 'admin/structure/views/view/%/clone', 'admin/structure/views/view/%/clone', 'Clone', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10559', '10620', '0', '0', '0', '0', 0),
('management', '10621', '10559', 'admin/structure/views/view/%/delete', 'admin/structure/views/view/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10559', '10621', '0', '0', '0', '0', 0),
('management', '10622', '10426', 'admin/config/media/image-styles/delete/%', 'admin/config/media/image-styles/delete/%', 'Delete style', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Delete an image style.";}}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10337', '10426', '10622', '0', '0', '0', '0', 0),
('management', '10623', '10559', 'admin/structure/views/view/%/export', 'admin/structure/views/view/%/export', 'Export', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10559', '10623', '0', '0', '0', '0', 0),
('management', '10624', '10559', 'admin/structure/views/view/%/revert', 'admin/structure/views/view/%/revert', 'Revert', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10559', '10624', '0', '0', '0', '0', 0),
('management', '10625', '10426', 'admin/config/media/image-styles/revert/%', 'admin/config/media/image-styles/revert/%', 'Revert style', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Revert an image style.";}}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10337', '10426', '10625', '0', '0', '0', '0', 0),
('management', '10628', '10521', 'admin/structure/types/manage/%/comment/display', 'admin/structure/types/manage/%/comment/display', 'Comment display', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 5, 0, '10233', '10279', '10321', '10521', '10628', '0', '0', '0', '0', 0),
('management', '10629', '10521', 'admin/structure/types/manage/%/comment/fields', 'admin/structure/types/manage/%/comment/fields', 'Comment fields', 'a:0:{}', 'system', -1, 0, 1, 0, '3', 5, 0, '10233', '10279', '10321', '10521', '10629', '0', '0', '0', '0', 0),
('management', '10630', '10579', 'admin/structure/block/manage/%/%/configure', 'admin/structure/block/manage/%/%/configure', 'Configure block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10311', '10579', '10630', '0', '0', '0', '0', 0),
('management', '10632', '10579', 'admin/structure/block/manage/%/%/delete', 'admin/structure/block/manage/%/%/delete', 'Delete block', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10311', '10579', '10632', '0', '0', '0', '0', 0),
('management', '10633', '10524', 'admin/config/regional/date-time/formats/%/delete', 'admin/config/regional/date-time/formats/%/delete', 'Delete date format', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Allow users to delete a configured date format.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10414', '10524', '10633', '0', '0', '0', 0),
('management', '10634', '10560', 'admin/config/regional/date-time/types/%/delete', 'admin/config/regional/date-time/types/%/delete', 'Delete date type', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Allow users to delete a configured date type.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10414', '10560', '10634', '0', '0', '0', 0),
('management', '10635', '10601', 'admin/config/user-interface/shortcut/link/%/delete', 'admin/config/user-interface/shortcut/link/%/delete', 'Delete shortcut', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10371', '10468', '10601', '10635', '0', '0', '0', 0),
('management', '10637', '10418', 'admin/config/services/aggregator/edit/category/%', 'admin/config/services/aggregator/edit/category/%', 'Edit category', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10637', '0', '0', '0', '0', 0),
('management', '10638', '10524', 'admin/config/regional/date-time/formats/%/edit', 'admin/config/regional/date-time/formats/%/edit', 'Edit date format', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Allow users to edit a configured date format.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10414', '10524', '10638', '0', '0', '0', 0),
('management', '10639', '10417', 'admin/config/system/entity-view-modes/delete/%/%', 'admin/config/system/entity-view-modes/delete/%/%', 'Edit view mode', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10359', '10417', '10639', '0', '0', '0', '0', 0),
('management', '10640', '10417', 'admin/config/system/entity-view-modes/edit/%/%', 'admin/config/system/entity-view-modes/edit/%/%', 'Edit view mode', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10359', '10417', '10640', '0', '0', '0', '0', 0),
('management', '10641', '10559', 'admin/structure/views/view/%/preview/%', 'admin/structure/views/view/%/preview/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10374', '10559', '10641', '0', '0', '0', '0', 0),
('management', '10642', '10418', 'admin/config/services/aggregator/edit/feed/%', 'admin/config/services/aggregator/edit/feed/%', 'Edit feed', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '10267', '10377', '10418', '10642', '0', '0', '0', '0', 0),
('management', '10644', '10546', 'admin/config/regional/date-time/locale/%/edit', 'admin/config/regional/date-time/locale/%/edit', 'Localize date formats', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Configure date formats for each locale";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10414', '10546', '10644', '0', '0', '0', 0),
('management', '10647', '10611', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%/file-display', 'Manage file display', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 6, 0, '10233', '10267', '10337', '10420', '10611', '10647', '0', '0', '0', 0),
('management', '10650', '10546', 'admin/config/regional/date-time/locale/%/reset', 'admin/config/regional/date-time/locale/%/reset', 'Reset date formats', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Reset localized date formats to global defaults";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10349', '10414', '10546', '10650', '0', '0', '0', 0),
('management', '10654', '10374', 'admin/structure/views/ajax/preview/%/%', 'admin/structure/views/ajax/preview/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10654', '0', '0', '0', '0', '0', 0),
('management', '10656', '10374', 'admin/structure/views/nojs/preview/%/%', 'admin/structure/views/nojs/preview/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10374', '10656', '0', '0', '0', '0', '0', 0),
('management', '10657', '10537', 'admin/config/media/flexslider/list/%/edit', 'admin/config/media/flexslider/list/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10267', '10337', '10421', '10537', '10657', '0', '0', '0', 0),
('management', '10659', '10542', 'admin/config/user-interface/isotope/list/%/edit', 'admin/config/user-interface/isotope/list/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10267', '10371', '10431', '10542', '10659', '0', '0', '0', 0),
('management', '10661', '10537', 'admin/config/media/flexslider/list/%/export', 'admin/config/media/flexslider/list/%/export', 'Export', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10337', '10421', '10537', '10661', '0', '0', '0', 0),
('management', '10667', '10542', 'admin/config/user-interface/isotope/list/%/export', 'admin/config/user-interface/isotope/list/%/export', 'Export', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10371', '10431', '10542', '10667', '0', '0', '0', 0),
('management', '10672', '10647', 'admin/config/media/file-types/manage/%/file-display/block_blog_image', 'admin/config/media/file-types/manage/%/file-display/block_blog_image', 'Blog block image', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10672', '0', '0', 0),
('management', '10674', '10647', 'admin/config/media/file-types/manage/%/file-display/blog_image', 'admin/config/media/file-types/manage/%/file-display/blog_image', 'Blog image', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10674', '0', '0', 0),
('management', '10676', '10647', 'admin/config/media/file-types/manage/%/file-display/blog_masonry_image', 'admin/config/media/file-types/manage/%/file-display/blog_masonry_image', 'Blog masonry image', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10676', '0', '0', 0),
('management', '10678', '10647', 'admin/config/media/file-types/manage/%/file-display/default', 'admin/config/media/file-types/manage/%/file-display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10678', '0', '0', 0);
INSERT INTO `menu_links` VALUES
('management', '10682', '10647', 'admin/config/media/file-types/manage/%/file-display/full_post_image', 'admin/config/media/file-types/manage/%/file-display/full_post_image', 'Full post image', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10682', '0', '0', 0),
('management', '10684', '10647', 'admin/config/media/file-types/manage/%/file-display/media_large', 'admin/config/media/file-types/manage/%/file-display/media_large', 'Large', 'a:0:{}', 'system', -1, 0, 0, 0, '8', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10684', '0', '0', 0),
('management', '10686', '10647', 'admin/config/media/file-types/manage/%/file-display/media_link', 'admin/config/media/file-types/manage/%/file-display/media_link', 'Link', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10686', '0', '0', 0),
('management', '10688', '10647', 'admin/config/media/file-types/manage/%/file-display/media_original', 'admin/config/media/file-types/manage/%/file-display/media_original', 'Original', 'a:0:{}', 'system', -1, 0, 0, 0, '9', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10688', '0', '0', 0),
('management', '10690', '10647', 'admin/config/media/file-types/manage/%/file-display/media_preview', 'admin/config/media/file-types/manage/%/file-display/media_preview', 'Preview', 'a:0:{}', 'system', -1, 0, 0, 0, '6', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10690', '0', '0', 0),
('management', '10692', '10647', 'admin/config/media/file-types/manage/%/file-display/media_small', 'admin/config/media/file-types/manage/%/file-display/media_small', 'Small', 'a:0:{}', 'system', -1, 0, 0, 0, '7', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '10692', '0', '0', 0),
('management', '10695', '10603', 'admin/config/media/image-styles/edit/%/add/%', 'admin/config/media/image-styles/edit/%/add/%', 'Add image effect', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Add a new effect to a style.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10337', '10426', '10603', '10695', '0', '0', '0', 0),
('management', '10696', '10603', 'admin/config/media/image-styles/edit/%/effects/%', 'admin/config/media/image-styles/edit/%/effects/%', 'Edit image effect', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Edit an existing effect within a style.";}}', 'system', 0, 0, 1, 0, '0', 6, 0, '10233', '10267', '10337', '10426', '10603', '10696', '0', '0', '0', 0),
('management', '10702', '10696', 'admin/config/media/image-styles/edit/%/effects/%/delete', 'admin/config/media/image-styles/edit/%/effects/%/delete', 'Delete image effect', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Delete an existing effect from a style.";}}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10337', '10426', '10603', '10696', '10702', '0', '0', 0),
('management', '10823', '10320', 'admin/config/content/wysiwyg', 'admin/config/content/wysiwyg', 'Wysiwyg profiles', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"Configure client-side editors.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10320', '10823', '0', '0', '0', '0', '0', 0),
('management', '10824', '10823', 'admin/config/content/wysiwyg/profile', 'admin/config/content/wysiwyg/profile', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10320', '10823', '10824', '0', '0', '0', '0', 0),
('management', '10825', '10824', 'admin/config/content/wysiwyg/profile/%/edit', 'admin/config/content/wysiwyg/profile/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10320', '10823', '10824', '10825', '0', '0', '0', 0),
('management', '10826', '10824', 'admin/config/content/wysiwyg/profile/%/delete', 'admin/config/content/wysiwyg/profile/%/delete', 'Remove', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 6, 0, '10233', '10267', '10320', '10823', '10824', '10826', '0', '0', '0', 0),
('main-menu', '10945', '0', 'portfolio-classic-2-cols', 'portfolio-classic-2-cols', 'Portfolio', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-47', 1, 1, '10945', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '10946', '10945', 'portfolio-classic-2-cols', 'portfolio-classic-2-cols', 'Classic', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-50', 2, 1, '10945', '10946', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '10947', '10945', 'portfolio-masonry-v1-2-cols', 'portfolio-masonry-v1-2-cols', 'Masonry v1', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-49', 2, 1, '10945', '10947', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '10958', '0', '<front>', '', 'Home', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '0', 1, 1, '10958', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '10959', '10277', 'admin/reports/libraries', 'admin/reports/libraries', 'Libraries', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"An overview of libraries installed on this site.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '10277', '10959', '0', '0', '0', '0', '0', '0', 0),
('management', '10960', '10959', 'admin/reports/libraries/%', 'admin/reports/libraries/%', 'Library status report', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Status overview for a single library";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10277', '10959', '10960', '0', '0', '0', '0', '0', 0),
('main-menu', '11021', '201', 'home-3', 'home-3', 'Home 3', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 2, 1, '201', '11021', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11022', '201', 'home-4', 'home-4', 'Home 4', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-47', 2, 1, '201', '11022', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11023', '201', 'home-5', 'home-5', 'Home 5', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-46', 2, 1, '201', '11023', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11024', '6709', 'about', 'about', 'About', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 2, 1, '6709', '11024', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11025', '6709', 'team', 'team', 'Team', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 2, 1, '6709', '11025', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11026', '10263', 'node/%/webform-results', 'node/%/webform-results', 'Results', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 2, 0, '10263', '11026', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11027', '10263', 'node/%/webform', 'node/%/webform', 'Webform', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 2, 0, '10263', '11027', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11028', '10268', 'admin/content/webform', 'admin/content/webform', 'Webforms', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:54:"View and edit all the available webforms on your site.";}}', 'system', -1, 0, 0, 0, '0', 3, 0, '10233', '10268', '11028', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11029', '11026', 'node/%/webform-results/analysis', 'node/%/webform-results/analysis', 'Analysis', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 3, 0, '10263', '11026', '11029', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11030', '11026', 'node/%/webform-results/clear', 'node/%/webform-results/clear', 'Clear', 'a:0:{}', 'system', -1, 0, 0, 0, '8', 3, 0, '10263', '11026', '11030', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11031', '11027', 'node/%/webform/conditionals', 'node/%/webform/conditionals', 'Conditionals', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 3, 0, '10263', '11027', '11031', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11032', '11026', 'node/%/webform-results/download', 'node/%/webform-results/download', 'Download', 'a:0:{}', 'system', -1, 0, 0, 0, '7', 3, 0, '10263', '11026', '11032', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11033', '11027', 'node/%/webform/emails', 'node/%/webform/emails', 'E-mails', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 3, 0, '10263', '11027', '11033', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11034', '11027', 'node/%/webform/components', 'node/%/webform/components', 'Form components', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 3, 0, '10263', '11027', '11034', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11035', '11027', 'node/%/webform/configure', 'node/%/webform/configure', 'Form settings', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 3, 0, '10263', '11027', '11035', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11036', '11026', 'node/%/webform-results/submissions', 'node/%/webform-results/submissions', 'Submissions', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 3, 0, '10263', '11026', '11036', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11037', '11026', 'node/%/webform-results/table', 'node/%/webform-results/table', 'Table', 'a:0:{}', 'system', -1, 0, 0, 0, '6', 3, 0, '10263', '11026', '11037', '0', '0', '0', '0', '0', '0', 0),
('management', '11038', '10320', 'admin/config/content/webform', 'admin/config/content/webform', 'Webform settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:46:"Global configuration of webform functionality.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10320', '11038', '0', '0', '0', '0', '0', 0),
('navigation', '11039', '11033', 'node/%/webform/emails/%', 'node/%/webform/emails/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10263', '11027', '11033', '11039', '0', '0', '0', '0', '0', 0),
('navigation', '11040', '11034', 'node/%/webform/components/%', 'node/%/webform/components/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10263', '11027', '11034', '11040', '0', '0', '0', '0', '0', 0),
('navigation', '11041', '11029', 'node/%/webform-results/analysis/%', 'node/%/webform-results/analysis/%', 'Analysis', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10263', '11026', '11029', '11041', '0', '0', '0', '0', '0', 0),
('navigation', '11042', '10263', 'node/%/submission/%/delete', 'node/%/submission/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 2, 0, '10263', '11042', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11043', '10263', 'node/%/submission/%/edit', 'node/%/submission/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 2, 0, '10263', '11043', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11044', '10263', 'node/%/submission/%/view', 'node/%/submission/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10263', '11044', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11045', '11041', 'node/%/webform-results/analysis/%/more', 'node/%/webform-results/analysis/%/more', 'In-depth analysis', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10263', '11026', '11029', '11041', '11045', '0', '0', '0', '0', 0),
('navigation', '11046', '11039', 'node/%/webform/emails/%/delete', 'node/%/webform/emails/%/delete', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10263', '11027', '11033', '11039', '11046', '0', '0', '0', '0', 0),
('navigation', '11047', '11039', 'node/%/webform/emails/%/clone', 'node/%/webform/emails/%/clone', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10263', '11027', '11033', '11039', '11047', '0', '0', '0', '0', 0),
('navigation', '11048', '11040', 'node/%/webform/components/%/delete', 'node/%/webform/components/%/delete', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10263', '11027', '11034', '11040', '11048', '0', '0', '0', '0', 0),
('navigation', '11049', '11040', 'node/%/webform/components/%/clone', 'node/%/webform/components/%/clone', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10263', '11027', '11034', '11040', '11049', '0', '0', '0', '0', 0),
('management', '11050', '10265', 'admin/add_func/add_func_follow', 'admin/add_func/add_func_follow', 'Follow Links', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:49:"Configure the site-wide web service follow links.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10265', '11050', '0', '0', '0', '0', '0', '0', 0),
('management', '11130', '10343', 'admin/structure/panels/layouts', 'admin/structure/panels/layouts', 'Layouts', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Add, edit or delete custom content layouts.";}}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '10343', '11130', '0', '0', '0', '0', '0', 0),
('management', '11131', '10352', 'admin/config/search/voteupdown', 'admin/config/search/voteupdown', 'Vote Up/Down', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:40:"Control the functioning of Vote Up/Down.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10352', '11131', '0', '0', '0', '0', '0', 0),
('management', '11132', '11130', 'admin/structure/panels/layouts/add-flexible', 'admin/structure/panels/layouts/add-flexible', 'Add flexible layout', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10343', '11130', '11132', '0', '0', '0', '0', 0),
('management', '11133', '11131', 'admin/config/search/voteupdown/advanced', 'admin/config/search/voteupdown/advanced', 'General', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10267', '10352', '11131', '11133', '0', '0', '0', '0', 0),
('management', '11134', '11130', 'admin/structure/panels/layouts/import', 'admin/structure/panels/layouts/import', 'Import', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10343', '11130', '11134', '0', '0', '0', '0', 0),
('management', '11135', '11130', 'admin/structure/panels/layouts/list', 'admin/structure/panels/layouts/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '10343', '11130', '11135', '0', '0', '0', '0', 0),
('management', '11136', '11135', 'admin/structure/panels/layouts/list/%/export', 'admin/structure/panels/layouts/list/%/export', 'Export', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10279', '10343', '11130', '11135', '11136', '0', '0', '0', 0),
('management', '11137', '11135', 'admin/structure/panels/layouts/list/%/edit', 'admin/structure/panels/layouts/list/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10279', '10343', '11130', '11135', '11137', '0', '0', '0', 0),
('management', '11138', '10279', 'admin/structure/mini-panels', 'admin/structure/mini-panels', 'Mini panels', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:94:"Add, edit or delete mini panels, which can be used as blocks or content panes in other panels.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '10279', '11138', '0', '0', '0', '0', '0', '0', 0),
('management', '11139', '11138', 'admin/structure/mini-panels/add', 'admin/structure/mini-panels/add', 'Add', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '11138', '11139', '0', '0', '0', '0', '0', 0),
('management', '11140', '11138', 'admin/structure/mini-panels/import', 'admin/structure/mini-panels/import', 'Import', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '11138', '11140', '0', '0', '0', '0', '0', 0),
('management', '11141', '11138', 'admin/structure/mini-panels/list', 'admin/structure/mini-panels/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '10279', '11138', '11141', '0', '0', '0', '0', '0', 0),
('management', '11142', '11138', 'admin/structure/mini-panels/settings', 'admin/structure/mini-panels/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '10279', '11138', '11142', '0', '0', '0', '0', '0', 0),
('management', '11143', '10464', 'admin/structure/panels/settings/panels-mini', 'admin/structure/panels/settings/panels-mini', 'Mini panels', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '10343', '10464', '11143', '0', '0', '0', '0', 0),
('management', '11144', '11141', 'admin/structure/mini-panels/list/%/edit', 'admin/structure/mini-panels/list/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '10279', '11138', '11141', '11144', '0', '0', '0', '0', 0),
('management', '11145', '11141', 'admin/structure/mini-panels/list/%/export', 'admin/structure/mini-panels/list/%/export', 'Export', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10279', '11138', '11141', '11145', '0', '0', '0', '0', 0),
('navigation', '11146', '0', 'cart', 'cart', 'Shopping cart', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11146', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11147', '11146', 'cart/my', 'cart/my', 'Shopping cart (# items)', 'a:0:{}', 'system', 1, 0, 0, 0, '0', 2, 0, '11146', '11147', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11148', '10233', 'admin/commerce', 'admin/commerce', 'Store', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Administer your store.";}}', 'system', 0, 0, 1, 0, '-7', 2, 0, '10233', '11148', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11149', '11148', 'admin/commerce/config', 'admin/commerce/config', 'Configuration', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:53:"Configure settings and business rules for your store.";}}', 'system', 0, 0, 1, 0, '50', 3, 0, '10233', '11148', '11149', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11153', '10274', 'user/%/orders', 'user/%/orders', 'Orders', 'a:0:{}', 'system', -1, 0, 1, 0, '15', 2, 0, '10274', '11153', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11154', '11148', 'admin/commerce/customer-profiles/%', 'admin/commerce/customer-profiles/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '11148', '11154', '0', '0', '0', '0', '0', '0', 0),
('management', '11155', '11148', 'admin/commerce/orders/%', 'admin/commerce/orders/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '11148', '11155', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11156', '11153', 'user/%/orders/%', 'user/%/orders/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10274', '11153', '11156', '0', '0', '0', '0', '0', '0', 0),
('management', '11157', '11148', 'admin/commerce/products/%', 'admin/commerce/products/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '11148', '11157', '0', '0', '0', '0', '0', '0', 0),
('management', '11158', '11148', 'admin/commerce/customer-profiles/add', 'admin/commerce/customer-profiles/add', 'Add a customer profile', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Add a new customer profile.";}}', 'system', 0, 0, 1, 0, '10', 3, 0, '10233', '11148', '11158', '0', '0', '0', '0', '0', '0', 0),
('management', '11159', '11148', 'admin/commerce/products/add', 'admin/commerce/products/add', 'Add a product', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Add a new product for sale.";}}', 'system', 0, 0, 1, 0, '10', 3, 0, '10233', '11148', '11159', '0', '0', '0', '0', '0', '0', 0),
('management', '11160', '11149', 'admin/commerce/config/checkout', 'admin/commerce/config/checkout', 'Checkout settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:57:"Customize the checkout form and configure checkout rules.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11160', '0', '0', '0', '0', '0', 0),
('management', '11161', '11148', 'admin/commerce/orders/add', 'admin/commerce/orders/add', 'Create an order', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"Create a new order.";}}', 'system', 0, 0, 1, 0, '10', 3, 0, '10233', '11148', '11161', '0', '0', '0', '0', '0', '0', 0),
('management', '11162', '11149', 'admin/commerce/config/currency', 'admin/commerce/config/currency', 'Currency settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:52:"Configure the default currency and display settings.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11162', '0', '0', '0', '0', '0', 0),
('management', '11163', '11149', 'admin/commerce/config/line-items', 'admin/commerce/config/line-items', 'Line item types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Manage line item types for your store.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '11148', '11149', '11163', '0', '0', '0', '0', '0', 0),
('management', '11164', '11149', 'admin/commerce/config/order', 'admin/commerce/config/order', 'Order settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:55:"Configure general order settings, fields, and displays.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11164', '0', '0', '0', '0', '0', 0),
('management', '11165', '11149', 'admin/commerce/config/payment-methods', 'admin/commerce/config/payment-methods', 'Payment methods', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:56:"Enable and configure payment method rule configurations.";}}', 'system', 0, 0, 1, 0, '0', 4, 0, '10233', '11148', '11149', '11165', '0', '0', '0', '0', '0', 0),
('management', '11166', '11149', 'admin/commerce/config/product-pricing', 'admin/commerce/config/product-pricing', 'Product pricing rules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:63:"Enable and configure product pricing rules and pre-calculation.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11166', '0', '0', '0', '0', '0', 0),
('management', '11167', '11148', 'admin/commerce/products/types', 'admin/commerce/products/types', 'Product types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Manage products types for your store.";}}', 'system', -1, 0, 1, 0, '0', 3, 0, '10233', '11148', '11167', '0', '0', '0', '0', '0', '0', 0),
('management', '11168', '11148', 'admin/commerce/customer-profiles/types', 'admin/commerce/customer-profiles/types', 'Profile types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Manage customer profile types for your store.";}}', 'system', -1, 0, 1, 0, '0', 3, 0, '10233', '11148', '11168', '0', '0', '0', '0', '0', '0', 0),
('management', '11169', '10379', 'admin/config/workflow/rules', 'admin/config/workflow/rules', 'Rules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"Manage reaction rules and rule components.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10379', '11169', '0', '0', '0', '0', '0', 0),
('management', '11170', '11149', 'admin/commerce/config/stock', 'admin/commerce/config/stock', 'Stock management', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Configure stock management.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11170', '0', '0', '0', '0', '0', 0),
('management', '11171', '11149', 'admin/commerce/config/taxes', 'admin/commerce/config/taxes', 'Taxes', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Manage tax rates and types.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11171', '0', '0', '0', '0', '0', 0),
('management', '11176', '11165', 'admin/commerce/config/payment-methods/add', 'admin/commerce/config/payment-methods/add', 'Add a payment method rule', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:53:"Adds an additional payment method rule configuration.";}}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '11148', '11149', '11165', '11176', '0', '0', '0', '0', 0),
('management', '11177', '11167', 'admin/commerce/products/types/add', 'admin/commerce/products/types/add', 'Add product type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '11148', '11167', '11177', '0', '0', '0', '0', '0', 0),
('management', '11178', '11168', 'admin/commerce/customer-profiles/types/billing', 'admin/commerce/customer-profiles/types/billing', 'Billing information', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11168', '11178', '0', '0', '0', '0', '0', 0),
('management', '11179', '11160', 'admin/commerce/config/checkout/form', 'admin/commerce/config/checkout/form', 'Checkout form', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:70:"Build your checkout pages using module defined checkout form elements.";}}', 'system', -1, 0, 1, 0, '0', 5, 0, '10233', '11148', '11149', '11160', '11179', '0', '0', '0', '0', 0),
('management', '11180', '11160', 'admin/commerce/config/checkout/rules', 'admin/commerce/config/checkout/rules', 'Checkout rules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Enable and configure checkout completion rules.";}}', 'system', -1, 0, 0, 0, '5', 5, 0, '10233', '11148', '11149', '11160', '11180', '0', '0', '0', '0', 0),
('management', '11181', '11169', 'admin/config/workflow/rules/components', 'admin/config/workflow/rules/components', 'Components', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '10267', '10379', '11169', '11181', '0', '0', '0', '0', 0),
('management', '11182', '11159', 'admin/commerce/products/add/product', 'admin/commerce/products/add/product', 'Create !name', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:21:"A basic product type.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11159', '11182', '0', '0', '0', '0', '0', 0),
('management', '11183', '11158', 'admin/commerce/customer-profiles/add/billing', 'admin/commerce/customer-profiles/add/billing', 'Create @name', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:80:"The profile used to collect billing information on the checkout and order forms.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11158', '11183', '0', '0', '0', '0', '0', 0),
('management', '11184', '11161', 'admin/commerce/orders/add/%', 'admin/commerce/orders/add/%', 'Create an order', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"Create a new order for the specified user.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11161', '11184', '0', '0', '0', '0', '0', 0),
('management', '11185', '11162', 'admin/commerce/config/currency/settings', 'admin/commerce/config/currency/settings', 'Currency settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:52:"Configure the default currency and display settings.";}}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '11148', '11149', '11162', '11185', '0', '0', '0', '0', 0),
('management', '11186', '11155', 'admin/commerce/orders/%/delete', 'admin/commerce/orders/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '20', 4, 0, '10233', '11148', '11155', '11186', '0', '0', '0', '0', '0', 0),
('management', '11187', '11157', 'admin/commerce/products/%/delete', 'admin/commerce/products/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '20', 4, 0, '10233', '11148', '11157', '11187', '0', '0', '0', '0', '0', 0),
('management', '11188', '11154', 'admin/commerce/customer-profiles/%/delete', 'admin/commerce/customer-profiles/%/delete', 'Delete a customer profile', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 4, 0, '10233', '11148', '11154', '11188', '0', '0', '0', '0', '0', 0),
('management', '11189', '11155', 'admin/commerce/orders/%/edit', 'admin/commerce/orders/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-5', 4, 0, '10233', '11148', '11155', '11189', '0', '0', '0', '0', '0', 0),
('management', '11190', '11157', 'admin/commerce/products/%/edit', 'admin/commerce/products/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11157', '11190', '0', '0', '0', '0', '0', 0),
('management', '11191', '11154', 'admin/commerce/customer-profiles/%/edit', 'admin/commerce/customer-profiles/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11154', '11191', '0', '0', '0', '0', '0', 0),
('management', '11192', '11166', 'admin/commerce/config/product-pricing/rules', 'admin/commerce/config/product-pricing/rules', 'List', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:62:"Administer the rules used for calculating product sell prices.";}}', 'system', -1, 0, 1, 0, '0', 5, 0, '10233', '11148', '11149', '11166', '11192', '0', '0', '0', '0', 0),
('management', '11195', '11155', 'admin/commerce/orders/%/payment', 'admin/commerce/orders/%/payment', 'Payment', 'a:0:{}', 'system', -1, 0, 1, 0, '10', 4, 0, '10233', '11148', '11155', '11195', '0', '0', '0', '0', '0', 0),
('management', '11196', '11166', 'admin/commerce/config/product-pricing/pre-calculation', 'admin/commerce/config/product-pricing/pre-calculation', 'Pre-calculation', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Configure the price pre-calculation settings.";}}', 'system', -1, 0, 0, 0, '5', 5, 0, '10233', '11148', '11149', '11166', '11196', '0', '0', '0', '0', 0),
('management', '11197', '11163', 'admin/commerce/config/line-items/product', 'admin/commerce/config/line-items/product', 'Product', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '11148', '11149', '11163', '11197', '0', '0', '0', '0', 0),
('management', '11198', '11167', 'admin/commerce/products/types/product', 'admin/commerce/products/types/product', 'Product', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11167', '11198', '0', '0', '0', '0', '0', 0),
('management', '11199', '11169', 'admin/config/workflow/rules/reaction', 'admin/config/workflow/rules/reaction', 'Rules', 'a:0:{}', 'system', -1, 0, 0, 0, '-1', 5, 0, '10233', '10267', '10379', '11169', '11199', '0', '0', '0', '0', 0),
('management', '11200', '11164', 'admin/commerce/config/order/settings', 'admin/commerce/config/order/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '11148', '11149', '11164', '11200', '0', '0', '0', '0', 0),
('management', '11201', '11169', 'admin/config/workflow/rules/settings', 'admin/config/workflow/rules/settings', 'Settings', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 5, 0, '10233', '10267', '10379', '11169', '11201', '0', '0', '0', '0', 0),
('management', '11202', '11171', 'admin/commerce/config/taxes/rates', 'admin/commerce/config/taxes/rates', 'Tax rates', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:17:"Manage tax rates.";}}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '11148', '11149', '11171', '11202', '0', '0', '0', '0', 0),
('management', '11203', '11171', 'admin/commerce/config/taxes/types', 'admin/commerce/config/taxes/types', 'Tax types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:17:"Manage tax types.";}}', 'system', -1, 0, 1, 0, '5', 5, 0, '10233', '11148', '11149', '11171', '11203', '0', '0', '0', '0', 0),
('management', '11204', '11155', 'admin/commerce/orders/%/view', 'admin/commerce/orders/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11155', '11204', '0', '0', '0', '0', '0', 0),
('management', '11205', '11162', 'admin/commerce/config/currency/conversion', 'admin/commerce/config/currency/conversion', 'Currency conversion', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"Configure currency conversion.";}}', 'system', -1, 0, 0, 0, '1', 5, 0, '10233', '11148', '11149', '11162', '11205', '0', '0', '0', '0', 0),
('management', '11206', '11162', 'admin/commerce/config/currency/handling', 'admin/commerce/config/currency/handling', 'Currency handling', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Configure currency handling.";}}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '11148', '11149', '11162', '11206', '0', '0', '0', '0', 0),
('management', '11207', '11155', 'admin/commerce/orders/%/revisions', 'admin/commerce/orders/%/revisions', 'Revisions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:29:"View revisions of this order.";}}', 'system', -1, 0, 0, 0, '20', 4, 0, '10233', '11148', '11155', '11207', '0', '0', '0', '0', '0', 0),
('management', '11208', '11157', 'admin/commerce/products/%/revisions', 'admin/commerce/products/%/revisions', 'Revisions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"View revisions of this product.";}}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '11148', '11157', '11208', '0', '0', '0', '0', '0', 0),
('management', '11209', '11195', 'admin/commerce/orders/%/payment/%', 'admin/commerce/orders/%/payment/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '11148', '11155', '11195', '11209', '0', '0', '0', '0', 0),
('management', '11210', '11203', 'admin/commerce/config/taxes/types/sales-tax', 'admin/commerce/config/taxes/types/sales-tax', '', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:16:"Edit a tax type.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11171', '11203', '11210', '0', '0', '0', 0),
('management', '11211', '11203', 'admin/commerce/config/taxes/types/vat', 'admin/commerce/config/taxes/types/vat', '', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:16:"Edit a tax type.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11171', '11203', '11211', '0', '0', '0', 0),
('management', '11212', '11165', 'admin/commerce/config/payment-methods/manage/%', 'admin/commerce/config/payment-methods/manage/%', '', 'a:0:{}', 'system', -1, 0, 1, 0, '0', 5, 0, '10233', '11148', '11149', '11165', '11212', '0', '0', '0', '0', 0),
('management', '11213', '11180', 'admin/commerce/config/checkout/rules/add', 'admin/commerce/config/checkout/rules/add', 'Add a checkout rule', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:58:"Adds an additional checkout completion rule configuration.";}}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11160', '11180', '11213', '0', '0', '0', 0),
('management', '11214', '11192', 'admin/commerce/config/product-pricing/rules/add', 'admin/commerce/config/product-pricing/rules/add', 'Add a pricing rule', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:61:"Adds an additional sell price calculation rule configuration.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11166', '11192', '11214', '0', '0', '0', 0),
('management', '11215', '11202', 'admin/commerce/config/taxes/rates/add', 'admin/commerce/config/taxes/rates/add', 'Add a tax rate', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Create a new tax rate.";}}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11171', '11202', '11215', '0', '0', '0', 0),
('management', '11216', '11203', 'admin/commerce/config/taxes/types/add', 'admin/commerce/config/taxes/types/add', 'Add a tax type', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:22:"Create a new tax type.";}}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11171', '11203', '11216', '0', '0', '0', 0),
('management', '11217', '11181', 'admin/config/workflow/rules/components/add', 'admin/config/workflow/rules/components/add', 'Add new component', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11181', '11217', '0', '0', '0', 0),
('management', '11218', '11199', 'admin/config/workflow/rules/reaction/add', 'admin/config/workflow/rules/reaction/add', 'Add new rule', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11199', '11218', '0', '0', '0', 0),
('management', '11220', '11201', 'admin/config/workflow/rules/settings/advanced', 'admin/config/workflow/rules/settings/advanced', 'Advanced', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11201', '11220', '0', '0', '0', 0),
('management', '11221', '11189', 'admin/commerce/orders/%/edit/refresh', 'admin/commerce/orders/%/edit/refresh', 'Apply pricing rules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:89:"Executes the cart order refresh used to apply all current pricing rules on the front end.";}}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '11148', '11155', '11189', '11221', '0', '0', '0', '0', 0),
('management', '11222', '11201', 'admin/config/workflow/rules/settings/basic', 'admin/config/workflow/rules/settings/basic', 'Basic', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10267', '10379', '11169', '11201', '11222', '0', '0', '0', 0),
('management', '11225', '11198', 'admin/commerce/products/types/product/delete', 'admin/commerce/products/types/product/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 5, 0, '10233', '11148', '11167', '11198', '11225', '0', '0', '0', '0', 0),
('management', '11226', '11198', 'admin/commerce/products/types/product/edit', 'admin/commerce/products/types/product/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '11148', '11167', '11198', '11226', '0', '0', '0', '0', 0),
('management', '11227', '11181', 'admin/config/workflow/rules/components/import', 'admin/config/workflow/rules/components/import', 'Import component', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11181', '11227', '0', '0', '0', 0),
('management', '11228', '11199', 'admin/config/workflow/rules/reaction/import', 'admin/config/workflow/rules/reaction/import', 'Import rule', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11199', '11228', '0', '0', '0', 0),
('management', '11229', '11178', 'admin/commerce/customer-profiles/types/billing/display', 'admin/commerce/customer-profiles/types/billing/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '11148', '11168', '11178', '11229', '0', '0', '0', '0', 0),
('management', '11230', '11197', 'admin/commerce/config/line-items/product/display', 'admin/commerce/config/line-items/product/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11149', '11163', '11197', '11230', '0', '0', '0', 0),
('management', '11231', '11198', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '11148', '11167', '11198', '11231', '0', '0', '0', '0', 0),
('management', '11232', '11178', 'admin/commerce/customer-profiles/types/billing/fields', 'admin/commerce/customer-profiles/types/billing/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 5, 0, '10233', '11148', '11168', '11178', '11232', '0', '0', '0', '0', 0),
('management', '11233', '11197', 'admin/commerce/config/line-items/product/fields', 'admin/commerce/config/line-items/product/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 6, 0, '10233', '11148', '11149', '11163', '11197', '11233', '0', '0', '0', 0),
('management', '11234', '11198', 'admin/commerce/products/types/product/fields', 'admin/commerce/products/types/product/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 5, 0, '10233', '11148', '11167', '11198', '11234', '0', '0', '0', '0', 0),
('management', '11235', '11189', 'admin/commerce/orders/%/edit/checkout', 'admin/commerce/orders/%/edit/checkout', 'Simulate checkout completion', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:60:"Directly invokes the checkout completion rules on the order.";}}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '11148', '11155', '11189', '11235', '0', '0', '0', '0', 0),
('management', '11237', '11179', 'admin/commerce/config/checkout/form/pane/%', 'admin/commerce/config/checkout/form/pane/%', '', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Configure the settings for a checkout pane.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11160', '11179', '11237', '0', '0', '0', 0),
('management', '11238', '11212', 'admin/commerce/config/payment-methods/manage/%/clone', 'admin/commerce/config/payment-methods/manage/%/clone', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11238', '0', '0', '0', 0),
('management', '11239', '11180', 'admin/commerce/config/checkout/rules/manage/%', 'admin/commerce/config/checkout/rules/manage/%', '', 'a:0:{}', 'system', -1, 0, 1, 0, '0', 6, 0, '10233', '11148', '11149', '11160', '11180', '11239', '0', '0', '0', 0),
('management', '11240', '11192', 'admin/commerce/config/product-pricing/rules/manage/%', 'admin/commerce/config/product-pricing/rules/manage/%', '', 'a:0:{}', 'system', -1, 0, 1, 0, '0', 6, 0, '10233', '11148', '11149', '11166', '11192', '11240', '0', '0', '0', 0),
('management', '11241', '11181', 'admin/config/workflow/rules/components/manage/%', 'admin/config/workflow/rules/components/manage/%', '', 'a:0:{}', 'system', -1, 0, 1, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11181', '11241', '0', '0', '0', 0),
('management', '11242', '11199', 'admin/config/workflow/rules/reaction/manage/%', 'admin/config/workflow/rules/reaction/manage/%', '', 'a:0:{}', 'system', -1, 0, 1, 0, '0', 6, 0, '10233', '10267', '10379', '11169', '11199', '11242', '0', '0', '0', 0),
('management', '11243', '11212', 'admin/commerce/config/payment-methods/manage/%/execute', 'admin/commerce/config/payment-methods/manage/%/execute', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11243', '0', '0', '0', 0),
('management', '11244', '11212', 'admin/commerce/config/payment-methods/manage/%/export', 'admin/commerce/config/payment-methods/manage/%/export', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11244', '0', '0', '0', 0),
('management', '11247', '11209', 'admin/commerce/orders/%/payment/%/paypal-wpp-capture', 'admin/commerce/orders/%/payment/%/paypal-wpp-capture', 'Capture', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11155', '11195', '11209', '11247', '0', '0', '0', 0),
('management', '11249', '11210', 'admin/commerce/config/taxes/types/sales-tax/rule', 'admin/commerce/config/taxes/types/sales-tax/rule', 'Configure rule', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:72:"Add conditions to the rule used to apply taxes of this type to products.";}}', 'system', -1, 0, 0, 0, '5', 7, 0, '10233', '11148', '11149', '11171', '11203', '11210', '11249', '0', '0', 0),
('management', '11250', '11211', 'admin/commerce/config/taxes/types/vat/rule', 'admin/commerce/config/taxes/types/vat/rule', 'Configure rule', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:72:"Add conditions to the rule used to apply taxes of this type to products.";}}', 'system', -1, 0, 0, 0, '5', 7, 0, '10233', '11148', '11149', '11171', '11203', '11211', '11250', '0', '0', 0),
('management', '11255', '11209', 'admin/commerce/orders/%/payment/%/delete', 'admin/commerce/orders/%/payment/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 6, 0, '10233', '11148', '11155', '11195', '11209', '11255', '0', '0', '0', 0),
('management', '11256', '11210', 'admin/commerce/config/taxes/types/sales-tax/delete', 'admin/commerce/config/taxes/types/sales-tax/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '11148', '11149', '11171', '11203', '11210', '11256', '0', '0', 0),
('management', '11258', '11211', 'admin/commerce/config/taxes/types/vat/delete', 'admin/commerce/config/taxes/types/vat/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '11148', '11149', '11171', '11203', '11211', '11258', '0', '0', 0),
('management', '11259', '11210', 'admin/commerce/config/taxes/types/sales-tax/edit', 'admin/commerce/config/taxes/types/sales-tax/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11171', '11203', '11210', '11259', '0', '0', 0),
('management', '11260', '11211', 'admin/commerce/config/taxes/types/vat/edit', 'admin/commerce/config/taxes/types/vat/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11171', '11203', '11211', '11260', '0', '0', 0),
('management', '11261', '11212', 'admin/commerce/config/payment-methods/manage/%/%', 'admin/commerce/config/payment-methods/manage/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11261', '0', '0', '0', 0),
('management', '11263', '11209', 'admin/commerce/orders/%/payment/%/view', 'admin/commerce/orders/%/payment/%/view', 'View', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11155', '11195', '11209', '11263', '0', '0', '0', 0),
('management', '11271', '11239', 'admin/commerce/config/checkout/rules/manage/%/clone', 'admin/commerce/config/checkout/rules/manage/%/clone', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11271', '0', '0', 0),
('management', '11272', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/clone', 'admin/commerce/config/product-pricing/rules/manage/%/clone', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11272', '0', '0', 0),
('management', '11273', '11241', 'admin/config/workflow/rules/components/manage/%/clone', 'admin/config/workflow/rules/components/manage/%/clone', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11273', '0', '0', 0),
('management', '11274', '11242', 'admin/config/workflow/rules/reaction/manage/%/clone', 'admin/config/workflow/rules/reaction/manage/%/clone', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11274', '0', '0', 0),
('management', '11275', '11239', 'admin/commerce/config/checkout/rules/manage/%/execute', 'admin/commerce/config/checkout/rules/manage/%/execute', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11275', '0', '0', 0),
('management', '11276', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/execute', 'admin/commerce/config/product-pricing/rules/manage/%/execute', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11276', '0', '0', 0),
('management', '11277', '11241', 'admin/config/workflow/rules/components/manage/%/execute', 'admin/config/workflow/rules/components/manage/%/execute', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11277', '0', '0', 0),
('management', '11278', '11242', 'admin/config/workflow/rules/reaction/manage/%/execute', 'admin/config/workflow/rules/reaction/manage/%/execute', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11278', '0', '0', 0),
('management', '11279', '11239', 'admin/commerce/config/checkout/rules/manage/%/export', 'admin/commerce/config/checkout/rules/manage/%/export', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11279', '0', '0', 0),
('management', '11280', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/export', 'admin/commerce/config/product-pricing/rules/manage/%/export', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11280', '0', '0', 0),
('management', '11281', '11241', 'admin/config/workflow/rules/components/manage/%/export', 'admin/config/workflow/rules/components/manage/%/export', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11281', '0', '0', 0),
('management', '11282', '11242', 'admin/config/workflow/rules/reaction/manage/%/export', 'admin/config/workflow/rules/reaction/manage/%/export', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11282', '0', '0', 0),
('management', '11283', '11239', 'admin/commerce/config/checkout/rules/manage/%/%', 'admin/commerce/config/checkout/rules/manage/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11283', '0', '0', 0),
('management', '11284', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/%', 'admin/commerce/config/product-pricing/rules/manage/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11284', '0', '0', 0),
('management', '11285', '11241', 'admin/config/workflow/rules/components/manage/%/%', 'admin/config/workflow/rules/components/manage/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11285', '0', '0', 0),
('management', '11286', '11242', 'admin/config/workflow/rules/reaction/manage/%/%', 'admin/config/workflow/rules/reaction/manage/%/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11286', '0', '0', 0),
('management', '11287', '11212', 'admin/commerce/config/payment-methods/manage/%/delete/event', 'admin/commerce/config/payment-methods/manage/%/delete/event', 'Remove event', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Remove an event from a reaction rule.";}}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11287', '0', '0', '0', 0),
('management', '11288', '11212', 'admin/commerce/config/payment-methods/manage/%/add/event', 'admin/commerce/config/payment-methods/manage/%/add/event', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11288', '0', '0', '0', 0),
('management', '11289', '11212', 'admin/commerce/config/payment-methods/manage/%/delete/%', 'admin/commerce/config/payment-methods/manage/%/delete/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11289', '0', '0', '0', 0),
('management', '11290', '11212', 'admin/commerce/config/payment-methods/manage/%/edit/%', 'admin/commerce/config/payment-methods/manage/%/edit/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11290', '0', '0', '0', 0),
('management', '11291', '11212', 'admin/commerce/config/payment-methods/manage/%/add/%', 'admin/commerce/config/payment-methods/manage/%/add/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11165', '11212', '11291', '0', '0', '0', 0),
('management', '11304', '11239', 'admin/commerce/config/checkout/rules/manage/%/delete/event', 'admin/commerce/config/checkout/rules/manage/%/delete/event', 'Remove event', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Remove an event from a reaction rule.";}}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11304', '0', '0', 0),
('management', '11305', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/delete/event', 'admin/commerce/config/product-pricing/rules/manage/%/delete/event', 'Remove event', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Remove an event from a reaction rule.";}}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11305', '0', '0', 0),
('management', '11306', '11241', 'admin/config/workflow/rules/components/manage/%/delete/event', 'admin/config/workflow/rules/components/manage/%/delete/event', 'Remove event', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Remove an event from a reaction rule.";}}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11306', '0', '0', 0),
('management', '11307', '11242', 'admin/config/workflow/rules/reaction/manage/%/delete/event', 'admin/config/workflow/rules/reaction/manage/%/delete/event', 'Remove event', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Remove an event from a reaction rule.";}}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11307', '0', '0', 0);
INSERT INTO `menu_links` VALUES
('management', '11308', '11239', 'admin/commerce/config/checkout/rules/manage/%/add/event', 'admin/commerce/config/checkout/rules/manage/%/add/event', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11308', '0', '0', 0),
('management', '11309', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/add/event', 'admin/commerce/config/product-pricing/rules/manage/%/add/event', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11309', '0', '0', 0),
('management', '11310', '11241', 'admin/config/workflow/rules/components/manage/%/add/event', 'admin/config/workflow/rules/components/manage/%/add/event', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11310', '0', '0', 0),
('management', '11311', '11242', 'admin/config/workflow/rules/reaction/manage/%/add/event', 'admin/config/workflow/rules/reaction/manage/%/add/event', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11311', '0', '0', 0),
('management', '11312', '11239', 'admin/commerce/config/checkout/rules/manage/%/delete/%', 'admin/commerce/config/checkout/rules/manage/%/delete/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11312', '0', '0', 0),
('management', '11313', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/delete/%', 'admin/commerce/config/product-pricing/rules/manage/%/delete/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11313', '0', '0', 0),
('management', '11314', '11241', 'admin/config/workflow/rules/components/manage/%/delete/%', 'admin/config/workflow/rules/components/manage/%/delete/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11314', '0', '0', 0),
('management', '11315', '11242', 'admin/config/workflow/rules/reaction/manage/%/delete/%', 'admin/config/workflow/rules/reaction/manage/%/delete/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11315', '0', '0', 0),
('management', '11316', '11239', 'admin/commerce/config/checkout/rules/manage/%/edit/%', 'admin/commerce/config/checkout/rules/manage/%/edit/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11316', '0', '0', 0),
('management', '11317', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/edit/%', 'admin/commerce/config/product-pricing/rules/manage/%/edit/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11317', '0', '0', 0),
('management', '11318', '11241', 'admin/config/workflow/rules/components/manage/%/edit/%', 'admin/config/workflow/rules/components/manage/%/edit/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11318', '0', '0', 0),
('management', '11319', '11242', 'admin/config/workflow/rules/reaction/manage/%/edit/%', 'admin/config/workflow/rules/reaction/manage/%/edit/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11319', '0', '0', 0),
('management', '11320', '11239', 'admin/commerce/config/checkout/rules/manage/%/add/%', 'admin/commerce/config/checkout/rules/manage/%/add/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11160', '11180', '11239', '11320', '0', '0', 0),
('management', '11321', '11240', 'admin/commerce/config/product-pricing/rules/manage/%/add/%', 'admin/commerce/config/product-pricing/rules/manage/%/add/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11166', '11192', '11240', '11321', '0', '0', 0),
('management', '11322', '11241', 'admin/config/workflow/rules/components/manage/%/add/%', 'admin/config/workflow/rules/components/manage/%/add/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11181', '11241', '11322', '0', '0', 0),
('management', '11323', '11242', 'admin/config/workflow/rules/reaction/manage/%/add/%', 'admin/config/workflow/rules/reaction/manage/%/add/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10379', '11169', '11199', '11242', '11323', '0', '0', 0),
('management', '11324', '11148', 'admin/commerce/coupons', 'admin/commerce/coupons', 'Coupons', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Manage coupons in the store.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '11148', '11324', '0', '0', '0', '0', '0', '0', 0),
('management', '11325', '11148', 'admin/commerce/orders', 'admin/commerce/orders', 'Orders', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Manage orders in the store.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '11148', '11325', '0', '0', '0', '0', '0', '0', 0),
('management', '11326', '11148', 'admin/commerce/customer-profiles', 'admin/commerce/customer-profiles', 'Customer profiles', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:56:"Manage customer profiles and profile types in the store.";}}', 'system', 0, 0, 0, 0, '0', 3, 0, '10233', '11148', '11326', '0', '0', '0', '0', '0', '0', 0),
('management', '11327', '11148', 'admin/commerce/products', 'admin/commerce/products', 'Products', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Manage products and product types in the store.";}}', 'system', 0, 0, 1, 0, '0', 3, 0, '10233', '11148', '11327', '0', '0', '0', '0', '0', '0', 0),
('management', '11328', '11148', 'admin/commerce/line-items', 'admin/commerce/line-items', 'Line Items (VBO)', 'a:0:{}', 'system', -1, 0, 0, 0, '30', 3, 0, '10233', '11148', '11328', '0', '0', '0', '0', '0', '0', 0),
('management', '11329', '11324', 'admin/commerce/coupons/types', 'admin/commerce/coupons/types', 'Coupon types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:35:"Manage coupon types for your store.";}}', 'system', -1, 0, 1, 0, '0', 4, 0, '10233', '11148', '11324', '11329', '0', '0', '0', '0', '0', 0),
('management', '11330', '11324', 'admin/commerce/coupons/add', 'admin/commerce/coupons/add', 'Create Coupon', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"Create a new coupon";}}', 'system', 0, 0, 1, 0, '10', 4, 0, '10233', '11148', '11324', '11330', '0', '0', '0', '0', '0', 0),
('management', '11331', '11324', 'admin/commerce/coupons/%', 'admin/commerce/coupons/%', 'Edit', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11324', '11331', '0', '0', '0', '0', '0', 0),
('management', '11332', '11324', 'admin/commerce/coupons/settings', 'admin/commerce/coupons/settings', 'Settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"Global configuration for coupons.";}}', 'system', -1, 0, 0, 0, '50', 4, 0, '10233', '11148', '11324', '11332', '0', '0', '0', '0', '0', 0),
('management', '11333', '11324', 'admin/commerce/coupons/list', 'admin/commerce/coupons/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11324', '11333', '0', '0', '0', '0', '0', 0),
('management', '11334', '11325', 'admin/commerce/orders/list', 'admin/commerce/orders/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11325', '11334', '0', '0', '0', '0', '0', 0),
('management', '11335', '11325', 'admin/commerce/orders/carts', 'admin/commerce/orders/carts', 'Shopping carts', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11325', '11335', '0', '0', '0', '0', '0', 0),
('management', '11336', '11326', 'admin/commerce/customer-profiles/list', 'admin/commerce/customer-profiles/list', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11326', '11336', '0', '0', '0', '0', '0', 0),
('management', '11337', '11327', 'admin/commerce/products/product-display', 'admin/commerce/products/product-display', 'Product Display (VBO)', 'a:0:{}', 'system', -1, 0, 0, 0, '20', 4, 0, '10233', '11148', '11327', '11337', '0', '0', '0', '0', '0', 0),
('management', '11338', '11327', 'admin/commerce/products/list', 'admin/commerce/products/list', 'Product List (VBO)', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 4, 0, '10233', '11148', '11327', '11338', '0', '0', '0', '0', '0', 0),
('management', '11339', '11329', 'admin/commerce/coupons/types/add', 'admin/commerce/coupons/types/add', 'Add coupon type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 5, 0, '10233', '11148', '11324', '11329', '11339', '0', '0', '0', '0', 0),
('management', '11340', '11163', 'admin/commerce/config/line-items/commerce-coupon', 'admin/commerce/config/line-items/commerce-coupon', 'Coupon', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '11148', '11149', '11163', '11340', '0', '0', '0', '0', 0),
('management', '11341', '11331', 'admin/commerce/coupons/%/delete', 'admin/commerce/coupons/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '20', 5, 0, '10233', '11148', '11324', '11331', '11341', '0', '0', '0', '0', 0),
('management', '11342', '11331', 'admin/commerce/coupons/%/edit', 'admin/commerce/coupons/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 5, 0, '10233', '11148', '11324', '11331', '11342', '0', '0', '0', '0', 0),
('management', '11343', '11340', 'admin/commerce/config/line-items/commerce-coupon/display', 'admin/commerce/config/line-items/commerce-coupon/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11149', '11163', '11340', '11343', '0', '0', '0', 0),
('management', '11344', '11340', 'admin/commerce/config/line-items/commerce-coupon/fields', 'admin/commerce/config/line-items/commerce-coupon/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 6, 0, '10233', '11148', '11149', '11163', '11340', '11344', '0', '0', '0', 0),
('management', '11450', '10377', 'admin/config/services/instagram_block', 'admin/config/services/instagram_block', 'Instagram Block', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Configuration page for Instagram Block.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10377', '11450', '0', '0', '0', '0', '0', 0),
('management', '11548', '10338', 'admin/structure/menu/manage/menu-footer-menu', 'admin/structure/menu/manage/%', 'Footer menu', 'a:0:{}', 'menu', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '11548', '0', '0', '0', '0', '0', 0),
('menu-footer-menu', '11549', '0', 'http://drupal.org', '', 'Product', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '-50', 1, 1, '11549', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-footer-menu', '11550', '0', 'http://drupal.org', '', 'Features', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '-49', 1, 1, '11550', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-footer-menu', '11551', '0', 'http://drupal.org', '', 'Pricing', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '-48', 1, 1, '11551', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-footer-menu', '11552', '0', 'contacts', 'contacts', 'Contacts', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-47', 1, 1, '11552', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-footer-menu', '11553', '0', 'about', 'about', 'About', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11553', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11554', '10311', 'admin/structure/block/instances', 'admin/structure/block/instances', 'Instances', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Create and delete instances of blocks.";}}', 'system', -1, 0, 0, 0, '-15', 4, 0, '10233', '10279', '10311', '11554', '0', '0', '0', '0', '0', 0),
('navigation', '11652', '0', 'shared-wishlist/%', 'shared-wishlist/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11652', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11653', '10274', 'user/%/wishlist', 'user/%/wishlist', '', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10274', '11653', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11654', '11149', 'admin/commerce/config/wishlist', 'admin/commerce/config/wishlist', 'Wishlist configuration', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"Configure wish list";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11149', '11654', '0', '0', '0', '0', '0', 0),
('management', '11655', '11325', 'admin/commerce/orders/wishlists', 'admin/commerce/orders/wishlists', 'Wish lists', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '11148', '11325', '11655', '0', '0', '0', '0', '0', 0),
('management', '11753', '10338', 'admin/structure/menu/manage/menu-short-user-menu', 'admin/structure/menu/manage/%', 'Short user menu', 'a:0:{}', 'menu', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '11753', '0', '0', '0', '0', '0', 0),
('menu-short-user-menu', '11754', '0', 'user', 'user', 'My Account', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11754', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-short-user-menu', '11755', '0', 'user/login', 'user/login', 'Sign In', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11755', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '11756', '10264', 'node/add/video-entry', 'node/add/video-entry', 'Video entry', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '11756', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11757', '6709', 'node/67', 'node/%', 'Team member', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 2, 1, '6709', '11757', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11758', '6709', 'services', 'services', 'Services', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-47', 2, 1, '6709', '11758', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11759', '6709', 'contacts', 'contacts', 'Contacts', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-46', 2, 1, '6709', '11759', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11760', '0', 'coming-soon-1', 'coming-soon-1', 'Coming soon page 1', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11760', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11761', '6709', 'coming-soon-1', 'coming-soon-1', 'Coming soon page 1', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-45', 2, 1, '6709', '11761', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11763', '0', 'coming-soon-2', 'coming-soon-2', 'Coming soon page 2', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11763', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11764', '0', 'coming-soon-3', 'coming-soon-3', 'Coming soon page 3', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11764', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11765', '0', 'coming-soon-4', 'coming-soon-4', 'Coming soon page 4', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11765', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11766', '0', 'coming-soon-5', 'coming-soon-5', 'Coming soon page 5', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11766', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11767', '6709', 'coming-soon-2', 'coming-soon-2', 'Coming soon page 2', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-44', 2, 1, '6709', '11767', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11768', '6709', 'coming-soon-3', 'coming-soon-3', 'Coming soon page 3', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-43', 2, 1, '6709', '11768', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11769', '6709', 'coming-soon-4', 'coming-soon-4', 'Coming soon page 4', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-42', 2, 1, '6709', '11769', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11770', '6709', 'coming-soon-5', 'coming-soon-5', 'Coming soon page 5', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-41', 2, 1, '6709', '11770', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11771', '0', '404-page-1', '404-page-1', '404 page 1', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11771', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11772', '0', '404-page-2', '404-page-2', '404 page 2', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11772', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11773', '0', '404-page-3', '404-page-3', '404 page 3', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11773', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11774', '6709', '404-page-1', '404-page-1', '404 page 1', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-40', 2, 1, '6709', '11774', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11775', '6709', '404-page-2', '404-page-2', '404 page 2', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-39', 2, 1, '6709', '11775', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11776', '6709', '404-page-3', '404-page-3', '404 page 3', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-38', 2, 1, '6709', '11776', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11778', '0', 'portfolio-classic-2-cols', 'portfolio-classic-2-cols', '2 Column Classic Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11778', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11779', '0', 'portfolio-classic-3-cols', 'portfolio-classic-3-cols', '3 Column Classic Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11779', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11780', '0', 'portfolio-masonry-v1-2-cols', 'portfolio-masonry-v1-2-cols', '2 Column Masonry v1 Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11780', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11781', '10947', 'portfolio-masonry-v1-2-cols', 'portfolio-masonry-v1-2-cols', '2 Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 3, 1, '10945', '10947', '11781', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11782', '0', 'portfolio-masonry-v1-3-cols', 'portfolio-masonry-v1-3-cols', '3 Column Masonry v1 Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11782', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11783', '10947', 'portfolio-masonry-v1-3-cols', 'portfolio-masonry-v1-3-cols', '3 Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 3, 1, '10945', '10947', '11783', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11784', '0', 'portfolio-masonry-v2', 'portfolio-masonry-v2', 'Masonry v2 Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11784', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11785', '10945', 'portfolio-masonry-v2', 'portfolio-masonry-v2', 'Masonry v2', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 2, 1, '10945', '11785', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11786', '0', 'portfolio-fullwidth-3-cols', 'portfolio-fullwidth-3-cols', '3 Column Full Width Grid Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11786', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11787', '10945', 'portfolio-fullwidth-3-cols', 'portfolio-fullwidth-3-cols', 'Full width grid', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 1, 0, '-47', 2, 1, '10945', '11787', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11788', '11787', 'portfolio-fullwidth-3-cols', 'portfolio-fullwidth-3-cols', '3 Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 3, 1, '10945', '11787', '11788', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11789', '0', 'portfolio-fullwidth-4-cols', 'portfolio-fullwidth-4-cols', '4 Column Full Width Grid Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11789', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11790', '11787', 'portfolio-fullwidth-4-cols', 'portfolio-fullwidth-4-cols', '4 Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 3, 1, '10945', '11787', '11790', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11791', '0', 'portfolio-fullwidth-5-cols', 'portfolio-fullwidth-5-cols', '5 Column Full Width Grid Portfolio Without Spacing', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11791', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11792', '11787', 'portfolio-fullwidth-5-cols', 'portfolio-fullwidth-5-cols', '5 Columns without spacing', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 3, 1, '10945', '11787', '11792', '0', '0', '0', '0', '0', '0', 0),
('management', '11793', '10338', 'admin/structure/menu/manage/menu-elemets-col-1', 'admin/structure/menu/manage/%', 'Elemets col 1', 'a:0:{}', 'menu', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '11793', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11794', '0', 'accordions-and-toggles', 'accordions-and-toggles', 'Accordions and toggles', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11794', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11795', '0', 'accordions-and-toggles', 'accordions-and-toggles', 'Accordions and toggles', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-50', 1, 1, '11795', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11796', '0', 'accordions-and-toggles', 'accordions-and-toggles', 'Elements', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-48', 1, 1, '11796', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11797', '0', 'alert-boxes-and-callouts', 'alert-boxes-and-callouts', 'Alert boxes and callouts', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11797', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11798', '0', 'alert-boxes-and-callouts', 'alert-boxes-and-callouts', 'Alert boxes and callouts', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-49', 1, 1, '11798', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11799', '0', 'buttons', 'buttons', 'Buttons', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11799', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11800', '0', 'buttons', 'buttons', 'Buttons', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11800', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11801', '0', 'carousel-sliders', 'carousel-sliders', 'Carousel Sliders', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11801', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11802', '0', 'carousel-sliders', 'carousel-sliders', 'Carousel Sliders', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11802', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11803', '0', 'columns', 'columns', 'Columns', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11803', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11804', '0', 'counters', 'counters', 'Counters', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11804', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11805', '0', 'dropcaps', 'dropcaps', 'Dropcaps', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11805', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '11807', '10338', 'admin/structure/menu/manage/menu-elemets-col-2', 'admin/structure/menu/manage/%', 'Elemets col 2', 'a:0:{}', 'menu', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '11807', '0', '0', '0', '0', '0', 0),
('management', '11808', '10338', 'admin/structure/menu/manage/menu-elemets-col-3', 'admin/structure/menu/manage/%', 'Elemets col 3', 'a:0:{}', 'menu', 0, 0, 0, 0, '0', 4, 0, '10233', '10279', '10338', '11808', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11809', '0', 'forms', 'forms', 'Forms', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11809', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11810', '0', 'forms', 'forms', 'Forms', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11810', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11811', '0', 'icon-boxes', 'icon-boxes', 'Icon-boxes', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11811', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11812', '0', 'icon-boxes', 'icon-boxes', 'Icon boxes', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11812', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11813', '0', 'image-positions', 'image-positions', 'Image Positions', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11813', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11814', '0', 'image-positions', 'image-positions', 'Image positions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11814', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11815', '0', 'lists', 'lists', 'Lists', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11815', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11816', '0', 'lists', 'lists', 'Lists', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11816', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11817', '0', 'dividers', 'dividers', 'Dividers', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11817', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11818', '0', 'dropcaps', 'dropcaps', 'Dropcaps', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11818', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-1', '11819', '0', 'dividers', 'dividers', 'Dividers', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11819', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11820', '0', 'pricing-tables', 'pricing-tables', 'Pricing tables', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11820', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11821', '0', 'pricing-tables', 'pricing-tables', 'Pricing tables', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11821', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11822', '0', 'progress-bars', 'progress-bars', 'Progressbars', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11822', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-2', '11823', '0', 'progress-bars', 'progress-bars', 'Progress bars', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11823', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11824', '0', 'tables', 'tables', 'Tables', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11824', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-3', '11825', '0', 'tables', 'tables', 'Tables', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11825', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11826', '0', 'tabs-and-tour-sections', 'tabs-and-tour-sections', 'Tabs and Tour Sections', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11826', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-3', '11827', '0', 'tabs-and-tour-sections', 'tabs-and-tour-sections', 'Tabs and tour sections', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11827', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11828', '0', 'testimonials', 'testimonials', 'Testimonials', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11828', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-3', '11829', '0', 'testimonials', 'testimonials', 'Testimonials', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11829', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11830', '0', 'typography', 'typography', 'Typography & marking', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11830', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-elemets-col-3', '11831', '0', 'typography', 'typography', 'Typography', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '0', 1, 1, '11831', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11832', '10945', 'node/104', 'node/%', 'Single portfolio post', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, '-46', 2, 1, '10945', '11832', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11833', '0', 'blog-masonry-v1-3-cols', 'blog-masonry-v1-3-cols', '3 Column Masonry v1 Blog', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11833', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('menu-sitemap', '11834', '0', 'blog-masonry-v1-4-cols', 'blog-masonry-v1-4-cols', '4 Column Masonry v1 Blog', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 1, 0, '11834', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11932', '0', 'http://drupal.org', '', 'Shop', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 1, 0, '0', 1, 1, '11932', '0', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11933', '668', '<front>', '', 'Blog submenu', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '0', 2, 1, '668', '11933', '0', '0', '0', '0', '0', '0', '0', 0),
('main-menu', '11934', '11932', '<front>', '', 'Shop submenu', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, '-50', 2, 1, '11932', '11934', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '12032', '10371', 'admin/config/user-interface/dismiss', 'admin/config/user-interface/dismiss', 'Dismiss', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Administrative settings for Dismiss module.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10371', '12032', '0', '0', '0', '0', '0', 0),
('management', '12033', '10647', 'admin/config/media/file-types/manage/%/file-display/blog_carousel_image', 'admin/config/media/file-types/manage/%/file-display/blog_carousel_image', 'Blog carousel image', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '12033', '0', '0', 0),
('management', '12035', '11330', 'admin/commerce/coupons/add/save-5-dollars', 'admin/commerce/coupons/add/save-5-dollars', 'Create !name', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '11148', '11324', '11330', '12035', '0', '0', '0', '0', 0),
('management', '12036', '11329', 'admin/commerce/coupons/types/save-5-dollars', 'admin/commerce/coupons/types/save-5-dollars', 'Save 5 Dollars', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 5, 0, '10233', '11148', '11324', '11329', '12036', '0', '0', '0', '0', 0),
('management', '12037', '12036', 'admin/commerce/coupons/types/save-5-dollars/delete', 'admin/commerce/coupons/types/save-5-dollars/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 6, 0, '10233', '11148', '11324', '11329', '12036', '12037', '0', '0', '0', 0),
('management', '12038', '12036', 'admin/commerce/coupons/types/save-5-dollars/edit', 'admin/commerce/coupons/types/save-5-dollars/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11324', '11329', '12036', '12038', '0', '0', '0', 0),
('management', '12039', '12036', 'admin/commerce/coupons/types/save-5-dollars/display', 'admin/commerce/coupons/types/save-5-dollars/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11324', '11329', '12036', '12039', '0', '0', '0', 0),
('management', '12040', '12036', 'admin/commerce/coupons/types/save-5-dollars/fields', 'admin/commerce/coupons/types/save-5-dollars/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 6, 0, '10233', '11148', '11324', '11329', '12036', '12040', '0', '0', '0', 0),
('navigation', '12047', '10264', 'node/add/product-display', 'node/add/product-display', 'Product display', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 2, 0, '10264', '12047', '0', '0', '0', '0', '0', '0', '0', 0),
('navigation', '12048', '10263', 'node/%/products', 'node/%/products', 'Products', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 2, 0, '10263', '12048', '0', '0', '0', '0', '0', '0', '0', 0),
('management', '12049', '11327', 'admin/commerce/products/display_manager', 'admin/commerce/products/display_manager', 'Display manager', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 4, 0, '10233', '11148', '11327', '12049', '0', '0', '0', '0', '0', 0),
('management', '12050', '11327', 'admin/commerce/products/clone/product/%', 'admin/commerce/products/clone/product/%', 'Create @name', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:21:"A basic product type.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '11148', '11327', '12050', '0', '0', '0', '0', '0', 0),
('management', '12057', '10320', 'admin/config/content/fivestar', 'admin/config/content/fivestar', 'Fivestar', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:53:"Configure site-wide widgets used for Fivestar rating.";}}', 'system', 0, 0, 0, 0, '0', 4, 0, '10233', '10267', '10320', '12057', '0', '0', '0', '0', '0', 0),
('management', '12069', '10647', 'admin/config/media/file-types/manage/%/file-display/token', 'admin/config/media/file-types/manage/%/file-display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '10267', '10337', '10420', '10611', '10647', '12069', '0', '0', 0),
('management', '12072', '11164', 'admin/commerce/config/order/display', 'admin/commerce/config/order/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '11148', '11149', '11164', '12072', '0', '0', '0', '0', 0),
('management', '12073', '10401', 'admin/structure/taxonomy/%/display', 'admin/structure/taxonomy/%/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '10279', '10362', '10401', '12073', '0', '0', '0', '0', 0),
('management', '12074', '10402', 'admin/config/people/accounts/display', 'admin/config/people/accounts/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '10267', '10344', '10402', '12074', '0', '0', '0', '0', 0),
('management', '12075', '11164', 'admin/commerce/config/order/fields', 'admin/commerce/config/order/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 5, 0, '10233', '11148', '11149', '11164', '12075', '0', '0', '0', '0', 0),
('management', '12076', '10401', 'admin/structure/taxonomy/%/fields', 'admin/structure/taxonomy/%/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 5, 0, '10233', '10279', '10362', '10401', '12076', '0', '0', '0', '0', 0),
('management', '12077', '10402', 'admin/config/people/accounts/fields', 'admin/config/people/accounts/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 5, 0, '10233', '10267', '10344', '10402', '12077', '0', '0', '0', '0', 0),
('management', '12078', '12072', 'admin/commerce/config/order/display/administrator', 'admin/commerce/config/order/display/administrator', 'Administrator', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11164', '12072', '12078', '0', '0', '0', 0),
('management', '12079', '12072', 'admin/commerce/config/order/display/customer', 'admin/commerce/config/order/display/customer', 'Customer', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '11148', '11149', '11164', '12072', '12079', '0', '0', '0', 0),
('management', '12080', '12072', 'admin/commerce/config/order/display/default', 'admin/commerce/config/order/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '11148', '11149', '11164', '12072', '12080', '0', '0', '0', 0),
('management', '12081', '12073', 'admin/structure/taxonomy/%/display/default', 'admin/structure/taxonomy/%/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10279', '10362', '10401', '12073', '12081', '0', '0', '0', 0),
('management', '12082', '12074', 'admin/config/people/accounts/display/default', 'admin/config/people/accounts/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10267', '10344', '10402', '12074', '12082', '0', '0', '0', 0),
('management', '12083', '10521', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 5, 0, '10233', '10279', '10321', '10521', '12083', '0', '0', '0', '0', 0),
('management', '12084', '10521', 'admin/structure/types/manage/%/fields', 'admin/structure/types/manage/%/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 5, 0, '10233', '10279', '10321', '10521', '12084', '0', '0', '0', '0', 0),
('management', '12085', '12073', 'admin/structure/taxonomy/%/display/full', 'admin/structure/taxonomy/%/display/full', 'Taxonomy term page', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10279', '10362', '10401', '12073', '12085', '0', '0', '0', 0),
('management', '12086', '12072', 'admin/commerce/config/order/display/token', 'admin/commerce/config/order/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11149', '11164', '12072', '12086', '0', '0', '0', 0),
('management', '12087', '12073', 'admin/structure/taxonomy/%/display/token', 'admin/structure/taxonomy/%/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '10279', '10362', '10401', '12073', '12087', '0', '0', '0', 0),
('management', '12088', '12074', 'admin/config/people/accounts/display/token', 'admin/config/people/accounts/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '10267', '10344', '10402', '12074', '12088', '0', '0', '0', 0),
('management', '12089', '12074', 'admin/config/people/accounts/display/full', 'admin/config/people/accounts/display/full', 'User account', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10267', '10344', '10402', '12074', '12089', '0', '0', '0', 0),
('management', '12090', '12075', 'admin/commerce/config/order/fields/%', 'admin/commerce/config/order/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11149', '11164', '12075', '12090', '0', '0', '0', 0),
('management', '12091', '12076', 'admin/structure/taxonomy/%/fields/%', 'admin/structure/taxonomy/%/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10279', '10362', '10401', '12076', '12091', '0', '0', '0', 0),
('management', '12092', '12077', 'admin/config/people/accounts/fields/%', 'admin/config/people/accounts/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10267', '10344', '10402', '12077', '12092', '0', '0', '0', 0),
('management', '12093', '11231', 'admin/commerce/products/types/product/display/full', 'admin/commerce/products/types/product/display/full', 'Admin display', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11167', '11198', '11231', '12093', '0', '0', '0', 0),
('management', '12094', '11229', 'admin/commerce/customer-profiles/types/billing/display/administrator', 'admin/commerce/customer-profiles/types/billing/display/administrator', 'Administrator', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '11148', '11168', '11178', '11229', '12094', '0', '0', '0', 0),
('management', '12095', '11231', 'admin/commerce/products/types/product/display/commerce_line_item_display', 'admin/commerce/products/types/product/display/commerce_line_item_display', 'Commerce Line item: Display', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 6, 0, '10233', '11148', '11167', '11198', '11231', '12095', '0', '0', '0', 0),
('management', '12096', '11231', 'admin/commerce/products/types/product/display/commerce_line_item_token', 'admin/commerce/products/types/product/display/commerce_line_item_token', 'Commerce Line item: Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 6, 0, '10233', '11148', '11167', '11198', '11231', '12096', '0', '0', '0', 0),
('management', '12097', '11229', 'admin/commerce/customer-profiles/types/billing/display/customer', 'admin/commerce/customer-profiles/types/billing/display/customer', 'Customer', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '11148', '11168', '11178', '11229', '12097', '0', '0', '0', 0),
('management', '12098', '12039', 'admin/commerce/coupons/types/save-5-dollars/display/default', 'admin/commerce/coupons/types/save-5-dollars/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 7, 0, '10233', '11148', '11324', '11329', '12036', '12039', '12098', '0', '0', 0),
('management', '12099', '11229', 'admin/commerce/customer-profiles/types/billing/display/default', 'admin/commerce/customer-profiles/types/billing/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '11148', '11168', '11178', '11229', '12099', '0', '0', '0', 0),
('management', '12100', '11343', 'admin/commerce/config/line-items/commerce-coupon/display/default', 'admin/commerce/config/line-items/commerce-coupon/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 7, 0, '10233', '11148', '11149', '11163', '11340', '11343', '12100', '0', '0', 0),
('management', '12101', '11230', 'admin/commerce/config/line-items/product/display/default', 'admin/commerce/config/line-items/product/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 7, 0, '10233', '11148', '11149', '11163', '11197', '11230', '12101', '0', '0', 0),
('management', '12102', '11231', 'admin/commerce/products/types/product/display/default', 'admin/commerce/products/types/product/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '11148', '11167', '11198', '11231', '12102', '0', '0', '0', 0),
('management', '12103', '12083', 'admin/structure/types/manage/%/display/default', 'admin/structure/types/manage/%/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10279', '10321', '10521', '12083', '12103', '0', '0', '0', 0),
('management', '12104', '11343', 'admin/commerce/config/line-items/commerce-coupon/display/display', 'admin/commerce/config/line-items/commerce-coupon/display/display', 'Display', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11163', '11340', '11343', '12104', '0', '0', 0),
('management', '12105', '11230', 'admin/commerce/config/line-items/product/display/display', 'admin/commerce/config/line-items/product/display/display', 'Display', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11163', '11197', '11230', '12105', '0', '0', 0),
('management', '12106', '12083', 'admin/structure/types/manage/%/display/full', 'admin/structure/types/manage/%/display/full', 'Full content', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10279', '10321', '10521', '12083', '12106', '0', '0', '0', 0),
('management', '12107', '11231', 'admin/commerce/products/types/product/display/line_item', 'admin/commerce/products/types/product/display/line_item', 'Line item', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11167', '11198', '11231', '12107', '0', '0', '0', 0),
('management', '12108', '10611', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%/display', 'Manage display', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '10267', '10337', '10420', '10611', '12108', '0', '0', '0', 0),
('management', '12109', '10611', 'admin/config/media/file-types/manage/%/fields', 'admin/config/media/file-types/manage/%/fields', 'Manage fields', 'a:0:{}', 'system', -1, 0, 1, 0, '1', 6, 0, '10233', '10267', '10337', '10420', '10611', '12109', '0', '0', '0', 0),
('management', '12110', '11231', 'admin/commerce/products/types/product/display/node_full', 'admin/commerce/products/types/product/display/node_full', 'Node: Full content', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 6, 0, '10233', '11148', '11167', '11198', '11231', '12110', '0', '0', '0', 0),
('management', '12111', '11231', 'admin/commerce/products/types/product/display/node_rss', 'admin/commerce/products/types/product/display/node_rss', 'Node: RSS', 'a:0:{}', 'system', -1, 0, 0, 0, '7', 6, 0, '10233', '11148', '11167', '11198', '11231', '12111', '0', '0', '0', 0),
('management', '12112', '11231', 'admin/commerce/products/types/product/display/node_search_index', 'admin/commerce/products/types/product/display/node_search_index', 'Node: Search index', 'a:0:{}', 'system', -1, 0, 0, 0, '8', 6, 0, '10233', '11148', '11167', '11198', '11231', '12112', '0', '0', '0', 0),
('management', '12113', '11231', 'admin/commerce/products/types/product/display/node_search_result', 'admin/commerce/products/types/product/display/node_search_result', 'Node: Search result highlighting input', 'a:0:{}', 'system', -1, 0, 0, 0, '9', 6, 0, '10233', '11148', '11167', '11198', '11231', '12113', '0', '0', '0', 0),
('management', '12114', '11231', 'admin/commerce/products/types/product/display/node_teaser', 'admin/commerce/products/types/product/display/node_teaser', 'Node: Teaser', 'a:0:{}', 'system', -1, 0, 0, 0, '6', 6, 0, '10233', '11148', '11167', '11198', '11231', '12114', '0', '0', '0', 0),
('management', '12115', '11231', 'admin/commerce/products/types/product/display/node_token', 'admin/commerce/products/types/product/display/node_token', 'Node: Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 6, 0, '10233', '11148', '11167', '11198', '11231', '12115', '0', '0', '0', 0),
('management', '12116', '12083', 'admin/structure/types/manage/%/display/rss', 'admin/structure/types/manage/%/display/rss', 'RSS', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '10279', '10321', '10521', '12083', '12116', '0', '0', '0', 0),
('management', '12117', '12083', 'admin/structure/types/manage/%/display/search_index', 'admin/structure/types/manage/%/display/search_index', 'Search index', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 6, 0, '10233', '10279', '10321', '10521', '12083', '12117', '0', '0', '0', 0),
('management', '12118', '12083', 'admin/structure/types/manage/%/display/search_result', 'admin/structure/types/manage/%/display/search_result', 'Search result highlighting input', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 6, 0, '10233', '10279', '10321', '10521', '12083', '12118', '0', '0', '0', 0),
('management', '12119', '12083', 'admin/structure/types/manage/%/display/teaser', 'admin/structure/types/manage/%/display/teaser', 'Teaser', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '10279', '10321', '10521', '12083', '12119', '0', '0', '0', 0),
('management', '12120', '12039', 'admin/commerce/coupons/types/save-5-dollars/display/token', 'admin/commerce/coupons/types/save-5-dollars/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11324', '11329', '12036', '12039', '12120', '0', '0', 0),
('management', '12121', '11229', 'admin/commerce/customer-profiles/types/billing/display/token', 'admin/commerce/customer-profiles/types/billing/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 6, 0, '10233', '11148', '11168', '11178', '11229', '12121', '0', '0', '0', 0),
('management', '12122', '11343', 'admin/commerce/config/line-items/commerce-coupon/display/token', 'admin/commerce/config/line-items/commerce-coupon/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 7, 0, '10233', '11148', '11149', '11163', '11340', '11343', '12122', '0', '0', 0),
('management', '12123', '11230', 'admin/commerce/config/line-items/product/display/token', 'admin/commerce/config/line-items/product/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 7, 0, '10233', '11148', '11149', '11163', '11197', '11230', '12123', '0', '0', 0),
('management', '12124', '11231', 'admin/commerce/products/types/product/display/token', 'admin/commerce/products/types/product/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '11148', '11167', '11198', '11231', '12124', '0', '0', '0', 0),
('management', '12125', '12083', 'admin/structure/types/manage/%/display/token', 'admin/structure/types/manage/%/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 6, 0, '10233', '10279', '10321', '10521', '12083', '12125', '0', '0', '0', 0),
('management', '12126', '11233', 'admin/commerce/config/line-items/product/fields/%', 'admin/commerce/config/line-items/product/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11163', '11197', '11233', '12126', '0', '0', 0),
('management', '12127', '11344', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'admin/commerce/config/line-items/commerce-coupon/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11163', '11340', '11344', '12127', '0', '0', 0),
('management', '12128', '11234', 'admin/commerce/products/types/product/fields/%', 'admin/commerce/products/types/product/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11167', '11198', '11234', '12128', '0', '0', '0', 0),
('management', '12129', '12084', 'admin/structure/types/manage/%/fields/%', 'admin/structure/types/manage/%/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10279', '10321', '10521', '12084', '12129', '0', '0', '0', 0),
('management', '12130', '12040', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'admin/commerce/coupons/types/save-5-dollars/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '11148', '11324', '11329', '12036', '12040', '12130', '0', '0', 0),
('management', '12131', '11232', 'admin/commerce/customer-profiles/types/billing/fields/%', 'admin/commerce/customer-profiles/types/billing/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '11148', '11168', '11178', '11232', '12131', '0', '0', '0', 0),
('management', '12132', '12090', 'admin/commerce/config/order/fields/%/delete', 'admin/commerce/config/order/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '11148', '11149', '11164', '12075', '12090', '12132', '0', '0', 0),
('management', '12133', '12090', 'admin/commerce/config/order/fields/%/edit', 'admin/commerce/config/order/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11164', '12075', '12090', '12133', '0', '0', 0);
INSERT INTO `menu_links` VALUES
('management', '12134', '12090', 'admin/commerce/config/order/fields/%/field-settings', 'admin/commerce/config/order/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11164', '12075', '12090', '12134', '0', '0', 0),
('management', '12135', '12090', 'admin/commerce/config/order/fields/%/widget-type', 'admin/commerce/config/order/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11149', '11164', '12075', '12090', '12135', '0', '0', 0),
('management', '12136', '12091', 'admin/structure/taxonomy/%/fields/%/delete', 'admin/structure/taxonomy/%/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '10279', '10362', '10401', '12076', '12091', '12136', '0', '0', 0),
('management', '12137', '12091', 'admin/structure/taxonomy/%/fields/%/edit', 'admin/structure/taxonomy/%/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10362', '10401', '12076', '12091', '12137', '0', '0', 0),
('management', '12138', '12091', 'admin/structure/taxonomy/%/fields/%/field-settings', 'admin/structure/taxonomy/%/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10362', '10401', '12076', '12091', '12138', '0', '0', 0),
('management', '12139', '12091', 'admin/structure/taxonomy/%/fields/%/widget-type', 'admin/structure/taxonomy/%/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10362', '10401', '12076', '12091', '12139', '0', '0', 0),
('management', '12140', '12092', 'admin/config/people/accounts/fields/%/delete', 'admin/config/people/accounts/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '10267', '10344', '10402', '12077', '12092', '12140', '0', '0', 0),
('management', '12141', '12092', 'admin/config/people/accounts/fields/%/edit', 'admin/config/people/accounts/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10267', '10344', '10402', '12077', '12092', '12141', '0', '0', 0),
('management', '12142', '12092', 'admin/config/people/accounts/fields/%/field-settings', 'admin/config/people/accounts/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10267', '10344', '10402', '12077', '12092', '12142', '0', '0', 0),
('management', '12143', '12092', 'admin/config/people/accounts/fields/%/widget-type', 'admin/config/people/accounts/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10267', '10344', '10402', '12077', '12092', '12143', '0', '0', 0),
('management', '12144', '12108', 'admin/config/media/file-types/manage/%/display/block_blog_image', 'admin/config/media/file-types/manage/%/display/block_blog_image', 'Blog block image', 'a:0:{}', 'system', -1, 0, 0, 0, '4', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12144', '0', '0', 0),
('management', '12145', '12108', 'admin/config/media/file-types/manage/%/display/blog_carousel_image', 'admin/config/media/file-types/manage/%/display/blog_carousel_image', 'Blog carousel image', 'a:0:{}', 'system', -1, 0, 0, 0, '3', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12145', '0', '0', 0),
('management', '12146', '12108', 'admin/config/media/file-types/manage/%/display/blog_image', 'admin/config/media/file-types/manage/%/display/blog_image', 'Blog image', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12146', '0', '0', 0),
('management', '12147', '12108', 'admin/config/media/file-types/manage/%/display/blog_masonry_image', 'admin/config/media/file-types/manage/%/display/blog_masonry_image', 'Blog masonry image', 'a:0:{}', 'system', -1, 0, 0, 0, '2', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12147', '0', '0', 0),
('management', '12148', '10628', 'admin/structure/types/manage/%/comment/display/default', 'admin/structure/types/manage/%/comment/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 6, 0, '10233', '10279', '10321', '10521', '10628', '12148', '0', '0', '0', 0),
('management', '12149', '12108', 'admin/config/media/file-types/manage/%/display/default', 'admin/config/media/file-types/manage/%/display/default', 'Default', 'a:0:{}', 'system', -1, 0, 0, 0, '-10', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12149', '0', '0', 0),
('management', '12150', '10628', 'admin/structure/types/manage/%/comment/display/full', 'admin/structure/types/manage/%/comment/display/full', 'Full comment', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 6, 0, '10233', '10279', '10321', '10521', '10628', '12150', '0', '0', '0', 0),
('management', '12151', '12108', 'admin/config/media/file-types/manage/%/display/full_post_image', 'admin/config/media/file-types/manage/%/display/full_post_image', 'Full post image', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12151', '0', '0', 0),
('management', '12152', '12108', 'admin/config/media/file-types/manage/%/display/media_link', 'admin/config/media/file-types/manage/%/display/media_link', 'Link', 'a:0:{}', 'system', -1, 0, 0, 0, '5', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12152', '0', '0', 0),
('management', '12153', '12108', 'admin/config/media/file-types/manage/%/display/media_large', 'admin/config/media/file-types/manage/%/display/media_large', 'Large', 'a:0:{}', 'system', -1, 0, 0, 0, '8', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12153', '0', '0', 0),
('management', '12154', '12108', 'admin/config/media/file-types/manage/%/display/media_original', 'admin/config/media/file-types/manage/%/display/media_original', 'Original', 'a:0:{}', 'system', -1, 0, 0, 0, '9', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12154', '0', '0', 0),
('management', '12155', '12108', 'admin/config/media/file-types/manage/%/display/media_preview', 'admin/config/media/file-types/manage/%/display/media_preview', 'Preview', 'a:0:{}', 'system', -1, 0, 0, 0, '6', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12155', '0', '0', 0),
('management', '12156', '12108', 'admin/config/media/file-types/manage/%/display/media_small', 'admin/config/media/file-types/manage/%/display/media_small', 'Small', 'a:0:{}', 'system', -1, 0, 0, 0, '7', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12156', '0', '0', 0),
('management', '12157', '10628', 'admin/structure/types/manage/%/comment/display/token', 'admin/structure/types/manage/%/comment/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '1', 6, 0, '10233', '10279', '10321', '10521', '10628', '12157', '0', '0', '0', 0),
('management', '12158', '12108', 'admin/config/media/file-types/manage/%/display/token', 'admin/config/media/file-types/manage/%/display/token', 'Tokens', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '10267', '10337', '10420', '10611', '12108', '12158', '0', '0', 0),
('management', '12159', '10629', 'admin/structure/types/manage/%/comment/fields/%', 'admin/structure/types/manage/%/comment/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 6, 0, '10233', '10279', '10321', '10521', '10629', '12159', '0', '0', '0', 0),
('management', '12160', '12130', 'admin/commerce/coupons/types/save-5-dollars/fields/%/delete', 'admin/commerce/coupons/types/save-5-dollars/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 8, 0, '10233', '11148', '11324', '11329', '12036', '12040', '12130', '12160', '0', 0),
('management', '12161', '12130', 'admin/commerce/coupons/types/save-5-dollars/fields/%/edit', 'admin/commerce/coupons/types/save-5-dollars/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11324', '11329', '12036', '12040', '12130', '12161', '0', 0),
('management', '12162', '12130', 'admin/commerce/coupons/types/save-5-dollars/fields/%/field-settings', 'admin/commerce/coupons/types/save-5-dollars/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11324', '11329', '12036', '12040', '12130', '12162', '0', 0),
('management', '12163', '12130', 'admin/commerce/coupons/types/save-5-dollars/fields/%/widget-type', 'admin/commerce/coupons/types/save-5-dollars/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11324', '11329', '12036', '12040', '12130', '12163', '0', 0),
('management', '12164', '12131', 'admin/commerce/customer-profiles/types/billing/fields/%/delete', 'admin/commerce/customer-profiles/types/billing/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '11148', '11168', '11178', '11232', '12131', '12164', '0', '0', 0),
('management', '12165', '12131', 'admin/commerce/customer-profiles/types/billing/fields/%/edit', 'admin/commerce/customer-profiles/types/billing/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11168', '11178', '11232', '12131', '12165', '0', '0', 0),
('management', '12166', '12131', 'admin/commerce/customer-profiles/types/billing/fields/%/field-settings', 'admin/commerce/customer-profiles/types/billing/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11168', '11178', '11232', '12131', '12166', '0', '0', 0),
('management', '12167', '12131', 'admin/commerce/customer-profiles/types/billing/fields/%/widget-type', 'admin/commerce/customer-profiles/types/billing/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11168', '11178', '11232', '12131', '12167', '0', '0', 0),
('management', '12168', '12127', 'admin/commerce/config/line-items/commerce-coupon/fields/%/delete', 'admin/commerce/config/line-items/commerce-coupon/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 8, 0, '10233', '11148', '11149', '11163', '11340', '11344', '12127', '12168', '0', 0),
('management', '12169', '12127', 'admin/commerce/config/line-items/commerce-coupon/fields/%/edit', 'admin/commerce/config/line-items/commerce-coupon/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11149', '11163', '11340', '11344', '12127', '12169', '0', 0),
('management', '12170', '12127', 'admin/commerce/config/line-items/commerce-coupon/fields/%/field-settings', 'admin/commerce/config/line-items/commerce-coupon/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11149', '11163', '11340', '11344', '12127', '12170', '0', 0),
('management', '12171', '12127', 'admin/commerce/config/line-items/commerce-coupon/fields/%/widget-type', 'admin/commerce/config/line-items/commerce-coupon/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11149', '11163', '11340', '11344', '12127', '12171', '0', 0),
('management', '12172', '12126', 'admin/commerce/config/line-items/product/fields/%/delete', 'admin/commerce/config/line-items/product/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 8, 0, '10233', '11148', '11149', '11163', '11197', '11233', '12126', '12172', '0', 0),
('management', '12173', '12126', 'admin/commerce/config/line-items/product/fields/%/edit', 'admin/commerce/config/line-items/product/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11149', '11163', '11197', '11233', '12126', '12173', '0', 0),
('management', '12174', '12126', 'admin/commerce/config/line-items/product/fields/%/field-settings', 'admin/commerce/config/line-items/product/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11149', '11163', '11197', '11233', '12126', '12174', '0', 0),
('management', '12175', '12126', 'admin/commerce/config/line-items/product/fields/%/widget-type', 'admin/commerce/config/line-items/product/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '11148', '11149', '11163', '11197', '11233', '12126', '12175', '0', 0),
('management', '12176', '12128', 'admin/commerce/products/types/product/fields/%/delete', 'admin/commerce/products/types/product/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '11148', '11167', '11198', '11234', '12128', '12176', '0', '0', 0),
('management', '12177', '12128', 'admin/commerce/products/types/product/fields/%/edit', 'admin/commerce/products/types/product/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11167', '11198', '11234', '12128', '12177', '0', '0', 0),
('management', '12178', '12128', 'admin/commerce/products/types/product/fields/%/field-settings', 'admin/commerce/products/types/product/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11167', '11198', '11234', '12128', '12178', '0', '0', 0),
('management', '12179', '12128', 'admin/commerce/products/types/product/fields/%/widget-type', 'admin/commerce/products/types/product/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '11148', '11167', '11198', '11234', '12128', '12179', '0', '0', 0),
('management', '12180', '12109', 'admin/config/media/file-types/manage/%/fields/%', 'admin/config/media/file-types/manage/%/fields/%', '', 'a:0:{}', 'system', 0, 0, 0, 0, '0', 7, 0, '10233', '10267', '10337', '10420', '10611', '12109', '12180', '0', '0', 0),
('management', '12181', '12129', 'admin/structure/types/manage/%/fields/%/delete', 'admin/structure/types/manage/%/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '10279', '10321', '10521', '12084', '12129', '12181', '0', '0', 0),
('management', '12182', '12129', 'admin/structure/types/manage/%/fields/%/edit', 'admin/structure/types/manage/%/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10321', '10521', '12084', '12129', '12182', '0', '0', 0),
('management', '12183', '12129', 'admin/structure/types/manage/%/fields/%/field-settings', 'admin/structure/types/manage/%/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10321', '10521', '12084', '12129', '12183', '0', '0', 0),
('management', '12184', '12129', 'admin/structure/types/manage/%/fields/%/widget-type', 'admin/structure/types/manage/%/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10321', '10521', '12084', '12129', '12184', '0', '0', 0),
('management', '12185', '12159', 'admin/structure/types/manage/%/comment/fields/%/delete', 'admin/structure/types/manage/%/comment/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 7, 0, '10233', '10279', '10321', '10521', '10629', '12159', '12185', '0', '0', 0),
('management', '12186', '12180', 'admin/config/media/file-types/manage/%/fields/%/delete', 'admin/config/media/file-types/manage/%/fields/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, '10', 8, 0, '10233', '10267', '10337', '10420', '10611', '12109', '12180', '12186', '0', 0),
('management', '12187', '12159', 'admin/structure/types/manage/%/comment/fields/%/edit', 'admin/structure/types/manage/%/comment/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10321', '10521', '10629', '12159', '12187', '0', '0', 0),
('management', '12188', '12159', 'admin/structure/types/manage/%/comment/fields/%/field-settings', 'admin/structure/types/manage/%/comment/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10321', '10521', '10629', '12159', '12188', '0', '0', 0),
('management', '12189', '12159', 'admin/structure/types/manage/%/comment/fields/%/widget-type', 'admin/structure/types/manage/%/comment/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 7, 0, '10233', '10279', '10321', '10521', '10629', '12159', '12189', '0', '0', 0),
('management', '12190', '12180', 'admin/config/media/file-types/manage/%/fields/%/edit', 'admin/config/media/file-types/manage/%/fields/%/edit', 'Edit', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '10267', '10337', '10420', '10611', '12109', '12180', '12190', '0', 0),
('management', '12191', '12180', 'admin/config/media/file-types/manage/%/fields/%/field-settings', 'admin/config/media/file-types/manage/%/fields/%/field-settings', 'Field settings', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '10267', '10337', '10420', '10611', '12109', '12180', '12191', '0', 0),
('management', '12192', '12180', 'admin/config/media/file-types/manage/%/fields/%/widget-type', 'admin/config/media/file-types/manage/%/fields/%/widget-type', 'Widget type', 'a:0:{}', 'system', -1, 0, 0, 0, '0', 8, 0, '10233', '10267', '10337', '10420', '10611', '12109', '12180', '12192', '0', 0);
/*!40000 ALTER TABLE menu_links ENABLE KEYS */;

--
-- Table structure for table 'menu_router'
--

CREATE TABLE IF NOT EXISTS `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)' COMMENT='Maps paths to various callbacks (access, page and title)';

--
-- Dumping data for table 'menu_router'
--

/*!40000 ALTER TABLE menu_router DISABLE KEYS */;
INSERT INTO `menu_router` VALUES
('404-page-1', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:10:"404_page_1";}', '', '1', 1, '0', '', '404-page-1', '404 page 1', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('404-page-2', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:10:"404_page_2";}', '', '1', 1, '0', '', '404-page-2', '404 page 2', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('404-page-3', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:10:"404_page_3";}', '', '1', 1, '0', '', '404-page-3', '404 page 3', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('about', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:5:"about";}', '', '1', 1, '0', '', 'about', 'About', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('accordions-and-toggles', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:22:"accordions_and_toggles";}', '', '1', 1, '0', '', 'accordions-and-toggles', 'Accordions and toggles', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('admin', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '1', 1, '0', '', 'admin', 'Administration', 't', '', '', 'a:0:{}', '6', '', '', '9', 'modules/system/system.admin.inc'),
('admin/add_func', '', '', 'user_access', 'a:1:{i:0;s:10:"administer";}', 'add_func_global_settings', 'a:0:{}', '', '3', 2, '0', '', 'admin/add_func', 'Additional Functionality', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/add_func/add_func_follow', '', '', 'user_access', 'a:1:{i:0;s:22:"edit site follow links";}', 'drupal_get_form', 'a:1:{i:0;s:26:"add_func_follow_links_form";}', '', '7', 3, '0', '', 'admin/add_func/add_func_follow', 'Follow Links', 't', '', '', 'a:0:{}', '6', 'Configure the site-wide web service follow links.', '', '0', ''),
('admin/appearance', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'system_themes_page', 'a:0:{}', '', '3', 2, '0', '', 'admin/appearance', 'Appearance', 't', '', '', 'a:0:{}', '6', 'Select and configure your themes.', 'left', '-6', 'modules/system/system.admin.inc'),
('admin/appearance/default', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'system_theme_default', 'a:0:{}', '', '7', 3, '0', '', 'admin/appearance/default', 'Set default theme', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/disable', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'system_theme_disable', 'a:0:{}', '', '7', 3, '0', '', 'admin/appearance/disable', 'Disable theme', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/enable', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'system_theme_enable', 'a:0:{}', '', '7', 3, '0', '', 'admin/appearance/enable', 'Enable theme', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/install', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:2:{i:0;s:27:"update_manager_install_form";i:1;s:5:"theme";}', '', '7', 3, '1', 'admin/appearance', 'admin/appearance', 'Install new theme', 't', '', '', 'a:0:{}', '388', '', '', '25', 'modules/update/update.manager.inc'),
('admin/appearance/list', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'system_themes_page', 'a:0:{}', '', '7', 3, '1', 'admin/appearance', 'admin/appearance', 'List', 't', '', '', 'a:0:{}', '140', 'Select and configure your theme', '', '-1', 'modules/system/system.admin.inc'),
('admin/appearance/settings', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'drupal_get_form', 'a:1:{i:0;s:21:"system_theme_settings";}', '', '7', 3, '1', 'admin/appearance', 'admin/appearance', 'Settings', 't', '', '', 'a:0:{}', '132', 'Configure default and theme specific settings.', '', '20', 'modules/system/system.admin.inc'),
('admin/appearance/settings/bartik', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:17:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:6:"bartik";}', '', '15', 4, '1', 'admin/appearance/settings', 'admin/appearance', 'Bartik', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/settings/garland', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:7:"garland";}', '', '15', 4, '1', 'admin/appearance/settings', 'admin/appearance', 'Garland', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/settings/gatsby', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:35:"sites/all/themes/gatsby/gatsby.info";s:4:"name";s:6:"gatsby";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:6:"Gatsby";s:11:"description";s:29:"This template is made by K.T.";s:10:"screenshot";s:38:"sites/all/themes/gatsby/screenshot.png";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:7:"regions";a:71:{s:8:"page_top";s:8:"Page top";s:4:"menu";s:19:"Header type 1: Menu";s:6:"menu_2";s:19:"Header type 2: Menu";s:14:"header_right_2";s:27:"Header type 2: Header right";s:6:"menu_3";s:19:"Header type 3: Menu";s:14:"header_right_3";s:27:"Header type 3: Header right";s:13:"header_left_4";s:26:"Header type 4: Header left";s:14:"header_right_4";s:27:"Header type 4: Header right";s:6:"menu_4";s:19:"Header type 4: Menu";s:10:"header_top";s:25:"Header type 5: Header top";s:14:"header_right_5";s:27:"Header type 5: Header right";s:6:"menu_5";s:19:"Header type 5: Menu";s:6:"menu_6";s:19:"Header type 6: Menu";s:13:"header_left_7";s:26:"Header type 7: Header left";s:14:"header_right_7";s:27:"Header type 7: Header right";s:6:"menu_7";s:19:"Header type 7: Menu";s:16:"header_section_1";s:16:"Header section 1";s:16:"header_section_2";s:16:"Header section 2";s:16:"header_section_3";s:16:"Header section 3";s:16:"header_section_4";s:16:"Header section 4";s:11:"content_top";s:11:"Content top";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:13:"sidebar_first";s:12:"Sidebar left";s:7:"content";s:7:"Content";s:11:"node_bottom";s:11:"Node bottom";s:14:"sidebar_second";s:13:"Sidebar right";s:17:"content_section_1";s:17:"Content section 1";s:17:"content_section_2";s:17:"Content section 2";s:17:"content_section_3";s:17:"Content section 3";s:17:"content_section_4";s:17:"Content section 4";s:17:"content_section_5";s:17:"Content section 5";s:17:"content_section_6";s:17:"Content section 6";s:17:"content_section_7";s:17:"Content section 7";s:17:"content_section_8";s:17:"Content section 8";s:17:"content_section_9";s:17:"Content section 9";s:18:"content_section_10";s:18:"Content section 10";s:18:"content_section_11";s:18:"Content section 11";s:18:"content_section_12";s:18:"Content section 12";s:18:"content_section_13";s:18:"Content section 13";s:18:"content_section_14";s:18:"Content section 14";s:18:"content_section_15";s:18:"Content section 15";s:18:"content_section_16";s:18:"Content section 16";s:18:"content_section_17";s:18:"Content section 17";s:18:"content_section_18";s:18:"Content section 18";s:18:"content_section_19";s:18:"Content section 19";s:18:"content_section_20";s:18:"Content section 20";s:18:"content_section_21";s:18:"Content section 21";s:18:"content_section_22";s:18:"Content section 22";s:18:"content_section_23";s:18:"Content section 23";s:18:"content_section_24";s:18:"Content section 24";s:18:"content_section_25";s:18:"Content section 25";s:18:"content_section_26";s:18:"Content section 26";s:18:"content_section_27";s:18:"Content section 27";s:18:"content_section_28";s:18:"Content section 28";s:18:"content_section_29";s:18:"Content section 29";s:18:"content_section_30";s:18:"Content section 30";s:14:"content_bottom";s:14:"Content bottom";s:17:"footer_triptych_1";s:32:"Footer type 1: Footer triptych 1";s:17:"footer_triptych_2";s:32:"Footer type 1: Footer triptych 2";s:17:"footer_triptych_3";s:32:"Footer type 1: Footer triptych 3";s:8:"footer_1";s:21:"Footer type 1: Footer";s:16:"footer_section_1";s:31:"Footer type 2: Footer section 1";s:16:"footer_section_2";s:31:"Footer type 2: Footer section 2";s:16:"footer_section_3";s:31:"Footer type 2: Footer section 3";s:16:"footer_section_4";s:31:"Footer type 2: Footer section 4";s:16:"footer_section_5";s:31:"Footer type 2: Footer section 5";s:8:"footer_2";s:21:"Footer type 2: Footer";s:10:"footer_top";s:25:"Footer type 3: Footer top";s:8:"footer_3";s:21:"Footer type 3: Footer";s:11:"page_bottom";s:11:"Page bottom";}s:8:"settings";a:227:{s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:15:"default_favicon";s:1:"1";s:12:"default_logo";s:1:"1";s:25:"gatsby_styleswitcher_show";s:1:"1";s:18:"gatsby_sticky_menu";s:1:"1";s:22:"gatsby_breadcrumb_show";s:1:"1";s:31:"gatsby_breadcrumb_hideonlyfront";s:1:"1";s:27:"gatsby_breadcrumb_showtitle";s:1:"1";s:27:"gatsby_breadcrumb_separator";s:6:"&bull;";s:18:"gatsby_color_theme";s:5:"light";s:20:"gatsby_color_palette";s:4:"grey";s:31:"gatsby_primary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_1";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:26:"gatsby_primary_font_family";s:23:"''Open Sans'', sans-serif";s:33:"gatsby_secondary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_2";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:28:"gatsby_secondary_font_family";s:23:"''Open Sans'', sans-serif";s:26:"gatsby_secondary_font_size";s:4:"14px";s:28:"gatsby_secondary_line_height";s:4:"20px";s:18:"gatsby_layout_type";s:4:"wide";s:19:"gatsby_header_style";s:8:"header_1";s:19:"gatsby_footer_style";s:8:"footer_1";s:31:"gatsby_header_section_1_bg_type";s:4:"none";s:35:"gatsby_header_section_1_bg_parallax";s:1:"0";s:32:"gatsby_header_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_1_bg_video_start";s:1:"0";s:33:"gatsby_header_section_1_fullwidth";s:1:"1";s:31:"gatsby_header_section_2_bg_type";s:5:"image";s:30:"gatsby_header_section_2_bg_img";a:1:{s:3:"fid";s:2:"28";}s:35:"gatsby_header_section_2_bg_parallax";s:1:"1";s:32:"gatsby_header_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_2_bg_video_start";s:1:"0";s:33:"gatsby_header_section_2_fullwidth";s:1:"0";s:31:"gatsby_header_section_3_bg_type";s:4:"none";s:35:"gatsby_header_section_3_bg_parallax";s:1:"0";s:32:"gatsby_header_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_3_bg_video_start";s:1:"0";s:33:"gatsby_header_section_3_fullwidth";s:1:"0";s:31:"gatsby_header_section_4_bg_type";s:4:"none";s:35:"gatsby_header_section_4_bg_parallax";s:1:"0";s:32:"gatsby_header_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_4_bg_video_start";s:1:"0";s:33:"gatsby_header_section_4_fullwidth";s:1:"0";s:26:"gatsby_content_top_bg_type";s:4:"none";s:30:"gatsby_content_top_bg_parallax";s:1:"0";s:27:"gatsby_content_top_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:33:"gatsby_content_top_bg_video_start";s:1:"0";s:28:"gatsby_content_top_fullwidth";s:1:"0";s:32:"gatsby_content_section_1_bg_type";s:5:"image";s:31:"gatsby_content_section_1_bg_img";a:1:{s:3:"fid";s:2:"25";}s:36:"gatsby_content_section_1_bg_parallax";s:1:"0";s:33:"gatsby_content_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_1_bg_video_start";s:1:"0";s:34:"gatsby_content_section_1_fullwidth";s:1:"0";s:32:"gatsby_content_section_2_bg_type";s:5:"image";s:31:"gatsby_content_section_2_bg_img";a:1:{s:3:"fid";s:2:"26";}s:36:"gatsby_content_section_2_bg_parallax";s:1:"1";s:33:"gatsby_content_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_2_bg_video_start";s:1:"0";s:34:"gatsby_content_section_2_fullwidth";s:1:"0";s:32:"gatsby_content_section_3_bg_type";s:4:"none";s:36:"gatsby_content_section_3_bg_parallax";s:1:"0";s:33:"gatsby_content_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_3_bg_video_start";s:1:"0";s:34:"gatsby_content_section_3_fullwidth";s:1:"0";s:32:"gatsby_content_section_4_bg_type";s:4:"none";s:36:"gatsby_content_section_4_bg_parallax";s:1:"0";s:33:"gatsby_content_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_4_bg_video_start";s:1:"0";s:34:"gatsby_content_section_4_fullwidth";s:1:"0";s:32:"gatsby_content_section_5_bg_type";s:5:"image";s:31:"gatsby_content_section_5_bg_img";a:1:{s:3:"fid";s:2:"27";}s:36:"gatsby_content_section_5_bg_parallax";s:1:"0";s:33:"gatsby_content_section_5_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_5_bg_video_start";s:1:"0";s:34:"gatsby_content_section_5_fullwidth";s:1:"0";s:32:"gatsby_content_section_6_bg_type";s:5:"image";s:31:"gatsby_content_section_6_bg_img";a:1:{s:3:"fid";s:2:"29";}s:36:"gatsby_content_section_6_bg_parallax";s:1:"0";s:33:"gatsby_content_section_6_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_6_bg_video_start";s:1:"0";s:34:"gatsby_content_section_6_fullwidth";s:1:"0";s:32:"gatsby_content_section_7_bg_type";s:4:"none";s:36:"gatsby_content_section_7_bg_parallax";s:1:"0";s:33:"gatsby_content_section_7_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_7_bg_video_start";s:1:"0";s:34:"gatsby_content_section_7_fullwidth";s:1:"1";s:32:"gatsby_content_section_8_bg_type";s:4:"none";s:36:"gatsby_content_section_8_bg_parallax";s:1:"0";s:33:"gatsby_content_section_8_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_8_bg_video_start";s:1:"0";s:34:"gatsby_content_section_8_fullwidth";s:1:"0";s:32:"gatsby_content_section_9_bg_type";s:5:"image";s:31:"gatsby_content_section_9_bg_img";a:1:{s:3:"fid";s:2:"31";}s:36:"gatsby_content_section_9_bg_parallax";s:1:"0";s:33:"gatsby_content_section_9_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_9_bg_video_start";s:1:"0";s:34:"gatsby_content_section_9_fullwidth";s:1:"0";s:33:"gatsby_content_section_10_bg_type";s:4:"none";s:37:"gatsby_content_section_10_bg_parallax";s:1:"0";s:34:"gatsby_content_section_10_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_10_bg_video_start";s:1:"0";s:35:"gatsby_content_section_10_fullwidth";s:1:"0";s:33:"gatsby_content_section_11_bg_type";s:4:"none";s:37:"gatsby_content_section_11_bg_parallax";s:1:"0";s:34:"gatsby_content_section_11_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_11_bg_video_start";s:1:"0";s:35:"gatsby_content_section_11_fullwidth";s:1:"0";s:33:"gatsby_content_section_12_bg_type";s:4:"none";s:37:"gatsby_content_section_12_bg_parallax";s:1:"0";s:34:"gatsby_content_section_12_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_12_bg_video_start";s:1:"0";s:35:"gatsby_content_section_12_fullwidth";s:1:"0";s:33:"gatsby_content_section_13_bg_type";s:4:"none";s:37:"gatsby_content_section_13_bg_parallax";s:1:"0";s:34:"gatsby_content_section_13_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_13_bg_video_start";s:1:"0";s:35:"gatsby_content_section_13_fullwidth";s:1:"0";s:33:"gatsby_content_section_14_bg_type";s:4:"none";s:37:"gatsby_content_section_14_bg_parallax";s:1:"0";s:34:"gatsby_content_section_14_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_14_bg_video_start";s:1:"0";s:35:"gatsby_content_section_14_fullwidth";s:1:"0";s:33:"gatsby_content_section_15_bg_type";s:4:"none";s:37:"gatsby_content_section_15_bg_parallax";s:1:"0";s:34:"gatsby_content_section_15_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_15_bg_video_start";s:1:"0";s:35:"gatsby_content_section_15_fullwidth";s:1:"0";s:33:"gatsby_content_section_16_bg_type";s:4:"none";s:37:"gatsby_content_section_16_bg_parallax";s:1:"0";s:34:"gatsby_content_section_16_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_16_bg_video_start";s:1:"0";s:35:"gatsby_content_section_16_fullwidth";s:1:"0";s:33:"gatsby_content_section_17_bg_type";s:4:"none";s:37:"gatsby_content_section_17_bg_parallax";s:1:"0";s:34:"gatsby_content_section_17_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_17_bg_video_start";s:1:"0";s:35:"gatsby_content_section_17_fullwidth";s:1:"0";s:33:"gatsby_content_section_18_bg_type";s:4:"none";s:37:"gatsby_content_section_18_bg_parallax";s:1:"0";s:34:"gatsby_content_section_18_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_18_bg_video_start";s:1:"0";s:35:"gatsby_content_section_18_fullwidth";s:1:"0";s:33:"gatsby_content_section_19_bg_type";s:4:"none";s:37:"gatsby_content_section_19_bg_parallax";s:1:"0";s:34:"gatsby_content_section_19_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_19_bg_video_start";s:1:"0";s:35:"gatsby_content_section_19_fullwidth";s:1:"0";s:33:"gatsby_content_section_20_bg_type";s:4:"none";s:37:"gatsby_content_section_20_bg_parallax";s:1:"0";s:34:"gatsby_content_section_20_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_20_bg_video_start";s:1:"0";s:35:"gatsby_content_section_20_fullwidth";s:1:"0";s:33:"gatsby_content_section_21_bg_type";s:4:"none";s:37:"gatsby_content_section_21_bg_parallax";s:1:"0";s:34:"gatsby_content_section_21_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_21_bg_video_start";s:1:"0";s:35:"gatsby_content_section_21_fullwidth";s:1:"0";s:33:"gatsby_content_section_22_bg_type";s:4:"none";s:37:"gatsby_content_section_22_bg_parallax";s:1:"0";s:34:"gatsby_content_section_22_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_22_bg_video_start";s:1:"0";s:35:"gatsby_content_section_22_fullwidth";s:1:"0";s:33:"gatsby_content_section_23_bg_type";s:4:"none";s:37:"gatsby_content_section_23_bg_parallax";s:1:"0";s:34:"gatsby_content_section_23_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_23_bg_video_start";s:1:"0";s:35:"gatsby_content_section_23_fullwidth";s:1:"0";s:33:"gatsby_content_section_24_bg_type";s:4:"none";s:37:"gatsby_content_section_24_bg_parallax";s:1:"0";s:34:"gatsby_content_section_24_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_24_bg_video_start";s:1:"0";s:35:"gatsby_content_section_24_fullwidth";s:1:"0";s:33:"gatsby_content_section_25_bg_type";s:4:"none";s:37:"gatsby_content_section_25_bg_parallax";s:1:"0";s:34:"gatsby_content_section_25_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_25_bg_video_start";s:1:"0";s:35:"gatsby_content_section_25_fullwidth";s:1:"0";s:33:"gatsby_content_section_26_bg_type";s:4:"none";s:37:"gatsby_content_section_26_bg_parallax";s:1:"0";s:34:"gatsby_content_section_26_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_26_bg_video_start";s:1:"0";s:35:"gatsby_content_section_26_fullwidth";s:1:"0";s:33:"gatsby_content_section_27_bg_type";s:4:"none";s:37:"gatsby_content_section_27_bg_parallax";s:1:"0";s:34:"gatsby_content_section_27_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_27_bg_video_start";s:1:"0";s:35:"gatsby_content_section_27_fullwidth";s:1:"0";s:33:"gatsby_content_section_28_bg_type";s:4:"none";s:37:"gatsby_content_section_28_bg_parallax";s:1:"0";s:34:"gatsby_content_section_28_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_28_bg_video_start";s:1:"0";s:35:"gatsby_content_section_28_fullwidth";s:1:"0";s:33:"gatsby_content_section_29_bg_type";s:4:"none";s:37:"gatsby_content_section_29_bg_parallax";s:1:"0";s:34:"gatsby_content_section_29_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_29_bg_video_start";s:1:"0";s:35:"gatsby_content_section_29_fullwidth";s:1:"0";s:33:"gatsby_content_section_30_bg_type";s:4:"none";s:37:"gatsby_content_section_30_bg_parallax";s:1:"0";s:34:"gatsby_content_section_30_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_30_bg_video_start";s:1:"0";s:35:"gatsby_content_section_30_fullwidth";s:1:"0";s:29:"gatsby_content_bottom_bg_type";s:4:"none";s:33:"gatsby_content_bottom_bg_parallax";s:1:"0";s:30:"gatsby_content_bottom_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:36:"gatsby_content_bottom_bg_video_start";s:1:"0";s:31:"gatsby_content_bottom_fullwidth";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:18:"gatsby_meta_author";s:1:"1";s:16:"gatsby_meta_date";s:1:"1";s:17:"gatsby_meta_views";s:1:"1";s:20:"gatsby_meta_comments";s:1:"1";s:26:"gatsby_links_hide_readmore";s:1:"0";s:27:"gatsby_links_readmore_title";s:9:"Read more";s:26:"gatsby_links_hide_readblog";s:1:"0";s:28:"gatsby_links_hide_addcomment";s:1:"0";s:29:"gatsby_links_hide_commentsnum";s:1:"0";s:29:"gatsby_links_hide_commentsnew";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"0";s:17:"gatsby_custom_css";s:0:"";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:3:"php";s:5:"5.2.4";s:5:"mtime";i:1468934166;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:6:"gatsby";}', '', '15', 4, '1', 'admin/appearance/settings', 'admin/appearance', 'Gatsby', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/settings/global', '', '', 'user_access', 'a:1:{i:0;s:17:"administer themes";}', 'drupal_get_form', 'a:1:{i:0;s:21:"system_theme_settings";}', '', '15', 4, '1', 'admin/appearance/settings', 'admin/appearance', 'Global settings', 't', '', '', 'a:0:{}', '140', '', '', '-1', 'modules/system/system.admin.inc'),
('admin/appearance/settings/seven', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:5:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:5:"seven";}', '', '15', 4, '1', 'admin/appearance/settings', 'admin/appearance', 'Seven', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/settings/stark', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:5:"stark";}', '', '15', 4, '1', 'admin/appearance/settings', 'admin/appearance', 'Stark', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/system/system.admin.inc'),
('admin/appearance/update', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:2:{i:0;s:26:"update_manager_update_form";i:1;s:5:"theme";}', '', '7', 3, '1', 'admin/appearance', 'admin/appearance', 'Update', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/update/update.manager.inc'),
('admin/commerce', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '3', 2, '0', '', 'admin/commerce', 'Store', 't', '', '', 'a:0:{}', '6', 'Administer your store.', '', '-7', 'modules/system/system.admin.inc'),
('admin/commerce/config', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/commerce/config', 'Configuration', 't', '', '', 'a:0:{}', '6', 'Configure settings and business rules for your store.', '', '50', 'modules/system/system.admin.inc'),
('admin/commerce/config/checkout', '', '', 'user_access', 'a:1:{i:0;s:19:"administer checkout";}', 'drupal_get_form', 'a:1:{i:0;s:30:"commerce_checkout_builder_form";}', '', '15', 4, '0', '', 'admin/commerce/config/checkout', 'Checkout settings', 't', '', '', 'a:0:{}', '6', 'Customize the checkout form and configure checkout rules.', '', '0', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),
('admin/commerce/config/checkout/form', '', '', 'user_access', 'a:1:{i:0;s:19:"administer checkout";}', 'drupal_get_form', 'a:1:{i:0;s:30:"commerce_checkout_builder_form";}', '', '31', 5, '1', 'admin/commerce/config/checkout', 'admin/commerce/config/checkout', 'Checkout form', 't', '', '', 'a:0:{}', '140', 'Build your checkout pages using module defined checkout form elements.', '', '0', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),
('admin/commerce/config/checkout/form/pane/%', 'a:1:{i:6;s:27:"commerce_checkout_pane_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer checkout";}', 'drupal_get_form', 'a:2:{i:0;s:36:"commerce_checkout_pane_settings_form";i:1;i:6;}', '', '126', 7, '0', '', 'admin/commerce/config/checkout/form/pane/%', '', 'commerce_checkout_pane_settings_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', 'Configure the settings for a checkout pane.', '', '0', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),
('admin/commerce/config/checkout/rules', '', '', 'user_access', 'a:1:{i:0;s:19:"administer checkout";}', 'commerce_checkout_complete_rules', 'a:0:{}', '', '31', 5, '1', 'admin/commerce/config/checkout', 'admin/commerce/config/checkout', 'Checkout rules', 't', '', '', 'a:0:{}', '132', 'Enable and configure checkout completion rules.', '', '5', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),
('admin/commerce/config/checkout/rules/add', '', '', 'user_access', 'a:1:{i:0;s:19:"administer checkout";}', 'drupal_get_form', 'a:2:{i:0;s:40:"commerce_checkout_add_complete_rule_form";i:1;s:36:"admin/commerce/config/checkout/rules";}', '', '63', 6, '1', 'admin/commerce/config/checkout/rules', 'admin/commerce/config/checkout', 'Add a checkout rule', 't', '', '', 'a:0:{}', '388', 'Adds an additional checkout completion rule configuration.', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/commerce/config/checkout/rules/manage/%', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:31:"rules_ui_form_edit_rules_config";i:1;i:6;i:2;s:36:"admin/commerce/config/checkout/rules";}', '', '126', 7, '0', '', 'admin/commerce/config/checkout/rules/manage/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/%', 'a:2:{i:6;s:17:"rules_config_load";i:7;N;}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:37:"rules_ui_form_rules_config_confirm_op";i:1;i:6;i:2;i:7;i:3;s:36:"admin/commerce/config/checkout/rules";}', '', '252', 8, '0', '', 'admin/commerce/config/checkout/rules/manage/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/add/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:5:{i:0;s:20:"rules_ui_add_element";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:36:"admin/commerce/config/checkout/rules";}', '', '506', 9, '0', '', 'admin/commerce/config/checkout/rules/manage/%/add/%', '', 'rules_menu_add_element_title', 'a:1:{i:0;a:1:{i:0;i:9;}}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/add/event', 'a:1:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:23:"rules_ui_add_event_page";i:1;i:6;i:2;s:36:"admin/commerce/config/checkout/rules";}', '', '507', 9, '0', '', 'admin/commerce/config/checkout/rules/manage/%/add/event', '', 'rules_get_title', 'a:2:{i:0;s:32:"Adding event to !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/autocomplete', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'rules_ui_form_data_selection_auto_completion', 'a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}', '', '253', 8, '0', '', 'admin/commerce/config/checkout/rules/manage/%/autocomplete', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/clone', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:32:"rules_ui_form_clone_rules_config";i:1;i:6;i:2;s:36:"admin/commerce/config/checkout/rules";}', '', '253', 8, '0', '', 'admin/commerce/config/checkout/rules/manage/%/clone', '', 'rules_get_title', 'a:2:{i:0;s:24:"Cloning !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/delete/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:23:"rules_ui_delete_element";i:1;i:6;i:2;i:8;i:3;s:36:"admin/commerce/config/checkout/rules";}', '', '506', 9, '0', '', 'admin/commerce/config/checkout/rules/manage/%/delete/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/delete/event', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_remove_event";i:1;i:6;i:2;i:9;i:3;s:36:"admin/commerce/config/checkout/rules";}', '', '507', 9, '0', '', 'admin/commerce/config/checkout/rules/manage/%/delete/event', 'Remove event', 't', '', '', 'a:0:{}', '6', 'Remove an event from a reaction rule.', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/edit/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_edit_element";i:1;i:6;i:2;i:8;i:3;s:36:"admin/commerce/config/checkout/rules";}', '', '506', 9, '0', '', 'admin/commerce/config/checkout/rules/manage/%/edit/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/execute', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:34:"rules_ui_form_execute_rules_config";i:1;i:6;i:2;s:36:"admin/commerce/config/checkout/rules";}', '', '253', 8, '0', '', 'admin/commerce/config/checkout/rules/manage/%/execute', '', 'rules_get_title', 'a:2:{i:0;s:26:"Executing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/checkout/rules/manage/%/export', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:4:"view";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:33:"rules_ui_form_export_rules_config";i:1;i:6;i:2;s:36:"admin/commerce/config/checkout/rules";}', '', '253', 8, '0', '', 'admin/commerce/config/checkout/rules/manage/%/export', '', 'rules_get_title', 'a:2:{i:0;s:26:"Export of !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/currency', '', '', 'user_access', 'a:1:{i:0;s:15:"configure store";}', 'drupal_get_form', 'a:1:{i:0;s:31:"commerce_currency_settings_form";}', '', '15', 4, '0', '', 'admin/commerce/config/currency', 'Currency settings', 't', '', '', 'a:0:{}', '6', 'Configure the default currency and display settings.', '', '0', 'sites/all/modules/commerce/includes/commerce_ui.admin.inc'),
('admin/commerce/config/currency/conversion', '', '', 'user_access', 'a:1:{i:0;s:15:"configure store";}', 'drupal_get_form', 'a:1:{i:0;s:47:"commerce_multicurrency_conversion_settings_form";}', '', '31', 5, '1', 'admin/commerce/config/currency', 'admin/commerce/config/currency', 'Currency conversion', 't', '', '', 'a:0:{}', '132', 'Configure currency conversion.', '', '1', 'sites/all/modules/commerce_multicurrency/commerce_multicurrency.admin.inc'),
('admin/commerce/config/currency/handling', '', '', 'user_access', 'a:1:{i:0;s:15:"configure store";}', 'drupal_get_form', 'a:1:{i:0;s:45:"commerce_multicurrency_handling_settings_form";}', '', '31', 5, '1', 'admin/commerce/config/currency', 'admin/commerce/config/currency', 'Currency handling', 't', '', '', 'a:0:{}', '132', 'Configure currency handling.', '', '2', 'sites/all/modules/commerce_multicurrency/commerce_multicurrency.admin.inc'),
('admin/commerce/config/currency/settings', '', '', 'user_access', 'a:1:{i:0;s:15:"configure store";}', 'drupal_get_form', 'a:1:{i:0;s:31:"commerce_currency_settings_form";}', '', '31', 5, '1', 'admin/commerce/config/currency', 'admin/commerce/config/currency', 'Currency settings', 't', '', '', 'a:0:{}', '140', 'Configure the default currency and display settings.', '', '0', 'sites/all/modules/commerce/includes/commerce_ui.admin.inc'),
('admin/commerce/config/line-items', '', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'commerce_line_item_ui_types_overview', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/config/line-items', 'Line item types', 't', '', '', 'a:0:{}', '6', 'Manage line item types for your store.', '', '0', 'sites/all/modules/commerce/modules/line_item/includes/commerce_line_item_ui.types.inc'),
('admin/commerce/config/line-items/commerce-coupon', '', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'commerce_line_item_ui_line_item_type_redirect', 'a:1:{i:0;s:15:"commerce-coupon";}', '', '31', 5, '0', '', 'admin/commerce/config/line-items/commerce-coupon', 'Coupon', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/commerce/config/line-items/commerce-coupon/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:15:"commerce_coupon";i:3;s:7:"default";}', '', '63', 6, '3', 'admin/commerce/config/line-items/commerce-coupon', 'admin/commerce/config/line-items/commerce-coupon', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:15:"commerce_coupon";i:3;s:7:"default";}', '', '127', 7, '1', 'admin/commerce/config/line-items/commerce-coupon/display', 'admin/commerce/config/line-items/commerce-coupon', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/display/display', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:7:"display";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:15:"commerce_coupon";i:3;s:7:"display";}', '', '127', 7, '1', 'admin/commerce/config/line-items/commerce-coupon/display', 'admin/commerce/config/line-items/commerce-coupon', 'Display', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:15:"commerce_coupon";i:3;s:5:"token";}', '', '127', 7, '1', 'admin/commerce/config/line-items/commerce-coupon/display', 'admin/commerce/config/line-items/commerce-coupon', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:18:"commerce_line_item";i:2;s:15:"commerce_coupon";}', '', '63', 6, '3', 'admin/commerce/config/line-items/commerce-coupon', 'admin/commerce/config/line-items/commerce-coupon', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES
('admin/commerce/config/line-items/commerce-coupon/fields/%', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '126', 7, '0', '', 'admin/commerce/config/line-items/commerce-coupon/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/fields/%/delete', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/fields/%/edit', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/fields/%/field-settings', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/fields/%/widget-type', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'admin/commerce/config/line-items/commerce-coupon/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/commerce-coupon/groups/%/delete', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/config/line-items/commerce-coupon/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/config/line-items/commerce-coupon/groups/%/enable', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:15:"commerce_coupon";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/config/line-items/commerce-coupon/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/config/line-items/product', '', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'commerce_line_item_ui_line_item_type_redirect', 'a:1:{i:0;s:7:"product";}', '', '31', 5, '0', '', 'admin/commerce/config/line-items/product', 'Product', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/commerce/config/line-items/product/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:7:"product";i:3;s:7:"default";}', '', '63', 6, '3', 'admin/commerce/config/line-items/product', 'admin/commerce/config/line-items/product', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:7:"product";i:3;s:7:"default";}', '', '127', 7, '1', 'admin/commerce/config/line-items/product/display', 'admin/commerce/config/line-items/product', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/display/display', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:7:"display";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:7:"product";i:3;s:7:"display";}', '', '127', 7, '1', 'admin/commerce/config/line-items/product/display', 'admin/commerce/config/line-items/product', 'Display', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:18:"commerce_line_item";i:2;s:7:"product";i:3;s:5:"token";}', '', '127', 7, '1', 'admin/commerce/config/line-items/product/display', 'admin/commerce/config/line-items/product', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:18:"commerce_line_item";i:2;s:7:"product";}', '', '63', 6, '3', 'admin/commerce/config/line-items/product', 'admin/commerce/config/line-items/product', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/fields/%', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '126', 7, '0', '', 'admin/commerce/config/line-items/product/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/fields/%/delete', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/product/fields/%', 'admin/commerce/config/line-items/product/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/fields/%/edit', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/product/fields/%', 'admin/commerce/config/line-items/product/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/fields/%/field-settings', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/product/fields/%', 'admin/commerce/config/line-items/product/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/fields/%/widget-type', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:26:"administer line item types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/config/line-items/product/fields/%', 'admin/commerce/config/line-items/product/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/line-items/product/groups/%/delete', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/config/line-items/product/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/config/line-items/product/groups/%/enable', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:18:"commerce_line_item";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:26:"administer line item types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/config/line-items/product/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/config/order', '', '', 'user_access', 'a:1:{i:0;s:24:"configure order settings";}', 'drupal_get_form', 'a:1:{i:0;s:28:"commerce_order_settings_form";}', '', '15', 4, '0', '', 'admin/commerce/config/order', 'Order settings', 't', '', '', 'a:0:{}', '6', 'Configure general order settings, fields, and displays.', '', '0', 'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),
('admin/commerce/config/order/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:14:"commerce_order";i:2;s:14:"commerce_order";i:3;s:7:"default";}', '', '31', 5, '1', 'admin/commerce/config/order', 'admin/commerce/config/order', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/display/administrator', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:13:"administrator";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:14:"commerce_order";i:2;s:14:"commerce_order";i:3;s:13:"administrator";}', '', '63', 6, '1', 'admin/commerce/config/order/display', 'admin/commerce/config/order', 'Administrator', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/display/customer', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:8:"customer";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:14:"commerce_order";i:2;s:14:"commerce_order";i:3;s:8:"customer";}', '', '63', 6, '1', 'admin/commerce/config/order/display', 'admin/commerce/config/order', 'Customer', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:14:"commerce_order";i:2;s:14:"commerce_order";i:3;s:7:"default";}', '', '63', 6, '1', 'admin/commerce/config/order/display', 'admin/commerce/config/order', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:14:"commerce_order";i:2;s:14:"commerce_order";i:3;s:5:"token";}', '', '63', 6, '1', 'admin/commerce/config/order/display', 'admin/commerce/config/order', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:14:"commerce_order";i:2;s:14:"commerce_order";}', '', '31', 5, '1', 'admin/commerce/config/order', 'admin/commerce/config/order', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/fields/%', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/commerce/config/order/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/fields/%/delete', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:5;}', '', '125', 7, '1', 'admin/commerce/config/order/fields/%', 'admin/commerce/config/order/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/fields/%/edit', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}', '', '125', 7, '1', 'admin/commerce/config/order/fields/%', 'admin/commerce/config/order/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/fields/%/field-settings', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:5;}', '', '125', 7, '1', 'admin/commerce/config/order/fields/%', 'admin/commerce/config/order/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/fields/%/widget-type', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"configure order settings";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:5;}', '', '125', 7, '1', 'admin/commerce/config/order/fields/%', 'admin/commerce/config/order/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/config/order/groups/%/delete', 'a:1:{i:5;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"configure order settings";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/commerce/config/order/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/config/order/groups/%/enable', 'a:1:{i:5;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:14:"commerce_order";i:1;s:14:"commerce_order";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"configure order settings";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/commerce/config/order/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/config/order/settings', '', '', 'user_access', 'a:1:{i:0;s:24:"configure order settings";}', 'drupal_get_form', 'a:1:{i:0;s:28:"commerce_order_settings_form";}', '', '31', 5, '1', 'admin/commerce/config/order', 'admin/commerce/config/order', 'Settings', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),
('admin/commerce/config/payment-methods', '', '', 'user_access', 'a:1:{i:0;s:26:"administer payment methods";}', 'commerce_payment_ui_admin_page', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/config/payment-methods', 'Payment methods', 't', '', '', 'a:0:{}', '6', 'Enable and configure payment method rule configurations.', '', '0', 'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),
('admin/commerce/config/payment-methods/add', '', '', 'user_access', 'a:1:{i:0;s:26:"administer payment methods";}', 'drupal_get_form', 'a:2:{i:0;s:41:"commerce_payment_ui_add_payment_rule_form";i:1;s:37:"admin/commerce/config/payment-methods";}', '', '31', 5, '0', '', 'admin/commerce/config/payment-methods/add', 'Add a payment method rule', 't', '', '', 'a:0:{}', '6', 'Adds an additional payment method rule configuration.', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/commerce/config/payment-methods/manage/%', 'a:1:{i:5;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:3:{i:0;s:31:"rules_ui_form_edit_rules_config";i:1;i:5;i:2;s:37:"admin/commerce/config/payment-methods";}', '', '62', 6, '0', '', 'admin/commerce/config/payment-methods/manage/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:5;}', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/%', 'a:2:{i:5;s:17:"rules_config_load";i:6;N;}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:4:{i:0;s:37:"rules_ui_form_rules_config_confirm_op";i:1;i:5;i:2;i:6;i:3;s:37:"admin/commerce/config/payment-methods";}', '', '124', 7, '0', '', 'admin/commerce/config/payment-methods/manage/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/add/%', 'a:2:{i:5;a:1:{s:17:"rules_config_load";a:1:{i:0;i:5;}}i:7;a:1:{s:18:"rules_element_load";a:1:{i:0;i:5;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:5:{i:0;s:20:"rules_ui_add_element";i:1;i:5;i:2;i:8;i:3;i:7;i:4;s:37:"admin/commerce/config/payment-methods";}', '', '250', 8, '0', '', 'admin/commerce/config/payment-methods/manage/%/add/%', '', 'rules_menu_add_element_title', 'a:1:{i:0;a:1:{i:0;i:8;}}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/add/event', 'a:1:{i:5;a:1:{s:17:"rules_config_load";a:1:{i:0;i:5;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:3:{i:0;s:23:"rules_ui_add_event_page";i:1;i:5;i:2;s:37:"admin/commerce/config/payment-methods";}', '', '251', 8, '0', '', 'admin/commerce/config/payment-methods/manage/%/add/event', '', 'rules_get_title', 'a:2:{i:0;s:32:"Adding event to !plugin "!label"";i:1;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/autocomplete', 'a:1:{i:5;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'rules_ui_form_data_selection_auto_completion', 'a:3:{i:0;i:7;i:1;i:8;i:2;i:9;}', '', '125', 7, '0', '', 'admin/commerce/config/payment-methods/manage/%/autocomplete', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/clone', 'a:1:{i:5;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:3:{i:0;s:32:"rules_ui_form_clone_rules_config";i:1;i:5;i:2;s:37:"admin/commerce/config/payment-methods";}', '', '125', 7, '0', '', 'admin/commerce/config/payment-methods/manage/%/clone', '', 'rules_get_title', 'a:2:{i:0;s:24:"Cloning !plugin "!label"";i:1;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/delete/%', 'a:2:{i:5;a:1:{s:17:"rules_config_load";a:1:{i:0;i:5;}}i:7;a:1:{s:18:"rules_element_load";a:1:{i:0;i:5;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:4:{i:0;s:23:"rules_ui_delete_element";i:1;i:5;i:2;i:7;i:3;s:37:"admin/commerce/config/payment-methods";}', '', '250', 8, '0', '', 'admin/commerce/config/payment-methods/manage/%/delete/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:7;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/delete/event', 'a:1:{i:5;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_remove_event";i:1;i:5;i:2;i:8;i:3;s:37:"admin/commerce/config/payment-methods";}', '', '251', 8, '0', '', 'admin/commerce/config/payment-methods/manage/%/delete/event', 'Remove event', 't', '', '', 'a:0:{}', '6', 'Remove an event from a reaction rule.', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/edit/%', 'a:2:{i:5;a:1:{s:17:"rules_config_load";a:1:{i:0;i:5;}}i:7;a:1:{s:18:"rules_element_load";a:1:{i:0;i:5;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_edit_element";i:1;i:5;i:2;i:7;i:3;s:37:"admin/commerce/config/payment-methods";}', '', '250', 8, '0', '', 'admin/commerce/config/payment-methods/manage/%/edit/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:7;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/execute', 'a:1:{i:5;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:5;}', 'drupal_get_form', 'a:3:{i:0;s:34:"rules_ui_form_execute_rules_config";i:1;i:5;i:2;s:37:"admin/commerce/config/payment-methods";}', '', '125', 7, '0', '', 'admin/commerce/config/payment-methods/manage/%/execute', '', 'rules_get_title', 'a:2:{i:0;s:26:"Executing !plugin "!label"";i:1;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/payment-methods/manage/%/export', 'a:1:{i:5;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:4:"view";i:1;i:5;}', 'drupal_get_form', 'a:3:{i:0;s:33:"rules_ui_form_export_rules_config";i:1;i:5;i:2;s:37:"admin/commerce/config/payment-methods";}', '', '125', 7, '0', '', 'admin/commerce/config/payment-methods/manage/%/export', '', 'rules_get_title', 'a:2:{i:0;s:26:"Export of !plugin "!label"";i:1;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing', '', '', 'user_access', 'a:1:{i:0;s:26:"administer product pricing";}', 'commerce_product_pricing_ui_sell_price_rules', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/config/product-pricing', 'Product pricing rules', 't', '', '', 'a:0:{}', '6', 'Enable and configure product pricing rules and pre-calculation.', '', '0', 'sites/all/modules/commerce/modules/product_pricing/includes/commerce_product_pricing_ui.admin.inc'),
('admin/commerce/config/product-pricing/pre-calculation', '', '', 'user_access', 'a:1:{i:0;s:26:"administer product pricing";}', 'drupal_get_form', 'a:1:{i:0;s:46:"commerce_product_pre_calculation_settings_form";}', '', '31', 5, '1', 'admin/commerce/config/product-pricing', 'admin/commerce/config/product-pricing', 'Pre-calculation', 't', '', '', 'a:0:{}', '132', 'Configure the price pre-calculation settings.', '', '5', 'sites/all/modules/commerce/modules/product_pricing/includes/commerce_product_pricing_ui.admin.inc'),
('admin/commerce/config/product-pricing/rules', '', '', 'user_access', 'a:1:{i:0;s:26:"administer product pricing";}', 'commerce_product_pricing_ui_sell_price_rules', 'a:0:{}', '', '31', 5, '1', 'admin/commerce/config/product-pricing', 'admin/commerce/config/product-pricing', 'List', 't', '', '', 'a:0:{}', '140', 'Administer the rules used for calculating product sell prices.', '', '0', 'sites/all/modules/commerce/modules/product_pricing/includes/commerce_product_pricing_ui.admin.inc'),
('admin/commerce/config/product-pricing/rules/add', '', '', 'user_access', 'a:1:{i:0;s:26:"administer product pricing";}', 'drupal_get_form', 'a:2:{i:0;s:49:"commerce_product_pricing_ui_add_pricing_rule_form";i:1;s:43:"admin/commerce/config/product-pricing/rules";}', '', '63', 6, '0', '', 'admin/commerce/config/product-pricing/rules/add', 'Add a pricing rule', 't', '', '', 'a:0:{}', '6', 'Adds an additional sell price calculation rule configuration.', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/commerce/config/product-pricing/rules/manage/%', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:31:"rules_ui_form_edit_rules_config";i:1;i:6;i:2;s:43:"admin/commerce/config/product-pricing/rules";}', '', '126', 7, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/%', 'a:2:{i:6;s:17:"rules_config_load";i:7;N;}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:37:"rules_ui_form_rules_config_confirm_op";i:1;i:6;i:2;i:7;i:3;s:43:"admin/commerce/config/product-pricing/rules";}', '', '252', 8, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/add/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:5:{i:0;s:20:"rules_ui_add_element";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:43:"admin/commerce/config/product-pricing/rules";}', '', '506', 9, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/add/%', '', 'rules_menu_add_element_title', 'a:1:{i:0;a:1:{i:0;i:9;}}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/add/event', 'a:1:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:23:"rules_ui_add_event_page";i:1;i:6;i:2;s:43:"admin/commerce/config/product-pricing/rules";}', '', '507', 9, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/add/event', '', 'rules_get_title', 'a:2:{i:0;s:32:"Adding event to !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/autocomplete', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'rules_ui_form_data_selection_auto_completion', 'a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}', '', '253', 8, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/autocomplete', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/clone', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:32:"rules_ui_form_clone_rules_config";i:1;i:6;i:2;s:43:"admin/commerce/config/product-pricing/rules";}', '', '253', 8, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/clone', '', 'rules_get_title', 'a:2:{i:0;s:24:"Cloning !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/delete/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:23:"rules_ui_delete_element";i:1;i:6;i:2;i:8;i:3;s:43:"admin/commerce/config/product-pricing/rules";}', '', '506', 9, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/delete/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/delete/event', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_remove_event";i:1;i:6;i:2;i:9;i:3;s:43:"admin/commerce/config/product-pricing/rules";}', '', '507', 9, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/delete/event', 'Remove event', 't', '', '', 'a:0:{}', '6', 'Remove an event from a reaction rule.', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/edit/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_edit_element";i:1;i:6;i:2;i:8;i:3;s:43:"admin/commerce/config/product-pricing/rules";}', '', '506', 9, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/edit/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/execute', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:34:"rules_ui_form_execute_rules_config";i:1;i:6;i:2;s:43:"admin/commerce/config/product-pricing/rules";}', '', '253', 8, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/execute', '', 'rules_get_title', 'a:2:{i:0;s:26:"Executing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/product-pricing/rules/manage/%/export', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:4:"view";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:33:"rules_ui_form_export_rules_config";i:1;i:6;i:2;s:43:"admin/commerce/config/product-pricing/rules";}', '', '253', 8, '0', '', 'admin/commerce/config/product-pricing/rules/manage/%/export', '', 'rules_get_title', 'a:2:{i:0;s:26:"Export of !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/commerce/config/stock', '', '', 'user_access', 'a:1:{i:0;s:34:"administer commerce_stock settings";}', 'drupal_get_form', 'a:1:{i:0;s:25:"commerce_stock_admin_form";}', '', '15', 4, '0', '', 'admin/commerce/config/stock', 'Stock management', 't', '', '', 'a:0:{}', '6', 'Configure stock management.', '', '0', 'sites/all/modules/commerce_stock/includes/commerce_stock.admin.inc'),
('admin/commerce/config/taxes', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'commerce_tax_ui_overview', 'a:1:{i:0;s:5:"rates";}', '', '15', 4, '0', '', 'admin/commerce/config/taxes', 'Taxes', 't', '', '', 'a:0:{}', '6', 'Manage tax rates and types.', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/rates', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'commerce_tax_ui_overview', 'a:1:{i:0;s:5:"rates";}', '', '31', 5, '1', 'admin/commerce/config/taxes', 'admin/commerce/config/taxes', 'Tax rates', 't', '', '', 'a:0:{}', '140', 'Manage tax rates.', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/rates/add', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'commerce_tax_ui_tax_rate_add_form_wrapper', 'a:1:{i:0;a:12:{s:4:"name";s:0:"";s:5:"title";s:0:"";s:13:"display_title";s:0:"";s:11:"description";s:0:"";s:4:"rate";i:0;s:4:"type";s:0:"";s:23:"default_rules_component";b:1;s:13:"tax_component";s:0:"";s:10:"admin_list";b:1;s:20:"calculation_callback";s:27:"commerce_tax_rate_calculate";s:6:"module";s:15:"commerce_tax_ui";s:6:"is_new";b:1;}}', '', '63', 6, '1', 'admin/commerce/config/taxes/rates', 'admin/commerce/config/taxes', 'Add a tax rate', 't', '', '', 'a:0:{}', '388', 'Create a new tax rate.', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'commerce_tax_ui_overview', 'a:1:{i:0;s:5:"types";}', '', '31', 5, '1', 'admin/commerce/config/taxes', 'admin/commerce/config/taxes', 'Tax types', 't', '', '', 'a:0:{}', '132', 'Manage tax types.', '', '5', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/add', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'drupal_get_form', 'a:2:{i:0;s:29:"commerce_tax_ui_tax_type_form";i:1;a:9:{s:4:"name";s:0:"";s:5:"title";s:0:"";s:13:"display_title";s:0:"";s:11:"description";s:0:"";s:17:"display_inclusive";b:0;s:10:"round_mode";i:0;s:10:"admin_list";b:1;s:6:"module";s:15:"commerce_tax_ui";s:6:"is_new";b:1;}}', '', '63', 6, '1', 'admin/commerce/config/taxes/types', 'admin/commerce/config/taxes', 'Add a tax type', 't', '', '', 'a:0:{}', '388', 'Create a new tax type.', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/sales-tax', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'drupal_get_form', 'a:2:{i:0;s:29:"commerce_tax_ui_tax_type_form";i:1;a:9:{s:4:"name";s:9:"sales_tax";s:13:"display_title";s:9:"Sales tax";s:11:"description";s:73:"A basic type for taxes that do not display inclusive with product prices.";s:17:"display_inclusive";s:1:"0";s:10:"round_mode";s:1:"0";s:4:"rule";s:27:"commerce_tax_type_sales_tax";s:6:"module";s:15:"commerce_tax_ui";s:5:"title";s:9:"Sales tax";s:10:"admin_list";b:1;}}', '', '63', 6, '0', '', 'admin/commerce/config/taxes/types/sales-tax', '', 'commerce_tax_ui_tax_type_title', 'a:1:{i:0;s:9:"sales_tax";}', '', 'a:0:{}', '6', 'Edit a tax type.', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/sales-tax/delete', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'commerce_tax_ui_tax_type_delete_form_wrapper', 'a:1:{i:0;a:9:{s:4:"name";s:9:"sales_tax";s:13:"display_title";s:9:"Sales tax";s:11:"description";s:73:"A basic type for taxes that do not display inclusive with product prices.";s:17:"display_inclusive";s:1:"0";s:10:"round_mode";s:1:"0";s:4:"rule";s:27:"commerce_tax_type_sales_tax";s:6:"module";s:15:"commerce_tax_ui";s:5:"title";s:9:"Sales tax";s:10:"admin_list";b:1;}}', '', '127', 7, '2', 'admin/commerce/config/taxes/types/sales-tax', 'admin/commerce/config/taxes/types/sales-tax', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/sales-tax/edit', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'drupal_get_form', 'a:2:{i:0;s:29:"commerce_tax_ui_tax_type_form";i:1;a:9:{s:4:"name";s:9:"sales_tax";s:13:"display_title";s:9:"Sales tax";s:11:"description";s:73:"A basic type for taxes that do not display inclusive with product prices.";s:17:"display_inclusive";s:1:"0";s:10:"round_mode";s:1:"0";s:4:"rule";s:27:"commerce_tax_type_sales_tax";s:6:"module";s:15:"commerce_tax_ui";s:5:"title";s:9:"Sales tax";s:10:"admin_list";b:1;}}', '', '127', 7, '3', 'admin/commerce/config/taxes/types/sales-tax', 'admin/commerce/config/taxes/types/sales-tax', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/sales-tax/rule', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_goto', 'a:1:{i:0;s:71:"admin/config/workflow/rules/reaction/manage/commerce_tax_type_sales_tax";}', '', '127', 7, '2', 'admin/commerce/config/taxes/types/sales-tax', 'admin/commerce/config/taxes/types/sales-tax', 'Configure rule', 't', '', '', 'a:0:{}', '132', 'Add conditions to the rule used to apply taxes of this type to products.', '', '5', ''),
('admin/commerce/config/taxes/types/vat', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'drupal_get_form', 'a:2:{i:0;s:29:"commerce_tax_ui_tax_type_form";i:1;a:9:{s:4:"name";s:3:"vat";s:13:"display_title";s:3:"VAT";s:11:"description";s:66:"A basic type for taxes that display inclusive with product prices.";s:17:"display_inclusive";s:1:"1";s:10:"round_mode";s:1:"1";s:4:"rule";s:21:"commerce_tax_type_vat";s:6:"module";s:15:"commerce_tax_ui";s:5:"title";s:3:"VAT";s:10:"admin_list";b:1;}}', '', '63', 6, '0', '', 'admin/commerce/config/taxes/types/vat', '', 'commerce_tax_ui_tax_type_title', 'a:1:{i:0;s:3:"vat";}', '', 'a:0:{}', '6', 'Edit a tax type.', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/vat/delete', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'commerce_tax_ui_tax_type_delete_form_wrapper', 'a:1:{i:0;a:9:{s:4:"name";s:3:"vat";s:13:"display_title";s:3:"VAT";s:11:"description";s:66:"A basic type for taxes that display inclusive with product prices.";s:17:"display_inclusive";s:1:"1";s:10:"round_mode";s:1:"1";s:4:"rule";s:21:"commerce_tax_type_vat";s:6:"module";s:15:"commerce_tax_ui";s:5:"title";s:3:"VAT";s:10:"admin_list";b:1;}}', '', '127', 7, '2', 'admin/commerce/config/taxes/types/vat', 'admin/commerce/config/taxes/types/vat', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/vat/edit', '', '', 'user_access', 'a:1:{i:0;s:16:"administer taxes";}', 'drupal_get_form', 'a:2:{i:0;s:29:"commerce_tax_ui_tax_type_form";i:1;a:9:{s:4:"name";s:3:"vat";s:13:"display_title";s:3:"VAT";s:11:"description";s:66:"A basic type for taxes that display inclusive with product prices.";s:17:"display_inclusive";s:1:"1";s:10:"round_mode";s:1:"1";s:4:"rule";s:21:"commerce_tax_type_vat";s:6:"module";s:15:"commerce_tax_ui";s:5:"title";s:3:"VAT";s:10:"admin_list";b:1;}}', '', '127', 7, '3', 'admin/commerce/config/taxes/types/vat', 'admin/commerce/config/taxes/types/vat', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/commerce/modules/tax/includes/commerce_tax_ui.admin.inc'),
('admin/commerce/config/taxes/types/vat/rule', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_goto', 'a:1:{i:0;s:65:"admin/config/workflow/rules/reaction/manage/commerce_tax_type_vat";}', '', '127', 7, '2', 'admin/commerce/config/taxes/types/vat', 'admin/commerce/config/taxes/types/vat', 'Configure rule', 't', '', '', 'a:0:{}', '132', 'Add conditions to the rule used to apply taxes of this type to products.', '', '5', ''),
('admin/commerce/config/wishlist', '', '', 'user_access', 'a:1:{i:0;s:20:"configure wish lists";}', 'drupal_get_form', 'a:1:{i:0;s:28:"commerce_wishlist_admin_form";}', '', '15', 4, '0', '', 'admin/commerce/config/wishlist', 'Wishlist configuration', 't', '', '', 'a:0:{}', '6', 'Configure wish list', '', '0', 'sites/all/modules/commerce_wishlist/commerce_wishlist.admin.inc'),
('admin/commerce/coupons', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:35:"administer commerce_coupon entities";}}}', 'views_page', 'a:2:{i:0;s:16:"commerce_coupons";i:1;s:4:"page";}', '', '7', 3, '0', '', 'admin/commerce/coupons', 'Coupons', 't', '', '', 'a:0:{}', '6', 'Manage coupons in the store.', '', '0', ''),
('admin/commerce/coupons/%', 'a:1:{i:3;s:20:"commerce_coupon_load";}', '', 'commerce_coupon_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_coupon_ui_coupon_form_wrapper', 'a:2:{i:0;i:3;i:1;s:4:"edit";}', '', '14', 4, '3', '', 'admin/commerce/coupons/%', 'Edit', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/commerce/coupons/%/delete', 'a:1:{i:3;s:20:"commerce_coupon_load";}', '', 'commerce_coupon_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_coupon_ui_coupon_delete_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '2', 'admin/commerce/coupons/%', 'admin/commerce/coupons/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '20', ''),
('admin/commerce/coupons/%/edit', 'a:1:{i:3;s:20:"commerce_coupon_load";}', '', 'commerce_coupon_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_coupon_ui_coupon_form_wrapper', 'a:2:{i:0;i:3;i:1;s:4:"edit";}', '', '29', 5, '3', 'admin/commerce/coupons/%', 'admin/commerce/coupons/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/commerce/coupons/add', '', '', 'commerce_coupon_ui_coupon_add_any_access', 'a:0:{}', 'commerce_coupon_ui_add_page', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/coupons/add', 'Create Coupon', 't', '', '', 'a:0:{}', '6', 'Create a new coupon', '', '10', ''),
('admin/commerce/coupons/add/save-5-dollars', '', '', 'commerce_coupon_access', 'a:2:{i:0;s:6:"create";i:1;O:8:"stdClass":6:{s:4:"type";s:14:"save_5_dollars";s:9:"coupon_id";s:0:"";s:9:"is_active";b:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";s:6:"is_new";b:1;}}', 'commerce_coupon_ui_coupon_form_wrapper', 'a:2:{i:0;O:8:"stdClass":6:{s:4:"type";s:14:"save_5_dollars";s:9:"coupon_id";s:0:"";s:9:"is_active";b:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";s:6:"is_new";b:1;}i:1;s:3:"add";}', '', '31', 5, '0', '', 'admin/commerce/coupons/add/save-5-dollars', 'Create !name', 't', 'a:1:{s:5:"!name";s:14:"Save 5 Dollars";}', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/commerce/coupons/list', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:35:"administer commerce_coupon entities";}}}', 'views_page', 'a:2:{i:0;s:16:"commerce_coupons";i:1;s:4:"page";}', '', '15', 4, '1', 'admin/commerce/coupons', 'admin/commerce/coupons', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/commerce/coupons/settings', '', '', 'user_access', 'a:1:{i:0;s:26:"administer coupon settings";}', 'drupal_get_form', 'a:1:{i:0;s:32:"commerce_coupon_ui_settings_form";}', '', '15', 4, '1', 'admin/commerce/coupons', 'admin/commerce/coupons', 'Settings', 't', '', '', 'a:0:{}', '132', 'Global configuration for coupons.', '', '50', 'sites/all/modules/commerce_coupon/includes/commerce_coupon_ui.settings.inc'),
('admin/commerce/coupons/types', '', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'commerce_coupon_ui_types_overview', 'a:0:{}', '', '15', 4, '1', 'admin/commerce/coupons', 'admin/commerce/coupons', 'Coupon types', 't', '', '', 'a:0:{}', '132', 'Manage coupon types for your store.', '', '0', ''),
('admin/commerce/coupons/types/add', '', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'drupal_get_form', 'a:2:{i:0;s:28:"commerce_coupon_ui_type_form";i:1;O:18:"CommerceCouponType":7:{s:4:"type";N;s:5:"label";N;s:6:"weight";i:0;s:13:"\0*\0entityType";s:20:"commerce_coupon_type";s:15:"\0*\0defaultLabel";b:0;s:10:"\0*\0wrapper";N;s:6:"is_new";b:1;}}', '', '31', 5, '1', 'admin/commerce/coupons/types', 'admin/commerce/coupons', 'Add coupon type', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/commerce_coupon/includes/commerce_coupon_ui.forms.inc'),
('admin/commerce/coupons/types/save-5-dollars', '', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'drupal_get_form', 'a:2:{i:0;s:28:"commerce_coupon_ui_type_form";i:1;O:18:"CommerceCouponType":9:{s:4:"type";s:14:"save_5_dollars";s:5:"label";s:14:"Save 5 Dollars";s:6:"weight";s:1:"0";s:13:"\0*\0entityType";s:20:"commerce_coupon_type";s:15:"\0*\0defaultLabel";b:0;s:10:"\0*\0wrapper";N;s:4:"data";N;s:6:"status";s:1:"1";s:6:"module";N;}}', '', '31', 5, '0', '', 'admin/commerce/coupons/types/save-5-dollars', 'Save 5 Dollars', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/commerce_coupon/includes/commerce_coupon_ui.forms.inc'),
('admin/commerce/coupons/types/save-5-dollars/delete', '', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'commerce_coupon_ui_coupon_type_delete_form_wrapper', 'a:1:{i:0;O:18:"CommerceCouponType":9:{s:4:"type";s:14:"save_5_dollars";s:5:"label";s:14:"Save 5 Dollars";s:6:"weight";s:1:"0";s:13:"\0*\0entityType";s:20:"commerce_coupon_type";s:15:"\0*\0defaultLabel";b:0;s:10:"\0*\0wrapper";N;s:4:"data";N;s:6:"status";s:1:"1";s:6:"module";N;}}', '', '63', 6, '2', 'admin/commerce/coupons/types/save-5-dollars', 'admin/commerce/coupons/types/save-5-dollars', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', ''),
('admin/commerce/coupons/types/save-5-dollars/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:15:"commerce_coupon";i:2;s:14:"save_5_dollars";i:3;s:7:"default";}', '', '63', 6, '3', 'admin/commerce/coupons/types/save-5-dollars', 'admin/commerce/coupons/types/save-5-dollars', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:15:"commerce_coupon";i:2;s:14:"save_5_dollars";i:3;s:7:"default";}', '', '127', 7, '1', 'admin/commerce/coupons/types/save-5-dollars/display', 'admin/commerce/coupons/types/save-5-dollars', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:15:"commerce_coupon";i:2;s:14:"save_5_dollars";i:3;s:5:"token";}', '', '127', 7, '1', 'admin/commerce/coupons/types/save-5-dollars/display', 'admin/commerce/coupons/types/save-5-dollars', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc');
INSERT INTO `menu_router` VALUES
('admin/commerce/coupons/types/save-5-dollars/edit', '', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'drupal_get_form', 'a:2:{i:0;s:28:"commerce_coupon_ui_type_form";i:1;O:18:"CommerceCouponType":9:{s:4:"type";s:14:"save_5_dollars";s:5:"label";s:14:"Save 5 Dollars";s:6:"weight";s:1:"0";s:13:"\0*\0entityType";s:20:"commerce_coupon_type";s:15:"\0*\0defaultLabel";b:0;s:10:"\0*\0wrapper";N;s:4:"data";N;s:6:"status";s:1:"1";s:6:"module";N;}}', '', '63', 6, '3', 'admin/commerce/coupons/types/save-5-dollars', 'admin/commerce/coupons/types/save-5-dollars', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/commerce_coupon/includes/commerce_coupon_ui.forms.inc'),
('admin/commerce/coupons/types/save-5-dollars/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:15:"commerce_coupon";i:2;s:14:"save_5_dollars";}', '', '63', 6, '3', 'admin/commerce/coupons/types/save-5-dollars', 'admin/commerce/coupons/types/save-5-dollars', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/fields/%', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '126', 7, '0', '', 'admin/commerce/coupons/types/save-5-dollars/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/fields/%/delete', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/fields/%/edit', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/fields/%/field-settings', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/fields/%/widget-type', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:23:"administer coupon types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'admin/commerce/coupons/types/save-5-dollars/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/coupons/types/save-5-dollars/groups/%/delete', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/coupons/types/save-5-dollars/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/coupons/types/save-5-dollars/groups/%/enable', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:15:"commerce_coupon";i:1;s:14:"save_5_dollars";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer coupon types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/coupons/types/save-5-dollars/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/customer-profiles', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:45:"administer commerce_customer_profile entities";}}}', 'views_page', 'a:2:{i:0;s:22:"customer_profiles_vbo_";i:1;s:6:"page_1";}', '', '7', 3, '0', '', 'admin/commerce/customer-profiles', 'Customer profiles', 't', '', '', 'a:0:{}', '6', 'Manage customer profiles and profile types in the store.', '', '0', ''),
('admin/commerce/customer-profiles/%', 'a:1:{i:3;s:30:"commerce_customer_profile_load";}', '', 'commerce_customer_profile_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_customer_ui_customer_profile_form_wrapper', 'a:1:{i:0;i:3;}', '', '14', 4, '3', '', 'admin/commerce/customer-profiles/%', '', 'commerce_customer_ui_customer_profile_title', 'a:1:{i:0;i:3;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),
('admin/commerce/customer-profiles/%/delete', 'a:1:{i:3;s:30:"commerce_customer_profile_load";}', '', 'commerce_customer_profile_access', 'a:2:{i:0;s:6:"delete";i:1;i:3;}', 'commerce_customer_ui_customer_profile_delete_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '2', 'admin/commerce/customer-profiles/%', 'admin/commerce/customer-profiles/%', 'Delete a customer profile', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),
('admin/commerce/customer-profiles/%/edit', 'a:1:{i:3;s:30:"commerce_customer_profile_load";}', '', 'commerce_customer_profile_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_customer_ui_customer_profile_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '3', 'admin/commerce/customer-profiles/%', 'admin/commerce/customer-profiles/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),
('admin/commerce/customer-profiles/add', '', '', 'commerce_customer_ui_customer_profile_add_any_access', 'a:0:{}', 'commerce_customer_ui_customer_profile_add_page', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/customer-profiles/add', 'Add a customer profile', 't', '', '', 'a:0:{}', '6', 'Add a new customer profile.', '', '10', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),
('admin/commerce/customer-profiles/add/billing', '', '', 'commerce_customer_profile_access', 'a:2:{i:0;s:6:"create";i:1;O:8:"stdClass":8:{s:4:"type";s:7:"billing";s:3:"uid";i:0;s:10:"profile_id";N;s:11:"revision_id";N;s:6:"status";i:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";s:6:"is_new";b:1;}}', 'commerce_customer_ui_customer_profile_form_wrapper', 'a:1:{i:0;O:8:"stdClass":8:{s:4:"type";s:7:"billing";s:3:"uid";i:0;s:10:"profile_id";N;s:11:"revision_id";N;s:6:"status";i:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";s:6:"is_new";b:1;}}', '', '31', 5, '0', '', 'admin/commerce/customer-profiles/add/billing', 'Create @name', 't', 'a:1:{s:5:"@name";s:19:"Billing information";}', '', 'a:0:{}', '6', 'The profile used to collect billing information on the checkout and order forms.', '', '0', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profiles.inc'),
('admin/commerce/customer-profiles/list', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:45:"administer commerce_customer_profile entities";}}}', 'views_page', 'a:2:{i:0;s:22:"customer_profiles_vbo_";i:1;s:6:"page_1";}', '', '15', 4, '1', 'admin/commerce/customer-profiles', 'admin/commerce/customer-profiles', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/commerce/customer-profiles/types', '', '', 'user_access', 'a:1:{i:0;s:33:"administer customer profile types";}', 'commerce_customer_ui_customer_profile_types_overview', 'a:0:{}', '', '15', 4, '1', 'admin/commerce/customer-profiles', 'admin/commerce/customer-profiles', 'Profile types', 't', '', '', 'a:0:{}', '132', 'Manage customer profile types for your store.', '', '0', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_ui.profile_types.inc'),
('admin/commerce/customer-profiles/types/billing', '', '', 'user_access', 'a:1:{i:0;s:33:"administer customer profile types";}', 'commerce_customer_ui_profile_type_redirect', 'a:1:{i:0;s:7:"billing";}', '', '31', 5, '0', '', 'admin/commerce/customer-profiles/types/billing', 'Billing information', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/commerce/customer-profiles/types/billing/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:25:"commerce_customer_profile";i:2;s:7:"billing";i:3;s:7:"default";}', '', '63', 6, '3', 'admin/commerce/customer-profiles/types/billing', 'admin/commerce/customer-profiles/types/billing', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/display/administrator', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:13:"administrator";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:25:"commerce_customer_profile";i:2;s:7:"billing";i:3;s:13:"administrator";}', '', '127', 7, '1', 'admin/commerce/customer-profiles/types/billing/display', 'admin/commerce/customer-profiles/types/billing', 'Administrator', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/display/customer', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:8:"customer";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:25:"commerce_customer_profile";i:2;s:7:"billing";i:3;s:8:"customer";}', '', '127', 7, '1', 'admin/commerce/customer-profiles/types/billing/display', 'admin/commerce/customer-profiles/types/billing', 'Customer', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:25:"commerce_customer_profile";i:2;s:7:"billing";i:3;s:7:"default";}', '', '127', 7, '1', 'admin/commerce/customer-profiles/types/billing/display', 'admin/commerce/customer-profiles/types/billing', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:25:"commerce_customer_profile";i:2;s:7:"billing";i:3;s:5:"token";}', '', '127', 7, '1', 'admin/commerce/customer-profiles/types/billing/display', 'admin/commerce/customer-profiles/types/billing', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:25:"commerce_customer_profile";i:2;s:7:"billing";}', '', '63', 6, '3', 'admin/commerce/customer-profiles/types/billing', 'admin/commerce/customer-profiles/types/billing', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/fields/%', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '126', 7, '0', '', 'admin/commerce/customer-profiles/types/billing/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/fields/%/delete', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/customer-profiles/types/billing/fields/%', 'admin/commerce/customer-profiles/types/billing/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/fields/%/edit', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/customer-profiles/types/billing/fields/%', 'admin/commerce/customer-profiles/types/billing/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/fields/%/field-settings', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/customer-profiles/types/billing/fields/%', 'admin/commerce/customer-profiles/types/billing/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/fields/%/widget-type', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:33:"administer customer profile types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/customer-profiles/types/billing/fields/%', 'admin/commerce/customer-profiles/types/billing/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/customer-profiles/types/billing/groups/%/delete', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:33:"administer customer profile types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/customer-profiles/types/billing/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/customer-profiles/types/billing/groups/%/enable', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:25:"commerce_customer_profile";i:1;s:7:"billing";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:33:"administer customer profile types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/customer-profiles/types/billing/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/line-items', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:21:"administer line items";}}}', 'views_page', 'a:2:{i:0;s:17:"line_items_vbo_2_";i:1;s:6:"page_1";}', '', '7', 3, '1', 'admin/commerce', 'admin/commerce', 'Line Items (VBO)', 't', '', '', 'a:0:{}', '132', '', '', '30', ''),
('admin/commerce/orders', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:34:"administer commerce_order entities";}}}', 'views_page', 'a:2:{i:0;s:25:"commerce_vbo_views_orders";i:1;s:10:"admin_page";}', '', '7', 3, '0', '', 'admin/commerce/orders', 'Orders', 't', '', '', 'a:0:{}', '6', 'Manage orders in the store.', '', '0', ''),
('admin/commerce/orders/%', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_order_admin_order_view_access', 'a:1:{i:0;i:3;}', 'commerce_order_ui_order_view', 'a:1:{i:0;i:3;}', '', '14', 4, '0', '', 'admin/commerce/orders/%', '', 'commerce_order_ui_order_title', 'a:1:{i:0;i:3;}', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/commerce/orders/%/delete', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_order_access', 'a:2:{i:0;s:6:"delete";i:1;i:3;}', 'commerce_order_ui_order_delete_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '2', 'admin/commerce/orders/%', 'admin/commerce/orders/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '20', 'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),
('admin/commerce/orders/%/edit', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_order_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_order_ui_order_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '3', 'admin/commerce/orders/%', 'admin/commerce/orders/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '-5', 'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),
('admin/commerce/orders/%/edit/checkout', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_checkout_complete_form_access', 'a:1:{i:0;i:3;}', 'drupal_get_form', 'a:2:{i:0;s:31:"commerce_checkout_complete_form";i:1;i:3;}', '', '59', 6, '1', 'admin/commerce/orders/%/edit', 'admin/commerce/orders/%', 'Simulate checkout completion', 't', '', '', 'a:0:{}', '388', 'Directly invokes the checkout completion rules on the order.', '', '0', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.admin.inc'),
('admin/commerce/orders/%/edit/refresh', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_cart_order_refresh_form_access', 'a:1:{i:0;i:3;}', 'drupal_get_form', 'a:2:{i:0;s:32:"commerce_cart_order_refresh_form";i:1;i:3;}', '', '59', 6, '1', 'admin/commerce/orders/%/edit', 'admin/commerce/orders/%', 'Apply pricing rules', 't', '', '', 'a:0:{}', '388', 'Executes the cart order refresh used to apply all current pricing rules on the front end.', '', '0', 'sites/all/modules/commerce/modules/cart/includes/commerce_cart.admin.inc'),
('admin/commerce/orders/%/payment', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_payment_transaction_order_access', 'a:2:{i:0;s:4:"view";i:1;i:3;}', 'commerce_payment_ui_order_tab', 'a:1:{i:0;i:3;}', '', '29', 5, '3', 'admin/commerce/orders/%', 'admin/commerce/orders/%', 'Payment', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),
('admin/commerce/orders/%/payment/%', 'a:2:{i:3;s:19:"commerce_order_load";i:5;s:33:"commerce_payment_transaction_load";}', '', 'commerce_payment_transaction_access', 'a:2:{i:0;s:4:"view";i:1;i:5;}', 'commerce_payment_ui_payment_transaction_view', 'a:3:{i:0;i:3;i:1;i:5;i:2;s:13:"administrator";}', '', '58', 6, '0', '', 'admin/commerce/orders/%/payment/%', '', 'commerce_payment_ui_payment_transaction_title', 'a:1:{i:0;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),
('admin/commerce/orders/%/payment/%/delete', 'a:2:{i:3;s:19:"commerce_order_load";i:5;s:33:"commerce_payment_transaction_load";}', '', 'commerce_payment_transaction_access', 'a:2:{i:0;s:6:"delete";i:1;i:5;}', 'commerce_payment_ui_payment_transaction_delete_form_wrapper', 'a:2:{i:0;i:3;i:1;i:5;}', '', '117', 7, '2', 'admin/commerce/orders/%/payment/%', 'admin/commerce/orders/%/payment/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),
('admin/commerce/orders/%/payment/%/paypal-wpp-capture', 'a:2:{i:3;s:19:"commerce_order_load";i:5;s:33:"commerce_payment_transaction_load";}', '', 'commerce_paypal_wpp_capture_access', 'a:2:{i:0;i:3;i:1;i:5;}', 'drupal_get_form', 'a:3:{i:0;s:32:"commerce_paypal_wpp_capture_form";i:1;i:3;i:2;i:5;}', '', '117', 7, '2', 'admin/commerce/orders/%/payment/%', 'admin/commerce/orders/%/payment/%', 'Capture', 't', '', '', 'a:0:{}', '140', '', '', '2', 'sites/all/modules/commerce_paypal/modules/wpp/includes/commerce_paypal_wpp.admin.inc'),
('admin/commerce/orders/%/payment/%/view', 'a:2:{i:3;s:19:"commerce_order_load";i:5;s:33:"commerce_payment_transaction_load";}', '', 'commerce_payment_transaction_access', 'a:2:{i:0;s:4:"view";i:1;i:5;}', 'commerce_payment_ui_payment_transaction_view', 'a:3:{i:0;i:3;i:1;i:5;i:2;s:13:"administrator";}', '', '117', 7, '3', 'admin/commerce/orders/%/payment/%', 'admin/commerce/orders/%/payment/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/commerce/modules/payment/includes/commerce_payment_ui.admin.inc'),
('admin/commerce/orders/%/revisions', 'a:1:{i:3;N;}', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:34:"administer commerce_order entities";}}}', 'views_page', 'a:3:{i:0;s:24:"commerce_order_revisions";i:1;s:20:"order_revisions_page";i:2;i:3;}', '', '29', 5, '1', 'admin/commerce/orders/%', 'admin/commerce/orders/%', 'Revisions', 't', '', '', 'a:0:{}', '132', 'View revisions of this order.', '', '20', ''),
('admin/commerce/orders/%/view', 'a:1:{i:3;s:19:"commerce_order_load";}', '', 'commerce_order_admin_order_view_access', 'a:1:{i:0;i:3;}', 'commerce_order_ui_order_view', 'a:1:{i:0;i:3;}', '', '29', 5, '3', 'admin/commerce/orders/%', 'admin/commerce/orders/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/commerce/orders/add', '', '', 'commerce_order_access', 'a:1:{i:0;s:6:"create";}', 'commerce_order_ui_order_form_wrapper', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/orders/add', 'Create an order', 't', '', '', 'a:0:{}', '6', 'Create a new order.', '', '10', 'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),
('admin/commerce/orders/add/%', 'a:1:{i:4;s:9:"user_load";}', '', 'commerce_order_access', 'a:1:{i:0;s:6:"create";}', 'commerce_order_ui_order_form_wrapper', 'a:2:{i:0;N;i:1;i:4;}', '', '30', 5, '0', '', 'admin/commerce/orders/add/%', 'Create an order', 't', '', '', 'a:0:{}', '6', 'Create a new order for the specified user.', '', '0', 'sites/all/modules/commerce/modules/order/includes/commerce_order_ui.orders.inc'),
('admin/commerce/orders/carts', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:34:"administer commerce_order entities";}}}', 'views_page', 'a:2:{i:0;s:25:"commerce_vbo_views_orders";i:1;s:14:"shopping_carts";}', '', '15', 4, '1', 'admin/commerce/orders', 'admin/commerce/orders', 'Shopping carts', 't', '', '', 'a:0:{}', '132', '', '', '-10', ''),
('admin/commerce/orders/list', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:34:"administer commerce_order entities";}}}', 'views_page', 'a:2:{i:0;s:25:"commerce_vbo_views_orders";i:1;s:10:"admin_page";}', '', '15', 4, '1', 'admin/commerce/orders', 'admin/commerce/orders', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/commerce/orders/wishlists', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:30:"view any commerce_order entity";}}}', 'views_page', 'a:2:{i:0;s:14:"admin_wishlist";i:1;s:10:"wish_lists";}', '', '15', 4, '1', 'admin/commerce/orders', 'admin/commerce/orders', 'Wish lists', 't', '', '', 'a:0:{}', '132', '', '', '0', ''),
('admin/commerce/products', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:36:"administer commerce_product entities";}}}', 'views_page', 'a:2:{i:0;s:13:"products_vbo_";i:1;s:10:"admin_page";}', '', '7', 3, '0', '', 'admin/commerce/products', 'Products', 't', '', '', 'a:0:{}', '6', 'Manage products and product types in the store.', '', '0', ''),
('admin/commerce/products/%', 'a:1:{i:3;s:21:"commerce_product_load";}', '', 'commerce_product_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_product_ui_product_form_wrapper', 'a:1:{i:0;i:3;}', '', '14', 4, '3', '', 'admin/commerce/products/%', '', 'commerce_product_ui_product_title', 'a:1:{i:0;i:3;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),
('admin/commerce/products/%/delete', 'a:1:{i:3;s:21:"commerce_product_load";}', '', 'commerce_product_access', 'a:2:{i:0;s:6:"delete";i:1;i:3;}', 'commerce_product_ui_product_delete_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '2', 'admin/commerce/products/%', 'admin/commerce/products/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '20', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),
('admin/commerce/products/%/edit', 'a:1:{i:3;s:21:"commerce_product_load";}', '', 'commerce_product_access', 'a:2:{i:0;s:6:"update";i:1;i:3;}', 'commerce_product_ui_product_form_wrapper', 'a:1:{i:0;i:3;}', '', '29', 5, '3', 'admin/commerce/products/%', 'admin/commerce/products/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),
('admin/commerce/products/%/revisions', 'a:1:{i:3;N;}', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:36:"administer commerce_product entities";}}}', 'views_page', 'a:3:{i:0;s:26:"commerce_product_revisions";i:1;s:22:"product_revisions_page";i:2;i:3;}', '', '29', 5, '1', 'admin/commerce/products/%', 'admin/commerce/products/%', 'Revisions', 't', '', '', 'a:0:{}', '132', 'View revisions of this product.', '', '0', ''),
('admin/commerce/products/add', '', '', 'commerce_product_ui_product_add_any_access', 'a:0:{}', 'commerce_product_ui_add_page', 'a:0:{}', '', '15', 4, '0', '', 'admin/commerce/products/add', 'Add a product', 't', '', '', 'a:0:{}', '6', 'Add a new product for sale.', '', '10', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),
('admin/commerce/products/add/product', '', '', 'commerce_product_access', 'a:2:{i:0;s:6:"create";i:1;O:8:"stdClass":10:{s:4:"type";s:7:"product";s:10:"product_id";N;s:6:"is_new";b:1;s:3:"sku";s:0:"";s:11:"revision_id";N;s:5:"title";s:0:"";s:3:"uid";s:0:"";s:6:"status";i:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";}}', 'commerce_product_ui_product_form_wrapper', 'a:1:{i:0;O:8:"stdClass":10:{s:4:"type";s:7:"product";s:10:"product_id";N;s:6:"is_new";b:1;s:3:"sku";s:0:"";s:11:"revision_id";N;s:5:"title";s:0:"";s:3:"uid";s:0:"";s:6:"status";i:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";}}', '', '31', 5, '0', '', 'admin/commerce/products/add/product', 'Create !name', 't', 'a:1:{s:5:"!name";s:7:"Product";}', '', 'a:0:{}', '6', 'A basic product type.', '', '0', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.products.inc'),
('admin/commerce/products/clone/product/%', 'a:1:{i:5;s:21:"commerce_product_load";}', '', 'commerce_product_access', 'a:2:{i:0;s:6:"create";i:1;s:7:"product";}', 'commerce_pdm_product_ui_product_form_wrapper', 'a:2:{i:0;O:8:"stdClass":10:{s:4:"type";s:7:"product";s:10:"product_id";N;s:6:"is_new";b:1;s:3:"sku";s:0:"";s:11:"revision_id";N;s:5:"title";s:0:"";s:3:"uid";s:0:"";s:6:"status";i:1;s:7:"created";s:0:"";s:7:"changed";s:0:"";}i:1;i:5;}', '', '62', 6, '0', '', 'admin/commerce/products/clone/product/%', 'Create @name', 't', 'a:1:{s:5:"@name";s:7:"Product";}', '', 'a:0:{}', '6', 'A basic product type.', '', '0', 'sites/all/modules/commerce_product_display_manager/commerce_pdm_product_clone.inc'),
('admin/commerce/products/display_manager', '', '', 'user_access', 'a:1:{i:0;s:30:"access product display manager";}', 'commerce_pdm_product_display_manager_page', 'a:0:{}', '', '15', 4, '1', 'admin/commerce/products', 'admin/commerce/products', 'Display manager', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/commerce_product_display_manager/commerce_pdm.admin.inc'),
('admin/commerce/products/list', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:36:"administer commerce_product entities";}}}', 'views_page', 'a:2:{i:0;s:13:"products_vbo_";i:1;s:10:"admin_page";}', '', '15', 4, '1', 'admin/commerce/products', 'admin/commerce/products', 'Product List (VBO)', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/commerce/products/product-display', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:16:"administer nodes";}}}', 'views_page', 'a:2:{i:0;s:26:"product_display_nodes_vbo_";i:1;s:4:"page";}', '', '15', 4, '1', 'admin/commerce/products', 'admin/commerce/products', 'Product Display (VBO)', 't', '', '', 'a:0:{}', '132', '', '', '20', ''),
('admin/commerce/products/types', '', '', 'user_access', 'a:1:{i:0;s:24:"administer product types";}', 'commerce_product_ui_types_overview', 'a:0:{}', '', '15', 4, '1', 'admin/commerce/products', 'admin/commerce/products', 'Product types', 't', '', '', 'a:0:{}', '132', 'Manage products types for your store.', '', '0', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),
('admin/commerce/products/types/add', '', '', 'user_access', 'a:1:{i:0;s:24:"administer product types";}', 'commerce_product_ui_product_type_form_wrapper', 'a:1:{i:0;a:5:{s:4:"type";s:0:"";s:4:"name";s:0:"";s:11:"description";s:0:"";s:4:"help";s:0:"";s:8:"revision";i:1;}}', '', '31', 5, '1', 'admin/commerce/products/types', 'admin/commerce/products', 'Add product type', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),
('admin/commerce/products/types/product', '', '', 'user_access', 'a:1:{i:0;s:24:"administer product types";}', 'commerce_product_ui_product_type_form_wrapper', 'a:1:{i:0;s:7:"product";}', '', '31', 5, '0', '', 'admin/commerce/products/types/product', 'Product', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),
('admin/commerce/products/types/product/delete', '', '', 'commerce_product_ui_product_type_update_access', 'a:1:{i:0;s:7:"product";}', 'commerce_product_ui_product_type_delete_form_wrapper', 'a:1:{i:0;s:7:"product";}', '', '63', 6, '2', 'admin/commerce/products/types/product', 'admin/commerce/products/types/product', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),
('admin/commerce/products/types/product/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:7:"default";}', '', '63', 6, '3', 'admin/commerce/products/types/product', 'admin/commerce/products/types/product', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/commerce_line_item_display', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:26:"commerce_line_item_display";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:26:"commerce_line_item_display";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Commerce Line item: Display', 't', '', '', 'a:0:{}', '132', '', '', '3', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/commerce_line_item_token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:24:"commerce_line_item_token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:24:"commerce_line_item_token";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Commerce Line item: Tokens', 't', '', '', 'a:0:{}', '132', '', '', '4', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:7:"default";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/full', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:4:"full";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:4:"full";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Admin display', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/line_item', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:9:"line_item";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:9:"line_item";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Line item', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/node_full', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:9:"node_full";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:9:"node_full";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Node: Full content', 't', '', '', 'a:0:{}', '132', '', '', '5', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/node_rss', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:8:"node_rss";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:8:"node_rss";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Node: RSS', 't', '', '', 'a:0:{}', '132', '', '', '7', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/node_search_index', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:17:"node_search_index";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:17:"node_search_index";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Node: Search index', 't', '', '', 'a:0:{}', '132', '', '', '8', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/node_search_result', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:18:"node_search_result";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:18:"node_search_result";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Node: Search result highlighting input', 't', '', '', 'a:0:{}', '132', '', '', '9', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/node_teaser', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:11:"node_teaser";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:11:"node_teaser";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Node: Teaser', 't', '', '', 'a:0:{}', '132', '', '', '6', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/node_token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:10:"node_token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:10:"node_token";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Node: Tokens', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";i:3;s:5:"token";}', '', '127', 7, '1', 'admin/commerce/products/types/product/display', 'admin/commerce/products/types/product', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/edit', '', '', 'commerce_product_ui_product_type_update_access', 'a:1:{i:0;s:7:"product";}', 'commerce_product_ui_product_type_form_wrapper', 'a:1:{i:0;s:7:"product";}', '', '63', 6, '3', 'admin/commerce/products/types/product', 'admin/commerce/products/types/product', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/commerce/modules/product/includes/commerce_product_ui.types.inc'),
('admin/commerce/products/types/product/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:16:"commerce_product";i:2;s:7:"product";}', '', '63', 6, '3', 'admin/commerce/products/types/product', 'admin/commerce/products/types/product', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/fields/%', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '126', 7, '0', '', 'admin/commerce/products/types/product/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/fields/%/delete', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/products/types/product/fields/%', 'admin/commerce/products/types/product/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/fields/%/edit', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/products/types/product/fields/%', 'admin/commerce/products/types/product/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/fields/%/field-settings', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/products/types/product/fields/%', 'admin/commerce/products/types/product/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/fields/%/widget-type', 'a:1:{i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer product types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}', '', '253', 8, '1', 'admin/commerce/products/types/product/fields/%', 'admin/commerce/products/types/product/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/commerce/products/types/product/groups/%/delete', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"administer product types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/products/types/product/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/commerce/products/types/product/groups/%/enable', 'a:1:{i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:16:"commerce_product";i:1;s:7:"product";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"administer product types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:6;}', '', '253', 8, '0', '', 'admin/commerce/products/types/product/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/compact', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_compact_page', 'a:0:{}', '', '3', 2, '0', '', 'admin/compact', 'Compact mode', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/config', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_config_page', 'a:0:{}', '', '3', 2, '0', '', 'admin/config', 'Configuration', 't', '', '', 'a:0:{}', '6', 'Administer settings.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/administration', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/administration', 'Administration', 't', '', '', 'a:0:{}', '6', 'Administration tools.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/administration/admin_menu', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"admin_menu_theme_settings";}', '', '15', 4, '0', '', 'admin/config/administration/admin_menu', 'Administration menu', 't', '', '', 'a:0:{}', '6', 'Adjust administration menu settings.', '', '0', 'sites/all/modules/admin_menu/admin_menu.inc'),
('admin/config/content', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/content', 'Content authoring', 't', '', '', 'a:0:{}', '6', 'Settings related to formatting and authoring content.', 'left', '-15', 'modules/system/system.admin.inc'),
('admin/config/content/cctags', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:15:"cctags_settings";}', '', '15', 4, '0', '', 'admin/config/content/cctags', 'Cctags', 't', '', '', 'a:0:{}', '6', 'Configure the Cctags.', '', '0', 'sites/all/modules/cctags/cctags.admin.inc'),
('admin/config/content/cctags/%/delete', 'a:1:{i:4;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:27:"cctags_settings_delete_item";i:1;i:4;}', '', '61', 6, '0', '', 'admin/config/content/cctags/%/delete', 'Delete cctags item', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/cctags/cctags.admin.inc'),
('admin/config/content/cctags/%/edit', 'a:1:{i:4;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:25:"cctags_settings_edit_item";i:1;i:4;}', '', '61', 6, '0', '', 'admin/config/content/cctags/%/edit', 'Edit cctags item', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/cctags/cctags.admin.inc'),
('admin/config/content/cctags/add', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:24:"cctags_settings_add_item";}', '', '31', 5, '1', 'admin/config/content/cctags', 'admin/config/content/cctags', 'Add cctags item', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/cctags/cctags.admin.inc'),
('admin/config/content/cctags/list', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:15:"cctags_settings";}', '', '31', 5, '1', 'admin/config/content/cctags', 'admin/config/content/cctags', 'Cctags configuration', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/cctags/cctags.admin.inc'),
('admin/config/content/email', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:20:"email_admin_settings";}', '', '15', 4, '0', '', 'admin/config/content/email', 'Email Contact Form Settings', 't', '', '', 'a:0:{}', '6', 'Administer flood control settings for email contact forms', '', '0', ''),
('admin/config/content/fivestar', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:17:"fivestar_settings";}', '', '15', 4, '0', '', 'admin/config/content/fivestar', 'Fivestar', 't', '', '', 'a:0:{}', '6', 'Configure site-wide widgets used for Fivestar rating.', '', '0', 'sites/all/modules/fivestar/includes/fivestar.admin.inc');
INSERT INTO `menu_router` VALUES
('admin/config/content/formats', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:21:"filter_admin_overview";}', '', '15', 4, '0', '', 'admin/config/content/formats', 'Text formats', 't', '', '', 'a:0:{}', '6', 'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.', '', '0', 'modules/filter/filter.admin.inc'),
('admin/config/content/formats/%', 'a:1:{i:4;s:18:"filter_format_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_format_page', 'a:1:{i:0;i:4;}', '', '30', 5, '0', '', 'admin/config/content/formats/%', '', 'filter_admin_format_title', 'a:1:{i:0;i:4;}', '', 'a:0:{}', '6', '', '', '0', 'modules/filter/filter.admin.inc'),
('admin/config/content/formats/%/disable', 'a:1:{i:4;s:18:"filter_format_load";}', '', '_filter_disable_format_access', 'a:1:{i:0;i:4;}', 'drupal_get_form', 'a:2:{i:0;s:20:"filter_admin_disable";i:1;i:4;}', '', '61', 6, '0', '', 'admin/config/content/formats/%/disable', 'Disable text format', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/filter/filter.admin.inc'),
('admin/config/content/formats/add', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_format_page', 'a:0:{}', '', '31', 5, '1', 'admin/config/content/formats', 'admin/config/content/formats', 'Add text format', 't', '', '', 'a:0:{}', '388', '', '', '1', 'modules/filter/filter.admin.inc'),
('admin/config/content/formats/list', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:21:"filter_admin_overview";}', '', '31', 5, '1', 'admin/config/content/formats', 'admin/config/content/formats', 'List', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/filter/filter.admin.inc'),
('admin/config/content/webform', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:22:"webform_admin_settings";}', '', '15', 4, '0', '', 'admin/config/content/webform', 'Webform settings', 't', '', '', 'a:0:{}', '6', 'Global configuration of webform functionality.', '', '0', 'sites/all/modules/webform/includes/webform.admin.inc'),
('admin/config/content/wysiwyg', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:24:"wysiwyg_profile_overview";}', '', '15', 4, '0', '', 'admin/config/content/wysiwyg', 'Wysiwyg profiles', 't', '', '', 'a:0:{}', '6', 'Configure client-side editors.', '', '0', 'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),
('admin/config/content/wysiwyg/profile', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:24:"wysiwyg_profile_overview";}', '', '31', 5, '1', 'admin/config/content/wysiwyg', 'admin/config/content/wysiwyg', 'List', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),
('admin/config/content/wysiwyg/profile/%/delete', 'a:1:{i:5;s:20:"wysiwyg_profile_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:2:{i:0;s:30:"wysiwyg_profile_delete_confirm";i:1;i:5;}', '', '125', 7, '1', 'admin/config/content/wysiwyg/profile/%wysiwyg_profile', 'admin/config/content/wysiwyg/profile', 'Remove', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),
('admin/config/content/wysiwyg/profile/%/edit', 'a:1:{i:5;s:20:"wysiwyg_profile_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:2:{i:0;s:20:"wysiwyg_profile_form";i:1;i:5;}', '', '125', 7, '1', 'admin/config/content/wysiwyg/profile/%wysiwyg_profile', 'admin/config/content/wysiwyg/profile', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),
('admin/config/date', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/date', 'Date API', 't', '', '', 'a:0:{}', '6', 'Settings for modules the use the Date API.', 'left', '-10', 'modules/system/system.admin.inc'),
('admin/config/development', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/development', 'Development', 't', '', '', 'a:0:{}', '6', 'Development tools.', 'right', '-10', 'modules/system/system.admin.inc'),
('admin/config/development/jquery_update', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:27:"jquery_update_settings_form";}', '', '15', 4, '0', '', 'admin/config/development/jquery_update', 'jQuery update', 't', '', '', 'a:0:{}', '6', 'Configure settings related to the jQuery upgrade, the library path and compression.', '', '0', ''),
('admin/config/development/logging', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:23:"system_logging_settings";}', '', '15', 4, '0', '', 'admin/config/development/logging', 'Logging and errors', 't', '', '', 'a:0:{}', '6', 'Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destinations, such as syslog, database, email, etc.', '', '-15', 'modules/system/system.admin.inc'),
('admin/config/development/maintenance', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:28:"system_site_maintenance_mode";}', '', '15', 4, '0', '', 'admin/config/development/maintenance', 'Maintenance mode', 't', '', '', 'a:0:{}', '6', 'Take the site offline for maintenance or bring it back online.', '', '-10', 'modules/system/system.admin.inc'),
('admin/config/development/performance', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:27:"system_performance_settings";}', '', '15', 4, '0', '', 'admin/config/development/performance', 'Performance', 't', '', '', 'a:0:{}', '6', 'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.', '', '-20', 'modules/system/system.admin.inc'),
('admin/config/media', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/media', 'Media', 't', '', '', 'a:0:{}', '6', 'Media tools.', 'left', '-10', 'modules/system/system.admin.inc'),
('admin/config/media/browser', '', '', 'user_access', 'a:1:{i:0;s:16:"administer media";}', 'drupal_get_form', 'a:1:{i:0;s:26:"media_admin_config_browser";}', '', '15', 4, '0', '', 'admin/config/media/browser', 'Media browser settings', 't', '', '', 'a:0:{}', '6', 'Configure the behavior and display of the media browser.', '', '0', 'sites/all/modules/media/includes/media.admin.inc'),
('admin/config/media/colorbox', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:23:"colorbox_admin_settings";}', '', '15', 4, '0', '', 'admin/config/media/colorbox', 'Colorbox', 't', '', '', 'a:0:{}', '6', 'Adjust Colorbox settings.', '', '0', 'sites/all/modules/colorbox/colorbox.admin.inc'),
('admin/config/media/file-system', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:27:"system_file_system_settings";}', '', '15', 4, '0', '', 'admin/config/media/file-system', 'File system', 't', '', '', 'a:0:{}', '6', 'Tell Drupal where to store uploaded files and how they are accessed.', '', '-10', 'modules/system/system.admin.inc'),
('admin/config/media/file-types', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'file_entity_list_types_page', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/media/file-types', 'File types', 't', '', '', 'a:0:{}', '6', 'Manage files used on your site.', '', '0', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%', 'a:1:{i:5;N;}', '', '0', 'a:0:{}', 'file_entity_list_types_page', 'a:0:{}', '', '62', 6, '0', '', 'admin/config/media/file-types/manage/%', 'Manage file types', 't', '', '', 'a:0:{}', '6', 'Manage files used on your site.', '', '0', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/display', 'a:1:{i:5;s:14:"file_type_load";}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:7:"default";}', '', '125', 7, '1', 'admin/config/media/file-types/manage/%', 'admin/config/media/file-types/manage/%', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/block_blog_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:16:"block_blog_image";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:16:"block_blog_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Blog block image', 't', '', '', 'a:0:{}', '132', '', '', '4', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/blog_carousel_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:19:"blog_carousel_image";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:19:"blog_carousel_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Blog carousel image', 't', '', '', 'a:0:{}', '132', '', '', '3', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/blog_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:10:"blog_image";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:10:"blog_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Blog image', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/blog_masonry_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:18:"blog_masonry_image";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:18:"blog_masonry_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Blog masonry image', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/default', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:7:"default";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:7:"default";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/full_post_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:15:"full_post_image";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:15:"full_post_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Full post image', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/media_large', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:11:"media_large";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:11:"media_large";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Large', 't', '', '', 'a:0:{}', '132', '', '', '8', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/media_link', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:10:"media_link";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:10:"media_link";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Link', 't', '', '', 'a:0:{}', '132', '', '', '5', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/media_original', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:14:"media_original";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:14:"media_original";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Original', 't', '', '', 'a:0:{}', '132', '', '', '9', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/media_preview', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:13:"media_preview";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:13:"media_preview";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Preview', 't', '', '', 'a:0:{}', '132', '', '', '6', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/media_small', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:11:"media_small";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:11:"media_small";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Small', 't', '', '', 'a:0:{}', '132', '', '', '7', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/display/token', 'a:1:{i:5;s:14:"file_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:5:{i:0;s:4:"file";i:1;i:5;i:2;s:5:"token";i:3;s:11:"user_access";i:4;s:17:"administer fields";}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"file";i:2;i:5;i:3;s:5:"token";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/display', 'admin/config/media/file-types/manage/%', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/fields', 'a:1:{i:5;s:14:"file_type_load";}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:4:"file";i:2;i:5;}', '', '125', 7, '1', 'admin/config/media/file-types/manage/%', 'admin/config/media/file-types/manage/%', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/fields/%', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:7;}', '', '250', 8, '0', '', 'admin/config/media/file-types/manage/%/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:7;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/fields/%/delete', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:7;}', '', '501', 9, '1', 'admin/config/media/file-types/manage/%/fields/%', 'admin/config/media/file-types/manage/%/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/fields/%/edit', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:7;}', '', '501', 9, '1', 'admin/config/media/file-types/manage/%/fields/%', 'admin/config/media/file-types/manage/%/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/fields/%/field-settings', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:7;}', '', '501', 9, '1', 'admin/config/media/file-types/manage/%/fields/%', 'admin/config/media/file-types/manage/%/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/fields/%/widget-type', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:17:"administer fields";}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:7;}', '', '501', 9, '1', 'admin/config/media/file-types/manage/%/fields/%', 'admin/config/media/file-types/manage/%/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/media/file-types/manage/%/file-display', 'a:1:{i:5;s:14:"file_type_load";}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:7:"default";}', '', '125', 7, '1', 'admin/config/media/file-types/manage/%', 'admin/config/media/file-types/manage/%', 'Manage file display', 't', '', '', 'a:0:{}', '132', '', '', '3', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/block_blog_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:16:"block_blog_image";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:16:"block_blog_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Blog block image', 't', '', '', 'a:0:{}', '132', '', '', '4', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/blog_carousel_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:19:"blog_carousel_image";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:19:"blog_carousel_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Blog carousel image', 't', '', '', 'a:0:{}', '132', '', '', '3', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/blog_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:10:"blog_image";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:10:"blog_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Blog image', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/blog_masonry_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:18:"blog_masonry_image";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:18:"blog_masonry_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Blog masonry image', 't', '', '', 'a:0:{}', '132', '', '', '2', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/default', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:7:"default";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:7:"default";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/full_post_image', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:15:"full_post_image";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:15:"full_post_image";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Full post image', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/media_large', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:11:"media_large";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:11:"media_large";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Large', 't', '', '', 'a:0:{}', '132', '', '', '8', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/media_link', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:10:"media_link";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:10:"media_link";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Link', 't', '', '', 'a:0:{}', '132', '', '', '5', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/media_original', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:14:"media_original";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:14:"media_original";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Original', 't', '', '', 'a:0:{}', '132', '', '', '9', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/media_preview', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:13:"media_preview";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:13:"media_preview";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Preview', 't', '', '', 'a:0:{}', '132', '', '', '6', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/media_small', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:11:"media_small";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:11:"media_small";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Small', 't', '', '', 'a:0:{}', '132', '', '', '7', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/file-display/token', 'a:1:{i:5;s:14:"file_type_load";}', '', '_file_entity_view_mode_menu_access', 'a:4:{i:0;i:5;i:1;s:5:"token";i:2;s:11:"user_access";i:3;s:29:"administer site configuration";}', 'drupal_get_form', 'a:3:{i:0;s:29:"file_entity_file_display_form";i:1;i:5;i:2;s:5:"token";}', '', '251', 8, '1', 'admin/config/media/file-types/manage/%/file-display', 'admin/config/media/file-types/manage/%', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/media/file_entity/file_entity.admin.inc'),
('admin/config/media/file-types/manage/%/groups/%/delete', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:7;}', '', '501', 9, '0', '', 'admin/config/media/file-types/manage/%/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/config/media/file-types/manage/%/groups/%/enable', 'a:2:{i:5;a:1:{s:14:"file_type_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}i:7;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:4:"file";i:1;i:5;i:2;s:1:"5";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:7;}', '', '501', 9, '0', '', 'admin/config/media/file-types/manage/%/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/config/media/flexslider', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"list";}', '', '15', 4, '0', '', 'admin/config/media/flexslider', 'FlexSlider', 't', '', '', 'a:0:{}', '6', 'Administer FlexSlider presets.', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/add', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:3:"add";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:3:"add";}', '', '31', 5, '1', 'admin/config/media/flexslider', 'admin/config/media/flexslider', 'Add', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/advanced', '', '', 'user_access', 'a:1:{i:0;s:21:"administer flexslider";}', 'drupal_get_form', 'a:1:{i:0;s:24:"flexslider_form_settings";}', '', '31', 5, '1', 'admin/config/media/flexslider', 'admin/config/media/flexslider', 'Advanced settings', 't', '', '', 'a:0:{}', '132', 'Configure the advanced flexslider module settings.', '', '2', 'sites/all/modules/flexslider/flexslider.admin.inc'),
('admin/config/media/flexslider/import', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"import";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"import";}', '', '31', 5, '1', 'admin/config/media/flexslider', 'admin/config/media/flexslider', 'Import', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"list";}', '', '31', 5, '1', 'admin/config/media/flexslider', 'admin/config/media/flexslider', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', '', '62', 6, '0', '', 'admin/config/media/flexslider/list/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/clone', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:5:"clone";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:5:"clone";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/media/flexslider/list/%/clone', 'Clone', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/delete', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"delete";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"delete";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/media/flexslider/list/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/disable', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:7:"disable";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:7:"disable";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/media/flexslider/list/%/disable', 'Disable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/edit', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', '', '125', 7, '1', 'admin/config/media/flexslider/list/%', 'admin/config/media/flexslider/list/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/enable', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"enable";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"enable";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/media/flexslider/list/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/export', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"export";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"export";i:2;i:5;}', '', '125', 7, '1', 'admin/config/media/flexslider/list/%', 'admin/config/media/flexslider/list/%', 'Export', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/flexslider/list/%/revert', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:27:"flexslider_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"revert";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:27:"flexslider_ctools_export_ui";i:1;s:6:"delete";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/media/flexslider/list/%/revert', 'Revert', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/media/image-styles', '', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'image_style_list', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/media/image-styles', 'Image styles', 't', '', '', 'a:0:{}', '6', 'Configure styles that can be used for resizing or adjusting images on display.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/add', '', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:1:{i:0;s:20:"image_style_add_form";}', '', '31', 5, '1', 'admin/config/media/image-styles', 'admin/config/media/image-styles', 'Add style', 't', '', '', 'a:0:{}', '388', 'Add a new image style.', '', '2', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/delete/%', 'a:1:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;N;i:1;s:1:"1";}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:2:{i:0;s:23:"image_style_delete_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/media/image-styles/delete/%', 'Delete style', 't', '', '', 'a:0:{}', '6', 'Delete an image style.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/edit/%', 'a:1:{i:5;s:16:"image_style_load";}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:2:{i:0;s:16:"image_style_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/media/image-styles/edit/%', 'Edit style', 't', '', '', 'a:0:{}', '6', 'Configure an image style.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/edit/%/add/%', 'a:2:{i:5;a:1:{s:16:"image_style_load";a:1:{i:0;i:5;}}i:7;a:1:{s:28:"image_effect_definition_load";a:1:{i:0;i:5;}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:3:{i:0;s:17:"image_effect_form";i:1;i:5;i:2;i:7;}', '', '250', 8, '0', '', 'admin/config/media/image-styles/edit/%/add/%', 'Add image effect', 't', '', '', 'a:0:{}', '6', 'Add a new effect to a style.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/edit/%/effects/%', 'a:2:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;i:5;i:1;s:1:"3";}}i:7;a:1:{s:17:"image_effect_load";a:2:{i:0;i:5;i:1;s:1:"3";}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:3:{i:0;s:17:"image_effect_form";i:1;i:5;i:2;i:7;}', '', '250', 8, '0', '', 'admin/config/media/image-styles/edit/%/effects/%', 'Edit image effect', 't', '', '', 'a:0:{}', '6', 'Edit an existing effect within a style.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/edit/%/effects/%/delete', 'a:2:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;i:5;i:1;s:1:"3";}}i:7;a:1:{s:17:"image_effect_load";a:2:{i:0;i:5;i:1;s:1:"3";}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:3:{i:0;s:24:"image_effect_delete_form";i:1;i:5;i:2;i:7;}', '', '501', 9, '0', '', 'admin/config/media/image-styles/edit/%/effects/%/delete', 'Delete image effect', 't', '', '', 'a:0:{}', '6', 'Delete an existing effect from a style.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/list', '', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'image_style_list', 'a:0:{}', '', '31', 5, '1', 'admin/config/media/image-styles', 'admin/config/media/image-styles', 'List', 't', '', '', 'a:0:{}', '140', 'List the current image styles on the site.', '', '1', 'modules/image/image.admin.inc'),
('admin/config/media/image-styles/retina_preview/%', 'a:1:{i:5;s:16:"image_style_load";}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'retina_images_retina_style_preview', 'a:1:{i:0;i:5;}', '', '62', 6, '0', '', 'admin/config/media/image-styles/retina_preview/%', 'Preview retinafied style', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('admin/config/media/image-styles/revert/%', 'a:1:{i:5;a:1:{s:16:"image_style_load";a:2:{i:0;N;i:1;s:1:"2";}}}', '', 'user_access', 'a:1:{i:0;s:23:"administer image styles";}', 'drupal_get_form', 'a:2:{i:0;s:23:"image_style_revert_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/media/image-styles/revert/%', 'Revert style', 't', '', '', 'a:0:{}', '6', 'Revert an image style.', '', '0', 'modules/image/image.admin.inc'),
('admin/config/media/image-toolkit', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:29:"system_image_toolkit_settings";}', '', '15', 4, '0', '', 'admin/config/media/image-toolkit', 'Image toolkit', 't', '', '', 'a:0:{}', '6', 'Choose which image toolkit to use if you have installed optional toolkits.', '', '20', 'modules/system/system.admin.inc'),
('admin/config/media/rebuild_types', '', '', 'user_access', 'a:1:{i:0;s:16:"administer media";}', 'drupal_get_form', 'a:1:{i:0;s:30:"media_admin_rebuild_types_form";}', '', '15', 4, '0', '', 'admin/config/media/rebuild_types', 'Rebuild type information for media', 't', '', '', 'a:0:{}', '6', 'In case there are files in file_managed w/o a type, this function rebuilds them', '', '0', 'sites/all/modules/media/includes/media.admin.inc'),
('admin/config/people', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/people', 'People', 't', '', '', 'a:0:{}', '6', 'Configure user accounts.', 'left', '-20', 'modules/system/system.admin.inc'),
('admin/config/people/accounts', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'drupal_get_form', 'a:1:{i:0;s:19:"user_admin_settings";}', '', '15', 4, '0', '', 'admin/config/people/accounts', 'Account settings', 't', '', '', 'a:0:{}', '6', 'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.', '', '-10', 'modules/user/user.admin.inc'),
('admin/config/people/accounts/display', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:7:"default";}', '', '31', 5, '1', 'admin/config/people/accounts', 'admin/config/people/accounts', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/display/default', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:7:"default";}', '', '63', 6, '1', 'admin/config/people/accounts/display', 'admin/config/people/accounts', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/display/full', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:4:"full";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:4:"full";}', '', '63', 6, '1', 'admin/config/people/accounts/display', 'admin/config/people/accounts', 'User account', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/display/token', '', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"user";i:2;s:4:"user";i:3;s:5:"token";}', '', '63', 6, '1', 'admin/config/people/accounts/display', 'admin/config/people/accounts', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/fields', '', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:4:"user";i:2;s:4:"user";}', '', '31', 5, '1', 'admin/config/people/accounts', 'admin/config/people/accounts', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/fields/%', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/people/accounts/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/fields/%/delete', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:5;}', '', '125', 7, '1', 'admin/config/people/accounts/fields/%', 'admin/config/people/accounts/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/fields/%/edit', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}', '', '125', 7, '1', 'admin/config/people/accounts/fields/%', 'admin/config/people/accounts/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/fields/%/field-settings', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:5;}', '', '125', 7, '1', 'admin/config/people/accounts/fields/%', 'admin/config/people/accounts/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/fields/%/widget-type', 'a:1:{i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:16:"administer users";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:5;}', '', '125', 7, '1', 'admin/config/people/accounts/fields/%', 'admin/config/people/accounts/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/config/people/accounts/groups/%/delete', 'a:1:{i:5;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/people/accounts/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/config/people/accounts/groups/%/enable', 'a:1:{i:5;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:4:"user";i:1;s:4:"user";i:2;s:1:"0";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/people/accounts/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/config/people/accounts/settings', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'drupal_get_form', 'a:1:{i:0;s:19:"user_admin_settings";}', '', '31', 5, '1', 'admin/config/people/accounts', 'admin/config/people/accounts', 'Settings', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/user/user.admin.inc'),
('admin/config/people/ip-blocking', '', '', 'user_access', 'a:1:{i:0;s:18:"block IP addresses";}', 'system_ip_blocking', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/people/ip-blocking', 'IP address blocking', 't', '', '', 'a:0:{}', '6', 'Manage blocked IP addresses.', '', '10', 'modules/system/system.admin.inc'),
('admin/config/people/ip-blocking/delete/%', 'a:1:{i:5;s:15:"blocked_ip_load";}', '', 'user_access', 'a:1:{i:0;s:18:"block IP addresses";}', 'drupal_get_form', 'a:2:{i:0;s:25:"system_ip_blocking_delete";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/people/ip-blocking/delete/%', 'Delete IP address', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/system/system.admin.inc'),
('admin/config/regional', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/regional', 'Regional and language', 't', '', '', 'a:0:{}', '6', 'Regional settings, localization and translation.', 'left', '-5', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_date_time_settings";}', '', '15', 4, '0', '', 'admin/config/regional/date-time', 'Date and time', 't', '', '', 'a:0:{}', '6', 'Configure display formats for date and time.', '', '-15', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/date-views', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:19:"date_views_settings";}', '', '31', 5, '1', 'admin/config/regional/date-time', 'admin/config/regional/date-time', 'Date views', 't', '', '', 'a:0:{}', '132', 'Configure settings for date views.', '', '0', ''),
('admin/config/regional/date-time/formats', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_date_time_formats', 'a:0:{}', '', '31', 5, '1', 'admin/config/regional/date-time', 'admin/config/regional/date-time', 'Formats', 't', '', '', 'a:0:{}', '132', 'Configure display format strings for date and time.', '', '-9', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/formats/%/delete', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:30:"system_date_delete_format_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/regional/date-time/formats/%/delete', 'Delete date format', 't', '', '', 'a:0:{}', '6', 'Allow users to delete a configured date format.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/formats/%/edit', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:34:"system_configure_date_formats_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/regional/date-time/formats/%/edit', 'Edit date format', 't', '', '', 'a:0:{}', '6', 'Allow users to edit a configured date format.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/formats/add', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:34:"system_configure_date_formats_form";}', '', '63', 6, '1', 'admin/config/regional/date-time/formats', 'admin/config/regional/date-time', 'Add format', 't', '', '', 'a:0:{}', '388', 'Allow users to add additional date formats.', '', '-10', 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES
('admin/config/regional/date-time/formats/lookup', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_date_time_lookup', 'a:0:{}', '', '63', 6, '0', '', 'admin/config/regional/date-time/formats/lookup', 'Date and time lookup', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/locale', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'locale_date_format_language_overview_page', 'a:0:{}', '', '31', 5, '1', 'admin/config/regional/date-time', 'admin/config/regional/date-time', 'Localize', 't', '', '', 'a:0:{}', '132', 'Configure date formats for each locale', '', '-8', 'modules/locale/locale.admin.inc'),
('admin/config/regional/date-time/locale/%/edit', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:23:"locale_date_format_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/regional/date-time/locale/%/edit', 'Localize date formats', 't', '', '', 'a:0:{}', '6', 'Configure date formats for each locale', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/date-time/locale/%/reset', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:29:"locale_date_format_reset_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/regional/date-time/locale/%/reset', 'Reset date formats', 't', '', '', 'a:0:{}', '6', 'Reset localized date formats to global defaults', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/date-time/types', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_date_time_settings";}', '', '31', 5, '1', 'admin/config/regional/date-time', 'admin/config/regional/date-time', 'Types', 't', '', '', 'a:0:{}', '140', 'Configure display formats for date and time.', '', '-10', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/types/%/delete', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:35:"system_delete_date_format_type_form";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/regional/date-time/types/%/delete', 'Delete date type', 't', '', '', 'a:0:{}', '6', 'Allow users to delete a configured date type.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/regional/date-time/types/add', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:32:"system_add_date_format_type_form";}', '', '63', 6, '1', 'admin/config/regional/date-time/types', 'admin/config/regional/date-time', 'Add date type', 't', '', '', 'a:0:{}', '388', 'Add new date type.', '', '-10', 'modules/system/system.admin.inc'),
('admin/config/regional/language', '', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:1:{i:0;s:30:"locale_languages_overview_form";}', '', '15', 4, '0', '', 'admin/config/regional/language', 'Languages', 't', '', '', 'a:0:{}', '6', 'Configure languages for content and the user interface.', '', '-10', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/add', '', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'locale_languages_add_screen', 'a:0:{}', '', '31', 5, '1', 'admin/config/regional/language', 'admin/config/regional/language', 'Add language', 't', '', '', 'a:0:{}', '388', '', '', '5', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/configure', '', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:1:{i:0;s:31:"locale_languages_configure_form";}', '', '31', 5, '1', 'admin/config/regional/language', 'admin/config/regional/language', 'Detection and selection', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/configure/session', '', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:1:{i:0;s:38:"locale_language_providers_session_form";}', '', '63', 6, '0', '', 'admin/config/regional/language/configure/session', 'Session language detection configuration', 't', '', '', 'a:0:{}', '4', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/configure/url', '', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:1:{i:0;s:34:"locale_language_providers_url_form";}', '', '63', 6, '0', '', 'admin/config/regional/language/configure/url', 'URL language detection configuration', 't', '', '', 'a:0:{}', '4', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/delete/%', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:2:{i:0;s:28:"locale_languages_delete_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/regional/language/delete/%', 'Confirm', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/edit/%', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:2:{i:0;s:26:"locale_languages_edit_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/regional/language/edit/%', 'Edit language', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/language/overview', '', '', 'user_access', 'a:1:{i:0;s:20:"administer languages";}', 'drupal_get_form', 'a:1:{i:0;s:30:"locale_languages_overview_form";}', '', '31', 5, '1', 'admin/config/regional/language', 'admin/config/regional/language', 'List', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/settings', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_regional_settings";}', '', '15', 4, '0', '', 'admin/config/regional/settings', 'Regional settings', 't', '', '', 'a:0:{}', '6', 'Settings for the site''s default time zone and country.', '', '-20', 'modules/system/system.admin.inc'),
('admin/config/regional/translate', '', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'locale_translate_overview_screen', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/regional/translate', 'Translate interface', 't', '', '', 'a:0:{}', '6', 'Translate the built in interface and optionally other text.', '', '-5', 'modules/locale/locale.admin.inc'),
('admin/config/regional/translate/delete/%', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'locale_translate_delete_page', 'a:1:{i:0;i:5;}', '', '62', 6, '0', '', 'admin/config/regional/translate/delete/%', 'Delete string', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/translate/edit/%', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'drupal_get_form', 'a:2:{i:0;s:26:"locale_translate_edit_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/regional/translate/edit/%', 'Edit string', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/translate/export', '', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'locale_translate_export_screen', 'a:0:{}', '', '31', 5, '1', 'admin/config/regional/translate', 'admin/config/regional/translate', 'Export', 't', '', '', 'a:0:{}', '132', '', '', '30', 'modules/locale/locale.admin.inc'),
('admin/config/regional/translate/import', '', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'drupal_get_form', 'a:1:{i:0;s:28:"locale_translate_import_form";}', '', '31', 5, '1', 'admin/config/regional/translate', 'admin/config/regional/translate', 'Import', 't', '', '', 'a:0:{}', '132', '', '', '20', 'modules/locale/locale.admin.inc'),
('admin/config/regional/translate/overview', '', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'locale_translate_overview_screen', 'a:0:{}', '', '31', 5, '1', 'admin/config/regional/translate', 'admin/config/regional/translate', 'Overview', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/locale/locale.admin.inc'),
('admin/config/regional/translate/translate', '', '', 'user_access', 'a:1:{i:0;s:19:"translate interface";}', 'locale_translate_seek_screen', 'a:0:{}', '', '31', 5, '1', 'admin/config/regional/translate', 'admin/config/regional/translate', 'Translate', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/locale/locale.admin.inc'),
('admin/config/search', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/search', 'Search and metadata', 't', '', '', 'a:0:{}', '6', 'Local site search, metadata and SEO.', 'left', '-10', 'modules/system/system.admin.inc'),
('admin/config/search/clean-urls', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_clean_url_settings";}', '', '15', 4, '0', '', 'admin/config/search/clean-urls', 'Clean URLs', 't', '', '', 'a:0:{}', '6', 'Enable or disable clean URLs for your site.', '', '5', 'modules/system/system.admin.inc'),
('admin/config/search/clean-urls/check', '', '', '1', 'a:0:{}', 'drupal_json_output', 'a:1:{i:0;a:1:{s:6:"status";b:1;}}', '', '31', 5, '0', '', 'admin/config/search/clean-urls/check', 'Clean URL check', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/config/search/settings', '', '', 'user_access', 'a:1:{i:0;s:17:"administer search";}', 'drupal_get_form', 'a:1:{i:0;s:21:"search_admin_settings";}', '', '15', 4, '0', '', 'admin/config/search/settings', 'Search settings', 't', '', '', 'a:0:{}', '6', 'Configure relevance settings for search and other indexing options.', '', '-10', 'modules/search/search.admin.inc'),
('admin/config/search/settings/reindex', '', '', 'user_access', 'a:1:{i:0;s:17:"administer search";}', 'drupal_get_form', 'a:1:{i:0;s:22:"search_reindex_confirm";}', '', '31', 5, '0', '', 'admin/config/search/settings/reindex', 'Clear index', 't', '', '', 'a:0:{}', '4', '', '', '0', 'modules/search/search.admin.inc'),
('admin/config/search/voteupdown', '', '', 'user_access', 'a:1:{i:0;s:23:"administer vote up/down";}', 'drupal_get_form', 'a:1:{i:0;s:27:"vud_admin_advanced_settings";}', '', '15', 4, '0', '', 'admin/config/search/voteupdown', 'Vote Up/Down', 't', '', '', 'a:0:{}', '6', 'Control the functioning of Vote Up/Down.', '', '0', ''),
('admin/config/search/voteupdown/advanced', '', '', 'user_access', 'a:1:{i:0;s:23:"administer vote up/down";}', 'drupal_get_form', 'a:1:{i:0;s:27:"vud_admin_advanced_settings";}', '', '31', 5, '1', 'admin/config/search/voteupdown', 'admin/config/search/voteupdown', 'General', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('admin/config/search/votingapi', '', '', 'user_access', 'a:1:{i:0;s:21:"administer voting api";}', 'drupal_get_form', 'a:1:{i:0;s:23:"votingapi_settings_form";}', '', '15', 4, '0', '', 'admin/config/search/votingapi', 'Voting API', 't', '', '', 'a:0:{}', '6', 'Configure sitewide settings for user-generated ratings and votes.', '', '0', 'sites/all/modules/votingapi/votingapi.admin.inc'),
('admin/config/services', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/services', 'Web services', 't', '', '', 'a:0:{}', '6', 'Tools related to web services.', 'right', '0', 'modules/system/system.admin.inc'),
('admin/config/services/aggregator', '', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'aggregator_admin_overview', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/services/aggregator', 'Feed aggregator', 't', '', '', 'a:0:{}', '6', 'Configure which content your site aggregates from other sites, how often it polls them, and how they''re categorized.', '', '10', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/add/category', '', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:1:{i:0;s:24:"aggregator_form_category";}', '', '63', 6, '1', 'admin/config/services/aggregator', 'admin/config/services/aggregator', 'Add category', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/add/feed', '', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:1:{i:0;s:20:"aggregator_form_feed";}', '', '63', 6, '1', 'admin/config/services/aggregator', 'admin/config/services/aggregator', 'Add feed', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/add/opml', '', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:1:{i:0;s:20:"aggregator_form_opml";}', '', '63', 6, '1', 'admin/config/services/aggregator', 'admin/config/services/aggregator', 'Import OPML', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/edit/category/%', 'a:1:{i:6;s:24:"aggregator_category_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:24:"aggregator_form_category";i:1;i:6;}', '', '126', 7, '0', '', 'admin/config/services/aggregator/edit/category/%', 'Edit category', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/edit/feed/%', 'a:1:{i:6;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:20:"aggregator_form_feed";i:1;i:6;}', '', '126', 7, '0', '', 'admin/config/services/aggregator/edit/feed/%', 'Edit feed', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/list', '', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'aggregator_admin_overview', 'a:0:{}', '', '31', 5, '1', 'admin/config/services/aggregator', 'admin/config/services/aggregator', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/remove/%', 'a:1:{i:5;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:28:"aggregator_admin_remove_feed";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/services/aggregator/remove/%', 'Remove items', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/settings', '', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:1:{i:0;s:21:"aggregator_admin_form";}', '', '31', 5, '1', 'admin/config/services/aggregator', 'admin/config/services/aggregator', 'Settings', 't', '', '', 'a:0:{}', '132', 'Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/aggregator/update/%', 'a:1:{i:5;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'aggregator_admin_refresh_feed', 'a:1:{i:0;i:5;}', '', '62', 6, '0', '', 'admin/config/services/aggregator/update/%', 'Update items', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.admin.inc'),
('admin/config/services/instagram_block', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:30:"instagram_block_admin_settings";}', '', '15', 4, '0', '', 'admin/config/services/instagram_block', 'Instagram Block', 't', '', '', 'a:0:{}', '6', 'Configuration page for Instagram Block.', '', '0', 'sites/all/modules/instagram_block/instagram_block.admin.inc'),
('admin/config/services/rss-publishing', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_rss_feeds_settings";}', '', '15', 4, '0', '', 'admin/config/services/rss-publishing', 'RSS publishing', 't', '', '', 'a:0:{}', '6', 'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/system', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/system', 'System', 't', '', '', 'a:0:{}', '6', 'General system related configuration.', 'right', '-20', 'modules/system/system.admin.inc'),
('admin/config/system/actions', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'system_actions_manage', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/system/actions', 'Actions', 't', '', '', 'a:0:{}', '6', 'Manage the actions defined for your site.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/system/actions/configure', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_actions_configure";}', '', '31', 5, '0', '', 'admin/config/system/actions/configure', 'Configure an advanced action', 't', '', '', 'a:0:{}', '4', '', '', '0', 'modules/system/system.admin.inc'),
('admin/config/system/actions/delete/%', 'a:1:{i:5;s:12:"actions_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'drupal_get_form', 'a:2:{i:0;s:26:"system_actions_delete_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/system/actions/delete/%', 'Delete action', 't', '', '', 'a:0:{}', '6', 'Delete an action.', '', '0', 'modules/system/system.admin.inc'),
('admin/config/system/actions/manage', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'system_actions_manage', 'a:0:{}', '', '31', 5, '1', 'admin/config/system/actions', 'admin/config/system/actions', 'Manage actions', 't', '', '', 'a:0:{}', '140', 'Manage the actions defined for your site.', '', '-2', 'modules/system/system.admin.inc'),
('admin/config/system/actions/orphan', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'system_actions_remove_orphans', 'a:0:{}', '', '31', 5, '0', '', 'admin/config/system/actions/orphan', 'Remove orphans', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/config/system/cron', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:20:"system_cron_settings";}', '', '15', 4, '0', '', 'admin/config/system/cron', 'Cron', 't', '', '', 'a:0:{}', '6', 'Manage automatic site maintenance tasks.', '', '20', 'modules/system/system.admin.inc'),
('admin/config/system/entity-view-modes', '', '', 'user_access', 'a:1:{i:0;s:28:"administer entity view modes";}', 'entity_view_mode_list', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/system/entity-view-modes', 'Entity view modes', 't', '', '', 'a:0:{}', '6', 'Create new custom view modes for content.', '', '0', 'sites/all/modules/entity_view_mode/entity_view_mode.admin.inc'),
('admin/config/system/entity-view-modes/add/%', 'a:1:{i:5;N;}', '', 'user_access', 'a:1:{i:0;s:28:"administer entity view modes";}', 'drupal_get_form', 'a:2:{i:0;s:26:"entity_view_mode_edit_form";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/system/entity-view-modes/add/%', 'Add view mode', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/entity_view_mode/entity_view_mode.admin.inc'),
('admin/config/system/entity-view-modes/delete/%/%', 'a:2:{i:5;N;i:6;N;}', '', 'user_access', 'a:1:{i:0;s:28:"administer entity view modes";}', 'drupal_get_form', 'a:3:{i:0;s:28:"entity_view_mode_delete_form";i:1;i:5;i:2;i:6;}', '', '124', 7, '0', '', 'admin/config/system/entity-view-modes/delete/%/%', 'Edit view mode', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/entity_view_mode/entity_view_mode.admin.inc'),
('admin/config/system/entity-view-modes/edit/%/%', 'a:2:{i:5;N;i:6;N;}', '', 'user_access', 'a:1:{i:0;s:28:"administer entity view modes";}', 'drupal_get_form', 'a:3:{i:0;s:26:"entity_view_mode_edit_form";i:1;i:5;i:2;i:6;}', '', '124', 7, '0', '', 'admin/config/system/entity-view-modes/edit/%/%', 'Edit view mode', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/entity_view_mode/entity_view_mode.admin.inc'),
('admin/config/system/site-information', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:32:"system_site_information_settings";}', '', '15', 4, '0', '', 'admin/config/system/site-information', 'Site information', 't', '', '', 'a:0:{}', '6', 'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.', '', '-20', 'modules/system/system.admin.inc'),
('admin/config/system/statistics', '', '', 'user_access', 'a:1:{i:0;s:21:"administer statistics";}', 'drupal_get_form', 'a:1:{i:0;s:24:"statistics_settings_form";}', '', '15', 4, '0', '', 'admin/config/system/statistics', 'Statistics', 't', '', '', 'a:0:{}', '6', 'Control details about what and how your site logs access statistics.', '', '-15', 'modules/statistics/statistics.admin.inc'),
('admin/config/user-interface', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/user-interface', 'User interface', 't', '', '', 'a:0:{}', '6', 'Tools that enhance the user interface.', 'right', '-15', 'modules/system/system.admin.inc'),
('admin/config/user-interface/addthis', '', '', 'user_access', 'a:1:{i:0;s:18:"administer addthis";}', 'drupal_get_form', 'a:1:{i:0;s:27:"addthis_admin_settings_form";}', '', '15', 4, '0', '', 'admin/config/user-interface/addthis', 'AddThis', 't', '', '', 'a:0:{}', '6', 'Configure AddThis settings.', '', '0', 'sites/all/modules/addthis/includes/addthis.admin.inc'),
('admin/config/user-interface/addthis/advanced', '', '', 'user_access', 'a:1:{i:0;s:18:"administer addthis";}', 'drupal_get_form', 'a:1:{i:0;s:36:"addthis_admin_settings_advanced_form";}', '', '31', 5, '1', 'admin/config/user-interface/addthis', 'admin/config/user-interface/addthis', 'Advanced settings', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/addthis/includes/addthis.admin.inc'),
('admin/config/user-interface/addthis/basic', '', '', 'user_access', 'a:1:{i:0;s:18:"administer addthis";}', 'drupal_get_form', 'a:1:{i:0;s:27:"addthis_admin_settings_form";}', '', '31', 5, '1', 'admin/config/user-interface/addthis', 'admin/config/user-interface/addthis', 'Basic settings', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/addthis/includes/addthis.admin.inc'),
('admin/config/user-interface/dismiss', '', '', 'user_access', 'a:1:{i:0;s:18:"administer dismiss";}', 'drupal_get_form', 'a:1:{i:0;s:13:"dismiss_admin";}', '', '15', 4, '0', '', 'admin/config/user-interface/dismiss', 'Dismiss', 't', '', '', 'a:0:{}', '6', 'Administrative settings for Dismiss module.', '', '0', 'sites/all/modules/dismiss/dismiss.admin.inc'),
('admin/config/user-interface/isotope', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"list";}', '', '15', 4, '0', '', 'admin/config/user-interface/isotope', 'Isotope Configurations', 't', '', '', 'a:0:{}', '6', 'Administer Isotope configurations.', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/add', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:3:"add";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:3:"add";}', '', '31', 5, '1', 'admin/config/user-interface/isotope', 'admin/config/user-interface/isotope', 'Add', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/import', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"import";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"import";}', '', '31', 5, '1', 'admin/config/user-interface/isotope', 'admin/config/user-interface/isotope', 'Import', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"list";}', '', '31', 5, '1', 'admin/config/user-interface/isotope', 'admin/config/user-interface/isotope', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', '', '62', 6, '0', '', 'admin/config/user-interface/isotope/list/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/clone', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:5:"clone";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:5:"clone";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/user-interface/isotope/list/%/clone', 'Clone', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/delete', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"delete";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"delete";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/user-interface/isotope/list/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/disable', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:7:"disable";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:7:"disable";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/user-interface/isotope/list/%/disable', 'Disable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/edit', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:4:"edit";i:2;i:5;}', '', '125', 7, '1', 'admin/config/user-interface/isotope/list/%', 'admin/config/user-interface/isotope/list/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/enable', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"enable";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"enable";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/user-interface/isotope/list/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/export', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"export";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"export";i:2;i:5;}', '', '125', 7, '1', 'admin/config/user-interface/isotope/list/%', 'admin/config/user-interface/isotope/list/%', 'Export', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/isotope/list/%/revert', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:30:"views_isotope_ctools_export_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"revert";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:30:"views_isotope_ctools_export_ui";i:1;s:6:"delete";i:2;i:5;}', '', '125', 7, '0', '', 'admin/config/user-interface/isotope/list/%/revert', 'Revert', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/config/user-interface/modulefilter', '', '', 'user_access', 'a:1:{i:0;s:24:"administer module filter";}', 'drupal_get_form', 'a:1:{i:0;s:22:"module_filter_settings";}', '', '15', 4, '0', '', 'admin/config/user-interface/modulefilter', 'Module filter', 't', '', '', 'a:0:{}', '6', 'Configure how the modules page looks and acts.', '', '0', 'sites/all/modules/module_filter/module_filter.admin.inc'),
('admin/config/user-interface/shortcut', '', '', 'user_access', 'a:1:{i:0;s:20:"administer shortcuts";}', 'shortcut_set_admin', 'a:0:{}', '', '15', 4, '0', '', 'admin/config/user-interface/shortcut', 'Shortcuts', 't', '', '', 'a:0:{}', '6', 'Add and modify shortcut sets.', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/%', 'a:1:{i:4;s:17:"shortcut_set_load";}', '', 'shortcut_set_edit_access', 'a:1:{i:0;i:4;}', 'drupal_get_form', 'a:2:{i:0;s:22:"shortcut_set_customize";i:1;i:4;}', '', '30', 5, '0', '', 'admin/config/user-interface/shortcut/%', 'Edit shortcuts', 'shortcut_set_title_callback', 'a:1:{i:0;i:4;}', '', 'a:0:{}', '6', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/%/add-link', 'a:1:{i:4;s:17:"shortcut_set_load";}', '', 'shortcut_set_edit_access', 'a:1:{i:0;i:4;}', 'drupal_get_form', 'a:2:{i:0;s:17:"shortcut_link_add";i:1;i:4;}', '', '61', 6, '1', 'admin/config/user-interface/shortcut/%', 'admin/config/user-interface/shortcut/%', 'Add shortcut', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/%/add-link-inline', 'a:1:{i:4;s:17:"shortcut_set_load";}', '', 'shortcut_set_edit_access', 'a:1:{i:0;i:4;}', 'shortcut_link_add_inline', 'a:1:{i:0;i:4;}', '', '61', 6, '0', '', 'admin/config/user-interface/shortcut/%/add-link-inline', 'Add shortcut', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/%/delete', 'a:1:{i:4;s:17:"shortcut_set_load";}', '', 'shortcut_set_delete_access', 'a:1:{i:0;i:4;}', 'drupal_get_form', 'a:2:{i:0;s:24:"shortcut_set_delete_form";i:1;i:4;}', '', '61', 6, '0', '', 'admin/config/user-interface/shortcut/%/delete', 'Delete shortcut set', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/%/edit', 'a:1:{i:4;s:17:"shortcut_set_load";}', '', 'shortcut_set_edit_access', 'a:1:{i:0;i:4;}', 'drupal_get_form', 'a:2:{i:0;s:22:"shortcut_set_edit_form";i:1;i:4;}', '', '61', 6, '1', 'admin/config/user-interface/shortcut/%', 'admin/config/user-interface/shortcut/%', 'Edit set name', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/%/links', 'a:1:{i:4;s:17:"shortcut_set_load";}', '', 'shortcut_set_edit_access', 'a:1:{i:0;i:4;}', 'drupal_get_form', 'a:2:{i:0;s:22:"shortcut_set_customize";i:1;i:4;}', '', '61', 6, '1', 'admin/config/user-interface/shortcut/%', 'admin/config/user-interface/shortcut/%', 'List links', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/add-set', '', '', 'user_access', 'a:1:{i:0;s:20:"administer shortcuts";}', 'drupal_get_form', 'a:1:{i:0;s:21:"shortcut_set_add_form";}', '', '31', 5, '1', 'admin/config/user-interface/shortcut', 'admin/config/user-interface/shortcut', 'Add shortcut set', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/link/%', 'a:1:{i:5;s:14:"menu_link_load";}', '', 'shortcut_link_access', 'a:1:{i:0;i:5;}', 'drupal_get_form', 'a:2:{i:0;s:18:"shortcut_link_edit";i:1;i:5;}', '', '62', 6, '0', '', 'admin/config/user-interface/shortcut/link/%', 'Edit shortcut', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/user-interface/shortcut/link/%/delete', 'a:1:{i:5;s:14:"menu_link_load";}', '', 'shortcut_link_access', 'a:1:{i:0;i:5;}', 'drupal_get_form', 'a:2:{i:0;s:20:"shortcut_link_delete";i:1;i:5;}', '', '125', 7, '0', '', 'admin/config/user-interface/shortcut/link/%/delete', 'Delete shortcut', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('admin/config/workflow', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/config/workflow', 'Workflow', 't', '', '', 'a:0:{}', '6', 'Content workflow, editorial workflow tools.', 'right', '5', 'modules/system/system.admin.inc'),
('admin/config/workflow/rules', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:29:"rules_admin_reaction_overview";i:1;s:36:"admin/config/workflow/rules/reaction";}', '', '15', 4, '0', '', 'admin/config/workflow/rules', 'Rules', 't', '', '', 'a:0:{}', '6', 'Manage reaction rules and rule components.', 'right', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/autocomplete_tags', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'rules_autocomplete_tags', 'a:1:{i:0;i:5;}', '', '31', 5, '0', '', 'admin/config/workflow/rules/autocomplete_tags', 'Rules tags autocomplete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:31:"rules_admin_components_overview";i:1;s:38:"admin/config/workflow/rules/components";}', '', '31', 5, '1', 'admin/config/workflow/rules', 'admin/config/workflow/rules', 'Components', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/components/add', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:25:"rules_admin_add_component";i:1;s:38:"admin/config/workflow/rules/components";}', '', '63', 6, '1', 'admin/config/workflow/rules/components', 'admin/config/workflow/rules', 'Add new component', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/components/import', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:20:"rules_ui_import_form";i:1;s:38:"admin/config/workflow/rules/components";}', '', '63', 6, '1', 'admin/config/workflow/rules/components', 'admin/config/workflow/rules', 'Import component', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:31:"rules_ui_form_edit_rules_config";i:1;i:6;i:2;s:38:"admin/config/workflow/rules/components";}', '', '126', 7, '0', '', 'admin/config/workflow/rules/components/manage/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/%', 'a:2:{i:6;s:17:"rules_config_load";i:7;N;}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:37:"rules_ui_form_rules_config_confirm_op";i:1;i:6;i:2;i:7;i:3;s:38:"admin/config/workflow/rules/components";}', '', '252', 8, '0', '', 'admin/config/workflow/rules/components/manage/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/add/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:5:{i:0;s:20:"rules_ui_add_element";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:38:"admin/config/workflow/rules/components";}', '', '506', 9, '0', '', 'admin/config/workflow/rules/components/manage/%/add/%', '', 'rules_menu_add_element_title', 'a:1:{i:0;a:1:{i:0;i:9;}}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/add/event', 'a:1:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:23:"rules_ui_add_event_page";i:1;i:6;i:2;s:38:"admin/config/workflow/rules/components";}', '', '507', 9, '0', '', 'admin/config/workflow/rules/components/manage/%/add/event', '', 'rules_get_title', 'a:2:{i:0;s:32:"Adding event to !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/autocomplete', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'rules_ui_form_data_selection_auto_completion', 'a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}', '', '253', 8, '0', '', 'admin/config/workflow/rules/components/manage/%/autocomplete', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/clone', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:32:"rules_ui_form_clone_rules_config";i:1;i:6;i:2;s:38:"admin/config/workflow/rules/components";}', '', '253', 8, '0', '', 'admin/config/workflow/rules/components/manage/%/clone', '', 'rules_get_title', 'a:2:{i:0;s:24:"Cloning !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/delete/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:23:"rules_ui_delete_element";i:1;i:6;i:2;i:8;i:3;s:38:"admin/config/workflow/rules/components";}', '', '506', 9, '0', '', 'admin/config/workflow/rules/components/manage/%/delete/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/delete/event', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_remove_event";i:1;i:6;i:2;i:9;i:3;s:38:"admin/config/workflow/rules/components";}', '', '507', 9, '0', '', 'admin/config/workflow/rules/components/manage/%/delete/event', 'Remove event', 't', '', '', 'a:0:{}', '6', 'Remove an event from a reaction rule.', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/edit/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_edit_element";i:1;i:6;i:2;i:8;i:3;s:38:"admin/config/workflow/rules/components";}', '', '506', 9, '0', '', 'admin/config/workflow/rules/components/manage/%/edit/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/execute', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:34:"rules_ui_form_execute_rules_config";i:1;i:6;i:2;s:38:"admin/config/workflow/rules/components";}', '', '253', 8, '0', '', 'admin/config/workflow/rules/components/manage/%/execute', '', 'rules_get_title', 'a:2:{i:0;s:26:"Executing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/components/manage/%/export', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:4:"view";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:33:"rules_ui_form_export_rules_config";i:1;i:6;i:2;s:38:"admin/config/workflow/rules/components";}', '', '253', 8, '0', '', 'admin/config/workflow/rules/components/manage/%/export', '', 'rules_get_title', 'a:2:{i:0;s:26:"Export of !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:29:"rules_admin_reaction_overview";i:1;s:36:"admin/config/workflow/rules/reaction";}', '', '31', 5, '1', 'admin/config/workflow/rules', 'admin/config/workflow/rules', 'Rules', 't', '', '', 'a:0:{}', '140', '', '', '-1', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/reaction/add', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:29:"rules_admin_add_reaction_rule";i:1;s:36:"admin/config/workflow/rules/reaction";}', '', '63', 6, '1', 'admin/config/workflow/rules/reaction', 'admin/config/workflow/rules', 'Add new rule', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/reaction/import', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:2:{i:0;s:20:"rules_ui_import_form";i:1;s:36:"admin/config/workflow/rules/reaction";}', '', '63', 6, '1', 'admin/config/workflow/rules/reaction', 'admin/config/workflow/rules', 'Import rule', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:31:"rules_ui_form_edit_rules_config";i:1;i:6;i:2;s:36:"admin/config/workflow/rules/reaction";}', '', '126', 7, '0', '', 'admin/config/workflow/rules/reaction/manage/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/%', 'a:2:{i:6;s:17:"rules_config_load";i:7;N;}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:37:"rules_ui_form_rules_config_confirm_op";i:1;i:6;i:2;i:7;i:3;s:36:"admin/config/workflow/rules/reaction";}', '', '252', 8, '0', '', 'admin/config/workflow/rules/reaction/manage/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/add/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:5:{i:0;s:20:"rules_ui_add_element";i:1;i:6;i:2;i:9;i:3;i:8;i:4;s:36:"admin/config/workflow/rules/reaction";}', '', '506', 9, '0', '', 'admin/config/workflow/rules/reaction/manage/%/add/%', '', 'rules_menu_add_element_title', 'a:1:{i:0;a:1:{i:0;i:9;}}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/add/event', 'a:1:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:23:"rules_ui_add_event_page";i:1;i:6;i:2;s:36:"admin/config/workflow/rules/reaction";}', '', '507', 9, '0', '', 'admin/config/workflow/rules/reaction/manage/%/add/event', '', 'rules_get_title', 'a:2:{i:0;s:32:"Adding event to !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/autocomplete', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'rules_ui_form_data_selection_auto_completion', 'a:3:{i:0;i:8;i:1;i:9;i:2;i:10;}', '', '253', 8, '0', '', 'admin/config/workflow/rules/reaction/manage/%/autocomplete', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/clone', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:32:"rules_ui_form_clone_rules_config";i:1;i:6;i:2;s:36:"admin/config/workflow/rules/reaction";}', '', '253', 8, '0', '', 'admin/config/workflow/rules/reaction/manage/%/clone', '', 'rules_get_title', 'a:2:{i:0;s:24:"Cloning !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/delete/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:23:"rules_ui_delete_element";i:1;i:6;i:2;i:8;i:3;s:36:"admin/config/workflow/rules/reaction";}', '', '506', 9, '0', '', 'admin/config/workflow/rules/reaction/manage/%/delete/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/delete/event', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_remove_event";i:1;i:6;i:2;i:9;i:3;s:36:"admin/config/workflow/rules/reaction";}', '', '507', 9, '0', '', 'admin/config/workflow/rules/reaction/manage/%/delete/event', 'Remove event', 't', '', '', 'a:0:{}', '6', 'Remove an event from a reaction rule.', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/edit/%', 'a:2:{i:6;a:1:{s:17:"rules_config_load";a:1:{i:0;i:6;}}i:8;a:1:{s:18:"rules_element_load";a:1:{i:0;i:6;}}}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:4:{i:0;s:21:"rules_ui_edit_element";i:1;i:6;i:2;i:8;i:3;s:36:"admin/config/workflow/rules/reaction";}', '', '506', 9, '0', '', 'admin/config/workflow/rules/reaction/manage/%/edit/%', '', 'rules_get_title', 'a:2:{i:0;s:24:"Editing !plugin "!label"";i:1;i:8;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/execute', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:6:"update";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:34:"rules_ui_form_execute_rules_config";i:1;i:6;i:2;s:36:"admin/config/workflow/rules/reaction";}', '', '253', 8, '0', '', 'admin/config/workflow/rules/reaction/manage/%/execute', '', 'rules_get_title', 'a:2:{i:0;s:26:"Executing !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/reaction/manage/%/export', 'a:1:{i:6;s:17:"rules_config_load";}', '', 'rules_config_access', 'a:2:{i:0;s:4:"view";i:1;i:6;}', 'drupal_get_form', 'a:3:{i:0;s:33:"rules_ui_form_export_rules_config";i:1;i:6;i:2;s:36:"admin/config/workflow/rules/reaction";}', '', '253', 8, '0', '', 'admin/config/workflow/rules/reaction/manage/%/export', '', 'rules_get_title', 'a:2:{i:0;s:26:"Export of !plugin "!label"";i:1;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/rules/ui/ui.forms.inc'),
('admin/config/workflow/rules/settings', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:1:{i:0;s:20:"rules_admin_settings";}', '', '31', 5, '1', 'admin/config/workflow/rules', 'admin/config/workflow/rules', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/settings/advanced', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:1:{i:0;s:29:"rules_admin_settings_advanced";}', '', '63', 6, '1', 'admin/config/workflow/rules/settings', 'admin/config/workflow/rules', 'Advanced', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/settings/basic', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:1:{i:0;s:20:"rules_admin_settings";}', '', '63', 6, '1', 'admin/config/workflow/rules/settings', 'admin/config/workflow/rules', 'Basic', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/rules/rules_admin/rules_admin.inc'),
('admin/config/workflow/rules/upgrade', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:1:{i:0;s:18:"rules_upgrade_form";}', '', '31', 5, '0', '', 'admin/config/workflow/rules/upgrade', 'Upgrade', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/includes/rules.upgrade.inc');
INSERT INTO `menu_router` VALUES
('admin/config/workflow/rules/upgrade/clear', '', '', 'user_access', 'a:1:{i:0;s:16:"administer rules";}', 'drupal_get_form', 'a:1:{i:0;s:32:"rules_upgrade_confirm_clear_form";}', '', '63', 6, '0', '', 'admin/config/workflow/rules/upgrade/clear', 'Clear', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/rules/includes/rules.upgrade.inc'),
('admin/content', '', '', 'user_access', 'a:1:{i:0;s:23:"access content overview";}', 'drupal_get_form', 'a:1:{i:0;s:18:"node_admin_content";}', '', '3', 2, '0', '', 'admin/content', 'Content', 't', '', '', 'a:0:{}', '6', 'Administer content and comments.', '', '-10', 'modules/node/node.admin.inc'),
('admin/content/comment', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_admin', 'a:0:{}', '', '7', 3, '1', 'admin/content', 'admin/content', 'Comments', 't', '', '', 'a:0:{}', '134', 'List and edit site comments and the comment approval queue.', '', '0', 'modules/comment/comment.admin.inc'),
('admin/content/comment/approval', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_admin', 'a:1:{i:0;s:8:"approval";}', '', '15', 4, '1', 'admin/content/comment', 'admin/content', 'Unapproved comments', 'comment_count_unpublished', '', '', 'a:0:{}', '132', '', '', '0', 'modules/comment/comment.admin.inc'),
('admin/content/comment/new', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_admin', 'a:0:{}', '', '15', 4, '1', 'admin/content/comment', 'admin/content', 'Published comments', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/comment/comment.admin.inc'),
('admin/content/media', '', '', 'user_access', 'a:1:{i:0;s:16:"administer media";}', 'drupal_get_form', 'a:1:{i:0;s:11:"media_admin";}', '', '7', 3, '1', 'admin/content', 'admin/content', 'Media', 't', '', '', 'a:0:{}', '134', 'Manage files used on your site.', '', '0', 'sites/all/modules/media/includes/media.admin.inc'),
('admin/content/media/import', '', '', 'user_access', 'a:1:{i:0;s:12:"import media";}', 'drupal_get_form', 'a:1:{i:0;s:12:"media_import";}', '', '15', 4, '1', 'admin/content/media', 'admin/content', 'Import media', 't', '', '', 'a:0:{}', '388', 'Import files into your media library.', '', '0', 'sites/all/modules/media/includes/media.admin.inc'),
('admin/content/node', '', '', 'user_access', 'a:1:{i:0;s:23:"access content overview";}', 'drupal_get_form', 'a:1:{i:0;s:18:"node_admin_content";}', '', '7', 3, '1', 'admin/content', 'admin/content', 'Content', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/node/node.admin.inc'),
('admin/content/webform', '', '', 'user_access', 'a:1:{i:0;s:26:"access all webform results";}', 'webform_admin_content', 'a:0:{}', '', '7', 3, '1', 'admin/content', 'admin/content', 'Webforms', 't', '', '', 'a:0:{}', '132', 'View and edit all the available webforms on your site.', '', '0', 'sites/all/modules/webform/includes/webform.admin.inc'),
('admin/index', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_index', 'a:0:{}', '', '3', 2, '1', 'admin', 'admin', 'Index', 't', '', '', 'a:0:{}', '132', '', '', '-18', 'modules/system/system.admin.inc'),
('admin/modules', '', '', 'user_access', 'a:1:{i:0;s:18:"administer modules";}', 'drupal_get_form', 'a:1:{i:0;s:14:"system_modules";}', '', '3', 2, '0', '', 'admin/modules', 'Modules', 't', '', '', 'a:0:{}', '6', 'Extend site functionality.', '', '-2', 'modules/system/system.admin.inc'),
('admin/modules/install', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:2:{i:0;s:27:"update_manager_install_form";i:1;s:6:"module";}', '', '7', 3, '1', 'admin/modules', 'admin/modules', 'Install new module', 't', '', '', 'a:0:{}', '388', '', '', '25', 'modules/update/update.manager.inc'),
('admin/modules/list', '', '', 'user_access', 'a:1:{i:0;s:18:"administer modules";}', 'drupal_get_form', 'a:1:{i:0;s:14:"system_modules";}', '', '7', 3, '1', 'admin/modules', 'admin/modules', 'List', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/system/system.admin.inc'),
('admin/modules/list/confirm', '', '', 'user_access', 'a:1:{i:0;s:18:"administer modules";}', 'drupal_get_form', 'a:1:{i:0;s:14:"system_modules";}', '', '15', 4, '0', '', 'admin/modules/list/confirm', 'List', 't', '', '', 'a:0:{}', '4', '', '', '0', 'modules/system/system.admin.inc'),
('admin/modules/uninstall', '', '', 'user_access', 'a:1:{i:0;s:18:"administer modules";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_modules_uninstall";}', '', '7', 3, '1', 'admin/modules', 'admin/modules', 'Uninstall', 't', '', '', 'a:0:{}', '132', '', '', '20', 'modules/system/system.admin.inc'),
('admin/modules/uninstall/confirm', '', '', 'user_access', 'a:1:{i:0;s:18:"administer modules";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_modules_uninstall";}', '', '15', 4, '0', '', 'admin/modules/uninstall/confirm', 'Uninstall', 't', '', '', 'a:0:{}', '4', '', '', '0', 'modules/system/system.admin.inc'),
('admin/modules/update', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:2:{i:0;s:26:"update_manager_update_form";i:1;s:6:"module";}', '', '7', 3, '1', 'admin/modules', 'admin/modules', 'Update', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/update/update.manager.inc'),
('admin/people', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'user_admin', 'a:1:{i:0;s:4:"list";}', '', '3', 2, '0', '', 'admin/people', 'People', 't', '', '', 'a:0:{}', '6', 'Manage user accounts, roles, and permissions.', 'left', '-4', 'modules/user/user.admin.inc'),
('admin/people/create', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'user_admin', 'a:1:{i:0;s:6:"create";}', '', '7', 3, '1', 'admin/people', 'admin/people', 'Add user', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/user/user.admin.inc'),
('admin/people/people', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'user_admin', 'a:1:{i:0;s:4:"list";}', '', '7', 3, '1', 'admin/people', 'admin/people', 'List', 't', '', '', 'a:0:{}', '140', 'Find and manage people interacting with your site.', '', '-10', 'modules/user/user.admin.inc'),
('admin/people/permissions', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:22:"user_admin_permissions";}', '', '7', 3, '1', 'admin/people', 'admin/people', 'Permissions', 't', '', '', 'a:0:{}', '132', 'Determine access to features by selecting permissions for roles.', '', '0', 'modules/user/user.admin.inc'),
('admin/people/permissions/list', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:22:"user_admin_permissions";}', '', '15', 4, '1', 'admin/people/permissions', 'admin/people', 'Permissions', 't', '', '', 'a:0:{}', '140', 'Determine access to features by selecting permissions for roles.', '', '-8', 'modules/user/user.admin.inc'),
('admin/people/permissions/roles', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:16:"user_admin_roles";}', '', '15', 4, '1', 'admin/people/permissions', 'admin/people', 'Roles', 't', '', '', 'a:0:{}', '132', 'List, edit, or add user roles.', '', '-5', 'modules/user/user.admin.inc'),
('admin/people/permissions/roles/delete/%', 'a:1:{i:5;s:14:"user_role_load";}', '', 'user_role_edit_access', 'a:1:{i:0;i:5;}', 'drupal_get_form', 'a:2:{i:0;s:30:"user_admin_role_delete_confirm";i:1;i:5;}', '', '62', 6, '0', '', 'admin/people/permissions/roles/delete/%', 'Delete role', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/user/user.admin.inc'),
('admin/people/permissions/roles/edit/%', 'a:1:{i:5;s:14:"user_role_load";}', '', 'user_role_edit_access', 'a:1:{i:0;i:5;}', 'drupal_get_form', 'a:2:{i:0;s:15:"user_admin_role";i:1;i:5;}', '', '62', 6, '0', '', 'admin/people/permissions/roles/edit/%', 'Edit role', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/user/user.admin.inc'),
('admin/reports', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'system_admin_menu_block_page', 'a:0:{}', '', '3', 2, '0', '', 'admin/reports', 'Reports', 't', '', '', 'a:0:{}', '6', 'View reports, updates, and errors.', 'left', '5', 'modules/system/system.admin.inc'),
('admin/reports/access/%', 'a:1:{i:3;N;}', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_access_log', 'a:1:{i:0;i:3;}', '', '14', 4, '0', '', 'admin/reports/access/%', 'Details', 't', '', '', 'a:0:{}', '6', 'View access log.', '', '0', 'modules/statistics/statistics.admin.inc'),
('admin/reports/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'field_ui_fields_list', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/fields', 'Field list', 't', '', '', 'a:0:{}', '6', 'Overview of fields on all entity types.', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/reports/fields/list', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'field_ui_fields_list', 'a:0:{}', '', '15', 4, '1', 'admin/reports/fields', 'admin/reports/fields', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/reports/fields/views-fields', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_field_list', 'a:0:{}', '', '15', 4, '1', 'admin/reports/fields', 'admin/reports/fields', 'Used in views', 't', '', '', 'a:0:{}', '132', 'Overview of fields used in all views.', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/reports/hits', '', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_recent_hits', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/hits', 'Recent hits', 't', '', '', 'a:0:{}', '6', 'View pages that have recently been visited.', '', '0', 'modules/statistics/statistics.admin.inc'),
('admin/reports/libraries', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'drupal_get_form', 'a:1:{i:0;s:24:"libraries_admin_overview";}', '', '7', 3, '0', '', 'admin/reports/libraries', 'Libraries', 't', '', '', 'a:0:{}', '6', 'An overview of libraries installed on this site.', '', '0', 'sites/all/modules/libraries/libraries.admin.inc'),
('admin/reports/libraries/%', 'a:1:{i:3;s:17:"libraries_ui_load";}', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'drupal_get_form', 'a:2:{i:0;s:35:"libraries_admin_library_status_form";i:1;i:3;}', '', '14', 4, '0', '', 'admin/reports/libraries/%', 'Library status report', 't', '', '', 'a:0:{}', '6', 'Status overview for a single library', '', '0', 'sites/all/modules/libraries/libraries.admin.inc'),
('admin/reports/pages', '', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_top_pages', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/pages', 'Top pages', 't', '', '', 'a:0:{}', '6', 'View pages that have been hit frequently.', '', '1', 'modules/statistics/statistics.admin.inc'),
('admin/reports/referrers', '', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_top_referrers', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/referrers', 'Top referrers', 't', '', '', 'a:0:{}', '6', 'View top referrers.', '', '0', 'modules/statistics/statistics.admin.inc'),
('admin/reports/status', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_status', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/status', 'Status report', 't', '', '', 'a:0:{}', '6', 'Get a status report about your site''s operation and any detected problems.', '', '-60', 'modules/system/system.admin.inc'),
('admin/reports/status/php', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_php', 'a:0:{}', '', '15', 4, '0', '', 'admin/reports/status/php', 'PHP', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/reports/status/rebuild', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'drupal_get_form', 'a:1:{i:0;s:30:"node_configure_rebuild_confirm";}', '', '15', 4, '0', '', 'admin/reports/status/rebuild', 'Rebuild permissions', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/node/node.admin.inc'),
('admin/reports/status/run-cron', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_run_cron', 'a:0:{}', '', '15', 4, '0', '', 'admin/reports/status/run-cron', 'Run cron', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('admin/reports/updates', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'module_filter_update_status', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/updates', 'Available updates', 't', '', '', 'a:0:{}', '6', 'Get a status report about available updates for your installed modules and themes.', '', '-50', 'sites/all/modules/module_filter/module_filter.pages.inc'),
('admin/reports/updates/check', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'update_manual_status', 'a:0:{}', '', '15', 4, '0', '', 'admin/reports/updates/check', 'Manual update check', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/update/update.fetch.inc'),
('admin/reports/updates/install', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:2:{i:0;s:27:"update_manager_install_form";i:1;s:6:"report";}', '', '15', 4, '1', 'admin/reports/updates', 'admin/reports/updates', 'Install new module or theme', 't', '', '', 'a:0:{}', '388', '', '', '25', 'modules/update/update.manager.inc'),
('admin/reports/updates/list', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'module_filter_update_status', 'a:0:{}', '', '15', 4, '1', 'admin/reports/updates', 'admin/reports/updates', 'List', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/module_filter/module_filter.pages.inc'),
('admin/reports/updates/settings', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:15:"update_settings";}', '', '15', 4, '1', 'admin/reports/updates', 'admin/reports/updates', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '50', 'modules/update/update.settings.inc'),
('admin/reports/updates/update', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:2:{i:0;s:26:"update_manager_update_form";i:1;s:6:"report";}', '', '15', 4, '1', 'admin/reports/updates', 'admin/reports/updates', 'Update', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/update/update.manager.inc'),
('admin/reports/views-plugins', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_plugin_list', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/views-plugins', 'Views plugins', 't', '', '', 'a:0:{}', '6', 'Overview of plugins used in all views.', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/reports/visitors', '', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_top_visitors', 'a:0:{}', '', '7', 3, '0', '', 'admin/reports/visitors', 'Top visitors', 't', '', '', 'a:0:{}', '6', 'View visitors that hit many pages.', '', '2', 'modules/statistics/statistics.admin.inc'),
('admin/structure', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '3', 2, '0', '', 'admin/structure', 'Structure', 't', '', '', 'a:0:{}', '6', 'Administer blocks, content types, menus, etc.', 'right', '-8', 'modules/system/system.admin.inc'),
('admin/structure/block', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'block_admin_display', 'a:1:{i:0;s:6:"gatsby";}', '', '7', 3, '0', '', 'admin/structure/block', 'Blocks', 't', '', '', 'a:0:{}', '6', 'Configure what block content appears in your site''s sidebars and other regions.', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/add', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:20:"block_add_block_form";}', '', '15', 4, '1', 'admin/structure/block', 'admin/structure/block', 'Add block', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/demo/bartik', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:17:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_demo', 'a:1:{i:0;s:6:"bartik";}', '', '31', 5, '0', '', 'admin/structure/block/demo/bartik', 'Bartik', 't', '', '_block_custom_theme', 'a:1:{i:0;s:6:"bartik";}', '0', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/demo/garland', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_demo', 'a:1:{i:0;s:7:"garland";}', '', '31', 5, '0', '', 'admin/structure/block/demo/garland', 'Garland', 't', '', '_block_custom_theme', 'a:1:{i:0;s:7:"garland";}', '0', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/demo/gatsby', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:35:"sites/all/themes/gatsby/gatsby.info";s:4:"name";s:6:"gatsby";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:6:"Gatsby";s:11:"description";s:29:"This template is made by K.T.";s:10:"screenshot";s:38:"sites/all/themes/gatsby/screenshot.png";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:7:"regions";a:71:{s:8:"page_top";s:8:"Page top";s:4:"menu";s:19:"Header type 1: Menu";s:6:"menu_2";s:19:"Header type 2: Menu";s:14:"header_right_2";s:27:"Header type 2: Header right";s:6:"menu_3";s:19:"Header type 3: Menu";s:14:"header_right_3";s:27:"Header type 3: Header right";s:13:"header_left_4";s:26:"Header type 4: Header left";s:14:"header_right_4";s:27:"Header type 4: Header right";s:6:"menu_4";s:19:"Header type 4: Menu";s:10:"header_top";s:25:"Header type 5: Header top";s:14:"header_right_5";s:27:"Header type 5: Header right";s:6:"menu_5";s:19:"Header type 5: Menu";s:6:"menu_6";s:19:"Header type 6: Menu";s:13:"header_left_7";s:26:"Header type 7: Header left";s:14:"header_right_7";s:27:"Header type 7: Header right";s:6:"menu_7";s:19:"Header type 7: Menu";s:16:"header_section_1";s:16:"Header section 1";s:16:"header_section_2";s:16:"Header section 2";s:16:"header_section_3";s:16:"Header section 3";s:16:"header_section_4";s:16:"Header section 4";s:11:"content_top";s:11:"Content top";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:13:"sidebar_first";s:12:"Sidebar left";s:7:"content";s:7:"Content";s:11:"node_bottom";s:11:"Node bottom";s:14:"sidebar_second";s:13:"Sidebar right";s:17:"content_section_1";s:17:"Content section 1";s:17:"content_section_2";s:17:"Content section 2";s:17:"content_section_3";s:17:"Content section 3";s:17:"content_section_4";s:17:"Content section 4";s:17:"content_section_5";s:17:"Content section 5";s:17:"content_section_6";s:17:"Content section 6";s:17:"content_section_7";s:17:"Content section 7";s:17:"content_section_8";s:17:"Content section 8";s:17:"content_section_9";s:17:"Content section 9";s:18:"content_section_10";s:18:"Content section 10";s:18:"content_section_11";s:18:"Content section 11";s:18:"content_section_12";s:18:"Content section 12";s:18:"content_section_13";s:18:"Content section 13";s:18:"content_section_14";s:18:"Content section 14";s:18:"content_section_15";s:18:"Content section 15";s:18:"content_section_16";s:18:"Content section 16";s:18:"content_section_17";s:18:"Content section 17";s:18:"content_section_18";s:18:"Content section 18";s:18:"content_section_19";s:18:"Content section 19";s:18:"content_section_20";s:18:"Content section 20";s:18:"content_section_21";s:18:"Content section 21";s:18:"content_section_22";s:18:"Content section 22";s:18:"content_section_23";s:18:"Content section 23";s:18:"content_section_24";s:18:"Content section 24";s:18:"content_section_25";s:18:"Content section 25";s:18:"content_section_26";s:18:"Content section 26";s:18:"content_section_27";s:18:"Content section 27";s:18:"content_section_28";s:18:"Content section 28";s:18:"content_section_29";s:18:"Content section 29";s:18:"content_section_30";s:18:"Content section 30";s:14:"content_bottom";s:14:"Content bottom";s:17:"footer_triptych_1";s:32:"Footer type 1: Footer triptych 1";s:17:"footer_triptych_2";s:32:"Footer type 1: Footer triptych 2";s:17:"footer_triptych_3";s:32:"Footer type 1: Footer triptych 3";s:8:"footer_1";s:21:"Footer type 1: Footer";s:16:"footer_section_1";s:31:"Footer type 2: Footer section 1";s:16:"footer_section_2";s:31:"Footer type 2: Footer section 2";s:16:"footer_section_3";s:31:"Footer type 2: Footer section 3";s:16:"footer_section_4";s:31:"Footer type 2: Footer section 4";s:16:"footer_section_5";s:31:"Footer type 2: Footer section 5";s:8:"footer_2";s:21:"Footer type 2: Footer";s:10:"footer_top";s:25:"Footer type 3: Footer top";s:8:"footer_3";s:21:"Footer type 3: Footer";s:11:"page_bottom";s:11:"Page bottom";}s:8:"settings";a:227:{s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:15:"default_favicon";s:1:"1";s:12:"default_logo";s:1:"1";s:25:"gatsby_styleswitcher_show";s:1:"1";s:18:"gatsby_sticky_menu";s:1:"1";s:22:"gatsby_breadcrumb_show";s:1:"1";s:31:"gatsby_breadcrumb_hideonlyfront";s:1:"1";s:27:"gatsby_breadcrumb_showtitle";s:1:"1";s:27:"gatsby_breadcrumb_separator";s:6:"&bull;";s:18:"gatsby_color_theme";s:5:"light";s:20:"gatsby_color_palette";s:4:"grey";s:31:"gatsby_primary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_1";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:26:"gatsby_primary_font_family";s:23:"''Open Sans'', sans-serif";s:33:"gatsby_secondary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_2";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:28:"gatsby_secondary_font_family";s:23:"''Open Sans'', sans-serif";s:26:"gatsby_secondary_font_size";s:4:"14px";s:28:"gatsby_secondary_line_height";s:4:"20px";s:18:"gatsby_layout_type";s:4:"wide";s:19:"gatsby_header_style";s:8:"header_1";s:19:"gatsby_footer_style";s:8:"footer_1";s:31:"gatsby_header_section_1_bg_type";s:4:"none";s:35:"gatsby_header_section_1_bg_parallax";s:1:"0";s:32:"gatsby_header_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_1_bg_video_start";s:1:"0";s:33:"gatsby_header_section_1_fullwidth";s:1:"1";s:31:"gatsby_header_section_2_bg_type";s:5:"image";s:30:"gatsby_header_section_2_bg_img";a:1:{s:3:"fid";s:2:"28";}s:35:"gatsby_header_section_2_bg_parallax";s:1:"1";s:32:"gatsby_header_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_2_bg_video_start";s:1:"0";s:33:"gatsby_header_section_2_fullwidth";s:1:"0";s:31:"gatsby_header_section_3_bg_type";s:4:"none";s:35:"gatsby_header_section_3_bg_parallax";s:1:"0";s:32:"gatsby_header_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_3_bg_video_start";s:1:"0";s:33:"gatsby_header_section_3_fullwidth";s:1:"0";s:31:"gatsby_header_section_4_bg_type";s:4:"none";s:35:"gatsby_header_section_4_bg_parallax";s:1:"0";s:32:"gatsby_header_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_4_bg_video_start";s:1:"0";s:33:"gatsby_header_section_4_fullwidth";s:1:"0";s:26:"gatsby_content_top_bg_type";s:4:"none";s:30:"gatsby_content_top_bg_parallax";s:1:"0";s:27:"gatsby_content_top_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:33:"gatsby_content_top_bg_video_start";s:1:"0";s:28:"gatsby_content_top_fullwidth";s:1:"0";s:32:"gatsby_content_section_1_bg_type";s:5:"image";s:31:"gatsby_content_section_1_bg_img";a:1:{s:3:"fid";s:2:"25";}s:36:"gatsby_content_section_1_bg_parallax";s:1:"0";s:33:"gatsby_content_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_1_bg_video_start";s:1:"0";s:34:"gatsby_content_section_1_fullwidth";s:1:"0";s:32:"gatsby_content_section_2_bg_type";s:5:"image";s:31:"gatsby_content_section_2_bg_img";a:1:{s:3:"fid";s:2:"26";}s:36:"gatsby_content_section_2_bg_parallax";s:1:"1";s:33:"gatsby_content_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_2_bg_video_start";s:1:"0";s:34:"gatsby_content_section_2_fullwidth";s:1:"0";s:32:"gatsby_content_section_3_bg_type";s:4:"none";s:36:"gatsby_content_section_3_bg_parallax";s:1:"0";s:33:"gatsby_content_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_3_bg_video_start";s:1:"0";s:34:"gatsby_content_section_3_fullwidth";s:1:"0";s:32:"gatsby_content_section_4_bg_type";s:4:"none";s:36:"gatsby_content_section_4_bg_parallax";s:1:"0";s:33:"gatsby_content_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_4_bg_video_start";s:1:"0";s:34:"gatsby_content_section_4_fullwidth";s:1:"0";s:32:"gatsby_content_section_5_bg_type";s:5:"image";s:31:"gatsby_content_section_5_bg_img";a:1:{s:3:"fid";s:2:"27";}s:36:"gatsby_content_section_5_bg_parallax";s:1:"0";s:33:"gatsby_content_section_5_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_5_bg_video_start";s:1:"0";s:34:"gatsby_content_section_5_fullwidth";s:1:"0";s:32:"gatsby_content_section_6_bg_type";s:5:"image";s:31:"gatsby_content_section_6_bg_img";a:1:{s:3:"fid";s:2:"29";}s:36:"gatsby_content_section_6_bg_parallax";s:1:"0";s:33:"gatsby_content_section_6_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_6_bg_video_start";s:1:"0";s:34:"gatsby_content_section_6_fullwidth";s:1:"0";s:32:"gatsby_content_section_7_bg_type";s:4:"none";s:36:"gatsby_content_section_7_bg_parallax";s:1:"0";s:33:"gatsby_content_section_7_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_7_bg_video_start";s:1:"0";s:34:"gatsby_content_section_7_fullwidth";s:1:"1";s:32:"gatsby_content_section_8_bg_type";s:4:"none";s:36:"gatsby_content_section_8_bg_parallax";s:1:"0";s:33:"gatsby_content_section_8_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_8_bg_video_start";s:1:"0";s:34:"gatsby_content_section_8_fullwidth";s:1:"0";s:32:"gatsby_content_section_9_bg_type";s:5:"image";s:31:"gatsby_content_section_9_bg_img";a:1:{s:3:"fid";s:2:"31";}s:36:"gatsby_content_section_9_bg_parallax";s:1:"0";s:33:"gatsby_content_section_9_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_9_bg_video_start";s:1:"0";s:34:"gatsby_content_section_9_fullwidth";s:1:"0";s:33:"gatsby_content_section_10_bg_type";s:4:"none";s:37:"gatsby_content_section_10_bg_parallax";s:1:"0";s:34:"gatsby_content_section_10_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_10_bg_video_start";s:1:"0";s:35:"gatsby_content_section_10_fullwidth";s:1:"0";s:33:"gatsby_content_section_11_bg_type";s:4:"none";s:37:"gatsby_content_section_11_bg_parallax";s:1:"0";s:34:"gatsby_content_section_11_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_11_bg_video_start";s:1:"0";s:35:"gatsby_content_section_11_fullwidth";s:1:"0";s:33:"gatsby_content_section_12_bg_type";s:4:"none";s:37:"gatsby_content_section_12_bg_parallax";s:1:"0";s:34:"gatsby_content_section_12_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_12_bg_video_start";s:1:"0";s:35:"gatsby_content_section_12_fullwidth";s:1:"0";s:33:"gatsby_content_section_13_bg_type";s:4:"none";s:37:"gatsby_content_section_13_bg_parallax";s:1:"0";s:34:"gatsby_content_section_13_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_13_bg_video_start";s:1:"0";s:35:"gatsby_content_section_13_fullwidth";s:1:"0";s:33:"gatsby_content_section_14_bg_type";s:4:"none";s:37:"gatsby_content_section_14_bg_parallax";s:1:"0";s:34:"gatsby_content_section_14_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_14_bg_video_start";s:1:"0";s:35:"gatsby_content_section_14_fullwidth";s:1:"0";s:33:"gatsby_content_section_15_bg_type";s:4:"none";s:37:"gatsby_content_section_15_bg_parallax";s:1:"0";s:34:"gatsby_content_section_15_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_15_bg_video_start";s:1:"0";s:35:"gatsby_content_section_15_fullwidth";s:1:"0";s:33:"gatsby_content_section_16_bg_type";s:4:"none";s:37:"gatsby_content_section_16_bg_parallax";s:1:"0";s:34:"gatsby_content_section_16_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_16_bg_video_start";s:1:"0";s:35:"gatsby_content_section_16_fullwidth";s:1:"0";s:33:"gatsby_content_section_17_bg_type";s:4:"none";s:37:"gatsby_content_section_17_bg_parallax";s:1:"0";s:34:"gatsby_content_section_17_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_17_bg_video_start";s:1:"0";s:35:"gatsby_content_section_17_fullwidth";s:1:"0";s:33:"gatsby_content_section_18_bg_type";s:4:"none";s:37:"gatsby_content_section_18_bg_parallax";s:1:"0";s:34:"gatsby_content_section_18_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_18_bg_video_start";s:1:"0";s:35:"gatsby_content_section_18_fullwidth";s:1:"0";s:33:"gatsby_content_section_19_bg_type";s:4:"none";s:37:"gatsby_content_section_19_bg_parallax";s:1:"0";s:34:"gatsby_content_section_19_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_19_bg_video_start";s:1:"0";s:35:"gatsby_content_section_19_fullwidth";s:1:"0";s:33:"gatsby_content_section_20_bg_type";s:4:"none";s:37:"gatsby_content_section_20_bg_parallax";s:1:"0";s:34:"gatsby_content_section_20_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_20_bg_video_start";s:1:"0";s:35:"gatsby_content_section_20_fullwidth";s:1:"0";s:33:"gatsby_content_section_21_bg_type";s:4:"none";s:37:"gatsby_content_section_21_bg_parallax";s:1:"0";s:34:"gatsby_content_section_21_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_21_bg_video_start";s:1:"0";s:35:"gatsby_content_section_21_fullwidth";s:1:"0";s:33:"gatsby_content_section_22_bg_type";s:4:"none";s:37:"gatsby_content_section_22_bg_parallax";s:1:"0";s:34:"gatsby_content_section_22_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_22_bg_video_start";s:1:"0";s:35:"gatsby_content_section_22_fullwidth";s:1:"0";s:33:"gatsby_content_section_23_bg_type";s:4:"none";s:37:"gatsby_content_section_23_bg_parallax";s:1:"0";s:34:"gatsby_content_section_23_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_23_bg_video_start";s:1:"0";s:35:"gatsby_content_section_23_fullwidth";s:1:"0";s:33:"gatsby_content_section_24_bg_type";s:4:"none";s:37:"gatsby_content_section_24_bg_parallax";s:1:"0";s:34:"gatsby_content_section_24_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_24_bg_video_start";s:1:"0";s:35:"gatsby_content_section_24_fullwidth";s:1:"0";s:33:"gatsby_content_section_25_bg_type";s:4:"none";s:37:"gatsby_content_section_25_bg_parallax";s:1:"0";s:34:"gatsby_content_section_25_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_25_bg_video_start";s:1:"0";s:35:"gatsby_content_section_25_fullwidth";s:1:"0";s:33:"gatsby_content_section_26_bg_type";s:4:"none";s:37:"gatsby_content_section_26_bg_parallax";s:1:"0";s:34:"gatsby_content_section_26_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_26_bg_video_start";s:1:"0";s:35:"gatsby_content_section_26_fullwidth";s:1:"0";s:33:"gatsby_content_section_27_bg_type";s:4:"none";s:37:"gatsby_content_section_27_bg_parallax";s:1:"0";s:34:"gatsby_content_section_27_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_27_bg_video_start";s:1:"0";s:35:"gatsby_content_section_27_fullwidth";s:1:"0";s:33:"gatsby_content_section_28_bg_type";s:4:"none";s:37:"gatsby_content_section_28_bg_parallax";s:1:"0";s:34:"gatsby_content_section_28_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_28_bg_video_start";s:1:"0";s:35:"gatsby_content_section_28_fullwidth";s:1:"0";s:33:"gatsby_content_section_29_bg_type";s:4:"none";s:37:"gatsby_content_section_29_bg_parallax";s:1:"0";s:34:"gatsby_content_section_29_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_29_bg_video_start";s:1:"0";s:35:"gatsby_content_section_29_fullwidth";s:1:"0";s:33:"gatsby_content_section_30_bg_type";s:4:"none";s:37:"gatsby_content_section_30_bg_parallax";s:1:"0";s:34:"gatsby_content_section_30_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_30_bg_video_start";s:1:"0";s:35:"gatsby_content_section_30_fullwidth";s:1:"0";s:29:"gatsby_content_bottom_bg_type";s:4:"none";s:33:"gatsby_content_bottom_bg_parallax";s:1:"0";s:30:"gatsby_content_bottom_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:36:"gatsby_content_bottom_bg_video_start";s:1:"0";s:31:"gatsby_content_bottom_fullwidth";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:18:"gatsby_meta_author";s:1:"1";s:16:"gatsby_meta_date";s:1:"1";s:17:"gatsby_meta_views";s:1:"1";s:20:"gatsby_meta_comments";s:1:"1";s:26:"gatsby_links_hide_readmore";s:1:"0";s:27:"gatsby_links_readmore_title";s:9:"Read more";s:26:"gatsby_links_hide_readblog";s:1:"0";s:28:"gatsby_links_hide_addcomment";s:1:"0";s:29:"gatsby_links_hide_commentsnum";s:1:"0";s:29:"gatsby_links_hide_commentsnew";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"0";s:17:"gatsby_custom_css";s:0:"";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:3:"php";s:5:"5.2.4";s:5:"mtime";i:1468934166;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_demo', 'a:1:{i:0;s:6:"gatsby";}', '', '31', 5, '0', '', 'admin/structure/block/demo/gatsby', 'Gatsby', 't', '', '_block_custom_theme', 'a:1:{i:0;s:6:"gatsby";}', '0', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/demo/seven', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:5:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_demo', 'a:1:{i:0;s:5:"seven";}', '', '31', 5, '0', '', 'admin/structure/block/demo/seven', 'Seven', 't', '', '_block_custom_theme', 'a:1:{i:0;s:5:"seven";}', '0', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/demo/stark', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_demo', 'a:1:{i:0;s:5:"stark";}', '', '31', 5, '0', '', 'admin/structure/block/demo/stark', 'Stark', 't', '', '_block_custom_theme', 'a:1:{i:0;s:5:"stark";}', '0', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/instances', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'multiblock_general', 'a:0:{}', '', '15', 4, '1', 'admin/structure/block', 'admin/structure/block', 'Instances', 't', '', '', 'a:0:{}', '132', 'Create and delete instances of blocks.', '', '-15', ''),
('admin/structure/block/instances/delete', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:22:"multiblock_delete_form";}', '', '31', 5, '0', '', 'admin/structure/block/instances/delete', 'Delete Block Instance', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('admin/structure/block/list/bartik', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:25:"themes/bartik/bartik.info";s:4:"name";s:6:"bartik";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:17:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:6:"bartik";}', '', '31', 5, '1', 'admin/structure/block', 'admin/structure/block', 'Bartik', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/list/bartik/add', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:20:"block_add_block_form";}', '', '63', 6, '1', 'admin/structure/block/list/bartik', 'admin/structure/block', 'Add block', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES
('admin/structure/block/list/garland', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:7:"garland";}', '', '31', 5, '1', 'admin/structure/block', 'admin/structure/block', 'Garland', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/list/garland/add', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:20:"block_add_block_form";}', '', '63', 6, '1', 'admin/structure/block/list/garland', 'admin/structure/block', 'Add block', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/list/gatsby', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:35:"sites/all/themes/gatsby/gatsby.info";s:4:"name";s:6:"gatsby";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:6:"Gatsby";s:11:"description";s:29:"This template is made by K.T.";s:10:"screenshot";s:38:"sites/all/themes/gatsby/screenshot.png";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:7:"regions";a:71:{s:8:"page_top";s:8:"Page top";s:4:"menu";s:19:"Header type 1: Menu";s:6:"menu_2";s:19:"Header type 2: Menu";s:14:"header_right_2";s:27:"Header type 2: Header right";s:6:"menu_3";s:19:"Header type 3: Menu";s:14:"header_right_3";s:27:"Header type 3: Header right";s:13:"header_left_4";s:26:"Header type 4: Header left";s:14:"header_right_4";s:27:"Header type 4: Header right";s:6:"menu_4";s:19:"Header type 4: Menu";s:10:"header_top";s:25:"Header type 5: Header top";s:14:"header_right_5";s:27:"Header type 5: Header right";s:6:"menu_5";s:19:"Header type 5: Menu";s:6:"menu_6";s:19:"Header type 6: Menu";s:13:"header_left_7";s:26:"Header type 7: Header left";s:14:"header_right_7";s:27:"Header type 7: Header right";s:6:"menu_7";s:19:"Header type 7: Menu";s:16:"header_section_1";s:16:"Header section 1";s:16:"header_section_2";s:16:"Header section 2";s:16:"header_section_3";s:16:"Header section 3";s:16:"header_section_4";s:16:"Header section 4";s:11:"content_top";s:11:"Content top";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:13:"sidebar_first";s:12:"Sidebar left";s:7:"content";s:7:"Content";s:11:"node_bottom";s:11:"Node bottom";s:14:"sidebar_second";s:13:"Sidebar right";s:17:"content_section_1";s:17:"Content section 1";s:17:"content_section_2";s:17:"Content section 2";s:17:"content_section_3";s:17:"Content section 3";s:17:"content_section_4";s:17:"Content section 4";s:17:"content_section_5";s:17:"Content section 5";s:17:"content_section_6";s:17:"Content section 6";s:17:"content_section_7";s:17:"Content section 7";s:17:"content_section_8";s:17:"Content section 8";s:17:"content_section_9";s:17:"Content section 9";s:18:"content_section_10";s:18:"Content section 10";s:18:"content_section_11";s:18:"Content section 11";s:18:"content_section_12";s:18:"Content section 12";s:18:"content_section_13";s:18:"Content section 13";s:18:"content_section_14";s:18:"Content section 14";s:18:"content_section_15";s:18:"Content section 15";s:18:"content_section_16";s:18:"Content section 16";s:18:"content_section_17";s:18:"Content section 17";s:18:"content_section_18";s:18:"Content section 18";s:18:"content_section_19";s:18:"Content section 19";s:18:"content_section_20";s:18:"Content section 20";s:18:"content_section_21";s:18:"Content section 21";s:18:"content_section_22";s:18:"Content section 22";s:18:"content_section_23";s:18:"Content section 23";s:18:"content_section_24";s:18:"Content section 24";s:18:"content_section_25";s:18:"Content section 25";s:18:"content_section_26";s:18:"Content section 26";s:18:"content_section_27";s:18:"Content section 27";s:18:"content_section_28";s:18:"Content section 28";s:18:"content_section_29";s:18:"Content section 29";s:18:"content_section_30";s:18:"Content section 30";s:14:"content_bottom";s:14:"Content bottom";s:17:"footer_triptych_1";s:32:"Footer type 1: Footer triptych 1";s:17:"footer_triptych_2";s:32:"Footer type 1: Footer triptych 2";s:17:"footer_triptych_3";s:32:"Footer type 1: Footer triptych 3";s:8:"footer_1";s:21:"Footer type 1: Footer";s:16:"footer_section_1";s:31:"Footer type 2: Footer section 1";s:16:"footer_section_2";s:31:"Footer type 2: Footer section 2";s:16:"footer_section_3";s:31:"Footer type 2: Footer section 3";s:16:"footer_section_4";s:31:"Footer type 2: Footer section 4";s:16:"footer_section_5";s:31:"Footer type 2: Footer section 5";s:8:"footer_2";s:21:"Footer type 2: Footer";s:10:"footer_top";s:25:"Footer type 3: Footer top";s:8:"footer_3";s:21:"Footer type 3: Footer";s:11:"page_bottom";s:11:"Page bottom";}s:8:"settings";a:227:{s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:15:"default_favicon";s:1:"1";s:12:"default_logo";s:1:"1";s:25:"gatsby_styleswitcher_show";s:1:"1";s:18:"gatsby_sticky_menu";s:1:"1";s:22:"gatsby_breadcrumb_show";s:1:"1";s:31:"gatsby_breadcrumb_hideonlyfront";s:1:"1";s:27:"gatsby_breadcrumb_showtitle";s:1:"1";s:27:"gatsby_breadcrumb_separator";s:6:"&bull;";s:18:"gatsby_color_theme";s:5:"light";s:20:"gatsby_color_palette";s:4:"grey";s:31:"gatsby_primary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_1";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:26:"gatsby_primary_font_family";s:23:"''Open Sans'', sans-serif";s:33:"gatsby_secondary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_2";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:28:"gatsby_secondary_font_family";s:23:"''Open Sans'', sans-serif";s:26:"gatsby_secondary_font_size";s:4:"14px";s:28:"gatsby_secondary_line_height";s:4:"20px";s:18:"gatsby_layout_type";s:4:"wide";s:19:"gatsby_header_style";s:8:"header_1";s:19:"gatsby_footer_style";s:8:"footer_1";s:31:"gatsby_header_section_1_bg_type";s:4:"none";s:35:"gatsby_header_section_1_bg_parallax";s:1:"0";s:32:"gatsby_header_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_1_bg_video_start";s:1:"0";s:33:"gatsby_header_section_1_fullwidth";s:1:"1";s:31:"gatsby_header_section_2_bg_type";s:5:"image";s:30:"gatsby_header_section_2_bg_img";a:1:{s:3:"fid";s:2:"28";}s:35:"gatsby_header_section_2_bg_parallax";s:1:"1";s:32:"gatsby_header_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_2_bg_video_start";s:1:"0";s:33:"gatsby_header_section_2_fullwidth";s:1:"0";s:31:"gatsby_header_section_3_bg_type";s:4:"none";s:35:"gatsby_header_section_3_bg_parallax";s:1:"0";s:32:"gatsby_header_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_3_bg_video_start";s:1:"0";s:33:"gatsby_header_section_3_fullwidth";s:1:"0";s:31:"gatsby_header_section_4_bg_type";s:4:"none";s:35:"gatsby_header_section_4_bg_parallax";s:1:"0";s:32:"gatsby_header_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_4_bg_video_start";s:1:"0";s:33:"gatsby_header_section_4_fullwidth";s:1:"0";s:26:"gatsby_content_top_bg_type";s:4:"none";s:30:"gatsby_content_top_bg_parallax";s:1:"0";s:27:"gatsby_content_top_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:33:"gatsby_content_top_bg_video_start";s:1:"0";s:28:"gatsby_content_top_fullwidth";s:1:"0";s:32:"gatsby_content_section_1_bg_type";s:5:"image";s:31:"gatsby_content_section_1_bg_img";a:1:{s:3:"fid";s:2:"25";}s:36:"gatsby_content_section_1_bg_parallax";s:1:"0";s:33:"gatsby_content_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_1_bg_video_start";s:1:"0";s:34:"gatsby_content_section_1_fullwidth";s:1:"0";s:32:"gatsby_content_section_2_bg_type";s:5:"image";s:31:"gatsby_content_section_2_bg_img";a:1:{s:3:"fid";s:2:"26";}s:36:"gatsby_content_section_2_bg_parallax";s:1:"1";s:33:"gatsby_content_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_2_bg_video_start";s:1:"0";s:34:"gatsby_content_section_2_fullwidth";s:1:"0";s:32:"gatsby_content_section_3_bg_type";s:4:"none";s:36:"gatsby_content_section_3_bg_parallax";s:1:"0";s:33:"gatsby_content_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_3_bg_video_start";s:1:"0";s:34:"gatsby_content_section_3_fullwidth";s:1:"0";s:32:"gatsby_content_section_4_bg_type";s:4:"none";s:36:"gatsby_content_section_4_bg_parallax";s:1:"0";s:33:"gatsby_content_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_4_bg_video_start";s:1:"0";s:34:"gatsby_content_section_4_fullwidth";s:1:"0";s:32:"gatsby_content_section_5_bg_type";s:5:"image";s:31:"gatsby_content_section_5_bg_img";a:1:{s:3:"fid";s:2:"27";}s:36:"gatsby_content_section_5_bg_parallax";s:1:"0";s:33:"gatsby_content_section_5_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_5_bg_video_start";s:1:"0";s:34:"gatsby_content_section_5_fullwidth";s:1:"0";s:32:"gatsby_content_section_6_bg_type";s:5:"image";s:31:"gatsby_content_section_6_bg_img";a:1:{s:3:"fid";s:2:"29";}s:36:"gatsby_content_section_6_bg_parallax";s:1:"0";s:33:"gatsby_content_section_6_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_6_bg_video_start";s:1:"0";s:34:"gatsby_content_section_6_fullwidth";s:1:"0";s:32:"gatsby_content_section_7_bg_type";s:4:"none";s:36:"gatsby_content_section_7_bg_parallax";s:1:"0";s:33:"gatsby_content_section_7_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_7_bg_video_start";s:1:"0";s:34:"gatsby_content_section_7_fullwidth";s:1:"1";s:32:"gatsby_content_section_8_bg_type";s:4:"none";s:36:"gatsby_content_section_8_bg_parallax";s:1:"0";s:33:"gatsby_content_section_8_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_8_bg_video_start";s:1:"0";s:34:"gatsby_content_section_8_fullwidth";s:1:"0";s:32:"gatsby_content_section_9_bg_type";s:5:"image";s:31:"gatsby_content_section_9_bg_img";a:1:{s:3:"fid";s:2:"31";}s:36:"gatsby_content_section_9_bg_parallax";s:1:"0";s:33:"gatsby_content_section_9_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_9_bg_video_start";s:1:"0";s:34:"gatsby_content_section_9_fullwidth";s:1:"0";s:33:"gatsby_content_section_10_bg_type";s:4:"none";s:37:"gatsby_content_section_10_bg_parallax";s:1:"0";s:34:"gatsby_content_section_10_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_10_bg_video_start";s:1:"0";s:35:"gatsby_content_section_10_fullwidth";s:1:"0";s:33:"gatsby_content_section_11_bg_type";s:4:"none";s:37:"gatsby_content_section_11_bg_parallax";s:1:"0";s:34:"gatsby_content_section_11_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_11_bg_video_start";s:1:"0";s:35:"gatsby_content_section_11_fullwidth";s:1:"0";s:33:"gatsby_content_section_12_bg_type";s:4:"none";s:37:"gatsby_content_section_12_bg_parallax";s:1:"0";s:34:"gatsby_content_section_12_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_12_bg_video_start";s:1:"0";s:35:"gatsby_content_section_12_fullwidth";s:1:"0";s:33:"gatsby_content_section_13_bg_type";s:4:"none";s:37:"gatsby_content_section_13_bg_parallax";s:1:"0";s:34:"gatsby_content_section_13_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_13_bg_video_start";s:1:"0";s:35:"gatsby_content_section_13_fullwidth";s:1:"0";s:33:"gatsby_content_section_14_bg_type";s:4:"none";s:37:"gatsby_content_section_14_bg_parallax";s:1:"0";s:34:"gatsby_content_section_14_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_14_bg_video_start";s:1:"0";s:35:"gatsby_content_section_14_fullwidth";s:1:"0";s:33:"gatsby_content_section_15_bg_type";s:4:"none";s:37:"gatsby_content_section_15_bg_parallax";s:1:"0";s:34:"gatsby_content_section_15_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_15_bg_video_start";s:1:"0";s:35:"gatsby_content_section_15_fullwidth";s:1:"0";s:33:"gatsby_content_section_16_bg_type";s:4:"none";s:37:"gatsby_content_section_16_bg_parallax";s:1:"0";s:34:"gatsby_content_section_16_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_16_bg_video_start";s:1:"0";s:35:"gatsby_content_section_16_fullwidth";s:1:"0";s:33:"gatsby_content_section_17_bg_type";s:4:"none";s:37:"gatsby_content_section_17_bg_parallax";s:1:"0";s:34:"gatsby_content_section_17_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_17_bg_video_start";s:1:"0";s:35:"gatsby_content_section_17_fullwidth";s:1:"0";s:33:"gatsby_content_section_18_bg_type";s:4:"none";s:37:"gatsby_content_section_18_bg_parallax";s:1:"0";s:34:"gatsby_content_section_18_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_18_bg_video_start";s:1:"0";s:35:"gatsby_content_section_18_fullwidth";s:1:"0";s:33:"gatsby_content_section_19_bg_type";s:4:"none";s:37:"gatsby_content_section_19_bg_parallax";s:1:"0";s:34:"gatsby_content_section_19_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_19_bg_video_start";s:1:"0";s:35:"gatsby_content_section_19_fullwidth";s:1:"0";s:33:"gatsby_content_section_20_bg_type";s:4:"none";s:37:"gatsby_content_section_20_bg_parallax";s:1:"0";s:34:"gatsby_content_section_20_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_20_bg_video_start";s:1:"0";s:35:"gatsby_content_section_20_fullwidth";s:1:"0";s:33:"gatsby_content_section_21_bg_type";s:4:"none";s:37:"gatsby_content_section_21_bg_parallax";s:1:"0";s:34:"gatsby_content_section_21_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_21_bg_video_start";s:1:"0";s:35:"gatsby_content_section_21_fullwidth";s:1:"0";s:33:"gatsby_content_section_22_bg_type";s:4:"none";s:37:"gatsby_content_section_22_bg_parallax";s:1:"0";s:34:"gatsby_content_section_22_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_22_bg_video_start";s:1:"0";s:35:"gatsby_content_section_22_fullwidth";s:1:"0";s:33:"gatsby_content_section_23_bg_type";s:4:"none";s:37:"gatsby_content_section_23_bg_parallax";s:1:"0";s:34:"gatsby_content_section_23_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_23_bg_video_start";s:1:"0";s:35:"gatsby_content_section_23_fullwidth";s:1:"0";s:33:"gatsby_content_section_24_bg_type";s:4:"none";s:37:"gatsby_content_section_24_bg_parallax";s:1:"0";s:34:"gatsby_content_section_24_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_24_bg_video_start";s:1:"0";s:35:"gatsby_content_section_24_fullwidth";s:1:"0";s:33:"gatsby_content_section_25_bg_type";s:4:"none";s:37:"gatsby_content_section_25_bg_parallax";s:1:"0";s:34:"gatsby_content_section_25_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_25_bg_video_start";s:1:"0";s:35:"gatsby_content_section_25_fullwidth";s:1:"0";s:33:"gatsby_content_section_26_bg_type";s:4:"none";s:37:"gatsby_content_section_26_bg_parallax";s:1:"0";s:34:"gatsby_content_section_26_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_26_bg_video_start";s:1:"0";s:35:"gatsby_content_section_26_fullwidth";s:1:"0";s:33:"gatsby_content_section_27_bg_type";s:4:"none";s:37:"gatsby_content_section_27_bg_parallax";s:1:"0";s:34:"gatsby_content_section_27_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_27_bg_video_start";s:1:"0";s:35:"gatsby_content_section_27_fullwidth";s:1:"0";s:33:"gatsby_content_section_28_bg_type";s:4:"none";s:37:"gatsby_content_section_28_bg_parallax";s:1:"0";s:34:"gatsby_content_section_28_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_28_bg_video_start";s:1:"0";s:35:"gatsby_content_section_28_fullwidth";s:1:"0";s:33:"gatsby_content_section_29_bg_type";s:4:"none";s:37:"gatsby_content_section_29_bg_parallax";s:1:"0";s:34:"gatsby_content_section_29_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_29_bg_video_start";s:1:"0";s:35:"gatsby_content_section_29_fullwidth";s:1:"0";s:33:"gatsby_content_section_30_bg_type";s:4:"none";s:37:"gatsby_content_section_30_bg_parallax";s:1:"0";s:34:"gatsby_content_section_30_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_30_bg_video_start";s:1:"0";s:35:"gatsby_content_section_30_fullwidth";s:1:"0";s:29:"gatsby_content_bottom_bg_type";s:4:"none";s:33:"gatsby_content_bottom_bg_parallax";s:1:"0";s:30:"gatsby_content_bottom_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:36:"gatsby_content_bottom_bg_video_start";s:1:"0";s:31:"gatsby_content_bottom_fullwidth";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:18:"gatsby_meta_author";s:1:"1";s:16:"gatsby_meta_date";s:1:"1";s:17:"gatsby_meta_views";s:1:"1";s:20:"gatsby_meta_comments";s:1:"1";s:26:"gatsby_links_hide_readmore";s:1:"0";s:27:"gatsby_links_readmore_title";s:9:"Read more";s:26:"gatsby_links_hide_readblog";s:1:"0";s:28:"gatsby_links_hide_addcomment";s:1:"0";s:29:"gatsby_links_hide_commentsnum";s:1:"0";s:29:"gatsby_links_hide_commentsnew";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"0";s:17:"gatsby_custom_css";s:0:"";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:3:"php";s:5:"5.2.4";s:5:"mtime";i:1468934166;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:6:"gatsby";}', '', '31', 5, '1', 'admin/structure/block', 'admin/structure/block', 'Gatsby', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/block/block.admin.inc'),
('admin/structure/block/list/seven', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:23:"themes/seven/seven.info";s:4:"name";s:5:"seven";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:5:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:5:"seven";}', '', '31', 5, '1', 'admin/structure/block', 'admin/structure/block', 'Seven', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/list/seven/add', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:20:"block_add_block_form";}', '', '63', 6, '1', 'admin/structure/block/list/seven', 'admin/structure/block', 'Add block', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/list/stark', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:23:"themes/stark/stark.info";s:4:"name";s:5:"stark";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}s:6:"prefix";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:5:"stark";}', '', '31', 5, '1', 'admin/structure/block', 'admin/structure/block', 'Stark', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/list/stark/add', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:20:"block_add_block_form";}', '', '63', 6, '1', 'admin/structure/block/list/stark', 'admin/structure/block', 'Add block', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/manage/%/%', 'a:2:{i:4;N;i:5;N;}', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:3:{i:0;s:21:"block_admin_configure";i:1;i:4;i:2;i:5;}', '', '60', 6, '0', '', 'admin/structure/block/manage/%/%', 'Configure block', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/manage/%/%/configure', 'a:2:{i:4;N;i:5;N;}', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:3:{i:0;s:21:"block_admin_configure";i:1;i:4;i:2;i:5;}', '', '121', 7, '2', 'admin/structure/block/manage/%/%', 'admin/structure/block/manage/%/%', 'Configure block', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/block/manage/%/%/delete', 'a:2:{i:4;N;i:5;N;}', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:3:{i:0;s:25:"block_custom_block_delete";i:1;i:4;i:2;i:5;}', '', '121', 7, '0', 'admin/structure/block/manage/%/%', 'admin/structure/block/manage/%/%', 'Delete block', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/block/block.admin.inc'),
('admin/structure/contact', '', '', 'user_access', 'a:1:{i:0;s:24:"administer contact forms";}', 'contact_category_list', 'a:0:{}', '', '7', 3, '0', '', 'admin/structure/contact', 'Contact form', 't', '', '', 'a:0:{}', '6', 'Create a system contact form and set up categories for the form to use.', '', '0', 'modules/contact/contact.admin.inc'),
('admin/structure/contact/add', '', '', 'user_access', 'a:1:{i:0;s:24:"administer contact forms";}', 'drupal_get_form', 'a:1:{i:0;s:26:"contact_category_edit_form";}', '', '15', 4, '1', 'admin/structure/contact', 'admin/structure/contact', 'Add category', 't', '', '', 'a:0:{}', '388', '', '', '1', 'modules/contact/contact.admin.inc'),
('admin/structure/contact/delete/%', 'a:1:{i:4;s:12:"contact_load";}', '', 'user_access', 'a:1:{i:0;s:24:"administer contact forms";}', 'drupal_get_form', 'a:2:{i:0;s:28:"contact_category_delete_form";i:1;i:4;}', '', '30', 5, '0', '', 'admin/structure/contact/delete/%', 'Delete contact', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/contact/contact.admin.inc'),
('admin/structure/contact/edit/%', 'a:1:{i:4;s:12:"contact_load";}', '', 'user_access', 'a:1:{i:0;s:24:"administer contact forms";}', 'drupal_get_form', 'a:2:{i:0;s:26:"contact_category_edit_form";i:1;i:4;}', '', '30', 5, '0', '', 'admin/structure/contact/edit/%', 'Edit contact category', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/contact/contact.admin.inc'),
('admin/structure/demo', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'drupal_get_form', 'a:1:{i:0;s:16:"demo_manage_form";}', '', '7', 3, '0', '', 'admin/structure/demo', 'Snapshots', 't', '', '', 'a:0:{}', '6', 'Create snapshots and reset the site.', '', '0', 'sites/all/modules/demo/demo.admin.inc'),
('admin/structure/demo/delete/%', 'a:1:{i:4;N;}', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'drupal_get_form', 'a:2:{i:0;s:19:"demo_delete_confirm";i:1;i:4;}', '', '30', 5, '0', '', 'admin/structure/demo/delete/%', 'Delete snapshot', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/demo/demo.admin.inc'),
('admin/structure/demo/dump', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'drupal_get_form', 'a:1:{i:0;s:14:"demo_dump_form";}', '', '15', 4, '1', 'admin/structure/demo', 'admin/structure/demo', 'Create snapshot', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/demo/demo.admin.inc'),
('admin/structure/demo/list', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'drupal_get_form', 'a:1:{i:0;s:16:"demo_manage_form";}', '', '15', 4, '1', 'admin/structure/demo', 'admin/structure/demo', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/demo/demo.admin.inc'),
('admin/structure/demo/reset', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'drupal_get_form', 'a:1:{i:0;s:18:"demo_reset_confirm";}', '', '15', 4, '1', 'admin/structure/demo', 'admin/structure/demo', 'Reset', 't', '', '', 'a:0:{}', '132', '', '', '3', 'sites/all/modules/demo/demo.admin.inc'),
('admin/structure/demo/settings', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'drupal_get_form', 'a:1:{i:0;s:19:"demo_admin_settings";}', '', '15', 4, '1', 'admin/structure/demo', 'admin/structure/demo', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '10', 'sites/all/modules/demo/demo.admin.inc'),
('admin/structure/forum', '', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'drupal_get_form', 'a:1:{i:0;s:14:"forum_overview";}', '', '7', 3, '0', '', 'admin/structure/forum', 'Forums', 't', '', '', 'a:0:{}', '6', 'Control forum hierarchy settings.', '', '0', 'modules/forum/forum.admin.inc'),
('admin/structure/forum/add/container', '', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'forum_form_main', 'a:1:{i:0;s:9:"container";}', '', '31', 5, '1', 'admin/structure/forum', 'admin/structure/forum', 'Add container', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/forum/forum.admin.inc'),
('admin/structure/forum/add/forum', '', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'forum_form_main', 'a:1:{i:0;s:5:"forum";}', '', '31', 5, '1', 'admin/structure/forum', 'admin/structure/forum', 'Add forum', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/forum/forum.admin.inc'),
('admin/structure/forum/edit/container/%', 'a:1:{i:5;s:18:"taxonomy_term_load";}', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'forum_form_main', 'a:2:{i:0;s:9:"container";i:1;i:5;}', '', '62', 6, '0', '', 'admin/structure/forum/edit/container/%', 'Edit container', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/forum/forum.admin.inc'),
('admin/structure/forum/edit/forum/%', 'a:1:{i:5;s:18:"taxonomy_term_load";}', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'forum_form_main', 'a:2:{i:0;s:5:"forum";i:1;i:5;}', '', '62', 6, '0', '', 'admin/structure/forum/edit/forum/%', 'Edit forum', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/forum/forum.admin.inc'),
('admin/structure/forum/list', '', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'drupal_get_form', 'a:1:{i:0;s:14:"forum_overview";}', '', '15', 4, '1', 'admin/structure/forum', 'admin/structure/forum', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/forum/forum.admin.inc'),
('admin/structure/forum/settings', '', '', 'user_access', 'a:1:{i:0;s:17:"administer forums";}', 'drupal_get_form', 'a:1:{i:0;s:20:"forum_admin_settings";}', '', '15', 4, '1', 'admin/structure/forum', 'admin/structure/forum', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '5', 'modules/forum/forum.admin.inc'),
('admin/structure/menu', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_overview_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/structure/menu', 'Menus', 't', '', '', 'a:0:{}', '6', 'Add new menus to your site, edit existing menus, and rename and reorganize menu links.', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/add', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:14:"menu_edit_menu";i:1;s:3:"add";}', '', '15', 4, '1', 'admin/structure/menu', 'admin/structure/menu', 'Add menu', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/item/%/delete', 'a:1:{i:4;s:14:"menu_link_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_item_delete_page', 'a:1:{i:0;i:4;}', '', '61', 6, '0', '', 'admin/structure/menu/item/%/delete', 'Delete menu link', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/item/%/edit', 'a:1:{i:4;s:14:"menu_link_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:4:{i:0;s:14:"menu_edit_item";i:1;s:4:"edit";i:2;i:4;i:3;N;}', '', '61', 6, '0', '', 'admin/structure/menu/item/%/edit', 'Edit menu link', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/item/%/reset', 'a:1:{i:4;s:14:"menu_link_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:23:"menu_reset_item_confirm";i:1;i:4;}', '', '61', 6, '0', '', 'admin/structure/menu/item/%/reset', 'Reset menu link', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/list', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_overview_page', 'a:0:{}', '', '15', 4, '1', 'admin/structure/menu', 'admin/structure/menu', 'List menus', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/manage/%', 'a:1:{i:4;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:18:"menu_overview_form";i:1;i:4;}', '', '30', 5, '0', '', 'admin/structure/menu/manage/%', 'Customize menu', 'menu_overview_title', 'a:1:{i:0;i:4;}', '', 'a:0:{}', '6', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/manage/%/add', 'a:1:{i:4;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:4:{i:0;s:14:"menu_edit_item";i:1;s:3:"add";i:2;N;i:3;i:4;}', '', '61', 6, '1', 'admin/structure/menu/manage/%', 'admin/structure/menu/manage/%', 'Add link', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/manage/%/delete', 'a:1:{i:4;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_delete_menu_page', 'a:1:{i:0;i:4;}', '', '61', 6, '0', '', 'admin/structure/menu/manage/%/delete', 'Delete menu', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/manage/%/edit', 'a:1:{i:4;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:3:{i:0;s:14:"menu_edit_menu";i:1;s:4:"edit";i:2;i:4;}', '', '61', 6, '3', 'admin/structure/menu/manage/%', 'admin/structure/menu/manage/%', 'Edit menu', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/manage/%/list', 'a:1:{i:4;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:18:"menu_overview_form";i:1;i:4;}', '', '61', 6, '3', 'admin/structure/menu/manage/%', 'admin/structure/menu/manage/%', 'List links', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/menu/menu.admin.inc'),
('admin/structure/menu/parents', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_parent_options_js', 'a:0:{}', '', '15', 4, '0', '', 'admin/structure/menu/parents', 'Parent menu items', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('admin/structure/menu/settings', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:1:{i:0;s:14:"menu_configure";}', '', '15', 4, '1', 'admin/structure/menu', 'admin/structure/menu', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '5', 'modules/menu/menu.admin.inc'),
('admin/structure/mini-panels', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:11:"panels_mini";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:11:"panels_mini";i:1;s:4:"list";}', '', '7', 3, '0', '', 'admin/structure/mini-panels', 'Mini panels', 't', '', '', 'a:0:{}', '6', 'Add, edit or delete mini panels, which can be used as blocks or content panes in other panels.', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/add', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:11:"panels_mini";i:1;s:3:"add";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:11:"panels_mini";i:1;s:3:"add";}', '', '15', 4, '1', 'admin/structure/mini-panels', 'admin/structure/mini-panels', 'Add', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/import', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:11:"panels_mini";i:1;s:6:"import";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:11:"panels_mini";i:1;s:6:"import";}', '', '15', 4, '1', 'admin/structure/mini-panels', 'admin/structure/mini-panels', 'Import', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:11:"panels_mini";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:11:"panels_mini";i:1;s:4:"list";}', '', '15', 4, '1', 'admin/structure/mini-panels', 'admin/structure/mini-panels', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:4:"edit";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:4:"edit";i:2;i:4;}', '', '30', 5, '0', '', 'admin/structure/mini-panels/list/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/clone', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:5:"clone";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:5:"clone";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/mini-panels/list/%/clone', 'Clone', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/delete', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"delete";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"delete";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/mini-panels/list/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/disable', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:7:"disable";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:7:"disable";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/mini-panels/list/%/disable', 'Disable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/edit', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:4:"edit";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:4:"edit";i:2;i:4;}', '', '61', 6, '1', 'admin/structure/mini-panels/list/%', 'admin/structure/mini-panels/list/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/enable', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"enable";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"enable";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/mini-panels/list/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/export', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"export";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"export";i:2;i:4;}', '', '61', 6, '1', 'admin/structure/mini-panels/list/%', 'admin/structure/mini-panels/list/%', 'Export', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/list/%/revert', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:11:"panels_mini";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"revert";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:11:"panels_mini";i:1;s:6:"delete";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/mini-panels/list/%/revert', 'Revert', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/mini-panels/settings', '', '', 'user_access', 'a:1:{i:0;s:18:"create mini panels";}', 'panels_mini_settings', 'a:0:{}', '', '15', 4, '1', 'admin/structure/mini-panels', 'admin/structure/mini-panels', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '0', ''),
('admin/structure/pages', '', '', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_list_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/structure/pages', 'Pages', 't', '', 'ajax_base_page_theme', 'a:0:{}', '6', 'Add, edit and remove overridden system pages and user defined pages from the system.', '', '0', 'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),
('admin/structure/pages/%/disable/%', 'a:2:{i:3;s:14:"ctools_js_load";i:5;s:23:"page_manager_cache_load";}', 'a:1:{i:3;s:16:"ctools_js_to_arg";}', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_enable_page', 'a:3:{i:0;b:1;i:1;i:3;i:2;i:5;}', '', '58', 6, '0', '', 'admin/structure/pages/%/disable/%', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),
('admin/structure/pages/%/enable/%', 'a:2:{i:3;s:14:"ctools_js_load";i:5;s:23:"page_manager_cache_load";}', 'a:1:{i:3;s:16:"ctools_js_to_arg";}', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_enable_page', 'a:3:{i:0;b:0;i:1;i:3;i:2;i:5;}', '', '58', 6, '0', '', 'admin/structure/pages/%/enable/%', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),
('admin/structure/pages/%/operation/%', 'a:2:{i:3;s:14:"ctools_js_load";i:5;s:23:"page_manager_cache_load";}', 'a:1:{i:3;s:16:"ctools_js_to_arg";}', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_edit_page_operation', 'a:2:{i:0;i:3;i:1;i:5;}', '', '58', 6, '0', '', 'admin/structure/pages/%/operation/%', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),
('admin/structure/pages/add', '', '', 'user_access', 'a:1:{i:0;s:23:"administer page manager";}', 'page_manager_page_add_subtask', 'a:0:{}', '', '15', 4, '1', 'admin/structure/pages', 'admin/structure/pages', 'Add custom page', 't', '', 'ajax_base_page_theme', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.admin.inc'),
('admin/structure/pages/argument', '', '', 'user_access', 'a:1:{i:0;s:23:"administer page manager";}', 'page_manager_page_subtask_argument_ajax', 'a:0:{}', '', '15', 4, '0', '', 'admin/structure/pages/argument', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.admin.inc'),
('admin/structure/pages/edit/%', 'a:1:{i:4;s:23:"page_manager_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_edit_page', 'a:1:{i:0;i:4;}', '', '30', 5, '0', '', 'admin/structure/pages/edit/%', 'Edit', 't', '', 'ajax_base_page_theme', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),
('admin/structure/pages/import', '', '', 'ctools_access_multiperm', 'a:2:{i:0;s:23:"administer page manager";i:1;s:17:"use ctools import";}', 'drupal_get_form', 'a:2:{i:0;s:32:"page_manager_page_import_subtask";i:1;s:4:"page";}', '', '15', 4, '1', 'admin/structure/pages', 'admin/structure/pages', 'Import page', 't', '', 'ajax_base_page_theme', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.admin.inc'),
('admin/structure/pages/list', '', '', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_list_page', 'a:0:{}', '', '15', 4, '1', 'admin/structure/pages', 'admin/structure/pages', 'List', 't', '', 'ajax_base_page_theme', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/page_manager/page_manager.admin.inc'),
('admin/structure/pages/wizard', '', '', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_page_wizard_list', 'a:1:{i:0;i:4;}', '', '15', 4, '1', 'admin/structure/pages', 'admin/structure/pages', 'Wizards', 't', '', 'ajax_base_page_theme', 'a:0:{}', '132', '', '', '-5', 'sites/all/modules/ctools/includes/page-wizard.inc'),
('admin/structure/pages/wizard/%', 'a:1:{i:4;N;}', '', 'user_access', 'a:1:{i:0;s:16:"use page manager";}', 'page_manager_page_wizard', 'a:1:{i:0;i:4;}', '', '30', 5, '0', '', 'admin/structure/pages/wizard/%', 'Wizard', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/page-wizard.inc');
INSERT INTO `menu_router` VALUES
('admin/structure/panels', '', '', 'user_access', 'a:1:{i:0;s:20:"use panels dashboard";}', 'panels_admin_page', 'a:0:{}', '', '7', 3, '0', '', 'admin/structure/panels', 'Panels', 't', '', '', 'a:0:{}', '6', 'Get a bird''s eye view of items related to Panels.', '', '0', 'sites/all/modules/panels/includes/callbacks.inc'),
('admin/structure/panels/dashboard', '', '', 'user_access', 'a:1:{i:0;s:20:"use panels dashboard";}', 'panels_admin_page', 'a:0:{}', '', '15', 4, '1', 'admin/structure/panels', 'admin/structure/panels', 'Dashboard', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/panels/includes/callbacks.inc'),
('admin/structure/panels/layouts', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:4:"list";}', '', '15', 4, '1', 'admin/structure/panels', 'admin/structure/panels', 'Layouts', 't', '', '', 'a:0:{}', '132', 'Add, edit or delete custom content layouts.', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/add-flexible', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:3:"add";}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:3:"add";i:2;s:8:"flexible";}', '', '31', 5, '1', 'admin/structure/panels/layouts', 'admin/structure/panels', 'Add flexible layout', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/import', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:6:"import";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:6:"import";}', '', '31', 5, '1', 'admin/structure/panels/layouts', 'admin/structure/panels', 'Import', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:14:"panels_layouts";i:1;s:4:"list";}', '', '31', 5, '1', 'admin/structure/panels/layouts', 'admin/structure/panels', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:4:"edit";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:4:"edit";i:2;i:5;}', '', '62', 6, '0', '', 'admin/structure/panels/layouts/list/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/clone', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:5:"clone";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:5:"clone";i:2;i:5;}', '', '125', 7, '0', '', 'admin/structure/panels/layouts/list/%/clone', 'Clone', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/delete', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"delete";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"delete";i:2;i:5;}', '', '125', 7, '0', '', 'admin/structure/panels/layouts/list/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/disable', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:7:"disable";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:7:"disable";i:2;i:5;}', '', '125', 7, '0', '', 'admin/structure/panels/layouts/list/%/disable', 'Disable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/edit', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:4:"edit";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:4:"edit";i:2;i:5;}', '', '125', 7, '1', 'admin/structure/panels/layouts/list/%', 'admin/structure/panels/layouts/list/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/enable', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"enable";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"enable";i:2;i:5;}', '', '125', 7, '0', '', 'admin/structure/panels/layouts/list/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/export', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"export";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"export";i:2;i:5;}', '', '125', 7, '1', 'admin/structure/panels/layouts/list/%', 'admin/structure/panels/layouts/list/%', 'Export', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/layouts/list/%/revert', 'a:1:{i:5;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:14:"panels_layouts";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"revert";i:2;i:5;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:14:"panels_layouts";i:1;s:6:"delete";i:2;i:5;}', '', '125', 7, '0', '', 'admin/structure/panels/layouts/list/%/revert', 'Revert', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/panels/settings', '', '', 'user_access', 'a:1:{i:0;s:20:"use panels dashboard";}', 'drupal_get_form', 'a:1:{i:0;s:26:"panels_admin_settings_page";}', '', '15', 4, '1', 'admin/structure/panels', 'admin/structure/panels', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/panels/includes/callbacks.inc'),
('admin/structure/panels/settings/general', '', '', 'user_access', 'a:1:{i:0;s:23:"administer page manager";}', 'drupal_get_form', 'a:1:{i:0;s:26:"panels_admin_settings_page";}', '', '31', 5, '1', 'admin/structure/panels/settings', 'admin/structure/panels', 'General', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/panels/includes/callbacks.inc'),
('admin/structure/panels/settings/panel-page', '', '', 'user_access', 'a:1:{i:0;s:20:"use panels dashboard";}', 'panels_admin_panel_context_page', 'a:0:{}', '', '31', 5, '1', 'admin/structure/panels/settings', 'admin/structure/panels', 'Panel pages', 't', '', '', 'a:0:{}', '132', '', '', '-10', 'sites/all/modules/panels/includes/callbacks.inc'),
('admin/structure/panels/settings/panels-mini', '', '', 'user_access', 'a:1:{i:0;s:18:"create mini panels";}', 'panels_mini_settings', 'a:0:{}', '', '31', 5, '1', 'admin/structure/panels/settings', 'admin/structure/panels', 'Mini panels', 't', '', '', 'a:0:{}', '132', '', '', '0', ''),
('admin/structure/taxonomy', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}', '', '7', 3, '0', '', 'admin/structure/taxonomy', 'Taxonomy', 't', '', '', 'a:0:{}', '6', 'Manage tagging, categorization, and classification of your content.', '', '0', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/taxonomy/%', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}', '', '14', 4, '0', '', 'admin/structure/taxonomy/%', '', 'entity_label', 'a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;i:3;}', '', 'a:0:{}', '6', '', '', '0', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/taxonomy/%/add', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:3:{i:0;s:18:"taxonomy_form_term";i:1;a:0:{}i:2;i:3;}', '', '29', 5, '1', 'admin/structure/taxonomy/%', 'admin/structure/taxonomy/%', 'Add term', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/taxonomy/%/display', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:7:"default";}', '', '29', 5, '1', 'admin/structure/taxonomy/%', 'admin/structure/taxonomy/%', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/display/default', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:7:"default";}', '', '59', 6, '1', 'admin/structure/taxonomy/%/display', 'admin/structure/taxonomy/%', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/display/full', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:4:"full";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:4:"full";}', '', '59', 6, '1', 'admin/structure/taxonomy/%/display', 'admin/structure/taxonomy/%', 'Taxonomy term page', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/display/token', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;i:3;s:5:"token";}', '', '59', 6, '1', 'admin/structure/taxonomy/%/display', 'admin/structure/taxonomy/%', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/edit', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:24:"taxonomy_form_vocabulary";i:1;i:3;}', '', '29', 5, '1', 'admin/structure/taxonomy/%', 'admin/structure/taxonomy/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '-10', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/taxonomy/%/fields', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:13:"taxonomy_term";i:2;i:3;}', '', '29', 5, '1', 'admin/structure/taxonomy/%', 'admin/structure/taxonomy/%', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/fields/%', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}', '', '58', 6, '0', '', 'admin/structure/taxonomy/%/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:5;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/fields/%/delete', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:5;}', '', '117', 7, '1', 'admin/structure/taxonomy/%/fields/%', 'admin/structure/taxonomy/%/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/fields/%/edit', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:5;}', '', '117', 7, '1', 'admin/structure/taxonomy/%/fields/%', 'admin/structure/taxonomy/%/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/fields/%/field-settings', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:5;}', '', '117', 7, '1', 'admin/structure/taxonomy/%/fields/%', 'admin/structure/taxonomy/%/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/fields/%/widget-type', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:19:"administer taxonomy";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:5;}', '', '117', 7, '1', 'admin/structure/taxonomy/%/fields/%', 'admin/structure/taxonomy/%/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/taxonomy/%/groups/%/delete', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:5;}', '', '117', 7, '0', '', 'admin/structure/taxonomy/%/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/structure/taxonomy/%/groups/%/enable', 'a:2:{i:3;a:1:{s:37:"taxonomy_vocabulary_machine_name_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}i:5;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:13:"taxonomy_term";i:1;i:3;i:2;s:1:"3";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:5;}', '', '117', 7, '0', '', 'admin/structure/taxonomy/%/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/structure/taxonomy/%/list', 'a:1:{i:3;s:37:"taxonomy_vocabulary_machine_name_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}', '', '29', 5, '1', 'admin/structure/taxonomy/%', 'admin/structure/taxonomy/%', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-20', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/taxonomy/add', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:1:{i:0;s:24:"taxonomy_form_vocabulary";}', '', '15', 4, '1', 'admin/structure/taxonomy', 'admin/structure/taxonomy', 'Add vocabulary', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/taxonomy/list', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}', '', '15', 4, '1', 'admin/structure/taxonomy', 'admin/structure/taxonomy', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/taxonomy/taxonomy.admin.inc'),
('admin/structure/tb-megamenu', '', '', 'user_access', 'a:1:{i:0;s:22:"administer tb_megamenu";}', 'drupal_get_form', 'a:1:{i:0;s:26:"tb_megamenu_admin_settings";}', '', '7', 3, '0', '', 'admin/structure/tb-megamenu', 'TB Mega Menu', 't', '', '', 'a:0:{}', '6', 'TB Mega Menu', '', '0', 'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),
('admin/structure/tb-megamenu/%', 'a:1:{i:3;s:26:"tb_megamenu_menu_name_load";}', '', 'user_access', 'a:1:{i:0;s:22:"administer tb_megamenu";}', 'drupal_get_form', 'a:2:{i:0;s:26:"tb_megamenu_configure_form";i:1;i:3;}', '', '14', 4, '0', '', 'admin/structure/tb-megamenu/%', 'Config TB Mega Menu', 't', '', '', 'a:0:{}', '0', 'Config TB Mega Menu', '', '0', 'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),
('admin/structure/tb-megamenu/%/config', 'a:1:{i:3;s:26:"tb_megamenu_menu_name_load";}', '', 'user_access', 'a:1:{i:0;s:22:"administer tb_megamenu";}', 'drupal_get_form', 'a:2:{i:0;s:26:"tb_megamenu_configure_form";i:1;i:3;}', '', '29', 5, '3', 'admin/structure/tb-megamenu/%', 'admin/structure/tb-megamenu/%', 'Config TB Mega Menu', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),
('admin/structure/tb-megamenu/request', '', '', 'user_access', 'a:1:{i:0;s:22:"administer tb_megamenu";}', 'tb_megamenu_request', 'a:0:{}', '', '15', 4, '0', '', 'admin/structure/tb-megamenu/request', 'Request', 't', '', '', 'a:0:{}', '20', '', '', '0', 'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),
('admin/structure/trigger', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'trigger_assign', 'a:0:{}', '', '7', 3, '0', '', 'admin/structure/trigger', 'Triggers', 't', '', '', 'a:0:{}', '6', 'Configure when to execute actions.', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/trigger/comment', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'trigger_assign', 'a:1:{i:0;s:7:"comment";}', '', '15', 4, '1', 'admin/structure/trigger', 'admin/structure/trigger', 'Comment', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/trigger/node', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'trigger_assign', 'a:1:{i:0;s:4:"node";}', '', '15', 4, '1', 'admin/structure/trigger', 'admin/structure/trigger', 'Node', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/trigger/system', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'trigger_assign', 'a:1:{i:0;s:6:"system";}', '', '15', 4, '1', 'admin/structure/trigger', 'admin/structure/trigger', 'System', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/trigger/taxonomy', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'trigger_assign', 'a:1:{i:0;s:8:"taxonomy";}', '', '15', 4, '1', 'admin/structure/trigger', 'admin/structure/trigger', 'Taxonomy', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/trigger/unassign', '', '', 'trigger_menu_unassign_access', 'a:0:{}', 'drupal_get_form', 'a:1:{i:0;s:16:"trigger_unassign";}', '', '15', 4, '0', '', 'admin/structure/trigger/unassign', 'Unassign', 't', '', '', 'a:0:{}', '4', 'Unassign an action from a trigger.', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/trigger/user', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'trigger_assign', 'a:1:{i:0;s:4:"user";}', '', '15', 4, '1', 'admin/structure/trigger', 'admin/structure/trigger', 'User', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/trigger/trigger.admin.inc'),
('admin/structure/types', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'node_overview_types', 'a:0:{}', '', '7', 3, '0', '', 'admin/structure/types', 'Content types', 't', '', '', 'a:0:{}', '6', 'Manage content types, including default status, front page promotion, comment settings, etc.', '', '0', 'modules/node/content_types.inc'),
('admin/structure/types/add', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:1:{i:0;s:14:"node_type_form";}', '', '15', 4, '1', 'admin/structure/types', 'admin/structure/types', 'Add content type', 't', '', '', 'a:0:{}', '388', '', '', '0', 'modules/node/content_types.inc'),
('admin/structure/types/list', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'node_overview_types', 'a:0:{}', '', '15', 4, '1', 'admin/structure/types', 'admin/structure/types', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/node/content_types.inc'),
('admin/structure/types/manage/%', 'a:1:{i:4;s:14:"node_type_load";}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;i:4;}', '', '30', 5, '0', '', 'admin/structure/types/manage/%', 'Edit content type', 'node_type_page_title', 'a:1:{i:0;i:4;}', '', 'a:0:{}', '6', '', '', '0', 'modules/node/content_types.inc'),
('admin/structure/types/manage/%/comment/display', 'a:1:{i:4;s:22:"comment_node_type_load";}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:7:"default";}', '', '123', 7, '1', 'admin/structure/types/manage/%', 'admin/structure/types/manage/%', 'Comment display', 't', '', '', 'a:0:{}', '132', '', '', '4', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/display/default', 'a:1:{i:4;s:22:"comment_node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:7:"comment";i:1;i:4;i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:7:"default";}', '', '247', 8, '1', 'admin/structure/types/manage/%/comment/display', 'admin/structure/types/manage/%', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/display/full', 'a:1:{i:4;s:22:"comment_node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:7:"comment";i:1;i:4;i:2;s:4:"full";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:4:"full";}', '', '247', 8, '1', 'admin/structure/types/manage/%/comment/display', 'admin/structure/types/manage/%', 'Full comment', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/display/token', 'a:1:{i:4;s:22:"comment_node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:7:"comment";i:1;i:4;i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:7:"comment";i:2;i:4;i:3;s:5:"token";}', '', '247', 8, '1', 'admin/structure/types/manage/%/comment/display', 'admin/structure/types/manage/%', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/fields', 'a:1:{i:4;s:22:"comment_node_type_load";}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:7:"comment";i:2;i:4;}', '', '123', 7, '1', 'admin/structure/types/manage/%', 'admin/structure/types/manage/%', 'Comment fields', 't', '', '', 'a:0:{}', '132', '', '', '3', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/fields/%', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:7;}', '', '246', 8, '0', '', 'admin/structure/types/manage/%/comment/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:7;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/fields/%/delete', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:7;}', '', '493', 9, '1', 'admin/structure/types/manage/%/comment/fields/%', 'admin/structure/types/manage/%/comment/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/fields/%/edit', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:7;}', '', '493', 9, '1', 'admin/structure/types/manage/%/comment/fields/%', 'admin/structure/types/manage/%/comment/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/fields/%/field-settings', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:7;}', '', '493', 9, '1', 'admin/structure/types/manage/%/comment/fields/%', 'admin/structure/types/manage/%/comment/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/fields/%/widget-type', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:7;}', '', '493', 9, '1', 'admin/structure/types/manage/%/comment/fields/%', 'admin/structure/types/manage/%/comment/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/comment/groups/%/delete', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:7;}', '', '493', 9, '0', '', 'admin/structure/types/manage/%/comment/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/structure/types/manage/%/comment/groups/%/enable', 'a:2:{i:4;a:1:{s:22:"comment_node_type_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:7;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:7:"comment";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:7;}', '', '493', 9, '0', '', 'admin/structure/types/manage/%/comment/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/structure/types/manage/%/delete', 'a:1:{i:4;s:14:"node_type_load";}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;i:4;}', '', '61', 6, '0', '', 'admin/structure/types/manage/%/delete', 'Delete', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/content_types.inc'),
('admin/structure/types/manage/%/display', 'a:1:{i:4;s:14:"node_type_load";}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:7:"default";}', '', '61', 6, '1', 'admin/structure/types/manage/%', 'admin/structure/types/manage/%', 'Manage display', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/default', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:7:"default";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:7:"default";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'Default', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/full', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:4:"full";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:4:"full";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'Full content', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/rss', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:3:"rss";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:3:"rss";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'RSS', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/search_index', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:12:"search_index";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:12:"search_index";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'Search index', 't', '', '', 'a:0:{}', '132', '', '', '3', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/search_result', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:13:"search_result";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:13:"search_result";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'Search result highlighting input', 't', '', '', 'a:0:{}', '132', '', '', '4', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/teaser', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:6:"teaser";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:6:"teaser";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'Teaser', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/display/token', 'a:1:{i:4;s:14:"node_type_load";}', '', '_field_ui_view_mode_menu_access', 'a:6:{i:0;s:4:"node";i:1;i:4;i:2;s:5:"token";i:3;s:21:"field_ui_admin_access";i:4;s:11:"user_access";i:5;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:4:{i:0;s:30:"field_ui_display_overview_form";i:1;s:4:"node";i:2;i:4;i:3;s:5:"token";}', '', '123', 7, '1', 'admin/structure/types/manage/%/display', 'admin/structure/types/manage/%', 'Tokens', 't', '', '', 'a:0:{}', '132', '', '', '5', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/edit', 'a:1:{i:4;s:14:"node_type_load";}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;i:4;}', '', '61', 6, '1', 'admin/structure/types/manage/%', 'admin/structure/types/manage/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/node/content_types.inc'),
('admin/structure/types/manage/%/fields', 'a:1:{i:4;s:14:"node_type_load";}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:3:{i:0;s:28:"field_ui_field_overview_form";i:1;s:4:"node";i:2;i:4;}', '', '61', 6, '1', 'admin/structure/types/manage/%', 'admin/structure/types/manage/%', 'Manage fields', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/fields/%', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '122', 7, '0', '', 'admin/structure/types/manage/%/fields/%', '', 'field_ui_menu_title', 'a:1:{i:0;i:6;}', '', 'a:0:{}', '6', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/fields/%/delete', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:26:"field_ui_field_delete_form";i:1;i:6;}', '', '245', 8, '1', 'admin/structure/types/manage/%/fields/%', 'admin/structure/types/manage/%/fields/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/fields/%/edit', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:24:"field_ui_field_edit_form";i:1;i:6;}', '', '245', 8, '1', 'admin/structure/types/manage/%/fields/%', 'admin/structure/types/manage/%/fields/%', 'Edit', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/fields/%/field-settings', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:28:"field_ui_field_settings_form";i:1;i:6;}', '', '245', 8, '1', 'admin/structure/types/manage/%/fields/%', 'admin/structure/types/manage/%/fields/%', 'Field settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/fields/%/widget-type', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:18:"field_ui_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'field_ui_admin_access', 'a:2:{i:0;s:11:"user_access";i:1;a:1:{i:0;s:24:"administer content types";}}', 'drupal_get_form', 'a:2:{i:0;s:25:"field_ui_widget_type_form";i:1;i:6;}', '', '245', 8, '1', 'admin/structure/types/manage/%/fields/%', 'admin/structure/types/manage/%/fields/%', 'Widget type', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/field_ui/field_ui.admin.inc'),
('admin/structure/types/manage/%/groups/%/delete', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_delete_form";i:1;i:6;}', '', '245', 8, '0', '', 'admin/structure/types/manage/%/groups/%/delete', 'Delete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/structure/types/manage/%/groups/%/enable', 'a:2:{i:4;a:1:{s:14:"node_type_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}i:6;a:1:{s:21:"field_group_menu_load";a:4:{i:0;s:4:"node";i:1;i:4;i:2;s:1:"4";i:3;s:4:"%map";}}}', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:23:"field_group_enable_form";i:1;i:6;}', '', '245', 8, '0', '', 'admin/structure/types/manage/%/groups/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/field_group/field_group.field_ui.inc'),
('admin/structure/views', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}', '', '7', 3, '0', '', 'admin/structure/views', 'Views', 't', '', '', 'a:0:{}', '6', 'Manage customized lists of content.', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/add', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_add_page', 'a:0:{}', '', '15', 4, '1', 'admin/structure/views', 'admin/structure/views', 'Add new view', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/add-template', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_add_template_page', 'a:0:{}', '', '15', 4, '0', '', 'admin/structure/views/add-template', 'Add view from template', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/ajax/%/%', 'a:2:{i:4;N;i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_ajax_form', 'a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}', 'ajax_deliver', '60', 6, '0', '', 'admin/structure/views/ajax/%/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/ajax/preview/%/%', 'a:2:{i:5;s:19:"views_ui_cache_load";i:6;N;}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_preview', 'a:2:{i:0;i:5;i:1;i:6;}', 'ajax_deliver', '124', 7, '0', '', 'admin/structure/views/ajax/preview/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/import', '', '', 'views_import_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:20:"views_ui_import_page";}', '', '15', 4, '1', 'admin/structure/views', 'admin/structure/views', 'Import', 't', '', '', 'a:0:{}', '388', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/list', '', '', 'ctools_export_ui_task_access', 'a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}', 'ctools_export_ui_switcher_page', 'a:2:{i:0;s:8:"views_ui";i:1;s:4:"list";}', '', '15', 4, '1', 'admin/structure/views', 'admin/structure/views', 'List', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/nojs/%/%', 'a:2:{i:4;N;i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_ajax_form', 'a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}', '', '60', 6, '0', '', 'admin/structure/views/nojs/%/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/nojs/preview/%/%', 'a:2:{i:5;s:19:"views_ui_cache_load";i:6;N;}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_preview', 'a:2:{i:0;i:5;i:1;i:6;}', '', '124', 7, '0', '', 'admin/structure/views/nojs/preview/%/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/settings', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:29:"views_ui_admin_settings_basic";}', '', '15', 4, '1', 'admin/structure/views', 'admin/structure/views', 'Settings', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/settings/advanced', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:32:"views_ui_admin_settings_advanced";}', '', '31', 5, '1', 'admin/structure/views/settings', 'admin/structure/views', 'Advanced', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/settings/basic', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:29:"views_ui_admin_settings_basic";}', '', '31', 5, '1', 'admin/structure/views/settings', 'admin/structure/views', 'Basic', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/template/%/add', 'a:1:{i:4;N;}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:12:"add_template";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:12:"add_template";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/template/%/add', 'Add from template', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/view/%', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_edit_page', 'a:1:{i:0;i:4;}', '', '30', 5, '0', '', 'admin/structure/views/view/%', '', 'views_ui_edit_page_title', 'a:1:{i:0;i:4;}', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/view/%/break-lock', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:2:{i:0;s:27:"views_ui_break_lock_confirm";i:1;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/break-lock', 'Break lock', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/view/%/clone', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:5:"clone";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:5:"clone";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/clone', 'Clone', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/view/%/delete', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"delete";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"delete";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/delete', 'Delete', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/view/%/disable', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:7:"disable";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:7:"disable";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/disable', 'Disable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/view/%/edit', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_edit_page', 'a:1:{i:0;i:4;}', '', '61', 6, '3', 'admin/structure/views/view/%', 'admin/structure/views/view/%', 'Edit view', 't', '', 'ajax_base_page_theme', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/view/%/edit/%/ajax', 'a:2:{i:4;s:19:"views_ui_cache_load";i:6;N;}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_ajax_get_form', 'a:3:{i:0;s:18:"views_ui_edit_form";i:1;i:4;i:2;i:6;}', 'ajax_deliver', '245', 8, '0', '', 'admin/structure/views/view/%/edit/%/ajax', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/view/%/enable', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"enable";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"enable";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/enable', 'Enable', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/view/%/export', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"export";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"export";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/export', 'Export', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/structure/views/view/%/preview/%', 'a:2:{i:4;s:19:"views_ui_cache_load";i:6;N;}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_build_preview', 'a:2:{i:0;i:4;i:1;i:6;}', '', '122', 7, '3', '', 'admin/structure/views/view/%/preview/%', '', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/view/%/preview/%/ajax', 'a:2:{i:4;s:19:"views_ui_cache_load";i:6;N;}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_build_preview', 'a:2:{i:0;i:4;i:1;i:6;}', 'ajax_deliver', '245', 8, '0', '', 'admin/structure/views/view/%/preview/%/ajax', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/structure/views/view/%/revert', 'a:1:{i:4;a:1:{s:21:"ctools_export_ui_load";a:1:{i:0;s:8:"views_ui";}}}', '', 'ctools_export_ui_task_access', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"revert";i:2;i:4;}', 'ctools_export_ui_switcher_page', 'a:3:{i:0;s:8:"views_ui";i:1;s:6:"delete";i:2;i:4;}', '', '61', 6, '0', '', 'admin/structure/views/view/%/revert', 'Revert', 't', '', '', 'a:0:{}', '4', '', '', '0', 'sites/all/modules/ctools/includes/export-ui.inc'),
('admin/tasks', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', '', '3', 2, '1', 'admin', 'admin', 'Tasks', 't', '', '', 'a:0:{}', '140', '', '', '-20', 'modules/system/system.admin.inc'),
('admin/update/ready', '', '', 'update_manager_access', 'a:0:{}', 'drupal_get_form', 'a:1:{i:0;s:32:"update_manager_update_ready_form";}', '', '7', 3, '0', '', 'admin/update/ready', 'Ready to update', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/update/update.manager.inc');
INSERT INTO `menu_router` VALUES
('admin/views/ajax/autocomplete/tag', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_autocomplete_tag', 'a:0:{}', '', '31', 5, '0', '', 'admin/views/ajax/autocomplete/tag', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/admin.inc'),
('admin/views/ajax/autocomplete/taxonomy', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'views_ajax_autocomplete_taxonomy', 'a:0:{}', '', '31', 5, '0', '', 'admin/views/ajax/autocomplete/taxonomy', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/ajax.inc'),
('admin/views/ajax/autocomplete/user', '', '', 'user_access', 'a:1:{i:0;s:20:"access user profiles";}', 'views_ajax_autocomplete_user', 'a:0:{}', '', '31', 5, '0', '', 'admin/views/ajax/autocomplete/user', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/views/includes/ajax.inc'),
('admin_menu/flush-cache', '', '', 'user_access', 'a:1:{i:0;s:12:"flush caches";}', 'admin_menu_flush_cache', 'a:0:{}', '', '3', 2, '0', '', 'admin_menu/flush-cache', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/admin_menu/admin_menu.inc'),
('aggregator', '', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_last', 'a:0:{}', '', '1', 1, '0', '', 'aggregator', 'Feed aggregator', 't', '', '', 'a:0:{}', '6', '', '', '5', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/categories', '', '', '_aggregator_has_categories', 'a:0:{}', 'aggregator_page_categories', 'a:0:{}', '', '3', 2, '0', '', 'aggregator/categories', 'Categories', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/categories/%', 'a:1:{i:2;s:24:"aggregator_category_load";}', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_category', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'aggregator/categories/%', '', '_aggregator_category_title', 'a:1:{i:0;i:2;}', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/categories/%/categorize', 'a:1:{i:2;s:24:"aggregator_category_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:29:"aggregator_page_category_form";i:1;i:2;}', '', '13', 4, '1', 'aggregator/categories/%', 'aggregator/categories/%', 'Categorize', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/categories/%/configure', 'a:1:{i:2;s:24:"aggregator_category_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:24:"aggregator_form_category";i:1;i:2;}', '', '13', 4, '1', 'aggregator/categories/%', 'aggregator/categories/%', 'Configure', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/aggregator/aggregator.admin.inc'),
('aggregator/categories/%/view', 'a:1:{i:2;s:24:"aggregator_category_load";}', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_category', 'a:1:{i:0;i:2;}', '', '13', 4, '1', 'aggregator/categories/%', 'aggregator/categories/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/opml', '', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_opml', 'a:0:{}', '', '3', 2, '0', '', 'aggregator/opml', 'OPML feed', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/rss', '', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_rss', 'a:0:{}', '', '3', 2, '0', '', 'aggregator/rss', 'RSS feed', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/sources', '', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_sources', 'a:0:{}', '', '3', 2, '0', '', 'aggregator/sources', 'Sources', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/sources/%', 'a:1:{i:2;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_source', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'aggregator/sources/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/sources/%/categorize', 'a:1:{i:2;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:27:"aggregator_page_source_form";i:1;i:2;}', '', '13', 4, '1', 'aggregator/sources/%', 'aggregator/sources/%', 'Categorize', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/aggregator/aggregator.pages.inc'),
('aggregator/sources/%/configure', 'a:1:{i:2;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer news feeds";}', 'drupal_get_form', 'a:2:{i:0;s:20:"aggregator_form_feed";i:1;i:2;}', '', '13', 4, '1', 'aggregator/sources/%', 'aggregator/sources/%', 'Configure', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/aggregator/aggregator.admin.inc'),
('aggregator/sources/%/view', 'a:1:{i:2;s:20:"aggregator_feed_load";}', '', 'user_access', 'a:1:{i:0;s:17:"access news feeds";}', 'aggregator_page_source', 'a:1:{i:0;i:2;}', '', '13', 4, '1', 'aggregator/sources/%', 'aggregator/sources/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'modules/aggregator/aggregator.pages.inc'),
('alert-boxes-and-callouts', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:24:"alert_boxes_and_callouts";}', '', '1', 1, '0', '', 'alert-boxes-and-callouts', 'Alert boxes and callouts', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('batch', '', '', '1', 'a:0:{}', 'system_batch_page', 'a:0:{}', '', '1', 1, '0', '', 'batch', '', 't', '', '_system_batch_theme', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('blog', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'blog_page_last', 'a:0:{}', '', '1', 1, '0', '', 'blog', 'Blogs', 't', '', '', 'a:0:{}', '20', '', '', '0', 'modules/blog/blog.pages.inc'),
('blog-masonry-v1-3-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:4:"blog";i:1;s:4:"page";}', '', '1', 1, '0', '', 'blog-masonry-v1-3-cols', '3 Column Masonry v1 Blog', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('blog-masonry-v1-4-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:4:"blog";i:1;s:6:"page_3";}', '', '1', 1, '0', '', 'blog-masonry-v1-4-cols', '4 Column Masonry v1 Blog', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('blog/%', 'a:1:{i:1;s:22:"user_uid_optional_load";}', 'a:1:{i:1;s:24:"user_uid_optional_to_arg";}', 'blog_page_user_access', 'a:1:{i:0;i:1;}', 'blog_page_user', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'blog/%', 'My blog', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/blog/blog.pages.inc'),
('blog/%/feed', 'a:1:{i:1;s:9:"user_load";}', '', 'blog_page_user_access', 'a:1:{i:0;i:1;}', 'blog_feed_user', 'a:1:{i:0;i:1;}', '', '5', 3, '0', '', 'blog/%/feed', 'Blogs', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/blog/blog.pages.inc'),
('blog/feed', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'blog_feed_last', 'a:0:{}', '', '3', 2, '0', '', 'blog/feed', 'Blogs', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/blog/blog.pages.inc'),
('buttons', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:7:"buttons";}', '', '1', 1, '0', '', 'buttons', 'Buttons', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('carousel-sliders', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:16:"carousel_sliders";}', '', '1', 1, '0', '', 'carousel-sliders', 'Carousel Sliders', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('cart', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'commerce_cart_view', 'a:0:{}', '', '1', 1, '0', '', 'cart', 'Shopping cart', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/commerce/modules/cart/includes/commerce_cart.pages.inc'),
('cart/my', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'commerce_cart_menu_item_redirect', 'a:0:{}', '', '3', 2, '0', '', 'cart/my', 'Shopping cart (# items)', 'commerce_cart_menu_item_title', 'a:1:{i:0;b:1;}', '', 'a:0:{}', '20', '', '', '0', ''),
('checkout', '', '', 'user_access', 'a:1:{i:0;s:15:"access checkout";}', 'commerce_cart_checkout_router', 'a:0:{}', '', '1', 1, '0', '', 'checkout', 'Checkout', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/commerce/modules/cart/includes/commerce_cart.pages.inc'),
('checkout/%', 'a:1:{i:1;s:19:"commerce_order_load";}', '', 'user_access', 'a:1:{i:0;s:15:"access checkout";}', 'commerce_checkout_router', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'checkout/%', 'Checkout', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.pages.inc'),
('checkout/%/%', 'a:2:{i:1;s:19:"commerce_order_load";i:2;s:27:"commerce_checkout_page_load";}', '', 'user_access', 'a:1:{i:0;s:15:"access checkout";}', 'commerce_checkout_router', 'a:2:{i:0;i:1;i:1;i:2;}', '', '4', 3, '0', '', 'checkout/%/%', 'Checkout', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/commerce/modules/checkout/includes/commerce_checkout.pages.inc'),
('columns', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:7:"columns";}', '', '1', 1, '0', '', 'columns', 'Columns', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('coming-soon-1', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:13:"coming_soon_1";}', '', '1', 1, '0', '', 'coming-soon-1', 'Coming soon page 1', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('coming-soon-2', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:13:"coming_soon_2";}', '', '1', 1, '0', '', 'coming-soon-2', 'Coming soon page 2', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('coming-soon-3', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:13:"coming_soon_3";}', '', '1', 1, '0', '', 'coming-soon-3', 'Coming soon page 3', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('coming-soon-4', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:13:"coming_soon_4";}', '', '1', 1, '0', '', 'coming-soon-4', 'Coming soon page 4', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('coming-soon-5', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:13:"coming_soon_5";}', '', '1', 1, '0', '', 'coming-soon-5', 'Coming soon page 5', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('comment/%', 'a:1:{i:1;N;}', '', 'user_access', 'a:1:{i:0;s:15:"access comments";}', 'comment_permalink', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'comment/%', 'Comment permalink', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('comment/%/approve', 'a:1:{i:1;N;}', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_approve', 'a:1:{i:0;i:1;}', '', '5', 3, '0', '', 'comment/%/approve', 'Approve', 't', '', '', 'a:0:{}', '6', '', '', '1', 'modules/comment/comment.pages.inc'),
('comment/%/delete', 'a:1:{i:1;N;}', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_confirm_delete_page', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'comment/%', 'comment/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/comment/comment.admin.inc'),
('comment/%/edit', 'a:1:{i:1;s:12:"comment_load";}', '', 'comment_access', 'a:2:{i:0;s:4:"edit";i:1;i:1;}', 'comment_edit_page', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'comment/%', 'comment/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '0', ''),
('comment/%/view', 'a:1:{i:1;N;}', '', 'user_access', 'a:1:{i:0;s:15:"access comments";}', 'comment_permalink', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'comment/%', 'comment/%', 'View comment', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('comment/reply/%', 'a:1:{i:2;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:4:"view";i:1;i:2;}', 'comment_reply', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'comment/reply/%', 'Add new comment', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/comment/comment.pages.inc'),
('commerce/coupons/order/remove/%/%', 'a:2:{i:4;s:20:"commerce_coupon_load";i:5;s:19:"commerce_order_load";}', '', 'user_access', 'a:1:{i:0;s:15:"access checkout";}', 'commerce_coupon_ui_coupon_remove_coupon_from_order', 'a:2:{i:0;i:4;i:1;i:5;}', '', '60', 6, '0', '', 'commerce/coupons/order/remove/%/%', 'Delete from order', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('commerce_currency_select/%', 'a:1:{i:1;N;}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'commerce_multicurrency_set_user_currency_code_callback', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'commerce_currency_select/%', 'Set Active Currency', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('commerce_paypal/ipn', '', '', '1', 'a:0:{}', 'commerce_paypal_process_ipn', 'a:0:{}', '', '3', 2, '0', '', 'commerce_paypal/ipn', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('commerce_paypal/ipn/%', 'a:1:{i:2;s:37:"commerce_payment_method_instance_load";}', '', '1', 'a:0:{}', 'commerce_paypal_process_ipn', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'commerce_paypal/ipn/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('commerce_pdm/get_node_info/%', 'a:1:{i:2;N;}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', '_commerce_pdm_get_node_info', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'commerce_pdm/get_node_info/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('commerce_pqr/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', '_commerce_pdm_existing_displays_autocomplete', 'a:0:{}', '', '3', 2, '0', '', 'commerce_pqr/autocomplete', 'Autocomplete for existing display nodes', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('commerce_product/autocomplete', '', '', '1', 'a:0:{}', 'commerce_product_autocomplete', 'a:0:{}', '', '3', 2, '0', '', 'commerce_product/autocomplete', 'commerce_product autocomplete', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('contact', '', '', 'user_access', 'a:1:{i:0;s:29:"access site-wide contact form";}', 'drupal_get_form', 'a:1:{i:0;s:17:"contact_site_form";}', '', '1', 1, '0', '', 'contact', 'Contact', 't', '', '', 'a:0:{}', '20', '', '', '0', 'modules/contact/contact.pages.inc'),
('contacts', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:8:"contacts";}', '', '1', 1, '0', '', 'contacts', 'Contacts', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('counters', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:8:"counters";}', '', '1', 1, '0', '', 'counters', 'Counters', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('ctools/autocomplete/%', 'a:1:{i:2;N;}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_content_autocomplete_entity', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'ctools/autocomplete/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/content.menu.inc'),
('ctools/context/ajax/access/add', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_access_ajax_add', 'a:0:{}', '', '31', 5, '0', '', 'ctools/context/ajax/access/add', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/context-access-admin.inc'),
('ctools/context/ajax/access/configure', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_access_ajax_edit', 'a:0:{}', '', '31', 5, '0', '', 'ctools/context/ajax/access/configure', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/context-access-admin.inc'),
('ctools/context/ajax/access/delete', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_access_ajax_delete', 'a:0:{}', '', '31', 5, '0', '', 'ctools/context/ajax/access/delete', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/context-access-admin.inc'),
('ctools/context/ajax/add', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_context_ajax_item_add', 'a:0:{}', '', '15', 4, '0', '', 'ctools/context/ajax/add', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/context-admin.inc'),
('ctools/context/ajax/configure', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_context_ajax_item_edit', 'a:0:{}', '', '15', 4, '0', '', 'ctools/context/ajax/configure', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/context-admin.inc'),
('ctools/context/ajax/delete', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'ctools_context_ajax_item_delete', 'a:0:{}', '', '15', 4, '0', '', 'ctools/context/ajax/delete', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/includes/context-admin.inc'),
('demo/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'demo_autocomplete', 'a:0:{}', '', '3', 2, '0', '', 'demo/autocomplete', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/demo/demo.admin.inc'),
('demo/download', '', '', 'user_access', 'a:1:{i:0;s:24:"administer demo settings";}', 'demo_download', 'a:0:{}', '', '3', 2, '0', '', 'demo/download', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/demo/demo.admin.inc'),
('dividers', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:8:"dividers";}', '', '1', 1, '0', '', 'dividers', 'Dividers', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('dropcaps', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:8:"dropcaps";}', '', '1', 1, '0', '', 'dropcaps', 'Dropcaps', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('email/%/%/%', 'a:3:{i:1;N;i:2;N;i:3;N;}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'email_mail_page', 'a:3:{i:0;i:1;i:1;i:2;i:2;i:3;}', '', '8', 4, '0', '', 'email/%/%/%', 'Email Contact Form', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('entityreference/autocomplete/single/%/%/%', 'a:3:{i:3;N;i:4;N;i:5;N;}', '', 'entityreference_autocomplete_access_callback', 'a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}', 'entityreference_autocomplete_callback', 'a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}', '', '56', 6, '0', '', 'entityreference/autocomplete/single/%/%/%', 'Entity Reference Autocomplete', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('entityreference/autocomplete/tags/%/%/%', 'a:3:{i:3;N;i:4;N;i:5;N;}', '', 'entityreference_autocomplete_access_callback', 'a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}', 'entityreference_autocomplete_callback', 'a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}', '', '56', 6, '0', '', 'entityreference/autocomplete/tags/%/%/%', 'Entity Reference Autocomplete', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('file/ajax', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'file_ajax_upload', 'a:0:{}', 'ajax_deliver', '3', 2, '0', '', 'file/ajax', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', ''),
('file/progress', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'file_ajax_progress', 'a:0:{}', '', '3', 2, '0', '', 'file/progress', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', ''),
('filter/tips', '', '', '1', 'a:0:{}', 'filter_tips_long', 'a:0:{}', '', '3', 2, '0', '', 'filter/tips', 'Compose tips', 't', '', '', 'a:0:{}', '20', '', '', '0', 'modules/filter/filter.pages.inc'),
('filter/tips/%', 'a:1:{i:2;s:18:"filter_format_load";}', '', 'filter_access', 'a:1:{i:0;i:2;}', 'filter_tips_long', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'filter/tips/%', 'Compose tips', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/filter/filter.pages.inc'),
('forms', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:5:"forms";}', '', '1', 1, '0', '', 'forms', 'Forms', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('forum', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'forum_page', 'a:0:{}', '', '1', 1, '0', '', 'forum', 'Forums', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/forum/forum.pages.inc'),
('forum/%', 'a:1:{i:1;s:16:"forum_forum_load";}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'forum_page', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'forum/%', 'Forums', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/forum/forum.pages.inc'),
('home-2', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:6:"home_2";}', '', '1', 1, '0', '', 'home-2', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('home-3', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:6:"home_3";}', '', '1', 1, '0', '', 'home-3', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('home-4', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:6:"home_4";}', '', '1', 1, '0', '', 'home-4', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('home-5', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:6:"home_5";}', '', '1', 1, '0', '', 'home-5', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('icon-boxes', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:10:"icon_boxes";}', '', '1', 1, '0', '', 'icon-boxes', 'Icon-boxes', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('image-positions', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:15:"image_positions";}', '', '1', 1, '0', '', 'image-positions', 'Image Positions', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('js/admin_menu/cache', '', '', 'user_access', 'a:1:{i:0;s:26:"access administration menu";}', 'admin_menu_js_cache', 'a:0:{}', 'admin_menu_deliver', '7', 3, '0', '', 'js/admin_menu/cache', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('lists', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:5:"lists";}', '', '1', 1, '0', '', 'lists', 'Lists', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('media/%', 'a:1:{i:1;s:9:"file_load";}', '', 'media_access', 'a:1:{i:0;s:4:"view";}', 'media_view_page', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'media/%', '', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/media/includes/media.pages.inc'),
('media/%/delete', 'a:1:{i:1;s:9:"file_load";}', '', 'media_access', 'a:1:{i:0;s:4:"edit";}', 'media_page_delete', 'a:1:{i:0;i:1;}', '', '5', 3, '3', 'media/%', 'media/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/media/includes/media.pages.inc'),
('media/%/edit', 'a:1:{i:1;s:9:"file_load";}', '', 'media_access', 'a:1:{i:0;s:4:"edit";}', 'media_page_edit', 'a:1:{i:0;i:1;}', '', '5', 3, '3', 'media/%', 'media/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/media/includes/media.pages.inc'),
('media/%/format-form', 'a:1:{i:1;s:9:"file_load";}', '', 'media_access', 'a:1:{i:0;s:4:"view";}', 'drupal_get_form', 'a:2:{i:0;s:17:"media_format_form";i:1;i:1;}', '', '5', 3, '0', '', 'media/%/format-form', 'Style selector', 't', '', 'media_dialog_get_theme_name', 'a:0:{}', '6', 'Choose a format for a piece of media', '', '0', 'sites/all/modules/media/includes/media.filter.inc'),
('media/%/multiedit', 'a:1:{i:1;s:16:"media_multi_load";}', '', 'media_access', 'a:1:{i:0;s:4:"edit";}', 'media_page_multiedit', 'a:1:{i:0;i:1;}', '', '5', 3, '0', '', 'media/%/multiedit', 'Multi Edit', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/media/includes/media.pages.inc'),
('media/%/view', 'a:1:{i:1;s:9:"file_load";}', '', 'media_access', 'a:1:{i:0;s:4:"view";}', 'media_view_page', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'media/%', 'media/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '-10', 'sites/all/modules/media/includes/media.pages.inc'),
('media/browser', '', '', 'media_access', 'a:1:{i:0;s:4:"view";}', 'media_browser', 'a:0:{}', '', '3', 2, '0', '', 'media/browser', 'Media browser', 't', '', 'media_dialog_get_theme_name', 'a:0:{}', '0', 'Media Browser for picking media and uploading new media', '', '0', 'sites/all/modules/media/includes/media.browser.inc'),
('media/browser/library', '', '', 'media_access', 'a:1:{i:0;s:4:"view";}', 'media_browser_library', 'a:0:{}', '', '7', 3, '0', '', 'media/browser/library', 'Media browser library', 't', '', 'media_dialog_get_theme_name', 'a:0:{}', '0', 'Media Browser for picking media and uploading new media', '', '0', 'sites/all/modules/media/includes/media.browser.inc'),
('media/browser/list', '', '', 'media_access', 'a:1:{i:0;s:4:"view";}', 'media_browser_list', 'a:0:{}', '', '7', 3, '0', '', 'media/browser/list', 'Media browser list', 't', '', 'media_dialog_get_theme_name', 'a:0:{}', '0', 'Ajax Callback for getting media', '', '0', 'sites/all/modules/media/includes/media.browser.inc'),
('media/browser/testbed', '', '', 'user_access', 'a:1:{i:0;s:16:"administer media";}', 'drupal_get_form', 'a:1:{i:0;s:21:"media_browser_testbed";}', '', '7', 3, '0', '', 'media/browser/testbed', 'Media Browser test', 't', '', 'media_dialog_get_theme_name', 'a:0:{}', '0', 'Make it easier to test media browser', '', '0', 'sites/all/modules/media/includes/media.browser.inc'),
('node', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'node_page_default', 'a:0:{}', '', '1', 1, '0', '', 'node', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('node/%', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:4:"view";i:1;i:1;}', 'node_page_view', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'node/%', '', 'node_page_title', 'a:1:{i:0;i:1;}', '', 'a:0:{}', '6', '', '', '0', ''),
('node/%/delete', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:6:"delete";i:1;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:19:"node_delete_confirm";i:1;i:1;}', '', '5', 3, '2', 'node/%', 'node/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '1', 'modules/node/node.pages.inc'),
('node/%/done', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_confirmation_page_access', 'a:1:{i:0;i:1;}', '_webform_confirmation', 'a:1:{i:0;i:1;}', '', '5', 3, '0', '', 'node/%/done', 'Webform confirmation', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('node/%/edit', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:6:"update";i:1;i:1;}', 'node_page_edit', 'a:1:{i:0;i:1;}', '', '5', 3, '3', 'node/%', 'node/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/node/node.pages.inc'),
('node/%/products', 'a:1:{i:1;s:9:"node_load";}', '', 'commerce_pdm_access_products_tab', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:39:"commerce_pdm_display_node_products_form";i:1;i:1;}', '', '5', 3, '1', 'node/%', 'node/%', 'Products', 't', '', '', 'a:0:{}', '132', '', '', '0', ''),
('node/%/results', 'a:1:{i:1;s:9:"node_load";}', '', '_poll_menu_access', 'a:3:{i:0;i:1;i:1;s:14:"access content";i:2;b:1;}', 'poll_results', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'node/%', 'node/%', 'Results', 't', '', '', 'a:0:{}', '132', '', '', '3', 'modules/poll/poll.pages.inc'),
('node/%/revisions', 'a:1:{i:1;s:9:"node_load";}', '', '_node_revision_access', 'a:1:{i:0;i:1;}', 'node_revision_overview', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'node/%', 'node/%', 'Revisions', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/node/node.pages.inc'),
('node/%/revisions/%/delete', 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}', '', '_node_revision_access', 'a:2:{i:0;i:1;i:1;s:6:"delete";}', 'drupal_get_form', 'a:2:{i:0;s:28:"node_revision_delete_confirm";i:1;i:1;}', '', '21', 5, '0', '', 'node/%/revisions/%/delete', 'Delete earlier revision', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/%/revisions/%/revert', 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}', '', '_node_revision_access', 'a:2:{i:0;i:1;i:1;s:6:"update";}', 'drupal_get_form', 'a:2:{i:0;s:28:"node_revision_revert_confirm";i:1;i:1;}', '', '21', 5, '0', '', 'node/%/revisions/%/revert', 'Revert to earlier revision', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/%/revisions/%/view', 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}', '', '_node_revision_access', 'a:1:{i:0;i:1;}', 'node_show', 'a:2:{i:0;i:1;i:1;b:1;}', '', '21', 5, '0', '', 'node/%/revisions/%/view', 'Revisions', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('node/%/submission/%', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:3;a:1:{s:28:"webform_menu_submission_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_submission_access', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:4:"view";}', 'webform_submission_page', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:4:"html";}', '', '10', 4, '0', '', 'node/%/submission/%', 'Webform submission', 'webform_submission_title', 'a:2:{i:0;i:1;i:1;i:3;}', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/webform/includes/webform.submissions.inc'),
('node/%/submission/%/delete', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:3;a:1:{s:28:"webform_menu_submission_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_submission_access', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:6:"delete";}', 'drupal_get_form', 'a:3:{i:0;s:30:"webform_submission_delete_form";i:1;i:1;i:2;i:3;}', '', '21', 5, '1', 'node/%/submission/%', 'node/%/submission/%', 'Delete', 't', '', '', 'a:0:{}', '132', '', '', '2', 'sites/all/modules/webform/includes/webform.submissions.inc'),
('node/%/submission/%/edit', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:3;a:1:{s:28:"webform_menu_submission_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_submission_access', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:4:"edit";}', 'webform_submission_page', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:4:"form";}', '', '21', 5, '1', 'node/%/submission/%', 'node/%/submission/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/webform/includes/webform.submissions.inc'),
('node/%/submission/%/resend', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:3;a:1:{s:28:"webform_menu_submission_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:3:{i:0;s:25:"webform_submission_resend";i:1;i:1;i:2;i:3;}', '', '21', 5, '0', '', 'node/%/submission/%/resend', 'Resend e-mails', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/webform/includes/webform.submissions.inc'),
('node/%/submission/%/view', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:3;a:1:{s:28:"webform_menu_submission_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_submission_access', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:4:"view";}', 'webform_submission_page', 'a:3:{i:0;i:1;i:1;i:3;i:2;s:4:"html";}', '', '21', 5, '1', 'node/%/submission/%', 'node/%/submission/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/webform/includes/webform.submissions.inc'),
('node/%/submissions', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_submission_access', 'a:3:{i:0;i:1;i:1;N;i:2;s:4:"list";}', 'webform_results_submissions', 'a:3:{i:0;i:1;i:1;b:1;i:2;s:2:"50";}', '', '5', 3, '0', '', 'node/%/submissions', 'Submissions', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/track', 'a:1:{i:1;s:9:"node_load";}', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_node_tracker', 'a:0:{}', '', '5', 3, '1', 'node/%', 'node/%', 'Track', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/statistics/statistics.pages.inc'),
('node/%/view', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:4:"view";i:1;i:1;}', 'node_page_view', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'node/%', 'node/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('node/%/votes', 'a:1:{i:1;s:9:"node_load";}', '', '_poll_menu_access', 'a:3:{i:0;i:1;i:1;s:17:"inspect all votes";i:2;b:0;}', 'poll_votes', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'node/%', 'node/%', 'Votes', 't', '', '', 'a:0:{}', '132', '', '', '3', 'modules/poll/poll.pages.inc'),
('node/%/webform', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'webform_components_page', 'a:1:{i:0;i:1;}', '', '5', 3, '3', 'node/%', 'node/%', 'Webform', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/webform/includes/webform.components.inc'),
('node/%/webform-results', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_submissions', 'a:3:{i:0;i:1;i:1;b:0;i:2;s:2:"50";}', '', '5', 3, '3', 'node/%', 'node/%', 'Results', 't', '', '', 'a:0:{}', '132', '', '', '2', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/analysis', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_analysis', 'a:1:{i:0;i:1;}', '', '11', 4, '1', 'node/%/webform-results', 'node/%', 'Analysis', 't', '', '', 'a:0:{}', '132', '', '', '5', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/analysis/%', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:"webform_menu_component_load";a:2:{i:0;i:1;i:1;i:4;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_analysis', 'a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}', '', '22', 5, '1', 'node/%/webform-results/analysis', 'node/%', 'Analysis', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/analysis/%/more', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:"webform_menu_component_load";a:2:{i:0;i:1;i:1;i:4;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_analysis', 'a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}', '', '45', 6, '1', 'node/%/webform-results/analysis/%', 'node/%', 'In-depth analysis', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/clear', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_clear_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:26:"webform_results_clear_form";i:1;i:1;}', '', '11', 4, '1', 'node/%/webform-results', 'node/%', 'Clear', 't', '', '', 'a:0:{}', '132', '', '', '8', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/download', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:29:"webform_results_download_form";i:1;i:1;}', '', '11', 4, '1', 'node/%/webform-results', 'node/%', 'Download', 't', '', '', 'a:0:{}', '132', '', '', '7', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/download-file', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_download_callback', 'a:1:{i:0;i:1;}', '', '11', 4, '0', '', 'node/%/webform-results/download-file', 'Download', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/submissions', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_submissions', 'a:3:{i:0;i:1;i:1;b:0;i:2;s:2:"50";}', '', '11', 4, '1', 'node/%/webform-results', 'node/%', 'Submissions', 't', '', '', 'a:0:{}', '140', '', '', '4', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform-results/table', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_results_access', 'a:1:{i:0;i:1;}', 'webform_results_table', 'a:2:{i:0;i:1;i:1;s:2:"50";}', '', '11', 4, '1', 'node/%/webform-results', 'node/%', 'Table', 't', '', '', 'a:0:{}', '132', '', '', '6', 'sites/all/modules/webform/includes/webform.report.inc'),
('node/%/webform/components', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'webform_components_page', 'a:1:{i:0;i:1;}', '', '11', 4, '1', 'node/%/webform', 'node/%', 'Form components', 't', '', '', 'a:0:{}', '140', '', '', '0', 'sites/all/modules/webform/includes/webform.components.inc'),
('node/%/webform/components/%', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:"webform_menu_component_load";a:2:{i:0;i:1;i:1;i:5;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:4:{i:0;s:27:"webform_component_edit_form";i:1;i:1;i:2;i:4;i:3;b:0;}', '', '22', 5, '1', 'node/%/webform/components', 'node/%', '', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.components.inc'),
('node/%/webform/components/%/clone', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:"webform_menu_component_load";a:2:{i:0;i:1;i:1;i:5;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:4:{i:0;s:27:"webform_component_edit_form";i:1;i:1;i:2;i:4;i:3;b:1;}', '', '45', 6, '1', 'node/%/webform/components/%', 'node/%', '', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.components.inc'),
('node/%/webform/components/%/delete', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:"webform_menu_component_load";a:2:{i:0;i:1;i:1;i:5;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:3:{i:0;s:29:"webform_component_delete_form";i:1;i:1;i:2;i:4;}', '', '45', 6, '1', 'node/%/webform/components/%', 'node/%', '', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.components.inc'),
('node/%/webform/conditionals', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:25:"webform_conditionals_form";i:1;i:1;}', '', '11', 4, '1', 'node/%/webform', 'node/%', 'Conditionals', 't', '', '', 'a:0:{}', '132', '', '', '1', 'sites/all/modules/webform/includes/webform.conditionals.inc'),
('node/%/webform/configure', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:22:"webform_configure_form";i:1;i:1;}', '', '11', 4, '1', 'node/%/webform', 'node/%', 'Form settings', 't', '', '', 'a:0:{}', '132', '', '', '5', 'sites/all/modules/webform/includes/webform.pages.inc'),
('node/%/webform/emails', 'a:1:{i:1;s:17:"webform_menu_load";}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:19:"webform_emails_form";i:1;i:1;}', '', '11', 4, '1', 'node/%/webform', 'node/%', 'E-mails', 't', '', '', 'a:0:{}', '132', '', '', '4', 'sites/all/modules/webform/includes/webform.emails.inc'),
('node/%/webform/emails/%', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:4;a:1:{s:23:"webform_menu_email_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:3:{i:0;s:23:"webform_email_edit_form";i:1;i:1;i:2;i:4;}', '', '22', 5, '1', 'node/%/webform/emails', 'node/%', '', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.emails.inc'),
('node/%/webform/emails/%/clone', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:4;a:1:{s:23:"webform_menu_email_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:4:{i:0;s:23:"webform_email_edit_form";i:1;i:1;i:2;i:4;i:3;b:1;}', '', '45', 6, '1', 'node/%/webform/emails/%', 'node/%', '', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.emails.inc'),
('node/%/webform/emails/%/delete', 'a:2:{i:1;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:1;}}i:4;a:1:{s:23:"webform_menu_email_load";a:1:{i:0;i:1;}}}', 'a:1:{i:1;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:3:{i:0;s:25:"webform_email_delete_form";i:1;i:1;i:2;i:4;}', '', '45', 6, '1', 'node/%/webform/emails/%', 'node/%', '', 't', '', '', 'a:0:{}', '132', '', '', '0', 'sites/all/modules/webform/includes/webform.emails.inc'),
('node/add', '', '', '_node_add_access', 'a:0:{}', 'node_add_page', 'a:0:{}', '', '3', 2, '0', '', 'node/add', 'Add content', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/article', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:7:"article";}', 'node_add', 'a:1:{i:0;s:7:"article";}', '', '7', 3, '0', '', 'node/add/article', 'Article', 'check_plain', '', '', 'a:0:{}', '6', 'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.', '', '0', 'modules/node/node.pages.inc'),
('node/add/banner', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:6:"banner";}', 'node_add', 'a:1:{i:0;s:6:"banner";}', '', '7', 3, '0', '', 'node/add/banner', 'Banner', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/blog', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:4:"blog";}', 'node_add', 'a:1:{i:0;s:4:"blog";}', '', '7', 3, '0', '', 'node/add/blog', 'Blog entry', 'check_plain', '', '', 'a:0:{}', '6', 'Use for multi-user blogs. Every user gets a personal blog.', '', '0', 'modules/node/node.pages.inc'),
('node/add/book', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:4:"book";}', 'node_add', 'a:1:{i:0;s:4:"book";}', '', '7', 3, '0', '', 'node/add/book', 'Book page', 'check_plain', '', '', 'a:0:{}', '6', '<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.', '', '0', 'modules/node/node.pages.inc'),
('node/add/employee', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:8:"employee";}', 'node_add', 'a:1:{i:0;s:8:"employee";}', '', '7', 3, '0', '', 'node/add/employee', 'Employee', 'check_plain', '', '', 'a:0:{}', '6', 'Add staff', '', '0', 'modules/node/node.pages.inc'),
('node/add/faq', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:3:"faq";}', 'node_add', 'a:1:{i:0;s:3:"faq";}', '', '7', 3, '0', '', 'node/add/faq', 'FAQ', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/forum', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:5:"forum";}', 'node_add', 'a:1:{i:0;s:5:"forum";}', '', '7', 3, '0', '', 'node/add/forum', 'Forum topic', 'check_plain', '', '', 'a:0:{}', '6', 'A <em>forum topic</em> starts a new discussion thread within a forum.', '', '0', 'modules/node/node.pages.inc'),
('node/add/page', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:4:"page";}', 'node_add', 'a:1:{i:0;s:4:"page";}', '', '7', 3, '0', '', 'node/add/page', 'Basic page', 'check_plain', '', '', 'a:0:{}', '6', 'Use <em>basic pages</em> for your static content, such as an ''About us'' page.', '', '0', 'modules/node/node.pages.inc'),
('node/add/poll', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:4:"poll";}', 'node_add', 'a:1:{i:0;s:4:"poll";}', '', '7', 3, '0', '', 'node/add/poll', 'Poll', 'check_plain', '', '', 'a:0:{}', '6', 'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.', '', '0', 'modules/node/node.pages.inc'),
('node/add/product-display', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:15:"product_display";}', 'node_add', 'a:1:{i:0;s:15:"product_display";}', '', '7', 3, '0', '', 'node/add/product-display', 'Product display', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/project', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:7:"project";}', 'node_add', 'a:1:{i:0;s:7:"project";}', '', '7', 3, '0', '', 'node/add/project', 'Project', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/service', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:7:"service";}', 'node_add', 'a:1:{i:0;s:7:"service";}', '', '7', 3, '0', '', 'node/add/service', 'Service', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/slide', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:5:"slide";}', 'node_add', 'a:1:{i:0;s:5:"slide";}', '', '7', 3, '0', '', 'node/add/slide', 'Slide', 'check_plain', '', '', 'a:0:{}', '6', 'Use to create slides in header-slider.', '', '0', 'modules/node/node.pages.inc'),
('node/add/tariff-plan', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:11:"tariff_plan";}', 'node_add', 'a:1:{i:0;s:11:"tariff_plan";}', '', '7', 3, '0', '', 'node/add/tariff-plan', 'Tariff plan', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/testimonial', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:11:"testimonial";}', 'node_add', 'a:1:{i:0;s:11:"testimonial";}', '', '7', 3, '0', '', 'node/add/testimonial', 'Testimonial', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/video-entry', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:11:"video_entry";}', 'node_add', 'a:1:{i:0;s:11:"video_entry";}', '', '7', 3, '0', '', 'node/add/video-entry', 'Video entry', 'check_plain', '', '', 'a:0:{}', '6', '', '', '0', 'modules/node/node.pages.inc'),
('node/add/webform', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:7:"webform";}', 'node_add', 'a:1:{i:0;s:7:"webform";}', '', '7', 3, '0', '', 'node/add/webform', 'Webform', 'check_plain', '', '', 'a:0:{}', '6', 'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.', '', '0', 'modules/node/node.pages.inc'),
('panels/ajax', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'panels_ajax_router', 'a:0:{}', 'ajax_deliver', '3', 2, '0', '', 'panels/ajax', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', ''),
('plupload-handle-uploads', '', '', 'plupload_upload_access', 'a:1:{i:0;s:14:"access content";}', 'plupload_handle_uploads', 'a:0:{}', '', '1', 1, '0', '', 'plupload-handle-uploads', 'Handles uploads', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('plupload-test', '', '', 'user_access', 'a:1:{i:0;s:29:"Administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:13:"plupload_test";}', '', '1', 1, '0', '', 'plupload-test', 'Test Plupload', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('poll', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'poll_page', 'a:0:{}', '', '1', 1, '0', '', 'poll', 'Polls', 't', '', '', 'a:0:{}', '20', '', '', '0', 'modules/poll/poll.pages.inc'),
('portfolio-classic-2-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_3";}', '', '1', 1, '0', '', 'portfolio-classic-2-cols', '2 Column Classic Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('portfolio-classic-3-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_2";}', '', '1', 1, '0', '', 'portfolio-classic-3-cols', '3 Column Classic Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', '');
INSERT INTO `menu_router` VALUES
('portfolio-fullwidth-3-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_1";}', '', '1', 1, '0', '', 'portfolio-fullwidth-3-cols', '3 Column Full Width Grid Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('portfolio-fullwidth-4-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_6";}', '', '1', 1, '0', '', 'portfolio-fullwidth-4-cols', '4 Column Full Width Grid Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('portfolio-fullwidth-5-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:4:"page";}', '', '1', 1, '0', '', 'portfolio-fullwidth-5-cols', '5 Column Full Width Grid Portfolio Without Spacing', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('portfolio-masonry-v1-2-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:12:"page_masonry";}', '', '1', 1, '0', '', 'portfolio-masonry-v1-2-cols', '2 Column Masonry v1 Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('portfolio-masonry-v1-3-cols', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_4";}', '', '1', 1, '0', '', 'portfolio-masonry-v1-3-cols', '3 Column Masonry v1 Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('portfolio-masonry-v2', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_5";}', '', '1', 1, '0', '', 'portfolio-masonry-v2', 'Masonry v2 Portfolio', 't', '', '', 'a:0:{}', '6', '', '', '0', ''),
('pricing-tables', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:14:"pricing_tables";}', '', '1', 1, '0', '', 'pricing-tables', 'Pricing tables', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('privacy-policy', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:14:"privacy_policy";}', '', '1', 1, '0', '', 'privacy-policy', 'Privacy policy', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('progress-bars', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:12:"progressbars";}', '', '1', 1, '0', '', 'progress-bars', 'Progressbars', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('rss.xml', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'node_feed', 'a:2:{i:0;b:0;i:1;a:0:{}}', '', '1', 1, '0', '', 'rss.xml', 'RSS feed', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('search', '', '', 'search_is_active', 'a:0:{}', 'search_view', 'a:0:{}', '', '1', 1, '0', '', 'search', 'Search', 't', '', '', 'a:0:{}', '20', '', '', '0', 'modules/search/search.pages.inc'),
('search/node', '', '', '_search_menu_access', 'a:1:{i:0;s:4:"node";}', 'search_view', 'a:2:{i:0;s:4:"node";i:1;s:0:"";}', '', '3', 2, '1', 'search', 'search', 'Content', 't', '', '', 'a:0:{}', '132', '', '', '-10', 'modules/search/search.pages.inc'),
('search/node/%', 'a:1:{i:2;a:1:{s:14:"menu_tail_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}', 'a:1:{i:2;s:16:"menu_tail_to_arg";}', '_search_menu_access', 'a:1:{i:0;s:4:"node";}', 'search_view', 'a:2:{i:0;s:4:"node";i:1;i:2;}', '', '6', 3, '1', 'search/node', 'search/node/%', 'Content', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/search/search.pages.inc'),
('search/user', '', '', '_search_menu_access', 'a:1:{i:0;s:4:"user";}', 'search_view', 'a:2:{i:0;s:4:"user";i:1;s:0:"";}', '', '3', 2, '1', 'search', 'search', 'Users', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/search/search.pages.inc'),
('search/user/%', 'a:1:{i:2;a:1:{s:14:"menu_tail_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}', 'a:1:{i:2;s:16:"menu_tail_to_arg";}', '_search_menu_access', 'a:1:{i:0;s:4:"user";}', 'search_view', 'a:2:{i:0;s:4:"user";i:1;i:2;}', '', '6', 3, '1', 'search/node', 'search/node/%', 'Users', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/search/search.pages.inc'),
('services', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:8:"services";}', '', '1', 1, '0', '', 'services', 'Services', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('shared-wishlist/%', 'a:1:{i:1;s:27:"commerce_wishlist_hash_load";}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'commerce_wishlist_view_shared_user_wishlist', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'shared-wishlist/%', '', 'commerce_wishlist_shared_wishlist_title', 'a:1:{i:0;i:1;}', '', 'a:0:{}', '6', '', '', '0', ''),
('shortcode_wysiwyg/%/%', 'a:2:{i:1;N;i:2;N;}', '', '1', 'a:0:{}', 'drupal_get_form', 'a:3:{i:0;s:22:"shortcode_wysiwyg_form";i:1;i:1;i:2;i:2;}', '', '4', 3, '0', '', 'shortcode_wysiwyg/%/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('sitemap', '', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:14:"access content";}}}', 'views_page', 'a:2:{i:0;s:7:"sitemap";i:1;s:4:"page";}', '', '1', 1, '0', '', 'sitemap', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('sites/default/files/styles/%', 'a:1:{i:4;s:16:"image_style_load";}', '', '1', 'a:0:{}', 'image_style_deliver', 'a:1:{i:0;i:4;}', '', '30', 5, '0', '', 'sites/default/files/styles/%', 'Generate image style', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('system/ajax', '', '', '1', 'a:0:{}', 'ajax_form_callback', 'a:0:{}', 'ajax_deliver', '3', 2, '0', '', 'system/ajax', 'AHAH callback', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'includes/form.inc'),
('system/files', '', '', '1', 'a:0:{}', 'file_download', 'a:1:{i:0;s:7:"private";}', '', '3', 2, '0', '', 'system/files', 'File download', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('system/files/styles/%', 'a:1:{i:3;s:16:"image_style_load";}', '', '1', 'a:0:{}', 'image_style_deliver', 'a:1:{i:0;i:3;}', '', '14', 4, '0', '', 'system/files/styles/%', 'Generate image style', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('system/temporary', '', '', '1', 'a:0:{}', 'file_download', 'a:1:{i:0;s:9:"temporary";}', '', '3', 2, '0', '', 'system/temporary', 'Temporary files', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('system/timezone', '', '', '1', 'a:0:{}', 'system_timezone', 'a:0:{}', '', '3', 2, '0', '', 'system/timezone', 'Time zone', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/system/system.admin.inc'),
('tables', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:6:"tables";}', '', '1', 1, '0', '', 'tables', 'Tables', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('tabs-and-tour-sections', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:22:"tabs_and_tour_sections";}', '', '1', 1, '0', '', 'tabs-and-tour-sections', 'Tabs and Tour Sections', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('taxonomy/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'taxonomy_autocomplete', 'a:0:{}', '', '3', 2, '0', '', 'taxonomy/autocomplete', 'Autocomplete taxonomy', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/taxonomy/taxonomy.pages.inc'),
('taxonomy/term/%', 'a:1:{i:2;s:18:"taxonomy_term_load";}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'taxonomy_term_page', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'taxonomy/term/%', 'Taxonomy term', 'taxonomy_term_title', 'a:1:{i:0;i:2;}', '', 'a:0:{}', '6', '', '', '0', 'modules/taxonomy/taxonomy.pages.inc'),
('taxonomy/term/%/edit', 'a:1:{i:2;s:18:"taxonomy_term_load";}', '', 'taxonomy_term_edit_access', 'a:1:{i:0;i:2;}', 'drupal_get_form', 'a:3:{i:0;s:18:"taxonomy_form_term";i:1;i:2;i:2;N;}', '', '13', 4, '1', 'taxonomy/term/%', 'taxonomy/term/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '10', 'modules/taxonomy/taxonomy.admin.inc'),
('taxonomy/term/%/feed', 'a:1:{i:2;s:18:"taxonomy_term_load";}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'taxonomy_term_feed', 'a:1:{i:0;i:2;}', '', '13', 4, '0', '', 'taxonomy/term/%/feed', 'Taxonomy term', 'taxonomy_term_title', 'a:1:{i:0;i:2;}', '', 'a:0:{}', '0', '', '', '0', 'modules/taxonomy/taxonomy.pages.inc'),
('taxonomy/term/%/view', 'a:1:{i:2;s:18:"taxonomy_term_load";}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'taxonomy_term_page', 'a:1:{i:0;i:2;}', '', '13', 4, '1', 'taxonomy/term/%', 'taxonomy/term/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/taxonomy/taxonomy.pages.inc'),
('testimonials', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:12:"testimonials";}', '', '1', 1, '0', '', 'testimonials', 'Testimonials', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('token/autocomplete/%', 'a:1:{i:2;s:15:"token_type_load";}', '', '1', 'a:0:{}', 'token_autocomplete_token', 'a:1:{i:0;i:2;}', '', '6', 3, '0', '', 'token/autocomplete/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/token/token.pages.inc'),
('token/flush-cache', '', '', 'user_access', 'a:1:{i:0;s:12:"flush caches";}', 'token_flush_cache_callback', 'a:0:{}', '', '3', 2, '0', '', 'token/flush-cache', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/token/token.pages.inc'),
('token/tree', '', '', '1', 'a:0:{}', 'token_page_output_tree', 'a:0:{}', '', '3', 2, '0', '', 'token/tree', '', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/token/token.pages.inc'),
('tracker', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'tracker_page', 'a:0:{}', '', '1', 1, '0', '', 'tracker', 'Recent content', 't', '', '', 'a:0:{}', '6', '', '', '1', 'modules/tracker/tracker.pages.inc'),
('tracker/%', 'a:1:{i:1;s:22:"user_uid_optional_load";}', 'a:1:{i:1;s:24:"user_uid_optional_to_arg";}', '_tracker_myrecent_access', 'a:1:{i:0;i:1;}', 'tracker_page', 'a:1:{i:0;i:1;}', '', '2', 2, '1', 'tracker', 'tracker', 'My recent content', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/tracker/tracker.pages.inc'),
('tracker/all', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'tracker_page', 'a:0:{}', '', '3', 2, '1', 'tracker', 'tracker', 'All recent content', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/tracker/tracker.pages.inc'),
('typography', '', '', 'ctools_access_menu', 'a:1:{i:0;a:2:{s:4:"type";s:4:"none";s:8:"settings";N;}}', 'page_manager_page_execute', 'a:1:{i:0;s:10:"typography";}', '', '1', 1, '0', '', 'typography', 'Typography & marking', 't', '', '', 'a:0:{}', '6', '', '', '0', 'sites/all/modules/ctools/page_manager/plugins/tasks/page.inc'),
('user', '', '', '1', 'a:0:{}', 'user_page', 'a:0:{}', '', '1', 1, '0', '', 'user', 'User account', 'user_menu_title', '', '', 'a:0:{}', '6', '', '', '-10', 'modules/user/user.pages.inc'),
('user/%', 'a:1:{i:1;s:9:"user_load";}', '', 'user_view_access', 'a:1:{i:0;i:1;}', 'user_view_page', 'a:1:{i:0;i:1;}', '', '2', 2, '0', '', 'user/%', 'My account', 'user_page_title', 'a:1:{i:0;i:1;}', '', 'a:0:{}', '6', '', '', '0', ''),
('user/%/cancel', 'a:1:{i:1;s:9:"user_load";}', '', 'user_cancel_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:24:"user_cancel_confirm_form";i:1;i:1;}', '', '5', 3, '0', '', 'user/%/cancel', 'Cancel account', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/user/user.pages.inc'),
('user/%/cancel/confirm/%/%', 'a:3:{i:1;s:9:"user_load";i:4;N;i:5;N;}', '', 'user_cancel_access', 'a:1:{i:0;i:1;}', 'user_cancel_confirm', 'a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}', '', '44', 6, '0', '', 'user/%/cancel/confirm/%/%', 'Confirm account cancellation', 't', '', '', 'a:0:{}', '6', '', '', '0', 'modules/user/user.pages.inc'),
('user/%/contact', 'a:1:{i:1;s:9:"user_load";}', '', '_contact_personal_tab_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:21:"contact_personal_form";i:1;i:1;}', '', '5', 3, '1', 'user/%', 'user/%', 'Contact', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/contact/contact.pages.inc'),
('user/%/edit', 'a:1:{i:1;s:9:"user_load";}', '', 'user_edit_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:17:"user_profile_form";i:1;i:1;}', '', '5', 3, '1', 'user/%', 'user/%', 'Edit', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/user/user.pages.inc'),
('user/%/edit/account', 'a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}', '', 'user_edit_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:17:"user_profile_form";i:1;i:1;}', '', '11', 4, '1', 'user/%/edit', 'user/%', 'Account', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/user/user.pages.inc'),
('user/%/orders', 'a:1:{i:1;a:1:{s:14:"views_arg_load";a:3:{i:0;s:20:"commerce_user_orders";i:1;s:10:"order_page";i:2;s:6:"%index";}}}', '', 'views_access', 'a:1:{i:0;a:2:{i:0;s:16:"views_check_perm";i:1;a:1:{i:0;s:32:"view own commerce_order entities";}}}', 'views_page', 'a:3:{i:0;s:20:"commerce_user_orders";i:1;s:10:"order_page";i:2;i:1;}', '', '5', 3, '1', 'user/%', 'user/%', 'Orders', 't', '', '', 'a:0:{}', '132', '', '', '15', ''),
('user/%/orders/%', 'a:2:{i:1;s:9:"user_load";i:3;s:19:"commerce_order_load";}', '', 'commerce_order_customer_order_view_access', 'a:1:{i:0;i:3;}', 'commerce_order_ui_order_view', 'a:2:{i:0;i:3;i:1;s:8:"customer";}', '', '10', 4, '0', '', 'user/%/orders/%', '', 'commerce_order_ui_order_title', 'a:1:{i:0;i:3;}', '', 'a:0:{}', '6', '', '', '0', ''),
('user/%/shortcuts', 'a:1:{i:1;s:9:"user_load";}', '', 'shortcut_set_switch_access', 'a:1:{i:0;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:19:"shortcut_set_switch";i:1;i:1;}', '', '5', 3, '1', 'user/%', 'user/%', 'Shortcuts', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/shortcut/shortcut.admin.inc'),
('user/%/track', 'a:1:{i:1;s:9:"user_load";}', '', '_tracker_user_access', 'a:1:{i:0;i:1;}', 'tracker_page', 'a:2:{i:0;i:1;i:1;b:1;}', '', '5', 3, '1', 'user/%', 'user/%', 'Track', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/tracker/tracker.pages.inc'),
('user/%/track/content', 'a:1:{i:1;s:9:"user_load";}', '', '_tracker_user_access', 'a:1:{i:0;i:1;}', 'tracker_page', 'a:2:{i:0;i:1;i:1;b:1;}', '', '11', 4, '1', 'user/%/track', 'user/%', 'Track content', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/tracker/tracker.pages.inc'),
('user/%/track/navigation', 'a:1:{i:1;s:9:"user_load";}', '', 'user_access', 'a:1:{i:0;s:17:"access statistics";}', 'statistics_user_tracker', 'a:0:{}', '', '11', 4, '1', 'user/%/track', 'user/%', 'Track page visits', 't', '', '', 'a:0:{}', '132', '', '', '2', 'modules/statistics/statistics.pages.inc'),
('user/%/view', 'a:1:{i:1;s:9:"user_load";}', '', 'user_view_access', 'a:1:{i:0;i:1;}', 'user_view_page', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'user/%', 'user/%', 'View', 't', '', '', 'a:0:{}', '140', '', '', '-10', ''),
('user/%/wishlist', 'a:1:{i:1;s:9:"user_load";}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'commerce_wishlist_view_user_wishlist', 'a:1:{i:0;i:1;}', '', '5', 3, '1', 'user/%', 'user/%', '', 'commerce_wishlist_view_user_wishlist_title', 'a:1:{i:0;i:1;}', '', 'a:0:{}', '132', '', '', '0', ''),
('user/%/wishlist/ajax/add/%', 'a:2:{i:1;s:9:"user_load";i:5;s:21:"commerce_product_load";}', '', 'commerce_wishlist_user_access', 'a:2:{i:0;i:1;i:1;s:6:"update";}', 'commerce_wishlist_product_add_ajax', 'a:2:{i:0;i:5;i:1;i:1;}', '', '46', 6, '0', '', 'user/%/wishlist/ajax/add/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('user/%/wishlist/ajax/remove/%', 'a:2:{i:1;s:9:"user_load";i:5;s:23:"commerce_line_item_load";}', '', 'commerce_wishlist_user_access', 'a:2:{i:0;i:1;i:1;s:6:"update";}', 'commerce_wishlist_product_remove_ajax', 'a:2:{i:0;i:5;i:1;i:1;}', '', '46', 6, '0', '', 'user/%/wishlist/ajax/remove/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('user/%/wishlist/nojs/add/%', 'a:2:{i:1;s:9:"user_load";i:5;s:21:"commerce_product_load";}', '', 'commerce_wishlist_user_access', 'a:2:{i:0;i:1;i:1;s:6:"update";}', 'commerce_wishlist_product_add_page', 'a:2:{i:0;i:5;i:1;i:1;}', '', '46', 6, '0', '', 'user/%/wishlist/nojs/add/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('user/%/wishlist/nojs/remove/%', 'a:2:{i:1;s:9:"user_load";i:5;s:23:"commerce_line_item_load";}', '', 'commerce_wishlist_user_access', 'a:2:{i:0;i:1;i:1;s:6:"update";}', 'commerce_wishlist_product_remove_page', 'a:2:{i:0;i:5;i:1;i:1;}', '', '46', 6, '0', '', 'user/%/wishlist/nojs/remove/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('user/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:20:"access user profiles";}', 'user_autocomplete', 'a:0:{}', '', '3', 2, '0', '', 'user/autocomplete', 'User autocomplete', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/user/user.pages.inc'),
('user/login', '', '', 'user_is_anonymous', 'a:0:{}', 'user_page', 'a:0:{}', '', '3', 2, '1', 'user', 'user', 'Log in', 't', '', '', 'a:0:{}', '140', '', '', '0', 'modules/user/user.pages.inc'),
('user/logout', '', '', 'user_is_logged_in', 'a:0:{}', 'user_logout', 'a:0:{}', '', '3', 2, '0', '', 'user/logout', 'Log out', 't', '', '', 'a:0:{}', '6', '', '', '10', 'modules/user/user.pages.inc'),
('user/password', '', '', '1', 'a:0:{}', 'drupal_get_form', 'a:1:{i:0;s:9:"user_pass";}', '', '3', 2, '1', 'user', 'user', 'Request new password', 't', '', '', 'a:0:{}', '132', '', '', '0', 'modules/user/user.pages.inc'),
('user/register', '', '', 'user_register_access', 'a:0:{}', 'drupal_get_form', 'a:1:{i:0;s:18:"user_register_form";}', '', '3', 2, '1', 'user', 'user', 'Create new account', 't', '', '', 'a:0:{}', '132', '', '', '0', ''),
('user/reset/%/%/%', 'a:3:{i:2;N;i:3;N;i:4;N;}', '', '1', 'a:0:{}', 'drupal_get_form', 'a:4:{i:0;s:15:"user_pass_reset";i:1;i:2;i:2;i:3;i:3;i:4;}', '', '24', 5, '0', '', 'user/reset/%/%/%', 'Reset password', 't', '', '', 'a:0:{}', '0', '', '', '0', 'modules/user/user.pages.inc'),
('views/ajax', '', '', '1', 'a:0:{}', 'views_ajax', 'a:0:{}', 'ajax_deliver', '3', 2, '0', '', 'views/ajax', 'Views', 't', '', 'ajax_base_page_theme', 'a:0:{}', '0', 'Ajax callback for view loading.', '', '0', 'sites/all/modules/views/includes/ajax.inc'),
('vote/%/%/%/%/%/%', 'a:6:{i:1;N;i:2;N;i:3;N;i:4;N;i:5;N;i:6;N;}', '', 'vud_access_callback', 'a:5:{i:0;s:16:"use vote up/down";i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;}', 'vud_vote', 'a:6:{i:0;i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;i:5;i:5;i:6;}', '', '64', 7, '0', '', 'vote/%/%/%/%/%/%', 'Vote', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/vote_up_down/vud.theme.inc'),
('votereset/%/%/%/%/%', 'a:5:{i:1;N;i:2;N;i:3;N;i:4;N;i:5;N;}', '', 'vud_access_callback', 'a:5:{i:0;s:24:"reset vote up/down votes";i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;}', 'vud_reset', 'a:5:{i:0;i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;i:5;}', '', '32', 6, '0', '', 'votereset/%/%/%/%/%', 'Reset vote', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/vote_up_down/vud.theme.inc'),
('vud/%/denied/%', 'a:2:{i:1;s:14:"ctools_js_load";i:3;N;}', 'a:1:{i:1;s:16:"ctools_js_to_arg";}', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'vud_denied_vote', 'a:2:{i:0;i:1;i:1;i:3;}', '', '10', 4, '0', '', 'vud/%/denied/%', 'Vote denied', 't', '', '', 'a:0:{}', '0', '', '', '0', ''),
('webform/ajax/options/%', 'a:1:{i:3;a:1:{s:17:"webform_menu_load";a:1:{i:0;i:3;}}}', 'a:1:{i:3;s:19:"webform_menu_to_arg";}', 'webform_node_update_access', 'a:1:{i:0;i:3;}', 'webform_select_options_ajax', 'a:0:{}', '', '14', 4, '0', '', 'webform/ajax/options/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/webform/components/select.inc'),
('webform/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'webform_views_autocomplete', 'a:0:{}', '', '3', 2, '0', '', 'webform/autocomplete', 'Webforms', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/webform/views/webform.views.inc'),
('wysiwyg/%', 'a:1:{i:1;N;}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'wysiwyg_dialog', 'a:1:{i:0;i:1;}', 'wysiwyg_deliver_dialog_page', '2', 2, '0', '', 'wysiwyg/%', '', 't', '', '', 'a:0:{}', '0', '', '', '0', 'sites/all/modules/wysiwyg/wysiwyg.dialog.inc');
/*!40000 ALTER TABLE menu_router ENABLE KEYS */;

--
-- Table structure for table 'multiblock'
--

CREATE TABLE IF NOT EXISTS `multiblock` (
  `delta` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique key for each created block instance.',
  `title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title used to display a block instance in the instance administration.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the module that provided the original block.',
  `orig_delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'The delta of the original block.',
  `multi_settings` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean flag that stores if the original module has multiblock support for multiple instance of this block.',
  PRIMARY KEY (`delta`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='Table for storing information about block instances used...' COMMENT='Table for storing information about block instances used...';

--
-- Dumping data for table 'multiblock'
--

/*!40000 ALTER TABLE multiblock DISABLE KEYS */;
INSERT INTO `multiblock` VALUES
('1', 'Follow Links 5', 'add_func_follow', 'site', '0'),
('2', 'TB Megamenu 2', 'tb_megamenu', 'main-menu', '0'),
('3', 'Search form 2', 'search', 'form', '0'),
('4', 'Shopping cart 2', 'commerce_cart', 'cart', '0'),
('5', 'TB Megamenu 3', 'tb_megamenu', 'main-menu', '0'),
('6', 'TB Megamenu 4', 'tb_megamenu', 'main-menu', '0'),
('7', 'TB Megamenu 5', 'tb_megamenu', 'main-menu', '0'),
('8', 'TB Megamenu 6', 'tb_megamenu', 'main-menu', '0'),
('9', 'Search form 4', 'search', 'form', '0'),
('10', 'Shopping cart 4', 'commerce_cart', 'cart', '0'),
('11', 'Search form 5', 'search', 'form', '0'),
('12', 'Shopping cart 5', 'commerce_cart', 'cart', '0'),
('13', 'Short user menu 6', 'menu', 'menu-short-user-menu', '0');
/*!40000 ALTER TABLE multiblock ENABLE KEYS */;

--
-- Table structure for table 'node'
--

CREATE TABLE IF NOT EXISTS `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=185 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.' COMMENT='The base table for nodes.';

--
-- Dumping data for table 'node'
--

/*!40000 ALTER TABLE node DISABLE KEYS */;
INSERT INTO `node` VALUES
('11', '11', 'poll', 'en', 'What do you think about us?', '1', '1', '1333107995', '1411723656', '1', '0', '0', '0', '0'),
('12', '12', 'forum', 'en', 'Malesuada, purus leo dignissim leo', '1', '1', '1305117326', '1411588611', '2', '0', '0', '0', '0'),
('13', '13', 'forum', 'en', 'Phasellus faucibus turpis et libero maximus', '1', '1', '1305117431', '1411588711', '2', '0', '0', '0', '0'),
('14', '14', 'forum', 'en', 'Quisque blandit cursus velit', '1', '1', '1305117493', '1411588165', '2', '0', '0', '0', '0'),
('15', '15', 'forum', 'en', 'Sed ut urna ac dui dapibus ultrices', '1', '1', '1305117558', '1411587895', '2', '0', '0', '0', '0'),
('16', '16', 'forum', 'en', 'Vehicula ipsum ultricies non', '1', '1', '1305117592', '1411588060', '2', '0', '0', '0', '0'),
('17', '17', 'forum', 'en', 'Nunc ligula sem, aliquet sit amet feugiat eu', '1', '1', '1305117638', '1411587767', '2', '0', '0', '0', '0'),
('18', '18', 'forum', 'en', 'Habitant morbi tristique senectus', '1', '1', '1305117661', '1411588130', '2', '0', '0', '0', '0'),
('19', '19', 'forum', 'en', 'Nunc sed blandit lorem, quis semper orci', '1', '1', '1305117686', '1411588754', '2', '0', '0', '0', '0'),
('20', '20', 'forum', 'en', 'Aenean varius vehicula eros', '1', '1', '1305117721', '1411587798', '2', '0', '0', '0', '0'),
('21', '21', 'forum', 'en', 'Quisque ornare erat nunc', '1', '1', '1305117759', '1411588572', '2', '0', '0', '0', '0'),
('22', '22', 'forum', 'en', 'Praesent laoreet cursus arcu', '1', '1', '1305117790', '1411589064', '2', '0', '0', '0', '0'),
('23', '23', 'forum', 'en', 'Sapien tortor viverra eros', '1', '1', '1305117828', '1411589089', '2', '0', '0', '0', '0'),
('24', '24', 'forum', 'en', 'Curabitur a nulla non ligula aliquam', '1', '1', '1305117855', '1411587959', '2', '0', '0', '0', '0'),
('25', '25', 'forum', 'en', 'Maecenas pulvinar arcu sed orci commodo pharetra', '1', '1', '1305117888', '1411587828', '2', '0', '0', '0', '0'),
('26', '26', 'forum', 'en', 'Pellentesque ut nisi purus', '1', '1', '1305117913', '1421422138', '2', '0', '0', '0', '0'),
('27', '27', 'forum', 'en', 'Ut aliquam molestie purus ac elementum', '1', '1', '1305117944', '1411589040', '2', '0', '0', '0', '0'),
('28', '28', 'forum', 'en', 'Nullam sed ipsum ut tellus facilisis tincidunt', '1', '1', '1305117979', '1411587866', '2', '0', '0', '0', '0'),
('29', '29', 'forum', 'en', 'Elit eu finibus consectetur', '1', '1', '1305118002', '1411589012', '2', '0', '0', '0', '0'),
('30', '30', 'forum', 'en', 'Cras elementum consectetur dictum', '1', '1', '1305118030', '1411588813', '2', '0', '0', '0', '0'),
('31', '31', 'forum', 'en', 'Duis maximus mauris non urna porta', '1', '1', '1305118075', '1411587927', '2', '0', '0', '0', '0'),
('32', '32', 'forum', 'en', 'Fusce vestibulum dictum arcu vitae rutrum', '1', '1', '1305118101', '1411589113', '2', '0', '0', '0', '0'),
('33', '33', 'forum', 'en', 'Morbi faucibus imperdiet fringilla', '1', '1', '1305118138', '1411589138', '2', '0', '0', '0', '0'),
('34', '34', 'forum', 'en', 'Fringilla dolor sed, hendrerit velit', '1', '1', '1305118163', '1411588674', '2', '0', '0', '0', '0'),
('35', '35', 'forum', 'en', 'Duis blandit semper condimentum', '1', '1', '1305118193', '1411588097', '2', '0', '0', '0', '0'),
('37', '37', 'blog', 'en', 'Mauris eleifend pulvinar', '0', '1', '1396180059', '1467192502', '2', '0', '0', '0', '0'),
('38', '38', 'blog', 'en', 'Write Your Next Web App With Ember CLI', '1', '1', '1422618472', '1465202372', '2', '0', '0', '0', '0'),
('39', '39', 'blog', 'en', 'Suspendisse potenti', '1', '1', '1396180052', '1426502274', '2', '0', '0', '0', '0'),
('40', '40', 'blog', 'en', 'Maecenas suscipit erat', '1', '1', '1396180045', '1426502305', '2', '0', '0', '0', '0'),
('41', '41', 'blog', 'en', 'Duis hendrerit laoreet', '0', '1', '1396180079', '1467192482', '2', '0', '0', '0', '0'),
('42', '42', 'faq', 'en', 'Nunc non finibus tortor?', '1', '1', '1311001382', '1437134704', '1', '0', '0', '0', '0'),
('43', '43', 'faq', 'en', 'Pellentesque maximus ligula vitae augue efficitur?', '1', '1', '1311001570', '1437133023', '1', '0', '0', '0', '0'),
('44', '44', 'faq', 'en', 'Morbi tristique odio velit?', '1', '1', '1311001635', '1437133028', '1', '0', '0', '0', '0'),
('45', '45', 'faq', 'en', 'Vestibulum pellentesque consequat?', '1', '1', '1311001697', '1437133037', '1', '0', '0', '0', '0'),
('46', '46', 'faq', 'en', 'Maecenas id blandit mauris?', '1', '1', '1311001731', '1437133019', '1', '0', '0', '0', '0'),
('47', '47', 'slide', 'en', 'Always in Trend', '1', '1', '1333108174', '1467017924', '1', '0', '0', '0', '0'),
('50', '50', 'slide', 'en', 'We are Creative Professionals', '1', '1', '1333108167', '1467017992', '1', '0', '0', '0', '0'),
('52', '52', 'project', 'en', 'Aenean ipsum leo', '1', '1', '1427715871', '1466501213', '1', '0', '0', '0', '0'),
('53', '53', 'project', 'en', 'Phasellus ultricies magna', '1', '1', '1427715913', '1466501105', '1', '0', '0', '0', '0'),
('54', '54', 'project', 'en', 'Quisque dapibus', '1', '1', '1427715906', '1466501123', '1', '0', '0', '0', '0'),
('55', '55', 'project', 'en', 'Vestibulum elit turpis', '1', '1', '1427715899', '1466501159', '1', '0', '0', '0', '0'),
('56', '56', 'project', 'en', 'Sed massa dolor', '1', '1', '1427715886', '1466501193', '1', '0', '0', '0', '0'),
('57', '57', 'project', 'en', 'Mauris', '1', '1', '1427715892', '1466501171', '1', '0', '0', '0', '0'),
('58', '58', 'project', 'en', 'Nam magna augue', '1', '1', '1427715878', '1466501206', '1', '0', '0', '0', '0'),
('65', '65', 'employee', 'en', 'Frank Furious', '1', '1', '1315211393', '1437661693', '1', '0', '0', '0', '0'),
('67', '67', 'employee', 'en', 'Clifford Kim', '1', '1', '1441442104', '1467292945', '1', '0', '0', '0', '0'),
('68', '68', 'employee', 'en', 'Harold Houdini', '1', '1', '1315211741', '1437661733', '1', '0', '0', '0', '0'),
('69', '69', 'employee', 'en', 'Irma May', '1', '1', '1315211790', '1464875181', '1', '0', '0', '0', '0'),
('71', '71', 'employee', 'en', 'Kara Kulis', '1', '1', '1315211916', '1437661537', '1', '0', '0', '0', '0'),
('73', '73', 'employee', 'en', 'Sarah Halloy', '1', '1', '1315214872', '1437661638', '1', '0', '0', '0', '0'),
('82', '82', 'project', 'en', 'Praesent', '1', '1', '1453130809', '1466501081', '1', '0', '0', '0', '0'),
('83', '83', 'article', 'en', 'Proin a arcu aliquam', '1', '1', '1377250174', '1411396285', '2', '0', '0', '0', '0'),
('84', '84', 'testimonial', 'en', 'James Watson', '1', '1', '1388666194', '1411728139', '1', '0', '0', '0', '0'),
('85', '85', 'testimonial', 'en', 'Amanda Green', '1', '1', '1388666288', '1411728367', '1', '0', '0', '0', '0'),
('86', '86', 'testimonial', 'en', 'Luke Backer', '1', '1', '1388666382', '1411728024', '1', '0', '0', '0', '0'),
('87', '87', 'testimonial', 'en', 'Jessica Motra', '1', '1', '1388666500', '1411728081', '1', '0', '0', '0', '0'),
('88', '88', 'testimonial', 'en', 'John Doe', '1', '1', '1388666658', '1411728328', '1', '0', '0', '0', '0'),
('89', '89', 'slide', 'en', 'Powerful, Effortless, Perspective', '1', '1', '1388667456', '1467017808', '1', '0', '0', '0', '0'),
('90', '90', 'slide', 'en', 'Simple is always the best', '1', '1', '1388667506', '1467017731', '1', '0', '0', '0', '0'),
('91', '91', 'article', 'en', 'Mauris ut dui eget nibh', '1', '1', '1388667957', '1411396555', '2', '0', '0', '0', '0'),
('92', '92', 'article', 'en', 'Donec pharetra diam felis', '1', '1', '1388668101', '1411396428', '2', '0', '0', '0', '0'),
('93', '93', 'article', 'en', 'Class aptent taciti sociosqu', '1', '1', '1388668149', '1411396509', '2', '0', '0', '0', '0'),
('94', '94', 'article', 'en', 'Cum sociis natoque', '1', '1', '1388668280', '1411396371', '2', '0', '0', '0', '0'),
('95', '95', 'banner', 'en', 'Duis nec libero magna', '1', '1', '1388668391', '1411479648', '1', '0', '0', '0', '0'),
('96', '96', 'banner', 'en', 'Quisque libero erat', '1', '1', '1388668432', '1411479652', '1', '0', '0', '0', '0'),
('97', '97', 'banner', 'en', 'Donec bibendum eleifend', '1', '1', '1388668482', '1411479661', '1', '0', '0', '0', '0'),
('98', '98', 'banner', 'en', 'Vestibulum accumsan sed', '1', '1', '1388668525', '1411479665', '1', '0', '0', '0', '0'),
('99', '99', 'banner', 'en', 'Donec velit quam', '1', '1', '1388668563', '1411479670', '1', '0', '0', '0', '0'),
('100', '100', 'banner', 'en', 'Morbi pharetra sem', '1', '1', '1388668602', '1411479684', '1', '0', '0', '0', '0'),
('101', '101', 'banner', 'en', 'Aenean sagittis mauris', '1', '1', '1388668637', '1411479690', '1', '0', '0', '0', '0'),
('102', '102', 'banner', 'en', 'Sed aliquam fermentum', '1', '1', '1388668714', '1411479695', '1', '0', '0', '0', '0'),
('103', '103', 'project', 'en', 'Quisque congue', '1', '1', '1458489255', '1466501064', '1', '0', '0', '0', '0'),
('104', '104', 'project', 'en', 'Aenean dui', '1', '1', '1458489340', '1466501031', '1', '0', '0', '0', '0'),
('105', '105', 'blog', 'en', 'Sed posuere auctor', '0', '1', '1398761739', '1467192492', '2', '0', '0', '0', '0'),
('121', '121', 'banner', 'en', 'Fusce ut metus nec', '1', '1', '1411397133', '1411479641', '1', '0', '0', '0', '0'),
('122', '122', 'banner', 'en', 'Sed blandit sem', '1', '1', '1411397188', '1411479629', '1', '0', '0', '0', '0'),
('123', '123', 'blog', 'en', 'Supercharge Your Support With Data-Driven Smarts', '0', '1', '1411582429', '1468237292', '2', '0', '0', '0', '0'),
('124', '124', 'blog', 'en', '7 Smart Ideas for Managing the Support Queue', '1', '1', '1411582509', '1468237261', '2', '0', '0', '0', '0'),
('125', '125', 'blog', 'en', 'Why a Visual Really is Worth 1,000 Words', '0', '1', '1411582592', '1468237230', '2', '0', '0', '0', '0'),
('126', '126', 'blog', 'en', 'Revisiting Firefox’s DevTools', '1', '1', '1411582667', '1465203227', '2', '0', '0', '0', '0'),
('127', '127', 'book', 'en', 'Vivamus lacus erat', '1', '1', '1411582829', '1411582829', '1', '0', '0', '0', '0'),
('128', '128', 'book', 'en', 'Maecenas sollicitudin quis', '1', '1', '1411582916', '1411582916', '1', '0', '0', '0', '0'),
('129', '129', 'book', 'en', 'Maecenas dui urna', '1', '1', '1411583003', '1411583003', '1', '0', '0', '0', '0'),
('130', '130', 'book', 'en', 'Suspendisse et enim', '1', '1', '1411583058', '1411583058', '1', '0', '0', '0', '0'),
('131', '131', 'book', 'en', 'Quisque ac arcu', '1', '1', '1411583098', '1411583098', '1', '0', '0', '0', '0'),
('132', '132', 'employee', 'en', 'Anna Vandana', '1', '1', '1411583778', '1453214124', '1', '0', '0', '0', '0'),
('133', '133', 'employee', 'en', 'Jessica Hall', '1', '1', '1411583874', '1467292794', '1', '0', '0', '0', '0'),
('134', '134', 'employee', 'en', 'Jeff Price', '1', '1', '1411583929', '1467292837', '1', '0', '0', '0', '0'),
('135', '135', 'employee', 'en', 'Irma May', '1', '1', '1411583998', '1467292926', '1', '0', '0', '0', '0'),
('136', '136', 'faq', 'en', 'Vivamus ut molestie massa, vitae pharetra purus?', '1', '1', '1411587275', '1437133015', '1', '0', '0', '0', '0'),
('137', '137', 'faq', 'en', 'Proin sit amet erat justo?', '1', '1', '1411587314', '1437133011', '1', '0', '0', '0', '0'),
('138', '138', 'faq', 'en', 'Quisque semper, justo at pulvinar feugiat?', '1', '1', '1411587354', '1437133007', '1', '0', '0', '0', '0'),
('139', '139', 'faq', 'en', 'Curabitur finibus nulla eros?', '1', '1', '1411587385', '1437132999', '1', '0', '0', '0', '0'),
('142', '142', 'tariff_plan', 'en', 'Free', '1', '1', '1423042464', '1469097609', '1', '0', '0', '0', '0'),
('143', '143', 'tariff_plan', 'en', 'Basic', '1', '1', '1423042740', '1469097538', '1', '0', '0', '0', '0'),
('144', '144', 'tariff_plan', 'en', 'Pro', '1', '1', '1423042906', '1469097290', '1', '0', '0', '0', '0'),
('145', '145', 'tariff_plan', 'en', 'Master', '1', '1', '1423043034', '1469097097', '1', '0', '0', '0', '0'),
('146', '146', 'tariff_plan', 'en', 'Enterprise', '1', '1', '1423043136', '1469099599', '1', '0', '0', '0', '0'),
('147', '147', 'article', 'en', 'A few words about us', '1', '1', '1426498523', '1426498523', '2', '0', '0', '0', '0'),
('148', '148', 'article', 'en', 'Donec quis ante dictum', '1', '1', '1440665151', '1466499180', '2', '0', '0', '0', '0'),
('150', '150', 'article', 'en', 'Who we are', '1', '1', '1441020098', '1441024482', '2', '0', '0', '0', '0'),
('151', '151', 'article', 'en', 'Our mission', '1', '1', '1441020188', '1441024473', '2', '0', '0', '0', '0'),
('152', '152', 'service', 'en', 'Best Service Ever', '1', '1', '1441021819', '1466499875', '2', '0', '0', '0', '0'),
('153', '153', 'service', 'en', 'Magnet For CLients', '1', '1', '1441021981', '1466499847', '2', '0', '0', '0', '0'),
('154', '154', 'service', 'en', 'Layered PSD', '1', '1', '1441022082', '1466499811', '2', '0', '0', '0', '0'),
('155', '155', 'service', 'en', 'Vivamus faucibus malesuada', '1', '1', '1445420020', '1445420020', '2', '0', '0', '0', '0'),
('156', '156', 'service', 'en', 'Freebies Soon', '1', '1', '1445420247', '1464866462', '1', '0', '0', '0', '0'),
('157', '157', 'service', 'en', 'Low Price', '1', '1', '1445420324', '1464866428', '1', '0', '0', '0', '0'),
('158', '158', 'service', 'en', '24 / 7 Help', '1', '1', '1445420403', '1464866376', '1', '0', '0', '0', '0'),
('159', '159', 'service', 'en', 'Layered PSD', '1', '1', '1445420405', '1464862655', '1', '0', '0', '0', '0'),
('160', '160', 'service', 'en', 'Pellentesque habitant morbi', '1', '1', '1445420574', '1445420574', '1', '0', '0', '0', '0'),
('161', '161', 'service', 'en', 'Praesent gravida urna', '1', '1', '1445420728', '1445420728', '1', '0', '0', '0', '0'),
('162', '162', 'service', 'en', 'Sed lacinia mauris sit amet magna', '1', '1', '1445421213', '1445421213', '1', '0', '0', '0', '0'),
('163', '163', 'service', 'en', 'Donec tempor tortor', '1', '1', '1445421323', '1445421323', '1', '0', '0', '0', '0'),
('164', '164', 'service', 'en', 'Nunc lectus lorem posuere quis', '1', '1', '1445421503', '1445421503', '1', '0', '0', '0', '0'),
('165', '165', 'service', 'en', 'Aenean sodales', '1', '1', '1445422171', '1445422171', '1', '0', '0', '0', '0'),
('166', '166', 'service', 'en', 'Sed id erat in neque', '1', '1', '1445422253', '1445422253', '1', '0', '0', '0', '0'),
('167', '167', 'service', 'en', 'In vehicula nisl', '1', '1', '1445422311', '1445422311', '1', '0', '0', '0', '0'),
('168', '168', 'service', 'en', 'Cum sociis natoque', '1', '1', '1445422369', '1445422369', '1', '0', '0', '0', '0'),
('169', '169', 'service', 'en', 'Pellentesque a urna viverra', '1', '1', '1445423029', '1445423029', '1', '0', '0', '0', '0'),
('170', '170', 'service', 'en', 'Morbi sollicitudin lectus quis tortor', '1', '1', '1445423069', '1445423069', '1', '0', '0', '0', '0'),
('171', '171', 'service', 'en', 'Quisque mollis sapien ex, et semper', '1', '1', '1445423107', '1445423107', '1', '0', '0', '0', '0'),
('172', '172', 'article', 'en', 'Sell Your Product', '1', '1', '1454582465', '1454582465', '2', '0', '0', '0', '0'),
('173', '173', 'webform', 'en', 'Contact form', '1', '1', '1465205151', '1465205661', '1', '0', '0', '0', '0'),
('174', '174', 'video_entry', 'en', 'We are a London based creative agency creating digital experience', '1', '1', '1466408849', '1466408849', '1', '0', '0', '0', '0'),
('175', '175', 'project', 'en', 'Fusce vel efficitur', '1', '1', '1403342824', '1466501325', '1', '0', '0', '0', '0'),
('176', '176', 'project', 'en', 'Vestibulum elementum', '1', '1', '1403342940', '1466501390', '1', '0', '0', '0', '0'),
('177', '177', 'project', 'en', 'Donec tristique', '1', '1', '1403342997', '1466501444', '1', '0', '0', '0', '0'),
('178', '178', 'project', 'en', 'Aliquam diam eros', '1', '1', '1403343066', '1466501515', '1', '0', '0', '0', '0'),
('179', '179', 'project', 'en', 'Curabitur ut mollis', '1', '1', '1403344268', '1466502827', '1', '0', '0', '0', '0'),
('180', '180', 'product_display', '', 'Timberland Icon 6 Inch Leather Premium Boots', '1', '1', '1468241380', '1468309194', '2', '0', '0', '0', '0'),
('181', '181', 'webform', 'en', 'Domo 1', '1', '1', '1468852049', '1468853314', '1', '0', '0', '0', '0'),
('182', '182', 'webform', 'en', 'Demo 2', '1', '1', '1468853392', '1468853676', '1', '0', '0', '0', '0'),
('183', '183', 'tariff_plan', 'en', 'Corporate', '1', '1', '1469099579', '1469099579', '1', '0', '0', '0', '0'),
('184', '184', 'tariff_plan', 'en', 'Personal', '1', '1', '1469099652', '1469099652', '1', '0', '0', '0', '0');
/*!40000 ALTER TABLE node ENABLE KEYS */;

--
-- Table structure for table 'node_access'
--

CREATE TABLE IF NOT EXISTS `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...' COMMENT='Identifies which realm/grant pairs a user must possess in...';

--
-- Dumping data for table 'node_access'
--

/*!40000 ALTER TABLE node_access DISABLE KEYS */;
INSERT INTO `node_access` VALUES
('0', '0', 'all', '1', '0', '0');
/*!40000 ALTER TABLE node_access ENABLE KEYS */;

--
-- Table structure for table 'node_comment_statistics'
--

CREATE TABLE IF NOT EXISTS `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...' COMMENT='Maintains statistics of node and comments posts to show ...';

--
-- Dumping data for table 'node_comment_statistics'
--

/*!40000 ALTER TABLE node_comment_statistics DISABLE KEYS */;
INSERT INTO `node_comment_statistics` VALUES
('11', '0', '1305116486', NULL, '1', '0'),
('12', '3', '1305117353', '', '1', '3'),
('13', '4', '1305117437', '', '1', '1'),
('14', '9', '1305117530', '', '1', '5'),
('15', '0', '1305117558', NULL, '1', '0'),
('16', '11', '1305117601', '', '1', '2'),
('17', '0', '1305117638', NULL, '1', '0'),
('18', '0', '1305117661', NULL, '1', '0'),
('19', '0', '1305117686', NULL, '1', '0'),
('20', '0', '1305117721', NULL, '1', '0'),
('21', '0', '1305117759', NULL, '1', '0'),
('22', '0', '1305117790', NULL, '1', '0'),
('23', '0', '1305117828', NULL, '1', '0'),
('24', '0', '1305117855', NULL, '1', '0'),
('25', '0', '1305117888', NULL, '1', '0'),
('26', '0', '1305117913', NULL, '1', '0'),
('27', '0', '1305117944', NULL, '1', '0'),
('28', '0', '1305117979', NULL, '1', '0'),
('29', '0', '1305118002', NULL, '1', '0'),
('30', '0', '1305118030', NULL, '1', '0'),
('31', '0', '1305118075', NULL, '1', '0'),
('32', '0', '1305118101', NULL, '1', '0'),
('33', '0', '1305118138', NULL, '1', '0'),
('34', '0', '1305118163', NULL, '1', '0'),
('35', '0', '1305118193', NULL, '1', '0'),
('37', '0', '1305118353', NULL, '1', '0'),
('38', '0', '1305118384', NULL, '1', '0'),
('39', '0', '1305118430', NULL, '1', '0'),
('40', '0', '1305118475', NULL, '1', '0'),
('41', '17', '1383577176', '', '1', '2'),
('42', '0', '1311001382', NULL, '1', '0'),
('43', '0', '1311001570', NULL, '1', '0'),
('44', '0', '1311001635', NULL, '1', '0'),
('45', '0', '1311001697', NULL, '1', '0'),
('46', '0', '1311001731', NULL, '1', '0'),
('47', '0', '1311343066', NULL, '1', '0'),
('50', '0', '1311343535', NULL, '1', '0'),
('52', '0', '1312795936', NULL, '1', '0'),
('53', '0', '1312796336', NULL, '1', '0'),
('54', '0', '1312796361', NULL, '1', '0'),
('55', '0', '1312796388', NULL, '1', '0'),
('56', '0', '1312796430', NULL, '1', '0'),
('57', '0', '1312796469', NULL, '1', '0'),
('58', '0', '1312796503', NULL, '1', '0'),
('65', '0', '1315211393', NULL, '1', '0'),
('67', '0', '1315211704', NULL, '1', '0'),
('68', '0', '1315211741', NULL, '1', '0'),
('69', '0', '1315211790', NULL, '1', '0'),
('71', '0', '1315211916', NULL, '1', '0'),
('73', '0', '1315214872', NULL, '1', '0'),
('82', '0', '1358522809', NULL, '1', '0'),
('83', '0', '1377250174', NULL, '1', '0'),
('84', '0', '1388666194', NULL, '1', '0'),
('85', '0', '1388666288', NULL, '1', '0'),
('86', '0', '1388666382', NULL, '1', '0'),
('87', '0', '1388666500', NULL, '1', '0'),
('88', '0', '1388666658', NULL, '1', '0'),
('89', '0', '1388667456', NULL, '1', '0'),
('90', '0', '1388667506', NULL, '1', '0'),
('91', '0', '1388667957', NULL, '1', '0'),
('92', '0', '1388668101', NULL, '1', '0'),
('93', '0', '1388668149', NULL, '1', '0'),
('94', '0', '1388668280', NULL, '1', '0'),
('95', '0', '1388668391', NULL, '1', '0'),
('96', '0', '1388668432', NULL, '1', '0'),
('97', '0', '1388668482', NULL, '1', '0'),
('98', '0', '1388668525', NULL, '1', '0'),
('99', '0', '1388668563', NULL, '1', '0'),
('100', '0', '1388668602', NULL, '1', '0'),
('101', '0', '1388668637', NULL, '1', '0'),
('102', '0', '1388668714', NULL, '1', '0'),
('103', '0', '1395330855', NULL, '1', '0'),
('104', '0', '1395330940', NULL, '1', '0'),
('105', '21', '1399473341', '', '1', '2'),
('121', '0', '1411397133', NULL, '1', '0'),
('122', '0', '1411397188', NULL, '1', '0'),
('123', '0', '1411582429', NULL, '1', '0'),
('124', '0', '1411582509', NULL, '1', '0'),
('125', '0', '1411582592', NULL, '1', '0'),
('126', '0', '1411582667', NULL, '1', '0'),
('127', '0', '1411582829', NULL, '1', '0'),
('128', '0', '1411582916', NULL, '1', '0'),
('129', '0', '1411583003', NULL, '1', '0'),
('130', '0', '1411583058', NULL, '1', '0'),
('131', '0', '1411583098', NULL, '1', '0'),
('132', '0', '1411583778', NULL, '1', '0'),
('133', '0', '1411583874', NULL, '1', '0'),
('134', '0', '1411583929', NULL, '1', '0'),
('135', '0', '1411583998', NULL, '1', '0'),
('136', '0', '1411587275', NULL, '1', '0'),
('137', '0', '1411587314', NULL, '1', '0'),
('138', '0', '1411587354', NULL, '1', '0'),
('139', '0', '1411587385', NULL, '1', '0'),
('142', '0', '1423042464', NULL, '1', '0'),
('143', '0', '1423042740', NULL, '1', '0'),
('144', '0', '1423042906', NULL, '1', '0'),
('145', '0', '1423043034', NULL, '1', '0'),
('146', '0', '1423043136', NULL, '1', '0'),
('147', '0', '1426498523', NULL, '1', '0'),
('148', '0', '1440665151', NULL, '1', '0'),
('150', '0', '1441020098', NULL, '1', '0'),
('151', '0', '1441020188', NULL, '1', '0'),
('152', '0', '1441021819', NULL, '1', '0'),
('153', '0', '1441021981', NULL, '1', '0'),
('154', '0', '1441022082', NULL, '1', '0'),
('155', '0', '1445420020', NULL, '1', '0'),
('156', '0', '1445420247', NULL, '1', '0'),
('157', '0', '1445420324', NULL, '1', '0'),
('158', '0', '1445420403', NULL, '1', '0'),
('159', '0', '1445420405', NULL, '1', '0'),
('160', '0', '1445420574', NULL, '1', '0'),
('161', '0', '1445420728', NULL, '1', '0'),
('162', '0', '1445421213', NULL, '1', '0'),
('163', '0', '1445421323', NULL, '1', '0'),
('164', '0', '1445421503', NULL, '1', '0'),
('165', '0', '1445422171', NULL, '1', '0'),
('166', '0', '1445422253', NULL, '1', '0'),
('167', '0', '1445422311', NULL, '1', '0'),
('168', '0', '1445422369', NULL, '1', '0'),
('169', '0', '1445423029', NULL, '1', '0'),
('170', '0', '1445423069', NULL, '1', '0'),
('171', '0', '1445423107', NULL, '1', '0'),
('172', '0', '1454582465', NULL, '1', '0'),
('173', '0', '1465205151', NULL, '1', '0'),
('174', '0', '1466408849', NULL, '1', '0'),
('175', '0', '1466501325', NULL, '1', '0'),
('176', '0', '1466501390', NULL, '1', '0'),
('177', '0', '1466501444', NULL, '1', '0'),
('178', '0', '1466501515', NULL, '1', '0'),
('179', '0', '1466502827', NULL, '1', '0'),
('180', '0', '1468241380', NULL, '1', '0'),
('181', '0', '1468852049', NULL, '1', '0'),
('182', '0', '1468853392', NULL, '1', '0'),
('183', '0', '1469099579', NULL, '1', '0'),
('184', '0', '1469099652', NULL, '1', '0');
/*!40000 ALTER TABLE node_comment_statistics ENABLE KEYS */;

--
-- Table structure for table 'node_counter'
--

CREATE TABLE IF NOT EXISTS `node_counter` (
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid for these statistics.',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed.',
  `daycount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed today.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The most recent time the node has been viewed.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Access statistics for nodes.' COMMENT='Access statistics for nodes.';

--
-- Dumping data for table 'node_counter'
--

/*!40000 ALTER TABLE node_counter DISABLE KEYS */;
INSERT INTO `node_counter` VALUES
('12', '1', '0', '1453212100'),
('13', '2', '0', '1453813661'),
('16', '8', '0', '1422451307'),
('26', '3', '0', '1421422140'),
('37', '4', '0', '1426503647'),
('38', '101', '0', '1467192581'),
('39', '2', '0', '1426502275'),
('40', '4', '0', '1426502306'),
('41', '194', '0', '1453813158'),
('47', '2', '0', '1467017925'),
('50', '2', '0', '1467017993'),
('52', '3', '0', '1466501214'),
('53', '8', '0', '1466501105'),
('54', '10', '0', '1466501124'),
('55', '8', '0', '1466501160'),
('56', '4', '0', '1466501193'),
('57', '4', '0', '1466501171'),
('58', '3', '0', '1466501207'),
('65', '5', '0', '1426495046'),
('67', '13', '0', '1467292945'),
('68', '4', '0', '1464874778'),
('69', '12', '0', '1464875182'),
('71', '9', '0', '1464874779'),
('73', '31', '0', '1437657992'),
('82', '9', '0', '1466501081'),
('83', '1', '0', '1411396292'),
('85', '1', '0', '1411728033'),
('86', '1', '0', '1411728031'),
('88', '11', '0', '1411588886'),
('89', '8', '0', '1467017808'),
('90', '12', '0', '1467017732'),
('95', '7', '0', '1401176659'),
('100', '1', '0', '1411479919'),
('101', '1', '0', '1411479918'),
('102', '1', '0', '1411479918'),
('103', '9', '0', '1466501064'),
('104', '66', '0', '1466501031'),
('105', '40', '0', '1465204959'),
('121', '1', '0', '1411397133'),
('122', '1', '0', '1411397189'),
('123', '7', '0', '1468237293'),
('124', '10', '0', '1468237262'),
('125', '13', '0', '1468237231'),
('126', '107', '0', '1465204036'),
('127', '6', '0', '1411583125'),
('128', '2', '0', '1411583019'),
('129', '2', '0', '1411583016'),
('130', '1', '0', '1411583059'),
('131', '1', '0', '1411583098'),
('132', '5', '0', '1453214125'),
('133', '11', '0', '1467292795'),
('134', '9', '0', '1467292838'),
('135', '14', '0', '1467292926'),
('136', '1', '0', '1411587276'),
('137', '1', '0', '1411587315'),
('138', '1', '0', '1411587355'),
('139', '1', '0', '1411587386'),
('142', '6', '0', '1441180891'),
('143', '7', '0', '1441180877'),
('144', '7', '0', '1441180164'),
('145', '4', '0', '1469097101'),
('146', '5', '0', '1463657839'),
('147', '6', '0', '1465289865'),
('148', '9', '0', '1466499254'),
('150', '3', '0', '1441024484'),
('151', '4', '0', '1455787674'),
('152', '6', '0', '1466499876'),
('153', '6', '0', '1466499847'),
('154', '6', '0', '1466499812'),
('155', '2', '0', '1445420176'),
('156', '3', '0', '1464866462'),
('157', '3', '0', '1464866429'),
('158', '3', '0', '1464866378'),
('159', '25', '0', '1465464133'),
('160', '1', '0', '1445420574'),
('161', '1', '0', '1445420728'),
('162', '1', '0', '1445421214'),
('163', '1', '0', '1445421324'),
('164', '1', '0', '1445421504'),
('165', '1', '0', '1445422171'),
('166', '1', '0', '1445422253'),
('167', '1', '0', '1445422311'),
('168', '1', '0', '1445422369'),
('169', '1', '0', '1445423029'),
('170', '1', '0', '1445423070'),
('171', '2', '0', '1466499462'),
('172', '7', '0', '1454583331'),
('173', '1', '0', '1467274675'),
('174', '3', '0', '1466409996'),
('175', '1', '0', '1466501326'),
('176', '1', '0', '1466501391'),
('177', '1', '0', '1466501444'),
('178', '1', '0', '1466501515'),
('179', '1', '0', '1466502828'),
('180', '4', '0', '1468313436'),
('181', '13', '0', '1468928645'),
('182', '2', '0', '1468930309'),
('183', '2', '0', '1469100352'),
('184', '1', '0', '1469099652');
/*!40000 ALTER TABLE node_counter ENABLE KEYS */;

--
-- Table structure for table 'node_revision'
--

CREATE TABLE IF NOT EXISTS `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=185 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.' COMMENT='Stores information about each saved version of a node.';

--
-- Dumping data for table 'node_revision'
--

/*!40000 ALTER TABLE node_revision DISABLE KEYS */;
INSERT INTO `node_revision` VALUES
('11', '11', '1', 'What do you think about us?', '', '1411723656', '1', '1', '0', '0'),
('12', '12', '1', 'Malesuada, purus leo dignissim leo', '', '1411588611', '1', '2', '0', '0'),
('13', '13', '1', 'Phasellus faucibus turpis et libero maximus', '', '1411588711', '1', '2', '0', '0'),
('14', '14', '1', 'Quisque blandit cursus velit', '', '1411588165', '1', '2', '0', '0'),
('15', '15', '1', 'Sed ut urna ac dui dapibus ultrices', '', '1411587895', '1', '2', '0', '0'),
('16', '16', '1', 'Vehicula ipsum ultricies non', '', '1411588060', '1', '2', '0', '0'),
('17', '17', '1', 'Nunc ligula sem, aliquet sit amet feugiat eu', '', '1411587767', '1', '2', '0', '0'),
('18', '18', '1', 'Habitant morbi tristique senectus', '', '1411588130', '1', '2', '0', '0'),
('19', '19', '1', 'Nunc sed blandit lorem, quis semper orci', '', '1411588754', '1', '2', '0', '0'),
('20', '20', '1', 'Aenean varius vehicula eros', '', '1411587798', '1', '2', '0', '0'),
('21', '21', '1', 'Quisque ornare erat nunc', '', '1411588572', '1', '2', '0', '0'),
('22', '22', '1', 'Praesent laoreet cursus arcu', '', '1411589064', '1', '2', '0', '0'),
('23', '23', '1', 'Sapien tortor viverra eros', '', '1411589089', '1', '2', '0', '0'),
('24', '24', '1', 'Curabitur a nulla non ligula aliquam', '', '1411587959', '1', '2', '0', '0'),
('25', '25', '1', 'Maecenas pulvinar arcu sed orci commodo pharetra', '', '1411587828', '1', '2', '0', '0'),
('26', '26', '1', 'Pellentesque ut nisi purus', '', '1421422138', '1', '2', '0', '0'),
('27', '27', '1', 'Ut aliquam molestie purus ac elementum', '', '1411589040', '1', '2', '0', '0'),
('28', '28', '1', 'Nullam sed ipsum ut tellus facilisis tincidunt', '', '1411587866', '1', '2', '0', '0'),
('29', '29', '1', 'Elit eu finibus consectetur', '', '1411589012', '1', '2', '0', '0'),
('30', '30', '1', 'Cras elementum consectetur dictum', '', '1411588813', '1', '2', '0', '0'),
('31', '31', '1', 'Duis maximus mauris non urna porta', '', '1411587927', '1', '2', '0', '0'),
('32', '32', '1', 'Fusce vestibulum dictum arcu vitae rutrum', '', '1411589113', '1', '2', '0', '0'),
('33', '33', '1', 'Morbi faucibus imperdiet fringilla', '', '1411589138', '1', '2', '0', '0'),
('34', '34', '1', 'Fringilla dolor sed, hendrerit velit', '', '1411588674', '1', '2', '0', '0'),
('35', '35', '1', 'Duis blandit semper condimentum', '', '1411588097', '1', '2', '0', '0'),
('37', '37', '1', 'Mauris eleifend pulvinar', '', '1467192502', '1', '2', '0', '0'),
('38', '38', '1', 'Write Your Next Web App With Ember CLI', '', '1465202372', '1', '2', '0', '0'),
('39', '39', '1', 'Suspendisse potenti', '', '1426502274', '1', '2', '0', '0'),
('40', '40', '1', 'Maecenas suscipit erat', '', '1426502305', '1', '2', '0', '0'),
('41', '41', '1', 'Duis hendrerit laoreet', '', '1467192482', '1', '2', '0', '0'),
('42', '42', '1', 'Nunc non finibus tortor?', '', '1437134704', '1', '1', '0', '0'),
('43', '43', '1', 'Pellentesque maximus ligula vitae augue efficitur?', '', '1437133023', '1', '1', '0', '0'),
('44', '44', '1', 'Morbi tristique odio velit?', '', '1437133028', '1', '1', '0', '0'),
('45', '45', '1', 'Vestibulum pellentesque consequat?', '', '1437133037', '1', '1', '0', '0'),
('46', '46', '1', 'Maecenas id blandit mauris?', '', '1437133019', '1', '1', '0', '0'),
('47', '47', '1', 'Always in Trend', '', '1467017924', '1', '1', '0', '0'),
('50', '50', '1', 'We are Creative Professionals', '', '1467017992', '1', '1', '0', '0'),
('52', '52', '1', 'Aenean ipsum leo', '', '1466501213', '1', '1', '0', '0'),
('53', '53', '1', 'Phasellus ultricies magna', '', '1466501105', '1', '1', '0', '0'),
('54', '54', '1', 'Quisque dapibus', '', '1466501123', '1', '1', '0', '0'),
('55', '55', '1', 'Vestibulum elit turpis', '', '1466501159', '1', '1', '0', '0'),
('56', '56', '1', 'Sed massa dolor', '', '1466501193', '1', '1', '0', '0'),
('57', '57', '1', 'Mauris', '', '1466501171', '1', '1', '0', '0'),
('58', '58', '1', 'Nam magna augue', '', '1466501206', '1', '1', '0', '0'),
('65', '65', '1', 'Frank Furious', '', '1437661693', '1', '1', '0', '0'),
('67', '67', '1', 'Clifford Kim', '', '1467292945', '1', '1', '0', '0'),
('68', '68', '1', 'Harold Houdini', '', '1437661733', '1', '1', '0', '0'),
('69', '69', '1', 'Irma May', '', '1464875181', '1', '1', '0', '0'),
('71', '71', '1', 'Kara Kulis', '', '1437661537', '1', '1', '0', '0'),
('73', '73', '1', 'Sarah Halloy', '', '1437661638', '1', '1', '0', '0'),
('82', '82', '1', 'Praesent', '', '1466501081', '1', '1', '0', '0'),
('83', '83', '1', 'Proin a arcu aliquam', '', '1411396285', '1', '2', '0', '0'),
('84', '84', '1', 'James Watson', '', '1411728139', '1', '1', '0', '0'),
('85', '85', '1', 'Amanda Green', '', '1411728367', '1', '1', '0', '0'),
('86', '86', '1', 'Luke Backer', '', '1411728024', '1', '1', '0', '0'),
('87', '87', '1', 'Jessica Motra', '', '1411728081', '1', '1', '0', '0'),
('88', '88', '1', 'John Doe', '', '1411728328', '1', '1', '0', '0'),
('89', '89', '1', 'Powerful, Effortless, Perspective', '', '1467017808', '1', '1', '0', '0'),
('90', '90', '1', 'Simple is always the best', '', '1467017731', '1', '1', '0', '0'),
('91', '91', '1', 'Mauris ut dui eget nibh', '', '1411396555', '1', '2', '0', '0'),
('92', '92', '1', 'Donec pharetra diam felis', '', '1411396428', '1', '2', '0', '0'),
('93', '93', '1', 'Class aptent taciti sociosqu', '', '1411396509', '1', '2', '0', '0'),
('94', '94', '1', 'Cum sociis natoque', '', '1411396371', '1', '2', '0', '0'),
('95', '95', '1', 'Duis nec libero magna', '', '1411479648', '1', '1', '0', '0'),
('96', '96', '1', 'Quisque libero erat', '', '1411479652', '1', '1', '0', '0'),
('97', '97', '1', 'Donec bibendum eleifend', '', '1411479661', '1', '1', '0', '0'),
('98', '98', '1', 'Vestibulum accumsan sed', '', '1411479665', '1', '1', '0', '0'),
('99', '99', '1', 'Donec velit quam', '', '1411479670', '1', '1', '0', '0'),
('100', '100', '1', 'Morbi pharetra sem', '', '1411479684', '1', '1', '0', '0'),
('101', '101', '1', 'Aenean sagittis mauris', '', '1411479690', '1', '1', '0', '0'),
('102', '102', '1', 'Sed aliquam fermentum', '', '1411479695', '1', '1', '0', '0'),
('103', '103', '1', 'Quisque congue', '', '1466501064', '1', '1', '0', '0'),
('104', '104', '1', 'Aenean dui', '', '1466501031', '1', '1', '0', '0'),
('105', '105', '1', 'Sed posuere auctor', '', '1467192492', '1', '2', '0', '0'),
('121', '121', '1', 'Fusce ut metus nec', '', '1411479641', '1', '1', '0', '0'),
('122', '122', '1', 'Sed blandit sem', '', '1411479629', '1', '1', '0', '0'),
('123', '123', '1', 'Supercharge Your Support With Data-Driven Smarts', '', '1468237292', '1', '2', '0', '0'),
('124', '124', '1', '7 Smart Ideas for Managing the Support Queue', '', '1468237261', '1', '2', '0', '0'),
('125', '125', '1', 'Why a Visual Really is Worth 1,000 Words', '', '1468237230', '1', '2', '0', '0'),
('126', '126', '1', 'Revisiting Firefox’s DevTools', '', '1465203227', '1', '2', '0', '0'),
('127', '127', '1', 'Vivamus lacus erat', '', '1411582829', '1', '1', '0', '0'),
('128', '128', '1', 'Maecenas sollicitudin quis', '', '1411582916', '1', '1', '0', '0'),
('129', '129', '1', 'Maecenas dui urna', '', '1411583003', '1', '1', '0', '0'),
('130', '130', '1', 'Suspendisse et enim', '', '1411583058', '1', '1', '0', '0'),
('131', '131', '1', 'Quisque ac arcu', '', '1411583098', '1', '1', '0', '0'),
('132', '132', '1', 'Anna Vandana', '', '1453214124', '1', '1', '0', '0'),
('133', '133', '1', 'Jessica Hall', '', '1467292794', '1', '1', '0', '0'),
('134', '134', '1', 'Jeff Price', '', '1467292837', '1', '1', '0', '0'),
('135', '135', '1', 'Irma May', '', '1467292926', '1', '1', '0', '0'),
('136', '136', '1', 'Vivamus ut molestie massa, vitae pharetra purus?', '', '1437133015', '1', '1', '0', '0'),
('137', '137', '1', 'Proin sit amet erat justo?', '', '1437133011', '1', '1', '0', '0'),
('138', '138', '1', 'Quisque semper, justo at pulvinar feugiat?', '', '1437133007', '1', '1', '0', '0'),
('139', '139', '1', 'Curabitur finibus nulla eros?', '', '1437132999', '1', '1', '0', '0'),
('142', '142', '1', 'Free', '', '1469097609', '1', '1', '0', '0'),
('143', '143', '1', 'Basic', '', '1469097538', '1', '1', '0', '0'),
('144', '144', '1', 'Pro', '', '1469097290', '1', '1', '0', '0'),
('145', '145', '1', 'Master', '', '1469097097', '1', '1', '0', '0'),
('146', '146', '1', 'Enterprise', '', '1469099599', '1', '1', '0', '0'),
('147', '147', '1', 'A few words about us', '', '1426498523', '1', '2', '0', '0'),
('148', '148', '1', 'Donec quis ante dictum', '', '1466499180', '1', '2', '0', '0'),
('150', '150', '1', 'Who we are', '', '1441024482', '1', '2', '0', '0'),
('151', '151', '1', 'Our mission', '', '1441024473', '1', '2', '0', '0'),
('152', '152', '1', 'Best Service Ever', '', '1466499875', '1', '2', '0', '0'),
('153', '153', '1', 'Magnet For CLients', '', '1466499847', '1', '2', '0', '0'),
('154', '154', '1', 'Layered PSD', '', '1466499811', '1', '2', '0', '0'),
('155', '155', '1', 'Vivamus faucibus malesuada', '', '1445420020', '1', '2', '0', '0'),
('156', '156', '1', 'Freebies Soon', '', '1464866462', '1', '1', '0', '0'),
('157', '157', '1', 'Low Price', '', '1464866428', '1', '1', '0', '0'),
('158', '158', '1', '24 / 7 Help', '', '1464866376', '1', '1', '0', '0'),
('159', '159', '1', 'Layered PSD', '', '1464862655', '1', '1', '0', '0'),
('160', '160', '1', 'Pellentesque habitant morbi', '', '1445420574', '1', '1', '0', '0'),
('161', '161', '1', 'Praesent gravida urna', '', '1445420728', '1', '1', '0', '0'),
('162', '162', '1', 'Sed lacinia mauris sit amet magna', '', '1445421213', '1', '1', '0', '0'),
('163', '163', '1', 'Donec tempor tortor', '', '1445421323', '1', '1', '0', '0'),
('164', '164', '1', 'Nunc lectus lorem posuere quis', '', '1445421503', '1', '1', '0', '0'),
('165', '165', '1', 'Aenean sodales', '', '1445422171', '1', '1', '0', '0'),
('166', '166', '1', 'Sed id erat in neque', '', '1445422253', '1', '1', '0', '0'),
('167', '167', '1', 'In vehicula nisl', '', '1445422311', '1', '1', '0', '0'),
('168', '168', '1', 'Cum sociis natoque', '', '1445422369', '1', '1', '0', '0'),
('169', '169', '1', 'Pellentesque a urna viverra', '', '1445423029', '1', '1', '0', '0'),
('170', '170', '1', 'Morbi sollicitudin lectus quis tortor', '', '1445423069', '1', '1', '0', '0'),
('171', '171', '1', 'Quisque mollis sapien ex, et semper', '', '1445423107', '1', '1', '0', '0'),
('172', '172', '1', 'Sell Your Product', '', '1454582465', '1', '2', '0', '0'),
('173', '173', '1', 'Contact form', '', '1465205661', '1', '1', '0', '0'),
('174', '174', '1', 'We are a London based creative agency creating digital experience', '', '1466408849', '1', '1', '0', '0'),
('175', '175', '1', 'Fusce vel efficitur', '', '1466501325', '1', '1', '0', '0'),
('176', '176', '1', 'Vestibulum elementum', '', '1466501390', '1', '1', '0', '0'),
('177', '177', '1', 'Donec tristique', '', '1466501444', '1', '1', '0', '0'),
('178', '178', '1', 'Aliquam diam eros', '', '1466501515', '1', '1', '0', '0'),
('179', '179', '1', 'Curabitur ut mollis', '', '1466502827', '1', '1', '0', '0'),
('180', '180', '1', 'Timberland Icon 6 Inch Leather Premium Boots', '', '1468309194', '1', '2', '0', '0'),
('181', '181', '1', 'Domo 1', '', '1468853314', '1', '1', '0', '0'),
('182', '182', '1', 'Demo 2', '', '1468853676', '1', '1', '0', '0'),
('183', '183', '1', 'Corporate', '', '1469099579', '1', '1', '0', '0'),
('184', '184', '1', 'Personal', '', '1469099652', '1', '1', '0', '0');
/*!40000 ALTER TABLE node_revision ENABLE KEYS */;

--
-- Table structure for table 'node_type'
--

CREATE TABLE IF NOT EXISTS `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL,
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.' COMMENT='Stores information about all defined node types.';

--
-- Dumping data for table 'node_type'
--

/*!40000 ALTER TABLE node_type DISABLE KEYS */;
INSERT INTO `node_type` VALUES
('article', 'Article', 'node_content', 'node', 'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.', '', '1', 'Title', '1', '1', '0', '0', 'article'),
('banner', 'Banner', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'partners'),
('blog', 'Blog entry', 'blog', 'blog', 'Use for multi-user blogs. Every user gets a personal blog.', '', '1', 'Title', '0', '1', '1', '0', 'blog'),
('book', 'Book page', 'node_content', 'node', '<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.', '', '1', 'Title', '1', '1', '0', '0', 'book'),
('employee', 'Employee', 'node_content', 'node', 'Add staff', '', '1', 'Title', '1', '1', '0', '0', 'employee'),
('faq', 'FAQ', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'faq'),
('forum', 'Forum topic', 'forum', 'forum', 'A <em>forum topic</em> starts a new discussion thread within a forum.', '', '1', 'Title', '0', '1', '1', '0', 'forum'),
('page', 'Basic page', 'node_content', 'node', 'Use <em>basic pages</em> for your static content, such as an ''About us'' page.', '', '1', 'Title', '1', '1', '0', '0', 'page'),
('panel', 'Panel', 'panels_node_hook', 'panels_node', 'A panel layout broken up into rows and columns.', '', '1', 'Title', '0', '0', '1', '1', 'panel'),
('poll', 'Poll', 'poll', 'poll', 'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.', '', '1', 'Title', '0', '1', '1', '0', 'poll'),
('product_display', 'Product display', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'product_display'),
('project', 'Project', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'portfolio'),
('quotes', 'Quotes', 'quotes', 'quotes', 'A quote is a famous, infamous, humorous, witty, or otherwise noteworthy quotation or fortune file entry. Users can maintain personal lists of quotations and display quotes in one or more blocks. Quotes can be entered one at a time or mass imported in either tab-separated text or fortune file format.', '', '1', 'Title', '0', '0', '1', '1', 'quotes'),
('service', 'Service', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'services'),
('slide', 'Slide', 'node_content', 'node', 'Use to create slides in header-slider.', '', '1', 'Title', '1', '1', '0', '0', 'slider'),
('tariff_plan', 'Tariff plan', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'plan'),
('testimonial', 'Testimonial', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'testimonial'),
('video_entry', 'Video entry', 'node_content', 'node', '', '', '1', 'Title', '1', '1', '0', '0', 'video_entry'),
('views_isotope_example', 'Isotope Example Node Type', 'views_isotope_example', 'views_isotope_example', 'This is an example node type with a few fields.', '', '1', 'Example Title', '0', '0', '1', '1', 'views_isotope_example'),
('webform', 'Webform', 'node_content', 'node', 'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.', '', '1', 'Title', '1', '1', '0', '0', 'webform');
/*!40000 ALTER TABLE node_type ENABLE KEYS */;

--
-- Table structure for table 'oauth_common_consumer'
--

CREATE TABLE IF NOT EXISTS `oauth_common_consumer` (
  `csid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `key_hash` char(40) NOT NULL COMMENT 'SHA1-hash of consumer_key.',
  `consumer_key` text NOT NULL COMMENT 'Consumer key.',
  `secret` text NOT NULL COMMENT 'Consumer secret.',
  `configuration` longtext NOT NULL COMMENT 'Consumer configuration',
  PRIMARY KEY (`csid`),
  KEY `key_hash` (`key_hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Keys and secrets for OAuth consumers, both those provided...' COMMENT='Keys and secrets for OAuth consumers, both those provided...';

--
-- Dumping data for table 'oauth_common_consumer'
--

/*!40000 ALTER TABLE oauth_common_consumer DISABLE KEYS */;
/*!40000 ALTER TABLE oauth_common_consumer ENABLE KEYS */;

--
-- Table structure for table 'oauth_common_context'
--

CREATE TABLE IF NOT EXISTS `oauth_common_context` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(32) NOT NULL COMMENT 'The computer-readable name of the context.',
  `title` varchar(100) NOT NULL COMMENT 'The localizable title of the authorization context.',
  `authorization_options` longtext NOT NULL COMMENT 'Authorization options.',
  `authorization_levels` longtext NOT NULL COMMENT 'Authorization levels for the context.',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `context` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores contexts for OAuth common' COMMENT='Stores contexts for OAuth common';

--
-- Dumping data for table 'oauth_common_context'
--

/*!40000 ALTER TABLE oauth_common_context DISABLE KEYS */;
/*!40000 ALTER TABLE oauth_common_context ENABLE KEYS */;

--
-- Table structure for table 'oauth_common_nonce'
--

CREATE TABLE IF NOT EXISTS `oauth_common_nonce` (
  `nonce` varchar(255) NOT NULL COMMENT 'The random string used on each request.',
  `timestamp` int(11) NOT NULL COMMENT 'The timestamp of the request.',
  `token_key` varchar(32) NOT NULL COMMENT 'Token key.',
  PRIMARY KEY (`nonce`),
  KEY `timekey` (`timestamp`,`token_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores timestamp against nonce for repeat attacks.' COMMENT='Stores timestamp against nonce for repeat attacks.';

--
-- Dumping data for table 'oauth_common_nonce'
--

/*!40000 ALTER TABLE oauth_common_nonce DISABLE KEYS */;
/*!40000 ALTER TABLE oauth_common_nonce ENABLE KEYS */;

--
-- Table structure for table 'oauth_common_provider_consumer'
--

CREATE TABLE IF NOT EXISTS `oauth_common_provider_consumer` (
  `csid` int(10) unsigned DEFAULT '0' COMMENT 'The oauth_common_consumer.csid this data is related to.',
  `consumer_key` char(32) NOT NULL COMMENT 'Consumer key.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the consumer was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The last time the consumer was edited, as a Unix timestamp.',
  `uid` int(10) unsigned NOT NULL COMMENT 'The application owner.',
  `name` varchar(128) NOT NULL COMMENT 'The application name.',
  `context` varchar(32) NOT NULL DEFAULT '' COMMENT 'The application context.',
  `callback_url` varchar(255) NOT NULL COMMENT 'Callback url.',
  PRIMARY KEY (`consumer_key`),
  UNIQUE KEY `csid` (`csid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Additional data for OAuth consumers provided by this site.' COMMENT='Additional data for OAuth consumers provided by this site.';

--
-- Dumping data for table 'oauth_common_provider_consumer'
--

/*!40000 ALTER TABLE oauth_common_provider_consumer DISABLE KEYS */;
/*!40000 ALTER TABLE oauth_common_provider_consumer ENABLE KEYS */;

--
-- Table structure for table 'oauth_common_provider_token'
--

CREATE TABLE IF NOT EXISTS `oauth_common_provider_token` (
  `tid` int(10) unsigned DEFAULT '0' COMMENT 'The oauth_common_token.tid this data is related to.',
  `token_key` char(32) NOT NULL COMMENT 'Token key.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the token was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The last time the token was edited, as a Unix timestamp.',
  `services` text COMMENT 'An array of services that the user allowed the consumer to access.',
  `authorized` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'In case its a request token, it checks if the user already authorized the consumer to get an access token.',
  PRIMARY KEY (`token_key`),
  UNIQUE KEY `tid` (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Additional data for OAuth tokens provided by this site.' COMMENT='Additional data for OAuth tokens provided by this site.';

--
-- Dumping data for table 'oauth_common_provider_token'
--

/*!40000 ALTER TABLE oauth_common_provider_token DISABLE KEYS */;
/*!40000 ALTER TABLE oauth_common_provider_token ENABLE KEYS */;

--
-- Table structure for table 'oauth_common_token'
--

CREATE TABLE IF NOT EXISTS `oauth_common_token` (
  `tid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `csid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The oauth_common_consumer.csid this token is related to.',
  `key_hash` char(40) NOT NULL COMMENT 'SHA1-hash of token_key.',
  `token_key` text NOT NULL COMMENT 'Token key.',
  `secret` text NOT NULL COMMENT 'Token secret.',
  `expires` int(11) NOT NULL DEFAULT '0' COMMENT 'The expiry time for the token, as a Unix timestamp.',
  `type` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Token type: request or access.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'User ID from user.uid.',
  PRIMARY KEY (`tid`),
  KEY `key_hash` (`key_hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Tokens stored on behalf of providers or consumers for...' COMMENT='Tokens stored on behalf of providers or consumers for...';

--
-- Dumping data for table 'oauth_common_token'
--

/*!40000 ALTER TABLE oauth_common_token DISABLE KEYS */;
/*!40000 ALTER TABLE oauth_common_token ENABLE KEYS */;

--
-- Table structure for table 'page_manager_handlers'
--

CREATE TABLE IF NOT EXISTS `page_manager_handlers` (
  `did` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this task handler. Used to identify it programmatically.',
  `task` varchar(64) DEFAULT NULL COMMENT 'ID of the task this handler is for.',
  `subtask` varchar(64) NOT NULL DEFAULT '' COMMENT 'ID of the subtask this handler is for.',
  `handler` varchar(64) DEFAULT NULL COMMENT 'ID of the task handler being used.',
  `weight` int(11) DEFAULT NULL COMMENT 'The order in which this handler appears. Lower numbers go first.',
  `conf` longtext NOT NULL COMMENT 'Serialized configuration of the handler, if needed.',
  PRIMARY KEY (`did`),
  UNIQUE KEY `name` (`name`),
  KEY `fulltask` (`task`,`subtask`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'page_manager_handlers'
--

/*!40000 ALTER TABLE page_manager_handlers DISABLE KEYS */;
INSERT INTO `page_manager_handlers` VALUES
('5', 'page_about_panel_context', 'page', 'about', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:10:"page-about";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:1:"5";}'),
('6', 'page_services_panel_context', 'page', 'services', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:13:"page-services";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:1:"6";}'),
('8', 'page_privacy_policy_panel_context_2', 'page', 'privacy_policy', 'panel_context', '1', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:1:"8";}'),
('11', 'page_contacts_panel_context', 'page', 'contacts', 'panel_context', '2', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:13:"page-contacts";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:2:"11";}'),
('15', 'page_counters_panel_context', 'page', 'counters', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:2:"15";}'),
('17', 'page_progressbars_panel_context', 'page', 'progressbars', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:2:"17";}'),
('18', 'page_columns_panel_context', 'page', 'columns', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:2:"18";}'),
('19', 'page_typography_panel_context', 'page', 'typography', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:2:"19";}'),
('26', 'page_pricing_tables__panel_context_d85e3965-e433-42c3-be5d-d150b06e33bb', 'page', 'pricing_tables', 'panel_context', '0', 'a:10:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:3:"did";s:2:"26";}'),
('31', 'page_home_2__panel', 'page', 'home_2', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"31";}'),
('32', 'page_home_3__panel', 'page', 'home_3', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"32";}'),
('33', 'page_home_4__panel', 'page', 'home_4', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"33";}'),
('34', 'page_home_5__panel', 'page', 'home_5', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"34";}'),
('35', 'page_coming_soon_1__panel', 'page', 'coming_soon_1', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"36";}'),
('37', 'page_coming_soon_2__panel_context_04f53472-c3a1-41f7-bf95-154821c7df93', 'page', 'coming_soon_2', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"38";}'),
('38', 'page_coming_soon_3__panel_context_1fbbccd5-4def-4595-aa4f-fff8556c7a8a', 'page', 'coming_soon_3', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"39";}'),
('39', 'page_coming_soon_4__panel_context_94bae909-d22f-4acf-a199-a41e03b371d5', 'page', 'coming_soon_4', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"40";}'),
('40', 'page_coming_soon_5__panel_context_3eca2ee8-d00d-47bc-8d8a-150f3e04d7e1', 'page', 'coming_soon_5', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"41";}'),
('41', 'page_404_page_1__panel_context_9401c498-cc84-40bd-8d2d-f0884c405bf6', 'page', '404_page_1', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:8:"page-404";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"42";}'),
('42', 'page_404_page_2__panel_context_eeb96192-6afd-4040-a485-8d92c79ac5e8', 'page', '404_page_2', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:8:"page-404";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"43";}'),
('43', 'page_404_page_3__panel_context_58b52281-84e1-46aa-86e0-286d36bd9ae2', 'page', '404_page_3', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:8:"page-404";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:0:"";s:3:"did";s:2:"44";}'),
('44', 'page_accordions_and_toggles__panel', 'page', 'accordions_and_toggles', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"45";}'),
('45', 'page_alert_boxes_and_callouts__panel', 'page', 'alert_boxes_and_callouts', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"46";}'),
('46', 'page_buttons__panel', 'page', 'buttons', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"47";}'),
('47', 'page_carousel_sliders__panel', 'page', 'carousel_sliders', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"48";}'),
('48', 'page_dropcaps__panel', 'page', 'dropcaps', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"49";}'),
('49', 'page_forms__panel', 'page', 'forms', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"50";}'),
('50', 'page_icon_boxes__panel', 'page', 'icon_boxes', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"51";}'),
('51', 'page_image_positions__panel', 'page', 'image_positions', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"52";}'),
('52', 'page_lists__panel', 'page', 'lists', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"53";}'),
('53', 'page_dividers__panel', 'page', 'dividers', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"54";}'),
('54', 'page_tables__panel', 'page', 'tables', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"55";}'),
('55', 'page_tabs_and_tour_sections__panel', 'page', 'tabs_and_tour_sections', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"56";}'),
('56', 'page_testimonials__panel', 'page', 'testimonials', 'panel_context', '0', 'a:11:{s:5:"title";s:5:"Panel";s:9:"no_blocks";i:0;s:8:"pipeline";s:8:"standard";s:22:"body_classes_to_remove";s:0:"";s:19:"body_classes_to_add";s:0:"";s:6:"css_id";s:0:"";s:3:"css";s:0:"";s:8:"contexts";a:0:{}s:13:"relationships";a:0:{}s:4:"name";s:5:"panel";s:3:"did";s:2:"57";}');
/*!40000 ALTER TABLE page_manager_handlers ENABLE KEYS */;

--
-- Table structure for table 'page_manager_pages'
--

CREATE TABLE IF NOT EXISTS `page_manager_pages` (
  `pid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID field for the table. Not used for anything except internal lookups.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this subtask. Used to identify it programmatically.',
  `task` varchar(64) DEFAULT 'page' COMMENT 'What type of page this is, so that we can use the same mechanism for creating tighter UIs for targeted pages.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Human readable title for this page subtask.',
  `admin_description` longtext COMMENT 'Administrative description of this item.',
  `path` varchar(255) DEFAULT NULL COMMENT 'The menu path that will invoke this task.',
  `access` longtext NOT NULL COMMENT 'Access configuration for this path.',
  `menu` longtext NOT NULL COMMENT 'Serialized configuration of Drupal menu visibility settings for this item.',
  `arguments` longtext NOT NULL COMMENT 'Configuration of arguments for this menu item.',
  `conf` longtext NOT NULL COMMENT 'Serialized configuration of the page, if needed.',
  PRIMARY KEY (`pid`),
  UNIQUE KEY `name` (`name`),
  KEY `task` (`task`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='Contains page subtasks for implementing pages with...' COMMENT='Contains page subtasks for implementing pages with...';

--
-- Dumping data for table 'page_manager_pages'
--

/*!40000 ALTER TABLE page_manager_pages DISABLE KEYS */;
INSERT INTO `page_manager_pages` VALUES
('1', 'contacts', 'page', 'Contacts', '', 'contacts', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Contacts";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('4', 'privacy_policy', 'page', 'Privacy Policy', '', 'privacy-policy', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:14:"Privacy policy";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('5', 'about', 'page', 'About', '', 'about', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:5:"About";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('6', 'services', 'page', 'Services', '', 'services', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Services";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('12', 'counters', 'page', 'Counters', '', 'counters', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Counters";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('14', 'progressbars', 'page', 'Progressbars', '', 'progress-bars', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:12:"Progressbars";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('15', 'columns', 'page', 'Columns', '', 'columns', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Columns";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('16', 'typography', 'page', 'Typography', '', 'typography', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:20:"Typography & marking";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('22', 'pricing_tables', 'page', 'Pricing tables', '', 'pricing-tables', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:14:"Pricing tables";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('27', 'home_2', 'page', 'Home 2', '', 'home-2', 'a:0:{}', 'a:0:{}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('28', 'home_3', 'page', 'Home 3', '', 'home-3', 'a:0:{}', 'a:0:{}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('29', 'home_4', 'page', 'Home 4', '', 'home-4', 'a:0:{}', 'a:0:{}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('30', 'home_5', 'page', 'Home 5', '', 'home-5', 'a:0:{}', 'a:0:{}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('31', 'coming_soon_1', 'page', 'Coming soon page 1', '', 'coming-soon-1', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:18:"Coming soon page 1";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('33', 'coming_soon_2', 'page', 'Coming soon page 2', '', 'coming-soon-2', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:18:"Coming soon page 2";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('34', 'coming_soon_3', 'page', 'Coming soon page 3', '', 'coming-soon-3', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:18:"Coming soon page 3";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('35', 'coming_soon_4', 'page', 'Coming soon page 4', '', 'coming-soon-4', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:18:"Coming soon page 4";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('36', 'coming_soon_5', 'page', 'Coming soon page 5', '', 'coming-soon-5', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:18:"Coming soon page 5";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('37', '404_page_1', 'page', '404', '', '404-page-1', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:10:"404 page 1";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('38', '404_page_2', 'page', '404', '', '404-page-2', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:10:"404 page 2";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('39', '404_page_3', 'page', '404', '', '404-page-3', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:10:"404 page 3";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('40', 'accordions_and_toggles', 'page', 'Accordions and toggles', '', 'accordions-and-toggles', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:22:"Accordions and toggles";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('41', 'alert_boxes_and_callouts', 'page', 'Alert boxes and callouts', '', 'alert-boxes-and-callouts', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:24:"Alert boxes and callouts";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('42', 'buttons', 'page', 'Buttons', '', 'buttons', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Buttons";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('43', 'carousel_sliders', 'page', 'Carousel Sliders', '', 'carousel-sliders', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:16:"Carousel Sliders";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('44', 'dropcaps', 'page', 'Dropcaps', '', 'dropcaps', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Dropcaps";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('45', 'forms', 'page', 'Forms', '', 'forms', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:5:"Forms";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('46', 'icon_boxes', 'page', 'Icon boxes', '', 'icon-boxes', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:10:"Icon-boxes";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('47', 'image_positions', 'page', 'Image Positions', '', 'image-positions', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:15:"Image Positions";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('48', 'lists', 'page', 'Lists', '', 'lists', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:5:"Lists";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('49', 'dividers', 'page', 'Dividers', '', 'dividers', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Dividers";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('50', 'tables', 'page', 'Tables', '', 'tables', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:6:"Tables";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('51', 'tabs_and_tour_sections', 'page', 'Tabs and tour sections', '', 'tabs-and-tour-sections', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:22:"Tabs and Tour Sections";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}'),
('52', 'testimonials', 'page', 'Testimonials', '', 'testimonials', 'a:0:{}', 'a:5:{s:4:"type";s:6:"normal";s:5:"title";s:12:"Testimonials";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:6:"parent";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:4:"name";s:10:"navigation";s:6:"weight";s:1:"0";}}', 'a:0:{}', 'a:1:{s:11:"admin_paths";b:0;}');
/*!40000 ALTER TABLE page_manager_pages ENABLE KEYS */;

--
-- Table structure for table 'page_manager_weights'
--

CREATE TABLE IF NOT EXISTS `page_manager_weights` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Unique ID for this task handler. Used to identify it programmatically.',
  `weight` int(11) DEFAULT NULL COMMENT 'The order in which this handler appears. Lower numbers go first.',
  PRIMARY KEY (`name`),
  KEY `weights` (`name`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains override weights for page_manager handlers that...' COMMENT='Contains override weights for page_manager handlers that...';

--
-- Dumping data for table 'page_manager_weights'
--

/*!40000 ALTER TABLE page_manager_weights DISABLE KEYS */;
/*!40000 ALTER TABLE page_manager_weights ENABLE KEYS */;

--
-- Table structure for table 'panels_display'
--

CREATE TABLE IF NOT EXISTS `panels_display` (
  `did` int(11) NOT NULL AUTO_INCREMENT,
  `layout` varchar(255) DEFAULT '',
  `layout_settings` longtext,
  `panel_settings` longtext,
  `cache` text,
  `title` varchar(255) DEFAULT '',
  `hide_title` tinyint(4) DEFAULT '0',
  `title_pane` int(11) DEFAULT '0',
  `uuid` char(36) DEFAULT NULL,
  PRIMARY KEY (`did`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'panels_display'
--

/*!40000 ALTER TABLE panels_display DISABLE KEYS */;
INSERT INTO `panels_display` VALUES
('5', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'About', '0', '0', '7f5c8b9b-100d-49c0-86cc-b6d425d452d1'),
('6', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '2', '0', '20128f43-b250-4e96-bc90-f692c2eba349'),
('8', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Privacy Policy', '0', '0', '2aa31d27-3ea6-4d6f-98d9-ea7e466dfd92'),
('11', 'flexible', 'a:1:{s:5:"items";a:6:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:2:{i:0;s:8:"main-row";i:1;i:1;}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}i:1;a:5:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:8:"contacts";}s:6:"parent";s:4:"main";s:5:"class";s:0:"";}s:8:"contacts";a:6:{s:4:"type";s:6:"region";s:5:"title";s:8:"Contacts";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:1:"1";s:5:"class";s:0:"";}}}', 'a:1:{s:14:"style_settings";a:5:{s:7:"default";N;s:6:"center";N;s:12:"contact_form";N;s:19:"contact_information";N;s:8:"contacts";N;}}', 'a:0:{}', 'Contacts', '0', '0', '63da6deb-cc5a-4a9c-bc5e-61a8d723fbc4'),
('15', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:6:"region";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:6:{s:4:"type";s:6:"region";s:5:"title";s:7:"Content";s:5:"width";d:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";s:5:"class";s:0:"";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Counters', '0', '0', '85a95bfd-35b8-4bfd-a945-e04ac1563c61'),
('17', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:3:{s:7:"default";N;s:6:"center";N;s:7:"content";N;}}', 'a:0:{}', 'Progressbars', '0', '26', '736dfb75-6c7a-466c-8077-2888aa952bf1'),
('18', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Columns', '0', '27', 'd041e796-31c1-45ba-bab1-ef02899ced26'),
('19', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:5:{s:7:"default";N;s:6:"center";N;s:9:"content_1";N;s:9:"content_2";N;s:9:"content_3";N;}}', 'a:0:{}', 'Typography', '0', '0', 'f3387f96-ba5f-4af3-94a2-1040f53035cd'),
('26', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Pricing tables', '0', '101', '5b8a7fd1-619c-44c7-8841-5698ae0fef72'),
('31', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '1f981983-7600-4766-842a-9ccd59417bdf'),
('32', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '46d252ac-048f-452e-baf4-d068cf6240bf'),
('33', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', 'bed66df7-e781-48a1-a5c7-f7bef1a20c1f'),
('34', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', 'bae14e31-629d-4469-8224-a97cee9390cf'),
('35', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Contact Us', '0', '122', '192fc43c-fe31-4aef-ab8c-e3e5b16ea06a'),
('36', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '6e6d36b5-d8bc-49e7-86a2-f377987bf6d1'),
('38', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '6e6d36b5-d8bc-49e7-86a2-f377987bf6d1'),
('39', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '6e6d36b5-d8bc-49e7-86a2-f377987bf6d1'),
('40', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '6e6d36b5-d8bc-49e7-86a2-f377987bf6d1'),
('41', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', '', '1', '0', '6e6d36b5-d8bc-49e7-86a2-f377987bf6d1'),
('42', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:6:{s:4:"type";s:6:"region";s:5:"title";s:8:"Column 1";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";s:5:"class";s:12:"grid-6 alpha";}}}', 'a:2:{s:14:"style_settings";a:5:{s:7:"default";N;s:6:"center";N;s:4:"left";N;s:5:"right";N;s:8:"column_2";N;}s:5:"right";a:1:{s:5:"style";s:2:"-1";}}', 'a:0:{}', '', '2', '0', 'd773c1f6-4f1f-41da-9100-ce3436798978'),
('43', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:6:{s:4:"type";s:6:"region";s:5:"title";s:8:"Column 1";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";s:5:"class";s:12:"grid-6 alpha";}}}', 'a:2:{s:14:"style_settings";a:5:{s:7:"default";N;s:6:"center";N;s:4:"left";N;s:5:"right";N;s:8:"column_2";N;}s:5:"right";a:1:{s:5:"style";s:2:"-1";}}', 'a:0:{}', '', '2', '0', 'd773c1f6-4f1f-41da-9100-ce3436798978'),
('44', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:6:{s:4:"type";s:6:"region";s:5:"title";s:8:"Column 1";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";s:5:"class";s:12:"grid-6 alpha";}}}', 'a:2:{s:14:"style_settings";a:5:{s:7:"default";N;s:6:"center";N;s:4:"left";N;s:5:"right";N;s:8:"column_2";N;}s:5:"right";a:1:{s:5:"style";s:2:"-1";}}', 'a:0:{}', '', '2', '0', 'd773c1f6-4f1f-41da-9100-ce3436798978'),
('45', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Accordions and toggles', '0', '0', '29eb9efe-9c58-43b2-af72-f80acda54384'),
('46', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:3:{s:7:"default";N;s:6:"center";N;s:8:"center_2";N;}}', 'a:0:{}', 'Alert boxes and callouts', '0', '0', '86195853-fc26-4fef-8af8-de0abb1607ec'),
('47', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Buttons', '0', '0', 'b00b05c0-951f-4880-84af-9789e666eed6'),
('48', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Carousel Sliders', '0', '0', '5a83cb29-542c-4ed9-a417-f80dc5458846'),
('49', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Dropcaps', '0', '0', '50456805-5266-4093-bf55-83f7a81c7046'),
('50', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Forms', '0', '0', '061bdd3a-2760-4d8f-a85e-704376c62894'),
('51', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Icon boxes', '0', '0', 'a4dd8646-8175-443f-a109-be533caaeb24'),
('52', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Image Positions', '0', '0', 'd7aeab58-0b62-41af-8ece-bb568a7ce181'),
('53', 'flexible', 'a:1:{s:5:"items";a:4:{s:6:"canvas";a:14:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:1:"0";s:17:"region_separation";s:1:"0";s:14:"row_separation";s:1:"0";s:10:"hide_empty";i:0;}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:1:{i:0;s:6:"center";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}}}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Lists', '0', '0', '9b29698c-9d3f-4014-a17b-fb94b4a11b4d'),
('54', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Dividers', '0', '0', '536b3141-d33c-46b5-8ae9-487fdaa494fa'),
('55', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Tables', '0', '0', '479275a3-5610-4653-901d-47837f08f5af'),
('56', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Tabs and Tour Sections', '0', '0', 'f631d0a4-6b8b-4dd6-8788-e29ea3bce564'),
('57', 'flexible', 'a:0:{}', 'a:1:{s:14:"style_settings";a:2:{s:7:"default";N;s:6:"center";N;}}', 'a:0:{}', 'Testimonials', '0', '0', 'f2f09aa0-cf5c-4a01-a621-219db8249dc5');
/*!40000 ALTER TABLE panels_display ENABLE KEYS */;

--
-- Table structure for table 'panels_layout'
--

CREATE TABLE IF NOT EXISTS `panels_layout` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'A database primary key to ensure uniqueness.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this content. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Administrative title for this layout.',
  `admin_description` longtext COMMENT 'Administrative description for this layout.',
  `category` varchar(255) DEFAULT NULL COMMENT 'Administrative category for this layout.',
  `plugin` varchar(255) DEFAULT NULL COMMENT 'The layout plugin that owns this layout.',
  `settings` longtext COMMENT 'Serialized settings for the actual layout. The contents of this field are up to the plugin that uses it.',
  PRIMARY KEY (`lid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contains exportable customized layouts for this site.' COMMENT='Contains exportable customized layouts for this site.';

--
-- Dumping data for table 'panels_layout'
--

/*!40000 ALTER TABLE panels_layout DISABLE KEYS */;
INSERT INTO `panels_layout` VALUES
('1', 'two_columns', '', '', 'custom', 'flexible', 'a:1:{s:5:"items";a:5:{s:6:"canvas";a:13:{s:4:"type";s:3:"row";s:8:"contains";s:6:"column";s:8:"children";a:1:{i:0;s:4:"main";}s:6:"parent";N;s:5:"class";s:0:"";s:12:"column_class";s:0:"";s:9:"row_class";s:0:"";s:12:"region_class";s:0:"";s:8:"no_scale";b:1;s:11:"fixed_width";s:0:"";s:17:"column_separation";s:5:"0.5em";s:17:"region_separation";s:5:"0.5em";s:14:"row_separation";s:5:"0.5em";}s:4:"main";a:5:{s:4:"type";s:6:"column";s:5:"width";i:100;s:10:"width_type";s:1:"%";s:8:"children";a:1:{i:0;s:8:"main-row";}s:6:"parent";s:6:"canvas";}s:8:"main-row";a:4:{s:4:"type";s:3:"row";s:8:"contains";s:6:"region";s:8:"children";a:2:{i:0;s:6:"center";i:1;s:13:"second_column";}s:6:"parent";s:4:"main";}s:6:"center";a:5:{s:4:"type";s:6:"region";s:5:"title";s:6:"Center";s:5:"width";s:17:"67.92299411347031";s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";}s:13:"second_column";a:6:{s:4:"type";s:6:"region";s:5:"title";s:13:"Second column";s:5:"width";s:16:"32.0770058865297";s:10:"width_type";s:1:"%";s:6:"parent";s:8:"main-row";s:5:"class";s:0:"";}}}');
/*!40000 ALTER TABLE panels_layout ENABLE KEYS */;

--
-- Table structure for table 'panels_mini'
--

CREATE TABLE IF NOT EXISTS `panels_mini` (
  `pid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary key for uniqueness.',
  `name` varchar(255) DEFAULT NULL COMMENT 'The unique name of the mini panel.',
  `category` varchar(64) DEFAULT NULL COMMENT 'The category this mini panel appears in on the add content pane.',
  `did` int(11) DEFAULT NULL COMMENT 'The display ID of the panel.',
  `admin_title` varchar(128) DEFAULT NULL COMMENT 'The administrative title of the mini panel.',
  `admin_description` longtext COMMENT 'Administrative title of this mini panel.',
  `requiredcontexts` longtext COMMENT 'An array of required contexts.',
  `contexts` longtext COMMENT 'An array of contexts embedded into the panel.',
  `relationships` longtext COMMENT 'An array of relationships embedded into the panel.',
  PRIMARY KEY (`pid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'panels_mini'
--

/*!40000 ALTER TABLE panels_mini DISABLE KEYS */;
INSERT INTO `panels_mini` VALUES
('1', 'contact_us', '', '35', 'Contact Us', '', 'a:0:{}', 'a:0:{}', 'a:0:{}');
/*!40000 ALTER TABLE panels_mini ENABLE KEYS */;

--
-- Table structure for table 'panels_node'
--

CREATE TABLE IF NOT EXISTS `panels_node` (
  `nid` int(11) NOT NULL DEFAULT '0',
  `css_id` varchar(255) DEFAULT NULL,
  `did` int(11) NOT NULL,
  `pipeline` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`did`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'panels_node'
--

/*!40000 ALTER TABLE panels_node DISABLE KEYS */;
/*!40000 ALTER TABLE panels_node ENABLE KEYS */;

--
-- Table structure for table 'panels_pane'
--

CREATE TABLE IF NOT EXISTS `panels_pane` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `did` int(11) NOT NULL DEFAULT '0',
  `panel` varchar(32) DEFAULT '',
  `type` varchar(32) DEFAULT '',
  `subtype` varchar(64) DEFAULT '',
  `shown` tinyint(4) DEFAULT '1',
  `access` longtext,
  `configuration` longtext,
  `cache` longtext,
  `style` longtext,
  `css` longtext,
  `extras` longtext,
  `position` smallint(6) DEFAULT '0',
  `locks` longtext,
  `uuid` char(36) DEFAULT NULL,
  PRIMARY KEY (`pid`),
  KEY `did_idx` (`did`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 7168 kB' COMMENT='InnoDB free: 7168 kB';

--
-- Dumping data for table 'panels_pane'
--

/*!40000 ALTER TABLE panels_pane DISABLE KEYS */;
INSERT INTO `panels_pane` VALUES
('15', '8', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:0:"";s:5:"title";s:0:"";s:4:"body";s:2847:"<h6>Nulla eget metus auctor ex vehicula imperdiet quis et ligula</h6>\nMaecenas hendrerit mattis dui a efficitur. Morbi lorem enim, viverra sed turpis at, faucibus facilisis enim. In venenatis finibus tellus, vel lacinia nisi posuere ut. Proin aliquet fringilla lorem sed laoreet. Proin dignissim velit id quam tempor pharetra. Sed in eleifend mauris. Suspendisse quis tempus nunc. Sed nec blandit eros, id vehicula odio. Suspendisse hendrerit velit molestie hendrerit faucibus. Duis sem quam, fermentum ac nisi quis, efficitur congue urna. Proin in vehicula arcu, a posuere mi. Sed vestibulum fringilla mi at varius. Sed dictum maximus neque, ut placerat ante suscipit vel. Donec a tempor est, ac suscipit ligula. \n\n<h6>Donec vulputate neque odio, ac malesuada mi aliquet sed</h6>\nSed ligula arcu, iaculis at augue ac, dictum vestibulum ipsum. Aliquam erat volutpat. Aenean a sem dictum, vestibulum nunc volutpat, ullamcorper lectus. Nam eu enim nunc. Praesent suscipit neque et lacinia malesuada. Suspendisse non orci et lacus interdum vestibulum. Nam orci odio, dictum in tincidunt et, eleifend quis augue. Cras vestibulum augue quis ipsum elementum, dignissim bibendum felis dictum. \n\n<h6>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae</h6>\nInterdum et malesuada fames ac ante ipsum primis in faucibus. Integer non nunc dolor. Praesent accumsan condimentum mi a maximus. Quisque a est nec tellus condimentum rhoncus a vitae elit. Donec metus nibh, imperdiet quis velit at, ultricies interdum arcu. Vivamus vel quam a velit blandit cursus in nec ligula. Aliquam vel dolor viverra, mollis libero ac, luctus dolor. Aenean rutrum, dolor eget eleifend tincidunt, mi sem dapibus est, vel rutrum mauris nisl ac augue. \n\n<h6>Sed aliquam finibus imperdiet.</h6>\nPraesent tincidunt elit et augue scelerisque gravida. Nullam accumsan erat posuere, rhoncus enim in, sollicitudin enim. Proin malesuada eu risus ac blandit. Quisque dignissim leo id aliquam efficitur. Maecenas sed lectus rutrum elit malesuada blandit blandit quis turpis. Duis gravida convallis risus id ornare. Nam at lectus tempor, porttitor lorem sit amet, tincidunt libero. In hendrerit ornare dictum. Integer sagittis posuere fringilla. Aenean porttitor ligula in tortor dictum laoreet. Donec ac vehicula enim, vitae finibus ligula. Nam urna massa, porttitor et tincidunt vel, rutrum ut ante.\n\n<h6>Morbi dictum elementum nibh, eget elementum nisl pharetra in</h6>\nVestibulum elit lectus, sodales in quam vel, pharetra tincidunt ipsum. Cras ac pretium sapien, in rutrum magna. Curabitur cursus lacus sed feugiat cursus. Vivamus vehicula pretium arcu, non sollicitudin nibh suscipit eget. Duis sed consequat lectus. Nulla facilisi. Nunc id dui a tellus faucibus consequat ac et dui. \n\nEmail: <a href="mailto:admin@example.com">admin@example.com</a>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '88f0c656-b546-4bcb-a04c-12fe21586f5d'),
('17', '11', 'contacts', 'contact', 'contact', '1', 'a:0:{}', 'a:2:{s:14:"override_title";i:1;s:19:"override_title_text";s:12:"Contact Form";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:7:"col-1-2";}', 'a:0:{}', 0, 'a:0:{}', '6f827c5f-ed0d-4941-b52a-cdb9ea437387'),
('18', '11', 'contacts', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:0:"";s:5:"title";s:19:"Contact Information";s:4:"body";s:1032:"<h4>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque.</h4>\nSed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque et quasi architecto beatae vitae dicta sunt explicabo. Mornunc odio gravida atcursus neus a lorem. Maecenas tristique orci ac sem. Duis ultric pharetra magna. Donec accumsan malesuada orcic sit amet eros. Lorem ipsum dolor sit amet onsectetuer adipiscing elit. Mauris fermentum dictum magna. Sed laoreet aliquam leo. Ut tellus dolor dapibus eget. Mauris tincidunt aliquam lectus sed vestibulum. Vestibulum bibendum suscipit mattis. Praesent nec tincidunt turpis. Aliquam et nisi risus. Cras ut varius ante. Ut congue gravida dolor, vitae viverra dolor.</p>\n\n[clear type="div"]\n[col width="1-2"]\nThe Company Name Inc.<br />\n9870 St Vincent Place,<br />\nGlasgow, DC 45 Fr 45.<br />\n[/col]\n[col width="1-2" last="1"]\nTelephone:+1 800 603 6035<br />\nFAX:+1 800 889 9898<br />\nE-mail: <a href="mailto:mail@example.com">mail@example.com</a>\n[/col]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:16:"col-1-2 col-last";}', 'a:0:{}', 1, 'a:0:{}', '81e7acac-959f-4fd6-9252-da9230ea95f5'),
('22', '15', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:16:"Counters Style 1";s:5:"title";s:0:"";s:4:"body";s:414:"<h3>Counters Style 1</h3>\n[clear]\n[grid width="3" class="alpha"]\n[counter number="135" time="300"]Successful projects[/counter]\n[/grid]\n[grid width="3"]\n[counter number="12" time="300"]Talanted Professionals [/counter]\n[/grid]\n[grid width="3"]\n[counter number="42" time="300"]Awards Winned[/counter]\n[/grid]\n[grid width="3" class="omega"]\n[counter number="9" time="300"]Years of Hardwork[/counter]\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:0:"";}', 'a:0:{}', 0, 'a:0:{}', '06fb81ac-2f5e-4eff-966b-9f43fb26a464'),
('25', '11', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:0:"";s:5:"title";s:12:"Our Location";s:4:"body";s:89:"[gmap lat_coord="55.861263" lng_coord="-4.251604" zoom_value="15" zoom_wheel="no"][/gmap]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', 'a8e63d23-ed2e-4d3a-9674-4b1f6b52925a'),
('26', '17', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:20:"Progress Bars type 1";s:5:"title";s:0:"";s:4:"body";s:564:"[clear]\n[grid width="6" class="alpha"]\n[progressbar percent="48"]Graphic Design[/progressbar]\n[progressbar percent="11"]Brand Identity[/progressbar]\n[progressbar percent="21"]Research[/progressbar]\n[/grid]\n[grid width="6" class="omega"]\n[progressbar percent="36" barcolor="#93d5f1" trackcolor="rgba(147, 213, 241, .5)"]Blackberry[/progressbar]\n[progressbar percent="43" barcolor="#93d5f1" trackcolor="rgba(147, 213, 241, .5)"]Apple[/progressbar]\n[progressbar percent="67" barcolor="#93d5f1" trackcolor="rgba(147, 213, 241, .5)"]Tesla[/progressbar]\n[/grid]\n[/clear]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '2f1e78db-775e-4f8c-879a-907e82ebef06'),
('27', '18', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:23:"Standard 12 column grid";s:5:"title";s:0:"";s:4:"body";s:1989:"<h3>Standard 12 column grid</h3>\n<h6>1/2 columns</h6>\n[clear]\n[grid width="6" class="alpha"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes.[/grid]\n[grid width="6" class="omega"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes.[/grid]\n[/clear]\n<br>\n<h6>1/3 columns</h6>\n[clear]\n[grid width="4" class="alpha"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes.[/grid]\n[grid width="4"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes.[/grid]\n[grid width="4" class="omega"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes.[/grid]\n[/clear]\n<br>\n<h6>1/4 columns</h6>\n[clear]\n[grid width="3" class="alpha"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding[/grid]\n[grid width="3"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding[/grid]\n[grid width="3"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding[/grid]\n[grid width="3" class="omega"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding[/grid]\n[/clear]\n<br>\n<h6>2/3 + 1/3</h6>\n[clear]\n[grid width="8" class="alpha"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes. Cupcake fruitcake apple pie lollipop powder. Toffee croissant cookie brownie cookie cupcake marzipan.[/grid]\n[grid width="4" class="omega"]Cake bear claw gummi bears soufflé brownie. Lemon drops soufflé oat cake sweet chocolate bar wafer pudding caramels jujubes.[/grid]\n[/clear]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', 'ec39f0d9-d5cb-4718-94d7-364acab5e701'),
('30', '19', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:6:"Titles";s:5:"title";s:0:"";s:4:"body";s:5050:"<h1>Heading H1</h1>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n\n<h2>Heading H2</h2>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n\n<h3>Heading H3</h3>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n\n<h4>Heading H4</h4>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n\n<h5>Heading H5</h5>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n\n<h6>Heading H6</h6>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '513a16a3-a661-45c6-89a8-6f1115791cb1'),
('31', '19', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:11:"Blockquotes";s:5:"title";s:0:"";s:4:"body";s:747:"<h3>Blockquotes</h3>\n[clear class="gt-content-element"]\n[grid width="6" class="alpha"][blockquote style="1"]There was nothing you could have done, Luke, had you been there. You would have been killed, too, and the droids would be in the hands of the Empire.[/blockquote][/grid]\n[grid width="6" class="omega"][blockquote author="Moff Jerjerrod" style="2"]Luke, you can destroy the Emperor. He has foreseen this. It is your destiny![/blockquote][/grid]\n[/clear]\n[clear class="gt-content-element"]\n[grid width="9" class="alpha omega"][blockquote style="3"]One of the golden rules of writing is: Respect the reader’s intelligence. This rule gets magnified by a factor of 10 when it comes to composing unsolicited emails.[/blockquote][/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '7a2f8da5-3734-4466-a53e-c9a29761797f'),
('33', '15', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:16:"Counters Style 2";s:5:"title";s:0:"";s:4:"body";s:512:"<h3>Counters Style 2</h3>\n[clear]\n[grid width="3" class="alpha"]\n[counter number="135" icon="lnr lnr-rocket" time="300"]Successful projects[/counter]\n[/grid]\n[grid width="3"]\n[counter number="12" icon="lnr lnr-frame-contract" time="300"]Talanted Professionals [/counter]\n[/grid]\n[grid width="3"]\n[counter number="42" icon="lnr lnr-earth" time="300"]Awards Winned[/counter]\n[/grid]\n[grid width="3" class="omega"]\n[counter number="9" icon="lnr lnr-thumbs-up" time="300"]Years of Hardwork[/counter]\n[/grid]\n[/clear]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:0:"";}', 'a:0:{}', 1, 'a:0:{}', '763a1f77-aaef-41bf-93e6-47ab27e5453e'),
('35', '17', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:20:"Progress Bars type 2";s:5:"title";s:0:"";s:4:"body";s:296:"[progressbar percent="91" barcolor="#28abe3" trackcolor="#93d5f1" style="2"]Skiing[/progressbar]\n[progressbar percent="44" barcolor="#28abe3" trackcolor="#93d5f1" style="2"]Hiking[/progressbar]\n[progressbar percent="38" barcolor="#28abe3" trackcolor="#93d5f1" style="2"]Powerlifting[/progressbar]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:0:"";}', 'a:0:{}', 1, 'a:0:{}', 'ae28b292-17a8-4873-842d-1f473473a464'),
('36', '17', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:0:"";s:5:"title";s:0:"";s:4:"body";s:296:"[progressbar percent="57" barcolor="#20d76e" trackcolor="#80feb5" style="3"]Skiing[/progressbar]\n[progressbar percent="36" barcolor="#ff9f00" trackcolor="#ffd86a" style="3"]Hiking[/progressbar]\n[progressbar percent="29" barcolor="#279be8" trackcolor="#85d4ff" style="3"]Powerlifting[/progressbar]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:0:"";}', 'a:0:{}', 2, 'a:0:{}', '60c29fd6-4be1-4f00-a089-f4dc18a4ad52'),
('123', '35', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:0:"";s:5:"title";s:0:"";s:4:"body";s:257:"<h6 class="gt-item-name">Address</h6>\n<p>257 Fifth Avenue, 34th floor<br>\nNew York, NY 1018-3299 USA</p>\n\n<h6 class="gt-item-name">Phone</h6>\n<p>+1-313-290-4799</p>\n\n<h6 class="gt-item-name">E-mail</h6>\n<a href="mailto:inbox@gatsby.com">inbox@gatsby.com</a>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:34:"grid-3 suffix-1 omega gt-info-list";}', 'a:0:{}', 1, 'a:0:{}', 'c3652431-e0d7-41b4-a7bf-0db4e017514b'),
('124', '35', 'center', 'block', 'webform-client-block-173', '1', 'a:0:{}', 'a:3:{s:14:"override_title";i:1;s:19:"override_title_text";s:6:"<none>";s:22:"override_title_heading";s:2:"h2";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:46:"grid-6 prefix-1 suffix-1 alpha gt-contact-form";}', 'a:0:{}', 0, 'a:0:{}', 'ad80b1d8-a234-4309-999c-c3517badc85c'),
('125', '42', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:3:"404";s:5:"title";s:0:"";s:4:"body";s:32:"<span class="404-num">404</span>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:7:"404-num";}', 'a:0:{}', 0, 'a:0:{}', '7b753e26-6e3a-418b-bb4c-e62ed01d7f09'),
('126', '42', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:6:"SORRY!";s:5:"title";s:6:"SORRY!";s:4:"body";s:132:"<h4>PAGE NOT FOUND</h4>\r\nThe page you are looking for might have been removed, had its name changed, or is temporarily unavailable. ";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '7f865dda-6817-4cc0-9d9a-d06861cc0f1a'),
('127', '42', 'center', 'block', 'search-form', '1', 'a:1:{s:5:"logic";s:3:"and";}', 'a:2:{s:14:"override_title";i:0;s:19:"override_title_text";s:6:"Search";}', 'a:2:{s:6:"method";s:6:"simple";s:8:"settings";a:2:{s:8:"lifetime";s:2:"15";s:11:"granularity";s:4:"none";}}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:10:"404-search";s:9:"css_class";s:0:"";}', 'a:0:{}', 2, 'a:2:{s:4:"type";s:4:"none";s:7:"regions";a:1:{s:5:"right";s:5:"right";}}', '15dc8ad1-43f2-46e3-984f-4667b423d4c9'),
('128', '43', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:3:"404";s:5:"title";s:0:"";s:4:"body";s:32:"<span class="404-num">404</span>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:7:"404-num";}', 'a:0:{}', 0, 'a:0:{}', '7b753e26-6e3a-418b-bb4c-e62ed01d7f09'),
('129', '43', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:6:"SORRY!";s:5:"title";s:6:"SORRY!";s:4:"body";s:132:"<h4>PAGE NOT FOUND</h4>\r\nThe page you are looking for might have been removed, had its name changed, or is temporarily unavailable. ";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '7f865dda-6817-4cc0-9d9a-d06861cc0f1a'),
('130', '43', 'center', 'block', 'search-form', '1', 'a:1:{s:5:"logic";s:3:"and";}', 'a:2:{s:14:"override_title";i:0;s:19:"override_title_text";s:6:"Search";}', 'a:2:{s:6:"method";s:6:"simple";s:8:"settings";a:2:{s:8:"lifetime";s:2:"15";s:11:"granularity";s:4:"none";}}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:10:"404-search";s:9:"css_class";s:0:"";}', 'a:0:{}', 2, 'a:2:{s:4:"type";s:4:"none";s:7:"regions";a:1:{s:5:"right";s:5:"right";}}', '15dc8ad1-43f2-46e3-984f-4667b423d4c9'),
('131', '44', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:3:"404";s:5:"title";s:0:"";s:4:"body";s:32:"<span class="404-num">404</span>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:7:"404-num";}', 'a:0:{}', 0, 'a:0:{}', '7b753e26-6e3a-418b-bb4c-e62ed01d7f09'),
('132', '44', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:6:"SORRY!";s:5:"title";s:6:"SORRY!";s:4:"body";s:132:"<h4>PAGE NOT FOUND</h4>\r\nThe page you are looking for might have been removed, had its name changed, or is temporarily unavailable. ";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '7f865dda-6817-4cc0-9d9a-d06861cc0f1a'),
('133', '44', 'center', 'block', 'search-form', '1', 'a:1:{s:5:"logic";s:3:"and";}', 'a:2:{s:14:"override_title";i:0;s:19:"override_title_text";s:6:"Search";}', 'a:2:{s:6:"method";s:6:"simple";s:8:"settings";a:2:{s:8:"lifetime";s:2:"15";s:11:"granularity";s:4:"none";}}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:10:"404-search";s:9:"css_class";s:0:"";}', 'a:0:{}', 2, 'a:2:{s:4:"type";s:4:"none";s:7:"regions";a:1:{s:5:"right";s:5:"right";}}', '15dc8ad1-43f2-46e3-984f-4667b423d4c9'),
('134', '46', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:20:"Message boxes type 1";s:5:"title";s:11:"Message box";s:4:"body";s:328:"[message style="1" type="success"]Success! Something went very good. [/message]\n[message style="1" type="alert"]Alert! You need to remember something. [/message]\n[message style="1" type="info"]Information! You need to know something. [/message]\n[message style="1" type="warning"]Warning! Gimme danger, little stranger.[/message]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '70455ed5-a69c-4b88-8551-0de7d71406d1'),
('135', '46', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:20:"Message boxes type 2";s:5:"title";s:0:"";s:4:"body";s:328:"[message style="2" type="success"]Success! Something went very good. [/message]\n[message style="2" type="alert"]Alert! You need to remember something. [/message]\n[message style="2" type="info"]Information! You need to know something. [/message]\n[message style="2" type="warning"]Warning! Gimme danger, little stranger.[/message]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', 'ca28238c-fad9-4317-bf77-31bbb120ba93'),
('136', '46', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:10:"Call out 1";s:5:"title";s:8:"Call out";s:4:"body";s:319:"[callout bg="<?php echo base_path(); ?>/sites/default/files/call_out_bg_1.jpg"]\n[clear]\n[grid width="8" class="alpha"]\n<h3>Looking for an exceptional quality? <br>You’ve got it.</h3>\n[/grid]\n[grid width="4" class="omega align-right"]\n[button url="#" size="large" style="5"]Buy now[/button]\n[/grid]\n[/clear]\n[/callout]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 2, 'a:0:{}', 'c98d6243-857e-45e6-8d56-7aeaf759197b'),
('137', '47', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:7:"Buttons";s:5:"title";s:0:"";s:4:"body";s:944:"[clear]\n[grid width="4" class="alpha"]\n<h3>Buttons Style 1</h3>\n<p>[button url="#" size="small" style="1" type="inline"]Small Button[/button]</p>\n<p>[button url="#" size="medium" style="1" type="inline"]Standard Button[/button]</p>\n<p>[button url="#" size="large" style="1" type="inline"]Large Button[/button]</p>\n[/grid]\n[grid width="4"]\n<h3>Buttons Style 2</h3>\n<p>[button url="#" size="small" style="2" type="inline"]Small Button[/button]</p>\n<p>[button url="#" size="medium" style="2" type="inline"]Standard Button[/button]</p>\n<p>[button url="#" size="large" style="2" type="inline"]Large Button[/button]</p>\n[/grid]\n[grid width="4" class="omega"]\n<h3>Buttons Style 3</h3>\n<p>[button url="#" size="small" style="3" type="inline"]Small Button[/button]</p>\n<p>[button url="#" size="medium" style="3" type="inline"]Standard Button[/button]</p>\n<p>[button url="#" size="large" style="3" type="inline"]Large Button[/button]</p>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '8d4b5323-e06d-400c-bbce-de894ece20a7'),
('138', '47', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:9:"Buttons 2";s:5:"title";s:0:"";s:4:"body";s:944:"[clear]\n[grid width="4" class="alpha"]\n<h3>Buttons Style 4</h3>\n<p>[button url="#" size="small" style="4" type="inline"]Small Button[/button]</p>\n<p>[button url="#" size="medium" style="4" type="inline"]Standard Button[/button]</p>\n<p>[button url="#" size="large" style="4" type="inline"]Large Button[/button]</p>\n[/grid]\n[grid width="4"]\n<h3>Buttons Style 5</h3>\n<p>[button url="#" size="small" style="5" type="inline"]Small Button[/button]</p>\n<p>[button url="#" size="medium" style="5" type="inline"]Standard Button[/button]</p>\n<p>[button url="#" size="large" style="5" type="inline"]Large Button[/button]</p>\n[/grid]\n[grid width="4" class="omega"]\n<h3>Buttons Style 6</h3>\n<p>[button url="#" size="small" style="6" type="inline"]Small Button[/button]</p>\n<p>[button url="#" size="medium" style="6" type="inline"]Standard Button[/button]</p>\n<p>[button url="#" size="large" style="6" type="inline"]Large Button[/button]</p>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', 'b950f98c-a36a-4d6b-a14a-307df252c638'),
('139', '46', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:10:"Call out 2";s:5:"title";s:0:"";s:4:"body";s:325:"[callout bg="<?php echo base_path(); ?>/sites/default/files/call_out_bg_2.jpg" style="2"]\n[clear]\n[grid width="8" class="alpha"]\n<h3>We proudly present you this theme.</h3>\n[/grid]\n[grid width="4" class="omega align-right" ]\n[button url="#" size="large" style="6" class="btn-black"]Get it[/button]\n[/grid]\n[/clear]\n[/callout]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 3, 'a:0:{}', 'bacc34fe-0788-4cf2-b482-bd65d875fa5c'),
('140', '46', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:10:"Call out 3";s:5:"title";s:0:"";s:4:"body";s:350:"[callout bg="<?php echo base_path(); ?>/sites/default/files/call_out_bg_3.jpg" style="3"]\n[clear]\n[grid width="8" class="alpha"]\n<h3>Do you like Gatsby? <br>Buy it now and enjoy every layer.</h3>\n[/grid]\n[grid width="4" class="omega align-right" ]\n[button url="#" size="large" style="6" class="btn-white"]Book now[/button]\n[/grid]\n[/clear]\n[/callout]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 4, 'a:0:{}', '30b390a7-f0b6-4900-b61c-e7f3516e4600'),
('141', '46', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:10:"Call out 4";s:5:"title";s:0:"";s:4:"body";s:470:"[callout bg="<?php echo base_path(); ?>/sites/default/files/call_out_bg_4.jpg" style="4"]\n[clear]\n[grid width="5" class="alpha"]\n<h3>Get ready for the best</h3>\n<p>Join thousands of happy customers who have tried out this awesome HTML template</p>\n[/grid]\n[grid width="7" class="omega align-right" ]\n[button url="#" size="large" type="inline"]Buy now[/button]\n[button url="#" size="large" type="inline" class="btn-white"]Request Demo[/button]\n[/grid]\n[/clear]\n[/callout]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 5, 'a:0:{}', '713f8000-f6d6-41d5-8b9b-9bee4bf0554a'),
('142', '49', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:14:"Dropcap type 1";s:5:"title";s:0:"";s:4:"body";s:828:"<p>[dropcap]G[/dropcap]ingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '240039db-fcb7-45b4-8d03-7860ea875954'),
('143', '49', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:14:"Dropcap type 2";s:5:"title";s:0:"";s:4:"body";s:821:"<p>[dropcap style="2"]P[/dropcap]lum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '5beb8f97-02c5-4f81-97ac-3a199bb9fac4'),
('144', '49', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:14:"Dropcap type 3";s:5:"title";s:0:"";s:4:"body";s:897:"<p>[dropcap bg="<?php echo base_path(); ?>sites/default/files/content_image_2.jpg" style="3"]S[/dropcap]ugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 2, 'a:0:{}', 'bc963e2a-1eb0-4f8b-8e58-efdc0bca986e'),
('145', '54', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:8:"Dividers";s:5:"title";s:0:"";s:4:"body";s:1944:"Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.\n[divider][/divider]\nCarrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.\n[divider style="2"][/divider]\nCarrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.\n[divider style="3"][/divider]\nCarrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.\n[divider style="4"][/divider]\nCarrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', 'b8382210-569b-4792-9935-eb194d802a0f'),
('146', '50', 'center', 'block', 'webform-client-block-181', '1', 'a:0:{}', 'a:3:{s:14:"override_title";i:1;s:19:"override_title_text";s:6:"<none>";s:22:"override_title_heading";s:2:"h2";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:12:"grid-6 alpha";}', 'a:0:{}', 0, 'a:0:{}', 'cf98f91d-c481-4e1b-a2bb-48769a4763e1'),
('147', '50', 'center', 'block', 'webform-client-block-182', '1', 'a:0:{}', 'a:3:{s:14:"override_title";i:1;s:19:"override_title_text";s:6:"<none>";s:22:"override_title_heading";s:2:"h2";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:2:{s:6:"css_id";s:0:"";s:9:"css_class";s:12:"grid-6 omega";}', 'a:0:{}', 1, 'a:0:{}', 'b74a2e68-6466-40b5-ae17-1f926a3026e9'),
('148', '51', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:18:"Icon Boxes Style 1";s:5:"title";s:0:"";s:4:"body";s:602:"<h3>Icon Boxes Style 1</h3>\n[clear class="align-center"]\n[grid width="3" class="alpha"]\n[icon class="lnr lnr-layers"][/icon]\n<h6>Layered PSD</h6>\n<p>Lemon drops biscuit oat cake chocolate</p>\n[/grid]\n[grid width="3"]\n[icon class="lnr lnr-bubble"][/icon]\n<h6>24 / 7 Help</h6>\n<p>Chocolate cake sweet gingerbread donut</p>\n[/grid]\n[grid width="3"]\n[icon class="lnr lnr-briefcase"][/icon]\n<h6>Low Price</h6>\n<p>Topping powder danish tiramisu.</p>\n[/grid]\n[grid width="3" class="omega"]\n[icon class="lnr lnr-gift"][/icon]\n<h6>Freebies Soon</h6>\n<p>Danish candy canes croissant caramels</p>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', 'b76cb91c-22a4-4324-8265-14ac5a970938'),
('149', '51', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:18:"Icon Boxes Style 2";s:5:"title";s:0:"";s:4:"body";s:685:"<h3>Icon Boxes Style 2</h3>\n[clear class="align-center"]\n[grid width="4" class="alpha"]\n[icon class="lnr lnr-rocket" style="2"][/icon]\n<h6>Layered Psd</h6>\n<p>Cookie biscuit cupcake marshmallow ice cream cupcake liquorice. Marshmallow bear claw biscuit.</p>\n[/grid]\n[grid width="4"]\n[icon class="lnr lnr-unlink" style="2"][/icon]\n<h6>Magnet For CLients</h6>\n<p>Cotton candy topping ice cream ice cream. Bear claw jelly beans halvah candy canes cake fruitcake sweet roll.</p>\n[/grid]\n[grid width="4" class="omega"]\n[icon class="lnr lnr-users" style="2"][/icon]\n<h6>Best Service Ever</h6>\n<p>Jelly beans lemon drops halvah gingerbread sweet bear claw pastry topping.</p>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '0cd698fc-1a2a-48ba-8259-35cde6860395'),
('150', '51', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:18:"Icon Boxes Style 3";s:5:"title";s:0:"";s:4:"body";s:745:"<h3>Icon Boxes Style 3</h3>\n[clear class="align-center"]\n[grid width="4" class="alpha"]\n[icon class="icon-basic-bolt" style="3"][/icon]\n<h6>Fireproof</h6>\n[/grid]\n[grid width="4"]\n[icon class="icon-basic-eye" style="3"][/icon]\n<h6>Rib Eye</h6>\n[/grid]\n[grid width="4" class="omega"]\n[icon class="icon-basic-cup" style="3"][/icon]\n<h6>Award Winner</h6>\n[/grid]\n[/clear]\n<br>\n[clear class="align-center"]\n[grid width="4" class="alpha"]\n[icon class="icon-basic-settings" style="3"][/icon]\n<h6>Easy to Maintain</h6>\n[/grid]\n[grid width="4"]\n[icon class="icon-basic-lock" style="3"][/icon]\n<h6>No Smokey Flare-Ups</h6>\n[/grid]\n[grid width="4" class="omega"]\n[icon class="icon-basic-heart" style="3"][/icon]\n<h6>Healtheir Cooking</h6>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 2, 'a:0:{}', 'f32a8e30-dca8-418a-80e8-ddba402af62d'),
('151', '51', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:18:"Icon Boxes Style 4";s:5:"title";s:0:"";s:4:"body";s:907:"<h3>Icon Boxes Style 4</h3>\n[clear]\n[grid width="6" class="alpha"]\n[icon class="icon-basic-tablet" style="4"][/icon]\n<h6>Install App</h6>\n<p>Muffin donut dragée gummi bears lemon drops carrot cake roll chocolate bar.</p>\n[/grid]\n[grid width="6" class="omega"]\n[icon class="icon-basic-lock" style="4"][/icon]\n<h6>Choose Privacy level</h6>\n<p>Croissant tootsie roll muffin apple pie sesame snaps biscuit. Macaroon macaroon jelly beans pudding icing tart.</p>\n[/grid]\n[/clear]\n<br>\n[clear]\n[grid width="6" class="alpha"]\n[icon class="icon-basic-eye" style="4"][/icon]\n<h6>Start Browsing</h6>\n<p>Jelly jelly-o marshmallow chocolate bar. Toffee pastry chupa chups. Dragée cake cake.</p>\n[/grid]\n[grid width="6" class="omega"]\n[icon class="icon-basic-smartphone" style="4"][/icon]\n<h6>Same account everywhere</h6>\n<p>Gingerbread topping muffin topping fruitcake cookie brownie tootsie roll.</p>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 3, 'a:0:{}', 'c5c167da-6c9a-4672-942b-ab4e067bca01'),
('152', '51', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:18:"Icon Boxes Style 5";s:5:"title";s:0:"";s:4:"body";s:649:"<h3>Icon Boxes Style 5</h3>\n[clear class="align-center"]\n[grid width="3" class="alpha"]\n[icon class="icon-basic-star" style="5"][/icon]\n<h6>Branding</h6>\n<p>Lemon drops biscuit oat cake chocolate</p>\n[/grid]\n[grid width="3"]\n[icon class="icon-basic-lightbulb" style="5"][/icon]\n<h6>Marketing</h6>\n<p>Chocolate cake sweet gingerbread donut</p>\n[/grid]\n[grid width="3"]\n[icon class="icon-basic-world" style="5"][/icon]\n<h6>Advertising</h6>\n<p>Topping powder danish tiramisu.</p>\n[/grid]\n[grid width="3" class="omega"]\n[icon class="icon-basic-picture" style="5"][/icon]\n<h6>Photography</h6>\n<p>Danish candy canes croissant caramels</p>\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 4, 'a:0:{}', 'f6fa662c-96ea-4e01-9023-38464f579b85'),
('153', '52', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:13:"Image default";s:5:"title";s:0:"";s:4:"body";s:457:"[img url="<?php echo base_path(); ?>sites/default/files/content_image_2.jpg"][/img]\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', 'e91744cd-ba08-4ee4-af6c-7e2b42b0891e'),
('154', '52', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:10:"Image left";s:5:"title";s:0:"";s:4:"body";s:937:"[clear]\n[img url="<?php echo base_path(); ?>sites/default/files/content_image_3.jpg" position="left"][/img]\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n[/clear]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', 'e6c0acf3-7d18-4236-8063-b6c8e908ca43'),
('155', '52', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:11:"Image right";s:5:"title";s:0:"";s:4:"body";s:938:"[clear]\n[img url="<?php echo base_path(); ?>sites/default/files/content_image_3.jpg" position="right"][/img]\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n<p>Toffee cake dessert wafer chocolate bar apple pie cookie ice cream. Lemon drops apple pie caramels sugar plum tiramisu. Croissant gummies sweet roll tootsie roll donut. Biscuit donut biscuit wafer chocolate cake jelly. Cookie donut bear claw. Tart lollipop cupcake wafer oat cake chocolate bar ice cream. Fruitcake oat cake toffee chocolate croissant. Pudding chocolate bar marzipan chocolate bar caramels marshmallow sugar plum ice cream.</p>\n[/clear]";s:6:"format";s:8:"php_code";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 2, 'a:0:{}', 'a8625ef4-513c-4fe6-8f3b-7f719eb975ed'),
('156', '53', 'center', 'custom', 'custom', '1', 'a:0:{}', 'a:5:{s:11:"admin_title";s:5:"Lists";s:5:"title";s:0:"";s:4:"body";s:2738:"<h3>Strange Days</h3>\n<p>Carrot cake gingerbread sugar plum jujubes. Chocolate bar gummi bears topping lemon drops soufflé biscuit gummi bears pie. Gummi bears brownie lollipop cheesecake. Liquorice sweet roll caramels brownie pastry bonbon sesame snaps. Candy jelly-o tootsie roll carrot cake. Carrot cake apple pie candy canes chupa chups chocolate cake chocolate chupa chups carrot cake.</p>\n[clear]\n[grid width="6" class="alpha"]\n[list style="1"]\n<ul>\n<li>Jelly-o lemon drops muffin ice cream.</li>\n<li>Lemon drops cake liquorice donut fruitcake.</li>\n<li>Carrot cake cookie danish jelly.</li>\n<li>Bonbon cake halvah pastry cookie tart.</li>\n</ul>\n[/list]\n[/grid]\n[grid width="6" class="omega"]\n[list style="2"]\n<ul>\n<li>Jelly-o lemon drops muffin ice cream.</li>\n<li>Lemon drops cake liquorice donut fruitcake.</li>\n<li>Carrot cake cookie danish jelly.</li>\n<li>Bonbon cake halvah pastry cookie tart.</li>\n</ul>\n[/list]\n[/grid]\n[/clear]\n<br>\n<p>Powder cheesecake liquorice tart chocolate bear claw pastry chocolate cake. Marzipan marzipan danish. Bonbon cupcake candy brownie candy canes. Marzipan marshmallow chupa chups carrot cake. Halvah ice cream apple pie cupcake cake candy canes macaroon dessert donut. Tiramisu chocolate bear claw cupcake jelly carrot cake sesame snaps.</p>\n[clear]\n[grid width="6" class="alpha"]\n[list style="3"]\n<ul>\n<li>Jelly-o lemon drops muffin ice cream.</li>\n<li>Lemon drops cake liquorice donut fruitcake.</li>\n<li>Carrot cake cookie danish jelly.</li>\n<li>Bonbon cake halvah pastry cookie tart.</li>\n</ul>\n[/list]\n[/grid]\n[grid width="6" class="omega"]\n[list style="4"]\n<ul>\n<li>Jelly-o lemon drops muffin ice cream.</li>\n<li>Lemon drops cake liquorice donut fruitcake.</li>\n<li>Carrot cake cookie danish jelly.</li>\n<li>Bonbon cake halvah pastry cookie tart.</li>\n</ul>\n[/list]\n[/grid]\n[/clear]\n<br>\n<p>Brownie cheesecake donut chocolate bar marshmallow caramels marzipan icing. Sesame snaps gummi bears bear claw dragée icing. Tart sugar plum halvah. Topping croissant tart. Tart chocolate soufflé chupa chups chocolate bar liquorice cotton candy toffee carrot cake. Gummi bears cheesecake croissant pastry tiramisu cookie brownie sugar plum.</p>\n[clear]\n[grid width="6" class="alpha"]\n[list style="5"]\n<ul>\n<li>Jelly-o lemon drops muffin ice cream.</li>\n<li>Lemon drops cake liquorice donut fruitcake.</li>\n<li>Carrot cake cookie danish jelly.</li>\n<li>Bonbon cake halvah pastry cookie tart.</li>\n</ul>\n[/list]\n[/grid]\n[grid width="6" class="omega"]\n[list style="6"]\n<ul>\n<li>Jelly-o lemon drops muffin ice cream.</li>\n<li>Lemon drops cake liquorice donut fruitcake.</li>\n<li>Carrot cake cookie danish jelly.</li>\n<li>Bonbon cake halvah pastry cookie tart.</li>\n</ul>\n[/list]\n[/grid]\n[/clear]";s:6:"format";s:9:"full_html";s:10:"substitute";b:1;}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '7181b65d-ff9f-44b8-a56f-7ac81f74a607'),
('157', '26', 'center', 'views', 'tariff_plans', '1', 'a:0:{}', 'a:15:{s:23:"override_pager_settings";i:0;s:9:"use_pager";i:0;s:14:"nodes_per_page";s:1:"3";s:8:"pager_id";s:1:"0";s:6:"offset";s:1:"0";s:9:"more_link";i:0;s:10:"feed_icons";i:0;s:10:"panel_args";i:0;s:12:"link_to_view";i:0;s:4:"args";s:0:"";s:3:"url";s:0:"";s:7:"display";s:5:"block";s:14:"override_title";i:1;s:19:"override_title_text";s:22:"Pricing Tables Style 1";s:22:"override_title_heading";s:2:"h3";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 0, 'a:0:{}', '06fd4cdd-3c94-4233-a8bf-69925fad65c6'),
('158', '26', 'center', 'views', 'tariff_plans', '1', 'a:0:{}', 'a:15:{s:23:"override_pager_settings";i:0;s:9:"use_pager";i:0;s:14:"nodes_per_page";s:1:"4";s:8:"pager_id";s:1:"0";s:6:"offset";s:1:"0";s:9:"more_link";i:0;s:10:"feed_icons";i:0;s:10:"panel_args";i:0;s:12:"link_to_view";i:0;s:4:"args";s:0:"";s:3:"url";s:0:"";s:7:"display";s:7:"block_3";s:14:"override_title";i:1;s:19:"override_title_text";s:22:"Pricing Tables Style 1";s:22:"override_title_heading";s:2:"h3";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 1, 'a:0:{}', '4dff4c78-eb10-4ac7-97ab-bc651422ab23'),
('159', '26', 'center', 'views', 'tariff_plans', '1', 'a:0:{}', 'a:15:{s:23:"override_pager_settings";i:0;s:9:"use_pager";i:0;s:14:"nodes_per_page";s:1:"3";s:8:"pager_id";s:1:"0";s:6:"offset";s:1:"0";s:9:"more_link";i:0;s:10:"feed_icons";i:0;s:10:"panel_args";i:0;s:12:"link_to_view";i:0;s:4:"args";s:0:"";s:3:"url";s:0:"";s:7:"display";s:7:"block_4";s:14:"override_title";i:1;s:19:"override_title_text";s:22:"Pricing Tables Style 3";s:22:"override_title_heading";s:2:"h3";}', 'a:0:{}', 'a:1:{s:8:"settings";N;}', 'a:0:{}', 'a:0:{}', 2, 'a:0:{}', 'a4cc8386-a94f-42fc-9b9c-720a6635f882');
/*!40000 ALTER TABLE panels_pane ENABLE KEYS */;

--
-- Table structure for table 'panels_renderer_pipeline'
--

CREATE TABLE IF NOT EXISTS `panels_renderer_pipeline` (
  `rpid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'A database primary key to ensure uniqueness.',
  `name` varchar(255) DEFAULT NULL COMMENT 'Unique ID for this content. Used to identify it programmatically.',
  `admin_title` varchar(255) DEFAULT NULL COMMENT 'Administrative title for this pipeline.',
  `admin_description` longtext COMMENT 'Administrative description for this pipeline.',
  `weight` smallint(6) DEFAULT '0',
  `settings` longtext COMMENT 'Serialized settings for the actual pipeline. The contents of this field are up to the plugin that uses it.',
  PRIMARY KEY (`rpid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains renderer pipelines for Panels. Each pipeline...' COMMENT='Contains renderer pipelines for Panels. Each pipeline...';

--
-- Dumping data for table 'panels_renderer_pipeline'
--

/*!40000 ALTER TABLE panels_renderer_pipeline DISABLE KEYS */;
/*!40000 ALTER TABLE panels_renderer_pipeline ENABLE KEYS */;

--
-- Table structure for table 'poll'
--

CREATE TABLE IF NOT EXISTS `poll` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The poll’s node.nid.',
  `runtime` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of seconds past node.created during which the poll is open.',
  `active` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not the poll is open.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores poll-specific information for poll nodes.' COMMENT='Stores poll-specific information for poll nodes.';

--
-- Dumping data for table 'poll'
--

/*!40000 ALTER TABLE poll DISABLE KEYS */;
INSERT INTO `poll` VALUES
('11', '0', '1');
/*!40000 ALTER TABLE poll ENABLE KEYS */;

--
-- Table structure for table 'poll_choice'
--

CREATE TABLE IF NOT EXISTS `poll_choice` (
  `chid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for a poll choice.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this choice belongs to.',
  `chtext` varchar(128) NOT NULL DEFAULT '' COMMENT 'The text for this choice.',
  `chvotes` int(11) NOT NULL DEFAULT '0' COMMENT 'The total number of votes this choice has received by all users.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The sort order of this choice among all choices for the same node.',
  PRIMARY KEY (`chid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Stores information about all choices for all polls.' COMMENT='Stores information about all choices for all polls.';

--
-- Dumping data for table 'poll_choice'
--

/*!40000 ALTER TABLE poll_choice DISABLE KEYS */;
INSERT INTO `poll_choice` VALUES
('1', '11', 'Super', '498', '1'),
('2', '11', 'Good', '368', '1'),
('3', '11', 'Normal', '265', '2'),
('4', '11', 'Bad', '156', '3');
/*!40000 ALTER TABLE poll_choice ENABLE KEYS */;

--
-- Table structure for table 'poll_vote'
--

CREATE TABLE IF NOT EXISTS `poll_vote` (
  `chid` int(10) unsigned NOT NULL,
  `nid` int(10) unsigned NOT NULL COMMENT 'The poll node this vote is for.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid this vote is from unless the voter was anonymous.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address this vote is from unless the voter was logged in.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The timestamp of the vote creation.',
  PRIMARY KEY (`nid`,`uid`,`hostname`),
  KEY `chid` (`chid`),
  KEY `hostname` (`hostname`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-users votes for each poll.' COMMENT='Stores per-users votes for each poll.';

--
-- Dumping data for table 'poll_vote'
--

/*!40000 ALTER TABLE poll_vote DISABLE KEYS */;
INSERT INTO `poll_vote` VALUES
('1', '11', '1', '192.168.9.7', '1305118518');
/*!40000 ALTER TABLE poll_vote ENABLE KEYS */;

--
-- Table structure for table 'queue'
--

CREATE TABLE IF NOT EXISTS `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=340 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.' COMMENT='Stores items in queues.';

--
-- Dumping data for table 'queue'
--

/*!40000 ALTER TABLE queue DISABLE KEYS */;
/*!40000 ALTER TABLE queue ENABLE KEYS */;

--
-- Table structure for table 'rdf_mapping'
--

CREATE TABLE IF NOT EXISTS `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...' COMMENT='Stores custom RDF mappings for user defined content types...';

--
-- Dumping data for table 'rdf_mapping'
--

/*!40000 ALTER TABLE rdf_mapping DISABLE KEYS */;
INSERT INTO `rdf_mapping` VALUES
('node', 'article', 'a:11:{s:11:"field_image";a:2:{s:10:"predicates";a:2:{i:0;s:8:"og:image";i:1;s:12:"rdfs:seeAlso";}s:4:"type";s:3:"rel";}s:10:"field_tags";a:2:{s:10:"predicates";a:1:{i:0;s:10:"dc:subject";}s:4:"type";s:3:"rel";}s:7:"rdftype";a:2:{i:0;s:9:"sioc:Item";i:1;s:13:"foaf:Document";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),
('node', 'blog', 'a:9:{s:7:"rdftype";a:2:{i:0;s:9:"sioc:Post";i:1;s:14:"sioct:BlogPost";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),
('node', 'forum', 'a:10:{s:7:"rdftype";a:2:{i:0;s:9:"sioc:Post";i:1;s:15:"sioct:BoardPost";}s:15:"taxonomy_forums";a:2:{s:10:"predicates";a:1:{i:0;s:18:"sioc:has_container";}s:4:"type";s:3:"rel";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),
('node', 'page', 'a:9:{s:7:"rdftype";a:1:{i:0;s:13:"foaf:Document";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),
('node', 'poll', 'a:9:{s:7:"rdftype";a:2:{i:0;s:9:"sioc:Post";i:1;s:10:"sioct:Poll";}s:5:"title";a:1:{s:10:"predicates";a:1:{i:0;s:8:"dc:title";}}s:7:"created";a:3:{s:10:"predicates";a:2:{i:0;s:7:"dc:date";i:1;s:10:"dc:created";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:7:"changed";a:3:{s:10:"predicates";a:1:{i:0;s:11:"dc:modified";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}s:4:"body";a:1:{s:10:"predicates";a:1:{i:0;s:15:"content:encoded";}}s:3:"uid";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:has_creator";}s:4:"type";s:3:"rel";}s:4:"name";a:1:{s:10:"predicates";a:1:{i:0;s:9:"foaf:name";}}s:13:"comment_count";a:2:{s:10:"predicates";a:1:{i:0;s:16:"sioc:num_replies";}s:8:"datatype";s:11:"xsd:integer";}s:13:"last_activity";a:3:{s:10:"predicates";a:1:{i:0;s:23:"sioc:last_activity_date";}s:8:"datatype";s:12:"xsd:dateTime";s:8:"callback";s:12:"date_iso8601";}}'),
('taxonomy_term', 'forums', 'a:5:{s:7:"rdftype";a:2:{i:0;s:14:"sioc:Container";i:1;s:10:"sioc:Forum";}s:4:"name";a:1:{s:10:"predicates";a:2:{i:0;s:10:"rdfs:label";i:1;s:14:"skos:prefLabel";}}s:11:"description";a:1:{s:10:"predicates";a:1:{i:0;s:15:"skos:definition";}}s:3:"vid";a:2:{s:10:"predicates";a:1:{i:0;s:13:"skos:inScheme";}s:4:"type";s:3:"rel";}s:6:"parent";a:2:{s:10:"predicates";a:1:{i:0;s:12:"skos:broader";}s:4:"type";s:3:"rel";}}');
/*!40000 ALTER TABLE rdf_mapping ENABLE KEYS */;

--
-- Table structure for table 'registry'
--

CREATE TABLE IF NOT EXISTS `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL,
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...' COMMENT='Each record is a function, class, or interface name and...';

--
-- Dumping data for table 'registry'
--

/*!40000 ALTER TABLE registry DISABLE KEYS */;
INSERT INTO `registry` VALUES
('AccessDeniedTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('AddFeedTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('addressfield_views_handler_field_administrative_area', 'class', 'sites/all/modules/addressfield/views/addressfield_views_handler_field_administrative_area.inc', 'addressfield', '0'),
('addressfield_views_handler_field_country', 'class', 'sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc', 'addressfield', '0'),
('addressfield_views_handler_filter_country', 'class', 'sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc', 'addressfield', '0'),
('AddThis', 'class', 'sites/all/modules/addthis/classes/AddThis.php', 'addthis', '0'),
('AddThisFunctionalityTestCase', 'class', 'sites/all/modules/addthis/tests/AddThisFunctionalityTestCase.test', 'addthis', '0'),
('AddThisJson', 'class', 'sites/all/modules/addthis/classes/Util/AddThisJson.php', 'addthis', '0'),
('AddThisJsTest', 'class', 'sites/all/modules/addthis/tests/AddThisJsTest.test', 'addthis', '0'),
('AddThisPermissionsTestCase', 'class', 'sites/all/modules/addthis/tests/AddThisPermissionsTestCase.test', 'addthis', '0'),
('AddThisScriptManager', 'class', 'sites/all/modules/addthis/classes/Services/AddThisScriptManager.php', 'addthis', '0'),
('AddThisTestHelper', 'class', 'sites/all/modules/addthis/tests/AddThisTestHelper.php', 'addthis', '0'),
('AddThisWidgetJsUrl', 'class', 'sites/all/modules/addthis/classes/Util/AddThisWidgetJsUrl.php', 'addthis', '0'),
('AdminMenuCustomizedTestCase', 'class', 'sites/all/modules/admin_menu/tests/admin_menu.test', 'admin_menu', '0'),
('AdminMenuDynamicLinksTestCase', 'class', 'sites/all/modules/admin_menu/tests/admin_menu.test', 'admin_menu', '0'),
('AdminMenuLinkTypesTestCase', 'class', 'sites/all/modules/admin_menu/tests/admin_menu.test', 'admin_menu', '0'),
('AdminMenuPermissionsTestCase', 'class', 'sites/all/modules/admin_menu/tests/admin_menu.test', 'admin_menu', '0'),
('AdminMenuWebTestCase', 'class', 'sites/all/modules/admin_menu/tests/admin_menu.test', 'admin_menu', '0'),
('AdminMetaTagTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('AggregatorConfigurationTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('AggregatorCronTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('AggregatorRenderingTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('AggregatorTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('ArchiverInterface', 'interface', 'includes/archiver.inc', '', '0'),
('ArchiverTar', 'class', 'modules/system/system.archiver.inc', 'system', '0'),
('ArchiverZip', 'class', 'modules/system/system.archiver.inc', 'system', '0'),
('Archive_Tar', 'class', 'modules/system/system.tar.inc', 'system', '0'),
('BatchMemoryQueue', 'class', 'includes/batch.queue.inc', '', '0'),
('BatchQueue', 'class', 'includes/batch.queue.inc', '', '0'),
('BlockAdminThemeTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockCacheTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockClassContextTestCase', 'class', 'sites/all/modules/block_class/block_class.test', 'block_class', '0'),
('BlockClassFeaturesTestCase', 'class', 'sites/all/modules/block_class/block_class.test', 'block_class', '0'),
('BlockClassPermissionTestCase', 'class', 'sites/all/modules/block_class/block_class.test', 'block_class', '0'),
('BlockClassTestCase', 'class', 'sites/all/modules/block_class/block_class.test', 'block_class', '0'),
('BlockClassUpdateDisplayTestCase', 'class', 'sites/all/modules/block_class/block_class.test', 'block_class', '0'),
('BlockHashTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockHiddenRegionTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockHTMLIdTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockInvalidRegionTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockTemplateSuggestionsUnitTest', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockTestCase', 'class', 'modules/block/block.test', 'block', '-5'),
('BlockViewModuleDeltaAlterWebTest', 'class', 'modules/block/block.test', 'block', '-5'),
('BlogTestCase', 'class', 'modules/blog/blog.test', 'blog', '0'),
('CategorizeFeedItemTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('CategorizeFeedTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('colorbox_handler_field_colorbox', 'class', 'sites/all/modules/colorbox/views/colorbox_handler_field_colorbox.inc', 'colorbox', '0'),
('CommentActionsTestCase', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentAnonymous', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentApprovalTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentBlockFunctionalTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentContentRebuild', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentController', 'class', 'modules/comment/comment.module', 'comment', '0'),
('CommentFieldsTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentHelperCase', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentInterfaceTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentNodeAccessTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentNodeChangesTestCase', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentPagerTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentPreviewTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentRSSUnitTest', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentThreadingTestCase', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommentTokenReplaceTestCase', 'class', 'modules/comment/comment.test', 'comment', '0'),
('CommerceBaseTestCase', 'class', 'sites/all/modules/commerce/tests/commerce_base.test', 'commerce', '0'),
('CommerceBaseTesterTestCase', 'class', 'sites/all/modules/commerce/tests/commerce_base.test', 'commerce', '0'),
('CommerceCartTestCase', 'class', 'sites/all/modules/commerce/modules/cart/tests/commerce_cart.test', 'commerce_cart', '0'),
('CommerceCartTestCaseAnonymousToAuthenticated', 'class', 'sites/all/modules/commerce/modules/cart/tests/commerce_cart.test', 'commerce_cart', '0'),
('CommerceCartTestCaseAttributes', 'class', 'sites/all/modules/commerce/modules/cart/tests/commerce_cart.test', 'commerce_cart', '0'),
('CommerceCartTestCaseMultiProducts', 'class', 'sites/all/modules/commerce/modules/cart/tests/commerce_cart.test', 'commerce_cart', '0'),
('CommerceCartTestCaseSimpleProduct', 'class', 'sites/all/modules/commerce/modules/cart/tests/commerce_cart.test', 'commerce_cart', '0'),
('CommerceCheckoutTestProcess', 'class', 'sites/all/modules/commerce/modules/checkout/tests/commerce_checkout.test', 'commerce_checkout', '0'),
('CommerceCouponEntityController', 'class', 'sites/all/modules/commerce_coupon/classes/commerce_coupon.inc', 'commerce_coupon', '0'),
('CommerceCouponType', 'class', 'sites/all/modules/commerce_coupon/classes/commerce_coupon_type.inc', 'commerce_coupon', '0'),
('CommerceCustomerProfileEntityController', 'class', 'sites/all/modules/commerce/modules/customer/includes/commerce_customer_profile.controller.inc', 'commerce_customer', '0'),
('CommerceCustomerUITest', 'class', 'sites/all/modules/commerce/modules/customer/tests/commerce_customer_ui.test', 'commerce_customer_ui', '0'),
('CommerceLineItemEntityController', 'class', 'sites/all/modules/commerce/modules/line_item/includes/commerce_line_item.controller.inc', 'commerce_line_item', '0'),
('CommerceMulticurrencyTestCase', 'class', 'sites/all/modules/commerce_multicurrency/tests/commerce_multicurrency.test', 'commerce_multicurrency', '0'),
('CommerceOrderCRUDTestCase', 'class', 'sites/all/modules/commerce/modules/order/tests/commerce_order.test', 'commerce_order', '0'),
('CommerceOrderEntityController', 'class', 'sites/all/modules/commerce/modules/order/includes/commerce_order.controller.inc', 'commerce_order', '0'),
('CommerceOrderRulesTest', 'class', 'sites/all/modules/commerce/modules/order/tests/commerce_order.rules.test', 'commerce_order', '0'),
('CommerceOrderUIAdminTest', 'class', 'sites/all/modules/commerce/modules/order/tests/commerce_order_ui.test', 'commerce_order_ui', '0'),
('CommercePaymentOffsiteTest', 'class', 'sites/all/modules/commerce/modules/payment/tests/commerce_payment_ui.test', 'commerce_payment_ui', '0'),
('CommercePaymentRulesTest', 'class', 'sites/all/modules/commerce/modules/payment/tests/commerce_payment.rules.test', 'commerce_payment', '0'),
('CommercePaymentTransactionEntityController', 'class', 'sites/all/modules/commerce/modules/payment/includes/commerce_payment_transaction.controller.inc', 'commerce_payment', '0'),
('CommercePaymentUITest', 'class', 'sites/all/modules/commerce/modules/payment/tests/commerce_payment_ui.test', 'commerce_payment_ui', '0'),
('CommerceProductCRUDTestCase', 'class', 'sites/all/modules/commerce/modules/product/tests/commerce_product.test', 'commerce_product', '0'),
('CommerceProductEntityController', 'class', 'sites/all/modules/commerce/modules/product/includes/commerce_product.controller.inc', 'commerce_product', '0'),
('CommerceProductReferenceAdminTest', 'class', 'sites/all/modules/commerce/modules/product_reference/tests/commerce_product_reference.test', 'commerce_product_reference', '0'),
('CommerceProductRulesTestCase', 'class', 'sites/all/modules/commerce/modules/product/tests/commerce_product.test', 'commerce_product', '0'),
('CommerceProductUIAdminTest', 'class', 'sites/all/modules/commerce/modules/product/tests/commerce_product_ui.test', 'commerce_product_ui', '0'),
('CommerceTaxUIAdminTest', 'class', 'sites/all/modules/commerce/modules/tax/tests/commerce_tax_ui.test', 'commerce_tax_ui', '0'),
('CommerceWishlistTest', 'class', 'sites/all/modules/commerce_wishlist/commerce_wishlist.test', 'commerce_wishlist', '0'),
('CommerceWishlistTestBase', 'class', 'sites/all/modules/commerce_wishlist/commerce_wishlist.test', 'commerce_wishlist', '0'),
('commerce_cart_handler_area_empty_text', 'class', 'sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_area_empty_text.inc', 'commerce_cart', '0'),
('commerce_cart_handler_field_add_to_cart_form', 'class', 'sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_add_to_cart_form.inc', 'commerce_cart', '0'),
('commerce_cart_handler_field_edit_attributes', 'class', 'sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_edit_attributes.inc', 'commerce_cart', '0'),
('commerce_cart_plugin_argument_default_current_cart_order_id', 'class', 'sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_plugin_argument_default_current_cart_order_id.inc', 'commerce_cart', '0'),
('commerce_coupon_handler_field_coupon_granted_amount', 'class', 'sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_coupon_granted_amount.inc', 'commerce_coupon', '0'),
('commerce_coupon_handler_field_coupon_operations', 'class', 'sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_coupon_operations.inc', 'commerce_coupon', '0'),
('commerce_coupon_handler_field_coupon_order_remove', 'class', 'sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_coupon_order_remove.inc', 'commerce_coupon', '0'),
('commerce_coupon_handler_field_times_used', 'class', 'sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_times_used.inc', 'commerce_coupon', '0'),
('commerce_customer_handler_area_empty_text', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_area_empty_text.inc', 'commerce_customer', '0'),
('commerce_customer_handler_field_customer_profile', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile.inc', 'commerce_customer', '0'),
('commerce_customer_handler_field_customer_profile_link', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link.inc', 'commerce_customer', '0'),
('commerce_customer_handler_field_customer_profile_link_delete', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_delete.inc', 'commerce_customer', '0'),
('commerce_customer_handler_field_customer_profile_link_edit', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_edit.inc', 'commerce_customer', '0'),
('commerce_customer_handler_field_customer_profile_type', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_type.inc', 'commerce_customer', '0'),
('commerce_customer_handler_filter_customer_profile_type', 'class', 'sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_filter_customer_profile_type.inc', 'commerce_customer', '0'),
('commerce_line_item_handler_area_line_item_summary', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_area_line_item_summary.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_argument_line_item_line_item_id', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_argument_line_item_line_item_id.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_field_edit_delete', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_delete.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_field_edit_quantity', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_quantity.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_field_line_item_title', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_title.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_field_line_item_type', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_type.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_filter_line_item_is_referenced', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_is_referenced.inc', 'commerce_line_item', '0'),
('commerce_line_item_handler_filter_line_item_type', 'class', 'sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_type.inc', 'commerce_line_item', '0'),
('commerce_order_handler_area_empty_text', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_empty_text.inc', 'commerce_order', '0'),
('commerce_order_handler_area_order_total', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_order_total.inc', 'commerce_order', '0'),
('commerce_order_handler_argument_order_order_id', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_argument_order_order_id.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_link', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_link_delete', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_delete.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_link_edit', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_edit.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_mail', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_mail.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_operations', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_operations.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_state', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_state.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_status', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_status.inc', 'commerce_order', '0'),
('commerce_order_handler_field_order_type', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_type.inc', 'commerce_order', '0'),
('commerce_order_handler_filter_order_state', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_state.inc', 'commerce_order', '0'),
('commerce_order_handler_filter_order_status', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_status.inc', 'commerce_order', '0'),
('commerce_order_handler_filter_order_type', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_type.inc', 'commerce_order', '0'),
('commerce_order_plugin_argument_validate_user', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_plugin_argument_validate_user.inc', 'commerce_order', '0'),
('commerce_order_ui_handler_area_view_order_form', 'class', 'sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_ui_handler_area_view_order_form.inc', 'commerce_order_ui', '0'),
('commerce_payment_handler_area_totals', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_area_totals.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_amount', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_amount.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_balance', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_balance.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_currency_code', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_currency_code.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_message', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_message.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_payment_method', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_method.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_payment_transaction_link', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_payment_transaction_link_delete', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link_delete.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_payment_transaction_operations', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_operations.inc', 'commerce_payment', '0'),
('commerce_payment_handler_field_status', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_status.inc', 'commerce_payment', '0'),
('commerce_payment_handler_filter_currency_code', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_currency_code.inc', 'commerce_payment', '0'),
('commerce_payment_handler_filter_payment_method', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_method.inc', 'commerce_payment', '0'),
('commerce_payment_handler_filter_payment_transaction_status', 'class', 'sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_transaction_status.inc', 'commerce_payment', '0'),
('commerce_price_handler_field_commerce_price', 'class', 'sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_field_commerce_price.inc', 'commerce_price', '0'),
('commerce_price_handler_filter_commerce_price_amount', 'class', 'sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_filter_commerce_price_amount.inc', 'commerce_price', '0'),
('commerce_product_handler_area_empty_text', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_area_empty_text.inc', 'commerce_product', '0'),
('commerce_product_handler_argument_product_id', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_argument_product_id.inc', 'commerce_product', '0'),
('commerce_product_handler_field_product', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product.inc', 'commerce_product', '0'),
('commerce_product_handler_field_product_link', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link.inc', 'commerce_product', '0'),
('commerce_product_handler_field_product_link_delete', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_delete.inc', 'commerce_product', '0'),
('commerce_product_handler_field_product_link_edit', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_edit.inc', 'commerce_product', '0'),
('commerce_product_handler_field_product_operations', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_operations.inc', 'commerce_product', '0'),
('commerce_product_handler_field_product_type', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_type.inc', 'commerce_product', '0'),
('commerce_product_handler_filter_product_type', 'class', 'sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_filter_product_type.inc', 'commerce_product', '0'),
('commerce_product_reference_handler_filter_node_is_product_display', 'class', 'sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_is_product_display.inc', 'commerce_product_reference', '0'),
('commerce_product_reference_handler_filter_node_type', 'class', 'sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_type.inc', 'commerce_product_reference', '0'),
('commerce_product_reference_handler_filter_product_line_item_type', 'class', 'sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_product_line_item_type.inc', 'commerce_product_reference', '0'),
('commerce_wishlist_handler_field_add_to_cart_form', 'class', 'sites/all/modules/commerce_wishlist/includes/views/handlers/commerce_wishlist_handler_field_add_to_cart_form.inc', 'commerce_wishlist', '0'),
('commerce_wishlist_handler_field_remove', 'class', 'sites/all/modules/commerce_wishlist/includes/views/handlers/commerce_wishlist_handler_field_remove.inc', 'commerce_wishlist', '0'),
('ConfirmFormTest', 'class', 'modules/system/system.test', 'system', '0'),
('ContactPersonalTestCase', 'class', 'modules/contact/contact.test', 'contact', '0'),
('ContactSitewideTestCase', 'class', 'modules/contact/contact.test', 'contact', '0'),
('ContextualDynamicContextTestCase', 'class', 'modules/contextual/contextual.test', 'contextual', '0'),
('CronQueueTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('CronRunTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('CToolsCssCache', 'class', 'sites/all/modules/ctools/includes/css-cache.inc', 'ctools', '0'),
('CtoolsObjectCache', 'class', 'sites/all/modules/ctools/tests/css_cache.test', 'ctools', '0'),
('ctools_context', 'class', 'sites/all/modules/ctools/includes/context.inc', 'ctools', '0'),
('ctools_context_optional', 'class', 'sites/all/modules/ctools/includes/context.inc', 'ctools', '0'),
('ctools_context_required', 'class', 'sites/all/modules/ctools/includes/context.inc', 'ctools', '0'),
('ctools_export_ui', 'class', 'sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php', 'ctools', '0'),
('ctools_math_expr', 'class', 'sites/all/modules/ctools/includes/math-expr.inc', 'ctools', '0'),
('ctools_math_expr_stack', 'class', 'sites/all/modules/ctools/includes/math-expr.inc', 'ctools', '0'),
('ctools_stylizer_image_processor', 'class', 'sites/all/modules/ctools/includes/stylizer.inc', 'ctools', '0'),
('Database', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseCondition', 'class', 'includes/database/query.inc', '', '0'),
('DatabaseConnection', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseConnectionNotDefinedException', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseConnection_mysql', 'class', 'includes/database/mysql/database.inc', '', '0'),
('DatabaseConnection_pgsql', 'class', 'includes/database/pgsql/database.inc', '', '0'),
('DatabaseConnection_sqlite', 'class', 'includes/database/sqlite/database.inc', '', '0'),
('DatabaseDriverNotSpecifiedException', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseLog', 'class', 'includes/database/log.inc', '', '0'),
('DatabaseSchema', 'class', 'includes/database/schema.inc', '', '0'),
('DatabaseSchemaObjectDoesNotExistException', 'class', 'includes/database/schema.inc', '', '0'),
('DatabaseSchemaObjectExistsException', 'class', 'includes/database/schema.inc', '', '0'),
('DatabaseSchema_mysql', 'class', 'includes/database/mysql/schema.inc', '', '0'),
('DatabaseSchema_pgsql', 'class', 'includes/database/pgsql/schema.inc', '', '0'),
('DatabaseSchema_sqlite', 'class', 'includes/database/sqlite/schema.inc', '', '0'),
('DatabaseStatementBase', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseStatementEmpty', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseStatementInterface', 'interface', 'includes/database/database.inc', '', '0'),
('DatabaseStatementPrefetch', 'class', 'includes/database/prefetch.inc', '', '0'),
('DatabaseStatement_sqlite', 'class', 'includes/database/sqlite/database.inc', '', '0'),
('DatabaseTaskException', 'class', 'includes/install.inc', '', '0'),
('DatabaseTasks', 'class', 'includes/install.inc', '', '0'),
('DatabaseTasks_mysql', 'class', 'includes/database/mysql/install.inc', '', '0'),
('DatabaseTasks_pgsql', 'class', 'includes/database/pgsql/install.inc', '', '0'),
('DatabaseTasks_sqlite', 'class', 'includes/database/sqlite/install.inc', '', '0'),
('DatabaseTransaction', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseTransactionCommitFailedException', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseTransactionExplicitCommitNotAllowedException', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseTransactionNameNonUniqueException', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseTransactionNoActiveException', 'class', 'includes/database/database.inc', '', '0'),
('DatabaseTransactionOutOfOrderException', 'class', 'includes/database/database.inc', '', '0'),
('DateAPITestCase', 'class', 'sites/all/modules/date/tests/date_api.test', 'date', '0'),
('DateFieldBasic', 'class', 'sites/all/modules/date/tests/date_field.test', 'date', '0'),
('DateFieldTestCase', 'class', 'sites/all/modules/date/tests/date_field.test', 'date', '0'),
('DateMigrateExampleUnitTest', 'class', 'sites/all/modules/date/tests/date_migrate.test', 'date', '0'),
('DateMigrateFieldHandler', 'class', 'sites/all/modules/date/date.migrate.inc', 'date', '0'),
('DateObject', 'class', 'sites/all/modules/date/date_api/date_api.module', 'date_api', '0'),
('DateTimeFunctionalTest', 'class', 'modules/system/system.test', 'system', '0'),
('DateTimezoneTestCase', 'class', 'sites/all/modules/date/tests/date_timezone.test', 'date', '0'),
('DateUITestCase', 'class', 'sites/all/modules/date/tests/date.test', 'date', '0'),
('DateValidationTestCase', 'class', 'sites/all/modules/date/tests/date_validation.test', 'date', '0'),
('DateViewsPopupTestCase', 'class', 'sites/all/modules/date/tests/date_views_popup.test', 'date', '0'),
('date_sql_handler', 'class', 'sites/all/modules/date/date_api/date_api_sql.inc', 'date_api', '0'),
('date_views_argument_handler', 'class', 'sites/all/modules/date/date_views/includes/date_views_argument_handler.inc', 'date_views', '0'),
('date_views_argument_handler_simple', 'class', 'sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc', 'date_views', '0'),
('date_views_filter_handler', 'class', 'sites/all/modules/date/date_views/includes/date_views_filter_handler.inc', 'date_views', '0'),
('date_views_filter_handler_simple', 'class', 'sites/all/modules/date/date_views/includes/date_views_filter_handler_simple.inc', 'date_views', '0'),
('date_views_plugin_pager', 'class', 'sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc', 'date_views', '0'),
('DefaultMailSystem', 'class', 'modules/system/system.mail.inc', 'system', '0'),
('DeleteQuery', 'class', 'includes/database/query.inc', '', '0'),
('DeleteQuery_sqlite', 'class', 'includes/database/sqlite/query.inc', '', '0'),
('DrupalCacheArray', 'class', 'includes/bootstrap.inc', '', '0'),
('DrupalCacheInterface', 'interface', 'includes/cache.inc', '', '0'),
('DrupalCommerceEntityController', 'class', 'sites/all/modules/commerce/includes/commerce.controller.inc', 'commerce', '0'),
('DrupalDatabaseCache', 'class', 'includes/cache.inc', '', '0'),
('DrupalDefaultEntityController', 'class', 'includes/entity.inc', '', '0'),
('DrupalEntityControllerInterface', 'interface', 'includes/entity.inc', '', '0'),
('DrupalFakeCache', 'class', 'includes/cache-install.inc', '', '0'),
('DrupalLocalStreamWrapper', 'class', 'includes/stream_wrappers.inc', '', '0'),
('DrupalPrivateStreamWrapper', 'class', 'includes/stream_wrappers.inc', '', '0'),
('DrupalPublicStreamWrapper', 'class', 'includes/stream_wrappers.inc', '', '0'),
('DrupalQueue', 'class', 'modules/system/system.queue.inc', 'system', '0'),
('DrupalQueueInterface', 'interface', 'modules/system/system.queue.inc', 'system', '0'),
('DrupalReliableQueueInterface', 'interface', 'modules/system/system.queue.inc', 'system', '0'),
('DrupalSetMessageTest', 'class', 'modules/system/system.test', 'system', '0'),
('DrupalStreamWrapperInterface', 'interface', 'includes/stream_wrappers.inc', '', '0'),
('DrupalTemporaryStreamWrapper', 'class', 'includes/stream_wrappers.inc', '', '0'),
('DrupalUpdateException', 'class', 'includes/update.inc', '', '0'),
('DrupalUpdaterInterface', 'interface', 'includes/updater.inc', '', '0'),
('EnableDisableTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('Entity', 'class', 'sites/all/modules/entity/includes/entity.inc', 'entity', '0'),
('EntityAPICommentNodeAccessTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityAPIController', 'class', 'sites/all/modules/entity/includes/entity.controller.inc', 'entity', '0'),
('EntityAPIControllerExportable', 'class', 'sites/all/modules/entity/includes/entity.controller.inc', 'entity', '0'),
('EntityAPIControllerInterface', 'interface', 'sites/all/modules/entity/includes/entity.controller.inc', 'entity', '0'),
('EntityAPIControllerRevisionableInterface', 'interface', 'sites/all/modules/entity/includes/entity.controller.inc', 'entity', '0'),
('EntityAPIi18nItegrationTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityAPIRulesIntegrationTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityAPITestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityBundleableUIController', 'class', 'sites/all/modules/entity/includes/entity.ui.inc', 'entity', '0'),
('EntityContentUIController', 'class', 'sites/all/modules/entity/includes/entity.ui.inc', 'entity', '0'),
('EntityDB', 'class', 'sites/all/modules/entity/includes/entity.inc', 'entity', '0'),
('EntityDBExtendable', 'class', 'sites/all/modules/entity/includes/entity.inc', 'entity', '0'),
('EntityDefaultExtraFieldsController', 'class', 'sites/all/modules/entity/entity.info.inc', 'entity', '0'),
('EntityDefaultFeaturesController', 'class', 'sites/all/modules/entity/entity.features.inc', 'entity', '0'),
('EntityDefaultI18nStringController', 'class', 'sites/all/modules/entity/entity.i18n.inc', 'entity', '0'),
('EntityDefaultMetadataController', 'class', 'sites/all/modules/entity/entity.info.inc', 'entity', '0'),
('EntityDefaultRulesController', 'class', 'sites/all/modules/entity/entity.rules.inc', 'entity', '0'),
('EntityDefaultUIController', 'class', 'sites/all/modules/entity/includes/entity.ui.inc', 'entity', '0'),
('EntityDefaultViewsController', 'class', 'sites/all/modules/entity/views/entity.views.inc', 'entity', '0'),
('EntityDrupalWrapper', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityExtendable', 'class', 'sites/all/modules/entity/includes/entity.inc', 'entity', '0'),
('EntityExtraFieldsControllerInterface', 'interface', 'sites/all/modules/entity/entity.info.inc', 'entity', '0'),
('EntityFieldHandlerHelper', 'class', 'sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc', 'entity', '0'),
('EntityFieldQuery', 'class', 'includes/entity.inc', '', '0'),
('EntityFieldQueryException', 'class', 'includes/entity.inc', '', '0'),
('EntityInterface', 'interface', 'sites/all/modules/entity/includes/entity.inc', 'entity', '0'),
('EntityListWrapper', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityMalformedException', 'class', 'includes/entity.inc', '', '0'),
('EntityMetadataArrayObject', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityMetadataIntegrationTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityMetadataNodeAccessTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityMetadataNodeCreateAccessTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityMetadataNodeRevisionAccessTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityMetadataTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityMetadataWrapper', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityMetadataWrapperException', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityMetadataWrapperIterator', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityPropertiesTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('EntityReferenceAdminTestCase', 'class', 'sites/all/modules/entityreference/tests/entityreference.admin.test', 'entityreference', '0'),
('EntityReferenceBehavior_TaxonomyIndex', 'class', 'sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php', 'entityreference', '0'),
('EntityReferenceBehavior_ViewsFilterSelect', 'class', 'sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php', 'entityreference', '0'),
('EntityReferenceHandlersTestCase', 'class', 'sites/all/modules/entityreference/tests/entityreference.handlers.test', 'entityreference', '0'),
('EntityReferenceTaxonomyTestCase', 'class', 'sites/all/modules/entityreference/tests/entityreference.taxonomy.test', 'entityreference', '0'),
('EntityReference_BehaviorHandler', 'interface', 'sites/all/modules/entityreference/plugins/behavior/abstract.inc', 'entityreference', '0'),
('EntityReference_BehaviorHandler_Abstract', 'class', 'sites/all/modules/entityreference/plugins/behavior/abstract.inc', 'entityreference', '0'),
('EntityReference_BehaviorHandler_Broken', 'class', 'sites/all/modules/entityreference/plugins/behavior/abstract.inc', 'entityreference', '0'),
('entityreference_plugin_display', 'class', 'sites/all/modules/entityreference/views/entityreference_plugin_display.inc', 'entityreference', '0'),
('entityreference_plugin_row_fields', 'class', 'sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc', 'entityreference', '0'),
('entityreference_plugin_style', 'class', 'sites/all/modules/entityreference/views/entityreference_plugin_style.inc', 'entityreference', '0'),
('EntityReference_SelectionHandler', 'interface', 'sites/all/modules/entityreference/plugins/selection/abstract.inc', 'entityreference', '0'),
('EntityReference_SelectionHandler_Broken', 'class', 'sites/all/modules/entityreference/plugins/selection/abstract.inc', 'entityreference', '0'),
('EntityReference_SelectionHandler_Generic', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'entityreference', '0'),
('EntityReference_SelectionHandler_Generic_comment', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'entityreference', '0'),
('EntityReference_SelectionHandler_Generic_file', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'entityreference', '0'),
('EntityReference_SelectionHandler_Generic_node', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'entityreference', '0'),
('EntityReference_SelectionHandler_Generic_taxonomy_term', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'entityreference', '0'),
('EntityReference_SelectionHandler_Generic_user', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'entityreference', '0'),
('EntityReference_SelectionHandler_Views', 'class', 'sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php', 'entityreference', '0'),
('EntityStructureWrapper', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityTokenTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('EntityTranslationCommerceProductHandler', 'class', 'sites/all/modules/commerce/modules/product/includes/commerce_product.translation_handler.inc', 'commerce_product', '0'),
('EntityValueWrapper', 'class', 'sites/all/modules/entity/includes/entity.wrapper.inc', 'entity', '0'),
('EntityViewModeFunctionalTest', 'class', 'sites/all/modules/entity_view_mode/entity_view_mode.test', 'entity_view_mode', '0'),
('EntityViewModeSuggestionsTest', 'class', 'sites/all/modules/entity_view_mode/entity_view_mode.test', 'entity_view_mode', '0'),
('EntityViewModeTestHelper', 'class', 'sites/all/modules/entity_view_mode/entity_view_mode.test', 'entity_view_mode', '0'),
('EntityWebTestCase', 'class', 'sites/all/modules/entity/entity.test', 'entity', '0'),
('entity_views_handler_area_entity', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc', 'entity', '0'),
('entity_views_handler_field_boolean', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc', 'entity', '0'),
('entity_views_handler_field_date', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc', 'entity', '0'),
('entity_views_handler_field_duration', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc', 'entity', '0'),
('entity_views_handler_field_entity', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc', 'entity', '0'),
('entity_views_handler_field_field', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc', 'entity', '0'),
('entity_views_handler_field_numeric', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc', 'entity', '0'),
('entity_views_handler_field_options', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc', 'entity', '0'),
('entity_views_handler_field_text', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc', 'entity', '0'),
('entity_views_handler_field_uri', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc', 'entity', '0'),
('entity_views_handler_relationship', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc', 'entity', '0'),
('entity_views_handler_relationship_by_bundle', 'class', 'sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc', 'entity', '0'),
('entity_views_plugin_row_entity_view', 'class', 'sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc', 'entity', '0'),
('FacesExtendable', 'class', 'sites/all/modules/rules/includes/faces.inc', 'rules', '0'),
('FacesExtendableException', 'class', 'sites/all/modules/rules/includes/faces.inc', 'rules', '0'),
('FacesExtender', 'class', 'sites/all/modules/rules/includes/faces.inc', 'rules', '0'),
('FacesExtenderInterface', 'interface', 'sites/all/modules/rules/includes/faces.inc', 'rules', '0'),
('FeedParserTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('FeedsMapperFieldTestCase', 'class', 'sites/all/modules/entityreference/tests/entityreference.feeds.test', 'entityreference', '0'),
('FieldAttachOtherTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldAttachStorageTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldAttachTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldBulkDeleteTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldCrudTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldDisplayAPITestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldException', 'class', 'modules/field/field.module', 'field', '0'),
('FieldFormTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldInfo', 'class', 'modules/field/field.info.class.inc', 'field', '0'),
('FieldInfoTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldInstanceCrudTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldsOverlapException', 'class', 'includes/database/database.inc', '', '0'),
('FieldSqlStorageTestCase', 'class', 'modules/field/modules/field_sql_storage/field_sql_storage.test', 'field_sql_storage', '0'),
('FieldTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldTranslationsTestCase', 'class', 'modules/field/tests/field.test', 'field', '0'),
('FieldUIAlterTestCase', 'class', 'modules/field_ui/field_ui.test', 'field_ui', '0'),
('FieldUIManageDisplayTestCase', 'class', 'modules/field_ui/field_ui.test', 'field_ui', '0'),
('FieldUIManageFieldsTestCase', 'class', 'modules/field_ui/field_ui.test', 'field_ui', '0'),
('FieldUITestCase', 'class', 'modules/field_ui/field_ui.test', 'field_ui', '0'),
('FieldUpdateForbiddenException', 'class', 'modules/field/field.module', 'field', '0'),
('FieldValidationException', 'class', 'modules/field/field.attach.inc', 'field', '0'),
('FileFieldAnonymousSubmission', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileFieldDisplayTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileFieldPathTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileFieldRevisionTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileFieldTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileFieldValidateTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileFieldWidgetTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileManagedFileElementTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FilePrivateTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileTaxonomyTermTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileTokenReplaceTestCase', 'class', 'modules/file/tests/file.test', 'file', '0'),
('FileTransfer', 'class', 'includes/filetransfer/filetransfer.inc', '', '0'),
('FileTransferChmodInterface', 'interface', 'includes/filetransfer/filetransfer.inc', '', '0'),
('FileTransferException', 'class', 'includes/filetransfer/filetransfer.inc', '', '0'),
('FileTransferFTP', 'class', 'includes/filetransfer/ftp.inc', '', '0'),
('FileTransferFTPExtension', 'class', 'includes/filetransfer/ftp.inc', '', '0'),
('FileTransferLocal', 'class', 'includes/filetransfer/local.inc', '', '0'),
('FileTransferSSH', 'class', 'includes/filetransfer/ssh.inc', '', '0'),
('FilterAdminTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterCRUDTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterDefaultFormatTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterDOMSerializeTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterFormatAccessTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterHooksTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterNoFormatTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterSecurityTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterSettingsTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FilterUnitTestCase', 'class', 'modules/filter/filter.test', 'filter', '0'),
('FivestarBaseTestCase', 'class', 'sites/all/modules/fivestar/test/fivestar.base.test', 'fivestar', '0'),
('FivestarTestCase', 'class', 'sites/all/modules/fivestar/test/fivestar.field.test', 'fivestar', '0'),
('FlexsliderTestCase', 'class', 'sites/all/modules/flexslider/flexslider.test', 'flexslider', '0'),
('flexslider_views_plugin_style_flexslider', 'class', 'sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc', 'flexslider_views', '0'),
('FloodFunctionalTest', 'class', 'modules/system/system.test', 'system', '0'),
('ForumIndexTestCase', 'class', 'modules/forum/forum.test', 'forum', '1'),
('ForumTestCase', 'class', 'modules/forum/forum.test', 'forum', '1'),
('FrontPageTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('GroupDisplayTestCase', 'class', 'sites/all/modules/field_group/tests/field_group.display.test', 'field_group', '0'),
('GroupUITestCase', 'class', 'sites/all/modules/field_group/tests/field_group.ui.test', 'field_group', '0'),
('HookRequirementsTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('ImageAdminStylesUnitTest', 'class', 'modules/image/image.test', 'image', '0'),
('ImageAdminUiTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageDimensionsScaleTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageDimensionsTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageEffectsUnitTest', 'class', 'modules/image/image.test', 'image', '0'),
('ImageFieldDefaultImagesTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageFieldDisplayTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageFieldTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageFieldValidateTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageStyleFlushTest', 'class', 'modules/image/image.test', 'image', '0'),
('ImageStylesPathAndUrlTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImageThemeFunctionWebTestCase', 'class', 'modules/image/image.test', 'image', '0'),
('ImportOPMLTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('InfoFileParserTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('InsertQuery', 'class', 'includes/database/query.inc', '', '0'),
('InsertQuery_mysql', 'class', 'includes/database/mysql/query.inc', '', '0'),
('InsertQuery_pgsql', 'class', 'includes/database/pgsql/query.inc', '', '0'),
('InsertQuery_sqlite', 'class', 'includes/database/sqlite/query.inc', '', '0'),
('InstagramComment', 'class', 'sites/all/modules/instagram_block/instagram_block.lib.php', 'instagram_block', '0'),
('InstagramLike', 'class', 'sites/all/modules/instagram_block/instagram_block.lib.php', 'instagram_block', '0'),
('InstagramLocation', 'class', 'sites/all/modules/instagram_block/instagram_block.lib.php', 'instagram_block', '0'),
('InstagramPost', 'class', 'sites/all/modules/instagram_block/instagram_block.lib.php', 'instagram_block', '0'),
('InstagramRequest', 'class', 'sites/all/modules/instagram_block/instagram_block.lib.php', 'instagram_block', '0'),
('InstagramUser', 'class', 'sites/all/modules/instagram_block/instagram_block.lib.php', 'instagram_block', '0'),
('InvalidMergeQueryException', 'class', 'includes/database/database.inc', '', '0'),
('IPAddressBlockingTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('LibrariesAdminWebTest', 'class', 'sites/all/modules/libraries/tests/LibrariesAdminWebTest.test', 'libraries', '0'),
('LibrariesLoadWebTest', 'class', 'sites/all/modules/libraries/tests/LibrariesLoadWebTest.test', 'libraries', '0'),
('LibrariesUnitTest', 'class', 'sites/all/modules/libraries/tests/LibrariesUnitTest.test', 'libraries', '0');
INSERT INTO `registry` VALUES
('LibrariesWebTestBase', 'class', 'sites/all/modules/libraries/tests/LibrariesWebTestBase.test', 'libraries', '0'),
('LinkAttributeCrudTest', 'class', 'sites/all/modules/link/tests/link.attribute.test', 'link', '0'),
('LinkBaseTestClass', 'class', 'sites/all/modules/link/tests/link.test', 'link', '0'),
('LinkContentCrudTest', 'class', 'sites/all/modules/link/tests/link.crud.test', 'link', '0'),
('LinkEntityTokenTest', 'class', 'sites/all/modules/link/tests/link.entity_token.test', 'link', '0'),
('LinkTokenTest', 'class', 'sites/all/modules/link/tests/link.token.test', 'link', '0'),
('LinkUITest', 'class', 'sites/all/modules/link/tests/link.crud_browser.test', 'link', '0'),
('LinkValidateSpecificURL', 'class', 'sites/all/modules/link/tests/link.validate.test', 'link', '0'),
('LinkValidateTest', 'class', 'sites/all/modules/link/tests/link.validate.test', 'link', '0'),
('LinkValidateTestCase', 'class', 'sites/all/modules/link/tests/link.validate.test', 'link', '0'),
('LinkValidateTestNews', 'class', 'sites/all/modules/link/tests/link.validate.test', 'link', '0'),
('LinkValidateUrlLight', 'class', 'sites/all/modules/link/tests/link.validate.test', 'link', '0'),
('link_views_handler_argument_target', 'class', 'sites/all/modules/link/views/link_views_handler_argument_target.inc', 'link', '0'),
('link_views_handler_filter_protocol', 'class', 'sites/all/modules/link/views/link_views_handler_filter_protocol.inc', 'link', '0'),
('ListDynamicValuesTestCase', 'class', 'modules/field/modules/list/tests/list.test', 'list', '0'),
('ListDynamicValuesValidationTestCase', 'class', 'modules/field/modules/list/tests/list.test', 'list', '0'),
('ListFieldTestCase', 'class', 'modules/field/modules/list/tests/list.test', 'list', '0'),
('ListFieldUITestCase', 'class', 'modules/field/modules/list/tests/list.test', 'list', '0'),
('LocaleBrowserDetectionTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleCommentLanguageFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleConfigurationTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleContentFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleCSSAlterTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleDateFormatsFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleExportFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleImportFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleInstallTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleJavascriptTranslationTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleLanguageNegotiationInfoFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleLanguageSwitchingFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleLibraryInfoAlterTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleMultilingualFieldsFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocalePathFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocalePluralFormatTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleStringIsSafeTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleTranslationFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleUILanguageNegotiationTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleUninstallFrenchFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleUninstallFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleUrlRewritingTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleUserCreationTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('LocaleUserLanguageFunctionalTest', 'class', 'modules/locale/locale.test', 'locale', '0'),
('MailSystemInterface', 'interface', 'includes/mail.inc', '', '0'),
('MediaEntityTest', 'class', 'sites/all/modules/media/test/media.entity.test', 'media', '0'),
('MediaFileUsageTest', 'class', 'sites/all/modules/media/test/media.file.usage.test', 'media', '0'),
('MediaInternetBaseHandler', 'class', 'sites/all/modules/media/modules/media_internet/includes/MediaInternetBaseHandler.inc', 'media_internet', '0'),
('MediaInternetFileHandler', 'class', 'sites/all/modules/media/modules/media_internet/includes/MediaInternetFileHandler.inc', 'media_internet', '0'),
('MediaInternetNoHandlerException', 'class', 'sites/all/modules/media/modules/media_internet/includes/MediaInternetNoHandlerException.inc', 'media_internet', '0'),
('MediaInternetValidationException', 'class', 'sites/all/modules/media/modules/media_internet/includes/MediaInternetValidationException.inc', 'media_internet', '0'),
('MediaInternetVimeoHandler', 'class', 'sites/all/modules/media_vimeo/includes/MediaInternetVimeoHandler.inc', 'media_vimeo', '0'),
('MediaInternetYouTubeHandler', 'class', 'sites/all/modules/media_youtube/includes/MediaInternetYouTubeHandler.inc', 'media_youtube', '0'),
('MediaReadOnlyStreamWrapper', 'class', 'sites/all/modules/media/includes/MediaReadOnlyStreamWrapper.inc', 'media', '0'),
('MediaTypeTest', 'class', 'sites/all/modules/media/test/media.types.test', 'media', '0'),
('MediaVimeoStreamWrapper', 'class', 'sites/all/modules/media_vimeo/includes/MediaVimeoStreamWrapper.inc', 'media_vimeo', '0'),
('MediaYouTubeStreamWrapper', 'class', 'sites/all/modules/media_youtube/includes/MediaYouTubeStreamWrapper.inc', 'media_youtube', '0'),
('MemoryQueue', 'class', 'modules/system/system.queue.inc', 'system', '0'),
('MenuNodeTestCase', 'class', 'modules/menu/menu.test', 'menu', '0'),
('MenuTestCase', 'class', 'modules/menu/menu.test', 'menu', '0'),
('MergeQuery', 'class', 'includes/database/query.inc', '', '0'),
('MigrateAddressFieldHandler', 'class', 'sites/all/modules/addressfield/addressfield.migrate.inc', 'addressfield', '0'),
('MigrateEmailFieldHandler', 'class', 'sites/all/modules/email/email.migrate.inc', 'email', '0'),
('MigrateEntityReferenceFieldHandler', 'class', 'sites/all/modules/entityreference/entityreference.migrate.inc', 'entityreference', '0'),
('MigrateFivestarFieldHandler', 'class', 'sites/all/modules/fivestar/fivestar.migrate.inc', 'fivestar', '0'),
('MigrateLinkFieldHandler', 'class', 'sites/all/modules/link/link.migrate.inc', 'link', '0'),
('ModuleDependencyTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('ModuleRequiredTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('ModuleTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('ModuleUpdater', 'class', 'modules/system/system.updater.inc', 'system', '0'),
('ModuleVersionTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('MultiStepNodeFormBasicOptionsTest', 'class', 'modules/node/node.test', 'node', '0'),
('NewDefaultThemeBlocks', 'class', 'modules/block/block.test', 'block', '-5'),
('NodeAccessBaseTableTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeAccessFieldTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeAccessPagerTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeAccessRebuildTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeAccessRecordsTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeAccessTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeAdminTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeBlockFunctionalTest', 'class', 'modules/node/node.test', 'node', '0'),
('NodeBlockTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeBuildContent', 'class', 'modules/node/node.test', 'node', '0'),
('NodeController', 'class', 'modules/node/node.module', 'node', '0'),
('NodeCreationTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeEntityFieldQueryAlter', 'class', 'modules/node/node.test', 'node', '0'),
('NodeEntityViewModeAlterTest', 'class', 'modules/node/node.test', 'node', '0'),
('NodeFeedTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeLoadHooksTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeLoadMultipleTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeMultiByteUtf8Test', 'class', 'modules/node/node.test', 'node', '0'),
('NodePageCacheTest', 'class', 'modules/node/node.test', 'node', '0'),
('NodePostSettingsTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeQueryAlter', 'class', 'modules/node/node.test', 'node', '0'),
('NodeRevisionPermissionsTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeRevisionsTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeRSSContentTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeSaveTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeTitleTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeTitleXSSTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeTokenReplaceTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeTypePersistenceTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeTypeTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NodeWebTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('NoFieldsException', 'class', 'includes/database/database.inc', '', '0'),
('NonDefaultBlockAdmin', 'class', 'modules/block/block.test', 'block', '-5'),
('NumberFieldTestCase', 'class', 'modules/field/modules/number/number.test', 'number', '0'),
('OptionsSelectDynamicValuesTestCase', 'class', 'modules/field/modules/options/options.test', 'options', '0'),
('OptionsWidgetsTestCase', 'class', 'modules/field/modules/options/options.test', 'options', '0'),
('PageEditTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('PageNotFoundTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('PagePreviewTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('PagerDefault', 'class', 'includes/pager.inc', '', '0'),
('PageTitleFiltering', 'class', 'modules/system/system.test', 'system', '0'),
('PageViewTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('PanelsLegacyState', 'class', 'sites/all/modules/panels/includes/legacy.inc', 'panels', '0'),
('panels_allowed_layouts', 'class', 'sites/all/modules/panels/includes/common.inc', 'panels', '0'),
('panels_cache_object', 'class', 'sites/all/modules/panels/includes/plugins.inc', 'panels', '0'),
('panels_display', 'class', 'sites/all/modules/panels/panels.module', 'panels', '0'),
('panels_layouts_ui', 'class', 'sites/all/modules/panels/plugins/export_ui/panels_layouts_ui.class.php', 'panels', '0'),
('panels_mini_ui', 'class', 'sites/all/modules/panels/panels_mini/plugins/export_ui/panels_mini_ui.class.php', 'panels_mini', '0'),
('panels_renderer_editor', 'class', 'sites/all/modules/panels/plugins/display_renderers/panels_renderer_editor.class.php', 'panels', '0'),
('panels_renderer_simple', 'class', 'sites/all/modules/panels/plugins/display_renderers/panels_renderer_simple.class.php', 'panels', '0'),
('panels_renderer_standard', 'class', 'sites/all/modules/panels/plugins/display_renderers/panels_renderer_standard.class.php', 'panels', '0'),
('panels_views_plugin_row_fields', 'class', 'sites/all/modules/panels/plugins/views/panels_views_plugin_row_fields.inc', 'panels', '0'),
('PHPAccessTestCase', 'class', 'modules/php/php.test', 'php', '0'),
('PHPFilterTestCase', 'class', 'modules/php/php.test', 'php', '0'),
('PHPTestCase', 'class', 'modules/php/php.test', 'php', '0'),
('PollBlockTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollCreateTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollDeleteChoiceTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollExpirationTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollJSAddChoice', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollTokenReplaceTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollTranslateTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollVoteCheckHostname', 'class', 'modules/poll/poll.test', 'poll', '0'),
('PollVoteTestCase', 'class', 'modules/poll/poll.test', 'poll', '0'),
('Query', 'class', 'includes/database/query.inc', '', '0'),
('QueryAlterableInterface', 'interface', 'includes/database/query.inc', '', '0'),
('QueryConditionInterface', 'interface', 'includes/database/query.inc', '', '0'),
('QueryExtendableInterface', 'interface', 'includes/database/select.inc', '', '0'),
('QueryPlaceholderInterface', 'interface', 'includes/database/query.inc', '', '0'),
('QueueTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('RemoveFeedItemTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('RemoveFeedTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('RetrieveFileTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('Rule', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesAbstractPlugin', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesAbstractPluginDefaults', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesAbstractPluginUI', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesAction', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesActionContainer', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesActionContainerUI', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesActionHandlerBase', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesActionHandlerInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesActionInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesActionSet', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesAnd', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesCondition', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesConditionContainer', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesConditionContainerUI', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesConditionHandlerBase', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesConditionHandlerInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesConditionInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesContainerPlugin', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesContainerPluginUI', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesData', 'class', 'sites/all/modules/rules/includes/rules.state.inc', 'rules', '0'),
('RulesDataDirectInputFormInterface', 'interface', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataInputEvaluator', 'class', 'sites/all/modules/rules/includes/rules.processor.inc', 'rules', '0'),
('RulesDataInputOptionsListInterface', 'interface', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataProcessor', 'class', 'sites/all/modules/rules/includes/rules.processor.inc', 'rules', '0'),
('RulesDataUI', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIBoolean', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIBundleEntity', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUICommercePrice', 'class', 'sites/all/modules/commerce/modules/price/commerce_price.rules.inc', 'commerce_price', '0'),
('RulesDataUIDate', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIDecimal', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIDuration', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIEntity', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIEntityExportable', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIInteger', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIIPAddress', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIListEntity', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIListInteger', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIListText', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIListToken', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIPaymentSettings', 'class', 'sites/all/modules/commerce/modules/payment/commerce_payment.rules.inc', 'commerce_payment', '0'),
('RulesDataUITaxonomyVocabulary', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIText', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUITextFormatted', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUITextToken', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataUIURI', 'class', 'sites/all/modules/rules/ui/ui.data.inc', 'rules', '0'),
('RulesDataWrapperSavableInterface', 'interface', 'sites/all/modules/rules/includes/rules.state.inc', 'rules', '0'),
('RulesDateInputEvaluator', 'class', 'sites/all/modules/rules/modules/rules_core.eval.inc', 'rules', '0'),
('RulesDateOffsetProcessor', 'class', 'sites/all/modules/rules/modules/rules_core.eval.inc', 'rules', '0'),
('RulesDependencyException', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesElementMap', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesEntityController', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesEvaluationException', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesEventDefaultHandler', 'class', 'sites/all/modules/rules/includes/rules.event.inc', 'rules', '0'),
('RulesEventDispatcherInterface', 'interface', 'sites/all/modules/rules/includes/rules.event.inc', 'rules', '0'),
('RulesEventDispatcherTestCase', 'class', 'sites/all/modules/rules/tests/rules.test', 'rules', '0'),
('RulesEventHandlerBase', 'class', 'sites/all/modules/rules/includes/rules.event.inc', 'rules', '0'),
('RulesEventHandlerEntityBundle', 'class', 'sites/all/modules/rules/includes/rules.event.inc', 'rules', '0'),
('RulesEventHandlerInterface', 'interface', 'sites/all/modules/rules/includes/rules.event.inc', 'rules', '0'),
('RulesEventSet', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesException', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesExtendable', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesFeaturesController', 'class', 'sites/all/modules/rules/rules.features.inc', 'rules', '0'),
('RulesIdentifiableDataWrapper', 'class', 'sites/all/modules/rules/includes/rules.state.inc', 'rules', '0'),
('RulesIntegrationTestCase', 'class', 'sites/all/modules/rules/tests/rules.test', 'rules', '0'),
('RulesIntegrityException', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesInvocationEnabledTestCase', 'class', 'sites/all/modules/rules/tests/rules.test', 'rules', '0'),
('RulesLog', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesLoop', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesLoopUI', 'class', 'sites/all/modules/rules/ui/ui.plugins.inc', 'rules', '0'),
('RulesNodeConditionBase', 'class', 'sites/all/modules/rules/modules/node.eval.inc', 'rules', '0'),
('RulesNodeConditionPromoted', 'class', 'sites/all/modules/rules/modules/node.eval.inc', 'rules', '0'),
('RulesNodeConditionPublished', 'class', 'sites/all/modules/rules/modules/node.eval.inc', 'rules', '0'),
('RulesNodeConditionSticky', 'class', 'sites/all/modules/rules/modules/node.eval.inc', 'rules', '0'),
('RulesNodeConditionType', 'class', 'sites/all/modules/rules/modules/node.eval.inc', 'rules', '0'),
('RulesNumericOffsetProcessor', 'class', 'sites/all/modules/rules/modules/rules_core.eval.inc', 'rules', '0'),
('RulesOptimizationInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesOr', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesPHPDataProcessor', 'class', 'sites/all/modules/rules/modules/php.eval.inc', 'rules', '0'),
('RulesPHPEvaluator', 'class', 'sites/all/modules/rules/modules/php.eval.inc', 'rules', '0'),
('RulesPlugin', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesPluginFeaturesIntegrationInterace', 'interface', 'sites/all/modules/rules/rules.features.inc', 'rules', '0'),
('RulesPluginHandlerBase', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesPluginHandlerInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesPluginImplInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesPluginUI', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesPluginUIInterface', 'interface', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesReactionRule', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesReactionRuleUI', 'class', 'sites/all/modules/rules/ui/ui.plugins.inc', 'rules', '0'),
('RulesRecursiveElementIterator', 'class', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesRuleSet', 'class', 'sites/all/modules/rules/includes/rules.plugins.inc', 'rules', '0'),
('RulesRuleSetUI', 'class', 'sites/all/modules/rules/ui/ui.plugins.inc', 'rules', '0'),
('RulesRuleUI', 'class', 'sites/all/modules/rules/ui/ui.plugins.inc', 'rules', '0'),
('RulesState', 'class', 'sites/all/modules/rules/includes/rules.state.inc', 'rules', '0'),
('RulesTaxonomyVocabularyWrapper', 'class', 'sites/all/modules/rules/modules/rules_core.eval.inc', 'rules', '0'),
('RulesTestCase', 'class', 'sites/all/modules/rules/tests/rules.test', 'rules', '0'),
('RulesTestDataCase', 'class', 'sites/all/modules/rules/tests/rules.test', 'rules', '0'),
('RulesTokenEvaluator', 'class', 'sites/all/modules/rules/modules/system.eval.inc', 'rules', '0'),
('RulesTriggerableInterface', 'interface', 'sites/all/modules/rules/includes/rules.core.inc', 'rules', '0'),
('RulesTriggerTestCase', 'class', 'sites/all/modules/rules/tests/rules.test', 'rules', '0'),
('RulesUICategory', 'class', 'sites/all/modules/rules/ui/ui.core.inc', 'rules', '0'),
('RulesUIController', 'class', 'sites/all/modules/rules/ui/ui.controller.inc', 'rules', '0'),
('RulesURIInputEvaluator', 'class', 'sites/all/modules/rules/modules/rules_core.eval.inc', 'rules', '0'),
('SchemaCache', 'class', 'includes/bootstrap.inc', '', '0'),
('SearchAdvancedSearchForm', 'class', 'modules/search/search.test', 'search', '0'),
('SearchBlockTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchCommentCountToggleTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchCommentTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchConfigSettingsForm', 'class', 'modules/search/search.test', 'search', '0'),
('SearchEmbedForm', 'class', 'modules/search/search.test', 'search', '0'),
('SearchExactTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchExcerptTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchExpressionInsertExtractTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchKeywordsConditions', 'class', 'modules/search/search.test', 'search', '0'),
('SearchLanguageTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchMatchTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchNodeAccessTest', 'class', 'modules/search/search.test', 'search', '0'),
('SearchNodeTagTest', 'class', 'modules/search/search.test', 'search', '0'),
('SearchNumberMatchingTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchNumbersTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchPageOverride', 'class', 'modules/search/search.test', 'search', '0'),
('SearchPageText', 'class', 'modules/search/search.test', 'search', '0'),
('SearchQuery', 'class', 'modules/search/search.extender.inc', 'search', '0'),
('SearchRankingTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchSetLocaleTest', 'class', 'modules/search/search.test', 'search', '0'),
('SearchSimplifyTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SearchTokenizerTestCase', 'class', 'modules/search/search.test', 'search', '0'),
('SelectQuery', 'class', 'includes/database/select.inc', '', '0'),
('SelectQueryExtender', 'class', 'includes/database/select.inc', '', '0'),
('SelectQueryInterface', 'interface', 'includes/database/select.inc', '', '0'),
('SelectQuery_pgsql', 'class', 'includes/database/pgsql/select.inc', '', '0'),
('SelectQuery_sqlite', 'class', 'includes/database/sqlite/select.inc', '', '0'),
('semanticviews_plugin_row_fields', 'class', 'sites/all/modules/semanticviews/semanticviews_plugin_row_fields.inc', 'semanticviews', '0'),
('semanticviews_plugin_style_default', 'class', 'sites/all/modules/semanticviews/semanticviews_plugin_style_default.inc', 'semanticviews', '0'),
('ShortcutLinksTestCase', 'class', 'modules/shortcut/shortcut.test', 'shortcut', '0'),
('ShortcutSetsTestCase', 'class', 'modules/shortcut/shortcut.test', 'shortcut', '0'),
('ShortcutTestCase', 'class', 'modules/shortcut/shortcut.test', 'shortcut', '0'),
('ShutdownFunctionsTest', 'class', 'modules/system/system.test', 'system', '0'),
('SiteMaintenanceTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('SkipDotsRecursiveDirectoryIterator', 'class', 'includes/filetransfer/filetransfer.inc', '', '0'),
('StatisticsAdminTestCase', 'class', 'modules/statistics/statistics.test', 'statistics', '0'),
('StatisticsBlockVisitorsTestCase', 'class', 'modules/statistics/statistics.test', 'statistics', '0'),
('StatisticsLoggingTestCase', 'class', 'modules/statistics/statistics.test', 'statistics', '0'),
('StatisticsReportsTestCase', 'class', 'modules/statistics/statistics.test', 'statistics', '0'),
('StatisticsTestCase', 'class', 'modules/statistics/statistics.test', 'statistics', '0'),
('StatisticsTokenReplaceTestCase', 'class', 'modules/statistics/statistics.test', 'statistics', '0'),
('StreamWrapperInterface', 'interface', 'includes/stream_wrappers.inc', '', '0'),
('SummaryLengthTestCase', 'class', 'modules/node/node.test', 'node', '0'),
('SystemAdminTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('SystemAuthorizeCase', 'class', 'modules/system/system.test', 'system', '0'),
('SystemBlockTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('SystemIndexPhpTest', 'class', 'modules/system/system.test', 'system', '0'),
('SystemInfoAlterTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('SystemMainContentFallback', 'class', 'modules/system/system.test', 'system', '0'),
('SystemQueue', 'class', 'modules/system/system.queue.inc', 'system', '0'),
('SystemThemeFunctionalTest', 'class', 'modules/system/system.test', 'system', '0'),
('SystemValidTokenTest', 'class', 'modules/system/system.test', 'system', '0'),
('TableSort', 'class', 'includes/tablesort.inc', '', '0'),
('TaxonomyEFQTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyHooksTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyLegacyTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyLoadMultipleTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyRSSTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyTermController', 'class', 'modules/taxonomy/taxonomy.module', 'taxonomy', '0'),
('TaxonomyTermFieldMultipleVocabularyTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyTermFieldTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyTermFunctionTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyTermIndexTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyTermTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyThemeTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyTokenReplaceTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyVocabularyController', 'class', 'modules/taxonomy/taxonomy.module', 'taxonomy', '0'),
('TaxonomyVocabularyFunctionalTest', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyVocabularyTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TaxonomyWebTestCase', 'class', 'modules/taxonomy/taxonomy.test', 'taxonomy', '0'),
('TestingMailSystem', 'class', 'modules/system/system.mail.inc', 'system', '0'),
('TextFieldTestCase', 'class', 'modules/field/modules/text/text.test', 'text', '0'),
('TextSummaryTestCase', 'class', 'modules/field/modules/text/text.test', 'text', '0'),
('TextTranslationTestCase', 'class', 'modules/field/modules/text/text.test', 'text', '0'),
('ThemeRegistry', 'class', 'includes/theme.inc', '', '0'),
('ThemeUpdater', 'class', 'modules/system/system.updater.inc', 'system', '0'),
('TokenArrayTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenBlockTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenCommentTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenCurrentPageTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenDateTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenEntityTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenFileTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenMenuTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenNodeTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenProfileTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenRandomTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenReplaceTestCase', 'class', 'modules/system/system.test', 'system', '0'),
('TokenScanTest', 'class', 'modules/system/system.test', 'system', '0'),
('TokenTaxonomyTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenTestHelper', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenUnitTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenURLTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TokenUserTestCase', 'class', 'sites/all/modules/token/token.test', 'token', '0'),
('TrackerTest', 'class', 'modules/tracker/tracker.test', 'tracker', '0'),
('TriggerActionTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerContentTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerCronTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerOrphanedActionsTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerOtherTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerUnassignTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerUserActionTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerUserTokenTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TriggerWebTestCase', 'class', 'modules/trigger/trigger.test', 'trigger', '0'),
('TruncateQuery', 'class', 'includes/database/query.inc', '', '0'),
('TruncateQuery_mysql', 'class', 'includes/database/mysql/query.inc', '', '0'),
('TruncateQuery_sqlite', 'class', 'includes/database/sqlite/query.inc', '', '0'),
('UpdateCoreTestCase', 'class', 'modules/update/update.test', 'update', '0'),
('UpdateCoreUnitTestCase', 'class', 'modules/update/update.test', 'update', '0'),
('UpdateFeedItemTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('UpdateFeedTestCase', 'class', 'modules/aggregator/aggregator.test', 'aggregator', '0'),
('UpdateQuery', 'class', 'includes/database/query.inc', '', '0'),
('UpdateQuery_pgsql', 'class', 'includes/database/pgsql/query.inc', '', '0'),
('UpdateQuery_sqlite', 'class', 'includes/database/sqlite/query.inc', '', '0'),
('Updater', 'class', 'includes/updater.inc', '', '0'),
('UpdaterException', 'class', 'includes/updater.inc', '', '0'),
('UpdaterFileTransferException', 'class', 'includes/updater.inc', '', '0'),
('UpdateScriptFunctionalTest', 'class', 'modules/system/system.test', 'system', '0'),
('UpdateTestContribCase', 'class', 'modules/update/update.test', 'update', '0'),
('UpdateTestHelper', 'class', 'modules/update/update.test', 'update', '0'),
('UpdateTestUploadCase', 'class', 'modules/update/update.test', 'update', '0'),
('UserAccountLinksUnitTests', 'class', 'modules/user/user.test', 'user', '0'),
('UserAdminTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserAuthmapAssignmentTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserAutocompleteTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserBlocksUnitTests', 'class', 'modules/user/user.test', 'user', '0'),
('UserCancelTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserController', 'class', 'modules/user/user.module', 'user', '0'),
('UserCreateTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserEditedOwnAccountTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserEditRebuildTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserEditTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserLoginTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserPasswordResetTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserPermissionsTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserPictureTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserRegistrationTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserRoleAdminTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserRolesAssignmentTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserSaveTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserSignatureTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserTimeZoneFunctionalTest', 'class', 'modules/user/user.test', 'user', '0'),
('UserTokenReplaceTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserUserSearchTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('UserValidateCurrentPassCustomForm', 'class', 'modules/user/user.test', 'user', '0'),
('UserValidationTestCase', 'class', 'modules/user/user.test', 'user', '0'),
('view', 'class', 'sites/all/modules/views/includes/view.inc', 'views', '10'),
('ViewsAccessTest', 'class', 'sites/all/modules/views/tests/views_access.test', 'views', '10'),
('ViewsAnalyzeTest', 'class', 'sites/all/modules/views/tests/views_analyze.test', 'views', '10'),
('ViewsArgumentDefaultTest', 'class', 'sites/all/modules/views/tests/views_argument_default.test', 'views', '10'),
('ViewsArgumentValidatorTest', 'class', 'sites/all/modules/views/tests/views_argument_validator.test', 'views', '10'),
('ViewsBasicTest', 'class', 'sites/all/modules/views/tests/views_basic.test', 'views', '10'),
('ViewsBulkOperationsAction', 'class', 'sites/all/modules/views_bulk_operations/plugins/operation_types/action.class.php', 'views_bulk_operations', '0'),
('ViewsBulkOperationsBaseOperation', 'class', 'sites/all/modules/views_bulk_operations/plugins/operation_types/base.class.php', 'views_bulk_operations', '0'),
('ViewsBulkOperationsRulesComponent', 'class', 'sites/all/modules/views_bulk_operations/plugins/operation_types/rules_component.class.php', 'views_bulk_operations', '0'),
('ViewsCacheTest', 'class', 'sites/all/modules/views/tests/views_cache.test', 'views', '10'),
('ViewsExposedFormTest', 'class', 'sites/all/modules/views/tests/views_exposed_form.test', 'views', '10'),
('viewsFieldApiDataTest', 'class', 'sites/all/modules/views/tests/field/views_fieldapi.test', 'views', '10'),
('ViewsFieldApiTestHelper', 'class', 'sites/all/modules/views/tests/field/views_fieldapi.test', 'views', '10'),
('ViewsGlossaryTestCase', 'class', 'sites/all/modules/views/tests/views_glossary.test', 'views', '10'),
('ViewsHandlerAreaTextTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_area_text.test', 'views', '10'),
('viewsHandlerArgumentCommentUserUidTest', 'class', 'sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test', 'views', '10'),
('ViewsHandlerArgumentNullTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_argument_null.test', 'views', '10'),
('ViewsHandlerArgumentStringTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_argument_string.test', 'views', '10'),
('ViewsHandlerFieldBooleanTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_boolean.test', 'views', '10'),
('ViewsHandlerFieldCustomTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_custom.test', 'views', '10'),
('ViewsHandlerFieldDateTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_date.test', 'views', '10'),
('viewsHandlerFieldFieldTest', 'class', 'sites/all/modules/views/tests/field/views_fieldapi.test', 'views', '10'),
('ViewsHandlerFieldMath', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_math.test', 'views', '10'),
('ViewsHandlerFieldTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field.test', 'views', '10'),
('ViewsHandlerFieldUrlTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_url.test', 'views', '10'),
('viewsHandlerFieldUserNameTest', 'class', 'sites/all/modules/views/tests/user/views_handler_field_user_name.test', 'views', '10'),
('ViewsHandlerFileExtensionTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test', 'views', '10'),
('ViewsHandlerFilterCombineTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_filter_combine.test', 'views', '10'),
('viewsHandlerFilterCommentUserUidTest', 'class', 'sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test', 'views', '10'),
('ViewsHandlerFilterCounterTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_counter.test', 'views', '10'),
('ViewsHandlerFilterDateTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_filter_date.test', 'views', '10'),
('ViewsHandlerFilterEqualityTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_filter_equality.test', 'views', '10'),
('ViewsHandlerFilterInOperator', 'class', 'sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test', 'views', '10'),
('ViewsHandlerFilterNumericTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test', 'views', '10'),
('ViewsHandlerFilterStringTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_filter_string.test', 'views', '10'),
('ViewsHandlerRelationshipNodeTermDataTest', 'class', 'sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test', 'views', '10'),
('ViewsHandlerSortDateTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_sort_date.test', 'views', '10'),
('ViewsHandlerSortRandomTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_sort_random.test', 'views', '10'),
('ViewsHandlerSortTest', 'class', 'sites/all/modules/views/tests/handlers/views_handler_sort.test', 'views', '10'),
('ViewsHandlersTest', 'class', 'sites/all/modules/views/tests/views_handlers.test', 'views', '10'),
('ViewsHandlerTest', 'class', 'sites/all/modules/views/tests/handlers/views_handlers.test', 'views', '10'),
('ViewsHandlerTestFileSize', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_file_size.test', 'views', '10'),
('ViewsHandlerTestXss', 'class', 'sites/all/modules/views/tests/handlers/views_handler_field_xss.test', 'views', '10'),
('ViewsIsotopeViewsPluginStyleIsotopeFilter', 'class', 'sites/all/modules/views_isotope/views/ViewsIsotopeViewsPluginStyleIsotopeFilter.inc', 'views_isotope_views', '0'),
('ViewsIsotopeViewsPluginStyleIsotopeGrid', 'class', 'sites/all/modules/views_isotope/views/ViewsIsotopeViewsPluginStyleIsotopeGrid.inc', 'views_isotope_views', '0'),
('ViewsIsotopeViewsPluginStyleIsotopeSorter', 'class', 'sites/all/modules/views_isotope/views/ViewsIsotopeViewsPluginStyleIsotopeSorter.inc', 'views_isotope_views', '0'),
('ViewsModuleTest', 'class', 'sites/all/modules/views/tests/views_module.test', 'views', '10'),
('ViewsNodeRevisionRelationsTestCase', 'class', 'sites/all/modules/views/tests/node/views_node_revision_relations.test', 'views', '10'),
('ViewsPagerTest', 'class', 'sites/all/modules/views/tests/views_pager.test', 'views', '10'),
('ViewsPagerTestCase', 'class', 'sites/all/modules/date/tests/date_views_pager.test', 'date', '0'),
('ViewsPluginDisplayTestCase', 'class', 'sites/all/modules/views/tests/plugins/views_plugin_display.test', 'views', '10'),
('viewsPluginStyleJumpMenuTest', 'class', 'sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test', 'views', '10'),
('ViewsPluginStyleMappingTest', 'class', 'sites/all/modules/views/tests/styles/views_plugin_style_mapping.test', 'views', '10'),
('ViewsPluginStyleTestBase', 'class', 'sites/all/modules/views/tests/styles/views_plugin_style_base.test', 'views', '10'),
('ViewsPluginStyleTestCase', 'class', 'sites/all/modules/views/tests/styles/views_plugin_style.test', 'views', '10'),
('ViewsPluginStyleUnformattedTestCase', 'class', 'sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test', 'views', '10'),
('ViewsQueryGroupByTest', 'class', 'sites/all/modules/views/tests/views_groupby.test', 'views', '10'),
('viewsSearchQuery', 'class', 'sites/all/modules/views/modules/search/views_handler_filter_search.inc', 'views', '10'),
('ViewsSqlTest', 'class', 'sites/all/modules/views/tests/views_query.test', 'views', '10'),
('ViewsTestCase', 'class', 'sites/all/modules/views/tests/views_query.test', 'views', '10'),
('ViewsTranslatableTest', 'class', 'sites/all/modules/views/tests/views_translatable.test', 'views', '10'),
('ViewsUiBaseViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php', 'views_ui', '0'),
('ViewsUiCommentViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php', 'views_ui', '0'),
('ViewsUiFileManagedViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php', 'views_ui', '0'),
('viewsUiGroupbyTestCase', 'class', 'sites/all/modules/views/tests/views_groupby.test', 'views', '10'),
('ViewsUiNodeRevisionViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php', 'views_ui', '0'),
('ViewsUiNodeViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php', 'views_ui', '0'),
('ViewsUiTaxonomyTermViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php', 'views_ui', '0'),
('ViewsUiUsersViewsWizard', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php', 'views_ui', '0'),
('ViewsUIWizardBasicTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardDefaultViewsTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardHelper', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardItemsPerPageTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardJumpMenuTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardMenuTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardOverrideDisplaysTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardSortingTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUIWizardTaggedWithTestCase', 'class', 'sites/all/modules/views/tests/views_ui.test', 'views', '10'),
('ViewsUpgradeTestCase', 'class', 'sites/all/modules/views/tests/views_upgrade.test', 'views', '10'),
('ViewsUserArgumentDefault', 'class', 'sites/all/modules/views/tests/user/views_user_argument_default.test', 'views', '10'),
('ViewsUserArgumentValidate', 'class', 'sites/all/modules/views/tests/user/views_user_argument_validate.test', 'views', '10'),
('ViewsUserTestCase', 'class', 'sites/all/modules/views/tests/user/views_user.test', 'views', '10'),
('ViewsViewTest', 'class', 'sites/all/modules/views/tests/views_view.test', 'views', '10'),
('ViewsWizardException', 'class', 'sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php', 'views_ui', '0'),
('ViewsWizardInterface', 'interface', 'sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php', 'views_ui', '0'),
('views_accordion_style_plugin', 'class', 'sites/all/modules/views_accordion/views_accordion_style_plugin.inc', 'views_accordion', '0'),
('views_bulk_operations_handler_field_operations', 'class', 'sites/all/modules/views_bulk_operations/views/views_bulk_operations_handler_field_operations.inc', 'views_bulk_operations', '0'),
('views_content_plugin_display_ctools_context', 'class', 'sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_ctools_context.inc', 'views_content', '0'),
('views_content_plugin_display_panel_pane', 'class', 'sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_panel_pane.inc', 'views_content', '0'),
('views_content_plugin_style_ctools_context', 'class', 'sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_style_ctools_context.inc', 'views_content', '0'),
('views_db_object', 'class', 'sites/all/modules/views/includes/view.inc', 'views', '10'),
('views_display', 'class', 'sites/all/modules/views/includes/view.inc', 'views', '10'),
('views_handler', 'class', 'sites/all/modules/views/includes/handlers.inc', 'views', '10'),
('views_handler_area', 'class', 'sites/all/modules/views/handlers/views_handler_area.inc', 'views', '10'),
('views_handler_area_broken', 'class', 'sites/all/modules/views/handlers/views_handler_area.inc', 'views', '10'),
('views_handler_area_messages', 'class', 'sites/all/modules/views/handlers/views_handler_area_messages.inc', 'views', '10'),
('views_handler_area_result', 'class', 'sites/all/modules/views/handlers/views_handler_area_result.inc', 'views', '10'),
('views_handler_area_text', 'class', 'sites/all/modules/views/handlers/views_handler_area_text.inc', 'views', '10'),
('views_handler_area_text_custom', 'class', 'sites/all/modules/views/handlers/views_handler_area_text_custom.inc', 'views', '10'),
('views_handler_area_view', 'class', 'sites/all/modules/views/handlers/views_handler_area_view.inc', 'views', '10'),
('views_handler_argument', 'class', 'sites/all/modules/views/handlers/views_handler_argument.inc', 'views', '10'),
('views_handler_argument_aggregator_category_cid', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc', 'views', '10'),
('views_handler_argument_aggregator_fid', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc', 'views', '10'),
('views_handler_argument_aggregator_iid', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc', 'views', '10'),
('views_handler_argument_broken', 'class', 'sites/all/modules/views/handlers/views_handler_argument.inc', 'views', '10'),
('views_handler_argument_comment_user_uid', 'class', 'sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc', 'views', '10'),
('views_handler_argument_date', 'class', 'sites/all/modules/views/handlers/views_handler_argument_date.inc', 'views', '10'),
('views_handler_argument_field_list', 'class', 'sites/all/modules/views/modules/field/views_handler_argument_field_list.inc', 'views', '10'),
('views_handler_argument_field_list_string', 'class', 'sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc', 'views', '10'),
('views_handler_argument_file_fid', 'class', 'sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc', 'views', '10'),
('views_handler_argument_formula', 'class', 'sites/all/modules/views/handlers/views_handler_argument_formula.inc', 'views', '10'),
('views_handler_argument_group_by_numeric', 'class', 'sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc', 'views', '10'),
('views_handler_argument_locale_group', 'class', 'sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc', 'views', '10'),
('views_handler_argument_locale_language', 'class', 'sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc', 'views', '10'),
('views_handler_argument_many_to_one', 'class', 'sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc', 'views', '10'),
('views_handler_argument_node_created_day', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'views', '10'),
('views_handler_argument_node_created_fulldate', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'views', '10'),
('views_handler_argument_node_created_month', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'views', '10'),
('views_handler_argument_node_created_week', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'views', '10'),
('views_handler_argument_node_created_year', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'views', '10');
INSERT INTO `registry` VALUES
('views_handler_argument_node_created_year_month', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'views', '10'),
('views_handler_argument_node_language', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_node_language.inc', 'views', '10'),
('views_handler_argument_node_nid', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc', 'views', '10'),
('views_handler_argument_node_tnid', 'class', 'sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc', 'views', '10'),
('views_handler_argument_node_type', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_node_type.inc', 'views', '10'),
('views_handler_argument_node_uid_revision', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc', 'views', '10'),
('views_handler_argument_node_vid', 'class', 'sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc', 'views', '10'),
('views_handler_argument_null', 'class', 'sites/all/modules/views/handlers/views_handler_argument_null.inc', 'views', '10'),
('views_handler_argument_numeric', 'class', 'sites/all/modules/views/handlers/views_handler_argument_numeric.inc', 'views', '10'),
('views_handler_argument_search', 'class', 'sites/all/modules/views/modules/search/views_handler_argument_search.inc', 'views', '10'),
('views_handler_argument_string', 'class', 'sites/all/modules/views/handlers/views_handler_argument_string.inc', 'views', '10'),
('views_handler_argument_taxonomy', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc', 'views', '10'),
('views_handler_argument_term_node_tid', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc', 'views', '10'),
('views_handler_argument_term_node_tid_depth', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc', 'views', '10'),
('views_handler_argument_term_node_tid_depth_join', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc', 'views', '10'),
('views_handler_argument_term_node_tid_depth_modifier', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc', 'views', '10'),
('views_handler_argument_tracker_comment_user_uid', 'class', 'sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc', 'views', '10'),
('views_handler_argument_users_roles_rid', 'class', 'sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc', 'views', '10'),
('views_handler_argument_user_uid', 'class', 'sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc', 'views', '10'),
('views_handler_argument_vocabulary_machine_name', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc', 'views', '10'),
('views_handler_argument_vocabulary_vid', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc', 'views', '10'),
('views_handler_field', 'class', 'sites/all/modules/views/handlers/views_handler_field.inc', 'views', '10'),
('views_handler_field_accesslog_path', 'class', 'sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc', 'views', '10'),
('views_handler_field_aggregator_category', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc', 'views', '10'),
('views_handler_field_aggregator_title_link', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc', 'views', '10'),
('views_handler_field_aggregator_xss', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc', 'views', '10'),
('views_handler_field_boolean', 'class', 'sites/all/modules/views/handlers/views_handler_field_boolean.inc', 'views', '10'),
('views_handler_field_broken', 'class', 'sites/all/modules/views/handlers/views_handler_field.inc', 'views', '10'),
('views_handler_field_comment', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment.inc', 'views', '10'),
('views_handler_field_comment_depth', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc', 'views', '10'),
('views_handler_field_comment_link', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc', 'views', '10'),
('views_handler_field_comment_link_approve', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc', 'views', '10'),
('views_handler_field_comment_link_delete', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc', 'views', '10'),
('views_handler_field_comment_link_edit', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc', 'views', '10'),
('views_handler_field_comment_link_reply', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc', 'views', '10'),
('views_handler_field_comment_node_link', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc', 'views', '10'),
('views_handler_field_comment_username', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc', 'views', '10'),
('views_handler_field_contact_link', 'class', 'sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc', 'views', '10'),
('views_handler_field_contextual_links', 'class', 'sites/all/modules/views/handlers/views_handler_field_contextual_links.inc', 'views', '10'),
('views_handler_field_counter', 'class', 'sites/all/modules/views/handlers/views_handler_field_counter.inc', 'views', '10'),
('views_handler_field_ctools_dropdown', 'class', 'sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc', 'views', '10'),
('views_handler_field_custom', 'class', 'sites/all/modules/views/handlers/views_handler_field_custom.inc', 'views', '10'),
('views_handler_field_date', 'class', 'sites/all/modules/views/handlers/views_handler_field_date.inc', 'views', '10'),
('views_handler_field_entity', 'class', 'sites/all/modules/views/handlers/views_handler_field_entity.inc', 'views', '10'),
('views_handler_field_field', 'class', 'sites/all/modules/views/modules/field/views_handler_field_field.inc', 'views', '10'),
('views_handler_field_file', 'class', 'sites/all/modules/views/modules/system/views_handler_field_file.inc', 'views', '10'),
('views_handler_field_file_extension', 'class', 'sites/all/modules/views/modules/system/views_handler_field_file_extension.inc', 'views', '10'),
('views_handler_field_file_filemime', 'class', 'sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc', 'views', '10'),
('views_handler_field_file_size', 'class', 'sites/all/modules/views/handlers/views_handler_field.inc', 'views', '10'),
('views_handler_field_file_status', 'class', 'sites/all/modules/views/modules/system/views_handler_field_file_status.inc', 'views', '10'),
('views_handler_field_file_uri', 'class', 'sites/all/modules/views/modules/system/views_handler_field_file_uri.inc', 'views', '10'),
('views_handler_field_filter_format_name', 'class', 'sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc', 'views', '10'),
('views_handler_field_history_user_timestamp', 'class', 'sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc', 'views', '10'),
('views_handler_field_last_comment_timestamp', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc', 'views', '10'),
('views_handler_field_links', 'class', 'sites/all/modules/views/handlers/views_handler_field_links.inc', 'views', '10'),
('views_handler_field_locale_group', 'class', 'sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc', 'views', '10'),
('views_handler_field_locale_language', 'class', 'sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc', 'views', '10'),
('views_handler_field_locale_link_edit', 'class', 'sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc', 'views', '10'),
('views_handler_field_machine_name', 'class', 'sites/all/modules/views/handlers/views_handler_field_machine_name.inc', 'views', '10'),
('views_handler_field_markup', 'class', 'sites/all/modules/views/handlers/views_handler_field_markup.inc', 'views', '10'),
('views_handler_field_math', 'class', 'sites/all/modules/views/handlers/views_handler_field_math.inc', 'views', '10'),
('views_handler_field_ncs_last_comment_name', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc', 'views', '10'),
('views_handler_field_ncs_last_updated', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc', 'views', '10'),
('views_handler_field_node', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node.inc', 'views', '10'),
('views_handler_field_node_comment', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc', 'views', '10'),
('views_handler_field_node_counter_timestamp', 'class', 'sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc', 'views', '10'),
('views_handler_field_node_language', 'class', 'sites/all/modules/views/modules/locale/views_handler_field_node_language.inc', 'views', '10'),
('views_handler_field_node_link', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_link.inc', 'views', '10'),
('views_handler_field_node_link_delete', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc', 'views', '10'),
('views_handler_field_node_link_edit', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc', 'views', '10'),
('views_handler_field_node_link_translate', 'class', 'sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc', 'views', '10'),
('views_handler_field_node_new_comments', 'class', 'sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc', 'views', '10'),
('views_handler_field_node_path', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_path.inc', 'views', '10'),
('views_handler_field_node_revision', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_revision.inc', 'views', '10'),
('views_handler_field_node_revision_link', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc', 'views', '10'),
('views_handler_field_node_revision_link_delete', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc', 'views', '10'),
('views_handler_field_node_revision_link_revert', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc', 'views', '10'),
('views_handler_field_node_translation_link', 'class', 'sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc', 'views', '10'),
('views_handler_field_node_type', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_type.inc', 'views', '10'),
('views_handler_field_node_version_count', 'class', 'sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc', 'views', '10'),
('views_handler_field_numeric', 'class', 'sites/all/modules/views/handlers/views_handler_field_numeric.inc', 'views', '10'),
('views_handler_field_prerender_list', 'class', 'sites/all/modules/views/handlers/views_handler_field_prerender_list.inc', 'views', '10'),
('views_handler_field_profile_date', 'class', 'sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc', 'views', '10'),
('views_handler_field_profile_list', 'class', 'sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc', 'views', '10'),
('views_handler_field_search_score', 'class', 'sites/all/modules/views/modules/search/views_handler_field_search_score.inc', 'views', '10'),
('views_handler_field_serialized', 'class', 'sites/all/modules/views/handlers/views_handler_field_serialized.inc', 'views', '10'),
('views_handler_field_statistics_numeric', 'class', 'sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc', 'views', '10'),
('views_handler_field_taxonomy', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc', 'views', '10'),
('views_handler_field_term_link_edit', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc', 'views', '10'),
('views_handler_field_term_node_tid', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc', 'views', '10'),
('views_handler_field_time_interval', 'class', 'sites/all/modules/views/handlers/views_handler_field_time_interval.inc', 'views', '10'),
('views_handler_field_url', 'class', 'sites/all/modules/views/handlers/views_handler_field_url.inc', 'views', '10'),
('views_handler_field_user', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user.inc', 'views', '10'),
('views_handler_field_user_language', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_language.inc', 'views', '10'),
('views_handler_field_user_link', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_link.inc', 'views', '10'),
('views_handler_field_user_link_cancel', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc', 'views', '10'),
('views_handler_field_user_link_edit', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc', 'views', '10'),
('views_handler_field_user_mail', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_mail.inc', 'views', '10'),
('views_handler_field_user_name', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_name.inc', 'views', '10'),
('views_handler_field_user_permissions', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc', 'views', '10'),
('views_handler_field_user_picture', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_picture.inc', 'views', '10'),
('views_handler_field_user_roles', 'class', 'sites/all/modules/views/modules/user/views_handler_field_user_roles.inc', 'views', '10'),
('views_handler_field_xss', 'class', 'sites/all/modules/views/handlers/views_handler_field.inc', 'views', '10'),
('views_handler_filter', 'class', 'sites/all/modules/views/handlers/views_handler_filter.inc', 'views', '10'),
('views_handler_filter_aggregator_category_cid', 'class', 'sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc', 'views', '10'),
('views_handler_filter_boolean_operator', 'class', 'sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc', 'views', '10'),
('views_handler_filter_boolean_operator_string', 'class', 'sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc', 'views', '10'),
('views_handler_filter_broken', 'class', 'sites/all/modules/views/handlers/views_handler_filter.inc', 'views', '10'),
('views_handler_filter_combine', 'class', 'sites/all/modules/views/handlers/views_handler_filter_combine.inc', 'views', '10'),
('views_handler_filter_comment_user_uid', 'class', 'sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc', 'views', '10'),
('views_handler_filter_date', 'class', 'sites/all/modules/views/handlers/views_handler_filter_date.inc', 'views', '10'),
('views_handler_filter_entity_bundle', 'class', 'sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc', 'views', '10'),
('views_handler_filter_equality', 'class', 'sites/all/modules/views/handlers/views_handler_filter_equality.inc', 'views', '10'),
('views_handler_filter_fields_compare', 'class', 'sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc', 'views', '10'),
('views_handler_filter_field_list', 'class', 'sites/all/modules/views/modules/field/views_handler_filter_field_list.inc', 'views', '10'),
('views_handler_filter_field_list_boolean', 'class', 'sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc', 'views', '10'),
('views_handler_filter_file_status', 'class', 'sites/all/modules/views/modules/system/views_handler_filter_file_status.inc', 'views', '10'),
('views_handler_filter_group_by_numeric', 'class', 'sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc', 'views', '10'),
('views_handler_filter_history_user_timestamp', 'class', 'sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc', 'views', '10'),
('views_handler_filter_in_operator', 'class', 'sites/all/modules/views/handlers/views_handler_filter_in_operator.inc', 'views', '10'),
('views_handler_filter_locale_group', 'class', 'sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc', 'views', '10'),
('views_handler_filter_locale_language', 'class', 'sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc', 'views', '10'),
('views_handler_filter_locale_version', 'class', 'sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc', 'views', '10'),
('views_handler_filter_many_to_one', 'class', 'sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc', 'views', '10'),
('views_handler_filter_ncs_last_updated', 'class', 'sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc', 'views', '10'),
('views_handler_filter_node_access', 'class', 'sites/all/modules/views/modules/node/views_handler_filter_node_access.inc', 'views', '10'),
('views_handler_filter_node_comment', 'class', 'sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc', 'views', '10'),
('views_handler_filter_node_language', 'class', 'sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc', 'views', '10'),
('views_handler_filter_node_status', 'class', 'sites/all/modules/views/modules/node/views_handler_filter_node_status.inc', 'views', '10'),
('views_handler_filter_node_tnid', 'class', 'sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc', 'views', '10'),
('views_handler_filter_node_tnid_child', 'class', 'sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc', 'views', '10'),
('views_handler_filter_node_type', 'class', 'sites/all/modules/views/modules/node/views_handler_filter_node_type.inc', 'views', '10'),
('views_handler_filter_node_uid_revision', 'class', 'sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc', 'views', '10'),
('views_handler_filter_node_version_count', 'class', 'sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc', 'views', '10'),
('views_handler_filter_numeric', 'class', 'sites/all/modules/views/handlers/views_handler_filter_numeric.inc', 'views', '10'),
('views_handler_filter_profile_selection', 'class', 'sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc', 'views', '10'),
('views_handler_filter_search', 'class', 'sites/all/modules/views/modules/search/views_handler_filter_search.inc', 'views', '10'),
('views_handler_filter_string', 'class', 'sites/all/modules/views/handlers/views_handler_filter_string.inc', 'views', '10'),
('views_handler_filter_system_type', 'class', 'sites/all/modules/views/modules/system/views_handler_filter_system_type.inc', 'views', '10'),
('views_handler_filter_term_node_tid', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc', 'views', '10'),
('views_handler_filter_term_node_tid_depth', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc', 'views', '10'),
('views_handler_filter_term_node_tid_depth_join', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc', 'views', '10'),
('views_handler_filter_tracker_boolean_operator', 'class', 'sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc', 'views', '10'),
('views_handler_filter_tracker_comment_user_uid', 'class', 'sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc', 'views', '10'),
('views_handler_filter_user_current', 'class', 'sites/all/modules/views/modules/user/views_handler_filter_user_current.inc', 'views', '10'),
('views_handler_filter_user_name', 'class', 'sites/all/modules/views/modules/user/views_handler_filter_user_name.inc', 'views', '10'),
('views_handler_filter_user_permissions', 'class', 'sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc', 'views', '10'),
('views_handler_filter_user_roles', 'class', 'sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc', 'views', '10'),
('views_handler_filter_vocabulary_machine_name', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc', 'views', '10'),
('views_handler_filter_vocabulary_vid', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc', 'views', '10'),
('views_handler_relationship', 'class', 'sites/all/modules/views/handlers/views_handler_relationship.inc', 'views', '10'),
('views_handler_relationship_broken', 'class', 'sites/all/modules/views/handlers/views_handler_relationship.inc', 'views', '10'),
('views_handler_relationship_entity_reverse', 'class', 'sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc', 'views', '10'),
('views_handler_relationship_groupwise_max', 'class', 'sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc', 'views', '10'),
('views_handler_relationship_node_term_data', 'class', 'sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc', 'views', '10'),
('views_handler_relationship_translation', 'class', 'sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc', 'views', '10'),
('views_handler_sort', 'class', 'sites/all/modules/views/handlers/views_handler_sort.inc', 'views', '10'),
('views_handler_sort_broken', 'class', 'sites/all/modules/views/handlers/views_handler_sort.inc', 'views', '10'),
('views_handler_sort_comment_thread', 'class', 'sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc', 'views', '10'),
('views_handler_sort_date', 'class', 'sites/all/modules/views/handlers/views_handler_sort_date.inc', 'views', '10'),
('views_handler_sort_group_by_numeric', 'class', 'sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc', 'views', '10'),
('views_handler_sort_menu_hierarchy', 'class', 'sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc', 'views', '10'),
('views_handler_sort_ncs_last_comment_name', 'class', 'sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc', 'views', '10'),
('views_handler_sort_ncs_last_updated', 'class', 'sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc', 'views', '10'),
('views_handler_sort_node_language', 'class', 'sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc', 'views', '10'),
('views_handler_sort_node_version_count', 'class', 'sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc', 'views', '10'),
('views_handler_sort_random', 'class', 'sites/all/modules/views/handlers/views_handler_sort_random.inc', 'views', '10'),
('views_handler_sort_search_score', 'class', 'sites/all/modules/views/modules/search/views_handler_sort_search_score.inc', 'views', '10'),
('views_join', 'class', 'sites/all/modules/views/includes/handlers.inc', 'views', '10'),
('views_join_subquery', 'class', 'sites/all/modules/views/includes/handlers.inc', 'views', '10'),
('views_many_to_one_helper', 'class', 'sites/all/modules/views/includes/handlers.inc', 'views', '10'),
('views_object', 'class', 'sites/all/modules/views/includes/base.inc', 'views', '10'),
('views_plugin', 'class', 'sites/all/modules/views/includes/plugins.inc', 'views', '10'),
('views_plugin_access', 'class', 'sites/all/modules/views/plugins/views_plugin_access.inc', 'views', '10'),
('views_plugin_access_none', 'class', 'sites/all/modules/views/plugins/views_plugin_access_none.inc', 'views', '10'),
('views_plugin_access_perm', 'class', 'sites/all/modules/views/plugins/views_plugin_access_perm.inc', 'views', '10'),
('views_plugin_access_role', 'class', 'sites/all/modules/views/plugins/views_plugin_access_role.inc', 'views', '10'),
('views_plugin_argument_default', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_default.inc', 'views', '10'),
('views_plugin_argument_default_book_root', 'class', 'sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc', 'views', '10'),
('views_plugin_argument_default_current_user', 'class', 'sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc', 'views', '10'),
('views_plugin_argument_default_fixed', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc', 'views', '10'),
('views_plugin_argument_default_node', 'class', 'sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc', 'views', '10'),
('views_plugin_argument_default_php', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_default_php.inc', 'views', '10'),
('views_plugin_argument_default_raw', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc', 'views', '10'),
('views_plugin_argument_default_taxonomy_tid', 'class', 'sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc', 'views', '10'),
('views_plugin_argument_default_user', 'class', 'sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc', 'views', '10'),
('views_plugin_argument_validate', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_validate.inc', 'views', '10'),
('views_plugin_argument_validate_node', 'class', 'sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc', 'views', '10'),
('views_plugin_argument_validate_numeric', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc', 'views', '10'),
('views_plugin_argument_validate_php', 'class', 'sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc', 'views', '10'),
('views_plugin_argument_validate_taxonomy_term', 'class', 'sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc', 'views', '10'),
('views_plugin_argument_validate_user', 'class', 'sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc', 'views', '10'),
('views_plugin_cache', 'class', 'sites/all/modules/views/plugins/views_plugin_cache.inc', 'views', '10'),
('views_plugin_cache_none', 'class', 'sites/all/modules/views/plugins/views_plugin_cache_none.inc', 'views', '10'),
('views_plugin_cache_time', 'class', 'sites/all/modules/views/plugins/views_plugin_cache_time.inc', 'views', '10'),
('views_plugin_display', 'class', 'sites/all/modules/views/plugins/views_plugin_display.inc', 'views', '10'),
('views_plugin_display_attachment', 'class', 'sites/all/modules/views/plugins/views_plugin_display_attachment.inc', 'views', '10'),
('views_plugin_display_block', 'class', 'sites/all/modules/views/plugins/views_plugin_display_block.inc', 'views', '10'),
('views_plugin_display_default', 'class', 'sites/all/modules/views/plugins/views_plugin_display_default.inc', 'views', '10'),
('views_plugin_display_embed', 'class', 'sites/all/modules/views/plugins/views_plugin_display_embed.inc', 'views', '10'),
('views_plugin_display_extender', 'class', 'sites/all/modules/views/plugins/views_plugin_display_extender.inc', 'views', '10'),
('views_plugin_display_feed', 'class', 'sites/all/modules/views/plugins/views_plugin_display_feed.inc', 'views', '10'),
('views_plugin_display_page', 'class', 'sites/all/modules/views/plugins/views_plugin_display_page.inc', 'views', '10'),
('views_plugin_exposed_form', 'class', 'sites/all/modules/views/plugins/views_plugin_exposed_form.inc', 'views', '10'),
('views_plugin_exposed_form_basic', 'class', 'sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc', 'views', '10'),
('views_plugin_exposed_form_input_required', 'class', 'sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc', 'views', '10'),
('views_plugin_localization', 'class', 'sites/all/modules/views/plugins/views_plugin_localization.inc', 'views', '10'),
('views_plugin_localization_core', 'class', 'sites/all/modules/views/plugins/views_plugin_localization_core.inc', 'views', '10'),
('views_plugin_localization_none', 'class', 'sites/all/modules/views/plugins/views_plugin_localization_none.inc', 'views', '0'),
('views_plugin_localization_test', 'class', 'sites/all/modules/views/tests/views_plugin_localization_test.inc', 'views', '10'),
('views_plugin_pager', 'class', 'sites/all/modules/views/plugins/views_plugin_pager.inc', 'views', '10'),
('views_plugin_pager_full', 'class', 'sites/all/modules/views/plugins/views_plugin_pager_full.inc', 'views', '10'),
('views_plugin_pager_mini', 'class', 'sites/all/modules/views/plugins/views_plugin_pager_mini.inc', 'views', '10'),
('views_plugin_pager_none', 'class', 'sites/all/modules/views/plugins/views_plugin_pager_none.inc', 'views', '10'),
('views_plugin_pager_some', 'class', 'sites/all/modules/views/plugins/views_plugin_pager_some.inc', 'views', '10'),
('views_plugin_query', 'class', 'sites/all/modules/views/plugins/views_plugin_query.inc', 'views', '10'),
('views_plugin_query_default', 'class', 'sites/all/modules/views/plugins/views_plugin_query_default.inc', 'views', '10'),
('views_plugin_row', 'class', 'sites/all/modules/views/plugins/views_plugin_row.inc', 'views', '10'),
('views_plugin_row_aggregator_rss', 'class', 'sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc', 'views', '10'),
('views_plugin_row_comment_rss', 'class', 'sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc', 'views', '10'),
('views_plugin_row_comment_view', 'class', 'sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc', 'views', '10'),
('views_plugin_row_fields', 'class', 'sites/all/modules/views/plugins/views_plugin_row_fields.inc', 'views', '10'),
('views_plugin_row_node_rss', 'class', 'sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc', 'views', '10'),
('views_plugin_row_node_view', 'class', 'sites/all/modules/views/modules/node/views_plugin_row_node_view.inc', 'views', '10'),
('views_plugin_row_rss_fields', 'class', 'sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc', 'views', '10'),
('views_plugin_row_search_view', 'class', 'sites/all/modules/views/modules/search/views_plugin_row_search_view.inc', 'views', '10'),
('views_plugin_row_user_view', 'class', 'sites/all/modules/views/modules/user/views_plugin_row_user_view.inc', 'views', '10'),
('views_plugin_style', 'class', 'sites/all/modules/views/plugins/views_plugin_style.inc', 'views', '10'),
('views_plugin_style_default', 'class', 'sites/all/modules/views/plugins/views_plugin_style_default.inc', 'views', '10'),
('views_plugin_style_grid', 'class', 'sites/all/modules/views/plugins/views_plugin_style_grid.inc', 'views', '10'),
('views_plugin_style_jump_menu', 'class', 'sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc', 'views', '10'),
('views_plugin_style_list', 'class', 'sites/all/modules/views/plugins/views_plugin_style_list.inc', 'views', '10'),
('views_plugin_style_mapping', 'class', 'sites/all/modules/views/plugins/views_plugin_style_mapping.inc', 'views', '10'),
('views_plugin_style_rss', 'class', 'sites/all/modules/views/plugins/views_plugin_style_rss.inc', 'views', '10'),
('views_plugin_style_summary', 'class', 'sites/all/modules/views/plugins/views_plugin_style_summary.inc', 'views', '10'),
('views_plugin_style_summary_jump_menu', 'class', 'sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc', 'views', '10'),
('views_plugin_style_summary_unformatted', 'class', 'sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc', 'views', '10'),
('views_plugin_style_table', 'class', 'sites/all/modules/views/plugins/views_plugin_style_table.inc', 'views', '10'),
('views_slideshow_plugin_style_slideshow', 'class', 'sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc', 'views_slideshow', '0'),
('views_test_area_access', 'class', 'sites/all/modules/views/tests/test_handlers/views_test_area_access.inc', 'views', '10'),
('views_test_plugin_access_test_dynamic', 'class', 'sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc', 'views', '10'),
('views_test_plugin_access_test_static', 'class', 'sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc', 'views', '10'),
('views_test_plugin_style_test_mapping', 'class', 'sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc', 'views', '10'),
('views_ui', 'class', 'sites/all/modules/views/plugins/export_ui/views_ui.class.php', 'views_ui', '0'),
('views_ui_tabs_plugin_style_tabs', 'class', 'sites/all/modules/views_ui_tabs/views_ui_tabs_plugin_style_tabs.inc', 'views_ui_tabs', '0'),
('VotingAPITestCase', 'class', 'sites/all/modules/votingapi/tests/votingapi.test', 'votingapi', '0'),
('votingapi_views_handler_field_value', 'class', 'sites/all/modules/votingapi/views/votingapi_views_handler_field_value.inc', 'votingapi', '0'),
('votingapi_views_handler_relationship', 'class', 'sites/all/modules/votingapi/views/votingapi_views_handler_relationship.inc', 'votingapi', '0'),
('votingapi_views_handler_sort_nullable', 'class', 'sites/all/modules/votingapi/views/votingapi_views_handler_sort_nullable.inc', 'votingapi', '0'),
('WebformComponentsTestCase', 'class', 'sites/all/modules/webform/tests/components.test', 'webform', '0'),
('WebformConditionals', 'class', 'sites/all/modules/webform/includes/webform.webformconditionals.inc', 'webform', '-1'),
('WebformConditionalsTestCase', 'class', 'sites/all/modules/webform/tests/conditionals.test', 'webform', '0'),
('WebformGeneralTestCase', 'class', 'sites/all/modules/webform/tests/webform.test', 'webform', '0'),
('WebformPermissionsTestCase', 'class', 'sites/all/modules/webform/tests/permissions.test', 'webform', '0'),
('WebformSubmissionTestCase', 'class', 'sites/all/modules/webform/tests/submission.test', 'webform', '0'),
('WebformTestCase', 'class', 'sites/all/modules/webform/tests/webform.test', 'webform', '0'),
('webform_exporter', 'class', 'sites/all/modules/webform/includes/exporters/webform_exporter.inc', 'webform', '0'),
('webform_exporter_delimited', 'class', 'sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc', 'webform', '0'),
('webform_exporter_excel_delimited', 'class', 'sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc', 'webform', '0'),
('webform_exporter_excel_xlsx', 'class', 'sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc', 'webform', '0'),
('webform_handler_area_result_pager', 'class', 'sites/all/modules/webform/views/webform_handler_area_result_pager.inc', 'webform', '0'),
('webform_handler_field_form_body', 'class', 'sites/all/modules/webform/views/webform_handler_field_form_body.inc', 'webform', '0'),
('webform_handler_field_is_draft', 'class', 'sites/all/modules/webform/views/webform_handler_field_is_draft.inc', 'webform', '0'),
('webform_handler_field_node_link_edit', 'class', 'sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc', 'webform', '0'),
('webform_handler_field_node_link_results', 'class', 'sites/all/modules/webform/views/webform_handler_field_node_link_results.inc', 'webform', '0'),
('webform_handler_field_numeric_data', 'class', 'sites/all/modules/webform/views/webform_handler_numeric_data.inc', 'webform', '0'),
('webform_handler_field_submission_count', 'class', 'sites/all/modules/webform/views/webform_handler_field_submission_count.inc', 'webform', '0'),
('webform_handler_field_submission_data', 'class', 'sites/all/modules/webform/views/webform_handler_field_submission_data.inc', 'webform', '0'),
('webform_handler_field_submission_link', 'class', 'sites/all/modules/webform/views/webform_handler_field_submission_link.inc', 'webform', '0'),
('webform_handler_field_webform_status', 'class', 'sites/all/modules/webform/views/webform_handler_field_webform_status.inc', 'webform', '-1'),
('webform_handler_filter_is_draft', 'class', 'sites/all/modules/webform/views/webform_handler_filter_is_draft.inc', 'webform', '0'),
('webform_handler_filter_numeric_data', 'class', 'sites/all/modules/webform/views/webform_handler_numeric_data.inc', 'webform', '0'),
('webform_handler_filter_submission_data', 'class', 'sites/all/modules/webform/views/webform_handler_filter_submission_data.inc', 'webform', '0'),
('webform_handler_filter_webform_status', 'class', 'sites/all/modules/webform/views/webform_handler_filter_webform_status.inc', 'webform', '0'),
('webform_handler_relationship_submission_data', 'class', 'sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc', 'webform', '0'),
('webform_handler_sort_numeric_data', 'class', 'sites/all/modules/webform/views/webform_handler_numeric_data.inc', 'webform', '0'),
('webform_views_plugin_row_submission_view', 'class', 'sites/all/modules/webform/views/webform_plugin_row_submission_view.inc', 'webform', '0'),
('WysiwygProfileController', 'class', 'sites/all/modules/wysiwyg/wysiwyg.module', 'wysiwyg', '0');
/*!40000 ALTER TABLE registry ENABLE KEYS */;

--
-- Table structure for table 'registry_file'
--

CREATE TABLE IF NOT EXISTS `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.' COMMENT='Files parsed to build the registry.';

--
-- Dumping data for table 'registry_file'
--

/*!40000 ALTER TABLE registry_file DISABLE KEYS */;
INSERT INTO `registry_file` VALUES
('includes/actions.inc', 'f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),
('includes/ajax.inc', '3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),
('includes/archiver.inc', 'bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),
('includes/authorize.inc', '6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),
('includes/batch.inc', '1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),
('includes/batch.queue.inc', '554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),
('includes/bootstrap.inc', 'b3200f416219670f1d9c832c5d97088180cd71737313615e5d8d163d98e1be0e'),
('includes/cache-install.inc', 'e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),
('includes/cache.inc', 'ee0bf13c7e067695dffcb9ade3b79fea82a3a8db9e9a422ebfcc91c383aa4b4c'),
('includes/common.inc', 'd0704e7ce04697005ead5d8ef434361ff8bf7c0ce6d5370ca1f52093774f72c6'),
('includes/database/database.inc', 'da36bc5cc0f528d6726d215ee0966d377f004d0c3ec22f57a462a845c4a7e758'),
('includes/database/log.inc', '9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),
('includes/database/mysql/database.inc', '684e47e2760f251119209823ddafc02077fdd3550e859a2ec0044e86ab21f41e'),
('includes/database/mysql/install.inc', '6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),
('includes/database/mysql/query.inc', '0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),
('includes/database/mysql/schema.inc', '2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),
('includes/database/pgsql/database.inc', '8bb1a65c8dcc9ab145a68c69677ee6bf897b8d176344b500c6c8e07f6a81033f'),
('includes/database/pgsql/install.inc', '585b80c5bbd6f134bff60d06397f15154657a577d4da8d1b181858905f09dea5'),
('includes/database/pgsql/query.inc', '0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),
('includes/database/pgsql/schema.inc', '1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),
('includes/database/pgsql/select.inc', 'fd4bba7887c1dc6abc8f080fc3a76c01d92ea085434e355dc1ecb50d8743c22d'),
('includes/database/prefetch.inc', 'b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),
('includes/database/query.inc', '4016a397f10f071cac338fd0a9b004296106e42ab2b9db8c7ff0db341658e88f'),
('includes/database/schema.inc', '9fecfd13fc1d4056a62d385840dccd052ea0e184dc47101f4bd8f57f10b68174'),
('includes/database/select.inc', '5e9cdc383564ba86cb9dcad0046990ce15415a3000e4f617d6e0f30a205b852c'),
('includes/database/sqlite/database.inc', '62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),
('includes/database/sqlite/install.inc', '6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),
('includes/database/sqlite/query.inc', 'f33ab1b6350736a231a4f3f93012d3aac4431ac4e5510fb3a015a5aa6cab8303'),
('includes/database/sqlite/schema.inc', 'cd829700205a8574f8b9d88cd1eaf909519c64754c6f84d6c62b5d21f5886f8d'),
('includes/database/sqlite/select.inc', '8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),
('includes/date.inc', '18c047be64f201e16d189f1cc47ed9dcf0a145151b1ee187e90511b24e5d2b36'),
('includes/entity.inc', 'f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),
('includes/errors.inc', '2ced35723e95483694205a55c8ee29498cc8ae162e0c345288ea174c9dcf1ff7'),
('includes/file.inc', '61516a93fd5278a990a1cbd32dcfcf9d0d5b2a07c97072b29c21a33e165bee54'),
('includes/file.mimetypes.inc', '33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),
('includes/filetransfer/filetransfer.inc', 'fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),
('includes/filetransfer/ftp.inc', '51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),
('includes/filetransfer/local.inc', '7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),
('includes/filetransfer/ssh.inc', '92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),
('includes/form.inc', '3b2bb9088e75d72082ffd008fedcaf08432c14ad238c96d96a2ccc58b8caf107'),
('includes/graph.inc', '8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),
('includes/image.inc', 'bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),
('includes/install.core.inc', '189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),
('includes/install.inc', 'ed4b3ddc21224baea30d2c19467d7d94fd68d25dd282b22ed0cb11cac490a85f'),
('includes/iso.inc', '0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),
('includes/json-encode.inc', '02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),
('includes/language.inc', '4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),
('includes/locale.inc', '68d81c56964ab54c73c196dfd851905b93d736cae1aa0f673c5786200559d8bd'),
('includes/lock.inc', 'a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),
('includes/mail.inc', '41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),
('includes/menu.inc', 'c24d3ed92d05cbabfa4d950e67165e09b65c42a0ae90398cb5b039949be12c87'),
('includes/module.inc', '8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),
('includes/pager.inc', '6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),
('includes/password.inc', 'fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),
('includes/path.inc', '2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),
('includes/registry.inc', 'f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),
('includes/session.inc', '5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),
('includes/stream_wrappers.inc', '4f1feb774a8dbc04ca382fa052f59e58039c7261625f3df29987d6b31f08d92d'),
('includes/tablesort.inc', '2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),
('includes/theme.inc', '193e6453b5e1534ba48c40bfa13528c6ba21b819e8ebe618309b302a2ba90f4c'),
('includes/theme.maintenance.inc', '39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),
('includes/token.inc', '5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),
('includes/unicode.entities.inc', '2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),
('includes/unicode.inc', 'e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),
('includes/update.inc', '25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),
('includes/updater.inc', 'd2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),
('includes/utility.inc', '3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),
('includes/xmlrpc.inc', 'ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),
('includes/xmlrpcs.inc', '925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),
('modules/aggregator/aggregator.test', '1288945ead1e0b250cb0f2d8bc5486ab1c67295b78b5f1ba0f77ade7bf1243b4'),
('modules/block/block.test', '40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),
('modules/blog/blog.test', 'f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),
('modules/comment/comment.module', 'db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),
('modules/comment/comment.test', '23250d17c53fae6dd68202bc543901cc44e6ae233ffd4657c1b0c14ef4dee2d4'),
('modules/contact/contact.test', 'd49eedd71859fbb6ffa26b87226f640db56694c8f43c863c83d920cf3632f9ad'),
('modules/contextual/contextual.test', '023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),
('modules/field/field.attach.inc', '2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),
('modules/field/field.info.class.inc', 'cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),
('modules/field/field.module', '48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),
('modules/field/modules/field_sql_storage/field_sql_storage.test', '315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),
('modules/field/modules/list/tests/list.test', 'c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),
('modules/field/modules/number/number.test', 'c890be184bc407631665cbc6e6f5b109953489feb15ea9bd7756f6fc2a1d15a4'),
('modules/field/modules/options/options.test', '20513f63a29cbba50b263de9206317c4aaf4b48828a0d2b0520fabaee0a237e6'),
('modules/field/modules/text/text.test', '5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),
('modules/field/tests/field.test', '5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),
('modules/field_ui/field_ui.test', 'f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),
('modules/file/tests/file.test', '23f47eeb3d5831af98accfa82659ee7de7f63286e14b807607d4193120cab6ac'),
('modules/filter/filter.test', 'b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),
('modules/forum/forum.test', 'd282b29d6312d63183e003ba036d7645a946e828c94448592f930d80fceb42d6'),
('modules/image/image.test', '6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),
('modules/locale/locale.test', 'a622d25fe5ad3029b31ac1f0db4d7949dd6974bf61ab2bdb6369fa6d1d778ff7'),
('modules/menu/menu.test', '71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),
('modules/node/node.module', '70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),
('modules/node/node.test', '35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),
('modules/php/php.test', 'd234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),
('modules/poll/poll.test', 'cc8486dc337471d13014954e1c1e4e5ad4956e4a0cbd395adbd064f8e5849c72'),
('modules/search/search.extender.inc', '013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),
('modules/search/search.test', '84e3939f935d661ecc856549719dae35c6eb8825f4540454cf78774a87d5d85b'),
('modules/shortcut/shortcut.test', '0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),
('modules/statistics/statistics.test', '3fd921d3cc26f9363bba0d6f29efb96c49c88ca51e2e2376b6554afaff8ceeb5'),
('modules/system/system.archiver.inc', 'faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),
('modules/system/system.mail.inc', 'd31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),
('modules/system/system.queue.inc', 'a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),
('modules/system/system.tar.inc', 'd0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),
('modules/system/system.test', 'a5dfbfca1341597c5e79c1b53a7d779c78792f98b8d84f0675440ce40a54f348'),
('modules/system/system.updater.inc', '9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),
('modules/taxonomy/taxonomy.module', '9ab4bfec327be23de5833fcedf12b935fd8739851a53acf931422c293994998b'),
('modules/taxonomy/taxonomy.test', '5561c9de8ac6cc4bc77b7587248a798ab9ee603bbc130fe62c998e1e2b47af5d'),
('modules/tracker/tracker.test', '5669b4d8f6ea7f652a4dd47f31de6b68f2cbc087e30fedbf7db0df5bef1470c2'),
('modules/trigger/trigger.test', '589376e9ce183c4dcb6c8ef49fd8c0295247fd1cf49c5237d770bf73058ef725'),
('modules/update/update.test', '1ea3e22bd4d47afb8b2799057cdbdfbb57ce09013d9d5f2de7e61ef9c2ebc72d'),
('modules/user/user.module', '6c9427513c04d1c62220d31938e3414b6ae86e0af5e579ec38e6acbf256d9c9b'),
('modules/user/user.test', 'aa8aa5e3673e9f9a3a75d5465f433c9b43633f8fd05bc4f6055942162e65f42e'),
('sites/all/modules/addressfield/addressfield.migrate.inc', '1750da9b75d2f5b4f1303bc7592774e971080ba13d467e3d95265279d6261a4f'),
('sites/all/modules/addressfield/views/addressfield_views_handler_field_administrative_area.inc', '557ad6bbaeab17cc99820f08887169e1408e5fff8c17c44b66b5e56e5fd62db2'),
('sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc', 'e87fd32bd4ba5229040ab7020206774fec2717236d4a39c729362b5c7a55f03c'),
('sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc', '51956e153daca9f27e4c8bbecfa2398a4ef50391d2f5bcac258586a6d1dd1fb2'),
('sites/all/modules/addthis/addthis_displays/addthis_displays.field.inc', '9517d48cbdb582a50be5556bd61dca0de1166d649567b4524858a311689d183a'),
('sites/all/modules/addthis/classes/AddThis.php', 'c8f682dcfbbece800f10be547f9ad4a18fc46db0c012aabd85c115f0c3292e34'),
('sites/all/modules/addthis/classes/Services/AddThisScriptManager.php', 'b75bb450286c599fe4853fb3dfe84d3302e4a7d5cb647ba78b609b45495d2c1f'),
('sites/all/modules/addthis/classes/Util/AddThisJson.php', 'a8f7b6185328fccfb02623410f176c3d458dda504cdc98d71000c45b43d9d66a'),
('sites/all/modules/addthis/classes/Util/AddThisWidgetJsUrl.php', 'b38e11703b906282f174dc65ecbfceaf0020d0af270e9348e661afb2d648e59c'),
('sites/all/modules/addthis/tests/AddThisFunctionalityTestCase.test', '39caa929d2fa2dacfd18bceaf71e2e8225fb80f7ae53b34e741554149318abb9'),
('sites/all/modules/addthis/tests/AddThisJsTest.test', '9d0af38731179ec0d13b60ed69163fb6d9c48c27af054665834d7d621458c2de'),
('sites/all/modules/addthis/tests/AddThisPermissionsTestCase.test', '8a4919523aeb901ddfe600733a47ed384b0253016e0216ec26b869ad83389dd8'),
('sites/all/modules/addthis/tests/AddThisTestHelper.php', 'a56308f726f4dc8003d8fe1892beb32f40b35c9b6fc2dcacdb7f6521f462b34b'),
('sites/all/modules/add_func/modules/add_func_mcd/add_func_mcd.countdown.inc', '7f810bfedf1adc189c1994c3b208bf16b063bf7c81ae44550e2736ad3d53ebfa'),
('sites/all/modules/admin_menu/tests/admin_menu.test', '185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),
('sites/all/modules/block_class/block_class.test', 'ad3e6238a7a0c025d2cac75cfa089c90ce721a94241925db4484ceb6a04ec8a4'),
('sites/all/modules/cctags/cctags-page.tpl.php', '171be638e01de2af3ecd4ab6d3569401dde204465ecfbfdcd8212afc5ee6e08b'),
('sites/all/modules/cctags/cctags-term.tpl.php', '58ec189baf156d2f1c1c8ab70f2bacbd7b51f820a4f44343517307efdddc7f6a'),
('sites/all/modules/cctags/cctags-vocname.tpl.php', '2e6dd1f6016d6f8c9e14aeb4602f9823aae2658ba43f61e2fb8d15e796c3dfa1'),
('sites/all/modules/cctags/cctags.admin.inc', '7ce0e95b88f7f753e039a7f242097576275c9d71fef95ca9f688b813918bd36e'),
('sites/all/modules/cctags/cctags.install', 'c58ed8d7fe095bd282978e6adcd6a77e38d49b817f878013c93ba1fd6337d6fc'),
('sites/all/modules/cctags/cctags.page.inc', '49551e3e06cced6f9a0c06821843c5f7e20667873839593f0c64725dca157edf'),
('sites/all/modules/colorbox/views/colorbox_handler_field_colorbox.inc', 'e80e7393d5bd9720afce419efcadd4c20cb33072aca6820a7b1c2be4edba3884'),
('sites/all/modules/commerce/includes/commerce.controller.inc', '248037a84c99cddc817e8c1bb5a6b219b5a52ebad9194caee9e81228cbb756bc'),
('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_area_empty_text.inc', '0e6492974d7c4456f0fad1b8e5222aa24a55a12f35bb6c8069827450bb2da939'),
('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_add_to_cart_form.inc', '7f535730f3c0b47b95349a70f99704f0620eea7d839ad3501b0c469c113f8b67'),
('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_handler_field_edit_attributes.inc', '688e8399990d3e5853ba59d193047c03df2f4e76bdf3e1b6d7aaa28caf025cd5'),
('sites/all/modules/commerce/modules/cart/includes/views/handlers/commerce_cart_plugin_argument_default_current_cart_order_id.inc', 'b84cad387beb045be35f171f5e85a856644b9ac2bb7941191f3e9be77f88a710'),
('sites/all/modules/commerce/modules/cart/tests/commerce_cart.test', '258debbb7f1251924658b3d27d0f3a60dd9e6a18f114400b0186cf00475429a3'),
('sites/all/modules/commerce/modules/checkout/tests/commerce_checkout.test', '337b9fbf1afbe746e5e967c1531d3cab994bb0eeadd54e0cba4da0ff00aed1a3'),
('sites/all/modules/commerce/modules/customer/includes/commerce_customer_profile.controller.inc', '85bf83dabd007703d86c55e8d1f1a8fbee5d5b158a2864f622544d64ee69edcb'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_area_empty_text.inc', 'fed903be8479497e5a1310d94bb211af51c20274a3e285e2bb1817bfc11fbc3c'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile.inc', 'ebe35f7320b8dd6bd46c1aba843111af38c0aa9263c02b768daa66d720bd6070'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link.inc', '532d0b95202ac3f91dc501f87683dadb25e20d6461f3862582d5884b89484156'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_delete.inc', 'e16edf474e1f85f04104595847b96cc1ad9a9f639f71a7d5dc9888b8cdb67628'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_link_edit.inc', 'ccc7610e3c39af5c89525875efe48321144f9a1cb592f59be9adbf54b2b84166'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_field_customer_profile_type.inc', '29e0cd35a8bc418c386909733f5fd15a04bb21b74e75e497a1d54b06243ccf6b'),
('sites/all/modules/commerce/modules/customer/includes/views/handlers/commerce_customer_handler_filter_customer_profile_type.inc', '8f8c4cb4051b7fedb749329396c543fc7202f3cad391eda98cde6a41223812f7'),
('sites/all/modules/commerce/modules/customer/tests/commerce_customer_ui.test', '48750f3fbd5a6eab95801f7da1be67bcead71e26e8b3ba88d421edf775bbf5f7'),
('sites/all/modules/commerce/modules/line_item/includes/commerce_line_item.controller.inc', '86c6f46c78e400e3032cd404f7839a912f214de64b2ce71f6ec3116bcdd86ca2'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_area_line_item_summary.inc', 'd18bbd5a19ab3a259876ec5b8d0da8d2045e7b82e170ccb9ec201b5da7c58967'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_argument_line_item_line_item_id.inc', '81480b49818b241ce78cfb6c077cce289494c237c021664f190f1d8c9ba7800e'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_delete.inc', '68ef6e754dbaaae8229c744c100aafcaa9bf57f049d95a473530e6fabf73d8b9'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_edit_quantity.inc', 'f490ea63c696d411cbad657301f61763486618a3037748a2820e0504c4ec08de'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_title.inc', '3822e632c5ea542f71227060d76debdb9097ad369e74fa3a2e89d077f3a22e02'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_field_line_item_type.inc', 'cb2db3c3349cb740f5c77272a56cd6be31d54e36f3482af8ebc1278aa375141b'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_is_referenced.inc', 'ea396f7eb8991b6cd243ea9fc60c07e17e1eab6537595c68b1b3dbc8ced7293e'),
('sites/all/modules/commerce/modules/line_item/includes/views/handlers/commerce_line_item_handler_filter_line_item_type.inc', '659256427a611b407a22c9a2c2f3e8c78b467303ec95841a82c8afcc8c8a727a'),
('sites/all/modules/commerce/modules/order/includes/commerce_order.controller.inc', 'e7f2d8386171d1aa525838e6e2274df2adc155beca2fdab4841e8d32bef3679e'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_empty_text.inc', 'c9d0a4c48f04d2ab7e87d46f9dfb59bc92c618f8b39204dcce054091b52364c1'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_area_order_total.inc', 'aee446ec85e60d9270d957859295e72247a34c363cd9e21a70de0042bdf70f0d'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_argument_order_order_id.inc', 'cb6ac659e98422f86972b44565128fe6f0d365601443e7e36828a520222cf688'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order.inc', 'a977f8e47c334e07d31a4c0a18cd04e1e0f56f6821709f5e8e71eec995c38f02'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link.inc', '0d8b298a1b45541f0a7553ff5c7309046200b071a6f7f5596693541c7a719db3'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_delete.inc', 'caec98e1d1fe9bc1d9119991151f42f2fd673c0181779c80034cf15dc5faed6e'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_link_edit.inc', '691ffbd21c9519cb642a9e366b1a4bb1ebdace5f666559d833fb07ab5f079e21'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_mail.inc', 'f2be853810ce4f954043407ddc1be88aa001101ed9a5fa66aa42ad2c0c1dfff5'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_operations.inc', 'f2d6ec4603fda04b7fc05ec6ef4e53a3850fc7721664365b3b5e6cdc6b1e2d04'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_state.inc', 'bcbec60e2fb92fb75dae0bbbbe819e801840cbb3de63ef2a1f9535c725bc1623'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_status.inc', '4a25a59b07cfe43385f985cd616411f6c2ad29fa38527d9880f54a8fd559e016'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_field_order_type.inc', '71e9aa4c5dfcb42eff64f7b8a3232527fc006305e91b72756bb6e439d452153e'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_state.inc', 'a719a0fd34c099b3eec20c1e5a5ed72acc7119dc9162d3ab6ae90af39de0de9d'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_status.inc', '42504b8d7b5f17d02179d70079814c2fee3e40f747d0ff35de4c20186e0c3043'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_handler_filter_order_type.inc', 'd8436f1591e9fd62bb0aa1fcc3129fd01268fe0a3c7af3cd0a2342e4d3408636'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_plugin_argument_validate_user.inc', '743a72f40e414f7b1928142eb1a8042d4d2fa5281ec750922f2d9e6862882824'),
('sites/all/modules/commerce/modules/order/includes/views/handlers/commerce_order_ui_handler_area_view_order_form.inc', '4483d114736578f480359578047b526762a5c571c982ffdcfd6458c6acf8f662'),
('sites/all/modules/commerce/modules/order/tests/commerce_order.rules.test', '04ec760068e39ad13ab72a37cf3dc002c6328825a55f822aa7efa3218f2d60e4'),
('sites/all/modules/commerce/modules/order/tests/commerce_order.test', '904d356edfa8542d083c996e4c06ba7b6f55c62fc0daca26778056d8af1edf22'),
('sites/all/modules/commerce/modules/order/tests/commerce_order_ui.test', 'b185458945355a95cf3a057160cdc690aa80fa03821ed31f2ea9c11628c052c9'),
('sites/all/modules/commerce/modules/payment/commerce_payment.rules.inc', '0153ad66ca4781078f3ede987c5532f1a472fbe3dd2b6aa72410e888eeb95ee9'),
('sites/all/modules/commerce/modules/payment/includes/commerce_payment_transaction.controller.inc', 'b12a4a18fbc642b0e4081179fccde644d89d7679bf9dde7646e388f4bc8befe2'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_area_totals.inc', 'f0991a1b4083b5f702fca3f62a597022e49185dec9ad2b4d098af00d78c3c0ec'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_amount.inc', '569c5d4c24fe590e2e866d9b9a79645043396c3b431960ac993c1836dfd25ecf'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_balance.inc', 'de9aeb8e12a4659231ff676095ae819fc88aee4b238f54f3926999be7a539ef1'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_currency_code.inc', '6154926f646d9fe3172340d41a62672a0e26611da0872d42b4a82b6cb1486879'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_message.inc', '9855e47621475e512cd54baea47a376e5eb4e4b4e42c279f395c2c2f1aab2903'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_method.inc', 'f3601781c3f0ddc077f58668f405de3639e99315977fde4753e1f8996c6faf16'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link.inc', 'ef3c32f9836535e18a674bbbad030685a4b81ea08d34547a2055c04dba888090'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_link_delete.inc', 'eaaec1a608b819c4c9e42f3f3ac558a800347b1b732068f89513df5ed407d35e'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_payment_transaction_operations.inc', 'b8bde7f508f298e45800ab7b2b9c8e9cd9c52fdc61961ff7535bf7f997d3c120'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_field_status.inc', 'b746d6dbf127ff715b0e47b3d0c167745f1baad8057b878d4969ea24a016c171'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_currency_code.inc', 'f0bc3d1da8a2396aa06c01ebfb1d620066a173ffc3bb8565655201d0a1d3ba25'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_method.inc', 'ca86dba0891054cc2c172ee862341dbd92577187df28c6634c547f9114037199'),
('sites/all/modules/commerce/modules/payment/includes/views/handlers/commerce_payment_handler_filter_payment_transaction_status.inc', '1d7b8959c12c22c909930bff6e90ad5f55db95ed04b258d08f7ebc9d157760e9'),
('sites/all/modules/commerce/modules/payment/tests/commerce_payment.rules.test', '2fa338eca91d1e212657dd29f505a4fda3b1cb81663e278936befc243a3c18c1'),
('sites/all/modules/commerce/modules/payment/tests/commerce_payment_ui.test', '917aea18ebe2def8f90884ce07e63d06216a0687f2ef7e9de457080375366261'),
('sites/all/modules/commerce/modules/price/commerce_price.rules.inc', '16541b1d9da4f98443003289c228222d33754dfbc8dc07d719ae01c4f8c549ac'),
('sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_field_commerce_price.inc', 'e84d432bb7a02f22344a6a84527aa2d1ca70589a706aae84991a71df7c8b2a27'),
('sites/all/modules/commerce/modules/price/includes/views/handlers/commerce_price_handler_filter_commerce_price_amount.inc', '205b6df491c7c82e22c3f8cd29306994ab2115c7d99f2f24b4a76e4316be3f5f'),
('sites/all/modules/commerce/modules/product/includes/commerce_product.controller.inc', 'ebbd8db4485553c2b3ff3121082de7287156c2263b0a3e9f4d863ecadfa54168'),
('sites/all/modules/commerce/modules/product/includes/commerce_product.translation_handler.inc', 'd88c0e171b4ba03e024d975c4a4410305aa2675795782f37df5d7171a06a30f8'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_area_empty_text.inc', '3fc65f87f59bba6c1d5ef7c7969bb1d3a8c91d9d18cda8bb01cbcfd62bc20bdc'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_argument_product_id.inc', '651774675d1cb476411fc0bc44949d40bb4fca2760089de187363a5171ae4445'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product.inc', '24d037ac9a5ceb9170646770c62f030f5e55ca8b7c1272ad8c6b55539618a526'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link.inc', 'ee3a40bc879eebfba39543bf62cf34b8d408168b9399dd087bcd628f1d5f31ed'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_delete.inc', '4d4877469c84cdeb775b06ad09977efd91d745d6c161753d72bd155dda851529'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_link_edit.inc', '00c8d31f31ce028dbd1a527c7f4c13daae48d0636d30b741842c4dc3829f90e9'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_operations.inc', 'a58db505803442eec0efc59a4375fcc60314108aa0dc4b934bdfa11d7a9dd86b'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_field_product_type.inc', '8106f66874127a7c180a97478c5e63d92667543983010be0ce7d71c2c1f3c7ed'),
('sites/all/modules/commerce/modules/product/includes/views/handlers/commerce_product_handler_filter_product_type.inc', '1ea0f4a8efe1def76619e3d2e576e176330ee61b9eea86775150c646842bb754'),
('sites/all/modules/commerce/modules/product/tests/commerce_product.test', '0233a8db5a8ec35e8b5bcda18273cb8da152dcfbcb04ad8d88a3459d99e8c9cd'),
('sites/all/modules/commerce/modules/product/tests/commerce_product_ui.test', 'dbddff7a5281eeb93c89d1b89a484fcc05fac0dad7f9524942138638af52f645'),
('sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_is_product_display.inc', '4aa262c1b96313b4e1e2c53bc99f443e44c259f150cd7ba2e3687e0946d26ea1'),
('sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_node_type.inc', '8f247d3c2b181f650dbb4b76e44be33248b814c14e3cbf8ff36eab5cbd677d18'),
('sites/all/modules/commerce/modules/product_reference/includes/views/handlers/commerce_product_reference_handler_filter_product_line_item_type.inc', '6cde0d9ddbc01fdc70e69182417160e11a79ccb16e8718c1db95fffa9c5978d5'),
('sites/all/modules/commerce/modules/product_reference/tests/commerce_product_reference.test', 'a38ef2ec0c83ad4bd505dd9a9cec7d6395d22635720854ea30a4974bbe6ed78c'),
('sites/all/modules/commerce/modules/tax/tests/commerce_tax_ui.test', '1dafdb2b604b5e9126562d9ae0a5e7c602cbc7a9a274a9cac1e271cf7dcb8f5c'),
('sites/all/modules/commerce/tests/commerce_base.test', '01746a2e204743e170423af3e597e139ab7054fc40a3fd889ad3e3eed489990e'),
('sites/all/modules/commerce_coupon/classes/commerce_coupon.inc', '77a5953bb08b8c5bf9fc834d498a6c4997184fe215f15585f2c35ddf55de4241'),
('sites/all/modules/commerce_coupon/classes/commerce_coupon_type.inc', '7c4c4a0b0d0a338751f9cea4828904c86fb2010407c1e462cfc7094bde59dde1'),
('sites/all/modules/commerce_coupon/includes/commerce_coupon_ui.forms.inc', '4f3752ff0fc40079a45595bb4c3b1c1624c18ff2bafd440d400dd6a2c84e8007'),
('sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_coupon_granted_amount.inc', '84b304ad27a0a9d233f31c238c0b9ac5ec8884392b6c096e1e0b260b73996e74'),
('sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_coupon_operations.inc', '3b1812e988dedb3a92910d8b340b005eed431e0ef857b9a39acfc050770d759d'),
('sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_coupon_order_remove.inc', '820b0cbc4e493183545d4bf1c7e9e0dfebc8dc60e10fcfe9d41c03a63f011bcd'),
('sites/all/modules/commerce_coupon/includes/views/handlers/commerce_coupon_handler_field_times_used.inc', '0463b44199b2818684d7f80876d1df7826a41dddd4ed5cc9a0f4edc71083408b'),
('sites/all/modules/commerce_multicurrency/tests/commerce_multicurrency.test', 'ed55b5bfa53851e62285a1cffa85a18ff4e7878f14f95ba3a731661eedd37d42'),
('sites/all/modules/commerce_product_display_manager/commerce_pdm.admin.inc', '07f956a75d220fd4efc8aaa6b882a5bbec4d52e4f49cffa410cdb86ee850417a'),
('sites/all/modules/commerce_wishlist/commerce_wishlist.test', '1a5e348ebb65d4d5fa75f4da364733519b76cfc4d7dc15d140227c2353fb1126'),
('sites/all/modules/commerce_wishlist/includes/views/handlers/commerce_wishlist_handler_field_add_to_cart_form.inc', '68490649a28be21ec0ef9b13dfe65790c8ce0d86ffbcad51375cbc459f19d914'),
('sites/all/modules/commerce_wishlist/includes/views/handlers/commerce_wishlist_handler_field_remove.inc', 'be50da85c523f8df9213b998ab370c7305efa6af5bcf99f2007ad8d68edd5438'),
('sites/all/modules/ctools/includes/context.inc', '4cec11a71872eb916c4315c9f727a184d46758aa64bb950d86877a60b9007157'),
('sites/all/modules/ctools/includes/css-cache.inc', 'db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),
('sites/all/modules/ctools/includes/math-expr.inc', '601db581743dd22d67f7aaf228bd8d26298d72033fc675d02385a1fd6d31888f'),
('sites/all/modules/ctools/includes/stylizer.inc', '3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),
('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php', '2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),
('sites/all/modules/ctools/tests/css_cache.test', '0dbc038efedb1fa06d2617b7c72b3a45d6ee5b5b791dcb1134876f174a2a7733'),
('sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_ctools_context.inc', '451bc0ca2cbfdba11159e339de3890480e009de853412034b81d4afe7c102809'),
('sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_display_panel_pane.inc', '42725257f1ecd6093be2be28875ecf42ae8ec28e2d5a3f6c9f4aebf51a797e6b'),
('sites/all/modules/ctools/views_content/plugins/views/views_content_plugin_style_ctools_context.inc', '71a211a7602d33bd3a4adfdbbcd5f121bdfac8a2c47ec9f8cbaf74be6c83b05a'),
('sites/all/modules/date/date.migrate.inc', '47ffb48daf97c13ef154cf2ffff577018f02a7091b85dfb39e9c2c89e1da6a5d'),
('sites/all/modules/date/date_api/date_api.module', 'af2124c5727d839871309b31fe288fe3945d6ef67eb469ddcc02839be98860dc'),
('sites/all/modules/date/date_api/date_api_sql.inc', '5a484b487c13fd6094348e2011c19e72d6c6c9ceb0b0a4143ef5542cd1c495fa'),
('sites/all/modules/date/date_views/includes/date_views.views.inc', '7ddcf452b6da1c6e8d6e983674f1108b1d13a93d63948a5c7c9831e4e1c6ccee'),
('sites/all/modules/date/date_views/includes/date_views_argument_handler.inc', '8f4debf9b3db7698f2633c39b75aa252e40db5aba07a082468614773e2958e9a'),
('sites/all/modules/date/date_views/includes/date_views_argument_handler_simple.inc', '082dc7463949c86d32e637c2eb0d0568670ae7100c39ee8b4b52e96246487d28'),
('sites/all/modules/date/date_views/includes/date_views_filter_handler.inc', '936bbe570617d6b1d2878fe869c722c5826e6d913c48c1b1a842a5500c2ef5fd'),
('sites/all/modules/date/date_views/includes/date_views_filter_handler_simple.inc', '93f85798f6b2b962c90c5d2520beedc45fa443453cd206bba0db3d7e0a33d0bd'),
('sites/all/modules/date/date_views/includes/date_views_plugin_pager.inc', '43d496c6c834cd26d4b74ddd6291d5da959d402e60b360b37aa90126808a0a4d'),
('sites/all/modules/date/tests/date.test', '6cb38e9ed60bfdfa268051b47fcad699f1c8104accc7286abafbeddbbc9d143c'),
('sites/all/modules/date/tests/date_api.test', '280148ca742592a1e22f663fe4d810532b95d09975db0182347a0bbd6917f996'),
('sites/all/modules/date/tests/date_field.test', 'bae59aee63ed204e27909709e59eeae1a6192e5f7456de2ce2cce06c49732dc4'),
('sites/all/modules/date/tests/date_migrate.test', 'a43f448732d474c5136d89ff560b7e14c1ff5622f9c35a1998aa0570cd0c536c'),
('sites/all/modules/date/tests/date_timezone.test', '598ac52aa82f79fe90faa401c2c6dc7114295c0321800ea9a9b4058717d00409'),
('sites/all/modules/date/tests/date_validation.test', '2e4d27c29192c9d55eb27b985d7e9838702c4324d36ed6e3a85999e9f25ada99'),
('sites/all/modules/date/tests/date_views_pager.test', 'aceff66e11dd3ea418e9905b28384432f4fe7cf9746e711cf56add73e64336dd'),
('sites/all/modules/date/tests/date_views_popup.test', '0684ad4977093fd7338eb045f85ceda195e82f50bd33fecbf0dca00e42b0385e'),
('sites/all/modules/demo/database_mysql_dump.inc', '9a22ad998838998eda232db42d500ce5715ad683659d2b069c88103d5762f0e1'),
('sites/all/modules/demo/demo.admin.inc', '3f05554a8656015b2dff5109f76091fcc0709043c9516494d9a53994865f0ffd'),
('sites/all/modules/demo/demo.module', 'e7480187e2777fda9abaa861389f76043d677970df5619219018860f3f6b2ce3'),
('sites/all/modules/dismiss/dismiss.admin.inc', 'e3ab011fd55bddd0c7ab7f2f5cb5a981414198ef26c9b5f2ec72c84ecf707429'),
('sites/all/modules/dismiss/dismiss.module', '05bbd5afd5bc3712bbbea8274dc28465964c4d7b71bee5ed60bd5491e94789af'),
('sites/all/modules/email/email.migrate.inc', 'bf3859ca39a3e5570e4ac862858f066668caab33841d65bdfa229c8445e12d5a'),
('sites/all/modules/entity/entity.features.inc', '0117b5792e94ef56acac7ee7f292b4dd103397d0af0486e42dc0293af71169ff'),
('sites/all/modules/entity/entity.i18n.inc', '41e0e62af7e2774f62b162d597bb3244551c280296b692b29d039a2c243d7059'),
('sites/all/modules/entity/entity.info.inc', '8799080b9393c9560e64feae1276fb7d26fef4d92bb0edacc863ee3e7b67bf04'),
('sites/all/modules/entity/entity.rules.inc', '774199059d1b3ebe6d3fe7a49dbb1550df489055a3d066b5de54edda8dd7ba84'),
('sites/all/modules/entity/entity.test', 'df253128e41f152b45ef30b5674009c51cf4112450e5dad8e815f39ced280db5'),
('sites/all/modules/entity/entity_token.module', '0c1ad6fb6f8c430e47a81be6d08180883c5a1ee728ce8b5dd0775713b34fb862'),
('sites/all/modules/entity/entity_token.tokens.inc', '084edf8f860f3c9843e23cc2e06a9084dcb644ee6d99c21cdd7bd924138d518f'),
('sites/all/modules/entity/includes/entity.controller.inc', '342db185e6170b63c59a9b360a196eb322edb9a5b8c7819f66b0eae48ed13ebd'),
('sites/all/modules/entity/includes/entity.inc', '02c3c8b1d4b7230f875c4fae8e6ba3bd57431e01f312b32f3ed305a7be734774'),
('sites/all/modules/entity/includes/entity.ui.inc', 'e0d5af6794dc6369dfb7fa57ae20d585a4592f368fabc9bed8142830853968c1'),
('sites/all/modules/entity/includes/entity.wrapper.inc', '0db08cbb6b730035e3e9a483e6e5c06a744a73f19e4ca83936446b44f0c3d158'),
('sites/all/modules/entity/views/entity.views.inc', 'de657f42389ed6832df787e4b618d8d7117b60d145d34ce5dcf3a5b65db29df9'),
('sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc', '4ec395881109a71327ab8d7c5b5702bef30288ca66557e44e8539cc15a2135bb'),
('sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc', '7b7bb88e53861739b7279f705f0492fc83ce95f5b20d89339480f546422ebf25'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc', 'b28b8eee8761ba7a6af35d97ab7aaee28406e6c227271f9769818560626c5791'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc', 'b0f5be5b399de94934b24e84c8cf6053a043f6b00c60dcffa752daeafdd38778'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc', 'ed7bb64cb63b94a20c8cde98cfb053b5ea252804396cf61ac562faf1d850266b'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc', '4f255918a22fefebe9c7734f200751457a7ca4d3648e32a98511bb51968d7521'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc', '893121efbce2a7181e31147bade260c9cc657cbd33b0d254cb28b2650e57566d'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc', 'f14e2b063930e8820af381b4f5e83c7278440e7804ab88cfde865b6c94e7c0f6'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc', '27ef31b8ee7b9999930380d6a5fdb477772329c4ddbd5c70cc34bcdc7543ce56'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc', '5fb0a85d35d29944c699ceaf6efed5eda2df757009e44caba8ff2be397568b60'),
('sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc', '79ecaa3eb17dfdd0ca077351b75a2c0adf411ebc04720e7cc0e2397674225f24'),
('sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc', 'b69bc538d1e1e0f91f8485ca54c3b6e2be025caa47619734c467377cf89041b9'),
('sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc', '65300c793c4591d60ad908dc02cf3148fe4e899fa6ad218e875fd92d411374dc'),
('sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc', 'e489ca209c66b76228383864b8267067e7cf3a1e375d9a195339f89932fed71f'),
('sites/all/modules/entityreference/entityreference.migrate.inc', '617c6c49e6e0fa4d106cfb49b61a6994b5520934ac3b64a8400a9d969eab7c59'),
('sites/all/modules/entityreference/plugins/behavior/abstract.inc', 'a7959ddece2ce3490f92d916162e07aed313e28ca299ca0375bad633b42d93e3'),
('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php', '92fa0cf46ecdf6200659646e6666c562ea506c40efa41a8edd4758dc0c551b92'),
('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php', 'f6805f62bbd376d98676706602aeb1c4d16e645acb429d31032bc3fb37d850d3'),
('sites/all/modules/entityreference/plugins/selection/abstract.inc', '7ecf94f5dc3456e4a5c87117d19deb98c368617fb07d610505b1dfa351f14a0b'),
('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php', 'e9a8a3c693ed24218d00c10c445cdb21daed10a26e6b55e5c9d6a8c616cfd871'),
('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php', 'b1878655779d07b8210ab81c3dd9aae931250f328b044114045a4780a84a0ed7'),
('sites/all/modules/entityreference/plugins/selection/views.inc', '7bbe8900b6b71c2d41e370deaccca869884d0fe9ca81772d7d5bca5f58ec1cd8'),
('sites/all/modules/entityreference/tests/entityreference.admin.test', 'bcd6516be3099ae87a4c3d41add08edd17eafb4244db8442c5dc15f19ebde7ae'),
('sites/all/modules/entityreference/tests/entityreference.feeds.test', '320c7480b1758e4d80e91c0a6ea3d43b6b35d1adfe00b6155b61ef786510bb7c'),
('sites/all/modules/entityreference/tests/entityreference.handlers.test', '2fa170925ac5303c519378f1763e918cc2f111205220d90998b547a08db90d8c'),
('sites/all/modules/entityreference/tests/entityreference.taxonomy.test', '8e4f7d9ae621df0f587b6fcbf139adea2a35c69305ef018ced88447a41164c5f'),
('sites/all/modules/entityreference/views/entityreference_plugin_display.inc', '9216a065ea4fdb2daacb1280e5c9549e3400b8553b5293534cf65a0d703ab189'),
('sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc', '7f5a58c099c2df6fd1c3ae285197a4648841d44fa107bcb2064bc1edf435ea8b'),
('sites/all/modules/entityreference/views/entityreference_plugin_style.inc', 'ad9a7ea5a37c2d9658c2b1d19ade3011c27ed5d9959423ebf7a390372507e6b0'),
('sites/all/modules/entity_view_mode/entity_view_mode.test', '00da4cb2b51d716183588b3e249dfa34ec37281082569a55303159029df96e90'),
('sites/all/modules/field_group/tests/field_group.display.test', '68b48634e0311fb4a804d39d8c03acc3de868719df0f4cca495c81e9de4e2035'),
('sites/all/modules/field_group/tests/field_group.ui.test', '17486a055b85febf5cc55cdb638bf104ef3acab75b76735763650217dd5ab9d4'),
('sites/all/modules/fivestar/fivestar.migrate.inc', '6dab73e8b4a037abfdb38e80fe2d86d1dd6e2ee1f7ee152acf876105d8e135b1'),
('sites/all/modules/fivestar/test/fivestar.base.test', '673858a7652d27ab2ba950e4448716c667187cd33186a51f02e200aad5528af2'),
('sites/all/modules/fivestar/test/fivestar.field.test', '0c15a08ee59b4a74d86491c10c3924adbad0f391fc4e81715f7ff79f3115e4ff'),
('sites/all/modules/flexslider/flexslider.test', '377205ce1adf7f8235881d5e3a9e465fc9157e1d1dd2cc83da924da82b93086a'),
('sites/all/modules/flexslider/flexslider_views/flexslider_views.module', 'bfb2794b3c8711c84db6f31c60e87314c26b5489903cedb92b9d632812f05496'),
('sites/all/modules/flexslider/flexslider_views/flexslider_views.views.inc', '6bba7b25386477b60098a754e67f26e93cf9256ef9b85d1f1801adb130b82c73'),
('sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc', 'a4986b2603f1a0752766d4d327e7be9053cc8809bebd0221578778df4f9f5796'),
('sites/all/modules/flexslider/theme/flexslider.theme.inc', 'd8045c74c4d3e7daa9b0864e14a571d6aa36883f5ba80e065078b80cfb807a95'),
('sites/all/modules/flexslider_views_slideshow/flexslider_views_slideshow.module', '31077eaf46726edd3a776de0fc110a2c9a99978fb6bff0419e58b6f925e68179'),
('sites/all/modules/flexslider_views_slideshow/flexslider_views_slideshow.views_slideshow.inc', '9dd9bf7181f9a66b8df71a6c95cb206a29b41f0c8f12354e7b43cedd6e1612c4'),
('sites/all/modules/flexslider_views_slideshow/theme/flexslider_views_slideshow.theme.inc', '4f656c82757ca3a381273bfc9248925dbdaf9b26f6c1c1f1a0f603aed3c225a6'),
('sites/all/modules/instagram_block/instagram_block.lib.php', '1560e61738073dc65b1bf461c2c0ae19312b7d890736030ce3779cac510ebb27'),
('sites/all/modules/jquery_update/jquery_update.install', 'd377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),
('sites/all/modules/jquery_update/jquery_update.module', '5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),
('sites/all/modules/libraries/tests/LibrariesAdminWebTest.test', '933af00ee9ad342999e20c0a82440ab04933b5d7713ffe2e7371a9af15492bf5'),
('sites/all/modules/libraries/tests/LibrariesLoadWebTest.test', '4cfaf88ce29e72f8ecd52b02cc9f7bac2ea60a715530cd9ff4fea929dac161ee'),
('sites/all/modules/libraries/tests/LibrariesUnitTest.test', '08139d770447993484828d0a642b6a771314c74e392074e94c2b7dcebc10b093'),
('sites/all/modules/libraries/tests/LibrariesWebTestBase.test', '056dfdd67ac9d6a84ffbe0f507e165fd6f07a0c82c3c7efbc1874e870e85e83a'),
('sites/all/modules/link/link.migrate.inc', '0a17ff0daa79813174fff92e9db787e75e710fe757b6924eec193c66fe13f3df'),
('sites/all/modules/link/link.module', '39bc7a76730d855c17544d4a67ef6dbf3e018b74bc2f2b5d2431b6a370e1da3d'),
('sites/all/modules/link/tests/link.attribute.test', '92c76292e0b2f74ef21d6bca563cf5d47d0331d72bacc454a550c6ace51697cc'),
('sites/all/modules/link/tests/link.crud.test', 'de19e2c5e8c6cb02f25d7051bdd1db77852379ac59ce8185c25b4bf927478f22'),
('sites/all/modules/link/tests/link.crud_browser.test', '13da1fde2aa1c45ec11c8b343004d116aed074789a5b46f8dd6b299781e9755d'),
('sites/all/modules/link/tests/link.entity_token.test', 'e3c414eb7bdc1a27b8408446ded03b77c52b3419f38f6a3d3ada68effda4b616'),
('sites/all/modules/link/tests/link.test', 'fe5d8cd577fbfc07929e7216e115530a28777ace9b7135fbc853a3a78d550456'),
('sites/all/modules/link/tests/link.token.test', '74d2a9888005d08fba8c6d3720592a4d9dffa5d30a25fee1714ce89fa0688041'),
('sites/all/modules/link/tests/link.validate.test', 'ff8a018f4ecf621e8f5f0fdec7c8d505305778c615ef17a84c7542bee0e29c47'),
('sites/all/modules/link/views/link_views_handler_argument_target.inc', 'd77c23c6b085382c63e7dbce3d95afc9756517edcdc4cd455892d8333520d4c9'),
('sites/all/modules/link/views/link_views_handler_filter_protocol.inc', 'e10a0d2de73bfa9a56fadbac023c6ac16022ced40c0444ab6ffed1b5d7ea7358'),
('sites/all/modules/media/file_entity/file_entity.field.inc', 'b8828e089a7f8a6fc9d1aa13ed0e0b23d45f98c028b58708e36476ca43f73237'),
('sites/all/modules/media/includes/MediaReadOnlyStreamWrapper.inc', 'b7fd1711e3b345556b28392308f258358dd7e0c5a2cde296cf89c65786dd560d'),
('sites/all/modules/media/modules/media_internet/includes/MediaInternetBaseHandler.inc', '335e89b4a5bab36fd516b3dd85699e6dbde80dddce0440606cb96ed110e45ae1'),
('sites/all/modules/media/modules/media_internet/includes/MediaInternetFileHandler.inc', 'b736b75be4afc1e5ec1c9343b3f1bc8f04989feef40f1f9c53ece45d1f86b9af'),
('sites/all/modules/media/modules/media_internet/includes/MediaInternetNoHandlerException.inc', '965083eebd48ea77d27027e11fdeb473f06b2e96e9b92565c7f7ef3b2a7ccbee'),
('sites/all/modules/media/modules/media_internet/includes/MediaInternetValidationException.inc', 'fd563c33c456c0c8bcf67adcc964ab7c73f80b85e50cb2f1c56675ffd2c3d697'),
('sites/all/modules/media/test/media.entity.test', '08a74e926fe3b76270e90ecddd21f7f9c378fac9cb79d2540a5ebeae35b9f251'),
('sites/all/modules/media/test/media.file.usage.test', '1229cca1fd5ca2d2128838fff817859533b0067f5d9cfe041705b5159ce705e3'),
('sites/all/modules/media/test/media.types.test', '4d6266505a3d09ab19b8e299a1b867dca887ca617b8cc5102a4a0b4f95960bc2'),
('sites/all/modules/media_vimeo/includes/MediaInternetVimeoHandler.inc', 'bf701e20ddbc84022228021244fe05a6d7a0a63c201845a060608e91aa27b9e5'),
('sites/all/modules/media_vimeo/includes/MediaVimeoStreamWrapper.inc', 'b2bbd380ae54cca091bedd87c31a7a94a561e50f3e4676979a3031444270652e'),
('sites/all/modules/media_youtube/includes/MediaInternetYouTubeHandler.inc', 'db647625a93e5b53e6179660994f7ffc5ae49810f97691f2991a5b4fc2eef283'),
('sites/all/modules/media_youtube/includes/MediaYouTubeStreamWrapper.inc', '79a5836a5146af3afc221b038845325cd515fceae166fed13b745bca990f1e94'),
('sites/all/modules/module_filter/css/module_filter.css', '2813d8a7a9cca73ac2e7a5e3979d6e913f78cc36dbfe5e21c412eeb9a8fe97fc'),
('sites/all/modules/module_filter/css/module_filter_tab.css', '4e505f0aa9e9ba6306f0c1fe900ec5efcdd6de983748e4eee9491ebb03d85c63'),
('sites/all/modules/module_filter/js/module_filter.js', '4bb9003d81e4ad063abb22e6820fd35072bb1bcb6a340c7d8034bbc6c5e81b95'),
('sites/all/modules/module_filter/js/module_filter_tab.js', 'bb0ce3b3bddc0255175b2e3d0700206b1c10b645c7382d22ff7b897fedc9e750'),
('sites/all/modules/module_filter/module_filter.admin.inc', '15784b28ac9e77ba6e299b1a60b5d3176dc6fa3ecaba50dc60a1e0c56f925192'),
('sites/all/modules/module_filter/module_filter.install', '46a1159d2f88bb2db41a8c4c1378c6385d02d0aa689cc2940ecd4924d508c9f5'),
('sites/all/modules/module_filter/module_filter.module', '31d1273dbf8896a75abaf22a851b20f3653defacac9432ef5d430dc520998560'),
('sites/all/modules/module_filter/module_filter.theme.inc', '2f052942faf0585ee84dc90cf88152450a7a0cc09b958dd59526970d363ffe3a'),
('sites/all/modules/panels/includes/common.inc', '2aeff1db8ecce443ffe197732fe8203d79efb4c93a39bd7dbe043700a6cb8782'),
('sites/all/modules/panels/includes/legacy.inc', 'dc65c1a82f4a063f9cbebbd8a0ceb512a3b41a1ee2603ec8045034412a791aab'),
('sites/all/modules/panels/includes/plugins.inc', '62d3ffd40688baba6e6e2c7b945e3dcf5084285efe9590a5a864978f7a86249a'),
('sites/all/modules/panels/panels.module', 'c46e876985def5a2bcccee52061edee1e4cd6187292922dcd1bbdae51e78d6a9'),
('sites/all/modules/panels/panels_mini/plugins/export_ui/panels_mini_ui.class.php', 'f316e9ced4793382669274bf8519ff7848e1b8d834545286b16e0933c8f1ecf4'),
('sites/all/modules/panels/plugins/display_renderers/panels_renderer_editor.class.php', 'bad2ad292aef855babe5114be4be5285ddb78f6e2f62da225e1aa45e2c70ba40'),
('sites/all/modules/panels/plugins/display_renderers/panels_renderer_simple.class.php', '420aeca22872635ebd5ab3ce719dd8e1d7fef339271db5f20a0834b812084a6e'),
('sites/all/modules/panels/plugins/display_renderers/panels_renderer_standard.class.php', 'bc72d61b804536ed0873f849be2a13ca2eec9ccfc508391f71976a6ac4461f10'),
('sites/all/modules/panels/plugins/export_ui/panels_layouts_ui.class.php', '53dce95a6ce9985a374565102f745e2c2655424fa29cb666432d596a71e82696'),
('sites/all/modules/panels/plugins/views/panels_views_plugin_row_fields.inc', 'd8bcbc2e4e992e7692b807e2a2f2d5c528b7633c054d268adbbc7586fed744c9'),
('sites/all/modules/plupload/plupload.module', '73380773a8af32abdc41e24fb9c9b12eae59bb8fae6abcf16d25491ba62a6d7e'),
('sites/all/modules/rules/includes/faces.inc', '72352c57a12e740b80e235ee5fe245b91c5bca9938f4751670acc8e719626bcb'),
('sites/all/modules/rules/includes/rules.core.inc', 'e7d13cae20c6610a6236b1cedd891efdaf97490e1924e3c26c73994ca421d199'),
('sites/all/modules/rules/includes/rules.event.inc', '286bb8005acf30a6f4fdb23ff75843f70a82a99ac3e225c31290aad10e2a50ae'),
('sites/all/modules/rules/includes/rules.plugins.inc', 'd760fa99514c4acdc6e7abf6d820a979615304ed677eb291955356115dcbe44c');
INSERT INTO `registry_file` VALUES
('sites/all/modules/rules/includes/rules.processor.inc', '902d554987e019cfe9c8818a83a96db7e02c556efb4c63961ee9d091ee98c988'),
('sites/all/modules/rules/includes/rules.state.inc', '26cb9d0792e6313e0582816527eef3e1310a07c5e3065b2b26e3408dca500bf0'),
('sites/all/modules/rules/modules/node.eval.inc', '7873fe5eaa00b0f6b189bb6e4d43efe63d587009e05ae502c15076c63b931a6c'),
('sites/all/modules/rules/modules/php.eval.inc', '4d579f9d83912a1ff4e3e35b20a7792fb7e282d8d07c706e944ffbb6b20c42f6'),
('sites/all/modules/rules/modules/rules_core.eval.inc', 'edf268c4e9a24d700ef08ca5cf8addc93a437d30cb0129aeb7aa93e76f8f855e'),
('sites/all/modules/rules/modules/system.eval.inc', '1076decc24a4779c7a582b446b9147d65ddd03cec530ee62809c86e49c62f736'),
('sites/all/modules/rules/rules.features.inc', 'dc219fc6df253743cfe775503edffd6ba8b76fe9d8b549294242b0691cad0302'),
('sites/all/modules/rules/rules_admin/rules_admin.inc', '5bcd9e3059d4ee4dbcec6dd959bbc518a8c2d0dcadd506cd1c5c31aab2cda463'),
('sites/all/modules/rules/rules_admin/rules_admin.module', '38cd2e74c2d951d4a4d6025191cf4aa87be9ece9b2bf5b248ce0bfdfc62aa9cb'),
('sites/all/modules/rules/tests/rules.test', '61d6f9cfb2ff09eb595639a31dbd651de0606288d7b85d29089f564bc91ca516'),
('sites/all/modules/rules/ui/ui.controller.inc', 'c0d16bd7340a766225865d942dcdad23aead4275e3f18b326e23f42f2313f30b'),
('sites/all/modules/rules/ui/ui.core.inc', 'ba58ed06bf4c3471c5958c2072315e016ab563a74291b89666b868214b8b0725'),
('sites/all/modules/rules/ui/ui.data.inc', '4646714b3c18f527193308316313944a410f95c3cc849c8605d6dcf63ef035c1'),
('sites/all/modules/rules/ui/ui.plugins.inc', 'd290f1ab6933f0a9189c5197c471d422d04d315b137079863ef746ed4ef673c4'),
('sites/all/modules/semanticviews/semanticviews_plugin_row_fields.inc', 'c11358b33da45688d5efbbe47df878618f1782260cc31b1e1644add1b81928ef'),
('sites/all/modules/semanticviews/semanticviews_plugin_style_default.inc', 'e370e6493c3b6a748c0ef75506b1663a308356a3464fff6db6e4ce6931d3b1ee'),
('sites/all/modules/token/token.test', '79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),
('sites/all/modules/views/handlers/views_handler_area.inc', '95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),
('sites/all/modules/views/handlers/views_handler_area_messages.inc', 'de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),
('sites/all/modules/views/handlers/views_handler_area_result.inc', '836747c024cc153ec4516737da0c42a864eb708e0b77d2f8ba606411c57356a2'),
('sites/all/modules/views/handlers/views_handler_area_text.inc', '531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),
('sites/all/modules/views/handlers/views_handler_area_text_custom.inc', '35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),
('sites/all/modules/views/handlers/views_handler_area_view.inc', 'e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),
('sites/all/modules/views/handlers/views_handler_argument.inc', '1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),
('sites/all/modules/views/handlers/views_handler_argument_date.inc', '1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),
('sites/all/modules/views/handlers/views_handler_argument_formula.inc', '5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),
('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc', 'b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),
('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc', 'b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),
('sites/all/modules/views/handlers/views_handler_argument_null.inc', '26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),
('sites/all/modules/views/handlers/views_handler_argument_numeric.inc', 'ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),
('sites/all/modules/views/handlers/views_handler_argument_string.inc', 'f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),
('sites/all/modules/views/handlers/views_handler_field.inc', '3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),
('sites/all/modules/views/handlers/views_handler_field_boolean.inc', 'dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),
('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc', '2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),
('sites/all/modules/views/handlers/views_handler_field_counter.inc', '865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),
('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc', 'a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),
('sites/all/modules/views/handlers/views_handler_field_custom.inc', 'a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),
('sites/all/modules/views/handlers/views_handler_field_date.inc', '79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),
('sites/all/modules/views/handlers/views_handler_field_entity.inc', '909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),
('sites/all/modules/views/handlers/views_handler_field_links.inc', '331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),
('sites/all/modules/views/handlers/views_handler_field_machine_name.inc', 'df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),
('sites/all/modules/views/handlers/views_handler_field_markup.inc', 'a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),
('sites/all/modules/views/handlers/views_handler_field_math.inc', '08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),
('sites/all/modules/views/handlers/views_handler_field_numeric.inc', '1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),
('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc', '0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),
('sites/all/modules/views/handlers/views_handler_field_serialized.inc', 'ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),
('sites/all/modules/views/handlers/views_handler_field_time_interval.inc', '280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),
('sites/all/modules/views/handlers/views_handler_field_url.inc', '7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),
('sites/all/modules/views/handlers/views_handler_filter.inc', 'b21fbc12bf620db26d391ac0f9e12f5076bbd188c8086c593187365d70bb2861'),
('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc', 'f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),
('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc', '0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),
('sites/all/modules/views/handlers/views_handler_filter_combine.inc', '802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),
('sites/all/modules/views/handlers/views_handler_filter_date.inc', 'fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),
('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc', '02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),
('sites/all/modules/views/handlers/views_handler_filter_equality.inc', '2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),
('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc', 'e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),
('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc', '9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),
('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc', '8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),
('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc', 'b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),
('sites/all/modules/views/handlers/views_handler_filter_numeric.inc', '8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),
('sites/all/modules/views/handlers/views_handler_filter_string.inc', '140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),
('sites/all/modules/views/handlers/views_handler_relationship.inc', '4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),
('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc', '47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),
('sites/all/modules/views/handlers/views_handler_sort.inc', '06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),
('sites/all/modules/views/handlers/views_handler_sort_date.inc', 'd7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),
('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc', '4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),
('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc', 'ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),
('sites/all/modules/views/handlers/views_handler_sort_random.inc', '05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),
('sites/all/modules/views/includes/base.inc', '5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),
('sites/all/modules/views/includes/handlers.inc', '2f1a8ab8dad27856cf7fc14ef59314ded0722dfe06152bd8a8bd7caaea363518'),
('sites/all/modules/views/includes/plugins.inc', '11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),
('sites/all/modules/views/includes/view.inc', 'c11ed134250ed074b7ac2ed21d6ae28ba84ec663407dc4ceebcf15b078ce69ce'),
('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc', '97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),
('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc', 'c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),
('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc', '344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),
('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc', '252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),
('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc', '1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),
('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc', '2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),
('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc', '7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),
('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc', '591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),
('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc', 'bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),
('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc', '5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),
('sites/all/modules/views/modules/comment/views_handler_field_comment.inc', 'a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc', '1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc', '1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc', 'f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc', '905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc', '8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc', '8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc', '64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),
('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc', '1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),
('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc', '30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),
('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc', '82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),
('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc', 'facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),
('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc', '0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),
('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc', 'e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),
('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc', 'f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),
('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc', '9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),
('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc', '70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),
('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc', 'a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),
('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc', '9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),
('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc', 'fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),
('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc', '96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),
('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc', '82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),
('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc', 'ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),
('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc', 'eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),
('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc', '534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),
('sites/all/modules/views/modules/field/views_handler_field_field.inc', '94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),
('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc', '3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),
('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc', 'd33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),
('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc', '060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),
('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc', 'fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),
('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc', 'c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),
('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc', 'a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),
('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc', '5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),
('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc', '0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),
('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc', '3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),
('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc', 'a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),
('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc', '40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),
('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc', '3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),
('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc', '9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),
('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc', 'd7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),
('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc', 'b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),
('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc', 'd2c17e6ec3d221bdd0d1c060da4b0c85274c8ac5a0b624b1469b162694a8d0f5'),
('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc', '7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),
('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc', '11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),
('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc', '9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),
('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc', '675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),
('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc', '7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),
('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc', '7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),
('sites/all/modules/views/modules/node/views_handler_field_node.inc', '99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),
('sites/all/modules/views/modules/node/views_handler_field_node_link.inc', '26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),
('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc', '3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),
('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc', '28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),
('sites/all/modules/views/modules/node/views_handler_field_node_path.inc', 'f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),
('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc', '3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),
('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc', 'ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),
('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc', '0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),
('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc', '80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),
('sites/all/modules/views/modules/node/views_handler_field_node_type.inc', 'f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),
('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc', '1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),
('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc', '2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),
('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc', 'ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),
('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc', 'f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),
('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc', '6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),
('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc', '2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),
('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc', 'de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),
('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc', 'ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),
('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc', '7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),
('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc', 'f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),
('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc', '1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),
('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc', '713e1c83702ac2d0d7fe76374110cdfd657598a8f3b086ec2352f2de38101504'),
('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc', 'e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),
('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc', 'da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),
('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc', '758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),
('sites/all/modules/views/modules/search/views_handler_argument_search.inc', '0a96f3a3201091b95a0ed3763a98ed290cdda8f10ff89b58d432d0523bbe6f83'),
('sites/all/modules/views/modules/search/views_handler_field_search_score.inc', '711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),
('sites/all/modules/views/modules/search/views_handler_filter_search.inc', '5082e294639d5048e4167adcb9b2a43d0f1420e3c5c4284764fa9bc79e1f2bcc'),
('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc', '9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),
('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc', 'bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),
('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc', '7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),
('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc', 'a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),
('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc', 'b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),
('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc', 'e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),
('sites/all/modules/views/modules/system/views_handler_field_file.inc', '0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),
('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc', '768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),
('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc', 'bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),
('sites/all/modules/views/modules/system/views_handler_field_file_status.inc', 'bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),
('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc', '350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),
('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc', '9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),
('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc', 'd27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc', '8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc', '79a80284231b3bc5aab36833e8200853686784f880dc6b104552d61fc602f27c'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc', '5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc', 'ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc', 'd85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc', '888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),
('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc', 'bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),
('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc', 'b0dd5cfa87c44b95aefd819444e4985c1773350bcf9fe073a2ef5c82b680b833'),
('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc', '3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),
('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc', '29c5132ac98a2959405e44f9a83096b0dcfa30ed7fb4688453ca7e1fc779684b'),
('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc', '3216febeeb3ab73ae29b77cb97b1d787394dd8cccacc32e13ab223db4fc044e9'),
('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc', '0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),
('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc', '76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),
('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc', 'f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),
('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc', '2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),
('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc', '2ef7502b02b7ea435ac166274c0e7b8576ef76353fc196a26ab79e9057b6da56'),
('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc', 'fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),
('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc', 'd1a7aa7ebd9c698afcdcf75b2f0affa981124064ff787ebc716bfac3ee0f60af'),
('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc', '91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),
('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc', '5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),
('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc', '05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),
('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc', 'b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),
('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc', '27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),
('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc', '641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),
('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc', '0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),
('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc', '2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),
('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc', '9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),
('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc', '72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),
('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc', 'a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),
('sites/all/modules/views/modules/user/views_handler_field_user.inc', '1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),
('sites/all/modules/views/modules/user/views_handler_field_user_language.inc', '5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),
('sites/all/modules/views/modules/user/views_handler_field_user_link.inc', '5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),
('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc', 'b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),
('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc', '5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),
('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc', 'b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),
('sites/all/modules/views/modules/user/views_handler_field_user_name.inc', '5fd9a4d7843fee83cf529384a52d7ae69e40a9c8846e7f285e94f4bbbf8c7e29'),
('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc', 'ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),
('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc', '0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),
('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc', 'ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),
('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc', '7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),
('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc', '5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),
('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc', 'a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),
('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc', '3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),
('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc', '11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),
('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc', 'fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),
('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc', '40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),
('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc', '52548cca3f18d25b06cfce15ee00acea530b85bd22a10944d984b5a798c5969f'),
('sites/all/modules/views/plugins/export_ui/views_ui.class.php', '8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),
('sites/all/modules/views/plugins/views_plugin_access.inc', 'cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),
('sites/all/modules/views/plugins/views_plugin_access_none.inc', '8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),
('sites/all/modules/views/plugins/views_plugin_access_perm.inc', '1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),
('sites/all/modules/views/plugins/views_plugin_access_role.inc', '8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),
('sites/all/modules/views/plugins/views_plugin_argument_default.inc', '43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),
('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc', 'daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),
('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc', '7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),
('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc', '4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),
('sites/all/modules/views/plugins/views_plugin_argument_validate.inc', '2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),
('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc', 'c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),
('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc', '56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),
('sites/all/modules/views/plugins/views_plugin_cache.inc', 'b684e3ce1aeed33dd5e30f53527399a7a733d4cf1aae8acac9c6a2ca8b51b24b'),
('sites/all/modules/views/plugins/views_plugin_cache_none.inc', 'a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),
('sites/all/modules/views/plugins/views_plugin_cache_time.inc', '3a0a0f86f4f3d9a9d8b17accde4aa61150a627e3d782b96c6ab4d997c24fa94f'),
('sites/all/modules/views/plugins/views_plugin_display.inc', '89eebaf4d1ced12cd8bbfcd36cf2655a88a34b62b9c67750be73874fae2bc33f'),
('sites/all/modules/views/plugins/views_plugin_display_attachment.inc', '6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),
('sites/all/modules/views/plugins/views_plugin_display_block.inc', '0246e9010ff70d04c8bdf859eb4f8e7e8143c411d7b72f676cf00031dc8727a1'),
('sites/all/modules/views/plugins/views_plugin_display_default.inc', '91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),
('sites/all/modules/views/plugins/views_plugin_display_embed.inc', '5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),
('sites/all/modules/views/plugins/views_plugin_display_extender.inc', '75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),
('sites/all/modules/views/plugins/views_plugin_display_feed.inc', 'f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),
('sites/all/modules/views/plugins/views_plugin_display_page.inc', 'f7138a876ee88c50266d9fcb65f632d8d46d43d8152f760630cb11ae5e69afde'),
('sites/all/modules/views/plugins/views_plugin_exposed_form.inc', '0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),
('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc', 'c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),
('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc', '98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),
('sites/all/modules/views/plugins/views_plugin_localization.inc', 'd7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),
('sites/all/modules/views/plugins/views_plugin_localization_core.inc', 'f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),
('sites/all/modules/views/plugins/views_plugin_localization_none.inc', '4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),
('sites/all/modules/views/plugins/views_plugin_pager.inc', 'd7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),
('sites/all/modules/views/plugins/views_plugin_pager_full.inc', '60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),
('sites/all/modules/views/plugins/views_plugin_pager_mini.inc', '0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),
('sites/all/modules/views/plugins/views_plugin_pager_none.inc', '822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),
('sites/all/modules/views/plugins/views_plugin_pager_some.inc', 'bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),
('sites/all/modules/views/plugins/views_plugin_query.inc', '0594d1fd0c34b86c6b81741e134da2d385d6be47b667af6660dd1d268fb7fa95'),
('sites/all/modules/views/plugins/views_plugin_query_default.inc', 'cfb70855fde94bf257a9fef9f8cf34a37a3cc0e98196ee2c65edcd63aacedb7f'),
('sites/all/modules/views/plugins/views_plugin_row.inc', '3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),
('sites/all/modules/views/plugins/views_plugin_row_fields.inc', '875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),
('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc', '62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),
('sites/all/modules/views/plugins/views_plugin_style.inc', '015f7682a6535d0254e5b39edf22d95121eb41438d94a28c8659a2bc3a1ca237'),
('sites/all/modules/views/plugins/views_plugin_style_default.inc', 'bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),
('sites/all/modules/views/plugins/views_plugin_style_grid.inc', '35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),
('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc', '102fb3041a2f9a4ce9607a5bc2acc296ed625bee2fcbfa70354c1edd613066cd'),
('sites/all/modules/views/plugins/views_plugin_style_list.inc', '407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),
('sites/all/modules/views/plugins/views_plugin_style_mapping.inc', 'af4b75dd08f1597280a8deb6086259be4f10af50acace43ce2013170655f752c'),
('sites/all/modules/views/plugins/views_plugin_style_rss.inc', 'ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),
('sites/all/modules/views/plugins/views_plugin_style_summary.inc', '872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),
('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc', '2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),
('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc', 'c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),
('sites/all/modules/views/plugins/views_plugin_style_table.inc', '0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),
('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php', 'd8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),
('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php', '585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),
('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php', '5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),
('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php', '6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),
('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php', 'f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),
('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php', '87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),
('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php', 'f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),
('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test', 'b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),
('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test', '347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),
('sites/all/modules/views/tests/field/views_fieldapi.test', '53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),
('sites/all/modules/views/tests/handlers/views_handlers.test', 'f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),
('sites/all/modules/views/tests/handlers/views_handler_area_text.test', 'af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),
('sites/all/modules/views/tests/handlers/views_handler_argument_null.test', '1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),
('sites/all/modules/views/tests/handlers/views_handler_argument_string.test', '3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),
('sites/all/modules/views/tests/handlers/views_handler_field.test', 'af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),
('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test', 'd334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),
('sites/all/modules/views/tests/handlers/views_handler_field_counter.test', '75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),
('sites/all/modules/views/tests/handlers/views_handler_field_custom.test', '1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),
('sites/all/modules/views/tests/handlers/views_handler_field_date.test', '02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),
('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test', '606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),
('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test', '49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),
('sites/all/modules/views/tests/handlers/views_handler_field_math.test', '6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),
('sites/all/modules/views/tests/handlers/views_handler_field_url.test', 'b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),
('sites/all/modules/views/tests/handlers/views_handler_field_xss.test', 'f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),
('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test', '05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),
('sites/all/modules/views/tests/handlers/views_handler_filter_date.test', 'ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),
('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test', 'c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),
('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test', '89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),
('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test', '35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),
('sites/all/modules/views/tests/handlers/views_handler_filter_string.test', 'b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),
('sites/all/modules/views/tests/handlers/views_handler_sort.test', 'f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),
('sites/all/modules/views/tests/handlers/views_handler_sort_date.test', 'f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),
('sites/all/modules/views/tests/handlers/views_handler_sort_random.test', '4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),
('sites/all/modules/views/tests/node/views_node_revision_relations.test', '9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),
('sites/all/modules/views/tests/plugins/views_plugin_display.test', '4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),
('sites/all/modules/views/tests/styles/views_plugin_style.test', 'd38f553c625a1eee5527dcef0bd1087374555dc0643bc2329dec594dc8a75bf1'),
('sites/all/modules/views/tests/styles/views_plugin_style_base.test', '54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),
('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test', 'b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),
('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test', 'a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),
('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test', '033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),
('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test', '6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),
('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc', '619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),
('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc', '6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),
('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc', 'e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),
('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc', '0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),
('sites/all/modules/views/tests/user/views_handler_field_user_name.test', '69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),
('sites/all/modules/views/tests/user/views_user.test', 'fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),
('sites/all/modules/views/tests/user/views_user_argument_default.test', '6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),
('sites/all/modules/views/tests/user/views_user_argument_validate.test', 'c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),
('sites/all/modules/views/tests/views_access.test', 'f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),
('sites/all/modules/views/tests/views_analyze.test', '5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),
('sites/all/modules/views/tests/views_argument_default.test', '5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),
('sites/all/modules/views/tests/views_argument_validator.test', '31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),
('sites/all/modules/views/tests/views_basic.test', '655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),
('sites/all/modules/views/tests/views_cache.test', '4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),
('sites/all/modules/views/tests/views_exposed_form.test', '2b2b16373af8ecade91d7c77bd8c2da8286a33bde554874f5d81399d201c3228'),
('sites/all/modules/views/tests/views_glossary.test', '118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),
('sites/all/modules/views/tests/views_groupby.test', 'f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),
('sites/all/modules/views/tests/views_handlers.test', 'a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),
('sites/all/modules/views/tests/views_module.test', '5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),
('sites/all/modules/views/tests/views_pager.test', '6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),
('sites/all/modules/views/tests/views_plugin_localization_test.inc', 'baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),
('sites/all/modules/views/tests/views_query.test', 'f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),
('sites/all/modules/views/tests/views_test.views_default.inc', '9664b95577fe2664410921bb751e1d99109e79b734f2c8c142d4083449282bd0'),
('sites/all/modules/views/tests/views_translatable.test', '6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),
('sites/all/modules/views/tests/views_ui.test', 'f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),
('sites/all/modules/views/tests/views_upgrade.test', 'c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),
('sites/all/modules/views/tests/views_view.test', 'a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),
('sites/all/modules/views/views_ui.module', '095267aa333282d53c70f7b01aa21229edbce45697f0ec490031ad4d388fea06'),
('sites/all/modules/views_accordion/views_accordion_style_plugin.inc', '32863455a2360a8d9557de59edca4ee607615bae663a8aa37cccacc3f4cf43a5'),
('sites/all/modules/views_bulk_operations/plugins/operation_types/action.class.php', 'de329cc0601cb107b315b9f415e292803ba929951ae7250cd712c75330a0404e'),
('sites/all/modules/views_bulk_operations/plugins/operation_types/base.class.php', 'bbbe7c4c19b2ab588517138c378cde40b395762a20626bf8359b5be8650f8681'),
('sites/all/modules/views_bulk_operations/plugins/operation_types/rules_component.class.php', '4213d0ae15822b69b848ca5421b5455c60510f06b7d8984472163d368bb6ac93'),
('sites/all/modules/views_bulk_operations/views/views_bulk_operations_handler_field_operations.inc', '876ac2c9749d76d19c73283eb76323fece8c7121431edb82c50986e546844e57'),
('sites/all/modules/views_isotope/views/ViewsIsotopeViewsPluginStyleIsotopeFilter.inc', '4907eae32bcb02390adec627f78ef6fb9b681f1e31704d893294c0e4018695df'),
('sites/all/modules/views_isotope/views/ViewsIsotopeViewsPluginStyleIsotopeGrid.inc', '8a6e57abdc707a69c034b2fd244e710b88b6e5b49451cf9faa304de62a00c7a7'),
('sites/all/modules/views_isotope/views/ViewsIsotopeViewsPluginStyleIsotopeSorter.inc', '3eed01145173401bf3679c211b1398308ebecde66734a601dc96457d03e1751f'),
('sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc', '3cbed9cfdc7994fccb3f9882246e6faf282518b84a7248c8d93a55f97585e8f4'),
('sites/all/modules/views_slideshow/views_slideshow.module', '106f6cd97700ae75adabe1a2ba1ae1e1f4bda1d60e1e56406392cb7358605667'),
('sites/all/modules/views_slideshow/views_slideshow.views.inc', '95958d4aba955044f00330dd59f35b6759e7057ced744429bfb45732e4ce094c'),
('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc', '3df328b32c9d209cca54e3d8136e5c0f37b1619d0bcb600ca5568a85bd7da20b'),
('sites/all/modules/views_ui_tabs/theme/views_ui_tabs.theme.inc', '4c7bfbff997e36c08cde96201a776e11596237b367e7a93e092cfedde178e4f1'),
('sites/all/modules/views_ui_tabs/views_ui_tabs.module', '1da39c6bf5e2f05efbbf6aee24f170f3d778284948bdd4779a9384e7f0ebeaaf'),
('sites/all/modules/views_ui_tabs/views_ui_tabs.views.inc', 'aa527dcc9ec7df7a6bcbea0e78d9b12341e4a212318b57b61f9e2a7e1e8d649d');
INSERT INTO `registry_file` VALUES
('sites/all/modules/views_ui_tabs/views_ui_tabs_plugin_style_tabs.inc', 'a10a23185561bc24510e1152bb9279b0a6302d699f34e4254c896331e3a161cd'),
('sites/all/modules/vote_up_down/vud_field/vud_field.install', '5c1ae034c92c7f97a66b86f8d736378b38668acb3289eddd123f95139912e97f'),
('sites/all/modules/vote_up_down/vud_field/vud_field.module', '31eb8749a47c9798d69658cde3dc0f6de3fdcf0560248ff42e0e13ff0142aa5e'),
('sites/all/modules/votingapi/tests/votingapi.test', 'dd54282d34cff2a3a01f9ffbde51b367e5136e4d97d67b7255fb2fbccfe9933a'),
('sites/all/modules/votingapi/views/votingapi_views_handler_field_value.inc', '878d014877b0fb86302c7557a598ef1a49923b6ee55557685b6deddf6336bb16'),
('sites/all/modules/votingapi/views/votingapi_views_handler_relationship.inc', 'effdeaa71d58295cac16a56aa4276c0a8b0aa95d2ab438deb26e30e4b3a0fba8'),
('sites/all/modules/votingapi/views/votingapi_views_handler_sort_nullable.inc', '892d69754cf1945b31c5429f9676efbcfc1dabbdadfef68dd7780339c505f565'),
('sites/all/modules/webform/includes/exporters/webform_exporter.inc', '5b681b19fc29764749622e59ed5c8093f6e16156cca7f537973be888e87a8e19'),
('sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc', 'aaa051b7c984e26ae39a08bdfb9e1bc27a1f60d30bb83315bb2dc74fc5b03b87'),
('sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc', 'fe301ec8cba10b2e5ecdfed30c386fef1dbb1a33db21a19fa686533775b72223'),
('sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc', 'b3407ce58fb72c05d723ab699440f687db6344d4a8756eca7333deaa9c6f2df3'),
('sites/all/modules/webform/includes/webform.webformconditionals.inc', '06febc8da5a668735380f215375f73657a384411dddb1dc6a044bffc1c705577'),
('sites/all/modules/webform/tests/components.test', '3c3933763024a02ecf00197e48792a4cb3d7d38ee433a687d862403d1b33597b'),
('sites/all/modules/webform/tests/conditionals.test', 'cd6c0093d349a9b5e9e2c88b67f61ca037fab12f9d6baaf556d2592d460484b4'),
('sites/all/modules/webform/tests/permissions.test', 'a3a44e69e38d99f100bc8e38ecac9c732e7f6559d08760f17d090f83b3661b6b'),
('sites/all/modules/webform/tests/submission.test', '29b2d613653a21a3644e6401e4156827eaeb344e79b5c2140ed8e1751f6a00fa'),
('sites/all/modules/webform/tests/webform.test', 'a1f5ca21126eaefbd33bea6bbebd231798428fccf430f20f263d9f0aedcf0fd0'),
('sites/all/modules/webform/views/webform.views.inc', '10d205b4c10a77b1da972554898c2e452226973f57affee3f26dcf1620102161'),
('sites/all/modules/webform/views/webform_handler_area_result_pager.inc', '23b6f7013773cfed06c540748f7e2f0dc40602289bc97d73fe603ca9c87f0deb'),
('sites/all/modules/webform/views/webform_handler_field_form_body.inc', '60d708d683c67b553ecee37c7d74b00ee4b06253799e31befef9cb3ff703abb2'),
('sites/all/modules/webform/views/webform_handler_field_is_draft.inc', '1f1411981bc3e96ae4dccfb4c52a059b2e6488818ad4649fe8074f7de2d324f6'),
('sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc', '15c6c4755b2ec87f71699399851a831176d515071ef356de4a64b75b76989e89'),
('sites/all/modules/webform/views/webform_handler_field_node_link_results.inc', '5320f9c4ffa4842d2efc31c6d563c083e0432c682f1eff706ade34fb8e54d630'),
('sites/all/modules/webform/views/webform_handler_field_submission_count.inc', '1ed985c65786a215a39ecb119ad26c7e78108ecb8f969ed902cc4618c5378232'),
('sites/all/modules/webform/views/webform_handler_field_submission_data.inc', '70d287d53cf06c2d4f49f9cdbc9c8855ad8c9a08c44523e45a465b5daa29d977'),
('sites/all/modules/webform/views/webform_handler_field_submission_link.inc', 'faaf698125ac99f18bdb8c4a7b9961e5ad06bdd157c7bbeaf8a8ad7d5be6aa60'),
('sites/all/modules/webform/views/webform_handler_field_webform_status.inc', 'c67f6a8dc4db5c165cb6109dc28c8b8ebe79d130ac208281274caac0df258ce4'),
('sites/all/modules/webform/views/webform_handler_filter_is_draft.inc', 'dfb94fba66085fd0c07b8012f6846228fabc46809b00028bb896d6a304cdfec8'),
('sites/all/modules/webform/views/webform_handler_filter_submission_data.inc', '74d41b7fc50055de6279fd1d4757752841018374116ca844466b72a6085f9792'),
('sites/all/modules/webform/views/webform_handler_filter_webform_status.inc', '4a6e3f21703f750b31e868e64fd1fc4b760c01b9a3ca98b250f34c29614fbc69'),
('sites/all/modules/webform/views/webform_handler_numeric_data.inc', 'ce2d03c6fd25c5022ca1441f3f6b69e7d6643d67c06e853c2968500e7a8bf215'),
('sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc', '10ba625ac9813ee2b7cb3b66b557ea8d60d32ae5bf4300b8bd6ee41be0303fbd'),
('sites/all/modules/webform/views/webform_plugin_row_submission_view.inc', '728907aaf814b5dc10a6d2c2c60880b160031536e81cff7071ffe04c570a7f60'),
('sites/all/modules/wysiwyg/tests/wysiwyg.test', '351bd7ed3eb279052b92cd900ceaedb3baa97ab502eed61a390efed83d8cefd8'),
('sites/all/modules/wysiwyg/wysiwyg.module', '23bbe445f32ba4e8d58c555b11e3275bf954380fea6c4e2a02bbc46fcc41daf8');
/*!40000 ALTER TABLE registry_file ENABLE KEYS */;

--
-- Table structure for table 'role'
--

CREATE TABLE IF NOT EXISTS `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.' COMMENT='Stores user roles.';

--
-- Dumping data for table 'role'
--

/*!40000 ALTER TABLE role DISABLE KEYS */;
INSERT INTO `role` VALUES
('3', 'administrator', '2'),
('1', 'anonymous user', '0'),
('2', 'authenticated user', '1');
/*!40000 ALTER TABLE role ENABLE KEYS */;

--
-- Table structure for table 'role_permission'
--

CREATE TABLE IF NOT EXISTS `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.' COMMENT='Stores the permissions assigned to user roles.';

--
-- Dumping data for table 'role_permission'
--

/*!40000 ALTER TABLE role_permission DISABLE KEYS */;
INSERT INTO `role_permission` VALUES
('1', 'access comments', 'comment'),
('1', 'access content', 'node'),
('1', 'access news feeds', 'aggregator'),
('1', 'access site-wide contact form', 'contact'),
('1', 'access user contact forms', 'contact'),
('1', 'access user profiles', 'user'),
('1', 'create testimonial content', 'node'),
('1', 'search content', 'search'),
('1', 'translate interface', 'locale'),
('1', 'use advanced search', 'search'),
('1', 'use vote up/down', 'vud'),
('1', 'view faq page', 'faq'),
('1', 'view files', 'file_entity'),
('1', 'view media', 'media'),
('1', 'view post access counter', 'statistics'),
('2', 'access comments', 'comment'),
('2', 'access content', 'node'),
('2', 'access media browser', 'media'),
('2', 'access news feeds', 'aggregator'),
('2', 'access site-wide contact form', 'contact'),
('2', 'access user contact forms', 'contact'),
('2', 'access user profiles', 'user'),
('2', 'add media from remote sources', 'media_internet'),
('2', 'administer blocks', 'block'),
('2', 'create article content', 'node'),
('2', 'create blog content', 'node'),
('2', 'create forum content', 'node'),
('2', 'create poll content', 'node'),
('2', 'create testimonial content', 'node'),
('2', 'create url aliases', 'path'),
('2', 'edit own audio files', 'file_entity'),
('2', 'edit own blog content', 'node'),
('2', 'edit own document files', 'file_entity'),
('2', 'edit own follow links', 'tm_follow'),
('2', 'edit own forum content', 'node'),
('2', 'edit own image files', 'file_entity'),
('2', 'edit own poll content', 'node'),
('2', 'edit own video files', 'file_entity'),
('2', 'flag like', 'flag'),
('2', 'import media', 'media'),
('2', 'manage own wish list', 'commerce_wishlist'),
('2', 'post comments', 'comment'),
('2', 'search content', 'search'),
('2', 'translate interface', 'locale'),
('2', 'unflag like', 'flag'),
('2', 'use advanced search', 'search'),
('2', 'use text format filtered_html', 'filter'),
('2', 'use text format gmap', 'filter'),
('2', 'use vote up/down', 'vud'),
('2', 'view faq page', 'faq'),
('2', 'view files', 'file_entity'),
('2', 'view media', 'media'),
('2', 'view own files', 'file_entity'),
('2', 'view own private files', 'file_entity'),
('2', 'view own unpublished content', 'node'),
('2', 'view post access counter', 'statistics'),
('2', 'vote on polls', 'poll'),
('3', 'access administration menu', 'admin_menu'),
('3', 'access administration pages', 'system'),
('3', 'access all views', 'views'),
('3', 'access all webform results', 'webform'),
('3', 'access back_to_top settings', 'back_to_top'),
('3', 'access checkout', 'commerce_checkout'),
('3', 'access comments', 'comment'),
('3', 'access content', 'node'),
('3', 'access content overview', 'node'),
('3', 'access contextual links', 'contextual'),
('3', 'access dashboard', 'dashboard'),
('3', 'access devel information', 'devel'),
('3', 'access fblikebutton', 'fblikebutton'),
('3', 'access getlocations', 'getlocations'),
('3', 'access media browser', 'media'),
('3', 'access news feeds', 'aggregator'),
('3', 'access overlay', 'overlay'),
('3', 'access own authorizations', 'oauth_common'),
('3', 'access own consumers', 'oauth_common'),
('3', 'access own webform results', 'webform'),
('3', 'access own webform submissions', 'webform'),
('3', 'access printer-friendly version', 'book'),
('3', 'access product display manager', 'commerce_pdm'),
('3', 'access quotes', 'quotes'),
('3', 'access rules debug', 'rules'),
('3', 'access site in maintenance mode', 'system'),
('3', 'access site map', 'site_map'),
('3', 'access site reports', 'system'),
('3', 'access site-wide contact form', 'contact'),
('3', 'access statistics', 'statistics'),
('3', 'access toolbar', 'toolbar'),
('3', 'access user contact forms', 'contact'),
('3', 'access user getlocations', 'getlocations'),
('3', 'access user profiles', 'user'),
('3', 'access vote up/down statistics', 'vud'),
('3', 'add authenticated twitter accounts', 'twitter'),
('3', 'add content to books', 'book'),
('3', 'add media from remote sources', 'media_internet'),
('3', 'add twitter accounts', 'twitter'),
('3', 'administer actions', 'system'),
('3', 'administer addthis', 'addthis'),
('3', 'administer addtoany', 'addtoany'),
('3', 'administer advanced addthis', 'addthis'),
('3', 'administer advanced forum', 'advanced_forum'),
('3', 'administer advanced pane settings', 'panels'),
('3', 'administer block classes', 'block_class'),
('3', 'administer blocklazyloader', 'blocklazyloader'),
('3', 'administer blocks', 'block'),
('3', 'administer book outlines', 'book'),
('3', 'administer checkout', 'commerce_checkout'),
('3', 'administer comments', 'comment'),
('3', 'administer commerce_coupon entities', 'commerce_coupon'),
('3', 'administer commerce_customer_profile entities', 'commerce_customer'),
('3', 'administer commerce_order entities', 'commerce_order'),
('3', 'administer commerce_product entities', 'commerce_product'),
('3', 'administer commerce_stock settings', 'commerce_stock'),
('3', 'administer consumers', 'oauth_common'),
('3', 'administer contact forms', 'contact'),
('3', 'administer content types', 'node'),
('3', 'administer coupon settings', 'commerce_coupon'),
('3', 'administer coupon types', 'commerce_coupon'),
('3', 'administer cumulus', 'cumulus'),
('3', 'administer custom breadcrumbs', 'custom_breadcrumbs'),
('3', 'administer customer profile types', 'commerce_customer'),
('3', 'administer demo settings', 'demo'),
('3', 'administer entity view modes', 'entity_view_mode'),
('3', 'administer faq', 'faq'),
('3', 'administer faq order', 'faq'),
('3', 'administer fblikebutton', 'fblikebutton'),
('3', 'administer fblikebutton block', 'fblikebutton'),
('3', 'administer fieldgroups', 'field_group'),
('3', 'administer fields', 'field'),
('3', 'administer file types', 'file_entity'),
('3', 'administer files', 'file_entity'),
('3', 'administer filters', 'filter'),
('3', 'administer flags', 'flag'),
('3', 'administer flexslider', 'flexslider'),
('3', 'administer flickr', 'flickr'),
('3', 'administer flickr_bricks module', 'flickr_bricks'),
('3', 'administer follow', 'add_func_follow'),
('3', 'administer forums', 'forum'),
('3', 'administer image styles', 'image'),
('3', 'administer languages', 'locale'),
('3', 'administer lazyloader', 'lazyloader'),
('3', 'administer line item types', 'commerce_line_item'),
('3', 'administer line items', 'commerce_line_item'),
('3', 'administer media', 'media'),
('3', 'administer media browser', 'media'),
('3', 'administer menu', 'menu'),
('3', 'administer menu attributes', 'menu_attributes'),
('3', 'administer mini panels', 'panels_mini'),
('3', 'administer module filter', 'module_filter'),
('3', 'administer modules', 'system'),
('3', 'administer news feeds', 'aggregator'),
('3', 'administer nodes', 'node'),
('3', 'administer oauth', 'oauth_common'),
('3', 'administer page manager', 'page_manager'),
('3', 'administer pane access', 'panels'),
('3', 'administer panel-nodes', 'panels_node'),
('3', 'administer panels layouts', 'panels'),
('3', 'administer panels styles', 'panels'),
('3', 'administer payment methods', 'commerce_payment'),
('3', 'administer payments', 'commerce_payment'),
('3', 'administer permissions', 'user'),
('3', 'administer product pricing', 'commerce_product_pricing_ui'),
('3', 'administer product types', 'commerce_product'),
('3', 'administer quicktabs', 'quicktabs'),
('3', 'administer quotes', 'quotes'),
('3', 'administer rules', 'rules'),
('3', 'administer schema', 'schema'),
('3', 'administer search', 'search'),
('3', 'administer shortcuts', 'shortcut'),
('3', 'administer single page site', 'single_page_site'),
('3', 'administer site configuration', 'system'),
('3', 'administer software updates', 'system'),
('3', 'administer statistics', 'statistics'),
('3', 'administer styleswitcher', 'styleswitcher'),
('3', 'administer superfish', 'superfish'),
('3', 'administer taxes', 'commerce_tax_ui'),
('3', 'administer taxonomy', 'taxonomy'),
('3', 'administer tb_megamenu', 'tb_megamenu'),
('3', 'administer themes', 'system'),
('3', 'administer tipsy', 'tipsy'),
('3', 'administer tm lazyload', 'tm_lazyload'),
('3', 'administer tmmasonry', 'tm_masonry'),
('3', 'administer twitter', 'twitter'),
('3', 'administer twitter accounts', 'twitter'),
('3', 'administer unit tests', 'simpletest'),
('3', 'administer url aliases', 'path'),
('3', 'administer users', 'user'),
('3', 'administer views', 'views'),
('3', 'administer vote up/down', 'vud'),
('3', 'administer voting api', 'votingapi'),
('3', 'administer wish lists', 'commerce_wishlist'),
('3', 'block IP addresses', 'system'),
('3', 'bypass file access', 'file_entity'),
('3', 'bypass node access', 'node'),
('3', 'bypass rules access', 'rules'),
('3', 'cancel account', 'user'),
('3', 'cancel own vote', 'poll'),
('3', 'change follow link titles', 'add_func_follow'),
('3', 'change layouts in place editing', 'panels'),
('3', 'change own username', 'user'),
('3', 'configure order settings', 'commerce_order'),
('3', 'configure store', 'commerce'),
('3', 'configure wish lists', 'commerce_wishlist'),
('3', 'create article content', 'node'),
('3', 'create banner content', 'node'),
('3', 'create blog content', 'node'),
('3', 'create book content', 'node'),
('3', 'create commerce_coupon entities', 'commerce_coupon'),
('3', 'create commerce_customer_profile entities', 'commerce_customer'),
('3', 'create commerce_customer_profile entities of bundle billing', 'commerce_customer'),
('3', 'create commerce_order entities', 'commerce_order'),
('3', 'create commerce_order entities of bundle commerce_order', 'commerce_order'),
('3', 'create commerce_product entities', 'commerce_product'),
('3', 'create commerce_product entities of bundle product', 'commerce_product'),
('3', 'create employee content', 'node'),
('3', 'create faq', 'faq'),
('3', 'create faq content', 'node'),
('3', 'create files', 'file_entity'),
('3', 'create forum content', 'node'),
('3', 'create gmap macro', 'gmap_macro_builder'),
('3', 'create map content', 'node'),
('3', 'create mini panels', 'panels_mini'),
('3', 'create new books', 'book'),
('3', 'create page content', 'node'),
('3', 'create panel content', 'node'),
('3', 'create panel-nodes', 'panels_node'),
('3', 'create payments', 'commerce_payment'),
('3', 'create poll content', 'node'),
('3', 'create portfolio content', 'node'),
('3', 'create quotes', 'quotes'),
('3', 'create service content', 'node'),
('3', 'create slide content', 'node'),
('3', 'create testimonial content', 'node'),
('3', 'create url aliases', 'path'),
('3', 'create webform content', 'node'),
('3', 'customize shortcut links', 'shortcut'),
('3', 'delete all webform submissions', 'webform'),
('3', 'delete any article content', 'node'),
('3', 'delete any audio files', 'file_entity'),
('3', 'delete any banner content', 'node'),
('3', 'delete any blog content', 'node'),
('3', 'delete any book content', 'node'),
('3', 'delete any document files', 'file_entity'),
('3', 'delete any employee content', 'node'),
('3', 'delete any faq content', 'node'),
('3', 'delete any forum content', 'node'),
('3', 'delete any image files', 'file_entity'),
('3', 'delete any map content', 'node'),
('3', 'delete any page content', 'node'),
('3', 'delete any panel content', 'node'),
('3', 'delete any panel-nodes', 'panels_node'),
('3', 'delete any poll content', 'node'),
('3', 'delete any portfolio content', 'node'),
('3', 'delete any service content', 'node'),
('3', 'delete any slide content', 'node'),
('3', 'delete any testimonial content', 'node'),
('3', 'delete any video files', 'file_entity'),
('3', 'delete any webform content', 'node'),
('3', 'delete own article content', 'node'),
('3', 'delete own audio files', 'file_entity'),
('3', 'delete own banner content', 'node'),
('3', 'delete own blog content', 'node'),
('3', 'delete own book content', 'node'),
('3', 'delete own document files', 'file_entity'),
('3', 'delete own employee content', 'node'),
('3', 'delete own faq content', 'node'),
('3', 'delete own forum content', 'node'),
('3', 'delete own image files', 'file_entity'),
('3', 'delete own map content', 'node'),
('3', 'delete own page content', 'node'),
('3', 'delete own panel content', 'node'),
('3', 'delete own panel-nodes', 'panels_node'),
('3', 'delete own poll content', 'node'),
('3', 'delete own portfolio content', 'node'),
('3', 'delete own service content', 'node'),
('3', 'delete own slide content', 'node'),
('3', 'delete own testimonial content', 'node'),
('3', 'delete own video files', 'file_entity'),
('3', 'delete own webform content', 'node'),
('3', 'delete own webform submissions', 'webform'),
('3', 'delete payments', 'commerce_payment'),
('3', 'delete revisions', 'node'),
('3', 'delete terms in 1', 'taxonomy'),
('3', 'delete terms in 2', 'taxonomy'),
('3', 'delete terms in 3', 'taxonomy'),
('3', 'delete terms in 4', 'taxonomy'),
('3', 'delete terms in 5', 'taxonomy'),
('3', 'delete terms in 6', 'taxonomy'),
('3', 'display drupal links', 'admin_menu'),
('3', 'download any audio files', 'file_entity'),
('3', 'download any document files', 'file_entity'),
('3', 'download any image files', 'file_entity'),
('3', 'download any video files', 'file_entity'),
('3', 'download own audio files', 'file_entity'),
('3', 'download own document files', 'file_entity'),
('3', 'download own image files', 'file_entity'),
('3', 'download own video files', 'file_entity'),
('3', 'edit all webform submissions', 'webform'),
('3', 'edit any article content', 'node'),
('3', 'edit any audio files', 'file_entity'),
('3', 'edit any banner content', 'node'),
('3', 'edit any blog content', 'node'),
('3', 'edit any book content', 'node'),
('3', 'edit any commerce_coupon entity', 'commerce_coupon'),
('3', 'edit any commerce_customer_profile entity', 'commerce_customer'),
('3', 'edit any commerce_customer_profile entity of bundle billing', 'commerce_customer'),
('3', 'edit any commerce_order entity', 'commerce_order'),
('3', 'edit any commerce_order entity of bundle commerce_order', 'commerce_order'),
('3', 'edit any commerce_product entity', 'commerce_product'),
('3', 'edit any commerce_product entity of bundle product', 'commerce_product'),
('3', 'edit any document files', 'file_entity'),
('3', 'edit any employee content', 'node'),
('3', 'edit any faq content', 'node'),
('3', 'edit any forum content', 'node'),
('3', 'edit any image files', 'file_entity'),
('3', 'edit any map content', 'node'),
('3', 'edit any page content', 'node'),
('3', 'edit any panel content', 'node'),
('3', 'edit any panel-nodes', 'panels_node'),
('3', 'edit any poll content', 'node'),
('3', 'edit any portfolio content', 'node'),
('3', 'edit any service content', 'node'),
('3', 'edit any slide content', 'node'),
('3', 'edit any testimonial content', 'node'),
('3', 'edit any user follow links', 'add_func_follow'),
('3', 'edit any video files', 'file_entity'),
('3', 'edit any webform content', 'node'),
('3', 'edit faq', 'faq'),
('3', 'edit follow links', 'add_func_follow'),
('3', 'edit media', 'media'),
('3', 'edit own article content', 'node'),
('3', 'edit own banner content', 'node'),
('3', 'edit own blog content', 'node'),
('3', 'edit own book content', 'node'),
('3', 'edit own comments', 'comment'),
('3', 'edit own commerce_coupon entities', 'commerce_coupon'),
('3', 'edit own commerce_customer_profile entities', 'commerce_customer'),
('3', 'edit own commerce_customer_profile entities of bundle billing', 'commerce_customer'),
('3', 'edit own commerce_order entities', 'commerce_order'),
('3', 'edit own commerce_order entities of bundle commerce_order', 'commerce_order'),
('3', 'edit own commerce_product entities', 'commerce_product'),
('3', 'edit own commerce_product entities of bundle product', 'commerce_product'),
('3', 'edit own employee content', 'node'),
('3', 'edit own faq', 'faq'),
('3', 'edit own faq content', 'node'),
('3', 'edit own follow links', 'add_func_follow'),
('3', 'edit own forum content', 'node'),
('3', 'edit own map content', 'node'),
('3', 'edit own page content', 'node'),
('3', 'edit own panel content', 'node'),
('3', 'edit own panel-nodes', 'panels_node'),
('3', 'edit own poll content', 'node'),
('3', 'edit own portfolio content', 'node'),
('3', 'edit own quotes', 'quotes'),
('3', 'edit own service content', 'node'),
('3', 'edit own slide content', 'node'),
('3', 'edit own testimonial content', 'node'),
('3', 'edit own video files', 'file_entity'),
('3', 'edit own webform content', 'node'),
('3', 'edit own webform submissions', 'webform'),
('3', 'edit site follow links', 'add_func_follow'),
('3', 'edit terms in 1', 'taxonomy'),
('3', 'edit terms in 2', 'taxonomy'),
('3', 'edit terms in 3', 'taxonomy'),
('3', 'edit terms in 4', 'taxonomy'),
('3', 'edit terms in 5', 'taxonomy'),
('3', 'edit terms in 6', 'taxonomy'),
('3', 'edit webform components', 'webform'),
('3', 'execute php code', 'devel'),
('3', 'flush caches', 'admin_menu'),
('3', 'import media', 'media'),
('3', 'import quotes', 'quotes'),
('3', 'inspect all votes', 'poll'),
('3', 'manage own wish list', 'commerce_wishlist'),
('3', 'oauth authorize any consumers', 'oauth_common'),
('3', 'oauth register any consumers', 'oauth_common'),
('3', 'post comments', 'comment'),
('3', 'promote quotes to block', 'quotes'),
('3', 'rate content', 'fivestar'),
('3', 'reorder views_ui_tabs tabs', 'views_ui_tabs'),
('3', 'reset vote up/down votes', 'vud'),
('3', 'revert revisions', 'node'),
('3', 'search content', 'search'),
('3', 'select account cancellation method', 'user'),
('3', 'skip comment approval', 'comment'),
('3', 'switch shortcut sets', 'shortcut'),
('3', 'switch users', 'devel'),
('3', 'translate content', 'translation'),
('3', 'translate interface', 'locale'),
('3', 'update payments', 'commerce_payment'),
('3', 'use advanced search', 'search'),
('3', 'use ctools import', 'ctools'),
('3', 'use flag import', 'flag'),
('3', 'use ipe with page manager', 'panels'),
('3', 'use page manager', 'page_manager'),
('3', 'use panels caching features', 'panels'),
('3', 'use panels dashboard', 'panels'),
('3', 'use panels in place editing', 'panels'),
('3', 'use panels locks', 'panels'),
('3', 'use PHP for settings', 'php'),
('3', 'use php in custom breadcrumbs', 'custom_breadcrumbs'),
('3', 'use text format filtered_html', 'filter'),
('3', 'use text format full_html', 'filter'),
('3', 'use text format gmap', 'filter'),
('3', 'use text format php_code', 'filter'),
('3', 'use views exporter', 'views_export'),
('3', 'use vote up/down', 'vud'),
('3', 'view active wish lists', 'commerce_wishlist'),
('3', 'view addthis', 'addthis'),
('3', 'view all flickr photos', 'flickr'),
('3', 'view any commerce_coupon entity', 'commerce_coupon'),
('3', 'view any commerce_customer_profile entity', 'commerce_customer'),
('3', 'view any commerce_customer_profile entity of bundle billing', 'commerce_customer'),
('3', 'view any commerce_order entity', 'commerce_order'),
('3', 'view any commerce_order entity of bundle commerce_order', 'commerce_order'),
('3', 'view any commerce_product entity', 'commerce_product'),
('3', 'view any commerce_product entity of bundle product', 'commerce_product'),
('3', 'view any wish list', 'commerce_wishlist'),
('3', 'view faq page', 'faq'),
('3', 'view files', 'file_entity'),
('3', 'view forum statistics', 'advanced_forum'),
('3', 'view last edited notice', 'advanced_forum'),
('3', 'view media', 'media'),
('3', 'view own commerce_coupon entities', 'commerce_coupon'),
('3', 'view own commerce_customer_profile entities', 'commerce_customer'),
('3', 'view own commerce_customer_profile entities of bundle billing', 'commerce_customer'),
('3', 'view own commerce_order entities', 'commerce_order'),
('3', 'view own commerce_order entities of bundle commerce_order', 'commerce_order'),
('3', 'view own commerce_product entities', 'commerce_product'),
('3', 'view own commerce_product entities of bundle product', 'commerce_product'),
('3', 'view own flickr photos', 'flickr'),
('3', 'view own private files', 'file_entity'),
('3', 'view own unpublished content', 'node'),
('3', 'view pane admin links', 'panels'),
('3', 'view payments', 'commerce_payment'),
('3', 'view post access counter', 'statistics'),
('3', 'view private files', 'file_entity'),
('3', 'view revisions', 'node'),
('3', 'view single page site', 'single_page_site'),
('3', 'view the administration theme', 'system'),
('3', 'vote on polls', 'poll');
/*!40000 ALTER TABLE role_permission ENABLE KEYS */;

--
-- Table structure for table 'rules_config'
--

CREATE TABLE IF NOT EXISTS `rules_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The internal identifier for any configuration.',
  `name` varchar(64) NOT NULL COMMENT 'The name of the configuration.',
  `label` varchar(255) NOT NULL DEFAULT 'unlabeled' COMMENT 'The label of the configuration.',
  `plugin` varchar(127) NOT NULL COMMENT 'The name of the plugin of this configuration.',
  `active` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the configuration is active. Usage depends on how the using module makes use of it.',
  `weight` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Weight of the configuration. Usage depends on how the using module makes use of it.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The exportable status of the entity.',
  `dirty` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Dirty configurations fail the integrity check, e.g. due to missing dependencies.',
  `module` varchar(255) DEFAULT NULL COMMENT 'The name of the providing module if the entity has been defined in code.',
  `owner` varchar(255) NOT NULL DEFAULT 'rules' COMMENT 'The name of the module via which the rule has been configured.',
  `access_exposed` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether to use a permission to control access for using components.',
  `data` longblob COMMENT 'Everything else, serialized.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `plugin` (`plugin`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'rules_config'
--

/*!40000 ALTER TABLE rules_config DISABLE KEYS */;
INSERT INTO `rules_config` VALUES
('1', 'commerce_cart_add_to_cart_message', 'Display an Add to Cart message', 'reaction rule', '1', '0', '2', '0', 'commerce_cart', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"1";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:33:"commerce_cart_add_to_cart_message";s:5:"label";s:30:"Display an Add to Cart message";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:23:"commerce_product:select";s:16:"commerce-product";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:33:"commerce_cart_add_to_cart_message";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:25:"commerce_cart_product_add";}s:16:"\0*\0eventSettings";a:0:{}}'),
('2', 'commerce_cart_order_status_reset', 'Reset the cart order status on product add or remove', 'reaction rule', '1', '0', '2', '0', 'commerce_cart', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"2";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:32:"commerce_cart_order_status_reset";s:5:"label";s:52:"Reset the cart order status on product add or remove";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:21:"commerce_order:select";s:14:"commerce-order";s:12:"order_status";s:4:"cart";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:28:"commerce_order_update_status";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:2:{i:0;s:25:"commerce_cart_product_add";i:1;s:28:"commerce_cart_product_remove";}s:16:"\0*\0eventSettings";a:0:{}}'),
('3', 'commerce_cart_unset_disabled_products', 'Unset the price of disabled products in the cart', 'reaction rule', '1', '10', '2', '0', 'commerce_cart', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"3";s:12:"\0*\0elementId";N;s:6:"weight";i:10;s:8:"settings";a:0:{}s:4:"name";s:37:"commerce_cart_unset_disabled_products";s:5:"label";s:48:"Unset the price of disabled products in the cart";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:13:"commerce_cart";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:13:"Commerce Cart";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:45:"commerce-line-item:commerce-unit-price:amount";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:3:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:28;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:11:"data:select";s:31:"commerce-line-item:line-item-id";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:13:"data_is_empty";s:9:"\0*\0negate";b:1;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:28;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:13:"entity:select";s:18:"commerce-line-item";s:5:"field";s:16:"commerce_product";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:16:"entity_has_field";s:9:"\0*\0negate";b:0;}i:2;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:28;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:42:"commerce-line-item:commerce-product:status";s:2:"op";s:2:"==";s:5:"value";s:1:"0";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}'),
('4', 'commerce_checkout_order_created_date_update', 'Set the order created date to the checkout completion date', 'reaction rule', '1', '-10', '2', '0', 'commerce_checkout', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"4";s:12:"\0*\0elementId";N;s:6:"weight";i:-10;s:8:"settings";a:0:{}s:4:"name";s:43:"commerce_checkout_order_created_date_update";s:5:"label";s:58:"Set the order created date to the checkout completion date";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:22:"commerce-order:created";s:12:"value:select";s:17:"site:current-date";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}'),
('5', 'commerce_checkout_order_status_update', 'Update the order status on checkout completion', 'reaction rule', '1', '0', '2', '0', 'commerce_checkout', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"5";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:37:"commerce_checkout_order_status_update";s:5:"label";s:46:"Update the order status on checkout completion";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:21:"commerce_order:select";s:14:"commerce-order";s:11:"order_state";s:7:"pending";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:27:"commerce_order_update_state";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}'),
('6', 'commerce_checkout_order_convert', 'Assign an anonymous order to a pre-existing user', 'reaction rule', '1', '1', '2', '0', 'commerce_checkout', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"6";s:12:"\0*\0elementId";N;s:6:"weight";i:1;s:8:"settings";a:0:{}s:4:"name";s:31:"commerce_checkout_order_convert";s:5:"label";s:48:"Assign an anonymous order to a pre-existing user";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:7:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";s:5:"limit";i:1;s:20:"entity_fetched:label";s:15:"Fetched account";s:18:"entity_fetched:var";s:15:"account_fetched";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:12:"entity_query";}i:1;O:9:"RulesLoop":7:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"list:select";s:15:"account-fetched";s:8:"item:var";s:9:"list_item";s:10:"item:label";s:17:"Current list item";s:9:"item:type";s:4:"user";}s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:32;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:18:"commerce-order:uid";s:12:"value:select";s:13:"list-item:uid";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:32;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:44:"commerce-order:commerce-customer-billing:uid";s:12:"value:select";s:13:"list-item:uid";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:3:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:65;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:18:"commerce-order:uid";s:2:"op";s:2:"==";s:5:"value";s:1:"0";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:65;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:13:"entity_exists";s:9:"\0*\0negate";b:0;}i:2;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:65;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:19:"commerce-order:type";s:2:"op";s:2:"==";s:5:"value";s:14:"commerce_order";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}'),
('7', 'commerce_checkout_new_account', 'Create a new account for an anonymous order', 'reaction rule', '1', '2', '2', '0', 'commerce_checkout', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"7";s:12:"\0*\0elementId";N;s:6:"weight";i:2;s:8:"settings";a:0:{}s:4:"name";s:29:"commerce_checkout_new_account";s:5:"label";s:43:"Create a new account for an anonymous order";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:5:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:6:{s:4:"type";s:4:"user";s:17:"param_name:select";s:28:"commerce-order:mail-username";s:17:"param_mail:select";s:19:"commerce-order:mail";s:20:"entity_created:label";s:15:"Created account";s:18:"entity_created:var";s:15:"account_created";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:13:"entity_create";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:22:"account-created:status";s:5:"value";i:1;s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}i:2;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:15:"account-created";s:9:"immediate";i:1;s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:11:"entity_save";}i:3;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:7:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";s:5:"limit";i:1;s:20:"entity_fetched:label";s:15:"Fetched account";s:18:"entity_fetched:var";s:15:"account_fetched";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:12:"entity_query";}i:4;O:9:"RulesLoop":7:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"list:select";s:15:"account-fetched";s:8:"item:var";s:9:"list_item";s:10:"item:label";s:17:"Current list item";s:9:"item:type";s:4:"user";}s:11:"\0*\0children";a:3:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:65;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:14:"account:select";s:9:"list-item";s:10:"email_type";s:22:"register_admin_created";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:18:"send_account_email";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:65;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:18:"commerce-order:uid";s:12:"value:select";s:13:"list-item:uid";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}i:2;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:65;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:11:"data:select";s:44:"commerce-order:commerce-customer-billing:uid";s:12:"value:select";s:13:"list-item:uid";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:0:{}}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:3:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:108;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:18:"commerce-order:uid";s:2:"op";s:2:"==";s:5:"value";s:1:"0";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:108;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:4:"type";s:4:"user";s:8:"property";s:4:"mail";s:12:"value:select";s:19:"commerce-order:mail";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:13:"entity_exists";s:9:"\0*\0negate";b:1;}i:2;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:108;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:19:"commerce-order:type";s:2:"op";s:2:"==";s:5:"value";s:14:"commerce_order";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}'),
('8', 'commerce_checkout_order_email', 'Send an order notification e-mail', 'reaction rule', '1', '4', '2', '0', 'commerce_checkout', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:1:"8";s:12:"\0*\0elementId";N;s:6:"weight";i:4;s:8:"settings";a:0:{}s:4:"name";s:29:"commerce_checkout_order_email";s:5:"label";s:33:"Send an order notification e-mail";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:17:"commerce_checkout";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:17:"Commerce Checkout";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:5:{s:9:"to:select";s:19:"commerce-order:mail";s:7:"subject";s:50:"Order [commerce-order:order-number] at [site:name]";s:7:"message";s:412:"Thanks for your order [commerce-order:order-number] at [site:name].\n\nIf this is your first order with us, you will receive a separate e-mail with login instructions. You can view your order history with us at any time by logging into our website at:\n\n[site:login-url]\n\nYou can find the status of your current order at:\n\n[commerce-order:customer-url]\n\nPlease contact us if you have any questions about your order.";s:4:"from";s:0:"";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:4:"mail";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}'),
('9', 'commerce_multicurrency_convert_price_to_user_currency', 'Convert price to user currency', 'rule', '1', '0', '2', '0', 'commerce_multicurrency', 'rules', '0', 'O:4:"Rule":16:{s:9:"\0*\0parent";N;s:2:"id";s:1:"9";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:53:"commerce_multicurrency_convert_price_to_user_currency";s:5:"label";s:30:"Convert price to user currency";s:6:"plugin";s:4:"rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:22:"commerce_multicurrency";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:25:"commerce-line-item:select";s:18:"commerce-line-item";s:20:"currency_code:select";s:22:"site:commerce-currency";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:46:"commerce_line_item_unit_price_currency_convert";}}s:7:"\0*\0info";a:1:{s:9:"variables";a:1:{s:18:"commerce_line_item";a:2:{s:5:"label";s:9:"Line Item";s:4:"type";s:18:"commerce_line_item";}}}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}}'),
('10', 'commerce_multicurrency_set_currency_price', 'Set the currency price', 'reaction rule', '1', '-9', '2', '0', 'commerce_multicurrency', 'rules', '0', 'O:17:"RulesReactionRule":18:{s:9:"\0*\0parent";N;s:2:"id";s:2:"10";s:12:"\0*\0elementId";N;s:6:"weight";i:-9;s:8:"settings";a:0:{}s:4:"name";s:41:"commerce_multicurrency_set_currency_price";s:5:"label";s:22:"Set the currency price";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:22:"commerce_multicurrency";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:63:"component_commerce_multicurrency_convert_price_to_user_currency";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}'),
('11', 'commerce_multicurrency_display_currency_specific_price', 'Display currency specific price', 'reaction rule', '1', '0', '2', '0', 'commerce_multicurrency', 'rules', '0', 'O:17:"RulesReactionRule":18:{s:9:"\0*\0parent";N;s:2:"id";s:2:"11";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:54:"commerce_multicurrency_display_currency_specific_price";s:5:"label";s:31:"Display currency specific price";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:22:"commerce_multicurrency";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:63:"component_commerce_multicurrency_convert_price_to_user_currency";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:40:"commerce_multicurrency_set_display_price";}s:16:"\0*\0eventSettings";a:0:{}}'),
('12', 'commerce_payment_commerce_payment_example', 'Example payment', 'reaction rule', '1', '0', '2', '0', 'commerce_payment', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:2:"12";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:41:"commerce_payment_commerce_payment_example";s:5:"label";s:15:"Example payment";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:16:"commerce_payment";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:16:"Commerce Payment";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:21:"commerce_order:select";s:14:"commerce-order";s:14:"payment_method";s:24:"commerce_payment_example";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:48:"commerce_payment_enable_commerce_payment_example";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:24:"commerce_payment_methods";}s:16:"\0*\0eventSettings";a:0:{}}'),
('13', 'commerce_payment_paypal_wpp', 'PayPal WPP - Credit Card', 'reaction rule', '0', '0', '2', '0', 'commerce_payment', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:2:"13";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:27:"commerce_payment_paypal_wpp";s:5:"label";s:24:"PayPal WPP - Credit Card";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:0;s:6:"status";i:2;s:6:"module";s:16:"commerce_payment";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:16:"Commerce Payment";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:21:"commerce_order:select";s:14:"commerce-order";s:14:"payment_method";s:10:"paypal_wpp";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:34:"commerce_payment_enable_paypal_wpp";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:24:"commerce_payment_methods";}s:16:"\0*\0eventSettings";a:0:{}}'),
('14', 'commerce_payment_paypal_wps', 'PayPal WPS', 'reaction rule', '0', '0', '2', '0', 'commerce_payment', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:2:"14";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:27:"commerce_payment_paypal_wps";s:5:"label";s:10:"PayPal WPS";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:0;s:6:"status";i:2;s:6:"module";s:16:"commerce_payment";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:16:"Commerce Payment";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:21:"commerce_order:select";s:14:"commerce-order";s:14:"payment_method";s:10:"paypal_wps";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:34:"commerce_payment_enable_paypal_wps";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:24:"commerce_payment_methods";}s:16:"\0*\0eventSettings";a:0:{}}'),
('16', 'rules_decrement_stock_completing_order', 'Decrease stock when completing the order process', 'reaction rule', '1', '0', '2', '0', 'commerce_stock', 'rules', '0', 'O:17:"RulesReactionRule":17:{s:9:"\0*\0parent";N;s:2:"id";s:2:"16";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:38:"rules_decrement_stock_completing_order";s:5:"label";s:48:"Decrease stock when completing the order process";s:6:"plugin";s:13:"reaction rule";s:6:"status";i:2;s:6:"module";s:14:"commerce_stock";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:1:{i:0;O:9:"RulesLoop":7:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:8:"item:var";s:9:"list_item";s:10:"item:label";s:17:"Current list item";s:11:"list:select";s:34:"commerce_order:commerce-line-items";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:15;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:18:"#_needs_processing";b:1;s:25:"commerce_line_item:select";s:9:"list-item";}s:14:"\0*\0elementName";s:36:"commerce_stock_decrease_by_line_item";}}s:7:"\0*\0info";a:0:{}}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:26:"commerce_checkout_complete";}s:16:"\0*\0eventSettings";a:0:{}}'),
('17', 'commerce_tax_type_sales_tax', 'Calculate taxes: Sales tax', 'reaction rule', '1', '0', '2', '0', 'commerce_tax', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:2:"17";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:27:"commerce_tax_type_sales_tax";s:5:"label";s:26:"Calculate taxes: Sales tax";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:12:"commerce_tax";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:12:"Commerce Tax";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";s:13:"tax_type_name";s:9:"sales_tax";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:30:"commerce_tax_calculate_by_type";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}'),
('18', 'commerce_tax_type_vat', 'Calculate taxes: VAT', 'reaction rule', '1', '0', '2', '0', 'commerce_tax', 'rules', '0', 'O:17:"RulesReactionRule":19:{s:9:"\0*\0parent";N;s:2:"id";s:2:"18";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:21:"commerce_tax_type_vat";s:5:"label";s:20:"Calculate taxes: VAT";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:12:"commerce_tax";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:12:"Commerce Tax";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:25:"commerce_line_item:select";s:18:"commerce-line-item";s:13:"tax_type_name";s:3:"vat";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:30:"commerce_tax_calculate_by_type";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:0:{}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:37:"commerce_product_calculate_sell_price";}s:16:"\0*\0eventSettings";a:0:{}}'),
('19', 'rules_disable_product', 'Disable product', 'action set', '1', '0', '2', '0', 'commerce_vbo_views', 'rules', '0', 'O:14:"RulesActionSet":15:{s:9:"\0*\0parent";N;s:2:"id";s:2:"19";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:21:"rules_disable_product";s:5:"label";s:15:"Disable product";s:6:"plugin";s:10:"action set";s:6:"status";i:2;s:6:"module";s:18:"commerce_vbo_views";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:18:"commerce_vbo_views";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:18:"#_needs_processing";b:1;s:11:"data:select";s:23:"commerce-product:status";s:5:"value";s:1:"0";}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:1:{s:9:"variables";a:1:{s:16:"commerce_product";a:2:{s:5:"label";s:16:"Commerce Product";s:4:"type";s:16:"commerce_product";}}}}'),
('20', 'rules_enable_product', 'Enable product', 'action set', '1', '0', '2', '0', 'commerce_vbo_views', 'rules', '0', 'O:14:"RulesActionSet":15:{s:9:"\0*\0parent";N;s:2:"id";s:2:"20";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:20:"rules_enable_product";s:5:"label";s:14:"Enable product";s:6:"plugin";s:10:"action set";s:6:"status";i:2;s:6:"module";s:18:"commerce_vbo_views";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:18:"commerce_vbo_views";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:18:"#_needs_processing";b:1;s:11:"data:select";s:23:"commerce-product:status";s:5:"value";s:1:"1";}s:14:"\0*\0elementName";s:8:"data_set";}}s:7:"\0*\0info";a:1:{s:9:"variables";a:1:{s:16:"commerce_product";a:2:{s:5:"label";s:16:"Commerce Product";s:4:"type";s:16:"commerce_product";}}}}'),
('21', 'commerce_coupon_validate_uses_of_coupon_component', 'Coupon Validation: Set the coupon as invalid if number of uses is reached', 'rule', '1', '0', '2', '0', 'commerce_coupon', 'rules', '0', 'O:4:"Rule":15:{s:9:"\0*\0parent";N;s:2:"id";s:2:"21";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:49:"commerce_coupon_validate_uses_of_coupon_component";s:5:"label";s:73:"Coupon Validation: Set the coupon as invalid if number of uses is reached";s:6:"plugin";s:4:"rule";s:6:"status";i:2;s:6:"module";s:15:"commerce_coupon";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:7:"message";s:74:"Sorry, the maximum number of redemptions for this coupon has been reached.";s:4:"type";s:5:"error";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:14:"drupal_message";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:1:{s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:40:"commerce_coupon_action_is_invalid_coupon";}}s:7:"\0*\0info";a:1:{s:9:"variables";a:2:{s:15:"commerce_coupon";a:2:{s:4:"type";s:15:"commerce_coupon";s:5:"label";s:6:"Coupon";}s:21:"number_of_redemptions";a:2:{s:4:"type";s:7:"integer";s:5:"label";s:21:"Number Of Redemptions";}}}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:2:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:41;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:13:"entity:select";s:15:"commerce_coupon";s:5:"field";s:30:"commerce_coupon_number_of_uses";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:16:"entity_has_field";s:9:"\0*\0negate";b:0;}i:1;O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:41;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:7:"RulesOr":8:{s:9:"\0*\0parent";r:59;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:2:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:66;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:46:"commerce_coupon:commerce-coupon-number-of-uses";s:2:"op";s:1:"<";s:12:"value:select";s:21:"number-of-redemptions";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}i:1;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:66;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:11:"data:select";s:46:"commerce_coupon:commerce-coupon-number-of-uses";s:12:"value:select";s:21:"number-of-redemptions";s:18:"#_needs_processing";b:1;s:2:"op";s:2:"==";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}}'),
('22', 'commerce_coupon_validate_uses_of_coupon', 'Coupon Validation: Check the number of redemptions', 'reaction rule', '1', '0', '2', '0', 'commerce_coupon', 'rules', '0', 'O:17:"RulesReactionRule":18:{s:9:"\0*\0parent";N;s:2:"id";s:2:"22";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:39:"commerce_coupon_validate_uses_of_coupon";s:5:"label";s:50:"Coupon Validation: Check the number of redemptions";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:15:"commerce_coupon";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:2:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:22:"commerce_coupon:select";s:6:"coupon";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:38:"commerce_coupon_action_get_coupon_uses";}i:1;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:22:"commerce_coupon:select";s:6:"coupon";s:28:"number_of_redemptions:select";s:14:"number-of-uses";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:59:"component_commerce_coupon_validate_uses_of_coupon_component";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:36;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:13:"entity:select";s:6:"coupon";s:5:"field";s:30:"commerce_coupon_number_of_uses";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:16:"entity_has_field";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:24:"commerce_coupon_validate";}s:16:"\0*\0eventSettings";a:0:{}}'),
('23', 'commerce_coupon_remove_coupons_from_empty_carts', 'Remove coupons from empty carts', 'reaction rule', '1', '0', '2', '0', 'commerce_coupon', 'rules', '0', 'O:17:"RulesReactionRule":18:{s:9:"\0*\0parent";N;s:2:"id";s:2:"23";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:47:"commerce_coupon_remove_coupons_from_empty_carts";s:5:"label";s:31:"Remove coupons from empty carts";s:6:"plugin";s:13:"reaction rule";s:6:"active";b:1;s:6:"status";i:2;s:6:"module";s:15:"commerce_coupon";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:2:{s:21:"commerce_order:select";s:14:"commerce_order";s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:52:"commerce_coupon_action_remove_all_coupons_from_order";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:26;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:13:"entity:select";s:14:"commerce_order";s:8:"operator";s:1:"=";s:5:"value";i:0;s:18:"#_needs_processing";b:1;}s:14:"\0*\0elementName";s:45:"commerce_order_compare_total_product_quantity";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:28:"commerce_cart_product_remove";}s:16:"\0*\0eventSettings";a:0:{}}'),
('24', 'rules_commerce_wishlist_product_purchased', 'Remove product from wishlist after purchase', 'reaction rule', '1', '0', '2', '0', 'commerce_wishlist', 'rules', '0', 'O:17:"RulesReactionRule":18:{s:9:"\0*\0parent";N;s:2:"id";s:2:"24";s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:4:"name";s:41:"rules_commerce_wishlist_product_purchased";s:5:"label";s:43:"Remove product from wishlist after purchase";s:6:"plugin";s:13:"reaction rule";s:6:"status";i:2;s:6:"module";s:17:"commerce_wishlist";s:5:"owner";s:5:"rules";s:4:"data";r:1;s:4:"tags";a:1:{i:0;s:17:"Commerce Wishlist";}s:11:"\0*\0children";a:1:{i:0;O:11:"RulesAction":6:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:3:{s:18:"#_needs_processing";b:1;s:14:"product:select";s:25:"commerce-wishlist-product";s:14:"account:select";s:23:"commerce-wishlist-owner";}s:14:"\0*\0elementName";s:48:"commerce_wishlist_action_remove_product_for_user";}}s:7:"\0*\0info";a:0:{}s:13:"\0*\0conditions";O:8:"RulesAnd":8:{s:9:"\0*\0parent";r:1;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:0:{}s:11:"\0*\0children";a:1:{i:0;O:14:"RulesCondition":7:{s:9:"\0*\0parent";r:28;s:2:"id";N;s:12:"\0*\0elementId";N;s:6:"weight";i:0;s:8:"settings";a:4:{s:18:"#_needs_processing";b:1;s:11:"data:select";s:27:"commerce-wishlist-owner:uid";s:2:"op";s:2:"==";s:12:"value:select";s:18:"commerce-order:uid";}s:14:"\0*\0elementName";s:7:"data_is";s:9:"\0*\0negate";b:0;}}s:7:"\0*\0info";a:0:{}s:9:"\0*\0negate";b:0;}s:9:"\0*\0events";a:1:{i:0;s:41:"commerce_wishlist_event_product_purchased";}s:16:"\0*\0eventSettings";a:0:{}}');
/*!40000 ALTER TABLE rules_config ENABLE KEYS */;

--
-- Table structure for table 'rules_dependencies'
--

CREATE TABLE IF NOT EXISTS `rules_dependencies` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `module` varchar(255) NOT NULL COMMENT 'The name of the module that is required for the configuration.',
  PRIMARY KEY (`id`,`module`),
  KEY `module` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'rules_dependencies'
--

/*!40000 ALTER TABLE rules_dependencies DISABLE KEYS */;
INSERT INTO `rules_dependencies` VALUES
('16', 'commerce_checkout'),
('16', 'commerce_stock'),
('24', 'commerce_wishlist'),
('19', 'rules'),
('20', 'rules'),
('24', 'rules');
/*!40000 ALTER TABLE rules_dependencies ENABLE KEYS */;

--
-- Table structure for table 'rules_tags'
--

CREATE TABLE IF NOT EXISTS `rules_tags` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `tag` varchar(255) NOT NULL COMMENT 'The tag string associated with this configuration',
  PRIMARY KEY (`id`,`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'rules_tags'
--

/*!40000 ALTER TABLE rules_tags DISABLE KEYS */;
INSERT INTO `rules_tags` VALUES
('1', 'Commerce Cart'),
('2', 'Commerce Cart'),
('3', 'Commerce Cart'),
('4', 'Commerce Checkout'),
('5', 'Commerce Checkout'),
('6', 'Commerce Checkout'),
('7', 'Commerce Checkout'),
('8', 'Commerce Checkout'),
('12', 'Commerce Payment'),
('13', 'Commerce Payment'),
('14', 'Commerce Payment'),
('17', 'Commerce Tax'),
('18', 'Commerce Tax'),
('19', 'commerce_vbo_views'),
('20', 'commerce_vbo_views'),
('24', 'Commerce Wishlist');
/*!40000 ALTER TABLE rules_tags ENABLE KEYS */;

--
-- Table structure for table 'rules_trigger'
--

CREATE TABLE IF NOT EXISTS `rules_trigger` (
  `id` int(10) unsigned NOT NULL COMMENT 'The primary identifier of the configuration.',
  `event` varchar(127) NOT NULL DEFAULT '' COMMENT 'The name of the event on which the configuration should be triggered.',
  PRIMARY KEY (`id`,`event`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'rules_trigger'
--

/*!40000 ALTER TABLE rules_trigger DISABLE KEYS */;
INSERT INTO `rules_trigger` VALUES
('1', 'commerce_cart_product_add'),
('2', 'commerce_cart_product_add'),
('2', 'commerce_cart_product_remove'),
('3', 'commerce_product_calculate_sell_price'),
('4', 'commerce_checkout_complete'),
('5', 'commerce_checkout_complete'),
('6', 'commerce_checkout_complete'),
('7', 'commerce_checkout_complete'),
('8', 'commerce_checkout_complete'),
('10', 'commerce_product_calculate_sell_price'),
('11', 'commerce_multicurrency_set_display_price'),
('12', 'commerce_payment_methods'),
('13', 'commerce_payment_methods'),
('14', 'commerce_payment_methods'),
('16', 'commerce_checkout_complete'),
('17', 'commerce_product_calculate_sell_price'),
('18', 'commerce_product_calculate_sell_price'),
('22', 'commerce_coupon_validate'),
('23', 'commerce_cart_product_remove'),
('24', 'commerce_wishlist_event_product_purchased');
/*!40000 ALTER TABLE rules_trigger ENABLE KEYS */;

--
-- Table structure for table 'search_dataset'
--

CREATE TABLE IF NOT EXISTS `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.' COMMENT='Stores items that will be searched.';

--
-- Dumping data for table 'search_dataset'
--

/*!40000 ALTER TABLE search_dataset DISABLE KEYS */;
INSERT INTO `search_dataset` VALUES
('11', 'node', ' what do you think about us  39 498 votes super 29 368 votes good 21 265 votes normal 12 156 votes bad total votes 1287  ', '0'),
('12', 'node', ' malesuada purus leo dignissim leo aenean aliquet leo non enim finibus quis lacinia nisi venenatis nunc at dolor tristique viverra libero ac varius lectus suspendisse velit eros consequat quis velit non tempus mollis nibh mauris euismod augue sit amet augue posuere condimentum duis ultrices dui eu vestibulum dapibus risus lorem viverra dui a dapibus odio erat at sem integer consequat orci sed sapien finibus tincidunt imperdiet diam bibendum aliquam sit amet augue id justo ultricies maximus scelerisque sit amet sem aenean et sem magna etiam aliquet nisl id pharetra rhoncus integer in tortor porta accumsan leo sit amet blandit ex quisque fringilla dignissim odio in pulvinar lacus semper et nulla feugiat quam in est aliquam vel tincidunt ante tincidunt fusce tincidunt cursus nibh at hendrerit donec consequat nulla eget ullamcorper posuere donec egestas metus eu eros gravida dapibus duis id bibendum lacus ac sodales erat aenean cursus malesuada sodales mauris laoreet purus a lobortis malesuada purus leo dignissim leo a aliquet arcu arcu maximus lacus curabitur ultricies nec nunc mattis luctus duis efficitur venenatis nisi eu elementum etiam in nunc nec metus sagittis eleifend quis ac ligula aliquam id suscipit lorem id facilisis purus vestibulum gravida ornare aliquet integer at elit vel dolor dignissim condimentum id et erat vivamus ipsum metus tristique id feugiat in rhoncus a lectus morbi vitae tincidunt quam nam dapibus risus eget purus tempus tincidunt sollicitudin leo ultricies nulla sodales risus diam blandit eleifend tellus placerat sit amet vestibulum vitae nunc gravida orci cursus porttitor a in lectus integer viverra posuere tortor commodo gravida magna scelerisque id in luctus lobortis mi nec facilisis augue pharetra sed quisque mi massa tempus ut dolor nec lacinia egestas magna duis convallis nulla sit amet nibh mattis vitae eleifend urna elementum sed sed sapien sit amet libero pretium accumsan ut et neque in arcu justo aliquet vel felis et luctus dictum arcu fusce eu elit suscipit porttitor quam id posuere orci nullam tempor justo et lorem posuere pretium suspendisse mattis tortor id ornare iaculis dolor leo sodales quam at tempor nisi magna tristique neque pellentesque fringilla sollicitudin porttitor general discussion fusce porttitor porta tortor permalink submitted by admin on may 11 2011  fusce porttitor porta tortor pulvinar iaculis nulla facilisi etiam semper hendrerit lectus sit amet ultricies augue porta ut praesent vitae dolor vitae felis congue mollis nulla fermentum augue sit amet sem luctus dignissim class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos in dignissim tincidunt mollis sed sed massa lorem sed laoreet est pellentesque sit amet orci sed arcu euismod posuere id in nisl aenean in quam tortor curabitur consequat metus ut nulla viverra tincidunt in hac habitasse platea dictumst suspendisse hendrerit quam a dignissim pellentesque turpis risus bibendum massa quis lacinia sem sem eget est praesent magna nisi dignissim laoreet hendrerit lobortis gravida non velit nullam ut velit augue mauris mattis tellus elit et vehicula purus nulla eros libero pretium id elementum id euismod non risus donec enim nisi luctus quis vestibulum eu dapibus quis nisi cras porttitor sem sit amet metus fermentum pretium if typeof likebtn undefined likebtninit  log in to post comments suspendisse potenti fusce permalink submitted by admin on may 11 2011  suspendisse potenti fusce diam risus mattis sit amet pretium in feugiat sed purus vivamus in lectus tellus nam justo leo placerat sit amet imperdiet ut accumsan quis nulla donec tristique tristique massa at malesuada nulla eleifend ultricies tempus nulla dapibus tempus pulvinar nullam urna sem vestibulum ac porttitor sit amet semper ut dui etiam at turpis sed risus auctor molestie eget quis lectus donec lacus tortor condimentum nec pharetra et adipiscing a sapien nulla ac ante diam pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas phasellus bibendum euismod lobortis phasellus semper elementum quam a iaculis morbi tristique diam id ante sagittis rutrum if typeof likebtn undefined likebtninit  log in to post comments lorem ipsum dolor sit amet  permalink submitted by admin on may 11 2011  lorem ipsum dolor sit amet consectetur adipiscing elit ut egestas ante ac nunc dignissim vitae blandit lectus vulputate aliquam ultrices cursus scelerisque nullam interdum facilisis eros ut dignissim morbi luctus ultrices eros vel varius urna facilisis nec aliquam vulputate placerat velit id semper fusce nisi ante pulvinar rutrum semper non imperdiet quis urna duis blandit lacus eget pretium blandit justo orci molestie turpis sit amet tincidunt justo lacus eget augue etiam sodales egestas tincidunt quisque et est tellus eu commodo eros phasellus sed est nisl vel posuere massa fusce eu diam nec eros elementum congue a a augue donec tempus velit id leo vestibulum luctus quisque mattis orci eget feugiat volutpat dui orci lobortis metus quis elementum leo urna quis urna nullam et dolor urna praesent tincidunt velit at mauris pharetra sit amet rhoncus enim sollicitudin morbi non aliquet nisl if typeof likebtn undefined likebtninit  log in to post comments  ', '0'),
('13', 'node', ' phasellus faucibus turpis et libero maximus ut vitae velit molestie tincidunt lectus ac pellentesque metus sed sodales lacus at purus pellentesque nec malesuada lacus malesuada in iaculis urna eget erat cursus facilisis sed cursus sagittis ligula sed ullamcorper enim quis massa facilisis a commodo elit facilisis curabitur sagittis velit ante nullam nibh tortor congue et diam sit amet fermentum condimentum justo aliquam feugiat tincidunt arcu a vulputate libero tincidunt sit amet aenean a tellus nec dui dignissim ultrices vitae sed lacus vestibulum cursus orci dapibus ante luctus vel vehicula sem volutpat phasellus sed tristique sem vel bibendum diam etiam vitae ipsum nunc nulla ullamcorper pretium blandit quisque tincidunt nunc ut sem varius gravida fusce pretium lacus vel aliquet dignissim mi tellus vulputate sapien et molestie mauris risus eu mi nam ornare pharetra tincidunt phasellus ultricies lectus non ligula malesuada ac porta velit eleifend vestibulum ullamcorper nec odio sit amet cursus duis urna arcu pretium sed ornare tincidunt imperdiet vel risus etiam dictum venenatis imperdiet morbi ullamcorper feugiat est id lobortis ligula auctor non phasellus faucibus turpis et libero maximus bibendum maecenas eu lacinia risus pellentesque enim lacus malesuada et euismod ut rutrum nec orci nulla id congue felis non venenatis velit praesent ultricies at ex eget posuere donec suscipit faucibus pharetra suspendisse consectetur dapibus mauris vitae interdum metus suscipit eu quisque a scelerisque dolor general discussion quisque nec libero eu urna permalink submitted by admin on may 11 2011  quisque nec libero eu urna volutpat cursus quisque elit velit consequat at fringilla quis tincidunt ac nisi donec consequat nisl nec leo vulputate nec fermentum sapien porttitor aliquam hendrerit faucibus diam at dictum quam euismod at sed luctus tempus libero vitae viverra est laoreet sit amet duis sit amet neque dui eu rutrum urna nunc purus urna hendrerit id suscipit nec pulvinar quis justo pellentesque id purus vel nibh iaculis iaculis suspendisse non ante eros duis condimentum tempor nulla at venenatis quisque tristique dui sit amet lorem vulputate eget eleifend ipsum sodales if typeof likebtn undefined likebtninit  log in to post comments  ', '0'),
('14', 'node', ' quisque blandit cursus velit ut id efficitur lacus duis eros est rutrum eu eleifend in scelerisque sit amet elit integer vitae semper arcu nulla nisl odio tincidunt at convallis ut auctor ut dui vestibulum pulvinar dolor nibh vitae condimentum neque dictum a curabitur eget diam odio nam tortor erat facilisis eu lorem ut sagittis ultricies felis sed volutpat lectus eu tortor eleifend sit amet egestas neque gravida vivamus mi diam tincidunt sit amet ex cursus convallis semper ligula aenean eu ante et turpis fermentum tincidunt etiam efficitur odio sit amet risus malesuada sagittis phasellus urna sapien volutpat vitae ultricies eu dictum quis mi in id hendrerit purus nam sem leo ornare nec dignissim ut mattis ut dolor pellentesque vehicula ligula convallis nulla malesuada ut pellentesque sapien ornare quisque vitae dui finibus tincidunt odio in maximus lacus proin nec tincidunt eros ut ornare felis nunc consequat metus eu massa vehicula interdum mauris facilisis id ex eget dapibus suspendisse potenti proin facilisis non nulla in pretium vestibulum dictum nunc vel eleifend cursus odio sem condimentum urna eu ornare arcu erat eu magna suspendisse sed auctor magna quis commodo odio donec tortor est congue sit amet ipsum a pretium tempus justo in nisi tellus interdum suscipit elit vel feugiat auctor nibh sed et elit sodales malesuada odio non dictum urna fusce viverra elementum viverra integer a arcu semper aliquet nibh sed sagittis justo praesent sit amet erat ullamcorper consectetur lectus eu iaculis magna donec bibendum dui in tincidunt condimentum dolor ante hendrerit dui congue rutrum est purus blandit ex donec quis feugiat tortor quisque blandit cursus velit praesent dignissim orci lacus auctor viverra tortor maximus vitae lorem ipsum dolor sit amet consectetur adipiscing elit donec pharetra non nisl vitae auctor nullam nec ex sed nibh lobortis tempor ut ut dui aenean sed nibh efficitur fringilla risus et bibendum leo quisque ac dapibus odio quis pulvinar sapien nulla facilisi suspendisse et enim ut lacus feugiat facilisis at vitae mi praesent euismod at ligula vitae egestas general discussion etiam ornare tellus quis permalink submitted by admin on may 11 2011  etiam ornare tellus quis facilisis eleifend sem enim ultrices sem ut convallis eros massa sed mauris nulla facilisi quisque eu neque eu erat bibendum pharetra a sit amet tortor fusce a augue ante in hac habitasse platea dictumst aliquam eu purus eu lorem placerat aliquam proin in ante vitae diam cursus condimentum donec commodo nunc eu enim placerat ut tempor tortor feugiat in porttitor lacinia mi sed condimentum nam imperdiet sapien fringilla felis auctor faucibus morbi feugiat dui vel mi facilisis eu molestie nisl sagittis lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas praesent nisl nisi bibendum pulvinar blandit non pretium vitae metus quisque turpis justo facilisis in semper at semper in urna vivamus pellentesque sollicitudin erat at iaculis quisque ullamcorper nunc at enim convallis vehicula fusce vel mi ante aenean quam libero elementum et varius in eleifend hendrerit eros if typeof likebtn undefined likebtninit  log in to post comments fusce gravida consectetur mi permalink submitted by admin on may 11 2011  fusce gravida consectetur mi non tincidunt sed dictum lacinia mauris sed tempus ligula blandit ac nam et posuere quam integer dui orci vulputate et pulvinar lobortis lacinia vel elit duis accumsan scelerisque arcu sit amet lacinia urna faucibus sit amet pellentesque sed est mollis purus ornare gravida pellentesque interdum justo vel urna pretium tempor maecenas sed sapien arcu sit amet tempus eros pellentesque cursus tempus facilisis cras auctor mauris a sem vestibulum fermentum if typeof likebtn undefined likebtninit  log in to post comments lorem ipsum dolor sit amet  permalink submitted by admin on may 11 2011  lorem ipsum dolor sit amet consectetur adipiscing elit aliquam euismod viverra volutpat praesent orci neque pellentesque tempus pharetra quis laoreet eget dolor ut adipiscing auctor dignissim nam eu odio sit amet lacus accumsan congue ut tempor est condimentum urna posuere porttitor mauris orci purus adipiscing non cursus at lacinia et quam integer ullamcorper leo sit amet nulla venenatis sit amet vehicula diam pulvinar in hac habitasse platea dictumst suspendisse ante sapien gravida semper pretium sit amet sollicitudin id eros donec eget tellus sit amet magna malesuada consectetur pellentesque luctus leo mi suspendisse vulputate auctor magna tempus scelerisque vivamus vehicula rhoncus erat ut luctus mauris sed dui id lorem ornare consectetur ac lacinia tortor maecenas nunc leo placerat eget rhoncus a pellentesque at erat if typeof likebtn undefined likebtninit  log in to post comments etiam ornare tellus quis permalink submitted by admin on may 11 2011  etiam ornare tellus quis facilisis eleifend sem enim ultrices sem ut convallis eros massa sed mauris nulla facilisi quisque eu neque eu erat bibendum pharetra a sit amet tortor fusce a augue ante in hac habitasse platea dictumst aliquam eu purus eu lorem placerat aliquam proin in ante vitae diam cursus condimentum donec commodo nunc eu enim placerat ut tempor tortor feugiat in porttitor lacinia mi sed condimentum nam imperdiet sapien fringilla felis auctor faucibus morbi feugiat dui vel mi facilisis eu molestie nisl sagittis lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas praesent nisl nisi bibendum pulvinar blandit non pretium vitae metus quisque turpis justo facilisis in semper at semper in urna vivamus pellentesque sollicitudin erat at iaculis quisque ullamcorper nunc at enim convallis vehicula fusce vel mi ante aenean quam libero elementum et varius in eleifend hendrerit eros if typeof likebtn undefined likebtninit  log in to post comments sed ornare ipsum id libero permalink submitted by admin on may 11 2011  sed ornare ipsum id libero interdum vel eleifend neque egestas mauris sodales urna vitae felis placerat venenatis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos sed justo magna sagittis nec consequat id placerat sit amet magna praesent lacus metus aliquet ut sodales et porta ut nunc nulla id massa in erat imperdiet pulvinar duis ut metus in mi volutpat convallis et id mi fusce in mi sit amet augue faucibus elementum praesent odio tortor tincidunt ac lacinia sit amet pellentesque id dolor ut pretium imperdiet sem non ornare sem pretium ut maecenas sit amet arcu nisi if typeof likebtn undefined likebtninit  log in to post comments  ', '0'),
('15', 'node', ' sed ut urna ac dui dapibus ultrices etiam placerat dui quis quam gravida interdum nam odio erat molestie laoreet suscipit non porta nec felis vivamus id diam ac est porttitor pharetra eget ac tortor nam rutrum orci fringilla est faucibus sit amet eleifend diam rutrum integer id porta erat quisque vel tristique lectus nulla volutpat mi id venenatis vehicula sed ac lobortis libero integer ut sapien sit amet leo faucibus facilisis hendrerit sed tortor ut commodo blandit massa sit amet congue nullam sit amet cursus lorem in hac habitasse platea dictumst aliquam sit amet lectus sed eros eleifend ultrices suspendisse porttitor suscipit erat sed scelerisque neque hendrerit at aliquam ac turpis eget dolor mattis tincidunt ut non tortor sed ut urna ac dui dapibus ultrices mauris at lectus faucibus blandit dui in pellentesque odio fusce dictum velit a scelerisque sollicitudin donec sodales imperdiet lectus laoreet bibendum metus finibus in proin pulvinar a libero eu dictum cras aliquam nisi vel scelerisque porttitor curabitur consequat sem erat eu placerat tortor pulvinar in nulla nunc mauris pretium sit amet euismod volutpat fermentum eget lacus curabitur a arcu sem fusce purus diam viverra in varius quis finibus in odio nullam facilisis velit in imperdiet facilisis tortor turpis eleifend justo quis porta odio augue vel nibh etiam porttitor laoreet neque ac mattis phasellus non velit a mauris pulvinar rutrum cras dictum scelerisque mauris id mattis urna gravida quis sed quis malesuada ligula aenean feugiat ante ac orci bibendum semper aenean placerat sapien in dignissim pretium proin suscipit tortor ac pellentesque vestibulum maecenas laoreet quam id pharetra mattis velit nisl sagittis orci ac pulvinar sem ex in leo donec posuere convallis lorem ultrices dignissim lacus tincidunt id general discussion ', '0'),
('16', 'node', ' vehicula ipsum ultricies non 1 read vivamus interdum condimentum turpis facilisis fringilla quam interdum a integer nec dictum purus eu sollicitudin magna praesent in gravida velit sed sodales justo in mi porta sed facilisis turpis ultrices ut sed lacus sapien cras pharetra mauris sit amet placerat pretium risus dui facilisis ex at mattis turpis turpis vel metus integer cursus erat id sapien gravida vel aliquet diam venenatis nulla orci ex cursus facilisis ligula ac consectetur scelerisque nibh maecenas sit amet mi ut mauris imperdiet interdum vestibulum sit amet purus pulvinar tellus venenatis tempor integer ante dolor molestie non odio sit amet luctus hendrerit elit suspendisse aliquam feugiat leo non iaculis donec eleifend aliquet dolor id congue arcu sodales at fusce porta cursus diam id placerat nunc tincidunt auctor orci id aliquam vestibulum egestas porta sem sit amet consectetur felis ultrices ac mauris commodo felis vitae venenatis imperdiet praesent vel tellus fermentum mollis lectus ut consectetur eros sed consectetur ante sit amet erat semper ullamcorper phasellus venenatis eleifend felis vel lobortis nibh consectetur a fusce purus augue condimentum in neque et suscipit porttitor diam vivamus tincidunt ligula eu commodo ullamcorper lorem libero fringilla quam sit amet sodales leo libero eget dolor nam vel tellus lorem nunc porta porta risus a vehicula ipsum ultricies non nullam tempor quam ac elementum auctor dui erat facilisis sapien eget elementum dui quam ut dolor suspendisse et ex sit amet enim vestibulum malesuada donec massa velit interdum eu auctor nec tincidunt quis nunc aenean orci sapien vulputate id dapibus eget vehicula sodales lacus mauris pretium posuere odio et pulvinar libero viverra a aliquam erat volutpat mauris faucibus velit id elit pulvinar aliquet general discussion suspendisse convallis risus permalink submitted by admin on may 11 2011  suspendisse convallis risus a tempor gravida purus nunc condimentum lorem eget lacinia lectus augue eget ante cras aliquet luctus sapien sed euismod mi porttitor ut nam vulputate nulla eu tincidunt convallis leo neque elementum leo sit amet vulputate libero lectus in mauris praesent arcu ipsum rhoncus nec tincidunt quis rutrum a augue fusce congue lacus nec pharetra venenatis risus sapien congue purus non dictum tellus sem id enim donec imperdiet pharetra tempus duis ac augue nec urna iaculis aliquet sed malesuada semper mauris id cursus velit convallis rutrum phasellus pulvinar nulla a condimentum varius enim tortor porttitor sem adipiscing fringilla felis massa vitae mi pellentesque vestibulum elit non turpis convallis scelerisque integer scelerisque scelerisque lorem nec aliquam turpis molestie nec if typeof likebtn undefined likebtninit  log in to post comments cum sociis natoque penatibus permalink submitted by admin on may 11 2011  cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus mauris sed tempor arcu suspendisse potenti fusce a nibh sed libero faucibus faucibus in hac habitasse platea dictumst lorem ipsum dolor sit amet consectetur adipiscing elit nullam ac velit ligula aliquam aliquam est vitae dui faucibus consectetur non at sapien class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos suspendisse velit ligula faucibus ac elementum vel sagittis vitae sapien sed nec sem ut dui venenatis lobortis phasellus et lorem vitae mi aliquet tincidunt nunc et sodales nulla donec eu diam a ante condimentum lobortis if typeof likebtn undefined likebtninit  log in to post comments  ', '0'),
('17', 'node', ' nunc ligula sem aliquet sit amet feugiat eu proin porttitor nunc accumsan condimentum euismod risus tellus mollis nibh ac consequat nunc leo sit amet lacus donec ut mattis ante vivamus quis urna sed felis auctor eleifend fusce luctus arcu tortor ut vestibulum ante ullamcorper sed vivamus lacinia mi ut magna varius pulvinar nullam vitae luctus libero mauris elementum eros id enim volutpat semper vestibulum massa dignissim sed porta vestibulum purus at hendrerit cras ante nulla tincidunt a lobortis eu vehicula quis turpis donec aliquet tellus in neque eleifend molestie integer interdum vel mi non porttitor sed dapibus ante at feugiat ultricies vestibulum facilisis ac erat in bibendum nulla maximus luctus ex a efficitur est volutpat quis quisque rhoncus nibh mauris nec mollis nunc vehicula id donec ullamcorper condimentum justo sed tincidunt nulla sit amet lectus iaculis tincidunt sem in dapibus augue quisque congue libero elit sed tincidunt augue efficitur vitae class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos pellentesque viverra ac erat eu lacinia nunc eu elit a leo faucibus tincidunt at sit amet turpis suspendisse dapibus sapien ut bibendum maximus fusce vitae nunc placerat rhoncus nulla ac ullamcorper lacus phasellus molestie ut elit eget euismod donec dapibus massa turpis in convallis ante aliquam ut nunc ac vestibulum turpis cras sed diam metus morbi ullamcorper lorem eget ultrices dapibus tellus magna tincidunt nulla vestibulum efficitur mauris sem ac eros quisque sed lacinia enim nunc ligula sem aliquet sit amet feugiat eu mattis ac orci morbi finibus velit tellus quis pellentesque lacus pulvinar id sed eget posuere velit in tristique odio fusce aliquet ut dolor quis tincidunt etiam quis ante semper rhoncus felis ac imperdiet metus etiam pulvinar dapibus nunc sit amet scelerisque in laoreet blandit arcu in ornare tortor tempor eu maecenas vel suscipit tortor ut congue diam aliquam tempor dolor sed vestibulum laoreet vestibulum eleifend convallis ', '0'),
('18', 'node', ' habitant morbi tristique senectus vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed porttitor molestie purus fringilla convallis risus porta sed pellentesque molestie in ipsum sit amet sagittis ut consequat massa vel libero convallis dictum maecenas et sagittis nibh etiam in pretium augue nec pretium augue fusce pulvinar tortor vitae nulla interdum mollis vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae mauris lectus ligula ullamcorper sit amet libero sed aliquet sollicitudin eros pellentesque sem eros mattis nec ultrices sed pellentesque ut dui etiam consectetur sed massa ut vestibulum sed eget fermentum purus nam vestibulum mauris sit amet elit maximus cursus vestibulum venenatis a magna eu suscipit mauris velit ipsum tempus vitae arcu blandit tempor commodo elit in suscipit odio sit amet quam tempor volutpat nulla facilisi in accumsan accumsan faucibus sed vestibulum imperdiet tortor ullamcorper posuere phasellus congue pellentesque lectus at venenatis fusce leo neque lobortis tempor porta id viverra eu lorem aenean volutpat tempor massa id dignissim donec id leo vel magna sollicitudin blandit morbi congue posuere tincidunt pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas donec cursus neque ac odio fermentum sagittis integer non velit ligula fusce libero massa ornare et ligula nec feugiat scelerisque mi nulla facilisi aenean congue mauris ut ligula fermentum ac tincidunt tortor iaculis vestibulum sed pellentesque mi morbi in auctor dui praesent non odio vitae nisl hendrerit varius sed lacinia aliquet lacus at laoreet donec vulputate nulla vitae erat viverra quis ultricies arcu blandit suspendisse sed erat nisi vestibulum vitae dignissim ex mauris a arcu eget est ultrices interdum donec tincidunt turpis non rhoncus suscipit integer enim urna tempor a mi eu tristique lobortis nulla vivamus vitae felis accumsan sagittis lorem non interdum elit aliquam risus arcu lobortis eu ultrices vel bibendum id est vestibulum eleifend convallis ', '0'),
('19', 'node', ' nunc sed blandit lorem quis semper orci fusce lectus nulla dignissim in finibus vel eleifend at lorem integer in convallis velit maximus commodo nibh mauris condimentum sed lacus et rhoncus etiam vel elit sed ipsum tempus aliquam curabitur aliquam condimentum ipsum et porta elit sodales eu maecenas sodales vestibulum eros sit amet fermentum vivamus iaculis lectus dui in semper lacus vehicula in nunc varius suscipit porta duis fringilla arcu ex in tincidunt metus malesuada id nam in rhoncus elit quis maximus mauris suspendisse augue nisl convallis accumsan massa quis lobortis pharetra leo praesent vitae vestibulum tellus donec et ex nec eros tempus sollicitudin vivamus sapien ligula viverra non tortor et finibus vehicula diam nunc sed blandit lorem quis semper orci donec euismod ultricies augue in imperdiet nulla venenatis eget vestibulum tincidunt varius sapien vitae convallis mi lacinia et quisque ultrices semper magna in sagittis ex porta laoreet pellentesque in ornare lorem duis ac nulla fermentum faucibus justo vitae feugiat justo donec consequat velit quis erat pretium vitae luctus diam eleifend quisque aliquam dui vel aliquet accumsan pellentesque massa dolor pellentesque vitae feugiat ut egestas quis purus donec quam ante sollicitudin id risus a viverra elementum mauris nam facilisis risus orci vitae suscipit dolor malesuada eget sed sollicitudin sodales pulvinar vestibulum lectus nibh gravida ac odio quis posuere fringilla augue vestibulum eleifend convallis ', '0'),
('20', 'node', ' aenean varius vehicula eros morbi eu ex id justo fringilla sollicitudin a sollicitudin diam in placerat posuere scelerisque sed tincidunt magna cursus ligula facilisis sit amet bibendum purus rutrum quisque efficitur malesuada orci vitae vestibulum lorem tristique consequat in a ex malesuada varius dolor eu suscipit neque morbi vel odio iaculis scelerisque augue vitae sollicitudin elit vivamus non pulvinar sapien a pharetra massa pellentesque tincidunt elit suscipit scelerisque feugiat magna dolor tristique velit id tempus justo quam quis odio fusce eget tempor odio sed quam sem cursus vitae lorem quis bibendum dignissim lorem integer rutrum erat dui sed facilisis eros efficitur efficitur sed pellentesque justo tellus a dapibus libero pharetra eget aenean varius vehicula eros vel dignissim velit cursus ac donec a ultricies arcu curabitur vitae interdum leo maecenas congue lectus ut leo molestie ut volutpat risus suscipit proin porta vel diam et pulvinar lorem ipsum dolor sit amet consectetur adipiscing elit fusce accumsan eros at dictum dapibus risus enim dapibus nulla at dignissim velit nunc sed mauris vestibulum at augue finibus suscipit sapien eu consequat augue praesent eget pretium dolor vel pellentesque nulla nam lacinia quam eu justo pellentesque eget malesuada justo ornare in nisi sapien lobortis vitae dignissim eu dapibus in purus nullam eget dolor posuere erat rutrum consequat et placerat est proin leo erat rhoncus sit amet tortor eget luctus tristique est vestibulum eleifend convallis ', '0'),
('21', 'node', ' quisque ornare erat nunc sed quis sapien malesuada finibus lorem ut tempor lorem nullam quis dolor vitae neque facilisis suscipit mauris faucibus id nisl eu mollis nulla mi lacus finibus ac eros eu facilisis auctor leo vestibulum elementum enim id rutrum congue ante nisi efficitur augue sit amet luctus leo mi vitae nisl nunc ac faucibus mauris in dignissim nisi duis fermentum odio non sagittis cursus donec aliquet ipsum in dolor consectetur mollis proin vitae accumsan risus nam ante urna malesuada ultrices libero in fringilla semper metus duis in odio vehicula dolor posuere commodo eu ut lectus quisque varius pretium mauris vel vulputate urna viverra a quisque ornare erat nunc id ornare libero bibendum vel phasellus quis mi pulvinar condimentum erat eu ultricies lacus integer vitae pretium orci sed molestie sollicitudin enim et rutrum morbi sit amet arcu maximus interdum est ut lacinia eros vestibulum accumsan leo a pretium molestie ut tincidunt imperdiet scelerisque donec vitae venenatis lorem in finibus lacus suspendisse ut felis ac arcu tristique posuere cras eu euismod nibh in efficitur nibh praesent tincidunt laoreet urna sit amet sagittis suspendisse potenti maecenas luctus metus ut tellus fermentum at fringilla elit iaculis suspendisse pulvinar lectus massa sed pretium tortor porta sed lorem ipsum dolor sit amet consectetur adipiscing elit aliquam suscipit mauris quis sapien dignissim quis volutpat nunc pulvinar duis lobortis arcu dignissim mauris ', '0'),
('22', 'node', ' praesent laoreet cursus arcu nullam efficitur venenatis ipsum quis pulvinar nunc dictum nulla id condimentum vulputate proin scelerisque tellus sed suscipit sollicitudin diam metus malesuada eros vel vulputate leo justo ac lorem etiam malesuada eros ac ligula ornare viverra vivamus vitae mauris velit nulla egestas arcu et justo luctus aliquam vivamus vestibulum sem eu urna aliquam quis imperdiet urna pulvinar maecenas imperdiet diam elementum suscipit hendrerit donec a erat feugiat blandit nunc quis euismod sapien sed cursus nibh justo id ultrices libero pulvinar pretium fusce porta tellus ut dolor ullamcorper blandit sed tempus turpis consequat imperdiet tincidunt praesent laoreet cursus arcu aliquam erat volutpat in condimentum ante quis dictum suscipit nulla urna faucibus tellus in tincidunt velit justo eleifend neque curabitur efficitur tristique ante a tincidunt diam pharetra accumsan in hac habitasse platea dictumst ut eget ultricies dolor ut finibus quis justo quis egestas vestibulum ornare purus ipsum in vehicula nibh tempor eget cras tincidunt orci dapibus nibh placerat elementum pretium turpis facilisis cras ac risus euismod posuere ligula non malesuada tellus sed accumsan dictum justo nec finibus felis ultrices ac mauris vel blandit ante nam porttitor nunc non mauris efficitur a placerat odio consectetur pellentesque eget sapien et metus pretium posuere ut at leo rhoncus sodales nulla sit amet euismod elit duis lobortis arcu dignissim mauris ', '0'),
('23', 'node', ' sapien tortor viverra eros proin odio diam scelerisque quis porta ac dictum dignissim augue nam vel gravida erat ut dolor ante congue quis blandit in pretium non quam sed sit amet dui sollicitudin cursus odio ac convallis mauris curabitur porta dictum odio at dictum mi luctus non duis euismod dapibus aliquet sed mattis vestibulum purus nec facilisis vestibulum vitae rhoncus justo ac pellentesque tortor ut pharetra semper dui ut lobortis fusce fermentum tincidunt metus sed scelerisque sed gravida nulla sit amet cursus hendrerit sapien tortor viverra eros ac pellentesque metus risus vitae sem nulla pellentesque orci ipsum quis bibendum ante pharetra non praesent eu mauris a quam vulputate tincidunt ac vitae risus vestibulum sem turpis posuere nec pulvinar et porttitor vel urna donec aliquam odio et tortor blandit luctus mauris bibendum massa eget interdum congue etiam sollicitudin porta lacus vel interdum diam semper at mauris semper nisl in consectetur convallis integer convallis ante non finibus tristique nibh nisl congue lectus id cursus purus sem ac massa fusce cursus ex sit amet accumsan volutpat nulla et sagittis enim nullam facilisis luctus lacinia etiam tincidunt orci et felis fringilla fermentum etiam vitae vulputate sem at tempor urna etiam pulvinar eros at lorem egestas vel mollis orci pellentesque in vel elit ipsum ut ac mauris a velit convallis dapibus nunc ut vehicula quam mauris molestie fermentum est posuere iaculis ex fringilla vel mauris id velit id ante fringilla cursus at id neque suspendisse nec mauris orci duis lobortis arcu dignissim mauris ', '0'),
('24', 'node', ' curabitur a nulla non ligula aliquam pellentesque tincidunt in arcu a pulvinar cras fringilla dui eget tellus bibendum placerat pulvinar neque porta interdum et malesuada fames ac ante ipsum primis in faucibus morbi eget risus neque aenean imperdiet justo libero sit amet sodales justo commodo eu nam mauris nisi posuere ac dictum et tempus viverra nulla vivamus sit amet rutrum erat ac placerat odio nulla pellentesque lacus in dictum sollicitudin arcu justo lacinia mauris sed facilisis nisl est sit amet erat in purus neque dapibus non dolor et finibus finibus dolor nulla facilisi phasellus ultrices semper tellus at efficitur ut maximus massa malesuada pulvinar molestie velit odio viverra leo eget ornare turpis mi id ipsum aliquam viverra enim a tempor aliquam augue erat vulputate risus non tempus ligula justo at sem proin interdum magna sit amet efficitur auctor in faucibus sapien mi nec laoreet nisi dapibus vitae aliquam tempor commodo mauris at dignissim pellentesque id dignissim diam curabitur a nulla non ligula aliquam feugiat auctor quis urna nullam euismod sem quis leo consequat sollicitudin mauris porttitor consectetur sem quis porttitor proin ultrices augue et erat porttitor quis laoreet libero sollicitudin donec ornare consectetur neque pretium fermentum duis porttitor lobortis scelerisque nulla placerat ut dolor vitae sagittis aenean gravida convallis lorem quis mollis felis pellentesque ut donec commodo lacus diam vivamus ut justo sit amet augue ultricies rutrum vitae ac sem mauris dapibus lectus eu posuere laoreet sed a nisi lacinia placerat felis eget tincidunt nibh nam ornare massa velit quis faucibus risus tempus eu curabitur enim est euismod sit amet quam quis pulvinar pharetra justo phasellus laoreet sit amet nisl elementum suscipit nulla sed sem felis mauris sed ligula non tellus consectetur rutrum aliquam erat volutpat in hac habitasse platea dictumst sed vulputate enim orci et ullamcorper tortor faucibus id aenean volutpat mattis magna et porta orci viverra a duis lobortis arcu dignissim mauris ', '0'),
('25', 'node', ' maecenas pulvinar arcu sed orci commodo pharetra aliquam eu aliquam sem id ornare mi nullam et ligula aliquet ultricies est sed hendrerit risus nam a diam nulla proin sit amet tincidunt augue mauris eu ex ligula nunc malesuada purus a ullamcorper tincidunt pellentesque dapibus tortor sit amet lectus varius eu hendrerit sem dictum curabitur euismod ornare finibus aliquam sed tincidunt mauris eu molestie ante vestibulum mattis ultrices dui id dignissim donec nec tellus iaculis vestibulum arcu scelerisque suscipit sem sed non risus interdum vehicula nulla nec placerat lorem maecenas tempus nisl sit amet sapien condimentum rhoncus proin eu nulla ac nunc ornare fermentum eget nec nibh duis at odio lobortis facilisis nisl dapibus porttitor nisl vestibulum non posuere magna praesent fermentum ipsum finibus odio vestibulum ut sodales urna malesuada sed tincidunt nisi sit amet ultrices varius proin et porttitor neque quis suscipit odio maecenas pulvinar arcu sed orci commodo pharetra quisque id leo sit amet ante vehicula luctus rhoncus quis augue sed eget varius orci in pretium purus vel ex pharetra sed posuere orci fringilla nunc sapien augue sollicitudin vel eros at ornare mollis dui integer malesuada massa ac condimentum vulputate massa nisi commodo nisi in vestibulum sapien urna vitae turpis morbi venenatis nibh eget sodales commodo diam sem fermentum diam nec lobortis nulla velit pulvinar arcu duis vitae leo vitae eros aliquet scelerisque a vel sem ut facilisis arcu sed velit aliquet volutpat integer metus orci vestibulum ', '0'),
('26', 'node', ' pellentesque ut nisi purus 3 reads ut sit amet odio vulputate blandit quam non vehicula dui nulla rutrum enim eu felis volutpat maximus id ut sem suspendisse hendrerit lorem convallis elit sagittis laoreet donec at sollicitudin augue fusce dictum sem at leo tincidunt eget euismod lorem iaculis vestibulum vitae mattis magna ornare imperdiet eros nunc sodales luctus odio vitae maximus lectus venenatis vel suspendisse nec vestibulum ipsum praesent sed pharetra velit nunc augue dui pharetra at euismod non efficitur vel lacus suspendisse fermentum tristique ipsum blandit varius quisque ullamcorper pharetra feugiat integer tellus sem commodo sit amet elit vitae tempor maximus enim suspendisse potenti proin placerat sit amet diam eget ultricies vivamus ac pulvinar erat donec venenatis urna tellus vehicula dapibus turpis pulvinar sit amet pellentesque ut nisi purus phasellus ligula metus porta nec pellentesque a tempor nec tellus fusce auctor gravida tempor in gravida porttitor augue quis interdum orci donec faucibus risus at mauris lacinia sed facilisis magna venenatis nullam scelerisque erat in ultrices varius nullam pharetra ante ut sollicitudin suscipit sapien ligula facilisis ante eget molestie dui orci non enim aliquam erat volutpat in sagittis suscipit tempor pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas duis a lorem eu ante consequat mattis fusce posuere nibh ac mattis sagittis praesent convallis ipsum ac augue facilisis faucibus tincidunt purus interdum maecenas vestibulum rhoncus vulputate fusce quam libero porttitor sed sollicitudin ut dapibus eget eros aenean maximus dignissim ipsum nec aliquam nunc venenatis et phasellus ornare lectus quis neque ullamcorper vel laoreet diam eleifend etiam eu turpis dui ut vitae ex lobortis elementum orci sed mattis urna vestibulum consectetur elit ex et iaculis justo lacinia molestie nunc vitae urna nisl duis ornare lacus non porta rhoncus turpis quam ullamcorper augue in varius orci nisl vel libero duis id viverra tortor integer metus orci vestibulum ', '0'),
('27', 'node', ' ut aliquam molestie purus ac elementum sed convallis dolor nulla et consequat nibh tempor non class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos phasellus congue neque id dictum dapibus mauris velit sollicitudin est sit amet gravida sem velit id erat cras orci metus accumsan ut ex sit amet fermentum ultrices justo sed velit dolor iaculis ac feugiat eget bibendum quis velit vestibulum in sapien in metus imperdiet venenatis phasellus ullamcorper lorem eget rutrum euismod purus lacus accumsan nunc in semper diam orci vel metus fusce egestas convallis libero nec aliquam fusce cursus nunc vel metus vulputate lobortis suspendisse potenti nulla quis lorem eget orci consectetur varius in sit amet sem ut vestibulum mi vel est euismod pretium cras tempus orci sit amet velit accumsan non commodo mi vestibulum ut aliquam molestie purus ac elementum maecenas ac ligula mauris quisque ullamcorper augue ac quam commodo ut consectetur nulla ultrices aliquam at imperdiet mi morbi non facilisis libero ut a quam lectus etiam a elementum sem eu tempor nisl praesent posuere dolor vitae nibh pulvinar at maximus nulla placerat suspendisse nisl odio auctor id eros non fermentum aliquet felis praesent lorem elit fringilla quis tempus vel consectetur vel nisl nulla ut diam iaculis lobortis dui vel viverra est nulla vel scelerisque ligula proin consectetur erat ipsum eget elementum metus suscipit non interdum et malesuada fames ac ante ipsum primis in faucibus proin tempus tristique dictum vestibulum porta arcu vitae ex fermentum porttitor integer metus orci vestibulum ', '0'),
('28', 'node', ' nullam sed ipsum ut tellus facilisis tincidunt phasellus facilisis ipsum et dui interdum in aliquam tortor iaculis curabitur lobortis viverra velit non cursus elit efficitur sit amet donec laoreet cursus mi at ultricies aliquam vulputate mi et ipsum eleifend dictum cras fringilla laoreet imperdiet ut efficitur consequat leo cras eget aliquam nulla eu imperdiet nunc vestibulum eu pharetra nulla praesent in urna et odio efficitur consectetur praesent bibendum ullamcorper sapien donec ut ultricies sapien aliquam erat volutpat duis aliquet a magna nec pretium praesent non tortor rhoncus consectetur neque in euismod nunc phasellus non arcu id eros lacinia porttitor a vel ipsum in molestie ut lacus et gravida quisque sem libero dignissim sed nulla at pharetra fringilla leo donec velit tortor maximus fringilla dui sit amet semper aliquam magna morbi eu volutpat diam sed ullamcorper nisl at diam ultricies quis pulvinar lorem facilisis nulla in ipsum sit amet urna iaculis semper a a nunc aenean varius varius tortor id lacinia nullam tempus volutpat hendrerit duis malesuada libero leo non scelerisque est euismod ac proin feugiat nulla id metus mollis nec finibus nulla vulputate nullam sed ipsum ut tellus facilisis tincidunt vel feugiat leo donec vel elit id odio porttitor tempor aenean blandit tortor vel pharetra lobortis ut accumsan metus sed massa facilisis eget placerat ante euismod sed et feugiat ex nullam eu vestibulum ex mauris in augue eu purus molestie lobortis duis arcu sapien malesuada ac diam ac mattis porttitor elit nam nec est a nulla pulvinar ', '0'),
('29', 'node', ' elit eu finibus consectetur nam purus sem aliquet sed scelerisque eu laoreet ac arcu donec sem mauris blandit imperdiet dapibus vel semper sit amet tortor aliquam erat volutpat vestibulum mattis ex sit amet diam volutpat tincidunt mauris consectetur finibus bibendum nullam consectetur arcu nunc aliquam suscipit suscipit aliquam quisque dictum venenatis leo vel varius tortor congue in aenean venenatis convallis risus ac aliquam aenean sit amet justo ex cras dapibus ipsum ut diam sagittis consequat in vel neque nunc vel gravida augue nulla interdum luctus massa et porttitor tellus tristique et donec nec egestas est fusce pellentesque elit eu finibus consectetur ipsum nibh vestibulum sapien vitae tempor mauris risus ut magna morbi lorem ligula tincidunt ut luctus eget consequat varius nibh phasellus ut orci rhoncus dignissim nibh at aliquam est duis vel erat augue aliquam nulla nulla scelerisque et vehicula id interdum quis quam nunc faucibus purus ut ligula eleifend vehicula class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos vestibulum a porttitor nibh quisque ornare pretium scelerisque cras quis semper urna pellentesque ornare commodo sem quis semper quisque ullamcorper tellus ac diam iaculis nec tempor elit mollis quisque id augue quis arcu sodales facilisis vitae in neque mauris euismod ipsum et tellus commodo at semper nisl ullamcorper curabitur in bibendum diam in pretium odio fusce at rutrum dui etiam dapibus metus velit posuere rhoncus ante rhoncus sit amet vestibulum rutrum at est ac interdum sed sed mollis felis a ultricies dui nam nec est a nulla pulvinar ', '0'),
('30', 'node', ' cras elementum consectetur dictum phasellus vulputate ex facilisis vulputate posuere donec tincidunt laoreet felis vitae maximus urna feugiat mattis proin sollicitudin massa ultrices commodo enim vel mollis nisl cras sed leo sed massa interdum ultricies et id felis nunc bibendum ultrices magna nec ultrices phasellus congue nunc felis id condimentum dui tincidunt non pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas curabitur libero dolor ultrices sed malesuada vitae porttitor id massa etiam turpis risus rhoncus a hendrerit ut placerat ut est fusce sit amet viverra quam duis quis ante sem nunc ac accumsan metus nunc ut nisi rutrum ornare felis eget hendrerit risus interdum et malesuada fames ac ante ipsum primis in faucibus ut pretium id justo at finibus mauris iaculis odio neque eu congue arcu molestie sed nam id leo eget libero lobortis auctor sed scelerisque pretium mi quis eleifend nulla ultrices blandit tincidunt donec vulputate tortor vitae magna mollis euismod efficitur ante semper mauris eget accumsan lacus pellentesque auctor erat vestibulum orci porta posuere donec sit amet luctus ipsum cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus donec sed porta sem phasellus ultricies cursus nulla et commodo sed aliquet sed lorem non ultrices fusce molestie mi risus non accumsan mi placerat consectetur in hac habitasse platea dictumst integer mollis nunc dapibus orci finibus dignissim etiam et semper leo praesent felis ligula tincidunt at massa eu blandit gravida quam donec viverra eros eget pellentesque blandit arcu nibh aliquet odio ac lobortis dui quam nec leo mauris malesuada risus ac odio hendrerit pretium cras elementum consectetur dictum aliquam vel velit malesuada tristique erat et lacinia magna in purus ipsum pretium at urna eu sagittis ultrices augue sed eros ligula auctor sed facilisis id interdum a dui etiam id purus et nisl pharetra malesuada quis eu dui proin condimentum nisl tortor eget consequat lectus pretium eget ut ut erat quis est vestibulum convallis proin eu cursus ex nunc laoreet magna vel sodales viverra nulla at efficitur sapien maecenas auctor ex non interdum ornare in hac habitasse platea dictumst nam nec est a nulla pulvinar ', '0'),
('31', 'node', ' duis maximus mauris non urna porta nam lorem lectus scelerisque in lectus nec ultricies luctus sapien cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus duis maximus mauris non urna porta vel pulvinar diam dignissim proin et rutrum diam nullam iaculis mi ac massa lobortis a imperdiet augue vehicula integer lacus turpis efficitur euismod justo laoreet pulvinar volutpat metus nullam in rutrum libero facilisis porttitor ante quisque id erat quis lacus euismod mollis duis a purus ut erat tincidunt interdum fusce mauris ex pulvinar ac pretium vitae porttitor id nisi curabitur quis sodales massa mauris eget eros sagittis semper risus vitae tincidunt metus morbi eu turpis purus quisque quis mi sagittis gravida arcu sed tempus quam nullam tincidunt nulla in diam hendrerit sed scelerisque nisl fringilla etiam ultrices gravida condimentum in at diam porta semper metus sit amet eleifend sapien sed ut quam iaculis eleifend est in tincidunt felis maecenas a tellus venenatis dapibus massa et consectetur eros sed fermentum tellus in est iaculis ullamcorper praesent et sem ullamcorper efficitur ante ac sollicitudin dui in consectetur elementum dui ac egestas quisque laoreet fermentum elit sit amet consequat suspendisse eu condimentum mauris sed cursus felis vel commodo interdum mi libero sagittis ipsum et laoreet orci felis quis ipsum vivamus imperdiet magna nisl et mollis mauris elementum id cras quis magna nec neque maximus ullamcorper mauris vulputate sem nunc ac fermentum libero posuere et morbi molestie lectus sit amet nisl efficitur rutrum aenean porttitor ipsum ac mi feugiat lobortis proin imperdiet sem quam ut pharetra justo scelerisque eget ut nibh purus blandit at tortor in laoreet sodales purus fusce facilisis metus eros id dapibus quam elementum non nam nec est a nulla pulvinar ', '0'),
('32', 'node', ' fusce vestibulum dictum arcu vitae rutrum maecenas blandit ullamcorper ex quis pellentesque risus feugiat suscipit nullam semper interdum commodo ut pulvinar nunc eget convallis venenatis magna dui ornare mauris et pharetra libero lacus sit amet nibh duis semper mollis felis eget gravida sem bibendum a quisque convallis ex eu dui dignissim vulputate quis sed sem fusce rhoncus risus tortor eu laoreet ex aliquet sed nam ullamcorper erat vitae risus dictum imperdiet donec auctor massa in euismod porttitor est nulla lacinia est sed mollis neque sem vitae erat cras vitae felis auctor lorem tincidunt iaculis eleifend at ligula nunc tempus vestibulum diam at auctor magna eleifend eu phasellus sed dolor rhoncus pharetra nulla quis commodo orci nulla condimentum rutrum justo eu suscipit justo lacinia eu aliquam vitae augue sit amet quam pharetra aliquam vel vitae ex curabitur porttitor eros sed faucibus fermentum odio ante blandit nisi ut laoreet mauris nunc in metus integer nec dui maximus ornare ligula lobortis ornare nulla aliquam ullamcorper turpis et congue facilisis fusce vestibulum dictum arcu vitae rutrum donec lobortis metus vitae consectetur volutpat ut lectus nisl tincidunt sed elit ut mattis convallis augue proin et blandit est non lacinia justo nunc egestas nec felis vel bibendum nulla facilisi mauris tempor mollis rutrum nam ullamcorper nec dui at aliquet praesent sit amet eros odio etiam nec est fringilla imperdiet dolor eu dictum mauris donec nec scelerisque neque donec pretium turpis ut lectus lobortis dictum cras gravida non dui et mollis in hac habitasse platea dictumst nunc condimentum quam a posuere sagittis nullam arcu erat mattis quis finibus quis sodales et tellus aliquam posuere eu purus at venenatis integer tempor felis sed iaculis euismod praesent dapibus maximus dui ac aliquet lorem volutpat a proin luctus nec libero et condimentum quisque interdum lacus nec tortor placerat semper fusce non leo sit amet quam viverra imperdiet curabitur congue augue quis interdum tincidunt nam nec est a nulla pulvinar ', '0');
INSERT INTO `search_dataset` VALUES
('33', 'node', ' morbi faucibus imperdiet fringilla donec fringilla ante at nisi suscipit tincidunt vivamus a purus scelerisque posuere nisl nec semper neque pellentesque in eleifend ipsum in convallis velit curabitur vehicula consequat libero vel mollis felis interdum ac morbi accumsan pretium aliquet aliquam volutpat sit amet erat id tempor integer aliquam nulla sit amet fermentum ultrices ante metus placerat mauris eget consequat mi nisl quis sem ut ac blandit leo et lacinia urna nullam in justo placerat ultrices orci id porta nisi donec at mollis nisl nec molestie nisl vestibulum risus lacus lobortis sed purus ac euismod scelerisque quam class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos sed tristique mi eget augue luctus lacinia phasellus et pulvinar risus morbi faucibus imperdiet fringilla nulla quis enim et augue ultricies vehicula eu non dolor cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nulla venenatis condimentum diam nec vulputate orci tempor a duis finibus arcu quis tincidunt facilisis nibh odio suscipit est nec elementum turpis ex in urna nulla rutrum pellentesque ligula quis eleifend quisque eu odio euismod lobortis magna in aliquet velit sed nec felis et lacus hendrerit tristique eu quis leo aenean tincidunt turpis ac sagittis ultrices nulla lacinia diam dui quis ullamcorper dui fringilla sit amet aliquam a commodo leo mauris erat tortor commodo in convallis vitae mattis convallis justo nulla placerat justo auctor ex viverra condimentum sed semper cursus risus in condimentum erat finibus ultricies in hac habitasse platea dictumst praesent nisi arcu convallis eget odio et rhoncus accumsan ex vivamus consectetur nibh risus nec aliquam eros laoreet et pellentesque consequat rutrum congue suspendisse consequat mi euismod ex condimentum hendrerit proin nisl sapien tristique in faucibus congue laoreet at ligula curabitur at sollicitudin ligula nunc a tortor luctus feugiat lorem eu molestie arcu sed non risus in neque scelerisque semper nulla sit amet purus quis risus volutpat varius fusce lacinia dolor ac elit euismod scelerisque ut at eleifend libero quis mattis odio maecenas tristique sit amet risus a auctor donec vulputate eros nunc ac suscipit velit gravida at ut vehicula quam aliquam ', '0'),
('34', 'node', ' fringilla dolor sed hendrerit velit mauris lobortis orci in sollicitudin laoreet integer mattis tellus ut volutpat iaculis magna quam faucibus nisi sed rhoncus massa elit ut dolor donec rhoncus ex a metus commodo eu varius ipsum dapibus fusce quis consectetur erat aenean eu nulla efficitur venenatis ex a viverra neque sed luctus vitae felis eget mollis curabitur eleifend erat mauris a convallis ante facilisis vel mauris rutrum dolor eu elementum sodales phasellus et orci mauris in dapibus mauris enim quis tempor ligula varius eget pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas quisque leo sapien luctus porta sollicitudin vitae pellentesque quis leo pellentesque tellus velit accumsan eu tortor ac feugiat suscipit lacus mauris a elit nec erat cursus auctor fusce a ex aliquam tempor mi a iaculis nunc fusce nec quam tempus fringilla dolor sed hendrerit velit phasellus lobortis at metus in mollis sed iaculis tortor malesuada vehicula tempus mauris et lacus sapien aenean ut mi eget ligula semper molestie proin nec neque eget mi interdum varius sit amet at lorem nullam eget leo at nisl efficitur accumsan fusce consequat purus sed consequat dictum ut tristique justo quis odio luctus vitae tristique dolor ullamcorper donec ut mi lacinia posuere justo sit amet ultrices neque phasellus tortor tortor posuere sit amet imperdiet in faucibus eu sapien nulla tempus porta ipsum sed ullamcorper sed enim sem blandit nec mauris sit amet cursus sollicitudin dui proin eget finibus eros mauris nec lacus ut augue porttitor elementum cras dignissim nibh quam at tincidunt quam porttitor eu proin semper odio sit amet risus cursus sed sodales purus pretium maecenas lobortis tortor ac mi dignissim vitae dapibus tortor pharetra nulla laoreet mattis erat a mollis neque condimentum vel donec quis nisi posuere elementum lectus eget laoreet odio duis ut ultricies risus ut vehicula quam aliquam ', '0'),
('35', 'node', ' duis blandit semper condimentum nullam et velit nunc sed suscipit leo dui id vehicula felis iaculis eget integer mattis libero nec lectus scelerisque gravida in ac bibendum eros etiam sodales massa et elementum laoreet nibh orci sodales mauris ac suscipit purus nulla sit amet augue phasellus porttitor enim ut ante mattis sed elementum tellus tempus nullam molestie pellentesque orci ornare luctus praesent in tortor sit amet metus gravida tempus ut eget lectus interdum et malesuada fames ac ante ipsum primis in faucibus pellentesque hendrerit congue tellus quis imperdiet neque varius eu donec hendrerit ex vel mauris gravida eget mattis neque consectetur sed eu libero vitae quam pellentesque convallis mauris non sem eu nunc rhoncus tristique quisque commodo ligula quis fermentum sagittis urna leo ultricies erat at lobortis elit eros ut arcu curabitur auctor justo ut vestibulum viverra augue nisl sodales nunc a imperdiet tortor sem ac lacus phasellus ut enim est sed volutpat aliquet pretium nam sit amet ligula libero nulla vel risus sit amet justo aliquam elementum sit amet eu augue duis blandit semper condimentum curabitur vel tristique sapien fusce lobortis nisi et turpis tincidunt blandit nullam volutpat odio quis neque pellentesque non congue nibh congue sed at commodo ante suspendisse venenatis nec quam non eleifend nunc fringilla venenatis faucibus sed aliquam porttitor est id tempor sapien blandit vitae pellentesque sodales iaculis nibh quis lacinia pellentesque viverra leo quis libero commodo mattis etiam quis dignissim quam etiam vel nulla congue lobortis velit at euismod erat vivamus pretium dignissim nunc in luctus morbi et neque a ante consequat pellentesque praesent fermentum eleifend consequat vestibulum ullamcorper nisi nec dignissim eleifend nunc pretium quis urna nec cursus maecenas semper feugiat ', '0'),
('37', 'node', ' mauris eleifend pulvinar lorem ipsum dolor sit amet tincidunt tellus id euismod anonymous s blog 4 reads interdum et malesuada fames ac ante ipsum primis in faucibus donec lobortis mi ex id interdum elit vestibulum at mauris a finibus dui in et mattis felis aenean tincidunt erat eu eros ullamcorper et porttitor mi cursus phasellus tortor ipsum eleifend vel sapien rhoncus congue commodo ex ut vehicula fringilla venenatis cras ullamcorper eget ligula vel congue ut turpis nibh lobortis ut porta pharetra efficitur sit amet tellus aliquam rhoncus at ante id ultricies curabitur eget quam condimentum egestas orci id ultricies nibh praesent nec turpis viverra congue est sit amet molestie odio nulla sit amet aliquam nisi vel hendrerit lectus curabitur neque nulla sagittis ac tellus a mollis tempus sem integer bibendum vehicula laoreet quisque at neque imperdiet feugiat enim id egestas nunc etiam hendrerit metus ac pellentesque bibendum magna mi ornare neque eget ornare quam nisl at nibh curabitur dignissim lacus id fringilla eleifend ut fermentum ante eu molestie varius aliquam convallis aliquam lectus praesent non posuere felis sit amet tempus est mauris eleifend pulvinar nibh id condimentum ipsum eleifend eu aliquam consequat pharetra volutpat in aliquam dui ac ipsum egestas nec luctus mauris pretium proin lacinia dui a urna hendrerit quis tincidunt lectus sagittis pellentesque ac molestie metus nulla non porttitor sem sed varius arcu pellentesque et erat eleifend eleifend nibh quis congue metus donec pellentesque non dui at imperdiet morbi tincidunt aliquam tincidunt integer ac erat nunc morbi sed risus in odio ultrices varius nullam vulputate tortor ornare turpis ultricies condimentum suspendisse id porttitor erat maecenas porttitor ex nec molestie fermentum nunc sapien varius sem nec eleifend erat purus vitae ipsum nullam sit amet nunc quis nisi bibendum semper eget et mauris  vote up  ', '0'),
('38', 'node', ' write your next web app with ember cli javascript drupal health admin s blog 88 reads mauris ex augue congue ut nisi ut aliquam pulvinar dolor suspendisse potenti suspendisse ac erat a tellus iaculis malesuada eget vitae lectus aliquam pretium nisl non maximus pharetra orci lacus consectetur enim eu ornare quam nibh vitae magna nunc rutrum eu arcu et rutrum etiam ut sapien at tellus mollis molestie quis sed ex cras vitae hendrerit dui cras sit amet lacus vel lectus dignissim suscipit eu nec leo donec maximus turpis in elementum pellentesque turpis enim varius erat non malesuada augue mauris nec sem donec interdum ante at tellus ullamcorper facilisis ut fringilla varius ex a sodales quisque dapibus felis at mauris aliquet mollis donec luctus semper ante nec volutpat ut dui purus cursus eget dolor a elementum cursus ligula aenean tempus posuere purus ac sodales cras in faucibus ipsum ut semper lectus cras maximus convallis urna ut consectetur risus luctus nec integer ac feugiat dolor quisque hendrerit ipsum nec turpis pulvinar feugiat quisque et metus aliquam consequat velit condimentum pharetra odio suspendisse condimentum laoreet dapibus integer consectetur ex nec arcu consectetur a fermentum massa pretium praesent vitae lacus et dolor scelerisque consectetur integer enim lacus finibus id bibendum nec molestie consectetur neque morbi faucibus felis est eu laoreet ipsum molestie at curabitur ut nisi in libero iaculis efficitur nunc luctus metus eu eros cursus semper etiam eget eros venenatis orci ultricies viverra morbi vitae feugiat ante nec dictum dui aenean ullamcorper sit amet urna in aliquet duis mollis eros risus nec pharetra lectus facilisis sit amet pellentesque accumsan libero in lorem auctor vitae venenatis nisi consectetur fusce dictum lectus felis a auctor quam lacinia ut ut hendrerit mi neque et elementum mauris euismod sed nulla posuere porta odio vel suscipit curabitur commodo sit amet massa vel fermentum ut congue tincidunt ante mauris vestibulum sem sed dictum gravida tortor tellus vulputate odio vel commodo diam lorem nec neque quisque dictum malesuada nunc sit amet dapibus neque suscipit sed proin tortor nunc accumsan non vulputate vel bibendum vel diam aliquam scelerisque eget elit vitae vulputate donec sit amet semper ligula lorem mauris nunc 1 vote up  ', '0'),
('39', 'node', ' suspendisse potenti duis vel nisifes netus et malesuada fames admin s blog 2 reads donec lorem accumsan ultrices dapibus morbi sit amet ex at risus egestas egestas vel non neque suspendisse eu faucibus purus duis sem nibh facilisis at scelerisque eget dignissim ut odio in vel elit et sapien interdum auctor vivamus at cursus libero phasellus gravida non urna sed fermentum nam leo lacus efficitur a felis a molestie lobortis enim in eget fermentum orci et laoreet sapien pellentesque fringilla sollicitudin libero morbi neque dolor lacinia at orci nec convallis pharetra libero lorem ipsum dolor sit amet consectetur adipiscing elit sed efficitur lectus vel accumsan feugiat integer varius nunc ut elit lobortis varius donec id euismod dolor suspendisse potenti cras finibus turpis sit amet laoreet ullamcorper pellentesque pulvinar magna quis facilisis tincidunt fusce dui quam eleifend ut ultricies ut posuere quis lacus integer vulputate ullamcorper dictum nam id feugiat nisl nam dolor felis mattis maximus eros eu lacinia semper nibh praesent non aliquet risus in interdum sit amet ante sit amet tempus vestibulum convallis id leo eget consequat nam ornare consequat justo ut ornare nunc id pellentesque nisl vitae maximus orci suspendisse elementum dignissim mauris vel sagittis sed ut volutpat arcu quisque fermentum felis vel diam dictum tristique mauris fringilla eget quam sed elementum vivamus vestibulum tellus ac magna maximus convallis donec dui orci commodo volutpat convallis in iaculis nec lorem vestibulum nec imperdiet erat vivamus finibus ante ac fringilla scelerisque ', '0'),
('40', 'node', ' maecenas suscipit erat condimentum tellus tellus lorem ipsum dolor sit amet tincidunt tellus id euismod admin s blog 4 reads ipsum ultricies lorem condimentum interdum et malesuada fames ac ante ipsum primis in faucibus vivamus eu venenatis ipsum ut efficitur augue nunc tincidunt porttitor velit fringilla finibus in vel orci quis dui aliquet imperdiet sed sed massa integer at turpis eget nisi tincidunt venenatis vestibulum faucibus erat vitae libero feugiat a gravida leo tincidunt nulla convallis dictum ipsum vitae ultrices donec quis libero ante praesent imperdiet velit eu eleifend varius morbi imperdiet est lorem vitae dictum turpis tincidunt imperdiet ut in condimentum ipsum in viverra risus donec interdum magna et erat vestibulum at pellentesque lorem tristique maecenas suscipit erat sed augue dapibus fermentum integer fringilla placerat turpis vel pharetra nulla lacinia vitae vestibulum id sapien felis etiam convallis purus lectus vestibulum fringilla felis ullamcorper volutpat mauris tempus euismod orci eget tincidunt integer ultrices velit in vulputate facilisis lectus metus fringilla est tempor sollicitudin libero erat nec turpis praesent non dui pharetra maximus nisi nec molestie ante aliquam et tempus justo eget lacinia tortor aliquam turpis lorem efficitur quis viverra non elementum sed enim nunc ullamcorper mattis suscipit integer sed dolor est cras consequat justo sed tristique lacinia morbi dictum vulputate eros quis elementum risus eleifend in vestibulum purus risus hendrerit nec congue sed porta a est donec nec facilisis risus donec sollicitudin eros sit amet ipsum scelerisque sed consequat erat cursus nam commodo nisl lectus at placerat nisl ultrices quis praesent nec velit eros aenean quis facilisis nulla ', '0'),
('41', 'node', ' duis hendrerit laoreet condimentum tellus tellus duis vel nisifes lorem ipsum dolor sit amet netus et malesuada fames pellentesque habitant morbi quisque viverra leo id tincidunt tincidunt tellus id euismod tristique senectus et vestibulum ullamcorpermoles anonymous s blog 194 reads donec mollis tempus quam non porta proin commodo et tortor id maximus sed ipsum nisl ultrices at augue vitae blandit tincidunt risus integer lorem turpis venenatis id ultrices vulputate venenatis et odio aliquam fringilla massa ut fermentum ornare nullam non venenatis ante duis nunc justo interdum quis enim et ornare iaculis nibh proin hendrerit id leo non feugiat interdum et malesuada fames ac ante ipsum primis in faucibus in sit amet pulvinar leo vestibulum placerat arcu sed tristique porttitor suspendisse tempus nulla ut orci cursus rutrum morbi eget scelerisque eros sit amet faucibus libero curabitur eu dui non orci tempus condimentum donec a nisi pretium iaculis erat in commodo ex maecenas non arcu maximus tincidunt sem nec cursus augue in quam sapien efficitur sagittis orci nec auctor suscipit tellus etiam finibus eget justo sit amet mattis phasellus id volutpat nisi duis hendrerit laoreet augue in tristique nam pellentesque libero eu diam tempus molestie faucibus ex eleifend nulla efficitur pulvinar fringilla in eu sapien dui cras accumsan justo eget accumsan bibendum sed condimentum finibus tortor vel commodo nisl tristique non donec interdum at magna at laoreet curabitur porttitor diam vitae rhoncus consequat quisque iaculis convallis arcu curabitur sit amet nulla nulla mauris imperdiet eget nisi at mollis mauris placerat malesuada arcu ut semper metus rutrum consectetur phasellus ac fringilla elit id convallis mi duis ante dolor lobortis vitae turpis non luctus faucibus ex phasellus elit augue viverra nec tortor eget varius viverra lacus nullam auctor sed diam sit amet facilisis donec nec cursus risus  vote up  admin july 17 2013 1807 curabitur mauris tortor laoreet et consectetur non  rhoncus sed risus  donec nisi enim adipiscing quis convallis eu elementum a urna maecenas sit amet metus sem sed non est ligula sit amet vehicula nunc maecenas sed quam non urna tincidunt pellentesque ac ut enim vestibulum arcu tortor vulputate nec semper id commodo eget lacus integer mi dolor malesuada in ullamcorper ut tincidunt eu arcu mauris dictum libero id rutrum vehicula est l igula sagittis urna  ut convallis purus purus at dolor  praesent nec vehicula tortor nulla facilisi curabitur mauris sapien interdum id consequat et lobortis ut ipsum vestibulum tempus augue eu est malesuada viverra nunc mattis fermentum metus a consectetur magna egestas lobortis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos morbi non mauris ligula  suspendisse facilisis sagittis mauris  ac dictum elit fringilla ut curabitur metus mi varius ut mollis sit amet log in or register to post comments admin november 4 2013 1611 lorem ipsum dolor sit amet consectetur adipiscing elit quisque cursus sem eget sagittis sagittis nisl magna sodales eros curabitur metus mi varius ut mollis sit amet log in or register to post comments  ', '0'),
('42', 'node', ' nunc non finibus tortor  aliquam nunc ligula rhoncus sit amet erat vel scelerisque pharetra eros donec finibus sem nec nunc venenatis tempus varius et dui donec tempor elementum felis at ultricies est pellentesque sed in lacinia elit at velit malesuada id commodo ligula molestie praesent finibus sed lorem ac pretium donec ut hendrerit nibh aenean ligula nisi mattis in scelerisque nec pulvinar sed dui integer gravida est ante ut elementum quam condimentum sit amet nam quis pellentesque dui imperdiet pretium nisl pellentesque rutrum accumsan tortor vel tempor diam bibendum at pellentesque laoreet nisi purus quis porta lorem placerat eu nam ut ligula sed massa varius auctor nec vitae justo nunc non finibus tortor suspendisse potenti curabitur dapibus turpis mi lobortis rhoncus ipsum scelerisque in suspendisse cursus malesuada quam eget accumsan diam porta sed nunc blandit purus congue ante rutrum semper ut mollis dolor tortor non rutrum tortor egestas at sed euismod molestie lacus quisque vel sapien et turpis euismod rhoncus ac sit amet nulla nam lacinia dapibus elit quis suscipit praesent sagittis blandit orci in porta nulla volutpat mauris nunc eget molestie nunc porta nec aliquam non facilisis lacus cras luctus est ante ac aliquam tellus placerat a vivamus facilisis consectetur lobortis proin sagittis ipsum tincidunt nibh feugiat et tincidunt urna pulvinar etiam vestibulum leo sit amet lectus scelerisque tempus curabitur iaculis tellus mauris non interdum ante sagittis eu ut eu ipsum lectus nam laoreet arcu luctus lacinia mollis maecenas vestibulum lobortis hendrerit general licence others ', '0'),
('43', 'node', ' pellentesque maximus ligula vitae augue efficitur  morbi mauris purus semper quis purus ac vehicula accumsan massa morbi ac pharetra felis mauris tristique fringilla orci in consectetur nunc efficitur non cras varius metus ipsum sit amet dignissim arcu convallis eget donec augue nisi laoreet non egestas in iaculis non est praesent magna massa vehicula in auctor vitae interdum non augue maecenas posuere id dui ut vulputate vivamus et lorem sagittis ullamcorper eros at facilisis ante vivamus convallis blandit metus at ornare etiam a cursus lacus phasellus sit amet velit lectus mauris mattis est sit amet ex molestie tempor integer accumsan nisl sit amet felis scelerisque maximus aenean facilisis venenatis mattis aliquam viverra lorem dui eu ultrices neque condimentum sed quisque metus est faucibus vitae est nec posuere molestie metus pellentesque maximus ligula vitae augue efficitur vel laoreet nibh tincidunt duis consectetur lectus non nulla vehicula et posuere augue malesuada nunc aliquet pretium augue tempus interdum curabitur suscipit ligula eget ex egestas nec pulvinar lectus placerat proin ac gravida nisl nec congue ante cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus sed vestibulum fermentum nunc et vestibulum ipsum pellentesque sit amet fusce vitae vestibulum magna vestibulum auctor erat et convallis vehicula urna nulla semper urna ac maximus lorem nibh eu magna curabitur sed diam ut turpis mattis ultrices sed blandit nulla sit amet arcu sollicitudin imperdiet suspendisse potenti mauris iaculis lacus id vulputate tristique class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque eu justo a risus gravida vehicula non non ligula ut placerat libero nec eros egestas vitae sollicitudin orci consequat fusce mollis sem sit amet nisl egestas imperdiet others ', '0'),
('44', 'node', ' morbi tristique odio velit  pellentesque vitae tincidunt tellus in auctor purus suspendisse condimentum accumsan massa vitae aliquet pellentesque aliquam erat id volutpat maximus lectus ante pretium dolor vitae feugiat dui nisi at sem duis scelerisque auctor enim sit amet semper nisl tincidunt luctus nunc auctor scelerisque est vel hendrerit ex semper in curabitur luctus fermentum orci non finibus nam viverra lectus quis rhoncus pellentesque ligula justo condimentum nisi elementum molestie magna metus nec velit aenean viverra accumsan semper nulla a pretium ligula fusce id consequat quam sed dapibus massa in diam varius tempus suspendisse a massa in orci pellentesque lacinia non non arcu proin est lorem semper quis pulvinar eu eleifend eu est sed gravida urna hendrerit metus molestie rutrum vestibulum egestas felis a dui semper sed maximus velit finibus aenean rutrum est vitae sodales cursus nibh metus faucibus urna quis ultricies nunc nibh maximus nibh fusce maximus orci est maecenas finibus augue et sem cursus ultrices nam vitae odio nisi morbi tristique odio velit vitae sagittis tortor vulputate vel praesent laoreet eu augue ac viverra quisque est quam accumsan et ex a vehicula luctus mauris quisque vel leo arcu pellentesque in risus risus sed sed nulla quis nibh fermentum pellentesque at sed elit donec egestas efficitur finibus in ac feugiat magna quis fermentum neque nullam cursus ullamcorper felis id pellentesque metus semper vel nulla facilisi suspendisse vestibulum nulla orci ac egestas orci volutpat ac pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas etiam euismod sodales feugiat vivamus sed nibh euismod sapien facilisis mattis nec eu nunc sed consectetur aliquet massa sed accumsan enim facilisis nec development general licence ', '0'),
('45', 'node', ' vestibulum pellentesque consequat  praesent facilisis dapibus diam ornare dignissim turpis luctus in phasellus eleifend sed enim ut sagittis maecenas lacus ligula pharetra quis magna ut gravida vulputate ipsum in hac habitasse platea dictumst donec ut eros quis lacus aliquet ultricies nullam egestas odio sed lobortis imperdiet enim sem vulputate sapien vel tincidunt elit metus eu diam aliquam nibh risus viverra eget purus sit amet lobortis consectetur leo etiam augue ante viverra id placerat pretium porta ac odio aliquam ultricies maximus lorem vel porta donec eget leo felis nunc auctor eu tellus eu hendrerit in at pellentesque erat ut faucibus arcu proin nisl dui fringilla quis odio ut pulvinar scelerisque urna maecenas lobortis magna nec rhoncus pulvinar nisl massa mattis nulla sit amet semper leo velit non magna praesent laoreet semper aliquet quisque sed accumsan arcu id posuere turpis vestibulum pellentesque consequat tellus sed rutrum aenean vestibulum nisl eget imperdiet ultricies neque dolor finibus felis a convallis dui purus sed metus phasellus sed velit nec ex aliquam cursus sed ut metus nunc nec tristique arcu etiam pretium venenatis ipsum finibus fringilla urna fringilla eu cras aliquam iaculis odio eu vulputate nibh sed hendrerit pharetra eros in malesuada in ultrices lacus vel neque rutrum vitae consectetur tortor ullamcorper donec commodo nulla id cursus fringilla vestibulum tellus leo iaculis in tincidunt eu tincidunt non ligula integer convallis felis ac nisi sagittis sed congue orci dapibus aenean placerat purus at bibendum congue duis mattis risus ac sagittis pretium ligula quam varius purus imperdiet finibus nisi orci sit amet leo integer id aliquet arcu etiam et augue erat etiam quis ante molestie rutrum nunc eu facilisis odio etiam a neque id turpis sollicitudin bibendum vestibulum ut dictum massa aenean tempor pulvinar nunc sed aliquet ipsum laoreet lobortis morbi ullamcorper posuere ligula ac varius general ', '0'),
('46', 'node', ' maecenas id blandit mauris  sed metus lectus rutrum id volutpat nec aliquet sed lacus sed pulvinar tempus odio non lacinia in hac habitasse platea dictumst donec non lectus blandit placerat enim id ultrices turpis quisque posuere ornare eros sed euismod aenean posuere purus nibh ut fermentum arcu rhoncus sit amet suspendisse eu elementum nisl donec sed dolor ac mi cursus rhoncus sit amet id ante etiam euismod ante vitae massa congue finibus et vel lectus quisque massa nulla finibus quis iaculis nec dignissim ac libero pellentesque ac viverra velit phasellus justo justo placerat sit amet augue commodo vestibulum maximus nisl nullam auctor vel libero vitae blandit nulla lectus tortor dictum a mattis in blandit ut magna donec laoreet pellentesque leo id feugiat nullam faucibus eros ac accumsan interdum maecenas id blandit mauris non congue est in blandit id justo id tincidunt mauris vitae quam nec magna lacinia molestie id quis mauris nunc vehicula arcu a purus venenatis vitae placerat ante aliquet curabitur ac nisl lacinia mi vulputate pretium et sit amet risus cras eget mattis lacus aliquam erat volutpat sed fringilla nisl non justo tincidunt sodales nullam at elit ullamcorper ipsum iaculis varius eu vel nisi pellentesque volutpat lacus id mollis sodales class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos vestibulum maximus ut metus a efficitur nunc ut lacus sed augue elementum rutrum quis ac enim pellentesque bibendum tellus quis facilisis scelerisque enim justo aliquet quam sed rhoncus purus nibh ut enim sed euismod turpis velit eget fermentum risus euismod at donec ac purus dolor in tincidunt tempor auctor maecenas massa erat lacinia nec pretium vel vulputate eu nisl proin eu pharetra lorem licence ', '0'),
('47', 'node', ' always in trend 2 reads aliquam dapibus vestibulum malesuada mauris blandit efficitur scelerisque morbi suscipit euismod tellus vitae rutrum vestibulum ornare imperdiet tortor ut fermentum justo venenatis id nunc blandit hendrerit malesuada curabitur non sollicitudin mauris nec tincidunt ligula maecenas a tellus non metus commodo ultrices eget in justo pellentesque quis nibh vel erat facilisis gravida eget id elit fusce at consequat neque suspendisse ipsum est dignissim nec sagittis sit amet commodo id justo duis eget risus justo cras suscipit nulla lacus eu imperdiet mauris vehicula sed sed ornare sit amet nulla ut ornare in maximus eros purus et placerat augue blandit nec nullam vel lobortis orci in tortor nibh sodales non bibendum id euismod vel diam donec ultrices egestas nisi ut hendrerit sem placerat a fusce turpis nisi malesuada sit amet tincidunt a pellentesque ut nisi morbi tristique dapibus dapibus aenean vestibulum finibus luctus aliquam erat volutpat ut tincidunt sapien ac aliquam iaculis orci erat euismod leo ut vulputate lorem odio ut elit donec sed accumsan magna proin laoreet odio a suscipit faucibus velit lectus malesuada nibh a vulputate sapien justo sit amet velit quisque mollis ipsum non leo dapibus aliquam morbi pharetra nisl in metus rutrum tincidunt donec suscipit nulla risus non mollis orci fermentum dictum nam facilisis luctus velit in gravida etiam non pretium libero faucibus scelerisque urna aenean eget pulvinar ipsum suspendisse quis nunc risus quisque ante nunc varius a lacus quis consectetur convallis est  ', '0'),
('50', 'node', ' we are creative professionals 2 reads donec iaculis lacus tincidunt sodales nisl sed ultricies risus nulla ac risus ex integer fringilla felis quis ullamcorper eleifend in rutrum ultricies arcu eu scelerisque nunc vehicula diam id magna interdum ac aliquet ipsum fermentum ut ac orci porttitor tortor varius tincidunt nec in massa vestibulum nisl nibh rutrum at ipsum quis viverra vulputate erat sed tincidunt hendrerit tellus molestie sodales urna convallis sit amet nam eu sodales mauris proin diam diam porta at cursus nec convallis in metus donec elementum ligula luctus ligula rutrum sagittis nulla aliquet orci non mollis elementum ut a ipsum blandit hendrerit erat ac convallis dolor morbi ornare eleifend est ac condimentum sapien volutpat id curabitur quis tortor sagittis porttitor libero eu scelerisque ligula vestibulum posuere hendrerit ipsum id malesuada pellentesque eu nisi facilisis convallis libero non efficitur mi etiam arcu magna rutrum sed faucibus vel faucibus a quam nulla facilisi donec vulputate ante suscipit nulla mattis ultricies etiam vulputate varius commodo donec in mollis nisi nunc blandit luctus velit sed fermentum mauris mattis id dolor a dignissim fusce est purus consequat in dui vel convallis auctor odio nullam tristique maximus finibus etiam aliquam justo nec ligula iaculis accumsan curabitur feugiat ex vitae vestibulum ultrices sed vitae mi tellus aliquam ut iaculis metus donec at tincidunt velit curabitur malesuada quam in pellentesque blandit aliquam euismod est at orci maximus et consectetur metus aliquet nulla efficitur quam ut dui scelerisque non tempus libero aliquam pellentesque condimentum tortor ac consectetur mattis turpis velit accumsan eros et scelerisque libero justo vitae elit nunc lacinia est eget nulla blandit maximus vestibulum id turpis id metus ultricies egestas sed eget nulla vivamus semper maximus dolor ac sollicitudin nunc euismod malesuada arcu a consectetur odio ultricies et donec magna purus ornare quis vulputate nec dignissim at velit nulla iaculis turpis tellus nec pellentesque sem rhoncus a nunc ac erat eu mi aliquet sagittis etiam sed tortor lectus  ', '0'),
('52', 'node', ' aenean ipsum leo 3 reads vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec tempor sit amet odio et efficitur cras ut ornare massa in imperdiet turpis fusce facilisis nec ex quis vehicula curabitur commodo rutrum malesuada aliquam at orci eget metus varius rhoncus a a velit phasellus tristique blandit est vitae aliquam magna pharetra sed morbi ultricies nulla vel efficitur faucibus leo metus tincidunt leo id mattis est purus vel ipsum suspendisse semper odio ut malesuada interdum proin semper venenatis nisi eu malesuada tellus sollicitudin sodales duis ultrices ante at odio molestie fermentum aenean ipsum leo molestie non ullamcorper ut condimentum ultrices lectus in eget vehicula lectus morbi felis arcu mattis at turpis eu sagittis feugiat risus aenean finibus sollicitudin turpis ac sollicitudin cras id elementum metus a malesuada orci sed aliquam est ut tincidunt condimentum tortor erat gravida justo ultrices pharetra odio erat quis tortor proin sem dui porttitor non ante nec tempus mattis eros integer et nulla iaculis porttitor tortor eget hendrerit ipsum cras nec neque odio mauris at dictum eros porttitor suscipit leo praesent quis arcu pretium porta dui eu vulputate nisi aenean sed euismod eros rutrum sodales ligula in bibendum porta neque vel pulvinar nunc hendrerit ac fusce sollicitudin ultricies nulla quis mollis nam non elit faucibus gravida justo eget egestas dolor vestibulum vel tristique tellus nam imperdiet odio quis venenatis egestas fusce sed quam nec mi congue dapibus vestibulum rutrum ipsum felis a volutpat ipsum varius et ut eu posuere ligula donec varius cursus convallis sed ornare sapien et tincidunt efficitur eros risus aliquet magna a scelerisque enim mauris vel elit maecenas magna arcu semper vel justo eu maximus congue elit in vehicula nulla at lacinia euismod cras vulputate mauris vel rutrum cursus mi ante tincidunt nisl ut vestibulum libero lectus et mauris nullam dictum sapien ac accumsan bibendum justo urna porttitor felis sit amet molestie diam nisi vitae orci mauris sit amet purus augue integer sodales commodo efficitur praesent ullamcorper quam non nisi vestibulum ac gravida quam molestie modeling ', '0'),
('53', 'node', ' phasellus ultricies magna 8 reads aenean volutpat quis urna nec commodo mauris vulputate urna facilisis fermentum sagittis fusce tincidunt interdum neque et dapibus mauris nisl est gravida sodales lacinia ac vulputate et ligula nunc id suscipit nunc proin dictum tincidunt risus sed bibendum sem volutpat dictum morbi et volutpat mi duis aliquam tellus at mollis luctus cras molestie odio vitae volutpat sodales proin auctor egestas libero lacinia vehicula odio pellentesque quis proin sed dui ut purus finibus dignissim id eu massa mauris dapibus eu justo sed volutpat ut dignissim nisl nec urna luctus quis porttitor est ultricies sed tristique dolor eu risus consectetur feugiat proin ut dui nunc nullam felis velit fringilla commodo augue id imperdiet feugiat dui aliquam sit amet lobortis erat quisque non lectus ut ante tristique euismod phasellus ultricies magna eget quam venenatis condimentum in vehicula urna vel dui imperdiet sollicitudin etiam ac nisl sed justo iaculis condimentum sit amet id mi in luctus sapien quis nulla tincidunt tristique ac quis arcu aliquam ligula nisl semper varius eleifend ut commodo laoreet massa etiam elementum rhoncus enim varius ultrices mauris at lorem consequat pharetra ex at mollis massa vivamus scelerisque arcu semper ligula aliquam gravida eleifend enim dignissim integer aliquam eleifend diam ut malesuada ipsum commodo et phasellus erat justo euismod vitae volutpat nec mattis sit amet magna sed quis interdum leo at suscipit felis mauris tellus turpis gravida ac tincidunt vitae imperdiet id lacus graphic design ', '0'),
('54', 'node', ' quisque dapibus 10 reads aliquam quis augue mauris pellentesque ipsum lectus ultricies quis congue id aliquet vitae nulla vestibulum semper iaculis egestas nunc vel gravida metus nulla posuere vestibulum ipsum sed eleifend nulla bibendum risus euismod interdum massa at consectetur ex duis sem sem convallis eu erat eu elementum lobortis augue vivamus tincidunt ipsum et nisi malesuada ultrices class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos etiam sodales pulvinar nisl sit amet elementum aliquam feugiat nec massa quis efficitur phasellus pretium dolor velit a dignissim quam cursus at fusce id libero consectetur pharetra felis in consectetur enim maecenas condimentum risus vel est imperdiet ac pellentesque nulla gravida nulla vulputate lectus sed tristique aliquam sapien lacus cursus ex vel rutrum ipsum libero eget elit aenean aliquet pharetra tincidunt vivamus sit amet eros ipsum nulla eleifend ullamcorper laoreet quisque dapibus porttitor elit id tempus praesent ultrices leo at nibh dapibus in venenatis magna tincidunt maecenas lacinia suscipit enim ut condimentum sem luctus sed proin nisl mauris tempor et tellus eget venenatis fringilla felis donec vel lectus quis mi commodo semper quisque id vehicula libero pellentesque laoreet velit diam eget dapibus urna vestibulum sed nam venenatis fringilla volutpat vestibulum fermentum nulla id sem bibendum venenatis fusce nec convallis dui etiam eget hendrerit purus integer tempor ultricies felis nec luctus nibh semper rhoncus in nec diam eu quam cursus mollis cras varius a tortor vitae convallis praesent gravida ligula at lectus ornare vel commodo odio lobortis sed lobortis sapien et odio semper ultrices aliquam rhoncus sapien ac nunc imperdiet non dapibus nisi gravida curabitur sed venenatis elit quis ultrices metus graphic design ', '0'),
('55', 'node', ' vestibulum elit turpis 8 reads mauris mollis ac mauris sit amet tincidunt integer molestie neque et elementum ornare erat magna accumsan ipsum ut malesuada arcu lectus id leo duis hendrerit tincidunt nisi vel fermentum augue molestie in vivamus non laoreet mi aenean feugiat aliquam arcu sit amet rhoncus donec at mi nulla maecenas convallis vehicula nisl non lacinia mauris tempor a quisque porttitor nisi ut dui malesuada mollis pellentesque tristique est at nunc tincidunt porttitor vestibulum elit turpis lobortis hendrerit felis ut ultrices eleifend nunc vivamus ac suscipit quam non sagittis nisi phasellus lacinia tortor in ultricies eleifend sed id elit ut tellus ultrices congue sed eu ante vestibulum viverra mauris eget imperdiet euismod donec eu facilisis neque et consequat ante praesent hendrerit nunc lacus id aliquet nisl sollicitudin non nam porta urna nunc vitae efficitur orci efficitur et ut faucibus fermentum est id tempor lectus pulvinar a nullam rhoncus sem nec ultrices pharetra justo turpis fermentum risus non ultricies justo nulla at lacus integer vitae lectus cursus massa aliquet egestas sed nec porta elit sed imperdiet sem augue vel auctor lacus pellentesque eget nunc bibendum nisl sed turpis iaculis dictum donec ut lorem libero nullam congue condimentum maximus donec rutrum libero non ligula fermentum cursus pellentesque at varius eros praesent vehicula at nibh nec finibus suspendisse at porttitor justo in rutrum velit metus ut congue nisi pretium ac etiam suscipit est ut enim aliquam euismod duis aliquam massa sit amet lobortis luctus dui felis imperdiet justo vel tempus sem massa eget orci modeling ', '0'),
('56', 'node', ' sed massa dolor 4 reads suspendisse potenti proin vulputate massa at porttitor aliquet sed ex arcu porta vitae efficitur quis porttitor vitae quam mauris vel massa orci quisque in ullamcorper turpis vitae lobortis ligula curabitur pretium turpis a vestibulum viverra velit leo porta enim imperdiet auctor lectus magna non turpis proin eu sapien scelerisque efficitur elit quis dictum nisl pellentesque cursus urna sit amet semper pretium felis ligula molestie metus a sagittis ligula nisi id felis nullam tincidunt ut arcu eget feugiat duis non arcu orci sed at dolor semper ligula volutpat consequat nam facilisis tempor libero vel pretium leo dignissim at in et ex ac velit volutpat placerat vivamus elementum massa at neque lacinia ac blandit urna sollicitudin nullam semper dolor non turpis faucibus tincidunt viverra erat tincidunt nunc eget eleifend sem pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas etiam volutpat lacinia quam id pretium libero condimentum et quisque diam velit tincidunt a sodales ut scelerisque nec dui morbi vel vehicula ligula cras vel magna sed urna placerat euismod sed massa dolor pellentesque vitae interdum sed venenatis vitae metus duis a velit vulputate pulvinar diam id consequat dolor proin tincidunt augue non ullamcorper pulvinar maecenas massa ligula mollis mollis massa at lacinia suscipit justo sed molestie quam ac neque euismod quis tempus neque faucibus donec molestie lobortis ex in consequat justo iaculis vitae donec rutrum felis in pulvinar sagittis donec condimentum massa eu imperdiet aliquam dolor magna tincidunt est quis posuere turpis libero ut mauris morbi condimentum consectetur ipsum sit amet sagittis phasellus cursus sapien at bibendum accumsan lectus felis sodales libero a egestas nulla sapien a nisl phasellus eget magna lectus donec sit amet molestie diam nulla id arcu sit amet nisi iaculis tincidunt nam sodales in nibh tristique imperdiet vivamus dignissim varius erat vitae placerat dui consequat fringilla mauris id tellus magna mauris sit amet mollis lectus maecenas pulvinar tincidunt dignissim ut a mollis urna motion design modeling ', '0'),
('57', 'node', ' mauris 4 reads nunc semper pretium ornare pellentesque tristique nisi vel mattis lobortis justo nisl efficitur odio ac euismod dolor lorem at urna aenean quis erat in nulla tincidunt porttitor vitae vitae urna vestibulum sodales congue est non lobortis sed suscipit eu magna in elementum aliquam maximus est quis faucibus tempus maecenas condimentum dui leo posuere sagittis massa gravida ac phasellus augue velit malesuada non urna in consequat bibendum tellus fusce vitae mauris nunc aliquam rhoncus ligula tellus nec maximus sem consectetur at duis a justo lorem proin pellentesque eu orci et feugiat phasellus non felis turpis nulla facilisi quisque viverra suscipit est id venenatis est faucibus quis mauris at ex augue donec in eleifend nisl eget feugiat dui maecenas ac neque rutrum porta nunc eu aliquam leo nam sagittis dolor diam porta sagittis purus viverra sit amet vivamus maximus rhoncus diam ut consectetur tellus faucibus vitae fusce scelerisque sagittis enim nec interdum maecenas et massa laoreet bibendum nibh quis venenatis est aliquam ornare nulla sed blandit mollis dui nisl cursus ligula id pretium leo quam et ante morbi faucibus enim non tempor tincidunt urna tellus consequat turpis ut egestas velit erat ac augue aenean mattis eget diam at auctor duis vel accumsan erat vestibulum vel eros et ipsum fermentum vulputate non ut mauris motion design ', '0'),
('58', 'node', ' nam magna augue 3 reads in placerat ultrices arcu sed dapibus nisi sagittis at donec magna odio elementum vitae sem ut cursus ultricies erat fusce consequat ligula in felis tempus bibendum integer nec felis erat vivamus vitae justo eros pellentesque sodales viverra ante ac porta enim venenatis ut praesent quis aliquam lacus maecenas id maximus erat fusce et tellus sem quisque mattis risus at congue ullamcorper vivamus vehicula porta augue nec convallis nam magna augue mollis nec tincidunt sit amet vehicula sed ipsum aenean lectus orci tincidunt nec nisi eget imperdiet convallis nibh quisque a nibh nec massa sagittis imperdiet nunc ipsum nisi venenatis egestas rutrum id varius ac ante proin mollis at arcu et ultrices sed interdum aliquet ornare integer tincidunt felis eu magna ultrices pellentesque curabitur vitae libero et nisl interdum sodales ut at nisi mauris urna metus pretium at nulla in elementum congue magna nunc id dapibus sapien nulla suscipit quis quam eu bibendum proin fringilla magna risus vel interdum elit posuere nec nulla facilisi aliquam sed felis tincidunt rutrum sem id ultrices nisl curabitur ultrices nisl vitae magna pharetra eu pellentesque ligula consectetur in efficitur dui et aliquet vestibulum tortor sapien euismod arcu vel convallis lorem elit sed ipsum proin metus quam egestas sed augue eget malesuada vulputate lacus ut eleifend commodo dui sit amet rutrum maecenas vel lobortis libero integer euismod turpis sodales commodo cursus motion design ', '0'),
('65', 'node', ' frank furious 5 reads marketing sales mail examplecom praesent sed congue ante nullam ligula justo consectetur nec mauris nec aliquam elementum tortor integer libero tellus iaculis a urna ac cursus consectetur mauris in ut feugiat leo aliquam erat volutpat nunc at nulla non nisl tempor varius nec nec ex donec eu hendrerit nulla non dignissim justo nam tellus erat gravida egestas sem sit amet vulputate dapibus ligula maecenas blandit dictum odio vitae vestibulum morbi sapien erat tristique id tellus nec aliquet gravida erat ut sed diam non lacus ullamcorper bibendum sit amet in elit ut dui sapien cursus quis viverra et tempus sed erat donec sit amet bibendum arcu fusce pellentesque lorem enim at pellentesque leo ultricies ultrices quisque sit amet urna finibus lacus placerat efficitur sed id nisl nam convallis rutrum sapien nec iaculis fusce placerat finibus sapien vestibulum vel lectus purus sed sed metus ac magna facilisis varius sed consectetur lorem donec mauris neque laoreet nec velit eu scelerisque egestas orci nullam imperdiet tristique elit nec porta urna placerat non vivamus vel eros quis neque tristique consectetur ut vitae turpis etiam posuere lacus dictum rutrum congue donec vulputate ante erat in tincidunt luctus neque et mollis erat ultrices in mauris sit amet tortor nec leo gravida scelerisque id ut diam integer fringilla lobortis porttitor  ', '0'),
('67', 'node', ' clifford kim 13 reads lead designer founder in eget erat sit amet ligula fermentum scelerisque donec pulvinar mi nec turpis fermentum vitae aliquam sapien tincidunt fusce vitae urna suscipit faucibus mi ullamcorper facilisis purus proin fringilla mauris ac nibh dapibus scelerisque cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus sed mauris enim ultrices vel faucibus sit amet semper nec lectus interdum et malesuada fames ac ante ipsum primis in faucibus fusce tellus magna sagittis ut velit eu pulvinar gravida nisi suspendisse eu accumsan risus pellentesque faucibus velit aliquet facilisis volutpat ante lectus scelerisque elit et elementum est magna id nibh pellentesque metus sem eleifend id lacinia sed accumsan eu libero class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos sed sed pretium dui nulla facilisi praesent nec arcu sit amet nisl convallis semper morbi finibus odio a orci tincidunt consectetur donec ac luctus tellus nunc dictum placerat turpis non egestas curabitur placerat eu mi ut ultricies suspendisse sit amet dui vestibulum dui scelerisque ultricies quisque et euismod orci vel aliquet lacus quisque id ornare sem nulla scelerisque ante in justo scelerisque tincidunt morbi convallis et libero ut tincidunt curabitur in dignissim tortor sit amet tempor nibh sed volutpat turpis nulla id scelerisque arcu volutpat vel duis at mauris molestie iaculis ante eget vehicula lorem proin dolor tortor volutpat pharetra placerat et pharetra vel leo proin sollicitudin arcu venenatis turpis finibus at aliquam mauris fermentum quisque eget erat eu magna tempor sollicitudin curabitur arcu neque malesuada et feugiat quis sodales nec quam nulla nec urna luctus blandit magna non aliquet tortor proin et eros orci sed nec ante sit amet metus consectetur aliquet non non risus mauris facilisis dictum libero eu efficitur ex maximus in pellentesque sagittis sem ipsum vel dictum justo euismod eget proin venenatis leo orci vel accumsan mauris fermentum quis etiam in ornare elit donec ut turpis neque  ', '0'),
('68', 'node', ' harold houdini 3 reads directorate mail examplecom duis luctus quam eu tellus commodo eu pretium felis egestas ut justo nunc luctus eget venenatis et lacinia ultrices metus etiam ut tempus elit suspendisse aliquam tortor et magna interdum bibendum praesent quis tellus ut diam auctor hendrerit nam cursus diam vitae volutpat ullamcorper fusce mattis magna ac consectetur lobortis ex est convallis felis et tincidunt turpis ante nec tellus nam eget risus viverra imperdiet neque sit amet lacinia magna curabitur arcu ligula tincidunt ac lacinia eget porttitor non magna nullam scelerisque leo eu tempor pretium quisque lorem nibh mattis sodales tempor sed pharetra a magna integer odio ex pulvinar eget sem eu consequat mattis nisl nam cursus pharetra diam eu molestie etiam quis nibh ipsum cras suscipit ultricies arcu ut blandit donec fringilla faucibus justo non consequat lorem posuere sit amet maecenas in justo ut mi cursus varius ac nec magna suspendisse vestibulum accumsan purus at pharetra lorem hendrerit sed vivamus in molestie mi ut feugiat magna mauris malesuada eu arcu ac hendrerit donec sed tortor ullamcorper iaculis dui id pellentesque velit nulla ac erat mi mauris facilisis sem in sapien luctus quis maximus leo pulvinar suspendisse a pretium odio faucibus sodales odio donec hendrerit fermentum libero et elementum mauris malesuada sed proin eget feugiat velit donec ut ante lacus proin finibus dolor eu varius viverra augue risus pellentesque nunc a viverra urna lacus in nunc donec vestibulum viverra velit a consequat  ', '0'),
('69', 'node', ' irma may 12 reads sales manager donec mollis turpis felis sed vitae purus quis turpis pellentesque facilisis ut euismod magna consectetur placerat convallis phasellus mi sem laoreet consectetur ultricies a lobortis sed libero vestibulum a feugiat risus morbi et ante urna etiam suscipit purus lectus sit amet bibendum arcu vestibulum quis integer libero orci vulputate vel molestie vel dictum tincidunt quam donec non convallis libero ut bibendum commodo mattis maecenas vestibulum vestibulum turpis id dictum sed eleifend odio eu volutpat sollicitudin mauris ornare libero et pharetra viverra aliquam erat volutpat curabitur nisi elit dictum non purus id interdum rutrum velit pellentesque metus nunc cursus eu nulla et pulvinar suscipit nibh nam vitae libero laoreet euismod elit eu ullamcorper tortor phasellus commodo eros quis molestie mollis in aliquam gravida nisl non rutrum leo laoreet eu aliquam erat volutpat in vel suscipit nisl  ', '0');
INSERT INTO `search_dataset` VALUES
('71', 'node', ' kara kulis 8 reads support mail examplecom curabitur eget tincidunt tellus sit amet volutpat ex sed elementum enim sed posuere ornare augue felis porttitor lorem quis semper erat neque non diam nullam tempor purus non libero dignissim a maximus quam vehicula sed vitae semper tortor nulla eu malesuada risus suspendisse dapibus venenatis est vitae euismod suspendisse mollis nec lacus eu congue duis sit amet ex in dolor maximus vestibulum maecenas non nibh id dolor aliquam commodo vel eget turpis in pretium ex nunc sed congue ante dignissim in sed sollicitudin luctus vulputate sed a posuere velit nec porta nulla donec tincidunt purus nec metus aliquam ultricies phasellus ac faucibus mauris nunc feugiat enim id placerat ornare sed ultricies pellentesque magna vel vehicula nam eget ligula maximus varius mi eget efficitur libero donec efficitur vitae libero eu varius praesent a erat turpis phasellus sed porttitor urna fusce blandit lacus sed libero euismod ac porttitor nulla sodales nulla facilisi nulla porta sed leo eget malesuada duis eu tortor nibh vestibulum orci nulla accumsan ullamcorper egestas congue malesuada vitae nunc proin convallis et nunc ac mattis aenean maximus dolor ligula sit amet mattis enim condimentum pretium aliquam erat volutpat nam aliquet dictum tellus eget commodo etiam quis leo in augue lacinia sagittis morbi semper mauris ac libero dictum dignissim curabitur purus augue fringilla mollis diam eu finibus viverra dolor donec tempor eu nulla malesuada cursus sed tempor suscipit ex a hendrerit mauris id pharetra nunc etiam facilisis eu dolor vitae facilisis vestibulum pharetra mollis urna nec varius enim hendrerit in donec vitae ex sed elit dignissim pharetra  ', '0'),
('73', 'node', ' sarah halloy 31 reads public relations mail examplecom integer quis maximus nibh aliquam maximus accumsan velit ac bibendum ipsum elementum ac vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae phasellus ante ligula pretium eu lacinia imperdiet dictum nec dolor aenean interdum consectetur enim eu venenatis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos morbi feugiat augue nec fermentum ultricies arcu leo tempor leo id blandit tellus erat et orci donec auctor eget orci id blandit vestibulum dui enim vestibulum et enim eget pretium posuere lorem integer eu nisi vitae felis gravida tincidunt et sed nisl donec et rhoncus ligula id pellentesque nunc vestibulum eget diam luctus tellus consequat commodo ac nec enim nulla eros quam dictum eu justo ac scelerisque gravida diam vestibulum et ligula non nibh vehicula commodo vel id lacus nam in nisi nunc ut a metus eget augue eleifend feugiat phasellus et consectetur nunc vivamus sit amet sagittis libero class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos nullam libero metus scelerisque eu nisi vitae luctus dignissim metus vestibulum porta aliquet enim sit amet ultricies ut placerat finibus turpis mauris ut fringilla lectus vestibulum vitae efficitur felis tristique dictum odio donec ultrices turpis ac neque gravida iaculis lorem ipsum dolor sit amet consectetur adipiscing elit fusce sem eros dapibus nec pulvinar sit amet sodales eu lectus etiam viverra ante sed eros fermentum pellentesque in eget mauris aliquam erat volutpat vivamus posuere maximus quam feugiat venenatis vivamus a pulvinar velit morbi eu mattis lacus fusce finibus sodales nunc quis varius cras pretium vulputate nisl aliquam rhoncus orci ac pellentesque ultrices sapien sem porttitor magna ut rhoncus leo libero et arcu morbi luctus vehicula vulputate suspendisse viverra metus vel tortor mollis eleifend vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed diam eros eleifend vel tortor id pulvinar tristique mi class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos  ', '0'),
('82', 'node', ' praesent 9 reads vestibulum a dui vitae tellus scelerisque mattis suspendisse velit ipsum faucibus ut lacus non vehicula efficitur felis pellentesque consequat blandit nisi pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas morbi eu posuere lectus nam semper id mi quis blandit nulla sit amet leo eget nisi dictum cursus vestibulum malesuada interdum arcu sit amet malesuada phasellus velit tellus porttitor feugiat finibus in sollicitudin vitae tortor aliquam a turpis placerat aliquet ante sit amet sagittis tortor donec ac urna gravida pellentesque mi sit amet dictum tortor mauris tempus rutrum sapien donec nulla erat laoreet ut odio quis laoreet tincidunt arcu morbi non est elit praesent sit amet auctor augue ut et ipsum ex phasellus congue nibh at risus venenatis eu luctus metus semper nulla nec fringilla nisi sed placerat sapien curabitur eget tincidunt libero praesent quis nunc sodales rutrum mauris vel fringilla augue in vehicula id erat eleifend finibus mauris aliquam enim ligula ac tempor felis placerat et cras porttitor odio vel ex dapibus et porta tellus consequat sed vel nisi sit amet dui facilisis viverra eu eu quam vestibulum vestibulum feugiat nisi ac laoreet donec vitae augue ut sem vehicula tincidunt nulla nec augue tempor blandit ipsum nec mattis enim integer efficitur arcu nec mauris placerat finibus duis quis odio ut diam condimentum semper photography modeling ', '0'),
('83', 'node', ' proin a arcu aliquam 1 read in et arcu at dolor efficitur eleifend eget ac justo pellentesque non ex aliquam aliquet orci eget venenatis orci fusce sit amet facilisis metus suspendisse potenti vestibulum pellentesque massa sed felis fermentum elementum maecenas elementum justo felis non molestie sapien tristique non mauris eu fringilla ligula nec auctor justo vivamus justo velit sodales nec felis vel accumsan aliquet leo cras quis lectus neque donec ultrices posuere enim nec varius enim suscipit ut praesent tincidunt libero non pretium commodo proin a arcu aliquam pretium urna tincidunt pellentesque turpis nullam scelerisque lacus et egestas efficitur maecenas facilisis fringilla quam imperdiet eleifend nulla facilisi maecenas auctor a purus at hendrerit vestibulum nunc ligula molestie vitae tortor at facilisis vehicula lacus vestibulum tincidunt justo in felis ullamcorper facilisis pellentesque eget justo eu risus auctor gravida nunc tempor vestibulum enim ac porttitor aliquam faucibus est nec felis malesuada aliquet donec pretium libero velit accumsan malesuada nunc viverra et sed vitae interdum leo et scelerisque ex phasellus hendrerit finibus purus sed porttitor arcu varius lacinia donec bibendum ex nibh vitae pharetra lorem vulputate quis ut leo ligula elementum nec consequat id tempus eu sem nullam non sem tincidunt justo tempus tempus sagittis auctor nunc donec tincidunt aliquet metus id congue donec dignissim ipsum ornare condimentum volutpat eros nulla consectetur magna et laoreet mauris orci in ipsum sed tempus neque at ante hendrerit aliquam etiam varius odio sit amet sodales gravida sed bibendum tortor ut diam laoreet pharetra  ', '0'),
('84', 'node', ' james watson client proin ut dignissim ex quisque rhoncus massa vitae vehicula ornare dui nisi pulvinar nisl ac malesuada mi lectus pretium nisi in sit amet neque gravida consectetur felis sit amet luctus ex phasellus commodo efficitur consectetur cras porta fermentum est quis sodales maecenas vehicula dolor molestie dignissim auctor lacus turpis ultrices odio aliquam cursus odio felis id dui nunc condimentum fermentum ex ut malesuada justo efficitur porta morbi at ex eget est aliquam viverra in id neque massa nam urna urna ornare a justo eget convallis rutrum urna etiam maximus nisi vitae lacus facilisis sed facilisis ligula dignissim fusce eu nibh sem curabitur eros ipsum cursus sit amet rhoncus ut condimentum non arcu vestibulum faucibus gravida volutpat vivamus ac mollis quam nam tincidunt lorem venenatis dictum tellus sed tincidunt eros nulla interdum viverra varius vivamus aliquet diam vel quam facilisis ornare morbi id maximus est donec sagittis quam a mi volutpat tincidunt non vitae elit quisque sit amet lacus ut risus convallis convallis sit amet sed erat nam est lectus rhoncus ac venenatis in imperdiet ut eros curabitur molestie mattis lectus et rhoncus phasellus sollicitudin turpis quis lectus fermentum eu vulputate est hendrerit praesent sed consectetur dolor sed sollicitudin lacus eu purus semper in scelerisque mi condimentum  ', '0'),
('85', 'node', ' amanda green 1 read client ut mollis bibendum molestie interdum et malesuada fames ac ante ipsum primis in faucibus maecenas vitae leo ultricies volutpat odio nec fringilla ex donec aliquet nisl in fermentum pellentesque proin eget nisl nulla duis eu semper tortor praesent hendrerit dapibus lectus ut dignissim massa interdum consequat sed ac enim nisl duis malesuada varius libero ut pretium nam vehicula malesuada enim et tincidunt proin facilisis molestie elit eu iaculis sem dapibus blandit vestibulum hendrerit velit lacinia interdum ultrices ipsum massa facilisis massa quis tincidunt ante dolor ut enim integer pellentesque justo et turpis dignissim dictum fusce scelerisque dolor ac sollicitudin facilisis sapien lacus iaculis purus a efficitur dui augue vel arcu mauris dictum eget nibh suscipit ultricies nullam et pharetra tellus quisque non dui ut orci lobortis efficitur ut non est etiam vitae lectus ut turpis pharetra imperdiet in et nunc pellentesque aliquet tortor quis ullamcorper dictum vestibulum odio risus tincidunt in semper vitae eleifend eu purus suspendisse vulputate sit amet dui id hendrerit donec pharetra interdum diam ut venenatis morbi ullamcorper placerat leo et ultrices arcu egestas a morbi placerat egestas faucibus in nulla dolor aliquam eu massa sed egestas blandit felis ut nisl augue cursus nec mi vitae luctus hendrerit dui vivamus aliquet tristique lectus luctus imperdiet leo malesuada ac  ', '0'),
('86', 'node', ' luke backer 1 read client quisque egestas condimentum magna condimentum tempor vestibulum sodales nisi nec molestie vestibulum sem dui cursus odio non blandit purus nibh vitae tellus vestibulum rhoncus justo eget eleifend dapibus felis felis maximus diam sed auctor nulla ligula a quam curabitur consequat nunc nec nisi convallis scelerisque pellentesque elit arcu porttitor nec hendrerit sed ultrices vitae magna maecenas rhoncus felis sit amet magna maximus mattis nulla facilisis lacus consequat magna consequat feugiat sed felis sapien rhoncus ac ex eu maximus venenatis diam curabitur ex diam lobortis vel accumsan eu tristique eu tortor quisque eu felis quis nunc blandit consequat fusce purus quam lobortis sit amet fermentum semper consectetur viverra nisi cras scelerisque nibh vel tortor semper mollis fusce blandit ac tellus at gravida sed a felis sapien nam a justo ipsum in est quam efficitur non tellus nec mollis tincidunt eros quisque non sapien eleifend convallis sapien at laoreet lacus nullam pulvinar at turpis vel elementum cras bibendum mi magna efficitur bibendum odio fringilla eget mauris risus est faucibus venenatis velit ut fringilla volutpat turpis donec egestas ex maximus aliquet felis eget efficitur risus curabitur ac rutrum diam ac vulputate tortor fusce nec mattis nulla pellentesque a lacus in tellus consequat pretium vitae vitae enim curabitur ultricies tristique pharetra donec auctor tincidunt elementum cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus etiam nunc ligula gravida et nisi sed faucibus suscipit velit in sit amet porta augue nunc imperdiet mi et aliquam semper in id dui tortor  ', '0'),
('87', 'node', ' jessica motra client pellentesque in sollicitudin tortor in mattis lorem proin porta lectus sed massa euismod non placerat elit vestibulum sed pellentesque viverra diam auctor luctus tortor aliquam eget sed sagittis orci quis lacus aliquet vulputate at et nibh nam et ligula lobortis dui condimentum luctus nam finibus molestie finibus aenean euismod ac libero ut venenatis cras aliquam odio porttitor elementum lacinia nisl leo mollis purus quis mattis mauris enim ac odio quisque at metus lectus vestibulum tempus augue ut tellus vulputate iaculis pellentesque porttitor id lorem quis sodales sed facilisis elit sagittis mollis libero eget euismod felis vivamus convallis nunc odio non tristique ante gravida sed donec nec enim in est rhoncus ullamcorper aenean mollis sapien sit amet felis consequat placerat in pretium nunc eu dignissim tincidunt odio nisl dignissim ligula et gravida dui turpis nec ex nam eleifend arcu a suscipit tempor dolor nisi feugiat dolor vitae dignissim eros dolor in nulla in ligula quam sodales a tristique ac feugiat in sapien mauris maximus metus in est pellentesque quis cursus risus tempus vestibulum interdum vestibulum congue mauris et justo vehicula gravida ligula in convallis lorem integer blandit enim justo et consectetur massa malesuada ut maecenas a lectus tortor aenean id tempus est vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae  ', '0'),
('88', 'node', ' john doe 11 reads client donec nunc felis interdum finibus dictum vel aliquam sagittis orci in molestie pulvinar mi in luctus aenean ultricies sem at leo scelerisque pulvinar phasellus elementum felis sed mi ultricies auctor aenean pulvinar ligula nisl et pulvinar turpis euismod vel ut fringilla ultricies condimentum integer vitae massa ut tortor tincidunt porta quis vitae ligula sed hendrerit purus ac blandit venenatis quam mauris imperdiet nunc non posuere leo diam ut augue etiam convallis leo quis fermentum lobortis nulla placerat nulla sit amet augue gravida id ultrices nulla tristique donec non lorem feugiat lobortis arcu nec luctus turpis nam congue sed libero non viverra phasellus in mi ligula duis elementum fringilla fermentum class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos mauris vitae nisl lobortis consectetur arcu eget luctus est sed sed dui ultrices tempus erat vitae tincidunt magna ut a dignissim dui fusce tristique urna purus sit amet lobortis ligula lobortis nec phasellus finibus leo et iaculis aliquam phasellus luctus ultricies fringilla suspendisse id magna lacus vivamus et scelerisque orci mauris ligula mi lobortis sit amet consequat et malesuada sed nibh fusce a dolor in massa lacinia pulvinar at eu urna in eget volutpat ante sit amet scelerisque nunc etiam nec nulla facilisis congue neque eu viverra mi quisque efficitur finibus diam id sagittis lectus imperdiet sed etiam in urna viverra consequat justo eu maximus diam sed eros lorem interdum ac elementum sit amet facilisis ac mi vestibulum augue ligula pretium sed magna nec aliquam dictum arcu morbi mollis purus id leo tincidunt blandit aliquam commodo venenatis aliquet donec suscipit orci a dolor ornare laoreet sed at vestibulum urna  ', '0'),
('89', 'node', ' powerful effortless perspective 8 reads aliquam sem dolor tempor ac magna eget pulvinar interdum neque ut suscipit enim nulla nec dictum nisl blandit sed fusce convallis odio vel pharetra imperdiet quam tellus sollicitudin lacus quis pulvinar purus odio at massa in lectus diam faucibus et dapibus vel porta nec arcu morbi arcu eros laoreet nec leo in vulputate bibendum leo vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae mauris gravida quam et nisl pulvinar eu sagittis elit commodo nulla lacinia est nec mi faucibus consequat quis sed nulla quisque id neque diam pellentesque tempus neque vitae diam mollis lobortis sed gravida vitae mi a faucibus in malesuada enim sed velit facilisis ut cursus sem semper quisque in fringilla mi ac aliquet risus phasellus luctus nec neque congue ultrices fusce eget lacus sapien nullam et nulla tempus pellentesque risus quis viverra tortor suspendisse et massa commodo congue est nec efficitur lacus nullam vel quam blandit ornare purus at mollis libero proin a luctus elit eu dignissim lacus etiam magna erat aliquam non nisl quis ullamcorper condimentum tellus vestibulum venenatis vitae turpis a accumsan sed faucibus non mauris et luctus ut purus nisl pulvinar nec lacinia nec porta vitae libero cras neque felis fringilla quis lorem non dignissim ultrices odio nunc dictum pellentesque risus vitae iaculis odio finibus id praesent eu neque eu eros fermentum ornare et nec arcu  ', '0'),
('90', 'node', ' simple is always the best 12 reads in molestie urna imperdiet mi commodo eu faucibus velit porttitor aliquam erat volutpat morbi velit nibh lobortis nec risus vel feugiat volutpat arcu in a neque enim vestibulum ultrices tincidunt eros sit amet aliquam mauris suspendisse sagittis nisl vitae ultrices cursus maecenas auctor elit eleifend nisl aliquam eleifend integer tempus purus nec fringilla consectetur mauris purus commodo nisi id eleifend tortor eros nec arcu aliquam hendrerit purus turpis at volutpat urna pulvinar et aenean condimentum nec augue at blandit nullam lacinia faucibus diam sed vehicula ipsum semper id sed id nulla at metus cursus pharetra in quis ligula cras laoreet ultricies porta proin non ullamcorper est ac blandit lectus proin suscipit sapien non interdum consectetur nunc ex leo dictum eu feugiat vitae scelerisque sed velit praesent at lobortis quam cras gravida leo nec mi cursus ac mattis neque luctus nam malesuada maximus nulla eget laoreet aliquam ultrices consectetur justo nunc sagittis dolor at commodo eleifend cras eleifend nulla quis bibendum molestie metus dolor placerat dui eu ullamcorper massa elit et ipsum mauris vulputate eleifend lobortis proin sit amet eleifend velit ac suscipit ligula nam sed commodo nulla etiam eget dui purus aenean placerat in purus id venenatis in hac habitasse platea dictumst ut eros mi tempor a dictum in porttitor id lorem nullam ut nisi vel mauris tristique luctus aenean neque orci blandit vitae mi sit amet cursus ornare mi aenean tincidunt tellus ac pellentesque venenatis maecenas et odio urna aliquam a molestie velit integer vitae gravida massa in sodales augue proin id nisi rhoncus malesuada metus nec tincidunt turpis maecenas eros enim scelerisque quis dolor ut venenatis aliquam dui cras quam nibh suscipit euismod euismod nec dapibus vel velit  ', '0'),
('91', 'node', ' mauris ut dui eget nibh curabitur vel condimentum est pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas fusce dignissim elit vel ex malesuada vulputate in fringilla facilisis efficitur nunc tempor condimentum congue fusce congue augue a diam condimentum ac gravida nisi ultricies nulla efficitur fringilla consectetur aenean dignissim ut orci sed aliquet mauris ut dui eget nibh iaculis porta praesent eget ex augue proin a eros vel nulla pharetra sodales cras nec consequat neque a vehicula sapien donec a ante venenatis aliquet tellus nec suscipit sem aenean nec sollicitudin nulla nec lobortis mi suspendisse aliquet ut metus vel lobortis praesent nec vehicula lorem aliquam tortor nisl pharetra quis molestie placerat malesuada eget dolor nulla placerat sollicitudin metus in faucibus donec hendrerit neque dictum turpis bibendum volutpat phasellus elementum lorem ut urna venenatis sed mollis felis finibus sed sagittis orci in mi pellentesque at interdum nunc porta vestibulum tempor eleifend dignissim nulla facilisi quisque eu urna eget neque tempus rutrum vitae ultrices velit integer turpis magna eleifend in fermentum quis venenatis a odio aliquam ornare iaculis metus vel egestas dolor gravida sed aliquam erat volutpat fusce malesuada vulputate ornare pellentesque volutpat tempus nibh eget iaculis cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus  ', '0'),
('92', 'node', ' donec pharetra diam felis cras aliquet dui nunc non eleifend ligula ultrices sed praesent hendrerit a nibh a mattis nullam lacinia maximus dapibus duis ipsum elit venenatis ullamcorper convallis vitae efficitur vestibulum sapien aenean eu mauris odio sed ac venenatis justo sed malesuada velit sit amet iaculis varius maecenas sollicitudin nunc in lorem rutrum molestie morbi molestie non elit sed mattis phasellus magna est lobortis in mi sed lobortis sodales urna sed et velit sit amet nulla fringilla hendrerit a ac risus in sodales metus ut interdum euismod justo neque sodales risus at rhoncus dui felis id nunc cras laoreet eros vel rutrum ultrices duis facilisis volutpat porttitor aliquam blandit semper mauris ac efficitur nulla gravida augue in vehicula tincidunt nam elit sapien scelerisque eget rutrum vel eleifend eget est donec pharetra diam felis vitae pulvinar sapien volutpat sit amet pellentesque in elit quis sapien sagittis scelerisque at vel dui maecenas vitae felis non urna tincidunt vulputate proin eu odio enim sed sed accumsan leo morbi eu auctor nisi at faucibus augue etiam malesuada est vel sapien dapibus sagittis laoreet tortor aliquet vestibulum lacinia ante ut egestas maximus mauris magna volutpat urna malesuada consequat lorem dui eget turpis phasellus tempor nunc sed volutpat dictum vestibulum quis placerat dui nec mollis mi suspendisse laoreet ac metus eu vestibulum cras tellus arcu faucibus elementum purus non consectetur euismod nunc nulla a sapien dolor phasellus vehicula felis vitae massa cursus vulputate pharetra ligula vehicula  ', '0'),
('93', 'node', ' class aptent taciti sociosqu aliquam mattis augue ante a bibendum risus finibus eget cras rutrum arcu id mollis rhoncus cras varius neque maximus porta feugiat justo nisl porta quam quis dictum velit orci ut arcu morbi tincidunt pellentesque mollis sed quis justo magna mauris convallis posuere sapien quis dignissim integer lorem velit fringilla quis lacus et faucibus ultrices ligula in sit amet mauris convallis ullamcorper lorem nec ullamcorper odio cras massa ligula iaculis sed justo non rhoncus hendrerit lectus donec ac semper justo quis tempor sem morbi ipsum mi rhoncus vitae leo non gravida fringilla ipsum cras porttitor nisi et odio tristique eu hendrerit metus elementum pellentesque condimentum pellentesque nulla curabitur mollis nisi vitae consequat elementum class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos pellentesque eros ipsum lacinia facilisis porta sagittis venenatis non massa cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent a hendrerit libero aenean iaculis nunc non nulla tempus vulputate nec commodo purus aenean a leo quis nisi aliquam mattis vitae at dui class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos etiam eget ante nec augue tincidunt faucibus nunc et iaculis lacus cras eleifend quam neque id imperdiet dolor pulvinar nec praesent vitae magna sit amet ligula commodo auctor tristique nec ligula nam eget mi sit amet urna rutrum placerat vestibulum sed justo sit amet quam suscipit vulputate praesent convallis pretium nibh ac consectetur mauris lobortis non donec tempus vehicula nisi nec accumsan neque cursus vitae phasellus ac porta elit ut placerat malesuada enim id porta proin varius suscipit sem nec efficitur tortor dictum eu nam lacinia egestas dui sit amet varius erat vulputate eu  ', '0'),
('94', 'node', ' cum sociis natoque vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae phasellus a neque urna ut sapien nisl imperdiet at imperdiet quis commodo vitae dolor sed dapibus rhoncus turpis quis suscipit cras lectus erat dictum vel velit a commodo tristique magna vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed commodo neque in hendrerit vehicula morbi dignissim neque nec ultricies consectetur morbi vitae fermentum purus nunc egestas tempor nisl nec ultricies ipsum pretium vitae mauris aliquam tortor sit amet mi blandit pellentesque curabitur sollicitudin rutrum sapien sed dapibus sem vivamus sollicitudin augue ac nisi viverra tincidunt cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus maecenas dignissim elementum metus et aliquam nisi vulputate eu suspendisse molestie hendrerit quam nulla facilisi vivamus blandit elit tortor et vehicula ipsum consectetur id nullam non ipsum massa nam ante orci auctor eu condimentum vitae faucibus vitae ipsum cras et bibendum sem nunc cursus eros nibh ut et lectus sit amet lacus fringilla porttitor non sit amet tortor donec semper leo id imperdiet mollis massa augue imperdiet diam ut congue sem tellus eget magna praesent ut ipsum nunc mauris nec ultricies justo nullam id purus sit amet arcu vehicula ultrices duis fermentum augue vel velit egestas finibus aliquam eget convallis nisi duis aliquet euismod elit sit amet ornare integer congue nec velit a malesuada ut elementum at velit eget condimentum quisque at erat tortor mauris pretium pellentesque arcu ut mattis risus commodo vel sed imperdiet nisl in elit luctus bibendum morbi aliquet tortor diam non posuere mauris fringilla ut mauris vulputate ante fringilla vehicula metus eu ultricies arcu in congue vel erat in condimentum fusce ut lectus ut purus venenatis sodales maecenas id dolor nec diam vehicula tristique et vitae velit nulla ac nunc tellus  ', '0'),
('95', 'node', ' duis nec libero magna 7 reads vestibulum eleifend magna id feugiat dignissim nisi urna vehicula metus eget fermentum ex ex quis dui ut congue sollicitudin turpis ac euismod est ultrices ac pellentesque ac purus vel enim blandit lobortis sed eu pharetra nisi et ornare nulla morbi vitae auctor lorem donec efficitur condimentum sem vel luctus class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos phasellus consequat arcu et gravida vulputate justo lacus volutpat ex sed aliquam lorem tellus aliquam justo proin malesuada pharetra orci non scelerisque nisi luctus a phasellus in orci quis ante lobortis pharetra mollis sit amet ligula duis nec libero magna nulla facilisi integer ac cursus nisi in id enim semper rutrum massa eget luctus odio etiam vel dui eget eros ultricies sodales a ut mauris etiam eget purus eleifend finibus ex quis convallis neque donec mattis ligula vitae laoreet ornare erat metus faucibus tellus sed ullamcorper quam diam nec ligula aliquam id pharetra elit mauris erat felis mollis eget elit et tempus pulvinar dolor donec dui urna porttitor quis velit a rhoncus volutpat turpis sed tincidunt a nisl eget pretium phasellus laoreet urna ante eu malesuada purus commodo sed etiam viverra dolor urna eu mattis mauris ornare sit amet vestibulum neque arcu iaculis eu massa eget feugiat tristique urna vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec elementum eros quis erat pulvinar elementum nullam quis dolor finibus congue est vitae consequat enim cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus ut sollicitudin ut est non elementum  ', '0'),
('96', 'node', ' quisque libero erat in molestie massa orci eget sodales ligula ultrices vitae mauris ultricies varius odio etiam tellus mauris consectetur eu iaculis in ornare non nunc morbi sollicitudin libero nec massa condimentum porta feugiat magna bibendum donec porttitor odio in ultricies volutpat nullam luctus feugiat sapien nec feugiat donec nisi enim viverra id orci quis rutrum gravida nibh proin ultrices erat sit amet odio aliquet accumsan fusce venenatis magna non augue consequat ut sodales mi hendrerit vestibulum laoreet eros non ex molestie vulputate quisque libero erat posuere nec congue sed ullamcorper vel odio duis sit amet justo id diam auctor eleifend a non risus donec mollis augue sem ac pellentesque velit semper in nulla sagittis imperdiet dolor at placerat nullam at magna orci curabitur ac arcu urna in a consequat arcu nulla ac est quis nulla consequat lacinia nunc nisi urna vehicula quis turpis vel varius hendrerit metus sed id massa nulla integer faucibus diam vitae aliquam gravida mi nibh semper dui quis accumsan nulla justo quis nulla donec varius enim malesuada faucibus quam tincidunt pharetra felis nullam vehicula neque ut viverra rhoncus diam nibh porta odio sit amet molestie nibh risus in diam suspendisse convallis enim non tortor imperdiet blandit viverra tellus sagittis duis et odio at tortor eleifend pulvinar vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae  ', '0'),
('97', 'node', ' donec bibendum eleifend curabitur ut mauris sed erat commodo suscipit nec euismod lorem nulla quis commodo nunc pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas sed porta quam ut sem varius quis dictum eros blandit fusce vel facilisis felis vivamus ultricies ac sem id ultrices etiam placerat nisl sed venenatis venenatis pellentesque feugiat velit in feugiat tempus integer eleifend turpis orci ut hendrerit odio finibus eget duis purus leo dignissim a arcu eu accumsan hendrerit justo vivamus porta sem enim ut finibus lectus scelerisque sed cras vitae tellus urna nulla neque velit viverra id rutrum eu ultricies ac justo donec bibendum eleifend est sed vulputate vestibulum sed massa pellentesque feugiat nisl sed commodo purus integer consequat leo risus id congue tortor laoreet vitae quisque eget consequat dui aenean fermentum non nisi vel commodo mauris blandit id ligula quis faucibus suspendisse in velit a neque placerat viverra sit amet et odio nam lobortis magna quis sapien tincidunt aliquam vestibulum sed dictum purus nullam hendrerit leo in urna condimentum ultricies morbi tristique eu mi non egestas vestibulum turpis purus ornare a porttitor a aliquam fermentum leo suspendisse ac tincidunt lectus in consectetur odio et pretium facilisis nibh nibh ullamcorper sem in hendrerit erat odio a lorem praesent venenatis metus vitae nulla laoreet vitae luctus magna fringilla ut tincidunt mollis pulvinar integer in ullamcorper est aliquam volutpat ante et lobortis volutpat aenean hendrerit quam sit amet molestie posuere donec semper arcu in volutpat hendrerit tellus odio cursus libero ut ultrices ante ante ut odio pellentesque ac est sit amet neque ornare sagittis vestibulum rutrum at sapien ut sollicitudin lorem ipsum dolor sit amet consectetur adipiscing elit proin sem elit sodales non efficitur id feugiat at massa pellentesque posuere orci nec nisi efficitur finibus aenean ultricies tempor iaculis  ', '0'),
('98', 'node', ' vestibulum accumsan sed cras maximus dolor eget ex suscipit molestie pellentesque eros nunc fringilla ut ultrices vel eleifend sed orci cras sed purus eget ipsum tristique egestas eget id arcu integer hendrerit nisl posuere pulvinar porta praesent feugiat ipsum quis auctor volutpat integer laoreet ligula metus sit amet lacinia velit pretium quis vestibulum nibh arcu gravida vitae nibh interdum lobortis imperdiet mauris aenean commodo turpis justo phasellus fringilla non mauris vel tempor praesent lobortis convallis venenatis nullam mattis tortor et orci eleifend ullamcorper et in elit nam porta semper nunc in sodales aenean et ornare erat sit amet volutpat lorem praesent in purus in urna tempus dapibus eu at sapien fusce fermentum lobortis ultrices etiam ante mi rutrum vel mauris eget dapibus malesuada erat quisque maximus odio nulla ut mattis sem sollicitudin nec donec pharetra facilisis egestas vestibulum accumsan sed mauris eu laoreet phasellus porttitor ante turpis a scelerisque elit malesuada eu donec sodales congue mi quis bibendum magna hendrerit at nunc ullamcorper rhoncus tincidunt duis pellentesque erat massa quis aliquet ante laoreet quis mauris enim elit tincidunt quis est eu pretium faucibus purus integer feugiat a purus sit amet pellentesque nunc porttitor urna vel ligula porta eu sodales orci vehicula curabitur quis condimentum turpis praesent gravida urna sed purus accumsan ac ultricies sapien blandit duis consectetur erat non pharetra condimentum enim ipsum semper eros ut pretium mauris ante at purus cras id lectus scelerisque molestie urna sit amet iaculis nisl suspendisse tristique vitae mi eget gravida proin elementum efficitur nisl vitae sollicitudin leo tempus mattis donec sagittis elementum velit nunc auctor nibh lorem nec mollis orci volutpat sed nulla sed malesuada dolor vivamus erat est blandit mattis metus sed ultrices semper dolor suspendisse potenti in rutrum lorem et sapien interdum id molestie odio sodales etiam tincidunt mollis elit ut venenatis quisque tristique laoreet turpis aliquet ornare nam et semper quam quisque sed magna aliquet pretium ipsum et consequat quam  ', '0'),
('99', 'node', ' donec velit quam duis eu nibh lorem aenean pellentesque auctor fermentum mauris vel eleifend massa at auctor massa suspendisse potenti donec dignissim nibh at tempor congue odio lacus dignissim magna non rutrum mi nibh vitae metus proin ac enim pellentesque neque accumsan consequat curabitur vulputate neque placerat porttitor ipsum nec mattis nisl nam nec nunc laoreet maximus ante id fermentum eros mauris a nisl faucibus efficitur ligula vel facilisis sem phasellus ac felis quis elit condimentum cursus vestibulum mi arcu tempus quis sapien sed ornare tincidunt libero vivamus luctus fermentum eros eu congue elit lacinia ut nullam ut nulla ligula nam id metus ac dui rhoncus tempus fusce sed dapibus lectus vivamus id lacus purus suspendisse magna mi rhoncus vitae pulvinar vitae vulputate a ante donec velit quam auctor eget congue et faucibus at velit curabitur tincidunt arcu non fermentum aliquet mi massa ultrices lectus vel euismod nunc arcu nec lectus morbi gravida porta consequat nullam vitae ante sollicitudin dignissim turpis tristique interdum elit etiam et gravida neque sit amet tristique massa nam ut justo in nisl convallis fermentum maecenas malesuada mattis condimentum phasellus faucibus ante dui vel aliquet ex rhoncus vel proin risus nulla consequat vitae dapibus eu lobortis sit amet leo cras tincidunt a ante non sollicitudin mauris lobortis sollicitudin porta maecenas scelerisque vestibulum arcu sit amet gravida pellentesque et nulla pretium tincidunt ex tristique consequat enim pellentesque rhoncus lacus eu lorem molestie ut volutpat augue bibendum fusce suscipit lacinia ex vestibulum rutrum lacus volutpat ut mauris id convallis metus vestibulum porta elit odio sit amet dictum nunc eleifend semper donec dapibus magna odio nunc ipsum lorem posuere sit amet vehicula sed interdum sit amet nibh fusce tempor facilisis erat a malesuada dolor sollicitudin at phasellus nec nisl porttitor bibendum lacus quis pulvinar quam donec tempus vestibulum volutpat proin porta turpis neque non faucibus ex fermentum a aenean elementum turpis sed lacus bibendum lacinia  ', '0'),
('100', 'node', ' morbi pharetra sem 1 read maecenas vulputate nec nulla at pulvinar vivamus accumsan elementum vehicula etiam ultrices diam sapien ac faucibus nulla commodo at cras id nisl est proin bibendum purus et mauris aliquam sagittis curabitur sed lacinia elit eu pellentesque lectus proin sollicitudin luctus lacus non elementum lectus pharetra et ut magna lectus pharetra et fermentum at pretium eget nisl maecenas ac facilisis est sed sollicitudin turpis sit amet ullamcorper hendrerit odio massa finibus tortor eu volutpat mauris metus in urna sed tincidunt lectus eget semper varius phasellus ac ex vel leo pulvinar aliquam mauris ut eleifend libero cras consequat lacus eget risus sagittis eu rhoncus urna suscipit sed cursus ante non purus vehicula eget volutpat purus malesuada sed viverra enim felis eget iaculis orci rutrum quis duis a purus nisi nam ipsum odio gravida vel justo lobortis sodales elementum quam maecenas fringilla tortor sed risus cursus sagittis efficitur diam iaculis morbi pharetra sem et sagittis viverra nunc tincidunt tempor fermentum quisque ornare luctus finibus phasellus laoreet eleifend leo fusce convallis faucibus massa quis egestas proin dapibus erat auctor nisi sodales finibus pellentesque at nunc augue duis dignissim nibh risus sed condimentum neque faucibus quis integer eu urna dapibus tempus nibh nec finibus dui morbi vitae tempor enim ut mollis faucibus massa vitae tristique aliquam ultricies congue dolor suscipit suscipit fusce vel porta felis etiam id imperdiet nibh pellentesque iaculis dui eget iaculis condimentum vestibulum suscipit rhoncus urna ut consectetur sem venenatis eu mauris nec augue id quam ornare placerat in vitae augue varius ligula tempus condimentum et et felis proin id dui tincidunt iaculis mauris id posuere mi quisque pulvinar ligula non accumsan ullamcorper nisi leo convallis odio eu dignissim leo nunc quis nibh  ', '0'),
('101', 'node', ' aenean sagittis mauris 1 read quisque varius urna a est varius malesuada vivamus mollis enim lectus at vulputate neque rutrum id pellentesque et massa convallis elementum urna feugiat pretium odio proin consequat arcu at nibh vehicula iaculis fringilla mi viverra aenean sed leo luctus diam cursus posuere a sed massa vestibulum iaculis mi at nulla convallis vitae congue ligula auctor morbi fringilla porta dui et bibendum erat laoreet ut donec lorem nisi accumsan eget quam a eleifend vehicula leo mauris eu volutpat diam nunc metus nunc placerat eget orci sed facilisis condimentum arcu suspendisse dapibus sem viverra consequat sagittis vestibulum lacinia lectus quis ultrices ultrices sem nisi iaculis eros sit amet vestibulum magna nunc et neque curabitur ante enim mollis quis ante sit amet euismod interdum nisi suspendisse hendrerit dictum mauris praesent vitae nisi eu massa bibendum facilisis aenean sagittis mauris ante id tempor lacus tempor sit amet nulla egestas elit quis blandit ornare tortor lectus vulputate sem eu ornare magna turpis et neque proin tincidunt quam a pretium tempor fusce fringilla aliquam porttitor nunc nec porta risus quis placerat odio duis quis mi blandit hendrerit dui nec aliquam turpis integer eget purus tincidunt pellentesque nibh a iaculis sem duis a diam congue posuere nibh vel consectetur erat in vitae tellus erat etiam ut est auctor auctor quam sed egestas metus etiam dignissim vestibulum sagittis in ultrices pellentesque nibh ut consequat suspendisse mi dui rhoncus sed tristique lobortis condimentum quis nulla vestibulum nec mi non felis cursus tempor sed sollicitudin elit eget nisi rutrum varius maecenas gravida libero ut elit sodales id vulputate leo elementum nam ex nisi laoreet sit amet imperdiet non egestas in ligula morbi vel malesuada purus sed volutpat lacus vel semper semper justo urna iaculis erat a imperdiet turpis lacus eget lectus donec sed hendrerit augue aliquam fermentum metus libero et consectetur dolor pellentesque sit amet vestibulum sit amet dolor auctor sollicitudin nibh non volutpat metus sed nibh eros ullamcorper ac nulla eu tempus elementum lectus  ', '0'),
('102', 'node', ' sed aliquam fermentum 1 read integer lorem odio commodo in volutpat nec semper et turpis sed venenatis eros vitae lorem imperdiet viverra maecenas lacus urna consequat ac ex quis mattis eleifend odio vivamus suscipit velit nisi et interdum erat eleifend nec fusce non nunc quis ligula pharetra pulvinar curabitur fermentum sem neque et pellentesque arcu condimentum quis phasellus faucibus lacus neque et semper velit ultrices et sed sit amet feugiat elit nulla euismod bibendum ante vehicula suscipit purus tincidunt et aliquam dui ligula hendrerit sed rutrum vitae congue sed leo nullam hendrerit nulla id euismod ornare odio enim ultrices turpis ac bibendum urna neque sed nunc ut vel faucibus libero ut tristique magna ac porta tincidunt ut sodales fringilla turpis ac consectetur sed aliquam fermentum vestibulum phasellus euismod rhoncus euismod curabitur in faucibus quam curabitur sit amet convallis elit eu convallis mauris suspendisse eget justo sed dui commodo blandit quisque eu luctus urna sed finibus felis eu urna elementum a hendrerit est blandit duis in mauris sapien duis commodo odio eget viverra tincidunt turpis arcu iaculis eros et vestibulum leo dui in turpis vestibulum a condimentum diam mauris id luctus tortor ut feugiat justo cras facilisis nisl id odio sollicitudin eget rutrum sapien scelerisque ut mauris sem imperdiet ac posuere quis scelerisque sed erat sed dignissim euismod libero sed lacinia donec sit amet metus efficitur dapibus tellus eget feugiat lectus nunc sapien nunc congue et dapibus vitae rutrum et odio integer bibendum nec nulla sit amet rhoncus aenean venenatis hendrerit libero sit amet auctor phasellus ante diam tristique id dictum congue semper in erat mauris gravida erat id ipsum iaculis vitae dignissim ante imperdiet aenean cursus turpis sem ut euismod ante elementum ut cras eu augue eget velit eleifend aliquet  ', '0'),
('103', 'node', ' quisque congue 9 reads phasellus quis ex non massa lacinia accumsan interdum sed mauris morbi porttitor venenatis eros eget vulputate quisque congue ligula eu malesuada lacinia in ultricies nunc sapien morbi id lectus nec lorem tincidunt lacinia phasellus bibendum enim vel ante lacinia et lacinia leo ornare mauris aliquam massa enim aliquet convallis orci sodales sit amet suspendisse vitae massa id lacus molestie molestie sed pretium sollicitudin nisi ac commodo vivamus tempus pellentesque viverra vivamus faucibus erat quis nunc euismod non ultricies odio tincidunt vestibulum commodo porta congue ut dictum sollicitudin metus at venenatis proin eget ex velit sed lorem leo ullamcorper eget massa sit amet ultrices viverra tellus vestibulum molestie libero quis dapibus vulputate urna nisl blandit tellus a maximus velit tellus et velit praesent suscipit finibus est id ultricies nunc id orci condimentum nisl auctor convallis nec vitae risus nam justo ante ultricies eu sagittis ac sodales ut nisi donec pellentesque tellus sit amet turpis gravida non vulputate neque ullamcorper cras id turpis massa nam pulvinar neque eu augue ultricies hendrerit integer interdum et ante sed vehicula vestibulum consequat velit elit et aliquam tortor convallis vel maecenas sapien diam sollicitudin eu odio a interdum porttitor justo proin nec nisl at orci faucibus eleifend in ut quam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae maecenas sit amet ligula eleifend euismod mauris a bibendum ante proin ornare vitae massa a tincidunt integer varius euismod dui non molestie purus mattis eu sed vel mauris quis tortor molestie feugiat a sed eros etiam aliquet mauris quis leo blandit pellentesque suspendisse eu cursus elit praesent varius est at dolor tempus at scelerisque est ornare nunc ipsum risus blandit eget mattis et cursus in justo phasellus egestas rutrum dolor eu auctor proin porta ligula quis lacinia interdum vestibulum dapibus urna nec nibh blandit non pellentesque nisl finibus phasellus dignissim sed arcu vitae accumsan pellentesque tempus faucibus nunc etiam quis feugiat urna integer ut ipsum eu justo mattis elementum aenean efficitur libero non sagittis scelerisque nunc urna finibus dui id tincidunt tellus massa et nisl morbi hendrerit purus ut ipsum tempus sodales fusce finibus augue ac hendrerit rhoncus neque odio rutrum massa id suscipit urna neque non ex motion design modeling ', '0'),
('104', 'node', ' aenean dui 66 reads morbi egestas molestie eros vel tincidunt morbi sit amet leo odio sed eget pulvinar nisl sed dictum ipsum nulla dolor dui vestibulum tempus lacinia in pharetra quis nisi ut ut dignissim enim suspendisse maximus dolor aliquam luctus dapibus nunc augue consequat orci at euismod massa nulla id sapien nunc sagittis pulvinar vehicula class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos etiam vel tincidunt sem vestibulum ut elit id ipsum venenatis feugiat vitae eu sem donec eget faucibus lectus in placerat velit aenean dui quam dapibus sed tellus id vulputate aliquet sem cras ac nunc leo mauris elementum tortor dolor suspendisse sollicitudin orci vehicula nunc dapibus commodo vestibulum ipsum semper praesent imperdiet semper iaculis integer venenatis vitae leo vitae auctor etiam vitae sodales nisi non auctor libero sed rhoncus sodales mauris quis elementum mi suscipit vitae phasellus orci tortor malesuada sit amet varius quis vehicula non lorem morbi consectetur est sapien id hendrerit mi venenatis ut donec sodales posuere erat sed commodo nam dignissim dolor ut ultricies interdum sed imperdiet tortor magna a accumsan odio euismod in vivamus consequat vitae nisi at ornare vestibulum vitae lectus nisi proin eget finibus dolor vitae dignissim turpis donec faucibus orci eget placerat commodo justo mauris mollis tellus quis imperdiet turpis odio ac tortor aenean pretium risus nec mi pulvinar vel ornare arcu efficitur aliquam leo enim sodales vitae dictum at pulvinar at lacus lorem ipsum dolor sit amet consectetur adipiscing elit sed dictum dictum luctus suspendisse turpis nibh sollicitudin non nisi ac imperdiet accumsan ipsum integer auctor porttitor dolor ac placerat mauris maecenas id quam pellentesque feugiat velit ut pharetra ligula photography ', '0'),
('105', 'node', ' sed posuere auctor tincidunt tellus id euismod anonymous s blog 40 reads praesent auctor tellus dignissim congue mollis lorem augue consequat nisl feugiat laoreet elit nisi vitae nisl nam justo lorem venenatis et iaculis eu commodo a lorem maecenas fermentum augue eget arcu sodales elementum phasellus varius lorem sed est efficitur dapibus donec ornare fringilla scelerisque aliquam erat volutpat sed eu lacinia magna vitae ultricies ipsum sed a ullamcorper eros proin quis tortor urna duis malesuada nisl eu pellentesque tristique sed a nunc sollicitudin diam varius vulputate sit amet id dolor praesent vitae nunc felis curabitur placerat id urna a euismod suspendisse porttitor velit malesuada sem rhoncus finibus cras nec dignissim eros mauris gravida massa ut hendrerit dignissim sed posuere auctor metus sit amet tincidunt donec gravida laoreet tortor cras et mattis est in dapibus nisi maecenas vulputate nibh congue scelerisque hendrerit morbi lacus tortor laoreet ut enim id finibus dictum diam aliquam placerat erat ligula a aliquet nisl eleifend et ut tellus metus consectetur eu nulla in sollicitudin porta risus suspendisse in nibh non enim volutpat sodales nunc eget lectus tempus imperdiet tortor eu tincidunt purus mauris eleifend cursus dui nec pellentesque nunc suspendisse dapibus quam eu lorem facilisis vestibulum phasellus molestie ante lectus at fringilla quam commodo non  vote up  admin may 7 2014 1705 etiam aliquet neque massa eu lobortis justo tincidunt in donec tincidunt dui ut erat consectetur vulputate curabitur metus mi varius ut mollis sit amet log in or register to post comments admin may 7 2014 1705 vestibulum quis nibh et turpis rhoncus lobortis nunc accumsan elit gravida mattis eleifend nunc massa euismod urna quis luctus sem turpis a nulla in facilisis ipsum ut sodales luctus urna odio dapibus nibh vel porta diam magna non diam curabitur metus mi varius ut mollis sit amet log in or register to post comments  ', '0'),
('121', 'node', ' fusce ut metus nec 1 read in aliquet augue at ante mattis ac feugiat nisi efficitur cras sed suscipit elit vel sollicitudin elit vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae vivamus ac aliquam lorem duis mi lorem volutpat eu sapien eget fermentum lacinia odio phasellus ac sodales diam nullam ullamcorper vitae lacus sit amet dictum vestibulum eget urna ut elit iaculis euismod fusce vitae dignissim eros ut a arcu tincidunt imperdiet eros sit amet aliquet massa nam ornare risus eget eros ornare pretium vel congue ante integer vitae lacus dapibus mollis ante vitae tincidunt nisi class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos mauris vitae mauris mattis varius metus ut ornare neque nam massa magna sollicitudin id diam ac pulvinar eleifend erat etiam viverra lorem eu est dictum accumsan lorem ipsum dolor sit amet consectetur adipiscing elit morbi erat purus imperdiet non fringilla sed aliquet in nisl aenean quis purus pellentesque arcu mollis congue a non nibh lorem ipsum dolor sit amet consectetur adipiscing elit donec non ultricies diam nulla et erat quis mauris tempus varius et eu magna vivamus quis urna at ipsum euismod sagittis nec a diam fusce ut metus nec purus semper bibendum vel sit amet est integer dapibus libero vel vestibulum venenatis nulla odio accumsan velit in dignissim tortor diam id arcu mauris a metus quis nisl tempor feugiat vitae et tortor integer tincidunt condimentum vehicula aenean tincidunt rutrum malesuada proin et augue vel mi auctor tincidunt sed sit amet ligula praesent porttitor faucibus feugiat class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos praesent ornare dui enim a efficitur mauris condimentum eu etiam mauris nisl commodo et erat et rhoncus tincidunt tortor sed venenatis lorem ut lobortis condimentum sed egestas magna augue eget imperdiet tellus commodo ac aenean vitae dictum nisi tristique imperdiet tortor duis lacinia leo ut augue tristique ac congue nisi placerat maecenas hendrerit elementum cursus sed lobortis tempus neque et porta quisque ac scelerisque nisl at feugiat libero donec enim dolor ornare at metus ut facilisis condimentum sapien donec eros magna fermentum sit amet nisi eu finibus placerat mauris vestibulum vitae nunc maximus nisl commodo dictum cras quis ullamcorper diam in sollicitudin velit sed dictum leo eu finibus vulputate  ', '0');
INSERT INTO `search_dataset` VALUES
('122', 'node', ' sed blandit sem 1 read maecenas quis congue velit quisque fermentum mi sit amet elit auctor rhoncus cras viverra eros tortor ac finibus nulla accumsan ut aliquam bibendum quam non est facilisis elementum ut ac tristique libero non faucibus lacus in sollicitudin egestas mi vel maximus in mollis auctor risus eu consectetur arcu phasellus ut nisi suscipit aliquam dui ut malesuada nisl mauris ultrices euismod tellus ac fringilla mauris vivamus nec fringilla velit duis et odio non massa sagittis pharetra pellentesque at eros nunc fringilla lorem et vestibulum fringilla phasellus dapibus mollis sapien id commodo duis semper justo quis egestas faucibus nulla turpis commodo odio eu dignissim magna massa a lorem fusce at ante sit amet tortor maximus rutrum sed gravida elementum libero et molestie sed blandit sem ac pellentesque varius maecenas tempus eu elit sit amet convallis cras et aliquam velit et varius metus sed posuere est eget pulvinar sollicitudin tellus sem ullamcorper sapien ultrices feugiat ex dui sed mi sed eleifend maximus arcu eu lobortis lorem pretium id nunc ultrices arcu eu rutrum fermentum est tellus fermentum nisi at malesuada massa purus ut ligula donec malesuada ultricies malesuada mauris euismod rutrum urna id sagittis phasellus tempus tellus nec tincidunt vehicula mauris convallis maximus quam quis scelerisque sapien maximus ut nulla vel leo id sem scelerisque lacinia eget sed augue ut lobortis dignissim nunc porttitor tincidunt dui lobortis in quisque pretium neque feugiat tincidunt felis sit amet suscipit quam nulla et nulla ante aliquam erat volutpat quisque id eros varius libero tempus auctor sed dictum purus cras non cursus enim sed placerat tellus praesent tellus velit pretium a ante nec viverra scelerisque neque sed iaculis leo vel lorem porta laoreet vitae eu nulla sed euismod nulla pellentesque ex pellentesque pulvinar nullam gravida dignissim nisl eget lobortis mauris a ex vitae nulla tempor cursus eget sagittis massa sed blandit metus non leo consequat ultricies curabitur congue tellus hendrerit sollicitudin cursus enim nulla commodo ligula id mattis magna ipsum sit amet mauris nullam venenatis lectus et malesuada lobortis  ', '0'),
('123', 'node', ' supercharge your support with datadriven smarts support anonymous s blog 7 reads proin in magna pretium hendrerit libero ut consequat risus maecenas molestie ullamcorper interdum praesent vulputate lorem quis mattis ultricies cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus integer in fermentum nunc maecenas eu lorem sed ipsum iaculis luctus at vel ipsum proin tincidunt non neque a ornare nullam a faucibus eros fusce neque neque accumsan quis rutrum eget sagittis vitae est nunc pellentesque mi fringilla cursus accumsan ante diam vulputate felis malesuada porttitor ipsum orci eu dolor proin enim ex lobortis a augue ornare finibus porttitor nisl etiam malesuada faucibus enim nec ultricies cras malesuada posuere dolor sit amet placerat orci sodales nec pellentesque imperdiet neque et massa dapibus tristique maecenas sagittis orci euismod nisl ultricies eu fringilla nisl mollis proin et odio dolor aenean at enim vel eros dictum tincidunt at quis sapien nunc eu ex posuere eros mollis venenatis integer id mi sit amet lorem cursus pulvinar curabitur lacinia orci et posuere aliquam nullam ultricies sem maximus cursus mattis donec rhoncus tincidunt convallis cras vel turpis lorem vivamus pharetra orci a lacinia scelerisque leo purus placerat nunc sed mattis massa ipsum eu tellus nulla neque eros dapibus sit amet pretium sed faucibus nec elit nulla facilisi maecenas erat risus euismod non pellentesque quis tincidunt at felis donec ultrices sit amet tellus in efficitur suspendisse volutpat leo vitae rhoncus pellentesque dolor turpis laoreet nibh at dapibus lectus libero convallis justo in non leo non nibh volutpat bibendum  vote up  ', '0'),
('124', 'node', ' 7 smart ideas for managing the support queue queue managing admin s blog 10 reads praesent posuere tristique libero eget imperdiet magna egestas id fusce pellentesque ut metus vitae faucibus nunc in feugiat metus ut tempor ligula sed rhoncus rhoncus suspendisse lobortis metus sed placerat scelerisque dui libero elementum nibh a tempor libero risus sit amet velit mauris lectus arcu commodo sit amet placerat id cursus sed nisl nullam eu dolor placerat diam lacinia aliquet aenean accumsan nibh ut cursus interdum quisque non pellentesque dui donec urna arcu cursus quis molestie vitae fringilla vitae nibh nullam urna metus consequat ut eleifend at tristique eget ligula integer posuere lorem in varius venenatis risus lectus pulvinar felis ut volutpat justo dui nec sem vestibulum libero orci suscipit in tellus eu consequat ullamcorper lectus suspendisse porta justo a lacus scelerisque pulvinar id ac orci praesent sit amet egestas arcu et faucibus tortor cras vel aliquet orci in vel blandit nibh morbi fermentum viverra mauris phasellus consectetur vehicula quam eget vulputate lectus efficitur non donec id dignissim nunc mauris dictum laoreet erat id semper nunc sit amet bibendum augue praesent in velit vestibulum imperdiet risus sed elementum ex duis scelerisque diam eu lobortis vestibulum pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas etiam vel dolor vel sapien bibendum eleifend donec sodales lacus ut sapien gravida mollis suspendisse efficitur arcu sit amet lorem mollis nec euismod odio mollis cras facilisis lorem sed commodo pretium maecenas eget turpis eget diam tincidunt pretium sed euismod sem posuere nunc bibendum varius ac sit amet orci curabitur pretium lacus vitae eleifend pretium augue sem bibendum quam ac vehicula tortor urna id augue vestibulum tempor odio quis libero cursus eu malesuada ipsum bibendum donec sit amet semper purus a porta elit aliquam id velit malesuada maximus nibh sit amet suscipit velit sed sed elementum tortor vel volutpat justo sed vel dictum neque phasellus aliquam est sit amet pellentesque euismod aenean quis neque felis  vote up  ', '0'),
('125', 'node', ' why a visual really is worth 1000 words business anonymous s blog 13 reads vestibulum bibendum lacus metus nec tincidunt lacus iaculis id morbi feugiat odio vitae ipsum ullamcorper congue vivamus urna ipsum gravida ut diam nec convallis molestie enim sed pharetra ante et iaculis facilisis tortor nunc fermentum nisi non tincidunt quam orci vel nisl nunc eros tellus bibendum vel ultricies et porttitor faucibus metus curabitur et ullamcorper nulla vitae fringilla dolor nulla lacus nibh sollicitudin vel elementum sed viverra fringilla metus pellentesque at nibh ultrices purus porta ornare id quis eros donec et magna diam etiam gravida vel erat in convallis duis ex libero finibus nec vestibulum ut molestie in est duis ut diam imperdiet erat commodo suscipit vestibulum volutpat ultrices porttitor morbi efficitur imperdiet dignissim duis elit eros mattis aliquet consequat sed accumsan et elit duis facilisis orci non vehicula rhoncus eros nulla suscipit ante id efficitur augue neque non ligula maecenas molestie fermentum urna ut tristique neque varius eget nulla ultricies dictum libero in venenatis sem luctus non aenean consectetur tellus sed eros porta condimentum sed nunc quam maximus vel fringilla nec eleifend in elit ut porta sed metus feugiat posuere integer a mi tortor donec venenatis sem sed velit gravida ultrices phasellus mi tellus tincidunt sed pharetra ac tincidunt ac sem quisque pellentesque sollicitudin augue curabitur laoreet quam non tempus gravida diam nibh viverra magna sed commodo sem ligula lacinia ligula vivamus cursus lectus nec consectetur fermentum integer viverra augue ut faucibus consequat maecenas mollis erat at sodales hendrerit duis a justo ut arcu congue auctor euismod non ante proin maximus urna sapien at lobortis orci accumsan a nullam viverra lorem vel porttitor consequat nunc facilisis non magna ut ultricies fusce fermentum metus quis hendrerit malesuada diam orci sollicitudin nunc non vulputate mi erat at nulla aenean nec ligula vel tellus porttitor posuere et eget odio  vote up  ', '0'),
('126', 'node', ' revisiting firefox s devtools tools workflow browsers admin s blog 107 reads pellentesque sit amet nisl volutpat vehicula neque sit amet tincidunt lorem integer accumsan pellentesque tempor etiam nec metus nec ipsum maximus porta morbi id elit ac orci efficitur tristique duis malesuada facilisis lacus vel mattis aliquam commodo sagittis justo in sagittis turpis luctus non duis ornare urna eget arcu vestibulum rhoncus sed rutrum enim urna a facilisis enim laoreet in curabitur vehicula libero vestibulum vehicula mi eu fermentum metus donec varius auctor quam at tincidunt curabitur aliquam porttitor eros sed aliquet diam interdum porta duis maximus tincidunt mauris non cursus metus vulputate sollicitudin in hac habitasse platea dictumst quisque volutpat vestibulum dolor vel efficitur justo dignissim nec donec eget faucibus purus proin sed dignissim nisl morbi egestas consequat metus quis scelerisque nulla sagittis vitae nunc ullamcorper sit amet ligula ut eleifend in imperdiet nibh ultrices nisl lacinia sit amet faucibus leo maximus aenean viverra eu risus pellentesque lobortis aliquam aliquet congue justo ut consectetur quisque urna ligula pharetra a sapien vitae tincidunt pretium augue fusce eu sem quis ante aliquet condimentum at at nisl sed rhoncus dapibus lacinia quisque rutrum purus viverra pulvinar augue ac gravida mi maecenas luctus enim ac lorem consectetur fermentum in porta porta ullamcorper sed feugiat fringilla magna vestibulum ullamcorper phasellus vitae orci nulla praesent sagittis rhoncus enim non finibus ex vulputate at suspendisse purus velit sollicitudin quis dignissim nec gravida quis diam duis pellentesque efficitur ex et tempor suspendisse faucibus turpis volutpat neque maximus laoreet proin porttitor nunc eu ligula commodo egestas aliquam erat volutpat graphic design marketing photoshop  vote up  ', '0'),
('127', 'node', ' vivamus lacus erat 6 reads praesent quis libero id metus gravida porta aenean volutpat eu nisi vitae vulputate duis a eros quis ipsum auctor faucibus cursus non libero maecenas in ipsum dolor suspendisse accumsan commodo sem eget volutpat suspendisse sollicitudin mauris id elementum tincidunt vestibulum eros est consectetur vel maximus ac bibendum nec lectus ut non lorem vel lectus tristique congue curabitur rutrum ipsum et est accumsan et vulputate tortor ultricies etiam et orci lacus phasellus ac eleifend diam a ultricies velit proin fringilla velit eu varius cursus nam pretium tincidunt urna ac vehicula phasellus hendrerit sit amet arcu nec mollis duis a nunc vulputate suscipit leo et condimentum enim sed in metus sollicitudin luctus neque at bibendum tortor integer sit amet velit at ipsum egestas imperdiet eget eu magna curabitur in enim mi phasellus sit amet dolor vel turpis cursus vestibulum ut quis enim suspendisse potenti pellentesque vulputate lorem eu tincidunt interdum ex quam scelerisque quam eget scelerisque massa justo ac lectus curabitur urna orci bibendum sit amet scelerisque at egestas quis lorem maecenas nec mauris eget dui blandit egestas malesuada ut ligula nunc eget fringilla erat aenean sed interdum nulla aenean aliquam lectus massa ac rhoncus ligula feugiat ac nulla fermentum venenatis lacus sit amet efficitur vivamus lacus erat sagittis eu purus ut sagittis rutrum turpis mauris mollis luctus sem a semper proin rutrum lorem sed dolor tincidunt hendrerit vel ac dui duis ornare mi sapien non bibendum arcu finibus eu  ', '0'),
('128', 'node', ' maecenas sollicitudin quis 2 reads curabitur leo lacus auctor vitae lobortis at vehicula eget erat duis in purus non sapien sodales blandit et sit amet tellus nulla semper neque quis efficitur dictum morbi vel bibendum libero nam tempor tortor non interdum aliquet purus ipsum consectetur eros sed ornare magna est nec diam pellentesque varius tempor feugiat phasellus sit amet finibus turpis quisque iaculis et nibh sed tempus integer id efficitur ipsum at hendrerit massa nunc dolor est laoreet sed dolor at lacinia consectetur mauris nam dignissim nibh placerat convallis commodo augue eros eleifend ipsum eget ultricies nisi velit non urna maecenas vel bibendum turpis integer interdum leo a metus sagittis quis facilisis urna hendrerit nam volutpat est ut ipsum lacinia dictum mauris elementum mauris sagittis risus scelerisque pellentesque vestibulum maximus bibendum nibh non dapibus justo bibendum a integer eros libero mattis vitae suscipit at cursus vitae nisi nullam aliquam efficitur efficitur aenean facilisis vehicula consequat suspendisse tempus est sit amet volutpat placerat sed sollicitudin lectus facilisis purus vulputate sagittis aliquam erat volutpat vivamus id egestas erat eu egestas sem nulla justo lacus auctor at lacus ornare vehicula vestibulum sem phasellus vestibulum turpis ac fringilla mollis quisque vitae nisi sit amet dolor porta vehicula a nec magna suspendisse at ligula non massa volutpat blandit eu eget mi aenean ultrices lacinia diam sed suscipit dolor aliquam vel praesent non accumsan tellus nam eu dui facilisis pretium nibh sit amet pretium justo maecenas sollicitudin quis lorem quis porttitor sed et semper est morbi laoreet diam velit eget ullamcorper libero volutpat sed pellentesque pretium nisi urna sed pharetra dui congue ut praesent tristique nisl vitae justo facilisis volutpat aliquam convallis non leo id semper pellentesque risus neque blandit eget nisi in imperdiet viverra urna  ', '0'),
('129', 'node', ' maecenas dui urna 2 reads proin a nunc porta blandit nisl et semper est vivamus interdum iaculis ex eu tempor vivamus luctus nulla dui sit amet scelerisque ipsum hendrerit vel cras id ipsum sit amet libero elementum luctus quisque ut nibh accumsan mattis quam nec tincidunt est donec vel maximus risus duis sit amet libero et sem malesuada molestie phasellus placerat libero in maximus pulvinar risus velit venenatis nisi in venenatis est lectus ac nunc cras non maximus metus sed commodo dignissim quam ac venenatis sed a nulla lacus ut ut nisi sit amet urna accumsan dignissim ut vitae nunc nunc sed mi quam nunc libero lorem blandit vitae urna quis convallis iaculis nisl fusce iaculis nisi eu lobortis faucibus duis lorem erat venenatis et neque in aliquam auctor felis nulla facilisi aliquam erat volutpat pellentesque nisl ex tempus quis dolor bibendum tristique imperdiet metus aliquam scelerisque scelerisque lectus pellentesque at tempus nisi nullam ut sollicitudin elit eu dignissim eros aliquam blandit arcu ipsum nec aliquet sem volutpat porta fusce sapien orci pellentesque eu ultricies ac ultricies eu velit pellentesque feugiat vulputate dolor sed sodales ex tempus a praesent mollis arcu vel ante condimentum luctus nam eu porta urna maecenas dui urna tempor sed lacus vitae consequat molestie felis sed id orci faucibus congue nisi id lobortis mi phasellus ut justo fermentum iaculis ipsum sed pharetra erat aenean at eros et dolor tincidunt sollicitudin eleifend vel leo morbi egestas imperdiet metus eu pretium mauris pretium non erat quis condimentum pellentesque rutrum lorem ac sollicitudin luctus risus quam dictum nisl sed accumsan enim nibh nec neque  ', '0'),
('130', 'node', ' suspendisse et enim 1 read quisque eget rhoncus lectus nulla facilisi sed nisi ligula consequat id quam et efficitur cursus ligula praesent a enim eget libero porta porta eu sit amet leo mauris tristique felis ac lorem venenatis at dictum nisi laoreet curabitur a maximus sem suspendisse luctus risus eget ligula mollis ac egestas augue dictum ut vel augue erat integer ut leo rhoncus viverra dolor non aliquam augue aenean mauris neque placerat sit amet dolor tincidunt maximus ullamcorper felis etiam vitae facilisis orci fusce id turpis aliquet diam pulvinar mollis in hac habitasse platea dictumst phasellus a efficitur urna nullam bibendum turpis quis nulla tincidunt ornare tincidunt quam vulputate mauris at orci id mi facilisis elementum sit amet a turpis mauris nec est eu enim luctus pellentesque donec eu mauris id sapien laoreet luctus ac eu sem nunc vel ante eu risus tincidunt rhoncus aliquam erat volutpat etiam elit neque semper malesuada suscipit eu eleifend in ligula class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos donec semper eget nisi mattis faucibus fusce iaculis bibendum massa nec tincidunt justo porta quis duis dignissim ex et nunc congue blandit suspendisse et enim eu magna dapibus aliquet non nec leo etiam metus ante gravida eget tincidunt eu egestas ac nibh cras accumsan turpis a porttitor accumsan integer malesuada eu nibh auctor viverra vestibulum vitae lacus a odio ullamcorper mollis posuere vel enim praesent sollicitudin turpis vel imperdiet volutpat maecenas dictum massa id porta maximus in imperdiet maximus risus eget posuere suspendisse rutrum sodales augue sed sodales augue vestibulum non phasellus vitae lacinia mauris  ', '0'),
('131', 'node', ' quisque ac arcu 1 read sed condimentum egestas elementum praesent sollicitudin turpis in pretium egestas nunc hendrerit feugiat urna ac volutpat etiam ac ante est in hac habitasse platea dictumst nullam euismod lacinia convallis sed purus enim congue at diam sed tristique molestie nunc sed a consequat mi integer sollicitudin leo ultricies nisi mattis semper hendrerit est bibendum morbi tincidunt sit amet est at consequat etiam vitae nisi vel ex semper sollicitudin nullam dictum odio quis ullamcorper ultrices ante neque luctus ligula eu suscipit nisi libero id enim fusce et sapien vel lacus viverra suscipit integer aliquet ornare elit nec volutpat massa auctor eget cras interdum libero turpis ac lacinia nunc vulputate a donec quis orci vestibulum neque ornare dignissim mauris eget dictum elit proin ac rhoncus eros lorem ipsum dolor sit amet consectetur adipiscing elit cras leo nisi mollis et auctor eu egestas quis risus morbi accumsan sodales lectus vitae hendrerit leo luctus ut vestibulum lobortis accumsan purus sed sodales purus nunc non velit ut nisi dictum luctus id vitae justo aenean magna quam fringilla quis dignissim at viverra eu nisl mauris scelerisque dui ipsum a scelerisque libero rutrum eu aliquam nec feugiat tellus nunc enim tellus laoreet ut pulvinar ac gravida vitae urna aliquam enim massa dapibus id iaculis in aliquam ut risus suspendisse at molestie ligula ac mollis nisl nulla facilisi suspendisse sollicitudin augue tincidunt metus sagittis porta pellentesque sollicitudin orci ac imperdiet imperdiet donec vehicula ligula at felis molestie interdum duis nibh sem efficitur non condimentum ac ultricies a nunc nulla nec finibus nibh fusce accumsan ex a dapibus commodo ut pretium lectus sit amet fermentum mattis mi elit vulputate massa sit amet tincidunt odio erat vel nunc proin tincidunt ante quis molestie lobortis neque eros eleifend ipsum id pulvinar magna massa ut massa etiam at velit quis lorem scelerisque efficitur quisque ac arcu ut augue bibendum bibendum at vitae dolor etiam ut lacinia ipsum non tincidunt ligula fusce finibus arcu est in tristique turpis dignissim quis donec scelerisque in nisi id varius proin eget pharetra tellus nec tincidunt mauris  ', '0'),
('132', 'node', ' anna vandana 5 reads directorate mail examplecom mauris eget sollicitudin augue maecenas id varius ante pellentesque gravida mi eget feugiat semper diam neque maximus eros eu volutpat magna leo quis est donec consequat sollicitudin odio vitae dapibus justo cursus sed quisque ac ipsum quis nunc aliquet ornare et a urna aenean id ex eget sapien pretium elementum eu in turpis nulla pharetra sagittis malesuada curabitur maximus consequat vestibulum aenean sit amet ipsum vitae justo interdum hendrerit duis varius magna dui nec accumsan lectus varius vitae suspendisse ac consectetur ligula in aliquam pharetra enim eu vestibulum mi cursus a fusce tempus mi nec metus varius suscipit sed hendrerit justo at sapien commodo consequat suspendisse vitae faucibus augue eget viverra eros fusce est eros vulputate in semper a pretium at justo duis mollis aliquet ante ut dapibus nam id faucibus ante pellentesque sollicitudin leo quis iaculis semper neque massa pretium leo eget pellentesque erat eros id arcu maecenas quis mi odio morbi nibh nunc consectetur vitae tristique id rhoncus at purus sed tristique velit justo in egestas felis vestibulum et proin risus lacus dictum et aliquet ut lobortis ut velit phasellus id nunc vehicula magna posuere varius vitae sit amet dolor duis in neque ut libero varius ornare a ut ligula phasellus eget placerat eros suspendisse ut risus sit amet eros laoreet fringilla eu sed massa cras condimentum non augue vitae mollis aliquam porttitor ipsum mauris in viverra velit fringilla at sed et lectus velit integer porta rhoncus arcu eu lobortis integer consectetur neque quis dui ullamcorper vulputate integer posuere tellus orci vel luctus mauris dictum at donec iaculis id erat et vulputate nullam eros nisl congue sed scelerisque non iaculis non metus  ', '0'),
('133', 'node', ' jessica hall 11 reads photographer integer vel leo at libero ultricies fringilla eget in augue sed porta nibh dolor ac auctor arcu iaculis sit amet donec eu varius neque vel malesuada lacus aliquam ex arcu rutrum vel sapien nec euismod dignissim tellus vestibulum leo dui dictum sed tincidunt et imperdiet sit amet augue aliquam vulputate orci at elit ullamcorper sit amet blandit nisl laoreet proin et pharetra orci cras commodo tellus et massa tincidunt quis pretium risus condimentum aliquam ullamcorper dolor ultrices lobortis euismod mi libero luctus ante vitae imperdiet arcu quam id purus nunc lobortis vehicula dapibus sed dapibus tempus dui sed ullamcorper lacus fusce finibus eu mi non tincidunt pellentesque dignissim ornare diam dictum consequat neque ultricies ac aliquam facilisis nisi vel tristique consequat lorem nulla tincidunt nisl quis auctor nibh odio id felis nunc molestie accumsan magna vel auctor orci finibus tincidunt vestibulum suscipit aliquet nisl ut condimentum morbi eu odio sodales malesuada orci id volutpat tortor interdum et malesuada fames ac ante ipsum primis in faucibus sed at quam quis augue pretium ultricies et ac augue nullam massa orci euismod non iaculis et faucibus at ligula proin et risus sem mauris fermentum ligula lorem eu porttitor metus pretium et etiam aliquam sed eros quis auctor aliquam iaculis nibh ut mauris dignissim lobortis donec imperdiet mauris eu risus mollis id sodales tortor bibendum nam egestas sapien eu dolor imperdiet euismod fusce ornare erat sagittis faucibus laoreet aliquam suscipit efficitur ex non egestas suspendisse egestas luctus felis ac luctus ut ac urna nec nisi convallis blandit at id ligula suspendisse quis dictum sapien nec suscipit ante integer ac consectetur massa  ', '0'),
('134', 'node', ' jeff price 9 reads art director sed sagittis gravida interdum integer sit amet congue odio sed eget magna non justo suscipit eleifend at at felis praesent feugiat dapibus aliquet duis commodo quis dui facilisis vulputate fusce egestas nisi ac condimentum volutpat proin scelerisque pretium nibh dictum pretium suspendisse vel risus dignissim lobortis tellus eget dictum urna donec varius sagittis nisi quis iaculis erat rutrum eu nunc vel mi elit interdum et malesuada fames ac ante ipsum primis in faucibus vivamus feugiat sit amet odio eget blandit cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus morbi lacinia dui id dignissim imperdiet nam fermentum eros in rhoncus consectetur orci purus sodales ipsum accumsan tempor dolor mauris ac eros in vel sapien nunc etiam nec mi est aliquam ac nibh ut ligula condimentum vehicula donec id volutpat enim id congue justo integer nec lorem sit amet risus vulputate mollis pellentesque ac bibendum tellus suspendisse nunc ligula ultrices at tincidunt in placerat tempor nisl nullam ut posuere elit morbi feugiat turpis eu orci mattis blandit cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc sed consectetur nisi non pulvinar nisl maecenas elit mi sollicitudin in lectus et aliquam hendrerit libero maecenas ut tincidunt ante curabitur vel scelerisque leo  ', '0'),
('135', 'node', ' irma may 14 reads sales manager phasellus fermentum arcu urna non porttitor tortor convallis vitae nam eu est mattis vulputate nisi a ornare nibh mauris vulputate ex nec mattis tristique lorem libero facilisis lorem ut pellentesque risus metus suscipit urna suspendisse ut est non elit accumsan tempus maecenas est diam gravida nec ultrices id tincidunt nec metus pellentesque nec sapien sit amet felis facilisis fringilla lorem ipsum dolor sit amet consectetur adipiscing elit in at consequat orci phasellus condimentum maximus ligula ut sollicitudin dui lacinia nec vestibulum mattis convallis laoreet vivamus non diam commodo vestibulum turpis ac vulputate tortor vivamus aliquam lectus quis mi accumsan eget ornare neque facilisis morbi volutpat sit amet lectus a dignissim curabitur ac dui libero vestibulum hendrerit et lacus at dictum sed rutrum massa eget lorem varius tempor nec at ante sed dignissim massa aliquam magna interdum quis dictum turpis tempus praesent et pharetra nulla aliquam ac scelerisque elit suspendisse a tristique libero et tempor risus praesent risus purus molestie vitae nunc id sagittis efficitur lectus donec porttitor justo vitae sem imperdiet dictum praesent iaculis facilisis rhoncus in hac habitasse platea dictumst duis quis rhoncus nulla sed tempus massa eu pellentesque faucibus duis bibendum nisi sit amet eros condimentum euismod fusce sit amet vehicula quam sed neque sem pharetra ac aliquet at pulvinar vel dui ut sit amet magna a metus hendrerit maximus vivamus et porttitor nibh nec interdum velit  ', '0'),
('136', 'node', ' vivamus ut molestie massa vitae pharetra purus  aliquam eget nisi accumsan rutrum ipsum at tristique velit integer magna nisl tincidunt id velit nec eleifend condimentum magna maecenas id tempor turpis nulla suscipit malesuada vestibulum sed efficitur elit turpis sit amet lacinia nisl aliquet ac curabitur ac neque vestibulum porta ante et vulputate urna mauris rutrum velit in tempor consequat etiam eget nulla nec augue imperdiet iaculis suspendisse non dui a tellus ornare mattis ac et sem nunc eget aliquam tortor cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus vivamus ut molestie massa vitae pharetra purus cras a arcu quis ante tincidunt egestas donec ut purus ornare viverra lectus eu auctor ipsum quisque sodales efficitur quam id fermentum risus vestibulum a ut interdum metus at elementum pharetra in quis sapien id urna varius efficitur eu et mauris nullam pretium eget dolor ut pulvinar phasellus viverra enim ac arcu facilisis sit amet cursus quam maximus aliquam id fermentum sem maecenas in leo neque in hac habitasse platea dictumst suspendisse nibh metus sodales ac velit sit amet efficitur sodales lectus sed non dolor id lacus rutrum vehicula donec ullamcorper diam ligula sit amet pellentesque arcu rhoncus vel curabitur convallis mauris eget varius efficitur donec lobortis pretium porta duis sollicitudin et eros ut blandit ut vitae pellentesque odio 1 read development ', '0'),
('137', 'node', ' proin sit amet erat justo  aenean dignissim leo a ornare blandit nullam vestibulum volutpat lorem in hendrerit turpis gravida sed pellentesque id accumsan turpis a blandit orci in nec viverra nunc proin condimentum nulla ac aliquet vehicula sed quis metus quis massa vehicula blandit eu at nulla fusce id ultricies felis cras non neque non nisl consectetur ornare proin condimentum nunc diam quis posuere risus elementum ac sed euismod arcu in posuere auctor ligula quam facilisis tellus sit amet aliquet justo leo id nibh curabitur gravida metus ut pharetra venenatis aenean et dui vitae eros vestibulum venenatis vitae a enim duis maximus cursus lacus ut malesuada nibh aliquam ac integer nec mi sodales posuere lacus at viverra nisi integer finibus bibendum lorem varius aliquam erat faucibus a curabitur eget ante felis aliquam nisl metus rutrum in mauris aliquam rutrum faucibus elit nulla sollicitudin fringilla ligula eget tincidunt nulla mollis mauris in porttitor euismod sed eget metus in augue egestas interdum duis eget tellus gravida porta mi ut lobortis leo fusce lorem arcu porttitor at tellus vulputate auctor tincidunt metus curabitur non arcu sed nulla dignissim viverra vivamus dapibus turpis ac condimentum auctor mauris non felis vulputate elementum ex id consectetur nisl interdum et malesuada fames ac ante ipsum primis in faucibus proin sit amet erat justo donec eleifend nulla nec sem pellentesque ac auctor felis tempus praesent fringilla eros erat dapibus aliquet nibh egestas id aenean fringilla nunc sem at sodales tellus sollicitudin sed in fermentum arcu et aliquam vestibulum justo ex ullamcorper lacus sit amet condimentum libero leo nec ante pellentesque scelerisque iaculis dui vitae semper praesent hendrerit dapibus nibh at feugiat aenean ex lacus tempor non risus a gravida mattis libero donec ultricies magna sit amet risus blandit vestibulum mauris vitae lobortis dui nam pretium mi enim cras id scelerisque magna in venenatis leo sed id egestas nulla nec mollis mauris 1 read general ', '0'),
('138', 'node', ' quisque semper justo at pulvinar feugiat  integer cursus congue urna ut posuere pellentesque non sodales felis proin cursus viverra feugiat donec dictum condimentum quam sed facilisis suspendisse ac elit magna sed mi velit tincidunt id venenatis vitae aliquet sed justo vivamus maximus dictum diam et pulvinar nunc commodo ante euismod odio tempor ullamcorper vestibulum tincidunt nisl non ex eleifend non posuere nunc efficitur sed blandit ut quam nec vestibulum sed id odio ut mauris tristique rutrum at ac sem integer in volutpat mi nunc quis dolor lobortis porttitor metus vel ultricies nisi quisque semper justo at pulvinar feugiat dolor nibh laoreet ex non mattis lacus dui sed erat maecenas vitae erat at lorem tincidunt congue vel et nisi nullam porttitor accumsan suscipit sed felis velit ultricies ut dictum nec commodo vel purus donec accumsan sapien sed purus eleifend fringilla aenean vulputate at ipsum a faucibus phasellus ut gravida turpis nunc sapien magna tincidunt non leo a dictum porttitor lectus nullam viverra odio auctor tortor molestie malesuada praesent tincidunt ornare sapien id egestas diam sodales a praesent lacus mauris suscipit sed laoreet sit amet tempus et mi pellentesque mollis odio sed ante fermentum id fringilla elit dignissim duis egestas leo nec fringilla sollicitudin mauris at urna venenatis convallis velit eget tempus urna pellentesque id porttitor felis a aliquam dolor ut nec diam tellus 1 read general others ', '0'),
('139', 'node', ' curabitur finibus nulla eros  curabitur lobortis convallis mi vitae bibendum augue auctor vitae donec vulputate varius elit sed vel lorem nec ligula tincidunt eleifend maecenas turpis nunc ultrices a volutpat eget finibus mattis arcu vivamus faucibus fringilla turpis volutpat ullamcorper sed interdum est libero id iaculis est euismod quis nulla volutpat lacinia nunc vivamus vitae mi ut dolor egestas tristique nunc auctor sem eu convallis porttitor dolor turpis ullamcorper nulla eget feugiat lorem est eget magna in egestas nisi et ipsum malesuada facilisis cras dictum risus id iaculis fermentum curabitur finibus nulla eros tincidunt feugiat nisl suscipit vel morbi et erat ut arcu venenatis condimentum vitae faucibus magna in posuere eros eu scelerisque pharetra integer accumsan imperdiet erat ac aliquam ligula congue a in pharetra est at bibendum lobortis ut faucibus lectus ac tellus luctus at bibendum justo condimentum donec et placerat urna quis eleifend metus suspendisse id diam luctus sagittis ligula non vulputate lectus quisque consectetur arcu a consectetur finibus dui ante congue elit ullamcorper cursus nunc erat non ante nullam iaculis blandit finibus nulla congue erat non pellentesque viverra integer in rhoncus nulla fusce vehicula massa quis pellentesque consectetur nunc commodo lorem ac dignissim ornare nibh augue commodo massa eget pulvinar lectus turpis tincidunt erat suspendisse pellentesque eros in porta pulvinar nulla ultrices scelerisque diam vitae congue felis laoreet id ut non tempus massa aliquam consequat est vel tellus scelerisque consectetur 1 read development licence ', '0'),
('142', 'node', ' free 6 reads  mo aliquam interdum turpis at quam luctus vitae maximus mauris laoreet nullam convallis est nec dui consequat ut faucibus quam fringilla vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae quisque ac ultrices metus vivamus iaculis nunc eu justo consectetur ac blandit erat tincidunt nulla eget sapien eleifend viverra ipsum at iaculis ex phasellus at nisl in nulla aliquet molestie a in ex aenean sit amet nisl ipsum interdum et malesuada fames ac ante ipsum primis in faucibus suspendisse potenti praesent eget lacus viverra maximus ex a accumsan magna aliquam neque dui semper pellentesque congue quis semper quis nisi curabitur velit velit elementum vitae dolor eu tempor consectetur elit curabitur et tortor tortor in hac habitasse platea dictumst aenean quis nulla sagittis facilisis eros non pellentesque dui up to 50 users limited team members limited disk space custom domain paypal integration basecamp integration email tech support unlimited projects  ', '0'),
('143', 'node', ' basic 7 reads 15 mo proin porta ligula aliquet imperdiet fringilla cras dui turpis mollis vitae facilisis vitae aliquam molestie enim fusce urna ex sollicitudin eget mauris sed porta dignissim est pellentesque dignissim tellus vehicula elit varius laoreet fusce vitae urna dapibus scelerisque augue et porttitor mauris etiam consequat elementum tortor vitae hendrerit suspendisse varius ante metus id aliquam est tincidunt id aliquam egestas urna non orci aliquam hendrerit non sed tellus quisque ac ligula eu est tincidunt tincidunt in eu purus suspendisse dui urna maximus vitae ligula vel laoreet facilisis elit nunc ullamcorper sem sit amet rutrum pellentesque nisi libero varius dui in bibendum purus mi nec nibh proin mattis augue eget lorem interdum eu posuere ipsum rutrum ut tristique dictum dignissim nunc scelerisque metus tortor nec vehicula sem aliquet non up to 100 users limited team members limited disk space custom domain paypal integration basecamp integration email tech support unlimited projects  ', '0'),
('144', 'node', ' pro 7 reads 35 mo donec finibus vitae turpis a varius suspendisse erat nisi pretium id accumsan ac vulputate non orci nulla sed odio aliquet scelerisque mi et sagittis arcu fusce sagittis ligula lorem eu ultrices ipsum volutpat egestas pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas donec vel tincidunt quam lorem ipsum dolor sit amet consectetur adipiscing elit fusce pellentesque nisl vel auctor aliquet praesent eget tempus sapien up to 250 users limited team members limited disk space custom domain paypal integration basecamp integration email tech support unlimited projects  ', '0'),
('145', 'node', ' master 4 reads 25 mo nulla luctus maximus massa quis gravida nunc tristique et donec vulputate elementum mollis fusce rutrum fringilla enim quis tincidunt sed a tincidunt diam ut ornare justo eu posuere commodo nunc est aliquet ante iaculis luctus purus felis et erat nunc egestas tristique quam quis congue nullam at eros eu sapien varius consequat fusce pellentesque mauris a neque fringilla eu mollis metus rutrum suspendisse non ullamcorper ante nulla tristique ex id orci mattis eu blandit justo maximus nulla maximus purus ut lectus pharetra bibendum quisque eget viverra nulla up to 50 users limited team members limited disk space 2 addon domains custom domain  ', '0'),
('146', 'node', ' enterprise 5 reads 35 per month cras in pulvinar orci vestibulum magna mauris malesuada eu bibendum quis pulvinar vitae libero cras ac varius magna sed tristique est interdum et malesuada fames ac ante ipsum primis in faucibus cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nullam tincidunt odio id hendrerit iaculis donec luctus maximus eros eget porttitor enim ornare in phasellus sapien nibh luctus sit amet sapien eget rhoncus fringilla elit nullam vulputate metus et tortor malesuada scelerisque maecenas sed finibus justo ut a tincidunt libero in luctus ante pellentesque euismod pellentesque placerat nam neque turpis fermentum id dignissim eu varius ut sapien 150 users 25 vpn gates unlimited space  ', '0'),
('147', 'node', ' a few words about us in leo erat pellentesque id elit in cursus consequat nibh vivamus id metus efficitur interdum massa sit amet fringilla sapien nunc mi nibh pellentesque posuere pulvinar at mollis id ligula in nec bibendum nisi quis pharetra justo duis ut egestas risus sed congue nisi in hac habitasse platea dictumst pellentesque vestibulum non dui eget finibus sed sagittis purus et malesuada sollicitudin mi tellus aliquam magna suscipit luctus lectus nisi non purus praesent maximus lacinia blandit mauris semper sodales sem ut consectetur sem tristique tincidunt vivamus nec hendrerit velit nam fermentum suscipit dictum donec in lectus ut libero malesuada blandit aliquam feugiat ante at eros efficitur eu ultrices leo dictum etiam non pretium dui interdum et malesuada fames ac ante ipsum primis in faucibus sed mollis sapien non quam gravida vulputate sed a libero magna in varius nibh quis placerat eleifend in hac habitasse platea dictumst suspendisse potenti nullam volutpat erat id ligula feugiat ut ornare est suscipit cras ultricies augue id magna laoreet pharetra integer vitae enim et urna faucibus convallis sed vel velit nulla id risus vitae lacus pellentesque tempus ac a est in euismod porttitor libero id lobortis mauris nec imperdiet felis hendrerit lobortis dui suspendisse vel sapien convallis turpis facilisis rhoncus eu vel erat quisque velit mi cursus a gravida non lobortis non est phasellus et elit egestas purus ornare pellentesque ut in ultricies neque sed eget enim et turpis cursus condimentum maecenas convallis ante diam nec ullamcorper lacus congue nec curabitur tristique massa dignissim dui lacinia semper maecenas volutpat semper mi mattis fermentum libero ornare rutrum donec eleifend felis a purus condimentum hendrerit sit amet nec sapien nulla orci augue facilisis eget finibus vel dictum et felis praesent pretium aliquam suscipit nam semper ac arcu quis ultrices aliquam erat volutpat ut id nunc nibh donec lectus ex fringilla et risus ac molestie ultricies ex nulla a imperdiet eros in a erat viverra vulputate nisi vehicula ultrices dolor duis nec odio velit morbi aliquet ex in pharetra aliquet urna justo euismod augue non semper nulla nibh eget velit vestibulum sed hendrerit mi sit amet maximus tortor nullam scelerisque augue id ex dictum luctus nulla enim erat tristique nec magna ut laoreet euismod nisl mauris euismod leo quis scelerisque pretium augue nulla mollis odio nec ornare augue metus nec nisl donec dictum dapibus nunc et aliquam mauris varius commodo dignissim fusce lobortis mi sit amet est dapibus eget eleifend sem condimentum etiam eget laoreet metus quis lacinia sem mauris vel turpis eget neque facilisis efficitur aenean eget metus semper imperdiet sem vitae tristique ipsum curabitur at urna vel tellus ultricies tincidunt duis mi diam dignissim sit amet mollis at interdum sit amet velit donec vel ex cursus faucibus ligula non rhoncus urna in elementum tortor ex a condimentum nunc lacinia eget 1 read company ', '0'),
('148', 'node', ' donec quis ante dictum mauris a massa id purus pellentesque commodo a et dolor maecenas dictum pellentesque nisi et blandit orci volutpat nec curabitur quis suscipit metus mauris ac arcu at arcu molestie sagittis vel et lorem pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas donec quis ante dictum tempor neque et dictum magna suspendisse sit amet lacus vel turpis dignissim blandit nulla et placerat lacus ut suscipit nunc cras sed accumsan magna cras sit amet dictum nunc vitae suscipit purus nam in lacus at ex venenatis lacinia sit amet eget felis proin convallis mauris a posuere semper suspendisse potenti nunc pretium ipsum at suscipit egestas etiam vitae viverra risus ut ornare augue maecenas venenatis non enim eget lacinia in mollis tincidunt felis vitae imperdiet curabitur in eros ullamcorper ipsum sodales gravida vitae a erat pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas proin rhoncus urna fermentum elementum elit at gravida eros quisque sagittis suscipit sapien id mollis nisl bibendum et quisque sem ante consequat eget nulla eu convallis euismod mauris in eget feugiat mi nunc quam enim hendrerit ac aliquet nec dignissim at erat suspendisse potenti cras consectetur posuere vehicula fusce pellentesque placerat tortor ac placerat sem ornare ut aliquam semper eleifend est quis pharetra nunc rutrum eget etiam dictum dolor et lacus vulputate et vehicula leo venenatis aenean vehicula magna in ex luctus consequat proin porta lacus ac ornare sollicitudin massa ligula maximus tellus sed venenatis tortor velit ac velit maecenas maximus tempus odio et varius vestibulum vehicula felis in tellus commodo scelerisque sed luctus nisl eu nisl imperdiet ut porttitor est laoreet suspendisse potenti aenean vel fringilla nibh et ullamcorper quam proin rutrum suscipit turpis imperdiet fringilla pellentesque ultrices fermentum lectus nec pretium in porta eu magna et fermentum fusce vel velit a turpis commodo pretium sed non dolor nulla facilisis maximus pellentesque quisque pellentesque tempus dui id euismod nunc convallis arcu ac tincidunt hendrerit cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nulla elit est rutrum sed facilisis nec sodales ac leo proin eu tempus mauris integer nibh massa scelerisque faucibus augue ut congue convallis nulla phasellus tempus aliquet leo eget varius arcu volutpat non nullam quis libero metus duis ullamcorper urna lectus in cursus nisl pharetra et praesent at eleifend nibh ut mollis orci quisque aliquam at ex fermentum consectetur sed porttitor ligula sed iaculis vulputate turpis tellus imperdiet libero sed suscipit augue neque eget mauris aenean pretium ornare nulla pretium facilisis sed facilisis fringilla dapibus integer suscipit metus quam eget suscipit sapien ornare et aenean leo lacus consectetur et eros et laoreet commodo mi nulla tincidunt lorem sit amet viverra hendrerit suspendisse lectus nibh faucibus a lobortis sit amet luctus vitae augue curabitur vel purus lacus fusce ut elementum dolor phasellus imperdiet tincidunt aliquet aenean aliquet ac nisl ac aliquam duis vulputate finibus ullamcorper maecenas nisi felis tempus tincidunt lacus eu pretium egestas risus 9 reads category 1 ', '0'),
('150', 'node', ' who we are vestibulum tristique vel dolor nec facilisis nam urna nisl luctus non magna eget consequat vestibulum justo proin lobortis dui a ligula sollicitudin luctus nulla facilisi vestibulum rhoncus rhoncus ornare mauris tincidunt eu velit ac dictum vivamus lectus dui dignissim ac sapien pellentesque tempus blandit lacus sed cursus id metus sed feugiat suspendisse ac erat molestie vulputate mi pellentesque imperdiet lorem nam blandit non mi in faucibus quisque pellentesque euismod purus sed accumsan libero in odio interdum iaculis vivamus et quam magna duis nisl lacus vestibulum vitae bibendum ac rhoncus sit amet turpis curabitur sit amet fringilla tellus proin purus ex auctor non fringilla sed sagittis sit amet leo donec aliquet libero eu velit iaculis condimentum aenean aliquet et tellus facilisis sodales morbi at est congue tempus dolor ac sodales justo duis ut aliquam odio suspendisse eget lorem et lectus viverra pharetra non eu elit mauris aliquet placerat ante sed euismod phasellus vel neque dapibus accumsan enim in feugiat quam mauris nec quam nulla quisque enim leo ornare nec massa ac dapibus sagittis nunc nunc ut malesuada libero sed pretium velit aenean vel mollis massa sit amet tempor libero aenean non lectus commodo urna venenatis aliquam eget ac nulla nullam sit amet suscipit quam vivamus mollis id massa ac dapibus praesent in eleifend purus vestibulum metus tellus auctor et felis quis ultricies tempus sem cras consequat ligula non elementum placerat nulla ligula porta nisl ac maximus nunc ligula eget metus sed non congue turpis nullam mi justo fringilla et mollis egestas vestibulum sed ante mauris posuere faucibus dolor quis iaculis felis porttitor non vivamus a lectus vulputate ultricies tortor nec tincidunt nulla nulla facilisi curabitur nec leo sed urna varius aliquam nec eu mi morbi fringilla porttitor tempor morbi congue molestie facilisis donec blandit justo sit amet est rhoncus vel accumsan urna sodales in laoreet nisl ultrices venenatis molestie justo metus gravida elit nec hendrerit nisl ipsum a eros suspendisse luctus arcu at est egestas euismod suspendisse pharetra sit amet massa id ullamcorper aliquam efficitur tempor libero vestibulum luctus dui nullam vestibulum sodales velit vel cursus diam sed interdum eros in dui venenatis at dapibus erat ullamcorper sed vitae erat bibendum interdum leo non mollis nunc sed tempus tempus eros quis fringilla nulla at ante eu leo ornare imperdiet in hac habitasse platea dictumst mauris euismod massa in elit fermentum et vehicula ligula aliquet aliquam faucibus pharetra augue non vulputate quisque et bibendum mi pellentesque at imperdiet felis quis accumsan risus in elit augue ullamcorper a pretium ac interdum quis diam cras at maximus ipsum cursus euismod risus ut consequat ligula vitae felis malesuada ullamcorper praesent ac sapien nisl praesent nunc eros maximus id orci in condimentum pretium felis 3 reads category 3 ', '0'),
('151', 'node', ' our mission in id turpis a dui ultrices faucibus cras ante ipsum aliquet sed ligula pharetra volutpat congue justo mauris feugiat pulvinar lobortis nulla bibendum interdum arcu ac lobortis fusce tincidunt venenatis purus ac rhoncus donec commodo erat et consectetur malesuada neque justo elementum ipsum ac vestibulum ex lacus eu augue proin congue ex tortor sed sodales ipsum luctus in nunc sed dapibus libero id aliquet nibh nunc eget sodales elit vestibulum metus metus tempus ut urna eu ullamcorper egestas leo donec condimentum felis et est convallis vulputate condimentum quam consectetur nullam pretium sit amet neque eget pulvinar phasellus nisl turpis egestas et dictum eu dictum eu libero donec vitae venenatis dui sed interdum massa ut auctor nulla id suscipit venenatis sed ac nunc id orci tristique varius vestibulum molestie elementum molestie ut varius lectus ac viverra tempus mauris felis purus tincidunt eu lorem ac pellentesque aliquet enim aliquam finibus non diam in consectetur etiam sagittis efficitur augue et mattis sem aliquet tincidunt proin tristique tellus nisi vitae viverra quam rhoncus non nullam tincidunt ut ipsum non semper in mollis est quis diam aliquet non rhoncus nunc laoreet aliquam accumsan ac quam nec placerat aliquam pulvinar lorem vitae augue porta vitae vulputate enim maximus vestibulum non interdum nisl ut egestas felis in imperdiet pretium tortor in sodales nullam porta dui sit amet ipsum accumsan nec egestas ipsum volutpat nulla facilisi fusce pharetra massa est et ornare turpis volutpat ac vivamus ac tincidunt dui aenean non ex eget tortor ullamcorper cursus eget sed mauris praesent nec mollis nisl eu fringilla enim pellentesque massa nibh interdum ut tincidunt vitae auctor ac lorem proin eget ipsum imperdiet finibus metus sit amet auctor arcu vivamus non purus quis dui commodo feugiat nulla et velit lectus lorem ipsum dolor sit amet consectetur adipiscing elit proin a posuere orci id luctus orci in malesuada libero eget sem dignissim in tincidunt velit iaculis praesent sollicitudin ex ipsum at placerat lectus gravida vel suspendisse ultricies risus quis placerat ullamcorper enim nunc semper dolor quis viverra velit nibh ut justo ut sit amet tempor turpis aenean imperdiet felis non molestie congue pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas maecenas et condimentum eros 3 reads category 3 ', '0');
INSERT INTO `search_dataset` VALUES
('152', 'node', ' best service ever 6 reads nullam ut posuere turpis maecenas ultricies massa scelerisque vehicula ultrices mi mauris congue ligula id tempor enim turpis eget risus nulla egestas ante vel eros iaculis id ultricies nisl lacinia vivamus luctus diam quis turpis viverra a convallis quam iaculis curabitur dictum mollis massa eu placerat integer quis diam facilisis egestas lorem vitae semper quam quisque sit amet metus sit amet tortor lacinia ultricies sed nisl nisl dictum ut velit id dignissim iaculis nisi aliquam dictum nunc eros in efficitur mi sodales et cras et eros vel urna ultrices lacinia nam nec tempus orci mauris commodo diam eget molestie lacinia nulla consectetur est sed lectus vehicula consequat phasellus nisi ipsum interdum a enim ac scelerisque sagittis risus vivamus nec semper sem luctus viverra nisl sed dignissim libero sit amet purus aliquet commodo nam cursus vel augue nec dignissim morbi et eros nisl nunc varius convallis justo eget porta suspendisse blandit pharetra elit ac faucibus ligula fringilla in donec eget nisl mollis facilisis ipsum id mollis justo duis ullamcorper neque vitae ligula efficitur sed commodo enim sagittis integer et mattis purus ac porttitor lectus nunc luctus augue a sagittis posuere nisi mauris malesuada elit sit amet porttitor dui mauris sit amet eros sed ultricies dolor nec diam pellentesque cursus nulla at ultricies nisl aliquam erat volutpat pellentesque quis ligula tempus consequat magna vitae euismod sem sed et mi erat in id leo justo maecenas lacinia ex eu felis sagittis tincidunt aenean id facilisis nunc etiam sagittis justo a justo ullamcorper ut interdum nunc malesuada donec viverra lacus interdum felis elementum ut dapibus sem pellentesque nulla nulla diam venenatis sed sem sit amet porttitor suscipit ligula maecenas lacinia augue ac dictum tristique erat metus luctus risus et rutrum neque tellus sed arcu suspendisse consequat felis ut lacinia mattis praesent laoreet lectus nec augue imperdiet maximus mauris iaculis lacus ut imperdiet elementum phasellus risus lectus rhoncus eget pharetra quis ultrices semper magna donec consequat elementum sollicitudin nulla eget ligula vel lacus ultricies placerat ut ac lorem nunc metus dolor maximus vel neque in sollicitudin fermentum est nunc neque dui laoreet at felis et commodo bibendum nibh sed ut aliquet erat pellentesque ligula elit rhoncus ut dui eleifend malesuada mollis elit aliquam semper vel diam nec porta nam suscipit dictum tellus tempor luctus nisl egestas in nulla condimentum volutpat dui nec ullamcorper dolor vestibulum ac etiam porttitor leo risus non dictum purus dictum non nam vulputate tincidunt efficitur curabitur lobortis metus ligula non ultrices justo convallis eu nullam ut molestie nulla sed ligula sem fringilla ac sagittis nec imperdiet vel nunc nulla sapien magna consequat a ultricies in consequat sed sem in ut ipsum nibh praesent sit amet lectus sit amet turpis consectetur placerat category 2 ', '0'),
('153', 'node', ' magnet for clients 6 reads mauris ac pulvinar neque suspendisse eu rhoncus erat in congue diam nulla at posuere mauris nulla vitae nulla lacinia luctus sem sit amet dignissim mi integer mollis ipsum vel euismod eleifend ex nulla suscipit odio a gravida lectus est nec nibh donec ac fermentum dui integer in purus gravida turpis commodo finibus proin semper laoreet orci vel suscipit lacus porta nec vestibulum et vehicula ante phasellus eget justo mi donec pretium tincidunt feugiat curabitur vel mi mauris nam quis imperdiet elit pellentesque consectetur maximus diam eget auctor proin volutpat ligula at purus posuere maximus sagittis libero feugiat in hac habitasse platea dictumst aenean sed velit elementum fringilla nisi in maximus arcu sed eget ligula imperdiet elit efficitur fringilla at eget dui aenean id commodo ante proin odio libero cursus in vestibulum a eleifend quis mauris vivamus quis sem lacinia bibendum nibh ac euismod diam proin tincidunt iaculis diam ut rutrum dolor volutpat sed etiam auctor ullamcorper dui in porta sed interdum eget eros ut eleifend sed facilisis urna vel quam rhoncus sodales in hac habitasse platea dictumst etiam ullamcorper ornare risus in convallis donec finibus quis nisi sit amet viverra suspendisse malesuada dolor finibus tellus porttitor non sollicitudin odio rhoncus vestibulum sed nulla in tellus pretium porta suspendisse potenti fusce vitae vehicula arcu nec mollis ante class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos nullam pharetra mauris at ullamcorper hendrerit turpis orci laoreet purus non tempus nisl diam eget lorem phasellus eu dolor id dui fermentum malesuada eu non mauris quisque non ante diam nulla facilisi suspendisse iaculis felis placerat nisi hendrerit porttitor sed laoreet augue ligula ut pellentesque sapien accumsan a praesent id felis sapien in hendrerit est sit amet efficitur cursus mauris luctus suscipit quam at pellentesque ipsum sagittis et in eu mollis ante mauris fringilla mi sed laoreet scelerisque vivamus volutpat quam quam ut eleifend velit malesuada ut pellentesque pretium purus a sapien mollis gravida praesent id luctus sem sit amet semper nulla quisque sed nibh velit etiam pretium purus ut pulvinar efficitur fusce convallis tempor neque eget porttitor felis gravida quis praesent elit ante molestie ut lacus a dictum aliquam nunc quisque et nunc malesuada facilisis nulla ut pulvinar ex nunc lacinia accumsan porttitor phasellus sed laoreet elit donec tempus lacus nec risus laoreet dapibus nullam vel aliquam lacus vitae facilisis lacus category 2 ', '0'),
('154', 'node', ' layered psd 6 reads nulla venenatis pulvinar neque vitae dignissim est ultrices vitae duis vel diam at augue tincidunt maximus sed gravida et ligula eu ultricies donec maximus maximus nisi et dapibus est venenatis id sed molestie at nibh rutrum ornare sed vestibulum nulla in tortor porta a viverra metus ultricies curabitur pharetra tortor eu sollicitudin varius enim metus laoreet massa eu maximus neque sem vitae mi nulla sollicitudin orci et leo viverra imperdiet proin et justo nec mi porta suscipit sit amet sed eros nulla eu libero diam aenean id vestibulum diam eget iaculis eros aenean nec enim a nisi viverra consectetur at nec mauris maecenas sed lectus quis quam eleifend iaculis nulla vitae quam nec purus lobortis rutrum vel sed elit in luctus fermentum mauris sit amet vestibulum donec maximus facilisis diam vitae vehicula odio euismod a suspendisse ut mollis massa vel rhoncus ipsum nam et tellus pulvinar suscipit sapien non vestibulum magna sed et dolor imperdiet fringilla purus vitae volutpat orci duis nulla orci sagittis quis eleifend non hendrerit a turpis ut consectetur ornare tortor eget malesuada curabitur quis dui gravida lectus pretium hendrerit vel nec nisi nam et vestibulum ex laoreet placerat elit vivamus sit amet libero dui donec posuere sem nec mi accumsan eget eleifend ex vulputate curabitur venenatis ut nisi vel vehicula pellentesque nec iaculis urna integer a elit ac quam sollicitudin hendrerit quis at tellus vestibulum sed nulla eget turpis faucibus consequat eleifend non mauris aenean tellus felis tincidunt non elit id vestibulum tristique purus integer congue sodales urna proin sagittis nibh in est blandit a consequat arcu consectetur nulla nec nunc ac erat mattis consequat suspendisse posuere urna a mollis feugiat purus nisl mattis tortor vel condimentum nisl nulla laoreet mi in venenatis lacus quis orci sodales sodales phasellus feugiat consequat cursus nullam nulla magna hendrerit id ligula in rutrum sagittis ante morbi sed malesuada nisl etiam tincidunt lacinia lacinia sed vitae lorem eget enim dignissim vehicula sed bibendum nec dolor eget placerat integer fermentum interdum est ut posuere vivamus eget aliquet neque vestibulum maximus odio vel lectus efficitur nec dictum ipsum vestibulum aliquam varius tincidunt dui vel hendrerit nam condimentum sodales diam ut posuere integer pretium at nisi non pharetra aliquam at rutrum ligula aliquam viverra ornare tellus elementum tempus sem sollicitudin at morbi eleifend erat nec placerat faucibus donec eget odio turpis mauris in est eu ante dignissim sollicitudin eget non urna ut purus sapien eleifend eu dictum vitae convallis vel justo mauris molestie nibh vitae est euismod maximus vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae nulla tincidunt nisi et orci molestie quis pharetra dui egestas category 2 ', '0'),
('155', 'node', ' vivamus faucibus malesuada 2 reads mauris maximus est vel congue pharetra ante diam bibendum tortor nec rutrum elit nisl et tellus maecenas egestas nisi sit amet nibh fermentum mollis maecenas quam libero lacinia eu rutrum ut imperdiet vitae justo vivamus et nulla a quam viverra aliquet quis a lorem mauris purus lacus aliquam iaculis arcu ut luctus aliquam purus nulla egestas est sagittis placerat placerat nunc odio orci aliquam ut tristique in eleifend a tellus nam euismod odio eget turpis facilisis tristique pellentesque pulvinar justo sed fermentum luctus justo justo tristique massa eu blandit purus magna semper risus ut vitae leo auctor eleifend nisl vitae fermentum arcu in rhoncus neque vel dapibus aliquet dolor tortor convallis sem luctus consectetur nulla enim eu ex aenean vitae vehicula lectus pellentesque ac lacinia dolor integer nunc ligula accumsan a hendrerit volutpat commodo dignissim lectus nunc tempor sem ac risus iaculis feugiat mauris ultrices ex nibh at lacinia magna finibus et quisque vulputate nisi ut faucibus scelerisque ut blandit felis vel ullamcorper faucibus maecenas aliquet neque vel odio convallis eget tristique lectus tincidunt nullam dictum dignissim congue quisque a viverra risus nec ultricies lacus phasellus elementum felis nibh non ultrices quam interdum at mauris porta ipsum ut sapien laoreet aliquam ut pellentesque felis commodo facilisis ultrices massa sapien placerat odio sit amet vehicula enim metus non enim aenean ac sem rutrum cursus nisi nec mattis urna aenean non massa a risus ultrices volutpat non sed lacus in placerat faucibus diam at vulputate fusce tincidunt suscipit urna et blandit eros semper non praesent malesuada neque et aliquam cursus pellentesque interdum arcu ut nulla semper vitae consequat erat pellentesque sed ex orci mattis sodales semper vel ultricies nec sem maecenas eget blandit felis suspendisse non magna non nulla interdum pellentesque id vitae felis curabitur in ligula quis risus feugiat ullamcorper eu sit amet massa donec tincidunt vel elit id efficitur vestibulum vulputate lacus ut nunc condimentum et molestie enim facilisis phasellus interdum a lorem elementum faucibus quisque cursus semper interdum donec auctor ex sit amet pretium aliquam orci dui rutrum risus vitae elementum nunc nunc vel ex in interdum felis lectus quis eleifend lorem cursus in cras consectetur nisl quis tempor maximus mauris eros sodales leo ac congue velit odio quis lorem fusce nibh augue viverra ultrices volutpat in viverra sed erat morbi ultricies venenatis justo et imperdiet massa nunc eu tincidunt lacus eget cursus quam category 3 ', '0'),
('156', 'node', ' freebies soon 3 reads maecenas porttitor mi nec vulputate vestibulum donec pretium libero in rutrum ullamcorper tellus lacus pulvinar urna at maximus diam velit quis neque nullam semper ornare est quis elementum pellentesque rhoncus mattis diam sed dignissim libero rhoncus eget in sed justo tincidunt fringilla metus id congue lorem phasellus vitae consectetur arcu pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas sed sit amet interdum dolor quisque non odio consectetur commodo tellus eget rutrum ipsum vivamus sed enim sed augue tincidunt porta vel eu nunc suspendisse mollis pellentesque augue et viverra quam proin a est urna praesent efficitur nulla tortor in facilisis ante ultrices vitae nam maximus at nisi nec rhoncus praesent fringilla at dui ac accumsan vivamus tempus tempor erat eget volutpat nulla dignissim lorem nec rutrum dignissim nunc purus ex semper sit amet nibh vel malesuada scelerisque eros vestibulum quis ante non felis mattis congue at et enim sed at dui cursus maximus velit ac facilisis quam sed non ex pretium vehicula elit vel lacinia felis maecenas tempus imperdiet sollicitudin fusce quis hendrerit ante a vehicula erat class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos interdum et malesuada fames ac ante ipsum primis in faucibus nullam varius tellus sit amet eros lobortis pellentesque sed elementum tellus enim sit amet bibendum turpis varius nec sed consectetur ex quis vulputate commodo nibh arcu fringilla est sed eleifend quam sem eget nisl ut accumsan ante sem id euismod urna bibendum ac category 1 ', '0'),
('157', 'node', ' low price 3 reads nunc eleifend velit sed nisi varius pharetra cras tincidunt varius porta cras interdum neque eget iaculis pellentesque vivamus et sem laoreet pretium lacus at elementum justo phasellus luctus risus quis pellentesque tempus nulla purus tristique velit eget facilisis nunc massa vitae libero donec ultrices malesuada massa a dictum aliquam facilisis tellus ut turpis varius in facilisis odio pharetra sed eu nunc placerat lacus blandit sollicitudin eu eget mauris mauris at arcu mattis congue massa eget condimentum tellus etiam vel semper neque donec eu dui at libero posuere condimentum ut id blandit velit morbi finibus ante eget nunc elementum rutrum vitae quis enim sed ut efficitur metus aenean mollis quam dignissim metus malesuada accumsan morbi purus dui suscipit id elit et faucibus pharetra ligula maecenas at risus vel massa pretium rutrum vehicula ut nulla cras malesuada blandit ante a auctor cras luctus facilisis iaculis curabitur quis dui metus quisque fermentum mauris vitae eleifend pharetra vestibulum convallis quis nulla rhoncus placerat phasellus ut molestie dolor cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus morbi lectus mauris pellentesque tempus enim et ornare congue dui lorem ipsum dolor sit amet consectetur adipiscing elit integer at nibh ut nunc porta tempor morbi convallis tempus libero dignissim sodales lorem ipsum dolor sit amet consectetur adipiscing elit nam erat diam mollis dapibus consequat et volutpat vitae eros suspendisse ut lorem vel justo sodales facilisis quisque eu scelerisque augue nunc ultricies at mauris sed aliquam curabitur venenatis lacus vitae aliquet volutpat in eget pharetra ex non scelerisque lectus nullam dapibus malesuada cursus phasellus consectetur nunc enim facilisis pretium risus cursus ut category 1 ', '0'),
('158', 'node', ' 24 7 help 3 reads nunc faucibus massa ac egestas porta nullam rhoncus iaculis nisi at bibendum erat ultrices sed vivamus eu fringilla eros phasellus pretium gravida nibh non tempor enim bibendum eget suspendisse tincidunt mauris vel pretium placerat velit ligula lacinia dolor eget efficitur magna nibh scelerisque risus pellentesque placerat eleifend massa nulla ultrices lectus ac elementum tincidunt justo libero congue nunc nec fermentum massa massa id velit proin sit amet metus id velit interdum rhoncus in quis neque feugiat nisi malesuada tristique donec congue magna vitae malesuada maximus vivamus sit amet justo vel ex tempor pharetra quis lobortis arcu donec egestas feugiat fermentum ut nec tortor malesuada condimentum mi quis maximus nunc vivamus varius neque ut urna cursus dignissim etiam eleifend orci lacinia ex imperdiet porta sed varius viverra suscipit nam sit amet tellus eu elit efficitur blandit phasellus sed aliquam neque morbi consequat turpis vitae cursus hendrerit duis ullamcorper nulla pharetra orci tincidunt nec tempor dui scelerisque vivamus quis odio finibus pharetra dui in euismod mi aliquam sit amet fringilla velit in ut posuere orci duis augue erat faucibus id maximus nec venenatis id tortor morbi vestibulum odio quis sapien mattis pharetra praesent ligula nisi efficitur in iaculis id auctor id justo nam id rhoncus enim etiam egestas ac ante ac tincidunt quisque non congue libero donec in massa eget libero malesuada ornare ut nec erat proin convallis nisi pellentesque viverra urna eget scelerisque elit integer semper consequat ex eget lacinia enim congue at integer sollicitudin posuere turpis aliquam pretium augue condimentum quis nunc pellentesque leo non enim tempor in maximus tellus finibus mauris at volutpat urna aenean ut ex eu tellus mattis malesuada curabitur pulvinar nisi eu nibh venenatis accumsan nulla a eleifend augue category 1 ', '0'),
('159', 'node', ' layered psd 23 reads nunc faucibus massa ac egestas porta nullam rhoncus iaculis nisi at bibendum erat ultrices sed vivamus eu fringilla eros phasellus pretium gravida nibh non tempor enim bibendum eget suspendisse tincidunt mauris vel pretium placerat velit ligula lacinia dolor eget efficitur magna nibh scelerisque risus pellentesque placerat eleifend massa nulla ultrices lectus ac elementum tincidunt justo libero congue nunc nec fermentum massa massa id velit proin sit amet metus id velit interdum rhoncus in quis neque feugiat nisi malesuada tristique donec congue magna vitae malesuada maximus vivamus sit amet justo vel ex tempor pharetra quis lobortis arcu donec egestas feugiat fermentum ut nec tortor malesuada condimentum mi quis maximus nunc vivamus varius neque ut urna cursus dignissim etiam eleifend orci lacinia ex imperdiet porta sed varius viverra suscipit nam sit amet tellus eu elit efficitur blandit phasellus sed aliquam neque morbi consequat turpis vitae cursus hendrerit duis ullamcorper nulla pharetra orci tincidunt nec tempor dui scelerisque vivamus quis odio finibus pharetra dui in euismod mi aliquam sit amet fringilla velit in ut posuere orci duis augue erat faucibus id maximus nec venenatis id tortor morbi vestibulum odio quis sapien mattis pharetra praesent ligula nisi efficitur in iaculis id auctor id justo nam id rhoncus enim etiam egestas ac ante ac tincidunt quisque non congue libero donec in massa eget libero malesuada ornare ut nec erat proin convallis nisi pellentesque viverra urna eget scelerisque elit integer semper consequat ex eget lacinia enim congue at integer sollicitudin posuere turpis aliquam pretium augue condimentum quis nunc pellentesque leo non enim tempor in maximus tellus finibus mauris at volutpat urna aenean ut ex eu tellus mattis malesuada curabitur pulvinar nisi eu nibh venenatis accumsan nulla a eleifend augue category 1 ', '0'),
('160', 'node', ' pellentesque habitant morbi 1 read mauris eu sagittis est vel fringilla mauris pellentesque molestie dolor sagittis orci ultrices euismod duis ullamcorper justo urna sit amet semper tellus suscipit ac ut ut pharetra nisl vestibulum euismod ac est in congue integer nec mollis leo mauris at ante tortor aenean varius diam quis nulla dapibus eget euismod tellus faucibus sed fringilla accumsan eros et accumsan ut et est lectus proin laoreet in nulla quis interdum in eros magna rutrum eu laoreet id faucibus sit amet risus sed iaculis mi arcu sit amet feugiat ante porttitor eu morbi ac suscipit massa in porta massa fusce nulla ante dapibus sed tortor in eleifend facilisis sapien pellentesque neque felis gravida id magna quis malesuada sagittis tellus vestibulum rhoncus nulla id rutrum interdum augue dui luctus libero sed consectetur dolor quam sed lectus pellentesque efficitur varius augue vel facilisis massa pretium at proin vel sapien rutrum rhoncus orci sit amet accumsan magna suspendisse potenti praesent ipsum mauris iaculis in dapibus ut mollis ut augue sed sit amet erat odio donec accumsan ipsum at dapibus mollis orci ante luctus eros cursus eleifend justo tellus ut nisl cras in enim mi donec sodales venenatis justo sed gravida tellus laoreet tempus pellentesque sodales sed diam eu pellentesque fusce posuere aliquet volutpat cras sed elementum risus maecenas faucibus vulputate fermentum suspendisse scelerisque condimentum elit non ullamcorper nunc porttitor vestibulum ante suspendisse sed odio lorem aenean semper consequat diam eget rhoncus cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus pellentesque id efficitur turpis eu sodales nunc nam cursus gravida libero vitae molestie aliquam ullamcorper eros vitae turpis pellentesque rhoncus rhoncus nibh dignissim mauris congue vestibulum magna vitae posuere aenean convallis risus sed pellentesque placerat nullam euismod viverra lectus praesent quis congue lorem vel pulvinar ex ut gravida urna sed porta blandit category 3 ', '0'),
('161', 'node', ' praesent gravida urna 1 read cras sed lobortis nibh vitae interdum erat curabitur nec risus risus mauris vulputate quam efficitur sem commodo viverra a non libero phasellus efficitur ornare ante eget tincidunt mauris viverra leo ex in auctor est pulvinar congue maecenas id viverra est id tempor leo mauris faucibus augue et euismod dignissim sed ligula dolor sollicitudin consectetur volutpat sed fermentum vitae ligula nullam a nibh vel purus pulvinar iaculis mauris massa tortor fringilla ac lacus malesuada viverra lacinia augue curabitur ac ex dapibus tellus dignissim interdum quis nec libero maecenas imperdiet blandit volutpat vestibulum augue felis facilisis quis velit ac bibendum interdum neque mauris id est quis justo finibus vestibulum vel vitae ligula maecenas elit tellus tempor quis aliquet id ultricies eu purus fusce egestas posuere turpis eu dictum quam eleifend nec etiam mauris arcu finibus ac leo in sagittis hendrerit tortor duis a tincidunt odio pellentesque nec varius nulla aliquam odio sem hendrerit id pellentesque vitae laoreet in nulla nam nisi velit vestibulum et ultrices quis imperdiet ut risus nullam egestas vehicula urna ut cursus augue hendrerit a sed rhoncus eleifend orci a pretium donec placerat nisl a tortor posuere at faucibus dolor consequat in blandit lectus at risus pretium vehicula integer at sem non justo ultrices condimentum ut eget tristique risus pellentesque diam sem viverra eget efficitur vitae faucibus quis nisl nullam metus est sollicitudin ut pharetra ac maximus id tortor maecenas et magna odio donec porta suscipit nisi maecenas id laoreet justo integer iaculis leo ipsum a laoreet libero varius sed in luctus rhoncus eros eget porta cras ornare faucibus diam nam lectus dolor feugiat a nisl ut consequat condimentum neque aliquam placerat dignissim tincidunt phasellus quis euismod lorem phasellus pretium nisi velit quis iaculis nisi consectetur nec duis et sapien nulla vestibulum tortor nisi volutpat nec faucibus vel rutrum non odio category 3 ', '0'),
('162', 'node', ' sed lacinia mauris sit amet magna 1 read nullam maximus feugiat arcu vitae varius augue dictum sit amet curabitur aliquam leo ac ipsum euismod a convallis elit sollicitudin in leo dui fringilla vitae nulla sed tempor sagittis nibh donec sed venenatis tellus in tincidunt maximus sem vitae cursus leo pellentesque est odio imperdiet sit amet mauris nec convallis tempor justo morbi et placerat lacus quis pulvinar felis fusce vel ex ut magna tristique accumsan etiam dignissim felis eu ornare lacinia cras sed dolor lacus proin viverra nunc quis massa euismod ut ullamcorper ante malesuada nullam enim leo lobortis id risus in tristique sodales mauris duis lobortis diam risus eget elementum tellus maximus non proin a enim ac tellus rhoncus elementum eget in orci suspendisse ut lobortis metus duis at scelerisque augue interdum et malesuada fames ac ante ipsum primis in faucibus nulla mollis aliquam tellus at rhoncus orci aliquet a etiam vulputate nulla nec justo tincidunt iaculis morbi dignissim urna sit amet turpis ultricies vulputate proin convallis eros hendrerit orci pellentesque hendrerit sed posuere tellus curabitur nisl ex rhoncus a venenatis vitae placerat luctus dui nullam ac blandit quam sed luctus ut purus posuere aliquam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae praesent in facilisis elit ut aliquet enim phasellus eleifend quam sit amet efficitur bibendum duis in neque vel purus rutrum lobortis aliquam sodales urna eu cursus semper phasellus facilisis eget risus eu venenatis maecenas gravida elementum pulvinar nullam quis tellus tempus tincidunt tortor sit amet dignissim risus morbi malesuada aliquet nisi non molestie justo interdum et malesuada fames ac ante ipsum primis in faucibus sed rhoncus eu dolor vitae vestibulum ut in metus id lacus posuere viverra maecenas a mi vel neque viverra laoreet nunc lobortis ut metus et auctor nunc sit amet porttitor metus aliquam orci massa placerat vel consequat non finibus vel tortor category 3 ', '0'),
('163', 'node', ' donec tempor tortor 1 read aliquam porttitor fringilla nulla nec blandit magna facilisis eget vivamus sit amet dapibus odio nunc luctus risus ac venenatis aliquet morbi ultricies nisi quam at blandit ligula lacinia id phasellus at purus nec urna bibendum blandit integer vitae erat feugiat accumsan libero in sagittis urna phasellus id rutrum ex maecenas a magna eget massa ultrices facilisis praesent maximus tortor in gravida aliquet vivamus suscipit libero velit a molestie ante ultricies ac mauris pulvinar nisi ullamcorper venenatis eleifend aliquam efficitur justo nec neque lobortis eu pulvinar leo fringilla etiam a massa nunc aliquam egestas odio nec lorem sodales non aliquet tortor laoreet curabitur ultrices dolor nec sem faucibus rutrum mauris vel pulvinar ex cras dui enim mollis et accumsan quis eleifend a erat curabitur ac interdum lorem eu volutpat felis morbi mattis odio at neque porttitor fermentum sed massa tellus bibendum ac consectetur eu molestie nec dolor suspendisse vitae odio ac neque egestas rhoncus in vel diam maecenas vehicula velit id ligula sagittis volutpat cras commodo orci enim eu placerat lectus gravida a nam fermentum dolor nisl euismod interdum ipsum auctor eget cras sapien quam malesuada vel tristique a ornare id est integer tellus turpis aliquet eu efficitur molestie lobortis non leo curabitur vel egestas lorem donec commodo vitae urna in eleifend integer eu elit pretium velit convallis euismod pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque auctor ipsum ac massa efficitur vel tempor nunc interdum pellentesque quis sagittis dolor in risus tortor tempor pellentesque sodales eu varius vel est nam et leo lectus aliquam ac mauris tempus congue mi sed dapibus leo aliquam erat volutpat category 3 ', '0'),
('164', 'node', ' nunc lectus lorem posuere quis 1 read curabitur et ultricies est vivamus erat neque tempus sit amet gravida a commodo pellentesque purus phasellus nibh odio auctor a varius vitae sodales sit amet sapien praesent vitae lacus dictum tincidunt turpis venenatis egestas metus curabitur metus quam venenatis vitae rutrum nec efficitur a urna in nec magna malesuada sagittis turpis eget posuere risus proin volutpat vestibulum nulla non convallis praesent nec lobortis elit suspendisse ac aliquet mi in hac habitasse platea dictumst aenean sem enim ullamcorper quis sagittis eget maximus non massa aliquam scelerisque urna in suscipit pulvinar leo elit luctus risus at sodales neque lorem a nulla pellentesque finibus posuere porta praesent volutpat libero magna vitae aliquam enim placerat vel phasellus erat nulla tincidunt nec rhoncus vitae suscipit ac leo pellentesque bibendum tempor risus quis faucibus aliquam ultricies augue vel vestibulum feugiat integer malesuada sollicitudin faucibus nunc facilisis risus a pharetra convallis fusce vel pretium arcu nam vehicula enim nec arcu aliquet molestie duis maximus nisi ac tincidunt consectetur morbi nec ipsum ut tortor ullamcorper posuere quis nec diam sed scelerisque interdum convallis suspendisse potenti quisque dapibus arcu eget nulla eleifend sed ornare urna euismod aliquam convallis nulla leo vel eleifend ipsum porttitor at sed rhoncus ante a turpis ultricies vehicula pellentesque blandit est quis malesuada vehicula neque eros placerat nulla ut bibendum erat ipsum eget tortor suspendisse diam lacus viverra vel vestibulum vel elementum at massa donec ut diam euismod cursus sem mollis mollis justo integer euismod feugiat quam vel tristique category 3 ', '0'),
('165', 'node', ' aenean sodales 1 read praesent luctus eleifend orci vitae posuere ex aliquet sed in eleifend lorem eu rhoncus pulvinar orci tellus sagittis augue ut mollis neque eros sed mauris aliquam pretium consequat fermentum fusce tortor nulla efficitur eu facilisis ut tincidunt a ipsum vestibulum vestibulum lacus vitae felis aliquet maximus sed non ex vel orci pretium convallis etiam laoreet turpis at tempus viverra metus lorem elementum diam ut imperdiet mi neque id felis duis sed elementum erat mauris nunc felis congue in iaculis sed rhoncus id tortor maecenas nec tellus dapibus eleifend tellus eget pretium dolor vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae nam aliquam tortor ac efficitur rutrum lectus lectus rutrum lacus eu maximus arcu quam at massa etiam sodales nibh ac justo interdum faucibus integer iaculis placerat posuere nulla tempus tellus dictum rhoncus consectetur aenean a leo fermentum dictum risus vel dapibus neque cras quis facilisis velit suspendisse cursus sollicitudin pharetra morbi varius massa nec efficitur malesuada erat ex mattis lacus sed tristique sapien lorem sed ex pellentesque euismod nunc vel nunc suscipit nec sollicitudin lectus tincidunt curabitur lobortis urna non volutpat varius ligula velit maximus enim egestas ultrices lacus nulla eget tortor proin lacus ante vulputate in varius sit amet congue nec nulla lorem ipsum dolor sit amet consectetur adipiscing elit sed porttitor dictum metus sed sagittis leo faucibus et quisque sit amet auctor dui sed eget fermentum turpis vitae fermentum ligula vestibulum luctus vel diam sed elementum aenean maximus varius massa et lobortis urna facilisis ac suspendisse nec tincidunt justo pellentesque enim massa ultricies a eros vel ornare malesuada sem cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus donec quis lorem eleifend ornare mi id viverra ante category 4 ', '0'),
('166', 'node', ' sed id erat in neque 1 read cras odio ante commodo lobortis facilisis nec rhoncus id felis nulla at sollicitudin mi nulla ac finibus lorem sed consequat orci nunc consectetur ex et aliquet lacinia morbi ultrices laoreet ligula quis ultrices mauris a velit molestie ultricies diam ut iaculis metus fusce a placerat nunc aliquam erat volutpat duis non nulla a risus sodales gravida vivamus ipsum dui pulvinar vitae tempor fermentum laoreet consequat mi aliquam id velit vel ex eleifend aliquam nec quis enim nunc sed tellus sed urna sagittis lacinia non at nulla curabitur vitae venenatis tortor sed consectetur leo vitae semper rutrum enim ipsum commodo enim quis semper tortor diam sed leo aliquam aliquam at orci vitae vulputate cras nec consequat nisl at pellentesque quam aenean consequat nibh nisi ut varius libero tristique id quisque et congue urna vestibulum eu velit pellentesque ultricies dolor quis cursus leo proin euismod lorem vel suscipit convallis nunc tincidunt iaculis rutrum in lobortis lectus purus aenean at accumsan ligula egestas pharetra elit phasellus ornare sed orci eget vehicula sed sed pulvinar urna duis iaculis pellentesque ligula id vestibulum proin nunc diam viverra quis volutpat volutpat vehicula vitae dui duis arcu massa euismod ac mi id euismod aliquam neque phasellus malesuada fermentum mauris donec rhoncus accumsan nibh in eleifend vivamus vel venenatis dolor nam at blandit mauris eu auctor nibh praesent ornare erat arcu eu tempus nisi maximus ac quisque bibendum aliquam libero a lacinia ut egestas elit nisl eu consequat tellus ullamcorper vitae sed laoreet urna felis in cursus elit efficitur ac sed fermentum leo ac dapibus laoreet nunc diam dolor eleifend ac vestibulum ac volutpat vitae neque curabitur porta ultricies vulputate nullam lobortis eros et feugiat ornare maecenas lobortis purus nisl sed commodo maximus viverra category 4 ', '0'),
('167', 'node', ' in vehicula nisl 1 read integer turpis sapien molestie et odio nec interdum sollicitudin metus praesent convallis risus eu congue semper maecenas accumsan purus vel condimentum tempus integer varius metus nec ex interdum sit amet tincidunt diam dignissim nullam tellus quam hendrerit a dui nec ullamcorper malesuada ipsum integer in pretium ligula vivamus pellentesque risus vel imperdiet efficitur leo nisl convallis ipsum non semper augue dolor vel est vivamus lectus orci placerat ac lacinia non sollicitudin nec velit integer molestie velit vitae iaculis cursus ipsum ligula malesuada metus in tristique eros orci ut augue in venenatis hendrerit mi nunc consequat eros sollicitudin ultricies lobortis nulla facilisi donec lacinia sapien a massa maximus aliquam donec sit amet augue sed tortor porttitor finibus ac ut erat sed efficitur ligula malesuada gravida enim id lobortis dui nullam tempor lacus nec nisi ultrices auctor nulla gravida vestibulum arcu at condimentum felis rutrum sed curabitur porta felis non cursus ultricies proin non vulputate magna eu rhoncus risus praesent vulputate enim at rhoncus venenatis metus ante consectetur lacus et porta odio mauris ut leo praesent eu mauris non velit finibus auctor a et est proin vel neque ac sem pharetra gravida class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos nunc ornare ligula eget purus iaculis aliquet in ante diam molestie eu risus eu imperdiet lobortis velit vivamus ac hendrerit nulla suspendisse sagittis lorem vitae dolor fringilla tincidunt nam sit amet nisl porta lorem malesuada sollicitudin sed at semper orci duis commodo vitae velit nec luctus suspendisse felis sapien cursus ut commodo et malesuada et lacus mauris eleifend dui placerat nibh commodo semper duis ut placerat nunc in auctor leo mauris ut venenatis felis tempus eget aliquam blandit tellus ut rhoncus placerat quam augue convallis libero scelerisque vulputate ante lacus eget lectus category 4 ', '0'),
('168', 'node', ' cum sociis natoque 1 read curabitur tristique eu turpis nec sagittis quisque ac malesuada nunc laoreet cursus sapien vivamus quis eros a tortor interdum mattis nunc et massa quam integer at iaculis urna vel pulvinar tellus aenean egestas mattis nulla malesuada eleifend erat aliquet eu aenean mi ipsum semper a accumsan quis tincidunt a eros duis fermentum massa sit amet ante porta ac sodales nisi tristique suspendisse interdum consequat hendrerit nullam id suscipit mauris vestibulum sit amet leo eget est maximus euismod suspendisse volutpat consectetur fringilla nullam rutrum quis arcu et laoreet nulla finibus porttitor est ut tempus ligula facilisis vitae quisque risus felis gravida non velit congue molestie euismod purus quisque condimentum eleifend tincidunt donec vitae magna congue aliquet magna ac luctus justo quisque ac erat metus donec luctus et purus eget ultricies suspendisse cursus molestie tincidunt fusce mattis sollicitudin nibh volutpat suscipit ipsum ullamcorper id aenean lobortis euismod orci nec viverra vestibulum sit amet pellentesque diam fusce nisl massa tincidunt in posuere sed commodo quis nisl nullam molestie diam in gravida faucibus duis efficitur vel metus non egestas in ullamcorper ligula nisl in cursus ante vulputate at phasellus venenatis interdum tellus id accumsan turpis volutpat et sed faucibus erat quis posuere malesuada mauris vestibulum leo quis massa ultrices quis aliquet orci tempor cras et tortor ut mi egestas cursus ullamcorper dapibus massa curabitur ut magna feugiat porttitor urna laoreet dapibus lacus aliquam a justo leo mauris ac condimentum turpis maecenas pulvinar at leo vel interdum integer gravida lectus sit amet dolor ornare eleifend category 4 ', '0'),
('169', 'node', ' pellentesque a urna viverra 1 read pellentesque vitae fringilla ante cras aliquam feugiat volutpat vivamus dapibus id purus at venenatis suspendisse ut commodo libero praesent in luctus purus vel scelerisque dui aliquam erat volutpat vivamus sed odio malesuada placerat justo ac congue lectus quisque lobortis elit urna sed rutrum nibh congue ac nunc auctor elit et pretium finibus ex velit porttitor nulla in tempor quam purus nec quam vestibulum vel consectetur felis sed lorem urna pulvinar vel gravida nec dignissim vel velit fusce aliquet venenatis odio ac fringilla fusce efficitur eros quis blandit finibus cras eu justo nisl donec ac fringilla sapien eget euismod velit aliquam erat ex scelerisque id fringilla rhoncus mollis eget ante pellentesque a urna viverra sollicitudin libero eu interdum ex mauris et fermentum neque nam malesuada egestas imperdiet nam tempus sagittis arcu at consequat nunc gravida eget nullam pharetra dictum porta aliquam tempor nisl eu felis egestas at tincidunt justo convallis mauris at consectetur tortor sed vel nibh velit category 5 ', '0'),
('170', 'node', ' morbi sollicitudin lectus quis tortor 1 read aenean sit amet blandit metus in mattis ut tortor ut condimentum aenean viverra interdum elit eu condimentum ex ullamcorper sed aliquam vitae tristique lacus posuere maximus erat vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec dictum turpis nec auctor molestie ante metus porta elit quis feugiat dui nibh sit amet sapien donec congue orci condimentum euismod enim non dapibus libero vestibulum consectetur ex eu facilisis varius enim lorem egestas ex a volutpat ex est vitae massa in eget diam sit amet ligula dignissim condimentum vivamus imperdiet et arcu eget eleifend maecenas id sem non felis molestie condimentum dictum nec orci fusce consequat sem risus faucibus sodales turpis mattis et donec risus libero semper ut sodales nec interdum et velit fusce tempus tortor non fermentum sollicitudin nibh arcu porttitor velit vitae laoreet ipsum quam in massa cras nisl nisi semper nec aliquet sit amet rhoncus eget massa sed et ultricies ante in venenatis nulla sed erat feugiat ut dignissim tortor rhoncus maecenas vestibulum lobortis sem tempor ultricies nullam a interdum dolor sed congue mauris maecenas fermentum purus elit tincidunt consectetur elit ultrices vel sed in lacus at ante efficitur euismod pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas morbi sollicitudin lectus quis tortor auctor ullamcorper interdum et malesuada fames ac ante ipsum primis in faucibus fusce ornare erat a ullamcorper convallis odio felis sollicitudin nunc in auctor enim quam vel ipsum donec vel quam in diam faucibus consequat eget vel libero quisque sit amet justo eu magna bibendum pretium vel at diam phasellus fermentum odio sed vulputate eleifend nam dolor enim sagittis quis scelerisque eu tincidunt ac leo integer iaculis rhoncus dolor ac viverra category 5 ', '0'),
('171', 'node', ' quisque mollis sapien ex et semper 1 read interdum et malesuada fames ac ante ipsum primis in faucibus nulla imperdiet ante vel quam fermentum quis tristique erat porttitor vivamus vehicula libero at blandit sollicitudin arcu lacus dapibus elit non mollis metus nisi commodo augue nulla facilisi proin bibendum vel massa eu malesuada curabitur at nisi et massa laoreet pretium praesent elementum ultricies mauris vitae pellentesque nullam ullamcorper ante sed enim aliquam fermentum phasellus commodo neque orci quis elementum nisi cursus eu pellentesque quis lobortis leo in porttitor quam nullam scelerisque felis ac ante eleifend et condimentum arcu placerat aliquam at nulla in felis eleifend tristique sed ullamcorper sit amet ex eget lacinia quisque mollis sapien ex et semper dolor pretium at nulla ac risus sed nunc gravida auctor vel at velit duis molestie egestas lectus id congue dui vehicula at donec molestie urna vel lorem pellentesque blandit cras consectetur ipsum sed viverra fringilla sapien diam scelerisque dolor at semper tellus quam et augue in placerat purus et quam auctor blandit mauris varius a tortor non iaculis integer volutpat accumsan tortor vitae pulvinar integer cursus tellus vitae accumsan blandit velit nulla efficitur ante sit amet tempus metus turpis id purus fusce viverra orci nec ante ullamcorper ultricies eu sit amet metus mauris nec tellus quis magna ullamcorper scelerisque vitae et lectus nulla id eros eu mauris malesuada rhoncus donec semper ligula mattis finibus sapien sed sagittis urna etiam euismod erat facilisis sodales rutrum orci nulla tincidunt lacus in vehicula sem nibh sed ante in blandit ipsum non rutrum molestie nullam rhoncus in diam id dignissim aenean in urna eros ut quis blandit sapien morbi auctor magna id lorem semper iaculis maecenas id augue a mi vehicula ultricies in id orci tincidunt pellentesque ligula eget accumsan tellus in hac habitasse platea dictumst donec ac pellentesque enim category 5 ', '0'),
('172', 'node', ' sell your product fusce nibh ligula porta et sem at vehicula hendrerit dui mauris semper placerat est id pretium aliquam nec ultrices nibh nunc rutrum pellentesque enim vitae placerat ipsum sollicitudin ut mauris malesuada magna at dui porttitor tempor etiam lobortis sem eget aliquam vehicula curabitur a libero sollicitudin convallis neque id aliquam metus nullam justo sem varius nec ligula eget varius pharetra neque vestibulum consequat magna libero in placerat neque eleifend sed fusce vehicula risus vel iaculis molestie eros est convallis nunc et elementum nunc odio quis est pellentesque scelerisque egestas convallis donec vitae mauris orci sed gravida nibh purus sed ultricies est auctor eu nulla metus sem sodales vel malesuada quis maximus sit amet mauris vestibulum euismod quam a efficitur interdum orci ligula mattis lacus quis tristique nunc neque sit amet magna etiam blandit porttitor dolor nec congue aliquam lectus enim vehicula ut magna a fringilla pharetra sem vivamus lacinia arcu elementum purus tristique ornare maecenas non porta urna aenean iaculis lorem ut ligula egestas mollis fusce hendrerit pharetra turpis in aliquam urna consectetur quis sed faucibus est eget arcu blandit sit amet aliquet ipsum posuere class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos maecenas ullamcorper erat sit amet nisl tempus consectetur id a nunc nulla sollicitudin arcu ut mollis laoreet sed ultricies diam id nisi condimentum eget fermentum erat fermentum interdum et malesuada fames ac ante ipsum primis in faucibus nullam quis dolor id dui tincidunt rhoncus quis nec enim praesent et tortor quis lorem convallis volutpat et vitae dui in nec nisl vitae mauris vehicula porttitor morbi at facilisis diam nunc sed lectus quis ipsum vestibulum interdum praesent placerat quis metus et lacinia vivamus vel congue erat volutpat vestibulum nulla pellentesque aliquam ullamcorper posuere vivamus hendrerit odio vitae iaculis porttitor phasellus mollis massa sapien aliquam fringilla sem nec tellus interdum in lacinia dolor iaculis suspendisse a magna eleifend suscipit justo eget hendrerit ligula vivamus auctor pharetra dolor ac sodales lorem sollicitudin in sed pretium nisl erat sed ultricies sem porttitor nec curabitur malesuada diam et nunc aliquam eget facilisis orci interdum nam placerat faucibus tempus nulla libero neque bibendum vel ligula sit amet condimentum volutpat quam donec viverra gravida neque et ornare nibh posuere consequat donec fringilla felis eu ornare porta pellentesque et nulla diam vestibulum mattis et odio sit amet consequat aliquam erat lorem accumsan nec turpis non finibus feugiat nulla vivamus semper arcu vel elementum euismod sed porttitor sagittis arcu eget auctor arcu tempor ac aenean porta sodales nisl vitae auctor orci porta in donec eros libero vehicula id pulvinar sed dignissim sodales nibh curabitur vehicula eu nibh id bibendum donec aliquet massa et faucibus varius lectus leo euismod lectus non facilisis metus orci fringilla felis proin ut ipsum vitae purus pellentesque maximus lorem ipsum dolor sit amet consectetur adipiscing elit cras ac sapien ultricies elit tempus fringilla vel id purus sed vestibulum faucibus facilisis donec sed tellus eget nisl tincidunt volutpat sed condimentum consequat odio at euismod massa maecenas leo dolor egestas ut magna id gravida fringilla ante 7 reads category 4 ', '0'),
('173', 'node', ' contact form your name your email service none content marketing prototyping motion design web design photography yout phone number your message  ', '0'),
('174', 'node', ' we are a london based creative agency creating digital experience 3 reads video of wtcntga6ghs nullam tempor massa metus a elementum mauris interdum ac phasellus mi nisi varius vel rutrum id fermentum sit amet diam aliquam finibus viverra mauris ac elementum mauris ornare vel cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus etiam ac velit ac ligula pharetra fermentum non et dolor etiam sem eros sodales in feugiat sit amet sodales ac felis etiam rutrum felis eu convallis elementum metus leo rhoncus lectus ac placerat neque nisl sed augue vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae etiam id magna rutrum porta purus eget accumsan ante in nec nibh ultrices consequat ligula quis scelerisque elit cras faucibus dolor non aliquet consequat in vel pretium erat at tristique lectus cras eu arcu sit amet mauris pulvinar dignissim non eu risus maecenas neque turpis rhoncus et massa at cursus commodo mi suspendisse sit amet ipsum convallis fermentum ante a gravida tortor aenean sit amet viverra urna in molestie gravida sem eget blandit nibh consequat a nam eget quam malesuada elementum urna in elementum urna vivamus vestibulum interdum nibh ac consectetur etiam tortor justo sagittis quis aliquam vitae ultricies nec libero integer sed efficitur sem etiam metus dui semper at lacus laoreet laoreet ornare mi curabitur fringilla consectetur est id ultricies pellentesque sit amet mauris vel nibh sagittis sodales integer lacinia elit sed semper porttitor donec dolor tellus imperdiet non sem et consequat pharetra nibh proin a pretium mauris aliquam luctus mollis mi morbi maximus diam sit amet lacinia tempus purus massa varius odio quis dapibus urna justo non neque donec convallis enim eu eros eleifend molestie in suscipit ipsum sit amet ligula hendrerit non feugiat nisl egestas praesent imperdiet leo et pulvinar fringilla sed scelerisque eros eget arcu aliquet quis consectetur risus condimentum pellentesque placerat ligula a mauris imperdiet eu dictum lorem posuere pellentesque bibendum non elit ut vehicula etiam at rutrum quam nunc viverra diam et ante venenatis auctor in eget justo integer nec odio porta scelerisque tellus vitae tempor lacus pellentesque maximus risus vitae nulla vehicula aliquet mauris interdum odio eu efficitur scelerisque arcu leo vestibulum elit sed ullamcorper ligula diam eget tellus donec eget urna mauris nunc ut erat volutpat malesuada turpis eu pharetra mauris cras eu dui nec sapien dignissim molestie eu sed libero nulla porta euismod blandit nam facilisis dapibus quam quis porttitor maecenas in sapien vitae neque venenatis ornare ac et massa duis vel orci tortor maecenas vel tincidunt tellus aliquam imperdiet nibh egestas nunc ultrices porta vivamus blandit turpis non metus iaculis suscipit vestibulum lobortis risus in ante cursus sit amet interdum lectus lacinia fusce molestie nisl ligula ut gravida risus ornare eget vivamus sed cursus sem fusce accumsan mollis ipsum sit amet cursus  ', '0');
INSERT INTO `search_dataset` VALUES
('175', 'node', ' fusce vel efficitur 1 read duis facilisis felis ac dui interdum sit amet efficitur felis sollicitudin vestibulum fermentum lobortis iaculis sed vestibulum pretium ante efficitur porta justo rutrum at nam nec tortor lectus ut sem sem volutpat a ex vel lobortis auctor leo vestibulum sagittis placerat diam sed gravida fusce vel efficitur dui maecenas nunc nibh molestie quis pellentesque et suscipit elementum velit donec finibus iaculis euismod proin ornare hendrerit neque ut porttitor morbi in urna auctor neque convallis volutpat morbi felis ipsum rutrum a metus sit amet mattis vestibulum lorem aliquam feugiat magna sed gravida dictum ante diam posuere tortor eu dapibus ante quam non ante phasellus ut iaculis odio quis auctor nisl lorem ipsum dolor sit amet consectetur adipiscing elit nunc vehicula id odio et scelerisque duis mollis felis id neque pellentesque hendrerit pellentesque pulvinar viverra neque vivamus quis consectetur dolor etiam vehicula vitae neque ac dictum vivamus dictum nisl ut augue mollis convallis etiam tristique auctor tortor sed ante odio congue vel augue id gravida sagittis felis mauris venenatis lobortis elit ac porttitor tellus placerat eu pellentesque viverra consectetur pharetra quisque libero quam feugiat id erat in bibendum consectetur tortor aenean sodales dolor non mi imperdiet volutpat integer et vestibulum lorem pellentesque at ligula vitae dui commodo maximus fusce rhoncus mollis lectus vitae ultricies nulla quis vulputate nibh in condimentum diam proin odio ipsum pulvinar rutrum elit sed consectetur bibendum diam aenean vel neque lacinia ultrices lorem nec cursus quam praesent convallis ipsum sed scelerisque pulvinar quisque a leo nibh morbi accumsan at odio nec mollis duis scelerisque accumsan felis vitae faucibus turpis porttitor vitae duis placerat consequat euismod nam malesuada mauris felis ut tempus est imperdiet id morbi consequat sem vitae urna eleifend aliquam vivamus ut efficitur turpis at efficitur massa phasellus semper luctus diam ut lobortis mauris venenatis nec etiam et ex sit amet massa iaculis euismod in a erat phasellus ultricies viverra bibendum maecenas ac feugiat nisl vitae varius purus etiam ut mauris sed purus pulvinar dapibus phasellus finibus tellus nec blandit lobortis sed porta lorem sed nisl lobortis viverra ac quis risus cras vitae neque nisi donec ac egestas eros quisque hendrerit vulputate est a tristique ut cursus eget ante sit amet ultrices fusce nec turpis vitae purus sodales congue etiam viverra neque et rhoncus gravida nulla euismod felis et augue congue id fringilla ligula auctor vivamus eget magna laoreet vestibulum dolor in commodo massa modeling graphic design ', '0'),
('176', 'node', ' vestibulum elementum 1 read aliquam magna felis sagittis nec interdum sed volutpat sit amet libero suspendisse quis est dui pellentesque sed porta mi ut varius magna donec at molestie nibh et posuere dolor duis mauris sapien tincidunt porttitor sollicitudin eu posuere vel dui phasellus eget erat nec erat pretium pharetra nam vestibulum id felis non commodo nunc vitae odio sagittis laoreet dolor eget iaculis est nullam ullamcorper urna vel nisi malesuada et accumsan ipsum vulputate aenean rhoncus velit vitae leo mattis venenatis donec finibus imperdiet viverra interdum et malesuada fames ac ante ipsum primis in faucibus nulla magna lectus tempor consectetur vestibulum semper sodales vitae mi nam suscipit condimentum orci vitae consectetur ligula euismod in cras ultricies lorem leo in consequat odio dapibus non donec in ex at est vehicula semper cras varius gravida nunc vitae faucibus turpis consectetur non pellentesque condimentum iaculis mauris eget auctor donec at luctus turpis vivamus eleifend dui vitae molestie laoreet proin ut est tellus suspendisse elementum molestie arcu ut tincidunt rhoncus sapien vitae aliquet suspendisse dapibus enim non dignissim semper vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae curabitur ultricies ex vel erat mattis vitae vulputate elit pulvinar praesent volutpat luctus tortor semper varius lectus vestibulum ultrices arcu diam quis maximus massa cursus sit amet phasellus vehicula luctus ipsum vel elementum ex viverra in phasellus vel magna id risus bibendum condimentum fusce feugiat neque non erat tincidunt mollis phasellus lobortis tortor in ex aliquam et efficitur magna commodo morbi sit amet porttitor nisi vel vestibulum tortor integer mattis nisi quis ultricies facilisis maecenas sodales in sapien ac pretium nam efficitur mauris magna at interdum nibh pellentesque lobortis donec mattis nec est in egestas praesent magna mi pulvinar sit amet euismod at pharetra id ante donec et sollicitudin purus etiam tristique odio eu consequat lacinia donec diam urna pulvinar in nisi at dapibus ultrices metus nullam et interdum lorem sed nec posuere magna in porta felis phasellus massa turpis ullamcorper sit amet consequat id ultrices a nulla aliquam erat volutpat morbi convallis turpis nisi quis pellentesque felis pretium ac vestibulum tincidunt porttitor metus non maximus urna vestibulum elementum malesuada tristique mauris ut nunc eget ex porttitor volutpat in at justo at risus eleifend malesuada vitae ac justo morbi tincidunt tincidunt tempus sed a augue interdum fermentum leo et posuere ex nullam felis eros imperdiet nec magna tristique semper vulputate enim nullam sagittis facilisis velit a lobortis eros vehicula sed nulla urna dolor tempor ac dui id sagittis pretium nisl nunc vel nibh a urna ullamcorper tempor ut non leo in sed felis sagittis imperdiet odio eu egestas enim pellentesque consequat purus non pellentesque congue ipsum velit feugiat metus nec pharetra leo dui sed dui curabitur lacinia facilisis velit vel semper ante aliquam vel nulla tempus dui nec dolor bibendum tincidunt donec vel feugiat libero photography modeling ', '0'),
('177', 'node', ' donec tristique 1 read cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus sed sem risus sagittis finibus tincidunt at sagittis a mi aenean nunc tellus ultricies quis mauris et commodo varius quam ut cursus enim nec ex tincidunt fermentum vivamus tempor consequat tortor eu feugiat est mattis id ut elementum elit quam luctus rhoncus arcu euismod a etiam sit amet quam a nisi congue accumsan in eget magna nulla nec ex eget nisi hendrerit convallis ut at nulla ut scelerisque urna tortor nec malesuada elit suscipit quis vestibulum vitae elit at justo dictum tempor suspendisse potenti sed quis mauris a quam feugiat tempor pellentesque non condimentum metus maecenas nec ipsum volutpat ornare nunc a elementum urna ut ut ipsum ante proin venenatis mollis elit mauris vitae finibus lorem nunc dictum rutrum eros quis vestibulum quisque bibendum nunc at tincidunt pharetra nunc faucibus lectus vestibulum dictum bibendum mauris in mauris et ligula pharetra pulvinar vitae ac lorem cras accumsan elit diam nunc at elementum ex maecenas ligula ex varius in pretium id mattis in enim pellentesque egestas sollicitudin turpis condimentum molestie etiam sit amet augue id lorem venenatis aliquet proin interdum tortor vitae volutpat accumsan libero turpis sollicitudin magna nec faucibus nibh turpis ut turpis donec tristique suscipit nunc ut venenatis integer fermentum molestie suscipit pellentesque ac tortor ac tortor suscipit semper aenean sed sem non nulla vulputate tristique eget non felis nulla tempus non dolor sit amet mollis fusce fermentum velit eget lorem ornare semper fusce sagittis eros sed commodo tempus ipsum velit tempus arcu eget porttitor lectus odio sit amet lorem mauris sit amet euismod nisl fusce sed metus id ligula cursus sodales quis sit amet dolor donec vel mattis tellus a commodo nisl quisque sed nisi a purus dignissim eleifend nec faucibus ipsum fusce urna enim cursus ac interdum in mollis in lectus maecenas vel dolor non sem vehicula bibendum morbi blandit risus vitae eros tristique ultricies vestibulum vitae tincidunt libero donec at ultrices sapien class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos mauris vitae nisl in leo iaculis egestas sed viverra nisl ut porttitor tristique metus magna tristique erat ultrices viverra mauris turpis nec ipsum aliquam vestibulum porta dolor eget sollicitudin lacus blandit et proin id erat vitae turpis varius facilisis nec ut erat photography ', '0'),
('178', 'node', ' aliquam diam eros 1 read aliquam erat volutpat aenean consequat odio sit amet nunc lobortis gravida nullam velit tortor suscipit convallis dolor bibendum iaculis porttitor sem sed at dapibus lectus cras vitae velit pulvinar rhoncus magna non egestas magna nullam ullamcorper consequat ex vitae faucibus ex ullamcorper eget integer cursus eleifend convallis nunc ac nulla a arcu lacinia lacinia nulla dictum orci ut interdum rutrum dolor velit posuere est in aliquet quam mi id velit vivamus feugiat varius malesuada etiam vitae eros ac erat porttitor bibendum nec sit amet velit proin egestas nisi ipsum vel aliquet nisi hendrerit non vivamus posuere id arcu tincidunt bibendum in in augue vel sapien posuere mollis non at lectus sed maximus turpis eu lacus tristique aliquam sed egestas porttitor tincidunt aliquam diam eros facilisis id sagittis eget eleifend et velit sed vitae ultrices nunc mauris mattis nunc eu leo tincidunt scelerisque vivamus lobortis posuere euismod integer vitae semper erat vivamus id nisl at tellus egestas vestibulum nullam ut lobortis turpis ut fermentum massa cras eget dui nibh sed non diam sapien donec sit amet consequat neque aenean ac sollicitudin urna ac congue massa aliquam quis suscipit nulla quis dignissim velit pellentesque lacinia cursus risus sit amet pellentesque praesent at volutpat tortor quis consequat nibh suspendisse sit amet risus ut ex porta dignissim dictum sed sem curabitur vel feugiat libero nam laoreet sagittis lacinia nam commodo ultricies malesuada in hac habitasse platea dictumst interdum et malesuada fames ac ante ipsum primis in faucibus aenean ultrices vulputate sapien quis fringilla urna etiam id massa non purus finibus porttitor tincidunt a urna mauris dapibus viverra eros vel rutrum est auctor sit amet nam non dolor nec metus molestie finibus pellentesque quis tincidunt justo nunc a facilisis diam integer finibus eros sit amet cursus luctus suspendisse non luctus diam curabitur sagittis eu leo vitae porta phasellus facilisis hendrerit diam et mollis etiam quis aliquam dolor a imperdiet nisi duis ut ultrices nibh nullam ultricies lacus in porta maximus nunc velit porttitor est ac elementum tellus libero nec tellus sed dignissim lacus sem eget efficitur justo pharetra a donec rutrum non erat at eleifend morbi ac neque ac lorem volutpat lacinia vitae in sem aliquam erat volutpat quisque tortor neque rutrum in porta sed condimentum vel nibh curabitur varius laoreet justo a cursus tellus lacinia ut praesent eget metus mauris nulla tincidunt justo id nulla condimentum euismod motion design modeling ', '0'),
('179', 'node', ' curabitur ut mollis 1 read donec tempus erat quis nunc porta consequat quisque sed pretium ex eu vestibulum arcu curabitur lacus ex congue in viverra volutpat hendrerit id dolor quisque faucibus neque nec auctor ornare praesent sodales orci at lectus dignissim facilisis curabitur dui velit ultricies quis mi vel commodo placerat orci pellentesque at sollicitudin magna in gravida sodales nibh sit amet tempus diam aliquet sed curabitur blandit tellus quis sem maximus ut gravida ligula venenatis donec aliquet velit quis magna aliquet malesuada aenean sodales iaculis vehicula proin placerat pretium aliquet nam in pulvinar erat vivamus accumsan justo eget neque scelerisque quis faucibus nisi dictum integer ac consectetur est ut efficitur felis curabitur ut mollis turpis sed sit amet lectus sit amet leo fermentum mattis ut ac ante nam enim justo faucibus in erat ac laoreet maximus massa nulla a nibh odio donec mattis augue in lorem viverra scelerisque morbi vitae mi in felis feugiat commodo nulla scelerisque auctor diam eget hendrerit metus vestibulum nec donec maximus commodo leo vitae porta nunc risus mauris sodales iaculis aliquam eget dignissim a tortor nulla molestie tincidunt urna eget ullamcorper odio vulputate quis quisque magna ipsum rutrum ut velit a sagittis lacinia nibh nam ut eros a justo ullamcorper venenatis etiam nec rutrum neque vestibulum dictum ligula in urna convallis fringilla duis lacinia velit neque in feugiat sem lacinia ac donec fringilla leo et placerat venenatis ligula lorem maximus risus at malesuada tortor lacus sed est nam a purus quis massa efficitur viverra sit amet non erat curabitur nec lobortis tortor sed pretium nisi mauris dui justo tristique at lectus eget interdum vehicula arcu sed mattis fringilla tortor quis commodo odio commodo in nam rutrum turpis turpis non venenatis justo interdum non nulla risus erat tristique ut dolor quis vulputate consequat nibh fusce placerat elementum odio cursus lacinia curabitur a tristique lacus morbi vitae enim sit amet massa tempor finibus nunc laoreet iaculis mi in sagittis praesent laoreet urna eu pellentesque porttitor enim augue finibus erat at pharetra elit elit ut lacus integer malesuada enim in dignissim varius integer iaculis maximus purus ac maximus erat eleifend non vestibulum aliquam nisi ac ipsum rutrum lobortis nulla non tincidunt felis nam ornare auctor nunc eget lobortis lorem rutrum at aenean eu sodales leo commodo viverra dui morbi sodales et arcu non venenatis suspendisse potenti class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos vestibulum vel felis eget mauris laoreet tincidunt proin tincidunt nec libero ut elementum integer sapien lorem elementum id consectetur commodo mattis eu orci suspendisse pharetra metus ut interdum scelerisque arcu ex vulputate justo at volutpat neque risus eu tortor duis aliquam erat quam eu luctus nibh varius luctus motion design photography ', '0'),
('180', 'node', ' timberland icon 6 inch leather premium boots 4 reads 31200  no votes yet add to wishlist quantity sku n01 men boots trainers ', '0'),
('181', 'node', ' domo 1 12 reads text input radio radio 1 radio 2 checkbox checkbox 1 checkbox 2 select select option 1 option 2 option 3 option 4 option 5 textarea  ', '0'),
('182', 'node', ' demo 2 1 read text input radio radio 1 radio 2 checkbox checkbox 1 checkbox 2 select select option 1 option 2 option 3 option 4 option 5 textarea  ', '0'),
('183', 'node', ' corporate 2 reads 12 per month nulla sem libero consectetur nec tellus semper maximus auctor lectus pellentesque sed velit eros curabitur aliquet viverra diam non vestibulum pellentesque lobortis lacus ac turpis convallis id tempor tortor imperdiet duis ut mi suscipit varius elit sed venenatis enim ut dignissim lectus vitae metus ornare vitae fringilla leo convallis cras nisi nibh faucibus in gravida a dignissim ut dui maecenas in commodo velit a consequat neque morbi at dui vitae dolor pretium dictum 15 users 5 vpn gates 50 gb allowed  ', '0'),
('184', 'node', ' personal 1 read free nulla sollicitudin at felis eu imperdiet morbi tincidunt enim at diam malesuada in varius velit posuere quisque iaculis hendrerit pretium donec mollis ex ipsum nec feugiat urna posuere ut integer sem nisl lacinia id magna nec gravida tempor dui nulla tristique congue nulla vestibulum ultricies magna nunc at semper neque dictum id proin mollis augue in dolor hendrerit volutpat fusce consequat euismod libero vitae efficitur aenean libero massa pellentesque quis lobortis non pellentesque et ligula vestibulum nec finibus lectus 1 user no vpn access 2 gb allowed  ', '0');
/*!40000 ALTER TABLE search_dataset ENABLE KEYS */;

--
-- Table structure for table 'search_index'
--

CREATE TABLE IF NOT EXISTS `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...' COMMENT='Stores the search index, associating words, items and...';

--
-- Dumping data for table 'search_index'
--

/*!40000 ALTER TABLE search_index DISABLE KEYS */;
INSERT INTO `search_index` VALUES
('1', '16', 'node', '1'),
('1', '38', 'node', '0.876337'),
('1', '83', 'node', '1'),
('1', '85', 'node', '1'),
('1', '86', 'node', '1'),
('1', '100', 'node', '1'),
('1', '101', 'node', '1'),
('1', '102', 'node', '1'),
('1', '121', 'node', '1'),
('1', '122', 'node', '1'),
('1', '130', 'node', '1'),
('1', '131', 'node', '1'),
('1', '136', 'node', '0.949597'),
('1', '137', 'node', '0.972861'),
('1', '138', 'node', '1'),
('1', '139', 'node', '0.997306'),
('1', '147', 'node', '0.854391'),
('1', '148', 'node', '9.16882'),
('1', '156', 'node', '10.1622'),
('1', '157', 'node', '10.0072'),
('1', '158', 'node', '10.4041'),
('1', '159', 'node', '10.4456'),
('1', '160', 'node', '1'),
('1', '161', 'node', '1'),
('1', '162', 'node', '1'),
('1', '163', 'node', '1'),
('1', '164', 'node', '1'),
('1', '165', 'node', '1'),
('1', '166', 'node', '1'),
('1', '167', 'node', '1'),
('1', '168', 'node', '1'),
('1', '169', 'node', '1'),
('1', '170', 'node', '1'),
('1', '171', 'node', '1'),
('1', '175', 'node', '1'),
('1', '176', 'node', '1'),
('1', '177', 'node', '1'),
('1', '178', 'node', '1'),
('1', '179', 'node', '1'),
('1', '181', 'node', '29'),
('1', '182', 'node', '4'),
('1', '184', 'node', '2'),
('10', '54', 'node', '1'),
('10', '124', 'node', '1'),
('100', '143', 'node', '1'),
('1000', '125', 'node', '26'),
('107', '126', 'node', '1'),
('11', '12', 'node', '27.2013'),
('11', '13', 'node', '10.5295'),
('11', '14', 'node', '45.235'),
('11', '16', 'node', '19.68'),
('11', '88', 'node', '1'),
('11', '133', 'node', '1'),
('12', '11', 'node', '1'),
('12', '69', 'node', '1'),
('12', '90', 'node', '1'),
('12', '181', 'node', '1'),
('12', '183', 'node', '1'),
('1287', '11', 'node', '1'),
('13', '67', 'node', '1'),
('13', '125', 'node', '1'),
('15', '143', 'node', '1'),
('15', '183', 'node', '1'),
('150', '146', 'node', '1'),
('156', '11', 'node', '1'),
('1611', '41', 'node', '8.88993'),
('17', '41', 'node', '10.0072'),
('1705', '105', 'node', '20.7312'),
('1807', '41', 'node', '9.93143'),
('194', '41', 'node', '1'),
('2', '39', 'node', '1'),
('2', '47', 'node', '1'),
('2', '50', 'node', '1'),
('2', '128', 'node', '1'),
('2', '129', 'node', '1'),
('2', '145', 'node', '1'),
('2', '152', 'node', '9.67522'),
('2', '153', 'node', '9.50024'),
('2', '154', 'node', '9.67522'),
('2', '155', 'node', '1'),
('2', '181', 'node', '3'),
('2', '182', 'node', '29'),
('2', '183', 'node', '1'),
('2', '184', 'node', '1'),
('2011', '12', 'node', '27.1644'),
('2011', '13', 'node', '10.4874'),
('2011', '14', 'node', '45.1964'),
('2011', '16', 'node', '19.6399'),
('2013', '41', 'node', '18.8591'),
('2014', '105', 'node', '20.7737'),
('21', '11', 'node', '1'),
('23', '159', 'node', '1'),
('24', '158', 'node', '26'),
('25', '145', 'node', '1'),
('25', '146', 'node', '1'),
('250', '144', 'node', '1'),
('265', '11', 'node', '1'),
('29', '11', 'node', '1'),
('3', '26', 'node', '1'),
('3', '52', 'node', '1'),
('3', '58', 'node', '1'),
('3', '68', 'node', '1'),
('3', '150', 'node', '10.5646'),
('3', '151', 'node', '10.6828'),
('3', '155', 'node', '9.78337'),
('3', '156', 'node', '1'),
('3', '157', 'node', '1'),
('3', '158', 'node', '1'),
('3', '160', 'node', '10.0072'),
('3', '161', 'node', '10.2416'),
('3', '162', 'node', '10.1622'),
('3', '163', 'node', '10.4041'),
('3', '164', 'node', '10.2416'),
('3', '174', 'node', '1'),
('3', '181', 'node', '1'),
('3', '182', 'node', '1'),
('31', '73', 'node', '1'),
('31200', '180', 'node', '1'),
('35', '144', 'node', '1'),
('35', '146', 'node', '1'),
('368', '11', 'node', '1'),
('39', '11', 'node', '1'),
('4', '37', 'node', '1'),
('4', '40', 'node', '1'),
('4', '41', 'node', '8.92007'),
('4', '56', 'node', '1'),
('4', '57', 'node', '1'),
('4', '145', 'node', '1'),
('4', '165', 'node', '9.89399'),
('4', '166', 'node', '10.4456'),
('4', '167', 'node', '10.0072'),
('4', '168', 'node', '10.4041'),
('4', '172', 'node', '9.23322'),
('4', '180', 'node', '1'),
('4', '181', 'node', '1'),
('4', '182', 'node', '1'),
('40', '105', 'node', '1'),
('498', '11', 'node', '1'),
('5', '65', 'node', '1'),
('5', '132', 'node', '1'),
('5', '146', 'node', '1'),
('5', '169', 'node', '11'),
('5', '170', 'node', '10.0841'),
('5', '171', 'node', '9.96916'),
('5', '181', 'node', '1'),
('5', '182', 'node', '1'),
('5', '183', 'node', '1'),
('50', '142', 'node', '1'),
('50', '145', 'node', '1'),
('50', '183', 'node', '1'),
('6', '127', 'node', '1'),
('6', '142', 'node', '1'),
('6', '152', 'node', '1'),
('6', '153', 'node', '1'),
('6', '154', 'node', '1'),
('6', '180', 'node', '26'),
('66', '104', 'node', '1'),
('7', '95', 'node', '1'),
('7', '105', 'node', '20.8165'),
('7', '123', 'node', '1'),
('7', '124', 'node', '26'),
('7', '143', 'node', '1'),
('7', '144', 'node', '1'),
('7', '158', 'node', '26'),
('7', '172', 'node', '0.848323'),
('8', '53', 'node', '1'),
('8', '55', 'node', '1'),
('8', '71', 'node', '1'),
('8', '89', 'node', '1'),
('88', '38', 'node', '1'),
('9', '82', 'node', '1'),
('9', '103', 'node', '1'),
('9', '134', 'node', '1'),
('9', '148', 'node', '0.842342'),
('about', '11', 'node', '26'),
('about', '147', 'node', '26'),
('access', '184', 'node', '1'),
('accumsan', '12', 'node', '2.74216'),
('accumsan', '14', 'node', '1.60832'),
('accumsan', '17', 'node', '1'),
('accumsan', '18', 'node', '2.9347'),
('accumsan', '19', 'node', '2'),
('accumsan', '20', 'node', '1'),
('accumsan', '21', 'node', '2'),
('accumsan', '22', 'node', '2'),
('accumsan', '23', 'node', '1'),
('accumsan', '27', 'node', '3'),
('accumsan', '28', 'node', '1'),
('accumsan', '30', 'node', '2.94583'),
('accumsan', '33', 'node', '1.89272'),
('accumsan', '34', 'node', '2'),
('accumsan', '38', 'node', '1.81427'),
('accumsan', '39', 'node', '12'),
('accumsan', '41', 'node', '1.9658'),
('accumsan', '42', 'node', '2'),
('accumsan', '43', 'node', '2'),
('accumsan', '44', 'node', '3.9496'),
('accumsan', '45', 'node', '1'),
('accumsan', '46', 'node', '1'),
('accumsan', '47', 'node', '1'),
('accumsan', '50', 'node', '1.97286'),
('accumsan', '52', 'node', '0.913226'),
('accumsan', '55', 'node', '1'),
('accumsan', '56', 'node', '0.957226'),
('accumsan', '57', 'node', '1'),
('accumsan', '67', 'node', '2.87313'),
('accumsan', '68', 'node', '1'),
('accumsan', '71', 'node', '1'),
('accumsan', '73', 'node', '1'),
('accumsan', '83', 'node', '2'),
('accumsan', '86', 'node', '1'),
('accumsan', '89', 'node', '1'),
('accumsan', '92', 'node', '1'),
('accumsan', '93', 'node', '0.927431'),
('accumsan', '96', 'node', '2'),
('accumsan', '97', 'node', '1'),
('accumsan', '98', 'node', '27.9973'),
('accumsan', '99', 'node', '1'),
('accumsan', '100', 'node', '1.92384'),
('accumsan', '101', 'node', '1'),
('accumsan', '103', 'node', '1.9347'),
('accumsan', '104', 'node', '1.94583'),
('accumsan', '105', 'node', '0.923838'),
('accumsan', '121', 'node', '1.97685'),
('accumsan', '122', 'node', '1'),
('accumsan', '123', 'node', '2'),
('accumsan', '124', 'node', '1'),
('accumsan', '125', 'node', '1.92743'),
('accumsan', '126', 'node', '1'),
('accumsan', '127', 'node', '2'),
('accumsan', '128', 'node', '0.993146'),
('accumsan', '129', 'node', '2.98902'),
('accumsan', '130', 'node', '1.92999'),
('accumsan', '131', 'node', '2.91323'),
('accumsan', '132', 'node', '1'),
('accumsan', '133', 'node', '1'),
('accumsan', '134', 'node', '1'),
('accumsan', '136', 'node', '1'),
('accumsan', '137', 'node', '1'),
('accumsan', '138', 'node', '2'),
('accumsan', '139', 'node', '1'),
('accumsan', '142', 'node', '1'),
('accumsan', '144', 'node', '1'),
('accumsan', '148', 'node', '1'),
('accumsan', '150', 'node', '3.8533'),
('accumsan', '151', 'node', '2'),
('accumsan', '153', 'node', '1.76603'),
('accumsan', '154', 'node', '1'),
('accumsan', '155', 'node', '1'),
('accumsan', '156', 'node', '1.93105'),
('accumsan', '157', 'node', '1'),
('accumsan', '158', 'node', '0.953396'),
('accumsan', '159', 'node', '0.957226'),
('accumsan', '160', 'node', '4'),
('accumsan', '162', 'node', '1'),
('accumsan', '163', 'node', '2'),
('accumsan', '166', 'node', '2'),
('accumsan', '167', 'node', '1'),
('accumsan', '168', 'node', '1.99315'),
('accumsan', '171', 'node', '2.92384'),
('accumsan', '172', 'node', '0.882818'),
('accumsan', '174', 'node', '1.80007'),
('accumsan', '175', 'node', '1.94177'),
('accumsan', '176', 'node', '1'),
('accumsan', '177', 'node', '3'),
('accumsan', '179', 'node', '1'),
('add', '180', 'node', '11'),
('addon', '145', 'node', '1'),
('adipiscing', '12', 'node', '1.56895'),
('adipiscing', '14', 'node', '5.0209'),
('adipiscing', '16', 'node', '1.71532'),
('adipiscing', '20', 'node', '1'),
('adipiscing', '21', 'node', '0.997306'),
('adipiscing', '39', 'node', '1'),
('adipiscing', '41', 'node', '1.70491'),
('adipiscing', '73', 'node', '0.957226'),
('adipiscing', '97', 'node', '0.931053'),
('adipiscing', '104', 'node', '0.953396'),
('adipiscing', '121', 'node', '2'),
('adipiscing', '131', 'node', '1'),
('adipiscing', '144', 'node', '1'),
('adipiscing', '151', 'node', '0.96498'),
('adipiscing', '157', 'node', '1.96601'),
('adipiscing', '165', 'node', '0.980874'),
('adipiscing', '172', 'node', '0.857458'),
('adipiscing', '175', 'node', '1'),
('admin', '12', 'node', '2.47963'),
('admin', '13', 'node', '0.96498'),
('admin', '14', 'node', '4.11938'),
('admin', '16', 'node', '1.79648'),
('admin', '38', 'node', '11'),
('admin', '39', 'node', '11'),
('admin', '40', 'node', '11'),
('admin', '41', 'node', '19.0345'),
('admin', '105', 'node', '20.9032'),
('admin', '124', 'node', '11'),
('admin', '126', 'node', '11'),
('aenean', '12', 'node', '3.84234'),
('aenean', '13', 'node', '1'),
('aenean', '14', 'node', '3.58823'),
('aenean', '15', 'node', '1.97'),
('aenean', '16', 'node', '0.989021'),
('aenean', '18', 'node', '2'),
('aenean', '20', 'node', '27'),
('aenean', '24', 'node', '2.93838'),
('aenean', '26', 'node', '0.942091'),
('aenean', '28', 'node', '2'),
('aenean', '29', 'node', '2'),
('aenean', '31', 'node', '0.949597'),
('aenean', '33', 'node', '0.953396'),
('aenean', '34', 'node', '2'),
('aenean', '37', 'node', '1'),
('aenean', '38', 'node', '1.93838'),
('aenean', '40', 'node', '0.989021'),
('aenean', '42', 'node', '1'),
('aenean', '43', 'node', '1'),
('aenean', '44', 'node', '2'),
('aenean', '45', 'node', '2.91099'),
('aenean', '46', 'node', '1'),
('aenean', '47', 'node', '1.98493'),
('aenean', '52', 'node', '29'),
('aenean', '53', 'node', '1'),
('aenean', '54', 'node', '1'),
('aenean', '55', 'node', '1'),
('aenean', '57', 'node', '2'),
('aenean', '58', 'node', '1'),
('aenean', '71', 'node', '1'),
('aenean', '73', 'node', '1'),
('aenean', '87', 'node', '2.99731'),
('aenean', '88', 'node', '2'),
('aenean', '90', 'node', '3.93784'),
('aenean', '91', 'node', '2'),
('aenean', '92', 'node', '1'),
('aenean', '93', 'node', '1.99315'),
('aenean', '97', 'node', '2.87821'),
('aenean', '98', 'node', '2'),
('aenean', '99', 'node', '1.96498'),
('aenean', '101', 'node', '28'),
('aenean', '102', 'node', '1.94196'),
('aenean', '103', 'node', '0.931053'),
('aenean', '104', 'node', '27.9769'),
('aenean', '121', 'node', '2.86351'),
('aenean', '123', 'node', '1'),
('aenean', '124', 'node', '1.90286'),
('aenean', '125', 'node', '1.90974'),
('aenean', '126', 'node', '1'),
('aenean', '127', 'node', '3'),
('aenean', '128', 'node', '2'),
('aenean', '129', 'node', '1'),
('aenean', '130', 'node', '1'),
('aenean', '131', 'node', '1'),
('aenean', '132', 'node', '2'),
('aenean', '137', 'node', '3.99315'),
('aenean', '138', 'node', '1'),
('aenean', '142', 'node', '2'),
('aenean', '147', 'node', '0.860547'),
('aenean', '148', 'node', '4.48708'),
('aenean', '150', 'node', '3'),
('aenean', '151', 'node', '1.91286'),
('aenean', '152', 'node', '0.980874'),
('aenean', '153', 'node', '2'),
('aenean', '154', 'node', '3'),
('aenean', '155', 'node', '2.94978'),
('aenean', '157', 'node', '1'),
('aenean', '158', 'node', '0.96498'),
('aenean', '159', 'node', '0.968904'),
('aenean', '160', 'node', '2.9347'),
('aenean', '164', 'node', '1'),
('aenean', '165', 'node', '27.9572'),
('aenean', '166', 'node', '2'),
('aenean', '168', 'node', '3'),
('aenean', '170', 'node', '2'),
('aenean', '171', 'node', '0.934703'),
('aenean', '172', 'node', '1.86995'),
('aenean', '174', 'node', '1'),
('aenean', '175', 'node', '1.98902'),
('aenean', '176', 'node', '1'),
('aenean', '177', 'node', '1.99315'),
('aenean', '178', 'node', '2.96109'),
('aenean', '179', 'node', '1.92384'),
('aenean', '184', 'node', '1'),
('agency', '174', 'node', '26'),
('aliquam', '12', 'node', '4.54092'),
('aliquam', '13', 'node', '1.92743'),
('aliquam', '14', 'node', '4.1513'),
('aliquam', '15', 'node', '3'),
('aliquam', '16', 'node', '5.4968'),
('aliquam', '17', 'node', '1.91674'),
('aliquam', '18', 'node', '0.934703'),
('aliquam', '19', 'node', '3'),
('aliquam', '21', 'node', '0.993146'),
('aliquam', '22', 'node', '3'),
('aliquam', '23', 'node', '1'),
('aliquam', '24', 'node', '30.9689'),
('aliquam', '25', 'node', '3'),
('aliquam', '26', 'node', '1.9347'),
('aliquam', '27', 'node', '29'),
('aliquam', '28', 'node', '5'),
('aliquam', '29', 'node', '6'),
('aliquam', '30', 'node', '0.902857'),
('aliquam', '32', 'node', '3.94583'),
('aliquam', '33', 'node', '13.0935'),
('aliquam', '34', 'node', '11.2416'),
('aliquam', '35', 'node', '1.98087'),
('aliquam', '37', 'node', '6.98087'),
('aliquam', '38', 'node', '3.87957'),
('aliquam', '40', 'node', '2'),
('aliquam', '41', 'node', '1'),
('aliquam', '42', 'node', '3'),
('aliquam', '43', 'node', '1'),
('aliquam', '44', 'node', '1'),
('aliquam', '45', 'node', '4'),
('aliquam', '46', 'node', '1'),
('aliquam', '47', 'node', '4'),
('aliquam', '50', 'node', '3.95489'),
('aliquam', '52', 'node', '3'),
('aliquam', '53', 'node', '5'),
('aliquam', '54', 'node', '3.91323'),
('aliquam', '55', 'node', '2.92217'),
('aliquam', '56', 'node', '0.98493'),
('aliquam', '57', 'node', '4'),
('aliquam', '58', 'node', '2'),
('aliquam', '65', 'node', '2'),
('aliquam', '67', 'node', '1.90286'),
('aliquam', '68', 'node', '1'),
('aliquam', '69', 'node', '3'),
('aliquam', '71', 'node', '3'),
('aliquam', '73', 'node', '2.83012'),
('aliquam', '82', 'node', '2'),
('aliquam', '83', 'node', '29.9809'),
('aliquam', '84', 'node', '2'),
('aliquam', '85', 'node', '1'),
('aliquam', '86', 'node', '0.953396'),
('aliquam', '87', 'node', '2'),
('aliquam', '88', 'node', '3.90682'),
('aliquam', '89', 'node', '2'),
('aliquam', '90', 'node', '6.89923'),
('aliquam', '91', 'node', '3'),
('aliquam', '92', 'node', '1'),
('aliquam', '93', 'node', '1.99315'),
('aliquam', '94', 'node', '2.9689'),
('aliquam', '95', 'node', '3'),
('aliquam', '96', 'node', '1'),
('aliquam', '97', 'node', '2.97286'),
('aliquam', '100', 'node', '2.96498'),
('aliquam', '101', 'node', '2.93838'),
('aliquam', '102', 'node', '28'),
('aliquam', '103', 'node', '2'),
('aliquam', '104', 'node', '1.95723'),
('aliquam', '105', 'node', '2'),
('aliquam', '121', 'node', '1'),
('aliquam', '122', 'node', '3.99731'),
('aliquam', '123', 'node', '1'),
('aliquam', '124', 'node', '1.82302'),
('aliquam', '126', 'node', '3.92027'),
('aliquam', '127', 'node', '1'),
('aliquam', '128', 'node', '3.9507'),
('aliquam', '129', 'node', '4'),
('aliquam', '130', 'node', '2'),
('aliquam', '131', 'node', '2.95373'),
('aliquam', '132', 'node', '1.99315'),
('aliquam', '133', 'node', '6.97017'),
('aliquam', '134', 'node', '1.9534'),
('aliquam', '136', 'node', '3'),
('aliquam', '137', 'node', '5'),
('aliquam', '138', 'node', '1'),
('aliquam', '139', 'node', '2'),
('aliquam', '142', 'node', '2'),
('aliquam', '143', 'node', '4'),
('aliquam', '147', 'node', '4.67594'),
('aliquam', '148', 'node', '2.69971'),
('aliquam', '150', 'node', '4.78411'),
('aliquam', '151', 'node', '3'),
('aliquam', '152', 'node', '2.90286'),
('aliquam', '153', 'node', '1.74313'),
('aliquam', '154', 'node', '2.72232'),
('aliquam', '155', 'node', '5.85155'),
('aliquam', '157', 'node', '1.93105'),
('aliquam', '158', 'node', '2.97286'),
('aliquam', '159', 'node', '2.97685'),
('aliquam', '160', 'node', '0.945829'),
('aliquam', '161', 'node', '1.94583'),
('aliquam', '162', 'node', '4.90756'),
('aliquam', '163', 'node', '4.90682'),
('aliquam', '164', 'node', '3.97685'),
('aliquam', '165', 'node', '2'),
('aliquam', '166', 'node', '6.98493'),
('aliquam', '167', 'node', '1.92384'),
('aliquam', '168', 'node', '0.968904'),
('aliquam', '169', 'node', '4'),
('aliquam', '170', 'node', '1'),
('aliquam', '171', 'node', '2'),
('aliquam', '172', 'node', '8.60192'),
('aliquam', '174', 'node', '3.66199'),
('aliquam', '175', 'node', '1.94209'),
('aliquam', '176', 'node', '3.73168'),
('aliquam', '177', 'node', '0.869951'),
('aliquam', '178', 'node', '31.8163'),
('aliquam', '179', 'node', '2.79697'),
('aliquet', '12', 'node', '5.70514'),
('aliquet', '13', 'node', '1'),
('aliquet', '14', 'node', '1.76188'),
('aliquet', '16', 'node', '5.57212'),
('aliquet', '17', 'node', '28.9302'),
('aliquet', '18', 'node', '1.98902'),
('aliquet', '19', 'node', '1'),
('aliquet', '21', 'node', '1'),
('aliquet', '23', 'node', '1'),
('aliquet', '25', 'node', '3'),
('aliquet', '27', 'node', '1'),
('aliquet', '28', 'node', '1'),
('aliquet', '29', 'node', '1'),
('aliquet', '30', 'node', '1.85625'),
('aliquet', '32', 'node', '2.93838'),
('aliquet', '33', 'node', '1.95723'),
('aliquet', '35', 'node', '1'),
('aliquet', '38', 'node', '1.93838'),
('aliquet', '39', 'node', '1'),
('aliquet', '40', 'node', '1'),
('aliquet', '43', 'node', '1'),
('aliquet', '44', 'node', '1.9496'),
('aliquet', '45', 'node', '3.89178'),
('aliquet', '46', 'node', '2.9496'),
('aliquet', '50', 'node', '3.91558'),
('aliquet', '52', 'node', '0.945829'),
('aliquet', '54', 'node', '2'),
('aliquet', '55', 'node', '2'),
('aliquet', '56', 'node', '1'),
('aliquet', '58', 'node', '2'),
('aliquet', '65', 'node', '1'),
('aliquet', '67', 'node', '3.72347'),
('aliquet', '71', 'node', '1'),
('aliquet', '73', 'node', '1'),
('aliquet', '82', 'node', '1'),
('aliquet', '83', 'node', '4'),
('aliquet', '84', 'node', '1'),
('aliquet', '85', 'node', '2.98493'),
('aliquet', '86', 'node', '1'),
('aliquet', '87', 'node', '1'),
('aliquet', '88', 'node', '0.945829'),
('aliquet', '89', 'node', '1'),
('aliquet', '91', 'node', '3'),
('aliquet', '92', 'node', '2'),
('aliquet', '94', 'node', '1.89968'),
('aliquet', '96', 'node', '1'),
('aliquet', '98', 'node', '2.88047'),
('aliquet', '99', 'node', '2'),
('aliquet', '102', 'node', '0.953396'),
('aliquet', '103', 'node', '1.96498'),
('aliquet', '104', 'node', '1'),
('aliquet', '105', 'node', '1.9496'),
('aliquet', '121', 'node', '3'),
('aliquet', '124', 'node', '2'),
('aliquet', '125', 'node', '1'),
('aliquet', '126', 'node', '2.9689'),
('aliquet', '128', 'node', '1'),
('aliquet', '129', 'node', '1'),
('aliquet', '130', 'node', '1.98493'),
('aliquet', '131', 'node', '1'),
('aliquet', '132', 'node', '3'),
('aliquet', '133', 'node', '1'),
('aliquet', '134', 'node', '1'),
('aliquet', '136', 'node', '1'),
('aliquet', '137', 'node', '3'),
('aliquet', '138', 'node', '1'),
('aliquet', '142', 'node', '1'),
('aliquet', '143', 'node', '2'),
('aliquet', '144', 'node', '2'),
('aliquet', '145', 'node', '1'),
('aliquet', '147', 'node', '1.76238'),
('aliquet', '148', 'node', '3.5606'),
('aliquet', '150', 'node', '3.89945'),
('aliquet', '151', 'node', '5'),
('aliquet', '152', 'node', '1.90629'),
('aliquet', '154', 'node', '0.920273'),
('aliquet', '155', 'node', '3'),
('aliquet', '157', 'node', '0.927431'),
('aliquet', '160', 'node', '1'),
('aliquet', '161', 'node', '1'),
('aliquet', '162', 'node', '2.9507'),
('aliquet', '163', 'node', '3.99315'),
('aliquet', '164', 'node', '2'),
('aliquet', '165', 'node', '2'),
('aliquet', '166', 'node', '1'),
('aliquet', '167', 'node', '0.96498'),
('aliquet', '168', 'node', '2.98902'),
('aliquet', '169', 'node', '1'),
('aliquet', '170', 'node', '1'),
('aliquet', '172', 'node', '1.86366'),
('aliquet', '174', 'node', '2.68215'),
('aliquet', '176', 'node', '1'),
('aliquet', '177', 'node', '1'),
('aliquet', '178', 'node', '2'),
('aliquet', '179', 'node', '4'),
('aliquet', '183', 'node', '1'),
('allowed', '183', 'node', '1'),
('allowed', '184', 'node', '1'),
('always', '47', 'node', '26'),
('always', '90', 'node', '26'),
('amanda', '85', 'node', '26'),
('amet', '12', 'node', '28.2041'),
('amet', '13', 'node', '5.71556'),
('amet', '14', 'node', '34.1546'),
('amet', '15', 'node', '6'),
('amet', '16', 'node', '9.73952'),
('amet', '17', 'node', '30.9189'),
('amet', '18', 'node', '4'),
('amet', '19', 'node', '1'),
('amet', '20', 'node', '3'),
('amet', '21', 'node', '3.99731'),
('amet', '22', 'node', '1'),
('amet', '23', 'node', '3'),
('amet', '24', 'node', '6.95909'),
('amet', '25', 'node', '5'),
('amet', '26', 'node', '4'),
('amet', '27', 'node', '4'),
('amet', '28', 'node', '3'),
('amet', '29', 'node', '3.96498'),
('amet', '30', 'node', '2'),
('amet', '31', 'node', '2.9496'),
('amet', '32', 'node', '3.92474'),
('amet', '33', 'node', '4.64116'),
('amet', '34', 'node', '4.95839'),
('amet', '35', 'node', '5'),
('amet', '37', 'node', '15.9496'),
('amet', '38', 'node', '5.5351'),
('amet', '39', 'node', '5'),
('amet', '40', 'node', '12'),
('amet', '41', 'node', '20.0902'),
('amet', '42', 'node', '4'),
('amet', '43', 'node', '6.82806'),
('amet', '44', 'node', '1'),
('amet', '45', 'node', '2.9534'),
('amet', '46', 'node', '4'),
('amet', '47', 'node', '4'),
('amet', '50', 'node', '1'),
('amet', '52', 'node', '2.80914'),
('amet', '53', 'node', '2.98902'),
('amet', '54', 'node', '2'),
('amet', '55', 'node', '2.96109'),
('amet', '56', 'node', '4.79888'),
('amet', '57', 'node', '1'),
('amet', '58', 'node', '2'),
('amet', '65', 'node', '5'),
('amet', '67', 'node', '5.79452'),
('amet', '68', 'node', '2'),
('amet', '69', 'node', '1'),
('amet', '71', 'node', '3'),
('amet', '73', 'node', '3.89193'),
('amet', '82', 'node', '6'),
('amet', '83', 'node', '1.97286'),
('amet', '84', 'node', '5'),
('amet', '85', 'node', '1'),
('amet', '86', 'node', '2.96498'),
('amet', '87', 'node', '1'),
('amet', '88', 'node', '4.96229'),
('amet', '90', 'node', '2.9689'),
('amet', '92', 'node', '3'),
('amet', '93', 'node', '4.77231'),
('amet', '94', 'node', '4.9381'),
('amet', '95', 'node', '1.97286'),
('amet', '96', 'node', '3'),
('amet', '97', 'node', '3.84186'),
('amet', '98', 'node', '3.98087'),
('amet', '99', 'node', '5.93873'),
('amet', '100', 'node', '1'),
('amet', '101', 'node', '5.8155'),
('amet', '102', 'node', '4.95772'),
('amet', '103', 'node', '3.98902'),
('amet', '104', 'node', '2.9534'),
('amet', '105', 'node', '3.85183'),
('amet', '121', 'node', '6.79697'),
('amet', '122', 'node', '4.92474'),
('amet', '123', 'node', '3.91458'),
('amet', '124', 'node', '8.62089'),
('amet', '126', 'node', '4'),
('amet', '127', 'node', '5'),
('amet', '128', 'node', '4.98087'),
('amet', '129', 'node', '4'),
('amet', '130', 'node', '3'),
('amet', '131', 'node', '3.81603'),
('amet', '132', 'node', '3'),
('amet', '133', 'node', '3'),
('amet', '134', 'node', '3'),
('amet', '136', 'node', '3.98902'),
('amet', '137', 'node', '29.9809'),
('amet', '138', 'node', '1'),
('amet', '142', 'node', '1'),
('amet', '143', 'node', '1'),
('amet', '144', 'node', '1'),
('amet', '146', 'node', '1'),
('amet', '147', 'node', '5.36477'),
('amet', '148', 'node', '4.69365'),
('amet', '150', 'node', '6.88828'),
('amet', '151', 'node', '4.86527'),
('amet', '152', 'node', '7.72286'),
('amet', '153', 'node', '3.77549'),
('amet', '154', 'node', '3'),
('amet', '155', 'node', '3.83637'),
('amet', '156', 'node', '3.89543'),
('amet', '157', 'node', '1.97286'),
('amet', '158', 'node', '4'),
('amet', '159', 'node', '4'),
('amet', '160', 'node', '5'),
('amet', '162', 'node', '31.8808'),
('amet', '163', 'node', '1'),
('amet', '164', 'node', '2'),
('amet', '165', 'node', '2.93078'),
('amet', '167', 'node', '2.94209'),
('amet', '168', 'node', '3.95723'),
('amet', '170', 'node', '4.96498'),
('amet', '171', 'node', '2.99731'),
('amet', '172', 'node', '6.61055'),
('amet', '174', 'node', '9.26252'),
('amet', '175', 'node', '4.83051'),
('amet', '176', 'node', '4.74137'),
('amet', '177', 'node', '5.85242'),
('amet', '178', 'node', '6.86581'),
('amet', '179', 'node', '4.92645'),
('anna', '132', 'node', '26'),
('anonymous', '37', 'node', '11'),
('anonymous', '41', 'node', '11'),
('anonymous', '105', 'node', '11'),
('anonymous', '123', 'node', '11'),
('anonymous', '125', 'node', '11'),
('ante', '12', 'node', '4.11476'),
('ante', '13', 'node', '2.90286'),
('ante', '14', 'node', '7.77113'),
('ante', '15', 'node', '0.98493'),
('ante', '16', 'node', '3.70817'),
('ante', '17', 'node', '5.94583'),
('ante', '18', 'node', '2'),
('ante', '19', 'node', '1'),
('ante', '21', 'node', '2'),
('ante', '22', 'node', '3'),
('ante', '23', 'node', '4'),
('ante', '24', 'node', '1'),
('ante', '25', 'node', '2'),
('ante', '26', 'node', '2.96498'),
('ante', '27', 'node', '0.976851'),
('ante', '28', 'node', '1'),
('ante', '29', 'node', '0.968904'),
('ante', '30', 'node', '3'),
('ante', '31', 'node', '2'),
('ante', '32', 'node', '1'),
('ante', '33', 'node', '2'),
('ante', '34', 'node', '1'),
('ante', '35', 'node', '3.95453'),
('ante', '37', 'node', '3'),
('ante', '38', 'node', '3.84154'),
('ante', '39', 'node', '1.9496'),
('ante', '40', 'node', '3'),
('ante', '41', 'node', '2.93838'),
('ante', '42', 'node', '3.98902'),
('ante', '43', 'node', '2'),
('ante', '44', 'node', '1'),
('ante', '45', 'node', '1.9534'),
('ante', '46', 'node', '3'),
('ante', '47', 'node', '0.980874'),
('ante', '50', 'node', '1'),
('ante', '52', 'node', '3.92384'),
('ante', '53', 'node', '1'),
('ante', '55', 'node', '2'),
('ante', '57', 'node', '1'),
('ante', '58', 'node', '2'),
('ante', '65', 'node', '2'),
('ante', '67', 'node', '4.76039'),
('ante', '68', 'node', '1.9689'),
('ante', '69', 'node', '1'),
('ante', '71', 'node', '1'),
('ante', '73', 'node', '3.80993'),
('ante', '82', 'node', '1'),
('ante', '83', 'node', '0.98493'),
('ante', '85', 'node', '2'),
('ante', '87', 'node', '1.99731'),
('ante', '88', 'node', '1'),
('ante', '89', 'node', '1'),
('ante', '91', 'node', '1'),
('ante', '92', 'node', '1'),
('ante', '93', 'node', '1.98493'),
('ante', '94', 'node', '3.9347'),
('ante', '95', 'node', '2.94585'),
('ante', '96', 'node', '1'),
('ante', '97', 'node', '2.86056'),
('ante', '98', 'node', '3.98493'),
('ante', '99', 'node', '5'),
('ante', '100', 'node', '1'),
('ante', '101', 'node', '3'),
('ante', '102', 'node', '3.89117'),
('ante', '103', 'node', '4.98902'),
('ante', '105', 'node', '0.980874'),
('ante', '121', 'node', '4'),
('ante', '122', 'node', '2.96621'),
('ante', '123', 'node', '1'),
('ante', '125', 'node', '2.93838'),
('ante', '126', 'node', '0.972861'),
('ante', '129', 'node', '1'),
('ante', '130', 'node', '1.98087'),
('ante', '131', 'node', '2.90286'),
('ante', '132', 'node', '3'),
('ante', '133', 'node', '2.95723'),
('ante', '134', 'node', '1.94583'),
('ante', '136', 'node', '2'),
('ante', '137', 'node', '3'),
('ante', '138', 'node', '2'),
('ante', '139', 'node', '2'),
('ante', '142', 'node', '2'),
('ante', '143', 'node', '1'),
('ante', '145', 'node', '2'),
('ante', '146', 'node', '2'),
('ante', '147', 'node', '2.93105'),
('ante', '148', 'node', '28'),
('ante', '150', 'node', '2.89313'),
('ante', '151', 'node', '1'),
('ante', '152', 'node', '1'),
('ante', '153', 'node', '5.66631'),
('ante', '154', 'node', '2.74136'),
('ante', '155', 'node', '1'),
('ante', '156', 'node', '4.89214'),
('ante', '157', 'node', '2'),
('ante', '158', 'node', '1'),
('ante', '159', 'node', '1'),
('ante', '160', 'node', '5'),
('ante', '161', 'node', '1'),
('ante', '162', 'node', '3.94583'),
('ante', '163', 'node', '1'),
('ante', '164', 'node', '0.972861'),
('ante', '165', 'node', '2.896'),
('ante', '166', 'node', '1'),
('ante', '167', 'node', '2.87431'),
('ante', '168', 'node', '2'),
('ante', '169', 'node', '2'),
('ante', '170', 'node', '4.98493'),
('ante', '171', 'node', '6.93569'),
('ante', '172', 'node', '1.79792'),
('ante', '174', 'node', '5.6392'),
('ante', '175', 'node', '5.89945'),
('ante', '176', 'node', '3.8034'),
('ante', '177', 'node', '1'),
('ante', '178', 'node', '0.968904'),
('ante', '179', 'node', '1'),
('app', '38', 'node', '26'),
('aptent', '12', 'node', '0.873132'),
('aptent', '14', 'node', '0.786915'),
('aptent', '16', 'node', '0.813674'),
('aptent', '17', 'node', '1'),
('aptent', '27', 'node', '1'),
('aptent', '29', 'node', '1'),
('aptent', '33', 'node', '1'),
('aptent', '41', 'node', '0.854391'),
('aptent', '43', 'node', '0.942091'),
('aptent', '46', 'node', '1'),
('aptent', '54', 'node', '1'),
('aptent', '67', 'node', '1'),
('aptent', '73', 'node', '2.8861'),
('aptent', '88', 'node', '1'),
('aptent', '93', 'node', '27.989'),
('aptent', '95', 'node', '1'),
('aptent', '104', 'node', '1'),
('aptent', '121', 'node', '1.93105'),
('aptent', '130', 'node', '1'),
('aptent', '153', 'node', '0.976851'),
('aptent', '156', 'node', '1'),
('aptent', '167', 'node', '1'),
('aptent', '172', 'node', '1'),
('aptent', '177', 'node', '0.916736'),
('aptent', '179', 'node', '0.913226'),
('arcu', '12', 'node', '4.71178'),
('arcu', '13', 'node', '2'),
('arcu', '14', 'node', '5.37039'),
('arcu', '15', 'node', '1'),
('arcu', '16', 'node', '2.7538'),
('arcu', '17', 'node', '1.93105'),
('arcu', '18', 'node', '3.85326'),
('arcu', '19', 'node', '1'),
('arcu', '20', 'node', '1'),
('arcu', '21', 'node', '12.7896'),
('arcu', '22', 'node', '38.8342'),
('arcu', '23', 'node', '10.9704'),
('arcu', '24', 'node', '12.2817'),
('arcu', '25', 'node', '30'),
('arcu', '27', 'node', '0.957226'),
('arcu', '28', 'node', '2'),
('arcu', '29', 'node', '3'),
('arcu', '30', 'node', '1.90629'),
('arcu', '31', 'node', '1'),
('arcu', '32', 'node', '27.9572'),
('arcu', '33', 'node', '2.75353'),
('arcu', '35', 'node', '1'),
('arcu', '37', 'node', '0.989021'),
('arcu', '38', 'node', '2'),
('arcu', '39', 'node', '0.98493'),
('arcu', '41', 'node', '5.67038'),
('arcu', '42', 'node', '0.989021'),
('arcu', '43', 'node', '1.96109'),
('arcu', '44', 'node', '2'),
('arcu', '45', 'node', '3.9534'),
('arcu', '46', 'node', '2'),
('arcu', '50', 'node', '2.94209'),
('arcu', '52', 'node', '2.93105'),
('arcu', '53', 'node', '2'),
('arcu', '55', 'node', '2'),
('arcu', '56', 'node', '3.9496'),
('arcu', '58', 'node', '3'),
('arcu', '65', 'node', '1'),
('arcu', '67', 'node', '3.74753'),
('arcu', '68', 'node', '3'),
('arcu', '69', 'node', '1'),
('arcu', '73', 'node', '1.89608'),
('arcu', '82', 'node', '3'),
('arcu', '83', 'node', '29'),
('arcu', '84', 'node', '1'),
('arcu', '85', 'node', '2'),
('arcu', '86', 'node', '1'),
('arcu', '87', 'node', '1'),
('arcu', '88', 'node', '2.95723'),
('arcu', '89', 'node', '2.98087'),
('arcu', '90', 'node', '2'),
('arcu', '92', 'node', '1'),
('arcu', '93', 'node', '2'),
('arcu', '94', 'node', '2.85767'),
('arcu', '95', 'node', '1.97286'),
('arcu', '96', 'node', '2'),
('arcu', '97', 'node', '1.9534'),
('arcu', '98', 'node', '2'),
('arcu', '99', 'node', '4'),
('arcu', '101', 'node', '2'),
('arcu', '102', 'node', '2'),
('arcu', '103', 'node', '0.938382'),
('arcu', '104', 'node', '0.96498'),
('arcu', '105', 'node', '1'),
('arcu', '121', 'node', '2.9689'),
('arcu', '122', 'node', '3'),
('arcu', '124', 'node', '3.9534'),
('arcu', '125', 'node', '0.949597'),
('arcu', '126', 'node', '1'),
('arcu', '127', 'node', '1.99731'),
('arcu', '129', 'node', '2'),
('arcu', '131', 'node', '27.7989'),
('arcu', '132', 'node', '1.98087'),
('arcu', '133', 'node', '3'),
('arcu', '136', 'node', '2.98493'),
('arcu', '137', 'node', '4'),
('arcu', '139', 'node', '3'),
('arcu', '144', 'node', '1'),
('arcu', '147', 'node', '0.906287'),
('arcu', '148', 'node', '3.79022'),
('arcu', '150', 'node', '0.934703'),
('arcu', '151', 'node', '1.97286'),
('arcu', '152', 'node', '0.942091'),
('arcu', '153', 'node', '1.98087'),
('arcu', '154', 'node', '0.989021'),
('arcu', '155', 'node', '2.9534'),
('arcu', '156', 'node', '1.94209'),
('arcu', '157', 'node', '1'),
('arcu', '158', 'node', '1'),
('arcu', '159', 'node', '1'),
('arcu', '160', 'node', '1'),
('arcu', '161', 'node', '1'),
('arcu', '162', 'node', '1'),
('arcu', '164', 'node', '2.98902'),
('arcu', '165', 'node', '1'),
('arcu', '166', 'node', '1.99731'),
('arcu', '167', 'node', '1'),
('arcu', '168', 'node', '1'),
('arcu', '169', 'node', '1'),
('arcu', '170', 'node', '2'),
('arcu', '171', 'node', '2'),
('arcu', '172', 'node', '5.58589'),
('arcu', '174', 'node', '2.68215'),
('arcu', '176', 'node', '1.98902'),
('arcu', '177', 'node', '1.9689'),
('arcu', '178', 'node', '2'),
('arcu', '179', 'node', '3.75806'),
('are', '50', 'node', '26'),
('are', '150', 'node', '26'),
('are', '174', 'node', '26'),
('art', '134', 'node', '1'),
('auctor', '12', 'node', '0.800068'),
('auctor', '13', 'node', '1'),
('auctor', '14', 'node', '8.99008'),
('auctor', '16', 'node', '2.99315'),
('auctor', '17', 'node', '1'),
('auctor', '18', 'node', '1'),
('auctor', '21', 'node', '1'),
('auctor', '24', 'node', '2'),
('auctor', '26', 'node', '1'),
('auctor', '27', 'node', '1'),
('auctor', '30', 'node', '3.74336'),
('auctor', '32', 'node', '3'),
('auctor', '33', 'node', '1.76916'),
('auctor', '34', 'node', '1'),
('auctor', '35', 'node', '1'),
('auctor', '38', 'node', '1.8477'),
('auctor', '39', 'node', '1'),
('auctor', '41', 'node', '1.92384'),
('auctor', '42', 'node', '1'),
('auctor', '43', 'node', '1.97685'),
('auctor', '44', 'node', '3'),
('auctor', '45', 'node', '1'),
('auctor', '46', 'node', '1.94583'),
('auctor', '50', 'node', '1'),
('auctor', '53', 'node', '1'),
('auctor', '55', 'node', '1'),
('auctor', '56', 'node', '1'),
('auctor', '57', 'node', '1'),
('auctor', '68', 'node', '1'),
('auctor', '73', 'node', '1'),
('auctor', '82', 'node', '1'),
('auctor', '83', 'node', '4'),
('auctor', '84', 'node', '1'),
('auctor', '86', 'node', '2'),
('auctor', '87', 'node', '1'),
('auctor', '88', 'node', '1'),
('auctor', '90', 'node', '1'),
('auctor', '92', 'node', '1'),
('auctor', '93', 'node', '0.968904'),
('auctor', '94', 'node', '1'),
('auctor', '95', 'node', '1'),
('auctor', '96', 'node', '1'),
('auctor', '98', 'node', '1.9534'),
('auctor', '99', 'node', '3'),
('auctor', '100', 'node', '1'),
('auctor', '101', 'node', '3.93105'),
('auctor', '102', 'node', '0.976851'),
('auctor', '103', 'node', '1.94583'),
('auctor', '104', 'node', '2.94583'),
('auctor', '105', 'node', '28'),
('auctor', '121', 'node', '0.945829'),
('auctor', '122', 'node', '2.98902'),
('auctor', '125', 'node', '0.945829'),
('auctor', '126', 'node', '1'),
('auctor', '127', 'node', '1'),
('auctor', '128', 'node', '2'),
('auctor', '129', 'node', '1'),
('auctor', '130', 'node', '0.961087'),
('auctor', '131', 'node', '2'),
('auctor', '133', 'node', '3.99731'),
('auctor', '136', 'node', '1'),
('auctor', '137', 'node', '4'),
('auctor', '138', 'node', '1'),
('auctor', '139', 'node', '2'),
('auctor', '144', 'node', '1'),
('auctor', '150', 'node', '2'),
('auctor', '151', 'node', '2.94572'),
('auctor', '153', 'node', '2'),
('auctor', '155', 'node', '1.91674'),
('auctor', '157', 'node', '1'),
('auctor', '158', 'node', '1'),
('auctor', '159', 'node', '1'),
('auctor', '161', 'node', '1'),
('auctor', '162', 'node', '0.942091'),
('auctor', '163', 'node', '1.96109'),
('auctor', '164', 'node', '1'),
('auctor', '165', 'node', '0.96498'),
('auctor', '166', 'node', '1'),
('auctor', '167', 'node', '2.92384'),
('auctor', '169', 'node', '1'),
('auctor', '170', 'node', '2.95383'),
('auctor', '171', 'node', '2.92743'),
('auctor', '172', 'node', '3.63598'),
('auctor', '174', 'node', '0.833529'),
('auctor', '175', 'node', '4.89608'),
('auctor', '176', 'node', '1'),
('auctor', '178', 'node', '0.942091'),
('auctor', '179', 'node', '2.92384'),
('auctor', '183', 'node', '1'),
('augue', '12', 'node', '8.08585'),
('augue', '14', 'node', '2.45526'),
('augue', '15', 'node', '1'),
('augue', '16', 'node', '3.74335'),
('augue', '17', 'node', '2'),
('augue', '18', 'node', '2'),
('augue', '19', 'node', '2.99315'),
('augue', '20', 'node', '3'),
('augue', '21', 'node', '1'),
('augue', '23', 'node', '1'),
('augue', '24', 'node', '2.99731'),
('augue', '25', 'node', '3'),
('augue', '26', 'node', '4.85968'),
('augue', '27', 'node', '1'),
('augue', '28', 'node', '1'),
('augue', '29', 'node', '3'),
('augue', '30', 'node', '0.886095'),
('augue', '31', 'node', '1'),
('augue', '32', 'node', '2.92384'),
('augue', '33', 'node', '2'),
('augue', '34', 'node', '0.98493'),
('augue', '35', 'node', '3'),
('augue', '38', 'node', '2'),
('augue', '40', 'node', '2'),
('augue', '41', 'node', '4.7916'),
('augue', '43', 'node', '31'),
('augue', '44', 'node', '2'),
('augue', '45', 'node', '1.9534'),
('augue', '46', 'node', '1.96498'),
('augue', '47', 'node', '1'),
('augue', '52', 'node', '0.902857'),
('augue', '53', 'node', '1'),
('augue', '54', 'node', '2'),
('augue', '55', 'node', '2'),
('augue', '56', 'node', '1'),
('augue', '57', 'node', '3'),
('augue', '58', 'node', '29'),
('augue', '68', 'node', '0.957226'),
('augue', '71', 'node', '2.99315'),
('augue', '73', 'node', '2'),
('augue', '82', 'node', '4'),
('augue', '85', 'node', '1.99731'),
('augue', '86', 'node', '0.961087'),
('augue', '87', 'node', '1'),
('augue', '88', 'node', '2.96109'),
('augue', '90', 'node', '1.9496'),
('augue', '91', 'node', '2'),
('augue', '92', 'node', '2'),
('augue', '93', 'node', '1.98493'),
('augue', '94', 'node', '2.97286'),
('augue', '96', 'node', '2'),
('augue', '99', 'node', '1'),
('augue', '100', 'node', '2.86576'),
('augue', '101', 'node', '0.942091'),
('augue', '102', 'node', '0.957226'),
('augue', '103', 'node', '1.92027'),
('augue', '104', 'node', '1'),
('augue', '105', 'node', '2'),
('augue', '121', 'node', '3.75503'),
('augue', '122', 'node', '1'),
('augue', '123', 'node', '1'),
('augue', '124', 'node', '2.85486'),
('augue', '125', 'node', '2.94991'),
('augue', '126', 'node', '1.94216'),
('augue', '128', 'node', '1'),
('augue', '130', 'node', '4.84768'),
('augue', '131', 'node', '1.86054'),
('augue', '132', 'node', '2.99315'),
('augue', '133', 'node', '4'),
('augue', '136', 'node', '1'),
('augue', '137', 'node', '1'),
('augue', '139', 'node', '2'),
('augue', '143', 'node', '2'),
('augue', '147', 'node', '5.39889'),
('augue', '148', 'node', '3.573'),
('augue', '150', 'node', '1.79218'),
('augue', '151', 'node', '3'),
('augue', '152', 'node', '3.88445'),
('augue', '153', 'node', '0.902857'),
('augue', '154', 'node', '1'),
('augue', '155', 'node', '0.902857'),
('augue', '156', 'node', '2'),
('augue', '157', 'node', '0.938382'),
('augue', '158', 'node', '2.92246'),
('augue', '159', 'node', '2.93025'),
('augue', '160', 'node', '3'),
('augue', '161', 'node', '4'),
('augue', '162', 'node', '2'),
('augue', '164', 'node', '1'),
('augue', '165', 'node', '1'),
('augue', '167', 'node', '3.92027'),
('augue', '171', 'node', '2.92384'),
('augue', '174', 'node', '1'),
('augue', '175', 'node', '2.89945'),
('augue', '176', 'node', '0.896076'),
('augue', '177', 'node', '1'),
('augue', '178', 'node', '1'),
('augue', '179', 'node', '1.93838'),
('augue', '184', 'node', '1'),
('backer', '86', 'node', '26'),
('bad', '11', 'node', '1'),
('basecamp', '142', 'node', '1'),
('basecamp', '143', 'node', '1'),
('basecamp', '144', 'node', '1'),
('based', '174', 'node', '26'),
('basic', '143', 'node', '26'),
('best', '90', 'node', '26'),
('best', '152', 'node', '26'),
('bibendum', '12', 'node', '3.60699'),
('bibendum', '13', 'node', '2'),
('bibendum', '14', 'node', '5.2641'),
('bibendum', '15', 'node', '1.98087'),
('bibendum', '17', 'node', '2'),
('bibendum', '18', 'node', '0.931053'),
('bibendum', '20', 'node', '2'),
('bibendum', '21', 'node', '1'),
('bibendum', '23', 'node', '2'),
('bibendum', '24', 'node', '1'),
('bibendum', '27', 'node', '1'),
('bibendum', '28', 'node', '1'),
('bibendum', '29', 'node', '1.99731'),
('bibendum', '30', 'node', '1'),
('bibendum', '32', 'node', '2'),
('bibendum', '35', 'node', '1'),
('bibendum', '37', 'node', '2.9496'),
('bibendum', '38', 'node', '1.8645'),
('bibendum', '41', 'node', '0.980874'),
('bibendum', '42', 'node', '1'),
('bibendum', '45', 'node', '1.91473'),
('bibendum', '46', 'node', '0.96498'),
('bibendum', '47', 'node', '1'),
('bibendum', '52', 'node', '1.90974'),
('bibendum', '53', 'node', '1'),
('bibendum', '54', 'node', '1.95723'),
('bibendum', '55', 'node', '1'),
('bibendum', '56', 'node', '0.961087'),
('bibendum', '57', 'node', '2'),
('bibendum', '58', 'node', '2'),
('bibendum', '65', 'node', '2'),
('bibendum', '68', 'node', '1'),
('bibendum', '69', 'node', '2'),
('bibendum', '73', 'node', '1'),
('bibendum', '83', 'node', '1.97286'),
('bibendum', '85', 'node', '1'),
('bibendum', '86', 'node', '2'),
('bibendum', '89', 'node', '1'),
('bibendum', '90', 'node', '1'),
('bibendum', '91', 'node', '1'),
('bibendum', '93', 'node', '1'),
('bibendum', '94', 'node', '1.9347'),
('bibendum', '96', 'node', '1'),
('bibendum', '97', 'node', '27'),
('bibendum', '98', 'node', '1'),
('bibendum', '99', 'node', '2.92337'),
('bibendum', '100', 'node', '1'),
('bibendum', '101', 'node', '2'),
('bibendum', '102', 'node', '2.98087'),
('bibendum', '103', 'node', '1.98902'),
('bibendum', '121', 'node', '0.989021'),
('bibendum', '122', 'node', '1'),
('bibendum', '123', 'node', '0.923838'),
('bibendum', '124', 'node', '4.7473'),
('bibendum', '125', 'node', '2'),
('bibendum', '127', 'node', '3.99731'),
('bibendum', '128', 'node', '4'),
('bibendum', '129', 'node', '1'),
('bibendum', '130', 'node', '2'),
('bibendum', '131', 'node', '2.79891'),
('bibendum', '133', 'node', '0.993146'),
('bibendum', '134', 'node', '1'),
('bibendum', '137', 'node', '1'),
('bibendum', '139', 'node', '3'),
('bibendum', '143', 'node', '1'),
('bibendum', '145', 'node', '1'),
('bibendum', '146', 'node', '1'),
('bibendum', '147', 'node', '1'),
('bibendum', '148', 'node', '1'),
('bibendum', '150', 'node', '2.81635'),
('bibendum', '151', 'node', '1'),
('bibendum', '152', 'node', '0.913226'),
('bibendum', '153', 'node', '1'),
('bibendum', '154', 'node', '0.927431'),
('bibendum', '155', 'node', '1'),
('bibendum', '156', 'node', '1.87326'),
('bibendum', '158', 'node', '2'),
('bibendum', '159', 'node', '2'),
('bibendum', '161', 'node', '1'),
('bibendum', '162', 'node', '0.98493'),
('bibendum', '163', 'node', '2'),
('bibendum', '164', 'node', '1.96109'),
('bibendum', '166', 'node', '0.989021'),
('bibendum', '170', 'node', '0.957226'),
('bibendum', '171', 'node', '1'),
('bibendum', '172', 'node', '1.75638'),
('bibendum', '174', 'node', '0.845322'),
('bibendum', '175', 'node', '2.92007'),
('bibendum', '176', 'node', '1.84847'),
('bibendum', '177', 'node', '2.9347'),
('bibendum', '178', 'node', '3'),
('blandit', '12', 'node', '4.28549'),
('blandit', '13', 'node', '1'),
('blandit', '14', 'node', '30.408'),
('blandit', '15', 'node', '2'),
('blandit', '17', 'node', '0.934703'),
('blandit', '18', 'node', '2.96498'),
('blandit', '19', 'node', '27'),
('blandit', '22', 'node', '3'),
('blandit', '23', 'node', '2'),
('blandit', '26', 'node', '2'),
('blandit', '28', 'node', '1'),
('blandit', '29', 'node', '1'),
('blandit', '30', 'node', '2.81951'),
('blandit', '31', 'node', '0.934703'),
('blandit', '32', 'node', '3'),
('blandit', '33', 'node', '1'),
('blandit', '34', 'node', '1'),
('blandit', '35', 'node', '28.9769'),
('blandit', '41', 'node', '1'),
('blandit', '42', 'node', '2'),
('blandit', '43', 'node', '1.96109'),
('blandit', '46', 'node', '31'),
('blandit', '47', 'node', '3'),
('blandit', '50', 'node', '3.94625'),
('blandit', '52', 'node', '1'),
('blandit', '56', 'node', '1'),
('blandit', '57', 'node', '1'),
('blandit', '65', 'node', '1'),
('blandit', '67', 'node', '0.886095'),
('blandit', '68', 'node', '1'),
('blandit', '71', 'node', '1'),
('blandit', '73', 'node', '2'),
('blandit', '82', 'node', '3'),
('blandit', '85', 'node', '2'),
('blandit', '86', 'node', '3'),
('blandit', '87', 'node', '1'),
('blandit', '88', 'node', '1.9496'),
('blandit', '89', 'node', '2'),
('blandit', '90', 'node', '2.9689'),
('blandit', '92', 'node', '1'),
('blandit', '94', 'node', '2'),
('blandit', '95', 'node', '1'),
('blandit', '96', 'node', '1'),
('blandit', '97', 'node', '2'),
('blandit', '98', 'node', '1.93897'),
('blandit', '101', 'node', '2'),
('blandit', '102', 'node', '2'),
('blandit', '103', 'node', '3.86047'),
('blandit', '122', 'node', '27.9458'),
('blandit', '124', 'node', '1'),
('blandit', '127', 'node', '1'),
('blandit', '128', 'node', '2.9534'),
('blandit', '129', 'node', '3'),
('blandit', '130', 'node', '0.997306'),
('blandit', '133', 'node', '1.95723'),
('blandit', '134', 'node', '1.9689'),
('blandit', '136', 'node', '0.957226'),
('blandit', '137', 'node', '3.98087'),
('blandit', '138', 'node', '1'),
('blandit', '139', 'node', '1'),
('blandit', '142', 'node', '1'),
('blandit', '145', 'node', '1'),
('blandit', '147', 'node', '2'),
('blandit', '148', 'node', '2'),
('blandit', '150', 'node', '2.95723'),
('blandit', '152', 'node', '1'),
('blandit', '154', 'node', '0.993146'),
('blandit', '155', 'node', '3.90318'),
('blandit', '157', 'node', '3'),
('blandit', '158', 'node', '1'),
('blandit', '159', 'node', '1'),
('blandit', '160', 'node', '0.916736'),
('blandit', '161', 'node', '2'),
('blandit', '162', 'node', '1'),
('blandit', '163', 'node', '3'),
('blandit', '164', 'node', '0.968904'),
('blandit', '166', 'node', '1'),
('blandit', '167', 'node', '0.923838'),
('blandit', '169', 'node', '1'),
('blandit', '170', 'node', '1'),
('blandit', '171', 'node', '5.86943'),
('blandit', '172', 'node', '2'),
('blandit', '174', 'node', '2.61777'),
('blandit', '175', 'node', '0.923838'),
('blandit', '177', 'node', '1.7916'),
('blandit', '179', 'node', '1'),
('blog', '37', 'node', '11'),
('blog', '38', 'node', '11'),
('blog', '39', 'node', '11'),
('blog', '40', 'node', '11'),
('blog', '41', 'node', '11'),
('blog', '105', 'node', '11'),
('blog', '123', 'node', '11'),
('blog', '124', 'node', '11'),
('blog', '125', 'node', '11'),
('blog', '126', 'node', '11'),
('boots', '180', 'node', '37'),
('browsers', '126', 'node', '11'),
('business', '125', 'node', '11'),
('category', '148', 'node', '9.20091'),
('category', '150', 'node', '9.711'),
('category', '151', 'node', '9.81996'),
('category', '152', 'node', '9.711'),
('category', '153', 'node', '9.53472'),
('category', '154', 'node', '9.711'),
('category', '155', 'node', '9.81996'),
('category', '156', 'node', '10.2017'),
('category', '157', 'node', '10.0455'),
('category', '158', 'node', '10.4456'),
('category', '159', 'node', '10.4874'),
('category', '160', 'node', '10.0455'),
('category', '161', 'node', '10.2817'),
('category', '162', 'node', '10.2017'),
('category', '163', 'node', '10.4456'),
('category', '164', 'node', '10.2817'),
('category', '165', 'node', '9.93143'),
('category', '166', 'node', '10.4874'),
('category', '167', 'node', '10.0455'),
('category', '168', 'node', '10.4456'),
('category', '169', 'node', '11'),
('category', '170', 'node', '10.123'),
('category', '171', 'node', '10.0072'),
('category', '172', 'node', '9.26577'),
('checkbox', '181', 'node', '3'),
('checkbox', '182', 'node', '3'),
('class', '12', 'node', '0.876337'),
('class', '14', 'node', '0.78951'),
('class', '16', 'node', '0.816452'),
('class', '17', 'node', '1'),
('class', '27', 'node', '1'),
('class', '29', 'node', '1'),
('class', '33', 'node', '1'),
('class', '41', 'node', '0.857458'),
('class', '43', 'node', '0.945829'),
('class', '46', 'node', '1'),
('class', '54', 'node', '1'),
('class', '67', 'node', '1'),
('class', '73', 'node', '2.8861'),
('class', '88', 'node', '1'),
('class', '93', 'node', '27.989'),
('class', '95', 'node', '1'),
('class', '104', 'node', '1'),
('class', '121', 'node', '1.93105'),
('class', '130', 'node', '1'),
('class', '153', 'node', '0.980874'),
('class', '156', 'node', '1'),
('class', '167', 'node', '1'),
('class', '172', 'node', '1'),
('class', '177', 'node', '0.920273'),
('class', '179', 'node', '0.916736'),
('cli', '38', 'node', '26'),
('client', '84', 'node', '1'),
('client', '85', 'node', '1'),
('client', '86', 'node', '1'),
('client', '87', 'node', '1'),
('client', '88', 'node', '1'),
('clients', '153', 'node', '26'),
('clifford', '67', 'node', '26'),
('comments', '12', 'node', '2.34891'),
('comments', '13', 'node', '0.873132'),
('comments', '14', 'node', '3.9578'),
('comments', '16', 'node', '1.65429'),
('comments', '41', 'node', '1.6192'),
('comments', '105', 'node', '1.8408'),
('commodo', '12', 'node', '1.73031'),
('commodo', '13', 'node', '1'),
('commodo', '14', 'node', '2.67233'),
('commodo', '15', 'node', '1'),
('commodo', '16', 'node', '2'),
('commodo', '18', 'node', '1'),
('commodo', '19', 'node', '1'),
('commodo', '21', 'node', '1'),
('commodo', '24', 'node', '2.99731'),
('commodo', '25', 'node', '29'),
('commodo', '26', 'node', '1'),
('commodo', '27', 'node', '2'),
('commodo', '29', 'node', '2'),
('commodo', '30', 'node', '1.9534'),
('commodo', '31', 'node', '0.993146'),
('commodo', '32', 'node', '2'),
('commodo', '33', 'node', '1.86943'),
('commodo', '34', 'node', '1'),
('commodo', '35', 'node', '2.97017'),
('commodo', '37', 'node', '1'),
('commodo', '38', 'node', '1.79238'),
('commodo', '39', 'node', '0.96498'),
('commodo', '40', 'node', '0.997306'),
('commodo', '41', 'node', '3.85642'),
('commodo', '42', 'node', '1'),
('commodo', '45', 'node', '0.989021'),
('commodo', '46', 'node', '1'),
('commodo', '47', 'node', '2'),
('commodo', '50', 'node', '1'),
('commodo', '52', 'node', '1.89945'),
('commodo', '53', 'node', '3.99315'),
('commodo', '54', 'node', '1.90167'),
('commodo', '58', 'node', '2'),
('commodo', '68', 'node', '1'),
('commodo', '69', 'node', '2'),
('commodo', '71', 'node', '2'),
('commodo', '73', 'node', '2'),
('commodo', '83', 'node', '1'),
('commodo', '84', 'node', '1'),
('commodo', '88', 'node', '0.949597'),
('commodo', '89', 'node', '2'),
('commodo', '90', 'node', '4'),
('commodo', '93', 'node', '1.9689'),
('commodo', '94', 'node', '3.9347'),
('commodo', '95', 'node', '0.980874'),
('commodo', '97', 'node', '4'),
('commodo', '98', 'node', '1'),
('commodo', '100', 'node', '1'),
('commodo', '102', 'node', '3'),
('commodo', '103', 'node', '2'),
('commodo', '104', 'node', '2.98493'),
('commodo', '105', 'node', '1.97685'),
('commodo', '121', 'node', '2.69067'),
('commodo', '122', 'node', '2.9347'),
('commodo', '124', 'node', '1.94209'),
('commodo', '125', 'node', '1.97685'),
('commodo', '126', 'node', '1.92027'),
('commodo', '127', 'node', '1'),
('commodo', '128', 'node', '1'),
('commodo', '129', 'node', '1'),
('commodo', '131', 'node', '0.913226'),
('commodo', '132', 'node', '1'),
('commodo', '133', 'node', '1'),
('commodo', '134', 'node', '1'),
('commodo', '138', 'node', '2'),
('commodo', '139', 'node', '2'),
('commodo', '145', 'node', '1'),
('commodo', '147', 'node', '0.866793'),
('commodo', '148', 'node', '3.72915'),
('commodo', '150', 'node', '1'),
('commodo', '151', 'node', '1.97286'),
('commodo', '152', 'node', '3.91323'),
('commodo', '153', 'node', '2'),
('commodo', '155', 'node', '1.98493'),
('commodo', '156', 'node', '1.94209'),
('commodo', '161', 'node', '1'),
('commodo', '163', 'node', '1.99315'),
('commodo', '164', 'node', '1'),
('commodo', '166', 'node', '2.9534'),
('commodo', '167', 'node', '2.79327'),
('commodo', '168', 'node', '1'),
('commodo', '169', 'node', '1'),
('commodo', '171', 'node', '2'),
('commodo', '174', 'node', '1'),
('commodo', '175', 'node', '1.89272'),
('commodo', '176', 'node', '1.94209'),
('commodo', '177', 'node', '2.9185'),
('commodo', '178', 'node', '0.997306'),
('commodo', '179', 'node', '6.71914'),
('commodo', '183', 'node', '1'),
('company', '147', 'node', '9.33156'),
('condimentum', '12', 'node', '2.79206'),
('condimentum', '13', 'node', '1.89945'),
('condimentum', '14', 'node', '7.11243'),
('condimentum', '16', 'node', '4.61462'),
('condimentum', '17', 'node', '2'),
('condimentum', '19', 'node', '2'),
('condimentum', '21', 'node', '1'),
('condimentum', '22', 'node', '2'),
('condimentum', '25', 'node', '2'),
('condimentum', '30', 'node', '1.87957'),
('condimentum', '31', 'node', '1.99731'),
('condimentum', '32', 'node', '2.89968'),
('condimentum', '33', 'node', '3.7063'),
('condimentum', '34', 'node', '0.945829'),
('condimentum', '35', 'node', '27'),
('condimentum', '37', 'node', '2.96498'),
('condimentum', '38', 'node', '2'),
('condimentum', '40', 'node', '23'),
('condimentum', '41', 'node', '12.9769'),
('condimentum', '42', 'node', '1'),
('condimentum', '43', 'node', '1'),
('condimentum', '44', 'node', '2'),
('condimentum', '50', 'node', '1.97685'),
('condimentum', '52', 'node', '2'),
('condimentum', '53', 'node', '2'),
('condimentum', '54', 'node', '2'),
('condimentum', '55', 'node', '1'),
('condimentum', '56', 'node', '2.95779'),
('condimentum', '57', 'node', '1'),
('condimentum', '71', 'node', '1'),
('condimentum', '82', 'node', '1'),
('condimentum', '83', 'node', '1'),
('condimentum', '84', 'node', '3'),
('condimentum', '86', 'node', '2'),
('condimentum', '87', 'node', '1'),
('condimentum', '88', 'node', '1'),
('condimentum', '89', 'node', '1'),
('condimentum', '90', 'node', '1'),
('condimentum', '91', 'node', '3'),
('condimentum', '93', 'node', '1'),
('condimentum', '94', 'node', '2.88053'),
('condimentum', '95', 'node', '1'),
('condimentum', '96', 'node', '1'),
('condimentum', '97', 'node', '1'),
('condimentum', '98', 'node', '1.98493'),
('condimentum', '99', 'node', '2'),
('condimentum', '100', 'node', '2.87057'),
('condimentum', '101', 'node', '1.98493'),
('condimentum', '102', 'node', '2');
INSERT INTO `search_index` VALUES
('condimentum', '103', 'node', '1'),
('condimentum', '121', 'node', '3.67199'),
('condimentum', '125', 'node', '1'),
('condimentum', '126', 'node', '0.968904'),
('condimentum', '127', 'node', '1'),
('condimentum', '129', 'node', '1.99731'),
('condimentum', '131', 'node', '1.91674'),
('condimentum', '132', 'node', '1'),
('condimentum', '133', 'node', '2'),
('condimentum', '134', 'node', '2'),
('condimentum', '136', 'node', '1'),
('condimentum', '137', 'node', '4'),
('condimentum', '138', 'node', '1'),
('condimentum', '139', 'node', '2'),
('condimentum', '147', 'node', '3.56306'),
('condimentum', '150', 'node', '1.8894'),
('condimentum', '151', 'node', '2.90286'),
('condimentum', '152', 'node', '0.902857'),
('condimentum', '154', 'node', '1.87127'),
('condimentum', '155', 'node', '0.923838'),
('condimentum', '157', 'node', '2'),
('condimentum', '158', 'node', '1.97286'),
('condimentum', '159', 'node', '1.97685'),
('condimentum', '160', 'node', '1'),
('condimentum', '161', 'node', '1.94313'),
('condimentum', '167', 'node', '2'),
('condimentum', '168', 'node', '1.96498'),
('condimentum', '170', 'node', '5'),
('condimentum', '171', 'node', '1'),
('condimentum', '172', 'node', '2.69881'),
('condimentum', '174', 'node', '0.854391'),
('condimentum', '175', 'node', '0.993146'),
('condimentum', '176', 'node', '2.96498'),
('condimentum', '177', 'node', '2'),
('condimentum', '178', 'node', '1.78212'),
('congue', '12', 'node', '1.65204'),
('congue', '13', 'node', '2'),
('congue', '14', 'node', '2.77425'),
('congue', '15', 'node', '1'),
('congue', '16', 'node', '2.82645'),
('congue', '17', 'node', '1.91674'),
('congue', '18', 'node', '3'),
('congue', '20', 'node', '1'),
('congue', '21', 'node', '1'),
('congue', '23', 'node', '3'),
('congue', '27', 'node', '1'),
('congue', '29', 'node', '1'),
('congue', '30', 'node', '2'),
('congue', '32', 'node', '1.92384'),
('congue', '33', 'node', '1.75277'),
('congue', '35', 'node', '3.96352'),
('congue', '37', 'node', '3.98493'),
('congue', '38', 'node', '1.90286'),
('congue', '40', 'node', '1'),
('congue', '42', 'node', '1'),
('congue', '43', 'node', '1'),
('congue', '45', 'node', '1.94183'),
('congue', '46', 'node', '2'),
('congue', '52', 'node', '1.89634'),
('congue', '54', 'node', '1'),
('congue', '55', 'node', '2.97286'),
('congue', '57', 'node', '1'),
('congue', '58', 'node', '2'),
('congue', '65', 'node', '2'),
('congue', '71', 'node', '3'),
('congue', '82', 'node', '1'),
('congue', '83', 'node', '1'),
('congue', '87', 'node', '1'),
('congue', '88', 'node', '1.99315'),
('congue', '89', 'node', '2'),
('congue', '91', 'node', '2'),
('congue', '94', 'node', '2.8843'),
('congue', '95', 'node', '1.93838'),
('congue', '96', 'node', '1'),
('congue', '97', 'node', '1'),
('congue', '98', 'node', '1'),
('congue', '99', 'node', '3'),
('congue', '100', 'node', '0.961087'),
('congue', '101', 'node', '2'),
('congue', '102', 'node', '2.94978'),
('congue', '103', 'node', '28'),
('congue', '105', 'node', '2'),
('congue', '121', 'node', '2.89945'),
('congue', '122', 'node', '1.93838'),
('congue', '125', 'node', '1.94583'),
('congue', '126', 'node', '1'),
('congue', '127', 'node', '1'),
('congue', '128', 'node', '0.96498'),
('congue', '129', 'node', '1'),
('congue', '130', 'node', '1'),
('congue', '131', 'node', '1'),
('congue', '132', 'node', '0.953396'),
('congue', '134', 'node', '2'),
('congue', '138', 'node', '2'),
('congue', '139', 'node', '4'),
('congue', '142', 'node', '1'),
('congue', '145', 'node', '1'),
('congue', '147', 'node', '1.92384'),
('congue', '148', 'node', '0.876337'),
('congue', '150', 'node', '2.93408'),
('congue', '151', 'node', '2.92384'),
('congue', '152', 'node', '1'),
('congue', '153', 'node', '1'),
('congue', '154', 'node', '1'),
('congue', '155', 'node', '2.90629'),
('congue', '156', 'node', '2'),
('congue', '157', 'node', '2'),
('congue', '158', 'node', '3.97'),
('congue', '159', 'node', '3.97818'),
('congue', '160', 'node', '2.85498'),
('congue', '161', 'node', '1'),
('congue', '163', 'node', '0.953396'),
('congue', '165', 'node', '1.98087'),
('congue', '166', 'node', '1'),
('congue', '167', 'node', '1'),
('congue', '168', 'node', '2'),
('congue', '169', 'node', '2'),
('congue', '170', 'node', '2'),
('congue', '171', 'node', '1'),
('congue', '172', 'node', '1.91674'),
('congue', '175', 'node', '2.79891'),
('congue', '176', 'node', '0.882818'),
('congue', '177', 'node', '1'),
('congue', '178', 'node', '1'),
('congue', '179', 'node', '1'),
('congue', '184', 'node', '1'),
('consectetur', '12', 'node', '0.776703'),
('consectetur', '13', 'node', '0.997306'),
('consectetur', '14', 'node', '20.6955'),
('consectetur', '16', 'node', '6.6357'),
('consectetur', '18', 'node', '1'),
('consectetur', '20', 'node', '1'),
('consectetur', '21', 'node', '1.99731'),
('consectetur', '22', 'node', '1'),
('consectetur', '23', 'node', '1'),
('consectetur', '24', 'node', '2.9689'),
('consectetur', '26', 'node', '0.916736'),
('consectetur', '27', 'node', '3.99731'),
('consectetur', '28', 'node', '2'),
('consectetur', '29', 'node', '29'),
('consectetur', '30', 'node', '27.8487'),
('consectetur', '31', 'node', '2'),
('consectetur', '32', 'node', '1'),
('consectetur', '33', 'node', '0.892724'),
('consectetur', '34', 'node', '1'),
('consectetur', '35', 'node', '1'),
('consectetur', '38', 'node', '6.89373'),
('consectetur', '39', 'node', '1'),
('consectetur', '41', 'node', '3.51128'),
('consectetur', '42', 'node', '1'),
('consectetur', '43', 'node', '2'),
('consectetur', '44', 'node', '0.953396'),
('consectetur', '45', 'node', '1.99731'),
('consectetur', '47', 'node', '0.972861'),
('consectetur', '50', 'node', '2.90387'),
('consectetur', '53', 'node', '1'),
('consectetur', '54', 'node', '3'),
('consectetur', '56', 'node', '0.972861'),
('consectetur', '57', 'node', '2'),
('consectetur', '58', 'node', '1'),
('consectetur', '65', 'node', '4'),
('consectetur', '67', 'node', '1.87957'),
('consectetur', '68', 'node', '1'),
('consectetur', '69', 'node', '2'),
('consectetur', '73', 'node', '2.95723'),
('consectetur', '83', 'node', '0.997306'),
('consectetur', '84', 'node', '3'),
('consectetur', '86', 'node', '1'),
('consectetur', '87', 'node', '1'),
('consectetur', '88', 'node', '1'),
('consectetur', '90', 'node', '3'),
('consectetur', '91', 'node', '1'),
('consectetur', '92', 'node', '0.989021'),
('consectetur', '93', 'node', '0.938382'),
('consectetur', '94', 'node', '2'),
('consectetur', '96', 'node', '1'),
('consectetur', '97', 'node', '1.93105'),
('consectetur', '98', 'node', '0.989021'),
('consectetur', '100', 'node', '0.942091'),
('consectetur', '101', 'node', '1.9347'),
('consectetur', '102', 'node', '1'),
('consectetur', '104', 'node', '1.9534'),
('consectetur', '105', 'node', '1.94209'),
('consectetur', '121', 'node', '2'),
('consectetur', '122', 'node', '1'),
('consectetur', '124', 'node', '1'),
('consectetur', '125', 'node', '1.96498'),
('consectetur', '126', 'node', '1.9496'),
('consectetur', '127', 'node', '1'),
('consectetur', '128', 'node', '2'),
('consectetur', '131', 'node', '1'),
('consectetur', '132', 'node', '2.98087'),
('consectetur', '133', 'node', '0.957226'),
('consectetur', '134', 'node', '1.9689'),
('consectetur', '137', 'node', '2'),
('consectetur', '139', 'node', '3.99731'),
('consectetur', '142', 'node', '2'),
('consectetur', '144', 'node', '1'),
('consectetur', '147', 'node', '1'),
('consectetur', '148', 'node', '2.70271'),
('consectetur', '151', 'node', '3.96498'),
('consectetur', '152', 'node', '1.88282'),
('consectetur', '153', 'node', '1'),
('consectetur', '154', 'node', '2.98493'),
('consectetur', '155', 'node', '1.90629'),
('consectetur', '156', 'node', '2.94209'),
('consectetur', '157', 'node', '2.88339'),
('consectetur', '160', 'node', '1'),
('consectetur', '161', 'node', '1.94209'),
('consectetur', '163', 'node', '1'),
('consectetur', '164', 'node', '1'),
('consectetur', '165', 'node', '1.98087'),
('consectetur', '166', 'node', '2'),
('consectetur', '167', 'node', '1'),
('consectetur', '168', 'node', '1'),
('consectetur', '169', 'node', '2'),
('consectetur', '170', 'node', '2'),
('consectetur', '171', 'node', '1'),
('consectetur', '172', 'node', '2.83032'),
('consectetur', '174', 'node', '2.74752'),
('consectetur', '175', 'node', '4.98902'),
('consectetur', '176', 'node', '3'),
('consectetur', '179', 'node', '1.87313'),
('consectetur', '183', 'node', '1'),
('consequat', '12', 'node', '3.84234'),
('consequat', '13', 'node', '1.88798'),
('consequat', '14', 'node', '1.76188'),
('consequat', '15', 'node', '1'),
('consequat', '17', 'node', '1'),
('consequat', '18', 'node', '1'),
('consequat', '19', 'node', '1'),
('consequat', '20', 'node', '3'),
('consequat', '22', 'node', '1'),
('consequat', '24', 'node', '1'),
('consequat', '26', 'node', '0.96498'),
('consequat', '27', 'node', '1'),
('consequat', '28', 'node', '1'),
('consequat', '29', 'node', '2'),
('consequat', '30', 'node', '0.879565'),
('consequat', '31', 'node', '1'),
('consequat', '33', 'node', '3.75915'),
('consequat', '34', 'node', '2'),
('consequat', '35', 'node', '1.91062'),
('consequat', '37', 'node', '1'),
('consequat', '38', 'node', '1'),
('consequat', '39', 'node', '2'),
('consequat', '40', 'node', '2'),
('consequat', '41', 'node', '1.82945'),
('consequat', '43', 'node', '0.896076'),
('consequat', '44', 'node', '1'),
('consequat', '45', 'node', '27'),
('consequat', '47', 'node', '1'),
('consequat', '50', 'node', '1'),
('consequat', '53', 'node', '1'),
('consequat', '55', 'node', '1'),
('consequat', '56', 'node', '3.93524'),
('consequat', '57', 'node', '2'),
('consequat', '58', 'node', '1'),
('consequat', '68', 'node', '2.9496'),
('consequat', '73', 'node', '1'),
('consequat', '82', 'node', '2'),
('consequat', '83', 'node', '1'),
('consequat', '85', 'node', '1'),
('consequat', '86', 'node', '5'),
('consequat', '87', 'node', '1'),
('consequat', '88', 'node', '1.97685'),
('consequat', '89', 'node', '1'),
('consequat', '91', 'node', '1'),
('consequat', '92', 'node', '1'),
('consequat', '93', 'node', '1'),
('consequat', '95', 'node', '1.93838'),
('consequat', '96', 'node', '3'),
('consequat', '97', 'node', '2'),
('consequat', '98', 'node', '0.938382'),
('consequat', '99', 'node', '4'),
('consequat', '100', 'node', '1'),
('consequat', '101', 'node', '2.99731'),
('consequat', '102', 'node', '1'),
('consequat', '103', 'node', '1'),
('consequat', '104', 'node', '2'),
('consequat', '105', 'node', '1'),
('consequat', '122', 'node', '0.945829'),
('consequat', '123', 'node', '1'),
('consequat', '124', 'node', '2'),
('consequat', '125', 'node', '2.88525'),
('consequat', '126', 'node', '1'),
('consequat', '128', 'node', '1'),
('consequat', '129', 'node', '1'),
('consequat', '130', 'node', '1'),
('consequat', '131', 'node', '2'),
('consequat', '132', 'node', '3'),
('consequat', '133', 'node', '2'),
('consequat', '136', 'node', '1'),
('consequat', '139', 'node', '1'),
('consequat', '142', 'node', '1'),
('consequat', '143', 'node', '1'),
('consequat', '145', 'node', '1'),
('consequat', '147', 'node', '1'),
('consequat', '148', 'node', '1.99315'),
('consequat', '150', 'node', '2.88174'),
('consequat', '152', 'node', '5.62429'),
('consequat', '154', 'node', '3.91528'),
('consequat', '155', 'node', '0.953396'),
('consequat', '157', 'node', '0.957226'),
('consequat', '158', 'node', '1.97685'),
('consequat', '159', 'node', '1.98087'),
('consequat', '160', 'node', '1'),
('consequat', '161', 'node', '1.94583'),
('consequat', '162', 'node', '0.934703'),
('consequat', '165', 'node', '1'),
('consequat', '166', 'node', '4.98493'),
('consequat', '167', 'node', '1'),
('consequat', '168', 'node', '1'),
('consequat', '169', 'node', '1'),
('consequat', '170', 'node', '1.9689'),
('consequat', '172', 'node', '3.61724'),
('consequat', '174', 'node', '3.8851'),
('consequat', '175', 'node', '1.90692'),
('consequat', '176', 'node', '3.70233'),
('consequat', '177', 'node', '1'),
('consequat', '178', 'node', '4'),
('consequat', '179', 'node', '1.96109'),
('consequat', '183', 'node', '1'),
('consequat', '184', 'node', '1'),
('contact', '173', 'node', '26'),
('content', '173', 'node', '1'),
('conubia', '12', 'node', '0.854391'),
('conubia', '14', 'node', '0.771698'),
('conubia', '16', 'node', '0.797402'),
('conubia', '17', 'node', '1'),
('conubia', '27', 'node', '1'),
('conubia', '29', 'node', '1'),
('conubia', '33', 'node', '1'),
('conubia', '41', 'node', '0.836446'),
('conubia', '43', 'node', '0.920273'),
('conubia', '46', 'node', '0.98493'),
('conubia', '54', 'node', '1'),
('conubia', '67', 'node', '1'),
('conubia', '73', 'node', '2.8861'),
('conubia', '88', 'node', '1'),
('conubia', '93', 'node', '1.98902'),
('conubia', '95', 'node', '1'),
('conubia', '104', 'node', '1'),
('conubia', '121', 'node', '1.93105'),
('conubia', '130', 'node', '1'),
('conubia', '153', 'node', '0.953396'),
('conubia', '156', 'node', '0.976851'),
('conubia', '167', 'node', '0.989021'),
('conubia', '172', 'node', '1'),
('conubia', '177', 'node', '0.896076'),
('conubia', '179', 'node', '0.892724'),
('convallis', '12', 'node', '0.953396'),
('convallis', '14', 'node', '7.09009'),
('convallis', '15', 'node', '0.953396'),
('convallis', '16', 'node', '19.8477'),
('convallis', '17', 'node', '11.0841'),
('convallis', '18', 'node', '12.1622'),
('convallis', '19', 'node', '13.9246'),
('convallis', '20', 'node', '11'),
('convallis', '23', 'node', '4'),
('convallis', '24', 'node', '1'),
('convallis', '26', 'node', '1.9534'),
('convallis', '27', 'node', '2'),
('convallis', '29', 'node', '1'),
('convallis', '30', 'node', '0.873132'),
('convallis', '32', 'node', '3'),
('convallis', '33', 'node', '3.75097'),
('convallis', '34', 'node', '1'),
('convallis', '35', 'node', '1'),
('convallis', '37', 'node', '1'),
('convallis', '38', 'node', '1'),
('convallis', '39', 'node', '3.92607'),
('convallis', '40', 'node', '2'),
('convallis', '41', 'node', '6.35762'),
('convallis', '43', 'node', '2.97286'),
('convallis', '45', 'node', '1.98087'),
('convallis', '47', 'node', '0.968904'),
('convallis', '50', 'node', '5'),
('convallis', '52', 'node', '0.953396'),
('convallis', '54', 'node', '2.88106'),
('convallis', '55', 'node', '1'),
('convallis', '58', 'node', '3'),
('convallis', '65', 'node', '1'),
('convallis', '67', 'node', '1.9496'),
('convallis', '68', 'node', '1'),
('convallis', '69', 'node', '2'),
('convallis', '71', 'node', '1'),
('convallis', '84', 'node', '3'),
('convallis', '86', 'node', '2'),
('convallis', '87', 'node', '2'),
('convallis', '88', 'node', '1'),
('convallis', '89', 'node', '1'),
('convallis', '92', 'node', '1'),
('convallis', '93', 'node', '2.94583'),
('convallis', '94', 'node', '0.968904'),
('convallis', '95', 'node', '1'),
('convallis', '96', 'node', '1'),
('convallis', '98', 'node', '1'),
('convallis', '99', 'node', '1.98902'),
('convallis', '100', 'node', '1.92384'),
('convallis', '101', 'node', '2'),
('convallis', '102', 'node', '2'),
('convallis', '103', 'node', '3'),
('convallis', '122', 'node', '2'),
('convallis', '123', 'node', '1.92743'),
('convallis', '125', 'node', '2'),
('convallis', '128', 'node', '1.9534'),
('convallis', '129', 'node', '1'),
('convallis', '131', 'node', '1'),
('convallis', '133', 'node', '0.961087'),
('convallis', '136', 'node', '0.976851'),
('convallis', '138', 'node', '1'),
('convallis', '139', 'node', '2'),
('convallis', '142', 'node', '1'),
('convallis', '147', 'node', '2.89214'),
('convallis', '148', 'node', '3.79341'),
('convallis', '151', 'node', '1'),
('convallis', '152', 'node', '2.8861'),
('convallis', '153', 'node', '1.8861'),
('convallis', '154', 'node', '0.899454'),
('convallis', '155', 'node', '2'),
('convallis', '157', 'node', '1.97685'),
('convallis', '158', 'node', '0.989021'),
('convallis', '159', 'node', '0.993146'),
('convallis', '160', 'node', '0.934703'),
('convallis', '162', 'node', '3'),
('convallis', '163', 'node', '0.98493'),
('convallis', '164', 'node', '3.97685'),
('convallis', '165', 'node', '1'),
('convallis', '166', 'node', '1'),
('convallis', '167', 'node', '2.92027'),
('convallis', '169', 'node', '1'),
('convallis', '170', 'node', '0.980874'),
('convallis', '172', 'node', '3.92743'),
('convallis', '174', 'node', '2.87313'),
('convallis', '175', 'node', '2.97286'),
('convallis', '176', 'node', '0.906287'),
('convallis', '177', 'node', '1'),
('convallis', '178', 'node', '2'),
('convallis', '179', 'node', '0.993146'),
('convallis', '183', 'node', '2'),
('corporate', '183', 'node', '26'),
('cras', '12', 'node', '0.824901'),
('cras', '14', 'node', '0.802752'),
('cras', '15', 'node', '2'),
('cras', '16', 'node', '1.92384'),
('cras', '17', 'node', '1.99731'),
('cras', '21', 'node', '1'),
('cras', '22', 'node', '2'),
('cras', '24', 'node', '1'),
('cras', '27', 'node', '2'),
('cras', '28', 'node', '2'),
('cras', '29', 'node', '2'),
('cras', '30', 'node', '27.9029'),
('cras', '31', 'node', '0.972861'),
('cras', '32', 'node', '1.98087'),
('cras', '34', 'node', '0.976851'),
('cras', '37', 'node', '1'),
('cras', '38', 'node', '4'),
('cras', '39', 'node', '1'),
('cras', '40', 'node', '1'),
('cras', '41', 'node', '0.989021'),
('cras', '42', 'node', '1'),
('cras', '43', 'node', '1'),
('cras', '45', 'node', '1'),
('cras', '46', 'node', '1'),
('cras', '47', 'node', '1'),
('cras', '52', 'node', '3.92384'),
('cras', '53', 'node', '1'),
('cras', '54', 'node', '0.934703'),
('cras', '56', 'node', '1'),
('cras', '68', 'node', '1'),
('cras', '73', 'node', '0.913226'),
('cras', '82', 'node', '1'),
('cras', '83', 'node', '1'),
('cras', '84', 'node', '1'),
('cras', '86', 'node', '2'),
('cras', '87', 'node', '1'),
('cras', '89', 'node', '1'),
('cras', '90', 'node', '3.94583'),
('cras', '91', 'node', '1'),
('cras', '92', 'node', '3'),
('cras', '93', 'node', '4.98493'),
('cras', '94', 'node', '2'),
('cras', '97', 'node', '1'),
('cras', '98', 'node', '2.98493'),
('cras', '99', 'node', '1'),
('cras', '100', 'node', '2'),
('cras', '102', 'node', '1.95723'),
('cras', '103', 'node', '1'),
('cras', '104', 'node', '1'),
('cras', '105', 'node', '2'),
('cras', '121', 'node', '1.86055'),
('cras', '122', 'node', '2.98493'),
('cras', '123', 'node', '1.99731'),
('cras', '124', 'node', '1.94583'),
('cras', '129', 'node', '2'),
('cras', '130', 'node', '0.972861'),
('cras', '131', 'node', '2'),
('cras', '132', 'node', '1'),
('cras', '133', 'node', '1'),
('cras', '136', 'node', '1'),
('cras', '137', 'node', '1.97286'),
('cras', '139', 'node', '1'),
('cras', '143', 'node', '1'),
('cras', '146', 'node', '2'),
('cras', '147', 'node', '1'),
('cras', '148', 'node', '3'),
('cras', '150', 'node', '1.88587'),
('cras', '151', 'node', '1'),
('cras', '152', 'node', '1'),
('cras', '155', 'node', '0.909743'),
('cras', '157', 'node', '4'),
('cras', '160', 'node', '2'),
('cras', '161', 'node', '1.9496'),
('cras', '162', 'node', '1'),
('cras', '163', 'node', '3'),
('cras', '165', 'node', '1'),
('cras', '166', 'node', '2'),
('cras', '168', 'node', '0.98493'),
('cras', '169', 'node', '2'),
('cras', '170', 'node', '1'),
('cras', '171', 'node', '1'),
('cras', '172', 'node', '0.851346'),
('cras', '174', 'node', '2.82206'),
('cras', '175', 'node', '0.916736'),
('cras', '176', 'node', '2'),
('cras', '177', 'node', '1'),
('cras', '178', 'node', '2'),
('cras', '183', 'node', '1'),
('creating', '174', 'node', '26'),
('creative', '50', 'node', '26'),
('creative', '174', 'node', '26'),
('cubilia', '18', 'node', '2'),
('cubilia', '52', 'node', '1'),
('cubilia', '73', 'node', '1.8861'),
('cubilia', '87', 'node', '0.976851'),
('cubilia', '89', 'node', '1'),
('cubilia', '94', 'node', '2'),
('cubilia', '95', 'node', '0.953396'),
('cubilia', '96', 'node', '0.989021'),
('cubilia', '103', 'node', '0.997306'),
('cubilia', '121', 'node', '1'),
('cubilia', '142', 'node', '1'),
('cubilia', '154', 'node', '0.892724'),
('cubilia', '162', 'node', '1'),
('cubilia', '165', 'node', '1'),
('cubilia', '170', 'node', '1'),
('cubilia', '174', 'node', '2'),
('cubilia', '176', 'node', '1'),
('cum', '16', 'node', '15.5899'),
('cum', '30', 'node', '1'),
('cum', '31', 'node', '1'),
('cum', '33', 'node', '1'),
('cum', '43', 'node', '1'),
('cum', '67', 'node', '1'),
('cum', '86', 'node', '1'),
('cum', '91', 'node', '1'),
('cum', '93', 'node', '1'),
('cum', '94', 'node', '27'),
('cum', '95', 'node', '0.938382'),
('cum', '123', 'node', '1'),
('cum', '134', 'node', '1.9689'),
('cum', '136', 'node', '1'),
('cum', '146', 'node', '1'),
('cum', '148', 'node', '0.920273'),
('cum', '157', 'node', '1'),
('cum', '160', 'node', '1'),
('cum', '165', 'node', '0.945829'),
('cum', '168', 'node', '26'),
('cum', '174', 'node', '1'),
('cum', '177', 'node', '1'),
('curabitur', '12', 'node', '1.84234'),
('curabitur', '13', 'node', '1'),
('curabitur', '14', 'node', '1'),
('curabitur', '15', 'node', '2'),
('curabitur', '19', 'node', '1'),
('curabitur', '20', 'node', '1'),
('curabitur', '22', 'node', '1'),
('curabitur', '23', 'node', '1'),
('curabitur', '24', 'node', '27.9849'),
('curabitur', '25', 'node', '1'),
('curabitur', '28', 'node', '1'),
('curabitur', '29', 'node', '1'),
('curabitur', '30', 'node', '1'),
('curabitur', '31', 'node', '1'),
('curabitur', '32', 'node', '1.92384'),
('curabitur', '33', 'node', '1.86995'),
('curabitur', '34', 'node', '1'),
('curabitur', '35', 'node', '2'),
('curabitur', '37', 'node', '3'),
('curabitur', '38', 'node', '1.87519'),
('curabitur', '41', 'node', '6.3216'),
('curabitur', '42', 'node', '1.99731'),
('curabitur', '43', 'node', '1.9689'),
('curabitur', '44', 'node', '1'),
('curabitur', '46', 'node', '1'),
('curabitur', '47', 'node', '1'),
('curabitur', '50', 'node', '2.98902'),
('curabitur', '52', 'node', '1'),
('curabitur', '54', 'node', '0.909743'),
('curabitur', '56', 'node', '1'),
('curabitur', '58', 'node', '2'),
('curabitur', '67', 'node', '2.83333'),
('curabitur', '68', 'node', '1'),
('curabitur', '69', 'node', '1'),
('curabitur', '71', 'node', '1.99315'),
('curabitur', '82', 'node', '1'),
('curabitur', '84', 'node', '2'),
('curabitur', '86', 'node', '4'),
('curabitur', '91', 'node', '1'),
('curabitur', '93', 'node', '1'),
('curabitur', '94', 'node', '1'),
('curabitur', '96', 'node', '1'),
('curabitur', '97', 'node', '1'),
('curabitur', '98', 'node', '1'),
('curabitur', '99', 'node', '2'),
('curabitur', '100', 'node', '1'),
('curabitur', '101', 'node', '1'),
('curabitur', '102', 'node', '3'),
('curabitur', '105', 'node', '2.85183'),
('curabitur', '122', 'node', '0.942091'),
('curabitur', '123', 'node', '1'),
('curabitur', '124', 'node', '0.931053'),
('curabitur', '125', 'node', '1.98493'),
('curabitur', '126', 'node', '2'),
('curabitur', '127', 'node', '3'),
('curabitur', '128', 'node', '1'),
('curabitur', '130', 'node', '1'),
('curabitur', '132', 'node', '1'),
('curabitur', '134', 'node', '0.945829'),
('curabitur', '136', 'node', '1.97685'),
('curabitur', '137', 'node', '3'),
('curabitur', '139', 'node', '28'),
('curabitur', '142', 'node', '2'),
('curabitur', '147', 'node', '1.7813'),
('curabitur', '148', 'node', '2.84532'),
('curabitur', '150', 'node', '1.96109'),
('curabitur', '152', 'node', '1.8894'),
('curabitur', '153', 'node', '1'),
('curabitur', '154', 'node', '3'),
('curabitur', '155', 'node', '0.938382'),
('curabitur', '157', 'node', '1.93105'),
('curabitur', '158', 'node', '0.961087'),
('curabitur', '159', 'node', '0.96498'),
('curabitur', '161', 'node', '2'),
('curabitur', '162', 'node', '2'),
('curabitur', '163', 'node', '2.99315'),
('curabitur', '164', 'node', '2'),
('curabitur', '165', 'node', '1'),
('curabitur', '166', 'node', '1.97286'),
('curabitur', '167', 'node', '1'),
('curabitur', '168', 'node', '1.97685'),
('curabitur', '171', 'node', '1'),
('curabitur', '172', 'node', '2.75973'),
('curabitur', '174', 'node', '0.927431'),
('curabitur', '176', 'node', '1.87957'),
('curabitur', '178', 'node', '2.81324'),
('curabitur', '179', 'node', '31.9225'),
('curabitur', '183', 'node', '1'),
('curae', '18', 'node', '2'),
('curae', '52', 'node', '1'),
('curae', '73', 'node', '1.8861'),
('curae', '87', 'node', '0.972861'),
('curae', '89', 'node', '1'),
('curae', '94', 'node', '2'),
('curae', '95', 'node', '0.949597'),
('curae', '96', 'node', '0.98493'),
('curae', '103', 'node', '0.993146'),
('curae', '121', 'node', '1'),
('curae', '142', 'node', '1'),
('curae', '154', 'node', '0.889397'),
('curae', '162', 'node', '1'),
('curae', '165', 'node', '1'),
('curae', '170', 'node', '1'),
('curae', '174', 'node', '2'),
('curae', '176', 'node', '1'),
('cursus', '12', 'node', '3.73668'),
('cursus', '13', 'node', '4.9496'),
('cursus', '14', 'node', '32.2493'),
('cursus', '15', 'node', '1'),
('cursus', '16', 'node', '3.90286'),
('cursus', '18', 'node', '2'),
('cursus', '20', 'node', '3'),
('cursus', '21', 'node', '1'),
('cursus', '22', 'node', '28'),
('cursus', '23', 'node', '5'),
('cursus', '27', 'node', '1'),
('cursus', '28', 'node', '2'),
('cursus', '30', 'node', '1.82718'),
('cursus', '31', 'node', '0.997306'),
('cursus', '33', 'node', '0.916736'),
('cursus', '34', 'node', '2.95453'),
('cursus', '35', 'node', '0.949597'),
('cursus', '37', 'node', '1'),
('cursus', '38', 'node', '2.9534'),
('cursus', '39', 'node', '1'),
('cursus', '40', 'node', '1'),
('cursus', '41', 'node', '3.72573'),
('cursus', '42', 'node', '1'),
('cursus', '43', 'node', '1'),
('cursus', '44', 'node', '3'),
('cursus', '45', 'node', '1.98493'),
('cursus', '46', 'node', '1'),
('cursus', '50', 'node', '1'),
('cursus', '52', 'node', '1.88106'),
('cursus', '54', 'node', '2.93838'),
('cursus', '55', 'node', '2'),
('cursus', '56', 'node', '1.96109'),
('cursus', '57', 'node', '1'),
('cursus', '58', 'node', '2'),
('cursus', '65', 'node', '2'),
('cursus', '68', 'node', '3'),
('cursus', '69', 'node', '1'),
('cursus', '71', 'node', '0.980874'),
('cursus', '82', 'node', '1'),
('cursus', '84', 'node', '2'),
('cursus', '85', 'node', '0.997306'),
('cursus', '86', 'node', '1'),
('cursus', '87', 'node', '1'),
('cursus', '89', 'node', '1'),
('cursus', '90', 'node', '3.9689'),
('cursus', '92', 'node', '0.976851'),
('cursus', '93', 'node', '0.923838'),
('cursus', '94', 'node', '1'),
('cursus', '95', 'node', '1'),
('cursus', '97', 'node', '0.953396'),
('cursus', '99', 'node', '1'),
('cursus', '100', 'node', '2'),
('cursus', '101', 'node', '1.97685'),
('cursus', '102', 'node', '0.961087'),
('cursus', '103', 'node', '1.91838'),
('cursus', '105', 'node', '1'),
('cursus', '121', 'node', '0.886095'),
('cursus', '122', 'node', '2.86546'),
('cursus', '123', 'node', '3'),
('cursus', '124', 'node', '3.92743'),
('cursus', '125', 'node', '0.972861'),
('cursus', '126', 'node', '1'),
('cursus', '127', 'node', '3'),
('cursus', '128', 'node', '1'),
('cursus', '130', 'node', '1'),
('cursus', '132', 'node', '2'),
('cursus', '136', 'node', '1'),
('cursus', '137', 'node', '1'),
('cursus', '138', 'node', '2'),
('cursus', '139', 'node', '1'),
('cursus', '147', 'node', '3.74167'),
('cursus', '148', 'node', '0.860547'),
('cursus', '150', 'node', '2.81656'),
('cursus', '151', 'node', '0.98493'),
('cursus', '152', 'node', '2'),
('cursus', '153', 'node', '1.8894'),
('cursus', '154', 'node', '0.953396'),
('cursus', '155', 'node', '4.65347'),
('cursus', '156', 'node', '1'),
('cursus', '157', 'node', '1.82996'),
('cursus', '158', 'node', '2'),
('cursus', '159', 'node', '2'),
('cursus', '160', 'node', '1.9496'),
('cursus', '161', 'node', '1'),
('cursus', '162', 'node', '1.97286'),
('cursus', '164', 'node', '0.949597'),
('cursus', '165', 'node', '1'),
('cursus', '166', 'node', '1.98087'),
('cursus', '167', 'node', '2.93105'),
('cursus', '168', 'node', '3.98087'),
('cursus', '171', 'node', '2'),
('cursus', '174', 'node', '3.40289'),
('cursus', '175', 'node', '1.88373'),
('cursus', '176', 'node', '0.976851'),
('cursus', '177', 'node', '2.89561'),
('cursus', '178', 'node', '3.81683'),
('cursus', '179', 'node', '0.953396'),
('custom', '142', 'node', '1'),
('custom', '143', 'node', '1'),
('custom', '144', 'node', '1'),
('custom', '145', 'node', '1'),
('dapibus', '12', 'node', '5.60182'),
('dapibus', '13', 'node', '1.99315'),
('dapibus', '14', 'node', '1.9496'),
('dapibus', '15', 'node', '27'),
('dapibus', '16', 'node', '0.980874'),
('dapibus', '17', 'node', '5.91894'),
('dapibus', '20', 'node', '4'),
('dapibus', '22', 'node', '1'),
('dapibus', '23', 'node', '2'),
('dapibus', '24', 'node', '2.99315'),
('dapibus', '25', 'node', '2'),
('dapibus', '26', 'node', '1.94209'),
('dapibus', '27', 'node', '1'),
('dapibus', '29', 'node', '2.98087'),
('dapibus', '30', 'node', '0.927431'),
('dapibus', '31', 'node', '1.92743'),
('dapibus', '32', 'node', '0.942091'),
('dapibus', '34', 'node', '2.9496'),
('dapibus', '38', 'node', '2.88282'),
('dapibus', '39', 'node', '11'),
('dapibus', '40', 'node', '1'),
('dapibus', '42', 'node', '2'),
('dapibus', '44', 'node', '1'),
('dapibus', '45', 'node', '1.9689'),
('dapibus', '47', 'node', '4'),
('dapibus', '52', 'node', '0.96498'),
('dapibus', '53', 'node', '2'),
('dapibus', '54', 'node', '29.8826'),
('dapibus', '58', 'node', '2'),
('dapibus', '65', 'node', '1'),
('dapibus', '67', 'node', '1'),
('dapibus', '71', 'node', '1'),
('dapibus', '73', 'node', '0.942091'),
('dapibus', '82', 'node', '1'),
('dapibus', '85', 'node', '2'),
('dapibus', '86', 'node', '1'),
('dapibus', '89', 'node', '1'),
('dapibus', '90', 'node', '0.942091'),
('dapibus', '92', 'node', '2'),
('dapibus', '94', 'node', '2'),
('dapibus', '98', 'node', '2'),
('dapibus', '99', 'node', '2.98087'),
('dapibus', '100', 'node', '1.98493'),
('dapibus', '101', 'node', '1'),
('dapibus', '102', 'node', '1.97402'),
('dapibus', '103', 'node', '1.94583'),
('dapibus', '104', 'node', '3'),
('dapibus', '105', 'node', '3.91053'),
('dapibus', '121', 'node', '1.98493'),
('dapibus', '122', 'node', '1'),
('dapibus', '123', 'node', '2.89603'),
('dapibus', '126', 'node', '0.96498'),
('dapibus', '128', 'node', '1'),
('dapibus', '130', 'node', '0.989021'),
('dapibus', '131', 'node', '1.8941'),
('dapibus', '132', 'node', '2'),
('dapibus', '133', 'node', '2'),
('dapibus', '134', 'node', '1'),
('dapibus', '137', 'node', '2.99731'),
('dapibus', '143', 'node', '1'),
('dapibus', '147', 'node', '1.7305'),
('dapibus', '148', 'node', '0.851346'),
('dapibus', '150', 'node', '3.92027'),
('dapibus', '151', 'node', '1'),
('dapibus', '152', 'node', '0.96498'),
('dapibus', '153', 'node', '0.869951'),
('dapibus', '154', 'node', '1'),
('dapibus', '155', 'node', '1'),
('dapibus', '157', 'node', '1.87782'),
('dapibus', '160', 'node', '4'),
('dapibus', '161', 'node', '1'),
('dapibus', '163', 'node', '1.9496'),
('dapibus', '164', 'node', '0.993146'),
('dapibus', '165', 'node', '2'),
('dapibus', '166', 'node', '0.976851'),
('dapibus', '168', 'node', '1.95373'),
('dapibus', '169', 'node', '1'),
('dapibus', '170', 'node', '1'),
('dapibus', '171', 'node', '1'),
('dapibus', '174', 'node', '1.69001'),
('dapibus', '175', 'node', '1.92384'),
('dapibus', '176', 'node', '2.90974'),
('dapibus', '178', 'node', '1.94583'),
('datadriven', '123', 'node', '26'),
('demo', '182', 'node', '26'),
('design', '53', 'node', '10.7015'),
('design', '54', 'node', '9.93143'),
('design', '56', 'node', '10.2416'),
('design', '57', 'node', '10.9246'),
('design', '58', 'node', '10.9704'),
('design', '103', 'node', '10.0455'),
('design', '126', 'node', '10.0455'),
('design', '173', 'node', '2'),
('design', '175', 'node', '9.74705'),
('design', '178', 'node', '9.74705'),
('design', '179', 'node', '9.50024'),
('designer', '67', 'node', '1'),
('development', '44', 'node', '10.4456'),
('development', '136', 'node', '10.363'),
('development', '139', 'node', '10.8792'),
('devtools', '126', 'node', '26'),
('diam', '12', 'node', '5.1135'),
('diam', '13', 'node', '2.92384'),
('diam', '14', 'node', '4.46708'),
('diam', '15', 'node', '3'),
('diam', '16', 'node', '3.78434'),
('diam', '17', 'node', '1.91404'),
('diam', '19', 'node', '2'),
('diam', '20', 'node', '2'),
('diam', '22', 'node', '3'),
('diam', '23', 'node', '2'),
('diam', '24', 'node', '1.99731'),
('diam', '25', 'node', '3'),
('diam', '26', 'node', '1.93105'),
('diam', '27', 'node', '2'),
('diam', '28', 'node', '3'),
('diam', '29', 'node', '3.99731'),
('diam', '31', 'node', '4'),
('diam', '32', 'node', '1'),
('diam', '33', 'node', '1.94583'),
('diam', '38', 'node', '1.76566'),
('diam', '39', 'node', '0.976851'),
('diam', '41', 'node', '2.8967'),
('diam', '42', 'node', '2'),
('diam', '43', 'node', '0.968904'),
('diam', '44', 'node', '1'),
('diam', '45', 'node', '2'),
('diam', '47', 'node', '1'),
('diam', '50', 'node', '3'),
('diam', '52', 'node', '0.906287'),
('diam', '53', 'node', '1'),
('diam', '54', 'node', '1.91523'),
('diam', '56', 'node', '2.9496'),
('diam', '57', 'node', '3'),
('diam', '65', 'node', '2'),
('diam', '68', 'node', '3'),
('diam', '71', 'node', '1.98902'),
('diam', '73', 'node', '2.8861'),
('diam', '82', 'node', '1'),
('diam', '83', 'node', '0.972861'),
('diam', '84', 'node', '1'),
('diam', '85', 'node', '1'),
('diam', '86', 'node', '4'),
('diam', '87', 'node', '1'),
('diam', '88', 'node', '2.94978'),
('diam', '89', 'node', '3'),
('diam', '90', 'node', '1'),
('diam', '91', 'node', '1'),
('diam', '92', 'node', '27'),
('diam', '94', 'node', '2.85854'),
('diam', '95', 'node', '1'),
('diam', '96', 'node', '4'),
('diam', '100', 'node', '2'),
('diam', '101', 'node', '3'),
('diam', '102', 'node', '1.97286'),
('diam', '103', 'node', '1'),
('diam', '105', 'node', '3.81949'),
('diam', '121', 'node', '5.8226'),
('diam', '123', 'node', '1'),
('diam', '124', 'node', '2.93201'),
('diam', '125', 'node', '4.89008'),
('diam', '126', 'node', '1.92027'),
('diam', '127', 'node', '1'),
('diam', '128', 'node', '2.97017'),
('diam', '130', 'node', '1'),
('diam', '131', 'node', '1'),
('diam', '132', 'node', '1'),
('diam', '133', 'node', '1'),
('diam', '136', 'node', '0.997306'),
('diam', '137', 'node', '1'),
('diam', '138', 'node', '3'),
('diam', '139', 'node', '2'),
('diam', '145', 'node', '1'),
('diam', '147', 'node', '1.78851'),
('diam', '150', 'node', '1.81656'),
('diam', '151', 'node', '2'),
('diam', '152', 'node', '5.86394'),
('diam', '153', 'node', '5.8335'),
('diam', '154', 'node', '4.90629'),
('diam', '155', 'node', '1.9689'),
('diam', '156', 'node', '2'),
('diam', '157', 'node', '0.96498'),
('diam', '160', 'node', '3'),
('diam', '161', 'node', '1.93862'),
('diam', '162', 'node', '1'),
('diam', '163', 'node', '1'),
('diam', '164', 'node', '2.91068'),
('diam', '165', 'node', '1.95723'),
('diam', '166', 'node', '3.97286'),
('diam', '167', 'node', '1.96109'),
('diam', '168', 'node', '2'),
('diam', '170', 'node', '2.9185'),
('diam', '171', 'node', '1.93838'),
('diam', '172', 'node', '3.66453'),
('diam', '174', 'node', '3.54417'),
('diam', '175', 'node', '4.90909'),
('diam', '176', 'node', '1.89876'),
('diam', '177', 'node', '1'),
('diam', '178', 'node', '30.7715'),
('diam', '179', 'node', '2'),
('diam', '183', 'node', '1'),
('diam', '184', 'node', '1'),
('dictum', '12', 'node', '0.934703'),
('dictum', '13', 'node', '1.92384'),
('dictum', '14', 'node', '4.81645'),
('dictum', '15', 'node', '3'),
('dictum', '16', 'node', '1.91323'),
('dictum', '18', 'node', '1'),
('dictum', '20', 'node', '1'),
('dictum', '22', 'node', '3'),
('dictum', '23', 'node', '3'),
('dictum', '24', 'node', '2'),
('dictum', '25', 'node', '1'),
('dictum', '26', 'node', '1'),
('dictum', '27', 'node', '1.96109'),
('dictum', '28', 'node', '1'),
('dictum', '29', 'node', '1'),
('dictum', '30', 'node', '26.9029'),
('dictum', '32', 'node', '29.9699'),
('dictum', '34', 'node', '1'),
('dictum', '38', 'node', '3.64126'),
('dictum', '39', 'node', '1.97286'),
('dictum', '40', 'node', '3'),
('dictum', '41', 'node', '1.70124'),
('dictum', '45', 'node', '0.945829'),
('dictum', '46', 'node', '1'),
('dictum', '47', 'node', '1'),
('dictum', '52', 'node', '1.91323'),
('dictum', '53', 'node', '2'),
('dictum', '55', 'node', '1'),
('dictum', '56', 'node', '1'),
('dictum', '65', 'node', '2'),
('dictum', '67', 'node', '2.75'),
('dictum', '69', 'node', '3'),
('dictum', '71', 'node', '1.99315'),
('dictum', '73', 'node', '2.9689'),
('dictum', '82', 'node', '2'),
('dictum', '84', 'node', '1'),
('dictum', '85', 'node', '3'),
('dictum', '88', 'node', '1.95723'),
('dictum', '89', 'node', '1.99731'),
('dictum', '90', 'node', '1.98087'),
('dictum', '91', 'node', '1'),
('dictum', '92', 'node', '1'),
('dictum', '93', 'node', '1.89608'),
('dictum', '94', 'node', '1'),
('dictum', '97', 'node', '2'),
('dictum', '99', 'node', '0.989021'),
('dictum', '101', 'node', '1'),
('dictum', '102', 'node', '0.972861'),
('dictum', '103', 'node', '1'),
('dictum', '104', 'node', '3.85642'),
('dictum', '105', 'node', '1'),
('dictum', '121', 'node', '4.62738'),
('dictum', '122', 'node', '0.989021'),
('dictum', '123', 'node', '1'),
('dictum', '124', 'node', '1.90974'),
('dictum', '125', 'node', '1'),
('dictum', '128', 'node', '2'),
('dictum', '129', 'node', '0.993146'),
('dictum', '130', 'node', '2.93105'),
('dictum', '131', 'node', '3'),
('dictum', '132', 'node', '1.96109'),
('dictum', '133', 'node', '2.95723'),
('dictum', '134', 'node', '2'),
('dictum', '138', 'node', '4'),
('dictum', '139', 'node', '1'),
('dictum', '143', 'node', '1'),
('dictum', '147', 'node', '4.64937'),
('dictum', '148', 'node', '31'),
('dictum', '150', 'node', '1'),
('dictum', '151', 'node', '2'),
('dictum', '152', 'node', '6.6417'),
('dictum', '153', 'node', '0.879565'),
('dictum', '154', 'node', '1.81268'),
('dictum', '155', 'node', '1'),
('dictum', '157', 'node', '1'),
('dictum', '161', 'node', '1'),
('dictum', '162', 'node', '1'),
('dictum', '164', 'node', '1'),
('dictum', '165', 'node', '2.9689'),
('dictum', '169', 'node', '1'),
('dictum', '170', 'node', '2'),
('dictum', '174', 'node', '0.851346'),
('dictum', '175', 'node', '3'),
('dictum', '177', 'node', '3'),
('dictum', '178', 'node', '2'),
('dictum', '179', 'node', '1.99315'),
('dictum', '183', 'node', '1'),
('dictum', '184', 'node', '1'),
('dictumst', '12', 'node', '0.833529'),
('dictumst', '14', 'node', '2.47699'),
('dictumst', '15', 'node', '1'),
('dictumst', '16', 'node', '0.822065'),
('dictumst', '22', 'node', '1'),
('dictumst', '24', 'node', '0.953396'),
('dictumst', '30', 'node', '1.79525'),
('dictumst', '32', 'node', '0.968904'),
('dictumst', '33', 'node', '0.902857'),
('dictumst', '45', 'node', '1'),
('dictumst', '46', 'node', '1'),
('dictumst', '90', 'node', '0.989021'),
('dictumst', '126', 'node', '1'),
('dictumst', '130', 'node', '1'),
('dictumst', '131', 'node', '1'),
('dictumst', '136', 'node', '1'),
('dictumst', '142', 'node', '1'),
('dictumst', '147', 'node', '2'),
('dictumst', '150', 'node', '0.909743'),
('dictumst', '153', 'node', '2'),
('dictumst', '164', 'node', '1'),
('dictumst', '171', 'node', '0.913226'),
('dictumst', '178', 'node', '0.976851'),
('digital', '174', 'node', '26'),
('dignissim', '12', 'node', '33.9178'),
('dignissim', '13', 'node', '2'),
('dignissim', '14', 'node', '2.77425'),
('dignissim', '15', 'node', '1.92645'),
('dignissim', '17', 'node', '1'),
('dignissim', '18', 'node', '1.95723'),
('dignissim', '19', 'node', '1'),
('dignissim', '20', 'node', '4'),
('dignissim', '21', 'node', '12.7786'),
('dignissim', '22', 'node', '10.8342'),
('dignissim', '23', 'node', '11.9246'),
('dignissim', '24', 'node', '12.2817'),
('dignissim', '25', 'node', '1'),
('dignissim', '26', 'node', '0.938382'),
('dignissim', '28', 'node', '1'),
('dignissim', '29', 'node', '1'),
('dignissim', '30', 'node', '0.923838'),
('dignissim', '31', 'node', '1'),
('dignissim', '32', 'node', '1'),
('dignissim', '34', 'node', '1.92246'),
('dignissim', '35', 'node', '2.88355'),
('dignissim', '37', 'node', '1'),
('dignissim', '38', 'node', '1'),
('dignissim', '39', 'node', '1.99731'),
('dignissim', '43', 'node', '1'),
('dignissim', '45', 'node', '1'),
('dignissim', '46', 'node', '1'),
('dignissim', '47', 'node', '1'),
('dignissim', '50', 'node', '1.94209'),
('dignissim', '53', 'node', '3'),
('dignissim', '54', 'node', '1'),
('dignissim', '56', 'node', '2.88053'),
('dignissim', '65', 'node', '1'),
('dignissim', '67', 'node', '0.949597'),
('dignissim', '71', 'node', '3.95037'),
('dignissim', '73', 'node', '1'),
('dignissim', '83', 'node', '1'),
('dignissim', '84', 'node', '3'),
('dignissim', '85', 'node', '2'),
('dignissim', '87', 'node', '3'),
('dignissim', '88', 'node', '1'),
('dignissim', '89', 'node', '2'),
('dignissim', '91', 'node', '3'),
('dignissim', '93', 'node', '1'),
('dignissim', '94', 'node', '2'),
('dignissim', '95', 'node', '1'),
('dignissim', '97', 'node', '1'),
('dignissim', '99', 'node', '3'),
('dignissim', '100', 'node', '1.92384'),
('dignissim', '101', 'node', '1'),
('dignissim', '102', 'node', '1.96109'),
('dignissim', '103', 'node', '0.942091'),
('dignissim', '104', 'node', '2.98902'),
('dignissim', '105', 'node', '3'),
('dignissim', '121', 'node', '1.97286'),
('dignissim', '122', 'node', '2.9496'),
('dignissim', '124', 'node', '1'),
('dignissim', '125', 'node', '1'),
('dignissim', '126', 'node', '2.92027'),
('dignissim', '128', 'node', '1'),
('dignissim', '129', 'node', '3'),
('dignissim', '130', 'node', '1'),
('dignissim', '131', 'node', '2.89945'),
('dignissim', '133', 'node', '2.99731'),
('dignissim', '134', 'node', '2'),
('dignissim', '137', 'node', '2'),
('dignissim', '138', 'node', '1'),
('dignissim', '139', 'node', '1'),
('dignissim', '143', 'node', '3'),
('dignissim', '146', 'node', '1'),
('dignissim', '147', 'node', '2.64139'),
('dignissim', '148', 'node', '2'),
('dignissim', '150', 'node', '1'),
('dignissim', '151', 'node', '0.957226'),
('dignissim', '152', 'node', '3'),
('dignissim', '153', 'node', '1'),
('dignissim', '154', 'node', '2.82688'),
('dignissim', '155', 'node', '2'),
('dignissim', '156', 'node', '3'),
('dignissim', '157', 'node', '1.97685'),
('dignissim', '158', 'node', '1'),
('dignissim', '159', 'node', '1'),
('dignissim', '160', 'node', '0.938382'),
('dignissim', '161', 'node', '2.94583'),
('dignissim', '162', 'node', '2.9534'),
('dignissim', '167', 'node', '1'),
('dignissim', '169', 'node', '1'),
('dignissim', '170', 'node', '2'),
('dignissim', '171', 'node', '0.938382'),
('dignissim', '172', 'node', '0.866793'),
('dignissim', '174', 'node', '1.81925'),
('dignissim', '176', 'node', '1'),
('dignissim', '177', 'node', '0.945829'),
('dignissim', '178', 'node', '2.90974'),
('dignissim', '179', 'node', '2.93105'),
('dignissim', '183', 'node', '2'),
('director', '134', 'node', '1'),
('directorate', '68', 'node', '11'),
('directorate', '132', 'node', '11'),
('dis', '16', 'node', '0.851346'),
('dis', '30', 'node', '0.980874'),
('dis', '31', 'node', '1'),
('dis', '33', 'node', '1'),
('dis', '43', 'node', '1'),
('dis', '67', 'node', '1'),
('dis', '86', 'node', '0.997306'),
('dis', '91', 'node', '0.997306'),
('dis', '93', 'node', '1'),
('dis', '94', 'node', '1'),
('dis', '95', 'node', '0.920273'),
('dis', '123', 'node', '1'),
('dis', '134', 'node', '1.9689'),
('dis', '136', 'node', '1'),
('dis', '146', 'node', '1'),
('dis', '148', 'node', '0.902857'),
('dis', '157', 'node', '1'),
('dis', '160', 'node', '0.980874'),
('dis', '165', 'node', '0.927431'),
('dis', '174', 'node', '1'),
('dis', '177', 'node', '1'),
('discussion', '12', 'node', '10.0455'),
('discussion', '13', 'node', '10.7454'),
('discussion', '14', 'node', '10.2817'),
('discussion', '15', 'node', '10.4041'),
('discussion', '16', 'node', '10.5295'),
('disk', '142', 'node', '1'),
('disk', '143', 'node', '1'),
('disk', '144', 'node', '1'),
('disk', '145', 'node', '1'),
('doe', '88', 'node', '26'),
('dolor', '12', 'node', '19.5012'),
('dolor', '13', 'node', '0.98493'),
('dolor', '14', 'node', '21.561'),
('dolor', '15', 'node', '1'),
('dolor', '16', 'node', '4.81925'),
('dolor', '17', 'node', '1.87013'),
('dolor', '19', 'node', '2'),
('dolor', '20', 'node', '5'),
('dolor', '21', 'node', '3.99731'),
('dolor', '22', 'node', '2'),
('dolor', '23', 'node', '1'),
('dolor', '24', 'node', '3'),
('dolor', '27', 'node', '3'),
('dolor', '30', 'node', '1'),
('dolor', '32', 'node', '1.98902'),
('dolor', '33', 'node', '1.85135'),
('dolor', '34', 'node', '30'),
('dolor', '37', 'node', '11'),
('dolor', '38', 'node', '3.99315'),
('dolor', '39', 'node', '4'),
('dolor', '40', 'node', '12'),
('dolor', '41', 'node', '17.0906'),
('dolor', '42', 'node', '1'),
('dolor', '44', 'node', '1'),
('dolor', '45', 'node', '1'),
('dolor', '46', 'node', '1.9496'),
('dolor', '50', 'node', '2.94583'),
('dolor', '52', 'node', '0.976851'),
('dolor', '53', 'node', '1'),
('dolor', '54', 'node', '1'),
('dolor', '56', 'node', '30.9809'),
('dolor', '57', 'node', '2'),
('dolor', '67', 'node', '0.920273'),
('dolor', '68', 'node', '0.961087'),
('dolor', '71', 'node', '4.94196'),
('dolor', '73', 'node', '1.95723'),
('dolor', '83', 'node', '1'),
('dolor', '84', 'node', '2'),
('dolor', '85', 'node', '3'),
('dolor', '87', 'node', '3'),
('dolor', '88', 'node', '1.93838'),
('dolor', '89', 'node', '1'),
('dolor', '90', 'node', '2.94583'),
('dolor', '91', 'node', '2'),
('dolor', '92', 'node', '0.98493'),
('dolor', '93', 'node', '0.976851'),
('dolor', '94', 'node', '1.92384'),
('dolor', '95', 'node', '2.91124'),
('dolor', '96', 'node', '1'),
('dolor', '97', 'node', '0.934703'),
('dolor', '98', 'node', '2.89543'),
('dolor', '99', 'node', '0.968904'),
('dolor', '100', 'node', '0.957226'),
('dolor', '101', 'node', '1.86576'),
('dolor', '103', 'node', '1.90692'),
('dolor', '104', 'node', '6.88451'),
('dolor', '105', 'node', '1'),
('dolor', '121', 'node', '2.87313'),
('dolor', '123', 'node', '3.93838'),
('dolor', '124', 'node', '1.9689'),
('dolor', '125', 'node', '1'),
('dolor', '126', 'node', '1'),
('dolor', '127', 'node', '3'),
('dolor', '128', 'node', '3.99731'),
('dolor', '129', 'node', '3'),
('dolor', '130', 'node', '2'),
('dolor', '131', 'node', '1.89945'),
('dolor', '132', 'node', '1'),
('dolor', '133', 'node', '2.98087'),
('dolor', '134', 'node', '1'),
('dolor', '136', 'node', '2'),
('dolor', '138', 'node', '3'),
('dolor', '139', 'node', '2'),
('dolor', '142', 'node', '1'),
('dolor', '144', 'node', '1'),
('dolor', '147', 'node', '0.892724'),
('dolor', '148', 'node', '3.77275'),
('dolor', '150', 'node', '2.9689'),
('dolor', '151', 'node', '1.89634'),
('dolor', '152', 'node', '2.81619'),
('dolor', '153', 'node', '2.91674'),
('dolor', '154', 'node', '1.92384'),
('dolor', '155', 'node', '2'),
('dolor', '156', 'node', '1'),
('dolor', '157', 'node', '2.97286'),
('dolor', '158', 'node', '1'),
('dolor', '159', 'node', '1'),
('dolor', '160', 'node', '2'),
('dolor', '161', 'node', '2.9496'),
('dolor', '162', 'node', '1.94583'),
('dolor', '163', 'node', '3.96109'),
('dolor', '165', 'node', '1.98087'),
('dolor', '166', 'node', '2.97286'),
('dolor', '167', 'node', '1.9496'),
('dolor', '168', 'node', '0.957226'),
('dolor', '170', 'node', '2.85865'),
('dolor', '171', 'node', '2'),
('dolor', '172', 'node', '5.4468'),
('dolor', '174', 'node', '2.90286'),
('dolor', '175', 'node', '3.89272'),
('dolor', '176', 'node', '3.76566'),
('dolor', '177', 'node', '3.73631'),
('dolor', '178', 'node', '3.85865'),
('dolor', '179', 'node', '1.96109'),
('dolor', '183', 'node', '1'),
('dolor', '184', 'node', '1'),
('domain', '142', 'node', '1'),
('domain', '143', 'node', '1'),
('domain', '144', 'node', '1'),
('domain', '145', 'node', '1'),
('domains', '145', 'node', '1'),
('domo', '181', 'node', '26'),
('donec', '12', 'node', '5.18894'),
('donec', '13', 'node', '1.93838'),
('donec', '14', 'node', '6.39371'),
('donec', '15', 'node', '1.95723'),
('donec', '16', 'node', '3.69487'),
('donec', '17', 'node', '4'),
('donec', '18', 'node', '3.93427'),
('donec', '19', 'node', '4'),
('donec', '20', 'node', '1'),
('donec', '21', 'node', '2'),
('donec', '22', 'node', '1'),
('donec', '23', 'node', '1'),
('donec', '24', 'node', '1.99731'),
('donec', '25', 'node', '1'),
('donec', '26', 'node', '3'),
('donec', '28', 'node', '4'),
('donec', '29', 'node', '2'),
('donec', '30', 'node', '4.86697'),
('donec', '32', 'node', '3.97395'),
('donec', '33', 'node', '2.84532'),
('donec', '34', 'node', '2.94209'),
('donec', '35', 'node', '1'),
('donec', '37', 'node', '1.98493'),
('donec', '38', 'node', '3.87634'),
('donec', '39', 'node', '12.965'),
('donec', '40', 'node', '4'),
('donec', '41', 'node', '4.79658'),
('donec', '42', 'node', '3'),
('donec', '43', 'node', '1'),
('donec', '44', 'node', '1'),
('donec', '45', 'node', '2.98902'),
('donec', '46', 'node', '3.9496'),
('donec', '47', 'node', '3'),
('donec', '50', 'node', '5.93111'),
('donec', '52', 'node', '1.95723'),
('donec', '54', 'node', '0.989021'),
('donec', '55', 'node', '4'),
('donec', '56', 'node', '3.92085'),
('donec', '57', 'node', '1'),
('donec', '58', 'node', '1'),
('donec', '65', 'node', '4'),
('donec', '67', 'node', '2.86995'),
('donec', '68', 'node', '4.90343'),
('donec', '69', 'node', '2'),
('donec', '71', 'node', '3.94196'),
('donec', '73', 'node', '2.96498'),
('donec', '82', 'node', '3'),
('donec', '83', 'node', '5'),
('donec', '84', 'node', '1'),
('donec', '85', 'node', '2'),
('donec', '86', 'node', '2'),
('donec', '87', 'node', '1'),
('donec', '88', 'node', '2.94209'),
('donec', '91', 'node', '2'),
('donec', '92', 'node', '27'),
('donec', '93', 'node', '1.93105'),
('donec', '94', 'node', '1'),
('donec', '95', 'node', '3.94583'),
('donec', '96', 'node', '4'),
('donec', '97', 'node', '27.9572'),
('donec', '98', 'node', '2.95723'),
('donec', '99', 'node', '29.9459'),
('donec', '101', 'node', '1.94209'),
('donec', '102', 'node', '1'),
('donec', '103', 'node', '1'),
('donec', '104', 'node', '2.98493'),
('donec', '105', 'node', '2.94209'),
('donec', '121', 'node', '2.74308'),
('donec', '122', 'node', '1'),
('donec', '123', 'node', '1.9534'),
('donec', '124', 'node', '3.88882'),
('donec', '125', 'node', '1.99731'),
('donec', '126', 'node', '2'),
('donec', '129', 'node', '1'),
('donec', '130', 'node', '2'),
('donec', '131', 'node', '2.83784'),
('donec', '132', 'node', '1.96109'),
('donec', '133', 'node', '1.99731'),
('donec', '134', 'node', '2'),
('donec', '136', 'node', '2.97286'),
('donec', '137', 'node', '1.98493'),
('donec', '138', 'node', '2'),
('donec', '139', 'node', '2'),
('donec', '144', 'node', '2'),
('donec', '145', 'node', '1'),
('donec', '146', 'node', '1'),
('donec', '147', 'node', '4.54001'),
('donec', '148', 'node', '27'),
('donec', '150', 'node', '1.95723'),
('donec', '151', 'node', '3'),
('donec', '152', 'node', '2.89313'),
('donec', '153', 'node', '3.86995'),
('donec', '154', 'node', '3.89945'),
('donec', '155', 'node', '1.85144'),
('donec', '156', 'node', '1'),
('donec', '157', 'node', '2'),
('donec', '158', 'node', '2.99315'),
('donec', '159', 'node', '2.99731'),
('donec', '160', 'node', '2'),
('donec', '161', 'node', '1.9689'),
('donec', '162', 'node', '1'),
('donec', '163', 'node', '26.9931'),
('donec', '164', 'node', '0.953396'),
('donec', '165', 'node', '0.906287'),
('donec', '166', 'node', '1'),
('donec', '167', 'node', '2'),
('donec', '168', 'node', '2'),
('donec', '169', 'node', '1'),
('donec', '170', 'node', '3.9689'),
('donec', '171', 'node', '2.89467'),
('donec', '172', 'node', '5.35742'),
('donec', '174', 'node', '2.60432'),
('donec', '175', 'node', '1.90974'),
('donec', '176', 'node', '7.64058'),
('donec', '177', 'node', '28.8808'),
('donec', '178', 'node', '1.90286'),
('donec', '179', 'node', '4.98087'),
('donec', '184', 'node', '1'),
('drupal', '38', 'node', '11'),
('dui', '12', 'node', '3.56682'),
('dui', '13', 'node', '2.80236'),
('dui', '14', 'node', '8.16658'),
('dui', '15', 'node', '29'),
('dui', '16', 'node', '4.60079'),
('dui', '18', 'node', '2'),
('dui', '19', 'node', '2'),
('dui', '20', 'node', '1'),
('dui', '23', 'node', '2'),
('dui', '24', 'node', '1'),
('dui', '25', 'node', '2'),
('dui', '26', 'node', '3.92384'),
('dui', '27', 'node', '1'),
('dui', '28', 'node', '2'),
('dui', '29', 'node', '1.94625'),
('dui', '30', 'node', '3.66524'),
('dui', '31', 'node', '2'),
('dui', '32', 'node', '5.91926'),
('dui', '33', 'node', '1.88421'),
('dui', '34', 'node', '0.997306'),
('dui', '35', 'node', '1'),
('dui', '37', 'node', '3.98493'),
('dui', '38', 'node', '2.93838'),
('dui', '39', 'node', '1.96498'),
('dui', '40', 'node', '2'),
('dui', '41', 'node', '1.98902'),
('dui', '42', 'node', '3'),
('dui', '43', 'node', '2'),
('dui', '44', 'node', '2'),
('dui', '45', 'node', '2'),
('dui', '50', 'node', '1.98087'),
('dui', '52', 'node', '2'),
('dui', '53', 'node', '4'),
('dui', '54', 'node', '0.957226'),
('dui', '55', 'node', '1.95723'),
('dui', '56', 'node', '1.94209'),
('dui', '57', 'node', '3'),
('dui', '58', 'node', '2'),
('dui', '65', 'node', '1'),
('dui', '67', 'node', '2.94177'),
('dui', '68', 'node', '1'),
('dui', '73', 'node', '1'),
('dui', '82', 'node', '2'),
('dui', '84', 'node', '2'),
('dui', '85', 'node', '3.98902'),
('dui', '86', 'node', '1.9496'),
('dui', '87', 'node', '2'),
('dui', '88', 'node', '2'),
('dui', '90', 'node', '2.94583'),
('dui', '91', 'node', '27'),
('dui', '92', 'node', '5'),
('dui', '93', 'node', '1.88587'),
('dui', '95', 'node', '3'),
('dui', '96', 'node', '1'),
('dui', '97', 'node', '1'),
('dui', '99', 'node', '2'),
('dui', '100', 'node', '2.85413'),
('dui', '101', 'node', '2.99731'),
('dui', '102', 'node', '3'),
('dui', '103', 'node', '1.90877'),
('dui', '104', 'node', '28'),
('dui', '105', 'node', '1.94209');
INSERT INTO `search_index` VALUES
('dui', '121', 'node', '0.931053'),
('dui', '122', 'node', '3'),
('dui', '124', 'node', '3'),
('dui', '127', 'node', '2'),
('dui', '128', 'node', '1.954'),
('dui', '129', 'node', '28'),
('dui', '131', 'node', '1'),
('dui', '132', 'node', '1.98087'),
('dui', '133', 'node', '2'),
('dui', '134', 'node', '2'),
('dui', '136', 'node', '1'),
('dui', '137', 'node', '2.98087'),
('dui', '138', 'node', '1'),
('dui', '139', 'node', '1'),
('dui', '142', 'node', '3'),
('dui', '143', 'node', '3'),
('dui', '147', 'node', '3.87782'),
('dui', '148', 'node', '0.923838'),
('dui', '150', 'node', '3.84411'),
('dui', '151', 'node', '4.96188'),
('dui', '152', 'node', '3.71897'),
('dui', '153', 'node', '3.91674'),
('dui', '154', 'node', '3.79238'),
('dui', '155', 'node', '0.913226'),
('dui', '156', 'node', '2'),
('dui', '157', 'node', '4'),
('dui', '158', 'node', '2'),
('dui', '159', 'node', '2'),
('dui', '160', 'node', '1'),
('dui', '162', 'node', '2'),
('dui', '163', 'node', '1'),
('dui', '165', 'node', '0.961087'),
('dui', '166', 'node', '2'),
('dui', '167', 'node', '2.92743'),
('dui', '169', 'node', '1'),
('dui', '170', 'node', '1'),
('dui', '171', 'node', '1'),
('dui', '172', 'node', '3.86593'),
('dui', '174', 'node', '1.76416'),
('dui', '175', 'node', '3'),
('dui', '176', 'node', '6.52479'),
('dui', '178', 'node', '1'),
('dui', '179', 'node', '2.89274'),
('dui', '183', 'node', '2'),
('dui', '184', 'node', '1'),
('duis', '12', 'node', '4.72262'),
('duis', '13', 'node', '2.8092'),
('duis', '14', 'node', '2.57038'),
('duis', '16', 'node', '0.909743'),
('duis', '19', 'node', '2'),
('duis', '21', 'node', '12.8342'),
('duis', '22', 'node', '10.9246'),
('duis', '23', 'node', '11.9704'),
('duis', '24', 'node', '11.2817'),
('duis', '25', 'node', '2'),
('duis', '26', 'node', '2.78148'),
('duis', '28', 'node', '3'),
('duis', '29', 'node', '1'),
('duis', '30', 'node', '1'),
('duis', '31', 'node', '28'),
('duis', '32', 'node', '1'),
('duis', '33', 'node', '1'),
('duis', '34', 'node', '0.938382'),
('duis', '35', 'node', '27'),
('duis', '38', 'node', '0.938382'),
('duis', '39', 'node', '12'),
('duis', '41', 'node', '39.9384'),
('duis', '43', 'node', '1'),
('duis', '44', 'node', '1'),
('duis', '45', 'node', '0.96498'),
('duis', '47', 'node', '1'),
('duis', '52', 'node', '1'),
('duis', '53', 'node', '1'),
('duis', '54', 'node', '1'),
('duis', '55', 'node', '1.96109'),
('duis', '56', 'node', '2'),
('duis', '57', 'node', '2'),
('duis', '67', 'node', '0.938382'),
('duis', '68', 'node', '1'),
('duis', '71', 'node', '2'),
('duis', '82', 'node', '1'),
('duis', '85', 'node', '2'),
('duis', '88', 'node', '1'),
('duis', '92', 'node', '2'),
('duis', '94', 'node', '1.94183'),
('duis', '95', 'node', '27'),
('duis', '96', 'node', '2'),
('duis', '97', 'node', '1'),
('duis', '98', 'node', '1.98902'),
('duis', '99', 'node', '1'),
('duis', '100', 'node', '2'),
('duis', '101', 'node', '2'),
('duis', '102', 'node', '2'),
('duis', '105', 'node', '1'),
('duis', '121', 'node', '1.90286'),
('duis', '122', 'node', '2'),
('duis', '124', 'node', '1'),
('duis', '125', 'node', '4.9534'),
('duis', '126', 'node', '3.92027'),
('duis', '127', 'node', '3'),
('duis', '128', 'node', '1'),
('duis', '129', 'node', '2'),
('duis', '130', 'node', '1'),
('duis', '131', 'node', '0.931053'),
('duis', '132', 'node', '3'),
('duis', '134', 'node', '1'),
('duis', '136', 'node', '0.968904'),
('duis', '137', 'node', '2'),
('duis', '138', 'node', '1'),
('duis', '147', 'node', '2.74685'),
('duis', '148', 'node', '1.70898'),
('duis', '150', 'node', '2'),
('duis', '152', 'node', '1'),
('duis', '154', 'node', '2'),
('duis', '158', 'node', '2'),
('duis', '159', 'node', '2'),
('duis', '160', 'node', '1'),
('duis', '161', 'node', '1.94209'),
('duis', '162', 'node', '2.98087'),
('duis', '164', 'node', '1'),
('duis', '165', 'node', '1'),
('duis', '166', 'node', '3'),
('duis', '167', 'node', '1.86593'),
('duis', '168', 'node', '2'),
('duis', '171', 'node', '1'),
('duis', '174', 'node', '0.813674'),
('duis', '175', 'node', '3.92999'),
('duis', '176', 'node', '1'),
('duis', '178', 'node', '0.916736'),
('duis', '179', 'node', '1.85806'),
('duis', '183', 'node', '1'),
('efficitur', '12', 'node', '1'),
('efficitur', '14', 'node', '2.9534'),
('efficitur', '17', 'node', '2.97685'),
('efficitur', '20', 'node', '3'),
('efficitur', '21', 'node', '2'),
('efficitur', '22', 'node', '3'),
('efficitur', '24', 'node', '2'),
('efficitur', '26', 'node', '1'),
('efficitur', '28', 'node', '3'),
('efficitur', '30', 'node', '1.86679'),
('efficitur', '31', 'node', '2.9496'),
('efficitur', '34', 'node', '2'),
('efficitur', '37', 'node', '1'),
('efficitur', '38', 'node', '0.961087'),
('efficitur', '39', 'node', '2'),
('efficitur', '40', 'node', '2'),
('efficitur', '41', 'node', '1.98902'),
('efficitur', '43', 'node', '28'),
('efficitur', '44', 'node', '1'),
('efficitur', '46', 'node', '0.968904'),
('efficitur', '47', 'node', '1'),
('efficitur', '50', 'node', '1.98087'),
('efficitur', '52', 'node', '3.84528'),
('efficitur', '54', 'node', '1'),
('efficitur', '55', 'node', '2'),
('efficitur', '56', 'node', '2'),
('efficitur', '57', 'node', '1'),
('efficitur', '58', 'node', '1'),
('efficitur', '65', 'node', '1'),
('efficitur', '67', 'node', '0.879565'),
('efficitur', '71', 'node', '2'),
('efficitur', '73', 'node', '0.976851'),
('efficitur', '82', 'node', '2'),
('efficitur', '83', 'node', '2'),
('efficitur', '84', 'node', '2'),
('efficitur', '85', 'node', '2'),
('efficitur', '86', 'node', '3'),
('efficitur', '88', 'node', '0.98493'),
('efficitur', '89', 'node', '1'),
('efficitur', '91', 'node', '2'),
('efficitur', '92', 'node', '2'),
('efficitur', '93', 'node', '0.902857'),
('efficitur', '95', 'node', '1'),
('efficitur', '97', 'node', '1.82996'),
('efficitur', '98', 'node', '0.96498'),
('efficitur', '99', 'node', '1'),
('efficitur', '100', 'node', '1'),
('efficitur', '102', 'node', '0.997306'),
('efficitur', '103', 'node', '0.927431'),
('efficitur', '104', 'node', '0.961087'),
('efficitur', '105', 'node', '1'),
('efficitur', '121', 'node', '1.92384'),
('efficitur', '123', 'node', '0.949597'),
('efficitur', '124', 'node', '1.9534'),
('efficitur', '125', 'node', '2'),
('efficitur', '126', 'node', '2.92027'),
('efficitur', '127', 'node', '1'),
('efficitur', '128', 'node', '4'),
('efficitur', '130', 'node', '2'),
('efficitur', '131', 'node', '1.81973'),
('efficitur', '133', 'node', '0.972861'),
('efficitur', '136', 'node', '4.97286'),
('efficitur', '138', 'node', '1'),
('efficitur', '147', 'node', '2.86055'),
('efficitur', '150', 'node', '0.927431'),
('efficitur', '151', 'node', '1'),
('efficitur', '152', 'node', '2.8894'),
('efficitur', '153', 'node', '2.77549'),
('efficitur', '154', 'node', '0.916736'),
('efficitur', '155', 'node', '0.931053'),
('efficitur', '156', 'node', '1'),
('efficitur', '157', 'node', '1'),
('efficitur', '158', 'node', '3'),
('efficitur', '159', 'node', '3'),
('efficitur', '160', 'node', '1.95723'),
('efficitur', '161', 'node', '2.98493'),
('efficitur', '162', 'node', '0.989021'),
('efficitur', '163', 'node', '2.95423'),
('efficitur', '164', 'node', '1'),
('efficitur', '165', 'node', '3'),
('efficitur', '166', 'node', '0.980874'),
('efficitur', '167', 'node', '2'),
('efficitur', '168', 'node', '1'),
('efficitur', '169', 'node', '1'),
('efficitur', '170', 'node', '1'),
('efficitur', '171', 'node', '1'),
('efficitur', '172', 'node', '1'),
('efficitur', '174', 'node', '1.77359'),
('efficitur', '175', 'node', '30.8842'),
('efficitur', '176', 'node', '1.87326'),
('efficitur', '178', 'node', '0.909743'),
('efficitur', '179', 'node', '1.97685'),
('efficitur', '184', 'node', '1'),
('effortless', '89', 'node', '26'),
('egestas', '12', 'node', '4.27858'),
('egestas', '14', 'node', '4.36573'),
('egestas', '16', 'node', '1'),
('egestas', '18', 'node', '1'),
('egestas', '19', 'node', '1'),
('egestas', '22', 'node', '2'),
('egestas', '23', 'node', '1'),
('egestas', '26', 'node', '0.972861'),
('egestas', '27', 'node', '1'),
('egestas', '29', 'node', '1'),
('egestas', '30', 'node', '1'),
('egestas', '31', 'node', '1'),
('egestas', '32', 'node', '1'),
('egestas', '34', 'node', '1'),
('egestas', '37', 'node', '3'),
('egestas', '39', 'node', '2'),
('egestas', '41', 'node', '0.860547'),
('egestas', '42', 'node', '1'),
('egestas', '43', 'node', '3.78217'),
('egestas', '44', 'node', '3.97685'),
('egestas', '45', 'node', '1'),
('egestas', '47', 'node', '1'),
('egestas', '50', 'node', '0.957226'),
('egestas', '52', 'node', '1.95373'),
('egestas', '53', 'node', '1'),
('egestas', '54', 'node', '1'),
('egestas', '55', 'node', '1'),
('egestas', '56', 'node', '1.9534'),
('egestas', '57', 'node', '1'),
('egestas', '58', 'node', '2'),
('egestas', '65', 'node', '2'),
('egestas', '67', 'node', '0.98493'),
('egestas', '68', 'node', '1'),
('egestas', '71', 'node', '1'),
('egestas', '82', 'node', '1'),
('egestas', '83', 'node', '1'),
('egestas', '85', 'node', '3'),
('egestas', '86', 'node', '2'),
('egestas', '91', 'node', '2'),
('egestas', '92', 'node', '1'),
('egestas', '93', 'node', '0.896076'),
('egestas', '94', 'node', '1.97286'),
('egestas', '97', 'node', '2'),
('egestas', '98', 'node', '2'),
('egestas', '100', 'node', '1'),
('egestas', '101', 'node', '2.9496'),
('egestas', '103', 'node', '0.953396'),
('egestas', '104', 'node', '1'),
('egestas', '121', 'node', '0.913226'),
('egestas', '122', 'node', '2'),
('egestas', '124', 'node', '2.97286'),
('egestas', '126', 'node', '1.92027'),
('egestas', '127', 'node', '3'),
('egestas', '128', 'node', '2'),
('egestas', '129', 'node', '1'),
('egestas', '130', 'node', '1.97685'),
('egestas', '131', 'node', '3'),
('egestas', '132', 'node', '1'),
('egestas', '133', 'node', '2.91881'),
('egestas', '134', 'node', '1'),
('egestas', '136', 'node', '1'),
('egestas', '137', 'node', '2.97286'),
('egestas', '138', 'node', '2'),
('egestas', '139', 'node', '2'),
('egestas', '143', 'node', '1'),
('egestas', '144', 'node', '2'),
('egestas', '145', 'node', '1'),
('egestas', '147', 'node', '1.94209'),
('egestas', '148', 'node', '3.84234'),
('egestas', '150', 'node', '1.9079'),
('egestas', '151', 'node', '4.90629'),
('egestas', '152', 'node', '2.90286'),
('egestas', '154', 'node', '0.886095'),
('egestas', '155', 'node', '2'),
('egestas', '156', 'node', '1'),
('egestas', '158', 'node', '3'),
('egestas', '159', 'node', '3'),
('egestas', '161', 'node', '2'),
('egestas', '163', 'node', '3.95423'),
('egestas', '164', 'node', '1'),
('egestas', '165', 'node', '1'),
('egestas', '166', 'node', '1.98493'),
('egestas', '168', 'node', '2.98087'),
('egestas', '169', 'node', '2'),
('egestas', '170', 'node', '1.98493'),
('egestas', '171', 'node', '1'),
('egestas', '172', 'node', '2.84832'),
('egestas', '174', 'node', '1.66872'),
('egestas', '175', 'node', '0.909743'),
('egestas', '176', 'node', '1.81025'),
('egestas', '177', 'node', '1.87634'),
('egestas', '178', 'node', '4'),
('eget', '12', 'node', '5.90702'),
('eget', '13', 'node', '2.89272'),
('eget', '14', 'node', '4.38166'),
('eget', '15', 'node', '3'),
('eget', '16', 'node', '4.82812'),
('eget', '17', 'node', '2.94585'),
('eget', '18', 'node', '1.95723'),
('eget', '19', 'node', '2'),
('eget', '20', 'node', '6'),
('eget', '22', 'node', '3'),
('eget', '23', 'node', '1'),
('eget', '24', 'node', '3.98902'),
('eget', '25', 'node', '3'),
('eget', '26', 'node', '3.94209'),
('eget', '27', 'node', '3.99315'),
('eget', '28', 'node', '2'),
('eget', '29', 'node', '1'),
('eget', '30', 'node', '5.65898'),
('eget', '31', 'node', '1.93838'),
('eget', '32', 'node', '2'),
('eget', '33', 'node', '2.89608'),
('eget', '34', 'node', '6.93153'),
('eget', '35', 'node', '3'),
('eget', '37', 'node', '3.94583'),
('eget', '38', 'node', '3.83296'),
('eget', '39', 'node', '3.9689'),
('eget', '40', 'node', '3'),
('eget', '41', 'node', '6.55034'),
('eget', '42', 'node', '2'),
('eget', '43', 'node', '2'),
('eget', '45', 'node', '3'),
('eget', '46', 'node', '1.9496'),
('eget', '47', 'node', '3.98493'),
('eget', '50', 'node', '1.91448'),
('eget', '52', 'node', '3.98087'),
('eget', '53', 'node', '1'),
('eget', '54', 'node', '3.9194'),
('eget', '55', 'node', '2.9534'),
('eget', '56', 'node', '2.9496'),
('eget', '57', 'node', '2'),
('eget', '58', 'node', '2'),
('eget', '67', 'node', '3.70342'),
('eget', '68', 'node', '4.9689'),
('eget', '71', 'node', '6'),
('eget', '73', 'node', '4.92384'),
('eget', '82', 'node', '2'),
('eget', '83', 'node', '3'),
('eget', '84', 'node', '2'),
('eget', '85', 'node', '2'),
('eget', '86', 'node', '3'),
('eget', '87', 'node', '2'),
('eget', '88', 'node', '2'),
('eget', '89', 'node', '2'),
('eget', '90', 'node', '2'),
('eget', '91', 'node', '31'),
('eget', '92', 'node', '3'),
('eget', '93', 'node', '2.94602'),
('eget', '94', 'node', '2.90788'),
('eget', '95', 'node', '6.95383'),
('eget', '96', 'node', '1'),
('eget', '97', 'node', '2'),
('eget', '98', 'node', '4.97286'),
('eget', '99', 'node', '1'),
('eget', '100', 'node', '5.94583'),
('eget', '101', 'node', '4.91495'),
('eget', '102', 'node', '4.93833'),
('eget', '103', 'node', '3.9534'),
('eget', '104', 'node', '3.97808'),
('eget', '105', 'node', '2'),
('eget', '121', 'node', '3.90974'),
('eget', '122', 'node', '3.89543'),
('eget', '123', 'node', '1'),
('eget', '124', 'node', '4.86941'),
('eget', '125', 'node', '1.90974'),
('eget', '126', 'node', '2'),
('eget', '127', 'node', '5'),
('eget', '128', 'node', '4.92626'),
('eget', '130', 'node', '5.9079'),
('eget', '131', 'node', '2.89608'),
('eget', '132', 'node', '6'),
('eget', '133', 'node', '1'),
('eget', '134', 'node', '3'),
('eget', '136', 'node', '4.97286'),
('eget', '137', 'node', '4'),
('eget', '138', 'node', '1'),
('eget', '139', 'node', '4'),
('eget', '142', 'node', '2'),
('eget', '143', 'node', '2'),
('eget', '144', 'node', '1'),
('eget', '145', 'node', '1'),
('eget', '146', 'node', '2'),
('eget', '147', 'node', '8.01772'),
('eget', '148', 'node', '7.56962'),
('eget', '150', 'node', '3.97685'),
('eget', '151', 'node', '5.89589'),
('eget', '152', 'node', '5.83701'),
('eget', '153', 'node', '6.80309'),
('eget', '154', 'node', '8.57045'),
('eget', '155', 'node', '3.83481'),
('eget', '156', 'node', '3.9347'),
('eget', '157', 'node', '5.92384'),
('eget', '158', 'node', '4.95493'),
('eget', '159', 'node', '4.9672'),
('eget', '160', 'node', '2'),
('eget', '161', 'node', '3.92767'),
('eget', '162', 'node', '2.9689'),
('eget', '163', 'node', '3'),
('eget', '164', 'node', '3.95011'),
('eget', '165', 'node', '2.95453'),
('eget', '166', 'node', '1'),
('eget', '167', 'node', '2.80597'),
('eget', '168', 'node', '2'),
('eget', '169', 'node', '3'),
('eget', '170', 'node', '3.9689'),
('eget', '171', 'node', '1.92384'),
('eget', '172', 'node', '7.46765'),
('eget', '174', 'node', '7.11297'),
('eget', '175', 'node', '1.79893'),
('eget', '176', 'node', '3.90286'),
('eget', '177', 'node', '5.79049'),
('eget', '178', 'node', '4.79914'),
('eget', '179', 'node', '6.76838'),
('eleifend', '12', 'node', '3.72253'),
('eleifend', '13', 'node', '1.89272'),
('eleifend', '14', 'node', '7.11472'),
('eleifend', '15', 'node', '3'),
('eleifend', '16', 'node', '2'),
('eleifend', '17', 'node', '12.0841'),
('eleifend', '18', 'node', '10.2017'),
('eleifend', '19', 'node', '12.9246'),
('eleifend', '20', 'node', '11'),
('eleifend', '22', 'node', '1'),
('eleifend', '26', 'node', '0.931053'),
('eleifend', '28', 'node', '1'),
('eleifend', '29', 'node', '1'),
('eleifend', '30', 'node', '1'),
('eleifend', '31', 'node', '2'),
('eleifend', '32', 'node', '2'),
('eleifend', '33', 'node', '2.8133'),
('eleifend', '34', 'node', '1'),
('eleifend', '35', 'node', '2.89201'),
('eleifend', '37', 'node', '32.9271'),
('eleifend', '39', 'node', '1'),
('eleifend', '40', 'node', '2'),
('eleifend', '41', 'node', '0.993146'),
('eleifend', '44', 'node', '1'),
('eleifend', '45', 'node', '1'),
('eleifend', '50', 'node', '2'),
('eleifend', '53', 'node', '3'),
('eleifend', '54', 'node', '2'),
('eleifend', '55', 'node', '2'),
('eleifend', '56', 'node', '1'),
('eleifend', '57', 'node', '1'),
('eleifend', '58', 'node', '1'),
('eleifend', '67', 'node', '1'),
('eleifend', '69', 'node', '1'),
('eleifend', '73', 'node', '2.77219'),
('eleifend', '82', 'node', '1'),
('eleifend', '83', 'node', '2'),
('eleifend', '85', 'node', '1'),
('eleifend', '86', 'node', '2'),
('eleifend', '87', 'node', '1'),
('eleifend', '90', 'node', '7'),
('eleifend', '91', 'node', '2'),
('eleifend', '92', 'node', '2'),
('eleifend', '93', 'node', '0.98493'),
('eleifend', '95', 'node', '2'),
('eleifend', '96', 'node', '2'),
('eleifend', '97', 'node', '28'),
('eleifend', '98', 'node', '2'),
('eleifend', '99', 'node', '1.98493'),
('eleifend', '100', 'node', '2'),
('eleifend', '101', 'node', '1'),
('eleifend', '102', 'node', '2.9534'),
('eleifend', '103', 'node', '1.98902'),
('eleifend', '105', 'node', '2.92027'),
('eleifend', '121', 'node', '1'),
('eleifend', '122', 'node', '1'),
('eleifend', '124', 'node', '2.89241'),
('eleifend', '125', 'node', '1'),
('eleifend', '126', 'node', '1'),
('eleifend', '127', 'node', '1'),
('eleifend', '128', 'node', '1'),
('eleifend', '129', 'node', '1'),
('eleifend', '130', 'node', '1'),
('eleifend', '131', 'node', '0.902857'),
('eleifend', '134', 'node', '1'),
('eleifend', '136', 'node', '1'),
('eleifend', '137', 'node', '1'),
('eleifend', '138', 'node', '2'),
('eleifend', '139', 'node', '2'),
('eleifend', '142', 'node', '1'),
('eleifend', '147', 'node', '2.77029'),
('eleifend', '148', 'node', '1.85439'),
('eleifend', '150', 'node', '1'),
('eleifend', '152', 'node', '0.906287'),
('eleifend', '153', 'node', '3.8861'),
('eleifend', '154', 'node', '5.79891'),
('eleifend', '155', 'node', '2.90974'),
('eleifend', '156', 'node', '0.942091'),
('eleifend', '157', 'node', '2'),
('eleifend', '158', 'node', '2.9496'),
('eleifend', '159', 'node', '2.9534'),
('eleifend', '160', 'node', '2'),
('eleifend', '161', 'node', '2'),
('eleifend', '162', 'node', '0.993146'),
('eleifend', '163', 'node', '2.99315'),
('eleifend', '164', 'node', '1.96587'),
('eleifend', '165', 'node', '3.90286'),
('eleifend', '166', 'node', '2.97286'),
('eleifend', '167', 'node', '0.931053'),
('eleifend', '168', 'node', '2.9496'),
('eleifend', '170', 'node', '1.94209'),
('eleifend', '171', 'node', '2'),
('eleifend', '172', 'node', '1.89945'),
('eleifend', '174', 'node', '0.869951'),
('eleifend', '175', 'node', '0.945829'),
('eleifend', '176', 'node', '1.89945'),
('eleifend', '177', 'node', '0.942091'),
('eleifend', '178', 'node', '2.90286'),
('eleifend', '179', 'node', '0.927431'),
('elementum', '12', 'node', '5.08594'),
('elementum', '14', 'node', '3.38836'),
('elementum', '16', 'node', '3.70719'),
('elementum', '17', 'node', '1'),
('elementum', '19', 'node', '1'),
('elementum', '21', 'node', '1'),
('elementum', '22', 'node', '2'),
('elementum', '24', 'node', '0.976851'),
('elementum', '26', 'node', '0.920273'),
('elementum', '27', 'node', '28.9931'),
('elementum', '30', 'node', '26.9029'),
('elementum', '31', 'node', '2.90029'),
('elementum', '33', 'node', '0.980874'),
('elementum', '34', 'node', '2.91894'),
('elementum', '35', 'node', '3'),
('elementum', '38', 'node', '2.91674'),
('elementum', '39', 'node', '1.9689'),
('elementum', '40', 'node', '2'),
('elementum', '41', 'node', '0.896076'),
('elementum', '42', 'node', '2'),
('elementum', '44', 'node', '1'),
('elementum', '46', 'node', '1.96498'),
('elementum', '50', 'node', '2'),
('elementum', '52', 'node', '1'),
('elementum', '53', 'node', '1'),
('elementum', '54', 'node', '2'),
('elementum', '55', 'node', '1'),
('elementum', '56', 'node', '1'),
('elementum', '57', 'node', '1'),
('elementum', '58', 'node', '2'),
('elementum', '65', 'node', '1'),
('elementum', '67', 'node', '1'),
('elementum', '68', 'node', '0.976851'),
('elementum', '71', 'node', '1'),
('elementum', '73', 'node', '1'),
('elementum', '83', 'node', '3'),
('elementum', '86', 'node', '2'),
('elementum', '87', 'node', '1'),
('elementum', '88', 'node', '2.96498'),
('elementum', '91', 'node', '1'),
('elementum', '92', 'node', '0.997306'),
('elementum', '93', 'node', '2'),
('elementum', '94', 'node', '1.94583'),
('elementum', '95', 'node', '2.78737'),
('elementum', '98', 'node', '1.9223'),
('elementum', '99', 'node', '0.96498'),
('elementum', '100', 'node', '3'),
('elementum', '101', 'node', '2.88106'),
('elementum', '102', 'node', '1.95723'),
('elementum', '103', 'node', '0.934703'),
('elementum', '104', 'node', '2'),
('elementum', '105', 'node', '1'),
('elementum', '121', 'node', '0.889397'),
('elementum', '122', 'node', '2'),
('elementum', '124', 'node', '2.90974'),
('elementum', '125', 'node', '1'),
('elementum', '127', 'node', '1'),
('elementum', '128', 'node', '1'),
('elementum', '129', 'node', '1'),
('elementum', '130', 'node', '1'),
('elementum', '131', 'node', '1'),
('elementum', '132', 'node', '1'),
('elementum', '136', 'node', '1'),
('elementum', '137', 'node', '2'),
('elementum', '142', 'node', '1'),
('elementum', '143', 'node', '1'),
('elementum', '145', 'node', '1'),
('elementum', '147', 'node', '0.857458'),
('elementum', '148', 'node', '1.84532'),
('elementum', '150', 'node', '0.989021'),
('elementum', '151', 'node', '2'),
('elementum', '152', 'node', '2.81302'),
('elementum', '153', 'node', '1'),
('elementum', '154', 'node', '0.906287'),
('elementum', '155', 'node', '2.82648'),
('elementum', '156', 'node', '1.94583'),
('elementum', '157', 'node', '2'),
('elementum', '158', 'node', '1'),
('elementum', '159', 'node', '1'),
('elementum', '160', 'node', '1'),
('elementum', '162', 'node', '2.96109'),
('elementum', '164', 'node', '0.957226'),
('elementum', '165', 'node', '2.95723'),
('elementum', '171', 'node', '2'),
('elementum', '172', 'node', '2.87313'),
('elementum', '174', 'node', '4.9537'),
('elementum', '175', 'node', '1'),
('elementum', '176', 'node', '28.8757'),
('elementum', '177', 'node', '3'),
('elementum', '178', 'node', '0.913226'),
('elementum', '179', 'node', '2.70669'),
('elit', '12', 'node', '3.533'),
('elit', '13', 'node', '1.9496'),
('elit', '14', 'node', '7.23306'),
('elit', '16', 'node', '3.66973'),
('elit', '17', 'node', '3'),
('elit', '18', 'node', '2.9347'),
('elit', '19', 'node', '3'),
('elit', '20', 'node', '3'),
('elit', '21', 'node', '1.99315'),
('elit', '22', 'node', '0.997306'),
('elit', '23', 'node', '1'),
('elit', '26', 'node', '2.91323'),
('elit', '27', 'node', '1'),
('elit', '28', 'node', '3'),
('elit', '29', 'node', '28'),
('elit', '31', 'node', '1'),
('elit', '32', 'node', '1'),
('elit', '33', 'node', '0.851346'),
('elit', '34', 'node', '2'),
('elit', '35', 'node', '1'),
('elit', '37', 'node', '1'),
('elit', '38', 'node', '0.879565'),
('elit', '39', 'node', '3'),
('elit', '41', 'node', '3.5035'),
('elit', '42', 'node', '2'),
('elit', '44', 'node', '1'),
('elit', '45', 'node', '1'),
('elit', '46', 'node', '1'),
('elit', '47', 'node', '2'),
('elit', '50', 'node', '0.968904'),
('elit', '52', 'node', '2.84706'),
('elit', '54', 'node', '2.90629'),
('elit', '55', 'node', '29'),
('elit', '56', 'node', '1'),
('elit', '58', 'node', '2'),
('elit', '65', 'node', '2'),
('elit', '67', 'node', '1.86995'),
('elit', '68', 'node', '1'),
('elit', '69', 'node', '2'),
('elit', '71', 'node', '0.961087'),
('elit', '73', 'node', '0.953396'),
('elit', '82', 'node', '1'),
('elit', '84', 'node', '1'),
('elit', '85', 'node', '1'),
('elit', '86', 'node', '1'),
('elit', '87', 'node', '2'),
('elit', '89', 'node', '2'),
('elit', '90', 'node', '2'),
('elit', '91', 'node', '1'),
('elit', '92', 'node', '4'),
('elit', '93', 'node', '0.916736'),
('elit', '94', 'node', '2.89193'),
('elit', '95', 'node', '2'),
('elit', '97', 'node', '1.8477'),
('elit', '98', 'node', '3.94209'),
('elit', '99', 'node', '3.98902'),
('elit', '100', 'node', '1'),
('elit', '101', 'node', '2.93395'),
('elit', '102', 'node', '2'),
('elit', '103', 'node', '1.96109'),
('elit', '104', 'node', '1.9496'),
('elit', '105', 'node', '1.92027'),
('elit', '121', 'node', '5'),
('elit', '122', 'node', '2'),
('elit', '123', 'node', '0.96498'),
('elit', '124', 'node', '0.920273'),
('elit', '125', 'node', '3'),
('elit', '126', 'node', '1'),
('elit', '129', 'node', '1'),
('elit', '130', 'node', '1'),
('elit', '131', 'node', '3.90629'),
('elit', '133', 'node', '1'),
('elit', '134', 'node', '2.93794'),
('elit', '136', 'node', '1'),
('elit', '137', 'node', '1'),
('elit', '138', 'node', '2'),
('elit', '139', 'node', '2'),
('elit', '142', 'node', '1'),
('elit', '143', 'node', '2'),
('elit', '144', 'node', '1'),
('elit', '146', 'node', '1'),
('elit', '147', 'node', '1.94209'),
('elit', '148', 'node', '1.88282'),
('elit', '150', 'node', '3.74484'),
('elit', '151', 'node', '1.96109'),
('elit', '152', 'node', '3.80914'),
('elit', '153', 'node', '3.75277'),
('elit', '154', 'node', '4'),
('elit', '155', 'node', '1.93105'),
('elit', '156', 'node', '1'),
('elit', '157', 'node', '2.96188'),
('elit', '158', 'node', '1.98493'),
('elit', '159', 'node', '1.98902'),
('elit', '160', 'node', '1'),
('elit', '161', 'node', '1'),
('elit', '162', 'node', '1.99731'),
('elit', '163', 'node', '0.993146'),
('elit', '164', 'node', '2'),
('elit', '165', 'node', '0.976851'),
('elit', '166', 'node', '2.9658'),
('elit', '169', 'node', '2'),
('elit', '170', 'node', '4'),
('elit', '171', 'node', '1'),
('elit', '172', 'node', '1.70271'),
('elit', '174', 'node', '3.57984'),
('elit', '175', 'node', '2.98902'),
('elit', '176', 'node', '1'),
('elit', '177', 'node', '5'),
('elit', '179', 'node', '1.86576'),
('elit', '183', 'node', '1'),
('email', '142', 'node', '1'),
('email', '143', 'node', '1'),
('email', '144', 'node', '1'),
('email', '173', 'node', '1'),
('ember', '38', 'node', '26'),
('enim', '12', 'node', '2.59166'),
('enim', '13', 'node', '2'),
('enim', '14', 'node', '5.95224'),
('enim', '16', 'node', '2.81268'),
('enim', '17', 'node', '1.97685'),
('enim', '18', 'node', '0.949597'),
('enim', '20', 'node', '1'),
('enim', '21', 'node', '2'),
('enim', '23', 'node', '1'),
('enim', '24', 'node', '2.93453'),
('enim', '26', 'node', '3'),
('enim', '30', 'node', '1'),
('enim', '33', 'node', '1'),
('enim', '34', 'node', '2'),
('enim', '35', 'node', '2'),
('enim', '37', 'node', '1'),
('enim', '38', 'node', '2.98902'),
('enim', '39', 'node', '1'),
('enim', '40', 'node', '1'),
('enim', '41', 'node', '2.77902'),
('enim', '44', 'node', '1.9496'),
('enim', '45', 'node', '2'),
('enim', '46', 'node', '3.86417'),
('enim', '52', 'node', '0.938382'),
('enim', '53', 'node', '2'),
('enim', '54', 'node', '2'),
('enim', '55', 'node', '0.96498'),
('enim', '56', 'node', '1'),
('enim', '57', 'node', '2'),
('enim', '58', 'node', '1'),
('enim', '65', 'node', '1'),
('enim', '67', 'node', '1'),
('enim', '71', 'node', '3.96109'),
('enim', '73', 'node', '5'),
('enim', '82', 'node', '2'),
('enim', '83', 'node', '3'),
('enim', '85', 'node', '3'),
('enim', '86', 'node', '1'),
('enim', '87', 'node', '3'),
('enim', '89', 'node', '2'),
('enim', '90', 'node', '1.94583'),
('enim', '92', 'node', '1'),
('enim', '93', 'node', '0.909743'),
('enim', '95', 'node', '2.93838'),
('enim', '96', 'node', '3'),
('enim', '97', 'node', '1'),
('enim', '98', 'node', '1.98493'),
('enim', '99', 'node', '2'),
('enim', '100', 'node', '1.97286'),
('enim', '101', 'node', '2'),
('enim', '102', 'node', '1'),
('enim', '103', 'node', '2'),
('enim', '104', 'node', '1.95723'),
('enim', '105', 'node', '2'),
('enim', '121', 'node', '1.80056'),
('enim', '122', 'node', '1.91558'),
('enim', '123', 'node', '3'),
('enim', '125', 'node', '1'),
('enim', '126', 'node', '3.88065'),
('enim', '127', 'node', '3'),
('enim', '129', 'node', '0.989021'),
('enim', '130', 'node', '29.9352'),
('enim', '131', 'node', '3.97402'),
('enim', '132', 'node', '1'),
('enim', '134', 'node', '1'),
('enim', '136', 'node', '1'),
('enim', '137', 'node', '1.97286'),
('enim', '143', 'node', '1'),
('enim', '145', 'node', '1'),
('enim', '146', 'node', '1'),
('enim', '147', 'node', '2.81151'),
('enim', '148', 'node', '2'),
('enim', '150', 'node', '2'),
('enim', '151', 'node', '3.90029'),
('enim', '152', 'node', '3'),
('enim', '154', 'node', '2.92743'),
('enim', '155', 'node', '3.88254'),
('enim', '156', 'node', '2.94583'),
('enim', '157', 'node', '2.91323'),
('enim', '158', 'node', '3.94576'),
('enim', '159', 'node', '3.95373'),
('enim', '160', 'node', '1'),
('enim', '162', 'node', '2.99731'),
('enim', '163', 'node', '2'),
('enim', '164', 'node', '3'),
('enim', '165', 'node', '1.95723'),
('enim', '166', 'node', '3'),
('enim', '167', 'node', '2'),
('enim', '170', 'node', '3.90729'),
('enim', '171', 'node', '1.90974'),
('enim', '172', 'node', '2.9347'),
('enim', '174', 'node', '0.873132'),
('enim', '176', 'node', '2.76891'),
('enim', '177', 'node', '2.93838'),
('enim', '179', 'node', '3.81903'),
('enim', '183', 'node', '1'),
('enim', '184', 'node', '1'),
('enterprise', '146', 'node', '26'),
('erat', '12', 'node', '2.99731'),
('erat', '13', 'node', '1'),
('erat', '14', 'node', '8.66226'),
('erat', '15', 'node', '4'),
('erat', '16', 'node', '3.9689'),
('erat', '17', 'node', '2'),
('erat', '18', 'node', '1.93794'),
('erat', '19', 'node', '1'),
('erat', '20', 'node', '3'),
('erat', '21', 'node', '28'),
('erat', '22', 'node', '2'),
('erat', '23', 'node', '1'),
('erat', '24', 'node', '4.9689'),
('erat', '26', 'node', '2.99731'),
('erat', '27', 'node', '1.99731'),
('erat', '28', 'node', '1'),
('erat', '29', 'node', '2'),
('erat', '30', 'node', '2.76921'),
('erat', '31', 'node', '2'),
('erat', '32', 'node', '2.95723'),
('erat', '33', 'node', '2.84793'),
('erat', '34', 'node', '3.94583'),
('erat', '35', 'node', '1.96498'),
('erat', '37', 'node', '4.88412'),
('erat', '38', 'node', '2'),
('erat', '39', 'node', '0.953396'),
('erat', '40', 'node', '31'),
('erat', '41', 'node', '1'),
('erat', '42', 'node', '1'),
('erat', '43', 'node', '0.976851'),
('erat', '44', 'node', '1'),
('erat', '45', 'node', '1.9534'),
('erat', '46', 'node', '1.94583'),
('erat', '47', 'node', '3'),
('erat', '50', 'node', '2.9347'),
('erat', '52', 'node', '2'),
('erat', '53', 'node', '1.99315'),
('erat', '54', 'node', '1'),
('erat', '55', 'node', '1'),
('erat', '56', 'node', '1.94209'),
('erat', '57', 'node', '3'),
('erat', '58', 'node', '3'),
('erat', '65', 'node', '7'),
('erat', '67', 'node', '1.90286'),
('erat', '68', 'node', '1'),
('erat', '69', 'node', '2'),
('erat', '71', 'node', '3'),
('erat', '73', 'node', '1.92384'),
('erat', '82', 'node', '2'),
('erat', '84', 'node', '1'),
('erat', '88', 'node', '1'),
('erat', '89', 'node', '1'),
('erat', '90', 'node', '1'),
('erat', '91', 'node', '1'),
('erat', '93', 'node', '0.892724'),
('erat', '94', 'node', '2.87679'),
('erat', '95', 'node', '2.94209'),
('erat', '96', 'node', '28'),
('erat', '97', 'node', '1.99731'),
('erat', '98', 'node', '4.93076'),
('erat', '99', 'node', '0.972861'),
('erat', '100', 'node', '1'),
('erat', '101', 'node', '3.94209'),
('erat', '102', 'node', '3.93388'),
('erat', '103', 'node', '1'),
('erat', '104', 'node', '1'),
('erat', '105', 'node', '2.94209'),
('erat', '121', 'node', '3.92027'),
('erat', '122', 'node', '0.997306'),
('erat', '123', 'node', '0.957226'),
('erat', '124', 'node', '1'),
('erat', '125', 'node', '3.87083'),
('erat', '126', 'node', '0.920273'),
('erat', '127', 'node', '28'),
('erat', '128', 'node', '3'),
('erat', '129', 'node', '3.99731'),
('erat', '130', 'node', '2'),
('erat', '131', 'node', '0.906287'),
('erat', '132', 'node', '1.96109'),
('erat', '133', 'node', '0.980874'),
('erat', '134', 'node', '1'),
('erat', '137', 'node', '29'),
('erat', '138', 'node', '2'),
('erat', '139', 'node', '5'),
('erat', '142', 'node', '1'),
('erat', '144', 'node', '1'),
('erat', '145', 'node', '1'),
('erat', '147', 'node', '5.62504'),
('erat', '148', 'node', '2'),
('erat', '150', 'node', '2.84055'),
('erat', '151', 'node', '1'),
('erat', '152', 'node', '3.84903'),
('erat', '153', 'node', '1'),
('erat', '154', 'node', '1.88033'),
('erat', '155', 'node', '1.84905'),
('erat', '156', 'node', '2'),
('erat', '157', 'node', '0.968904'),
('erat', '158', 'node', '2.98902'),
('erat', '159', 'node', '2.99315'),
('erat', '160', 'node', '1'),
('erat', '161', 'node', '1'),
('erat', '163', 'node', '2.9496'),
('erat', '164', 'node', '2.96109'),
('erat', '165', 'node', '2'),
('erat', '166', 'node', '27.9973'),
('erat', '167', 'node', '1'),
('erat', '168', 'node', '2.99315'),
('erat', '169', 'node', '2'),
('erat', '170', 'node', '2.98087'),
('erat', '171', 'node', '1.96109'),
('erat', '172', 'node', '4.63396'),
('erat', '174', 'node', '1.8249'),
('erat', '175', 'node', '1.93105'),
('erat', '176', 'node', '4.85968'),
('erat', '177', 'node', '2.59114'),
('erat', '178', 'node', '4.79893'),
('erat', '179', 'node', '7.67289'),
('eros', '12', 'node', '5.90178'),
('eros', '13', 'node', '0.902857'),
('eros', '14', 'node', '6.91926'),
('eros', '15', 'node', '1'),
('eros', '16', 'node', '1'),
('eros', '17', 'node', '1.97685'),
('eros', '18', 'node', '2'),
('eros', '19', 'node', '2'),
('eros', '20', 'node', '29'),
('eros', '21', 'node', '2'),
('eros', '22', 'node', '2'),
('eros', '23', 'node', '28'),
('eros', '25', 'node', '2'),
('eros', '26', 'node', '1.94209'),
('eros', '27', 'node', '1'),
('eros', '28', 'node', '1'),
('eros', '30', 'node', '1.79256'),
('eros', '31', 'node', '2.92743'),
('eros', '32', 'node', '1.99731'),
('eros', '33', 'node', '1.73472'),
('eros', '34', 'node', '0.989021'),
('eros', '35', 'node', '2'),
('eros', '37', 'node', '1'),
('eros', '38', 'node', '2.84532'),
('eros', '39', 'node', '1'),
('eros', '40', 'node', '2.98902'),
('eros', '41', 'node', '1.80275'),
('eros', '42', 'node', '1'),
('eros', '43', 'node', '1.89608'),
('eros', '45', 'node', '2'),
('eros', '46', 'node', '2'),
('eros', '47', 'node', '1'),
('eros', '50', 'node', '0.972861'),
('eros', '52', 'node', '3.94583'),
('eros', '54', 'node', '1'),
('eros', '55', 'node', '0.997306'),
('eros', '57', 'node', '1'),
('eros', '58', 'node', '1'),
('eros', '65', 'node', '1'),
('eros', '67', 'node', '0.882818'),
('eros', '69', 'node', '1'),
('eros', '73', 'node', '3.75202'),
('eros', '83', 'node', '1'),
('eros', '84', 'node', '3'),
('eros', '86', 'node', '1'),
('eros', '87', 'node', '1'),
('eros', '88', 'node', '0.968904'),
('eros', '89', 'node', '1.98493'),
('eros', '90', 'node', '3.93076'),
('eros', '91', 'node', '1'),
('eros', '92', 'node', '1'),
('eros', '93', 'node', '1'),
('eros', '94', 'node', '1'),
('eros', '95', 'node', '1.94209'),
('eros', '96', 'node', '1'),
('eros', '97', 'node', '1'),
('eros', '98', 'node', '1.98493'),
('eros', '99', 'node', '2'),
('eros', '101', 'node', '1.93105'),
('eros', '102', 'node', '2'),
('eros', '103', 'node', '1.9689'),
('eros', '104', 'node', '1'),
('eros', '105', 'node', '2'),
('eros', '121', 'node', '3.86995'),
('eros', '122', 'node', '2.98902'),
('eros', '123', 'node', '3.96498'),
('eros', '125', 'node', '5'),
('eros', '126', 'node', '1'),
('eros', '127', 'node', '2'),
('eros', '128', 'node', '3'),
('eros', '129', 'node', '2'),
('eros', '131', 'node', '1.90286'),
('eros', '132', 'node', '6.95723'),
('eros', '133', 'node', '1'),
('eros', '134', 'node', '2'),
('eros', '136', 'node', '0.961087'),
('eros', '137', 'node', '2'),
('eros', '139', 'node', '29'),
('eros', '142', 'node', '1'),
('eros', '145', 'node', '1'),
('eros', '146', 'node', '1'),
('eros', '147', 'node', '1.89945'),
('eros', '148', 'node', '2.84832'),
('eros', '150', 'node', '3.67165'),
('eros', '151', 'node', '0.902857'),
('eros', '152', 'node', '5'),
('eros', '153', 'node', '1'),
('eros', '154', 'node', '2'),
('eros', '155', 'node', '1.86737'),
('eros', '156', 'node', '1.9496'),
('eros', '157', 'node', '0.949597'),
('eros', '158', 'node', '1'),
('eros', '159', 'node', '1'),
('eros', '160', 'node', '3.94209'),
('eros', '161', 'node', '0.953396'),
('eros', '162', 'node', '1'),
('eros', '164', 'node', '0.96498'),
('eros', '165', 'node', '1.9534'),
('eros', '166', 'node', '0.96498'),
('eros', '167', 'node', '2'),
('eros', '168', 'node', '2'),
('eros', '169', 'node', '1'),
('eros', '171', 'node', '1.9242'),
('eros', '172', 'node', '1.86995'),
('eros', '174', 'node', '2.72434'),
('eros', '175', 'node', '0.906287'),
('eros', '176', 'node', '1.77549'),
('eros', '177', 'node', '2.89634'),
('eros', '178', 'node', '29.8695'),
('eros', '179', 'node', '1'),
('eros', '183', 'node', '1'),
('est', '12', 'node', '4.20854'),
('est', '13', 'node', '1.91323'),
('est', '14', 'node', '4.58243'),
('est', '15', 'node', '2'),
('est', '16', 'node', '0.819249'),
('est', '17', 'node', '1'),
('est', '18', 'node', '1.88466'),
('est', '20', 'node', '2'),
('est', '21', 'node', '1'),
('est', '23', 'node', '1'),
('est', '24', 'node', '1.98493'),
('est', '25', 'node', '1'),
('est', '27', 'node', '3'),
('est', '28', 'node', '12'),
('est', '29', 'node', '13.4945'),
('est', '30', 'node', '11.3391'),
('est', '31', 'node', '12.2017'),
('est', '32', 'node', '14.1554'),
('est', '33', 'node', '0.98493'),
('est', '35', 'node', '1.98087'),
('est', '37', 'node', '2'),
('est', '38', 'node', '0.972861'),
('est', '40', 'node', '4'),
('est', '41', 'node', '2.62308'),
('est', '42', 'node', '3'),
('est', '43', 'node', '4'),
('est', '44', 'node', '6'),
('est', '46', 'node', '1'),
('est', '47', 'node', '1.96498'),
('est', '50', 'node', '3.94602'),
('est', '52', 'node', '3'),
('est', '53', 'node', '2'),
('est', '54', 'node', '1'),
('est', '55', 'node', '2.96498'),
('est', '56', 'node', '0.980874'),
('est', '57', 'node', '5'),
('est', '67', 'node', '1'),
('est', '68', 'node', '1'),
('est', '71', 'node', '1'),
('est', '82', 'node', '1'),
('est', '83', 'node', '1'),
('est', '84', 'node', '5'),
('est', '85', 'node', '1'),
('est', '86', 'node', '2'),
('est', '87', 'node', '2.99731'),
('est', '88', 'node', '1'),
('est', '89', 'node', '2'),
('est', '90', 'node', '1'),
('est', '91', 'node', '1'),
('est', '92', 'node', '3'),
('est', '95', 'node', '2.83784'),
('est', '96', 'node', '1'),
('est', '97', 'node', '2.91869'),
('est', '98', 'node', '1.94583'),
('est', '100', 'node', '2'),
('est', '101', 'node', '2'),
('est', '102', 'node', '1'),
('est', '103', 'node', '2.91448'),
('est', '104', 'node', '1'),
('est', '105', 'node', '2'),
('est', '121', 'node', '1.98493'),
('est', '122', 'node', '3'),
('est', '123', 'node', '1'),
('est', '124', 'node', '0.906287'),
('est', '125', 'node', '1'),
('est', '127', 'node', '2'),
('est', '128', 'node', '4.97286'),
('est', '129', 'node', '3'),
('est', '130', 'node', '1'),
('est', '131', 'node', '3.89945'),
('est', '132', 'node', '2'),
('est', '134', 'node', '1'),
('est', '139', 'node', '4.99731'),
('est', '142', 'node', '1'),
('est', '143', 'node', '3'),
('est', '145', 'node', '1'),
('est', '146', 'node', '1'),
('est', '147', 'node', '3.78725'),
('est', '148', 'node', '2.82865'),
('est', '150', 'node', '2.88828'),
('est', '151', 'node', '2.99731'),
('est', '152', 'node', '1.91323'),
('est', '153', 'node', '1.8894'),
('est', '154', 'node', '5.70895'),
('est', '155', 'node', '2'),
('est', '156', 'node', '2.94209'),
('est', '160', 'node', '3'),
('est', '161', 'node', '3.98087'),
('est', '162', 'node', '1'),
('est', '163', 'node', '1.95723'),
('est', '164', 'node', '1.96498'),
('est', '167', 'node', '2'),
('est', '168', 'node', '2'),
('est', '170', 'node', '1'),
('est', '172', 'node', '5'),
('est', '174', 'node', '0.920273'),
('est', '175', 'node', '1.85245'),
('est', '176', 'node', '4.92743'),
('est', '177', 'node', '1'),
('est', '178', 'node', '2.85532'),
('est', '179', 'node', '1.98087'),
('etiam', '12', 'node', '4.45538'),
('etiam', '13', 'node', '2'),
('etiam', '14', 'node', '31.9488'),
('etiam', '15', 'node', '2'),
('etiam', '17', 'node', '1.89169'),
('etiam', '18', 'node', '2'),
('etiam', '19', 'node', '1'),
('etiam', '22', 'node', '1'),
('etiam', '23', 'node', '4'),
('etiam', '26', 'node', '0.927431'),
('etiam', '27', 'node', '1'),
('etiam', '29', 'node', '0.98493'),
('etiam', '30', 'node', '2.80309'),
('etiam', '31', 'node', '1'),
('etiam', '32', 'node', '0.997306'),
('etiam', '35', 'node', '2.94177'),
('etiam', '37', 'node', '1'),
('etiam', '38', 'node', '1.9534'),
('etiam', '40', 'node', '1'),
('etiam', '41', 'node', '1'),
('etiam', '42', 'node', '1'),
('etiam', '43', 'node', '1'),
('etiam', '44', 'node', '0.976851'),
('etiam', '45', 'node', '4.85639'),
('etiam', '46', 'node', '1'),
('etiam', '47', 'node', '1'),
('etiam', '50', 'node', '3.9347'),
('etiam', '53', 'node', '2'),
('etiam', '54', 'node', '1.9534'),
('etiam', '55', 'node', '0.968904'),
('etiam', '56', 'node', '1'),
('etiam', '65', 'node', '1'),
('etiam', '67', 'node', '0.873132'),
('etiam', '68', 'node', '2'),
('etiam', '69', 'node', '1'),
('etiam', '71', 'node', '1.96498'),
('etiam', '73', 'node', '0.931053'),
('etiam', '83', 'node', '0.980874'),
('etiam', '84', 'node', '1'),
('etiam', '85', 'node', '1'),
('etiam', '86', 'node', '0.972861'),
('etiam', '88', 'node', '2.97416'),
('etiam', '89', 'node', '1'),
('etiam', '90', 'node', '1'),
('etiam', '92', 'node', '1'),
('etiam', '93', 'node', '0.989021'),
('etiam', '95', 'node', '2.97685'),
('etiam', '96', 'node', '1'),
('etiam', '97', 'node', '1'),
('etiam', '98', 'node', '1.94209'),
('etiam', '99', 'node', '1'),
('etiam', '100', 'node', '1.9496'),
('etiam', '101', 'node', '2'),
('etiam', '103', 'node', '1.90361'),
('etiam', '104', 'node', '2'),
('etiam', '105', 'node', '0.953396'),
('etiam', '121', 'node', '1.92384'),
('etiam', '123', 'node', '1'),
('etiam', '124', 'node', '0.972861'),
('etiam', '125', 'node', '1'),
('etiam', '126', 'node', '1'),
('etiam', '127', 'node', '1'),
('etiam', '130', 'node', '2.98493'),
('etiam', '131', 'node', '3.79891'),
('etiam', '133', 'node', '1'),
('etiam', '134', 'node', '1'),
('etiam', '136', 'node', '1'),
('etiam', '143', 'node', '1'),
('etiam', '147', 'node', '1.86055'),
('etiam', '148', 'node', '2'),
('etiam', '151', 'node', '1'),
('etiam', '152', 'node', '1.87293'),
('etiam', '153', 'node', '2.8861'),
('etiam', '154', 'node', '0.938382'),
('etiam', '157', 'node', '1'),
('etiam', '158', 'node', '2'),
('etiam', '159', 'node', '2'),
('etiam', '161', 'node', '1'),
('etiam', '162', 'node', '2'),
('etiam', '163', 'node', '1'),
('etiam', '165', 'node', '2'),
('etiam', '171', 'node', '0.968904'),
('etiam', '172', 'node', '2'),
('etiam', '174', 'node', '6.75038'),
('etiam', '175', 'node', '4.75434'),
('etiam', '176', 'node', '0.920273'),
('etiam', '177', 'node', '2'),
('etiam', '178', 'node', '2.87367'),
('etiam', '179', 'node', '0.997306'),
('euismod', '12', 'node', '3.44647'),
('euismod', '13', 'node', '1.92027'),
('euismod', '14', 'node', '1.74216'),
('euismod', '15', 'node', '1'),
('euismod', '16', 'node', '0.923838'),
('euismod', '17', 'node', '2'),
('euismod', '19', 'node', '1'),
('euismod', '21', 'node', '1'),
('euismod', '22', 'node', '2.99731'),
('euismod', '23', 'node', '1'),
('euismod', '24', 'node', '1.98493'),
('euismod', '25', 'node', '1'),
('euismod', '26', 'node', '2'),
('euismod', '27', 'node', '2'),
('euismod', '28', 'node', '3'),
('euismod', '29', 'node', '1'),
('euismod', '30', 'node', '1'),
('euismod', '31', 'node', '2'),
('euismod', '32', 'node', '1.94209'),
('euismod', '33', 'node', '3.68575'),
('euismod', '35', 'node', '0.968904'),
('euismod', '37', 'node', '11'),
('euismod', '38', 'node', '0.916736'),
('euismod', '39', 'node', '1'),
('euismod', '40', 'node', '12'),
('euismod', '41', 'node', '11'),
('euismod', '42', 'node', '2'),
('euismod', '44', 'node', '1.93784'),
('euismod', '46', 'node', '3.89919'),
('euismod', '47', 'node', '3'),
('euismod', '50', 'node', '1.93111'),
('euismod', '52', 'node', '1.92384'),
('euismod', '53', 'node', '1.99315'),
('euismod', '54', 'node', '1'),
('euismod', '55', 'node', '1.96109'),
('euismod', '56', 'node', '2'),
('euismod', '57', 'node', '1'),
('euismod', '58', 'node', '2'),
('euismod', '67', 'node', '1.83811'),
('euismod', '69', 'node', '2'),
('euismod', '71', 'node', '2'),
('euismod', '87', 'node', '3'),
('euismod', '88', 'node', '1'),
('euismod', '90', 'node', '1.88792'),
('euismod', '92', 'node', '1.98493'),
('euismod', '94', 'node', '0.961087'),
('euismod', '95', 'node', '1'),
('euismod', '97', 'node', '1'),
('euismod', '99', 'node', '1'),
('euismod', '101', 'node', '1'),
('euismod', '102', 'node', '5.95723'),
('euismod', '103', 'node', '2.97395'),
('euismod', '104', 'node', '2'),
('euismod', '105', 'node', '12.9203'),
('euismod', '121', 'node', '1.99731'),
('euismod', '122', 'node', '2.9534'),
('euismod', '123', 'node', '1.9534'),
('euismod', '124', 'node', '2.78731'),
('euismod', '125', 'node', '0.942091'),
('euismod', '131', 'node', '1'),
('euismod', '133', 'node', '3.98087'),
('euismod', '137', 'node', '2'),
('euismod', '138', 'node', '1'),
('euismod', '139', 'node', '1'),
('euismod', '146', 'node', '1'),
('euismod', '147', 'node', '3.60352'),
('euismod', '148', 'node', '1.92027'),
('euismod', '150', 'node', '4.73006'),
('euismod', '152', 'node', '0.997306'),
('euismod', '153', 'node', '2'),
('euismod', '154', 'node', '1.89608'),
('euismod', '155', 'node', '1'),
('euismod', '156', 'node', '0.931053'),
('euismod', '158', 'node', '1'),
('euismod', '159', 'node', '1'),
('euismod', '160', 'node', '3.92384'),
('euismod', '161', 'node', '1.94583'),
('euismod', '162', 'node', '2'),
('euismod', '163', 'node', '1.98087'),
('euismod', '164', 'node', '2.86885'),
('euismod', '165', 'node', '1'),
('euismod', '166', 'node', '3'),
('euismod', '168', 'node', '3'),
('euismod', '169', 'node', '1'),
('euismod', '170', 'node', '2'),
('euismod', '171', 'node', '0.96498'),
('euismod', '172', 'node', '3.582'),
('euismod', '174', 'node', '0.819249'),
('euismod', '175', 'node', '3.78773'),
('euismod', '176', 'node', '1.92384'),
('euismod', '177', 'node', '1.96109'),
('euismod', '178', 'node', '1.8894'),
('euismod', '184', 'node', '1'),
('ever', '152', 'node', '26'),
('examplecom', '65', 'node', '11'),
('examplecom', '68', 'node', '11'),
('examplecom', '71', 'node', '11'),
('examplecom', '73', 'node', '11'),
('examplecom', '132', 'node', '11'),
('experience', '174', 'node', '26'),
('facilisi', '12', 'node', '0.889397'),
('facilisi', '14', 'node', '2.64539'),
('facilisi', '18', 'node', '2'),
('facilisi', '24', 'node', '1'),
('facilisi', '32', 'node', '1'),
('facilisi', '41', 'node', '0.863659'),
('facilisi', '44', 'node', '1'),
('facilisi', '50', 'node', '1'),
('facilisi', '57', 'node', '1'),
('facilisi', '58', 'node', '1'),
('facilisi', '67', 'node', '1'),
('facilisi', '71', 'node', '1'),
('facilisi', '83', 'node', '1'),
('facilisi', '91', 'node', '1'),
('facilisi', '94', 'node', '1'),
('facilisi', '95', 'node', '1'),
('facilisi', '123', 'node', '0.961087'),
('facilisi', '129', 'node', '1'),
('facilisi', '130', 'node', '1'),
('facilisi', '131', 'node', '0.96498'),
('facilisi', '150', 'node', '1.96109'),
('facilisi', '151', 'node', '1'),
('facilisi', '153', 'node', '0.913226'),
('facilisi', '167', 'node', '1'),
('facilisi', '171', 'node', '1'),
('facilisis', '12', 'node', '3.49566'),
('facilisis', '13', 'node', '3'),
('facilisis', '14', 'node', '9.73823'),
('facilisis', '15', 'node', '3'),
('facilisis', '16', 'node', '5'),
('facilisis', '17', 'node', '1'),
('facilisis', '19', 'node', '1'),
('facilisis', '20', 'node', '2'),
('facilisis', '21', 'node', '2'),
('facilisis', '22', 'node', '1'),
('facilisis', '23', 'node', '2'),
('facilisis', '24', 'node', '1'),
('facilisis', '25', 'node', '2'),
('facilisis', '26', 'node', '2.9534'),
('facilisis', '27', 'node', '1'),
('facilisis', '28', 'node', '30'),
('facilisis', '29', 'node', '1'),
('facilisis', '30', 'node', '1.88282'),
('facilisis', '31', 'node', '1.92743'),
('facilisis', '32', 'node', '1'),
('facilisis', '33', 'node', '0.997306'),
('facilisis', '34', 'node', '1'),
('facilisis', '38', 'node', '1.9347'),
('facilisis', '39', 'node', '2'),
('facilisis', '40', 'node', '2.98493'),
('facilisis', '41', 'node', '1.74874'),
('facilisis', '42', 'node', '2'),
('facilisis', '43', 'node', '2'),
('facilisis', '44', 'node', '1.91068'),
('facilisis', '45', 'node', '1.9496'),
('facilisis', '46', 'node', '0.957226'),
('facilisis', '47', 'node', '2'),
('facilisis', '50', 'node', '1'),
('facilisis', '52', 'node', '1'),
('facilisis', '53', 'node', '1'),
('facilisis', '55', 'node', '1'),
('facilisis', '56', 'node', '1'),
('facilisis', '65', 'node', '1'),
('facilisis', '67', 'node', '2.87957'),
('facilisis', '68', 'node', '0.997306'),
('facilisis', '69', 'node', '1'),
('facilisis', '71', 'node', '1.92607'),
('facilisis', '82', 'node', '1'),
('facilisis', '83', 'node', '4'),
('facilisis', '84', 'node', '3'),
('facilisis', '85', 'node', '3'),
('facilisis', '86', 'node', '1'),
('facilisis', '87', 'node', '1'),
('facilisis', '88', 'node', '1.96229'),
('facilisis', '89', 'node', '1'),
('facilisis', '91', 'node', '1'),
('facilisis', '92', 'node', '1'),
('facilisis', '93', 'node', '1'),
('facilisis', '97', 'node', '2'),
('facilisis', '98', 'node', '1'),
('facilisis', '99', 'node', '1.97286'),
('facilisis', '100', 'node', '1'),
('facilisis', '101', 'node', '2'),
('facilisis', '102', 'node', '1'),
('facilisis', '105', 'node', '1.90988'),
('facilisis', '121', 'node', '0.873132'),
('facilisis', '122', 'node', '1'),
('facilisis', '124', 'node', '0.945829'),
('facilisis', '125', 'node', '2.92027'),
('facilisis', '126', 'node', '2'),
('facilisis', '128', 'node', '4.93833'),
('facilisis', '130', 'node', '2'),
('facilisis', '133', 'node', '1'),
('facilisis', '134', 'node', '1'),
('facilisis', '136', 'node', '1'),
('facilisis', '137', 'node', '1'),
('facilisis', '138', 'node', '1'),
('facilisis', '139', 'node', '1'),
('facilisis', '142', 'node', '1'),
('facilisis', '143', 'node', '2'),
('facilisis', '147', 'node', '2.72406'),
('facilisis', '148', 'node', '3.51294'),
('facilisis', '150', 'node', '2.95723'),
('facilisis', '152', 'node', '2.97685'),
('facilisis', '153', 'node', '2.73674'),
('facilisis', '154', 'node', '1'),
('facilisis', '155', 'node', '2.90167'),
('facilisis', '156', 'node', '2'),
('facilisis', '157', 'node', '5.85532'),
('facilisis', '160', 'node', '2'),
('facilisis', '161', 'node', '1'),
('facilisis', '162', 'node', '1.9689'),
('facilisis', '163', 'node', '2'),
('facilisis', '164', 'node', '1'),
('facilisis', '165', 'node', '2.95723'),
('facilisis', '166', 'node', '1'),
('facilisis', '168', 'node', '1'),
('facilisis', '170', 'node', '1'),
('facilisis', '171', 'node', '0.961087'),
('facilisis', '172', 'node', '3.52522'),
('facilisis', '174', 'node', '0.816452'),
('facilisis', '175', 'node', '1'),
('facilisis', '176', 'node', '2.70036'),
('facilisis', '177', 'node', '0.860547'),
('facilisis', '178', 'node', '2.8477'),
('facilisis', '179', 'node', '1'),
('fames', '12', 'node', '0.784336'),
('fames', '14', 'node', '1.64086'),
('fames', '18', 'node', '1'),
('fames', '24', 'node', '1'),
('fames', '26', 'node', '0.976851'),
('fames', '27', 'node', '0.980874'),
('fames', '30', 'node', '2'),
('fames', '34', 'node', '1'),
('fames', '35', 'node', '1'),
('fames', '37', 'node', '1'),
('fames', '39', 'node', '11'),
('fames', '40', 'node', '1'),
('fames', '41', 'node', '12'),
('fames', '44', 'node', '0.98493'),
('fames', '56', 'node', '1'),
('fames', '67', 'node', '1'),
('fames', '82', 'node', '1'),
('fames', '85', 'node', '1'),
('fames', '91', 'node', '1'),
('fames', '97', 'node', '1'),
('fames', '124', 'node', '0.980874'),
('fames', '133', 'node', '1'),
('fames', '134', 'node', '1'),
('fames', '137', 'node', '1'),
('fames', '142', 'node', '1'),
('fames', '144', 'node', '1'),
('fames', '146', 'node', '1'),
('fames', '147', 'node', '1'),
('fames', '148', 'node', '2'),
('fames', '151', 'node', '0.909743'),
('fames', '156', 'node', '1.96109'),
('fames', '162', 'node', '1.94583'),
('fames', '163', 'node', '0.96498'),
('fames', '170', 'node', '1.97395'),
('fames', '171', 'node', '1'),
('fames', '172', 'node', '0.953396'),
('fames', '176', 'node', '1'),
('fames', '178', 'node', '0.972861'),
('faucibus', '13', 'node', '28.9238'),
('faucibus', '14', 'node', '3.23028'),
('faucibus', '15', 'node', '3'),
('faucibus', '16', 'node', '4.22961'),
('faucibus', '17', 'node', '1'),
('faucibus', '18', 'node', '3'),
('faucibus', '19', 'node', '1'),
('faucibus', '21', 'node', '2'),
('faucibus', '22', 'node', '1'),
('faucibus', '24', 'node', '3.92331'),
('faucibus', '26', 'node', '1.9534'),
('faucibus', '27', 'node', '0.968904'),
('faucibus', '29', 'node', '1'),
('faucibus', '30', 'node', '1'),
('faucibus', '32', 'node', '1'),
('faucibus', '33', 'node', '27.87'),
('faucibus', '34', 'node', '2'),
('faucibus', '35', 'node', '1.98087'),
('faucibus', '37', 'node', '1'),
('faucibus', '38', 'node', '1.97286'),
('faucibus', '39', 'node', '1'),
('faucibus', '40', 'node', '2'),
('faucibus', '41', 'node', '3.9242'),
('faucibus', '43', 'node', '1'),
('faucibus', '44', 'node', '1'),
('faucibus', '45', 'node', '1'),
('faucibus', '46', 'node', '1'),
('faucibus', '47', 'node', '1.98902'),
('faucibus', '50', 'node', '2'),
('faucibus', '52', 'node', '2.98087'),
('faucibus', '55', 'node', '1'),
('faucibus', '56', 'node', '1.99731'),
('faucibus', '57', 'node', '4'),
('faucibus', '67', 'node', '4'),
('faucibus', '68', 'node', '1.98493'),
('faucibus', '71', 'node', '1'),
('faucibus', '73', 'node', '1.8861'),
('faucibus', '82', 'node', '1'),
('faucibus', '83', 'node', '1'),
('faucibus', '84', 'node', '1'),
('faucibus', '85', 'node', '2'),
('faucibus', '86', 'node', '1.9689');
INSERT INTO `search_index` VALUES
('faucibus', '87', 'node', '0.989021'),
('faucibus', '89', 'node', '5'),
('faucibus', '90', 'node', '2'),
('faucibus', '91', 'node', '1'),
('faucibus', '92', 'node', '1.99731'),
('faucibus', '93', 'node', '1.98493'),
('faucibus', '94', 'node', '3'),
('faucibus', '95', 'node', '1.95723'),
('faucibus', '96', 'node', '2.98902'),
('faucibus', '97', 'node', '1'),
('faucibus', '98', 'node', '1'),
('faucibus', '99', 'node', '3.96498'),
('faucibus', '100', 'node', '3.95793'),
('faucibus', '102', 'node', '3'),
('faucibus', '103', 'node', '3.9347'),
('faucibus', '104', 'node', '1.98493'),
('faucibus', '121', 'node', '1.93105'),
('faucibus', '122', 'node', '2'),
('faucibus', '123', 'node', '2.96498'),
('faucibus', '124', 'node', '2'),
('faucibus', '125', 'node', '1.96498'),
('faucibus', '126', 'node', '2.92027'),
('faucibus', '127', 'node', '1'),
('faucibus', '129', 'node', '2'),
('faucibus', '130', 'node', '1'),
('faucibus', '132', 'node', '2'),
('faucibus', '133', 'node', '2.97286'),
('faucibus', '134', 'node', '1'),
('faucibus', '137', 'node', '3'),
('faucibus', '138', 'node', '1'),
('faucibus', '139', 'node', '3'),
('faucibus', '142', 'node', '3'),
('faucibus', '146', 'node', '1'),
('faucibus', '147', 'node', '2.85746'),
('faucibus', '148', 'node', '1.72789'),
('faucibus', '150', 'node', '2.86836'),
('faucibus', '151', 'node', '1'),
('faucibus', '152', 'node', '1'),
('faucibus', '154', 'node', '2.79218'),
('faucibus', '155', 'node', '29.8856'),
('faucibus', '156', 'node', '0.957226'),
('faucibus', '157', 'node', '1'),
('faucibus', '158', 'node', '2'),
('faucibus', '159', 'node', '2'),
('faucibus', '160', 'node', '3'),
('faucibus', '161', 'node', '4.87291'),
('faucibus', '162', 'node', '2.94583'),
('faucibus', '163', 'node', '1'),
('faucibus', '164', 'node', '2'),
('faucibus', '165', 'node', '2.9689'),
('faucibus', '168', 'node', '1.99315'),
('faucibus', '170', 'node', '3.95383'),
('faucibus', '171', 'node', '1'),
('faucibus', '172', 'node', '4.5468'),
('faucibus', '174', 'node', '3'),
('faucibus', '175', 'node', '0.968904'),
('faucibus', '176', 'node', '3'),
('faucibus', '177', 'node', '2.93838'),
('faucibus', '178', 'node', '1.96109'),
('faucibus', '179', 'node', '3'),
('faucibus', '183', 'node', '1'),
('felis', '12', 'node', '1.8212'),
('felis', '13', 'node', '1'),
('felis', '14', 'node', '4.45215'),
('felis', '15', 'node', '1'),
('felis', '16', 'node', '3.89272'),
('felis', '17', 'node', '1.94583'),
('felis', '18', 'node', '0.938382'),
('felis', '21', 'node', '1'),
('felis', '22', 'node', '1'),
('felis', '23', 'node', '1'),
('felis', '24', 'node', '2.95793'),
('felis', '26', 'node', '1'),
('felis', '27', 'node', '1'),
('felis', '29', 'node', '0.96498'),
('felis', '30', 'node', '4.91674'),
('felis', '31', 'node', '2.97402'),
('felis', '32', 'node', '3.94209'),
('felis', '33', 'node', '1.95723'),
('felis', '34', 'node', '1'),
('felis', '35', 'node', '1'),
('felis', '37', 'node', '2'),
('felis', '38', 'node', '2.89313'),
('felis', '39', 'node', '2.97685'),
('felis', '40', 'node', '2'),
('felis', '42', 'node', '1'),
('felis', '43', 'node', '2'),
('felis', '44', 'node', '2'),
('felis', '45', 'node', '2.98087'),
('felis', '50', 'node', '1'),
('felis', '52', 'node', '2.86737'),
('felis', '53', 'node', '1.98493'),
('felis', '54', 'node', '2.93111'),
('felis', '55', 'node', '1.95723'),
('felis', '56', 'node', '3.93833'),
('felis', '57', 'node', '1'),
('felis', '58', 'node', '4'),
('felis', '68', 'node', '2'),
('felis', '69', 'node', '1'),
('felis', '71', 'node', '1'),
('felis', '73', 'node', '1.97286'),
('felis', '82', 'node', '2'),
('felis', '83', 'node', '5'),
('felis', '84', 'node', '2'),
('felis', '85', 'node', '1'),
('felis', '86', 'node', '7'),
('felis', '87', 'node', '2'),
('felis', '88', 'node', '2'),
('felis', '89', 'node', '1'),
('felis', '91', 'node', '1'),
('felis', '92', 'node', '29.9809'),
('felis', '95', 'node', '1'),
('felis', '96', 'node', '1'),
('felis', '97', 'node', '1'),
('felis', '99', 'node', '1'),
('felis', '100', 'node', '2.87703'),
('felis', '101', 'node', '0.980874'),
('felis', '102', 'node', '1'),
('felis', '105', 'node', '1'),
('felis', '122', 'node', '1'),
('felis', '123', 'node', '1.9534'),
('felis', '124', 'node', '1.90286'),
('felis', '129', 'node', '2'),
('felis', '130', 'node', '2'),
('felis', '131', 'node', '0.934703'),
('felis', '132', 'node', '1'),
('felis', '133', 'node', '1.96498'),
('felis', '134', 'node', '1'),
('felis', '137', 'node', '4'),
('felis', '138', 'node', '3'),
('felis', '139', 'node', '1'),
('felis', '145', 'node', '1'),
('felis', '147', 'node', '2.78101'),
('felis', '148', 'node', '3.79574'),
('felis', '150', 'node', '4.6471'),
('felis', '151', 'node', '3.92384'),
('felis', '152', 'node', '3.80953'),
('felis', '153', 'node', '2.68196'),
('felis', '154', 'node', '1'),
('felis', '155', 'node', '5.77515'),
('felis', '156', 'node', '2'),
('felis', '160', 'node', '1'),
('felis', '161', 'node', '1'),
('felis', '162', 'node', '2'),
('felis', '163', 'node', '1'),
('felis', '165', 'node', '3'),
('felis', '166', 'node', '1.98087'),
('felis', '167', 'node', '3.85489'),
('felis', '168', 'node', '1'),
('felis', '169', 'node', '2'),
('felis', '170', 'node', '1.97286'),
('felis', '171', 'node', '2'),
('felis', '172', 'node', '1.74664'),
('felis', '174', 'node', '2'),
('felis', '175', 'node', '7.82175'),
('felis', '176', 'node', '5.58136'),
('felis', '177', 'node', '0.989021'),
('felis', '179', 'node', '3.8034'),
('felis', '184', 'node', '1'),
('fermentum', '12', 'node', '1.70163'),
('fermentum', '13', 'node', '1.93105'),
('fermentum', '14', 'node', '1.80007'),
('fermentum', '15', 'node', '1'),
('fermentum', '16', 'node', '1'),
('fermentum', '18', 'node', '3'),
('fermentum', '19', 'node', '2'),
('fermentum', '21', 'node', '2'),
('fermentum', '23', 'node', '3'),
('fermentum', '24', 'node', '1'),
('fermentum', '25', 'node', '3'),
('fermentum', '26', 'node', '1'),
('fermentum', '27', 'node', '2.9534'),
('fermentum', '31', 'node', '2.95723'),
('fermentum', '32', 'node', '1'),
('fermentum', '33', 'node', '1'),
('fermentum', '35', 'node', '1.9534'),
('fermentum', '37', 'node', '1.95723'),
('fermentum', '38', 'node', '1.90286'),
('fermentum', '39', 'node', '2.97685'),
('fermentum', '40', 'node', '1'),
('fermentum', '41', 'node', '1.86055'),
('fermentum', '43', 'node', '0.98493'),
('fermentum', '44', 'node', '3'),
('fermentum', '46', 'node', '1.9496'),
('fermentum', '47', 'node', '2'),
('fermentum', '50', 'node', '2'),
('fermentum', '52', 'node', '1'),
('fermentum', '53', 'node', '1'),
('fermentum', '54', 'node', '0.961087'),
('fermentum', '55', 'node', '4'),
('fermentum', '57', 'node', '1'),
('fermentum', '67', 'node', '3.77599'),
('fermentum', '68', 'node', '0.98493'),
('fermentum', '73', 'node', '1.92384'),
('fermentum', '83', 'node', '1'),
('fermentum', '84', 'node', '3'),
('fermentum', '85', 'node', '1'),
('fermentum', '86', 'node', '1'),
('fermentum', '88', 'node', '2'),
('fermentum', '89', 'node', '0.98493'),
('fermentum', '91', 'node', '1'),
('fermentum', '94', 'node', '1.97286'),
('fermentum', '95', 'node', '1'),
('fermentum', '97', 'node', '2'),
('fermentum', '98', 'node', '1'),
('fermentum', '99', 'node', '5.96498'),
('fermentum', '100', 'node', '2'),
('fermentum', '101', 'node', '0.938382'),
('fermentum', '102', 'node', '28'),
('fermentum', '105', 'node', '1'),
('fermentum', '121', 'node', '1.86995'),
('fermentum', '122', 'node', '3'),
('fermentum', '123', 'node', '1'),
('fermentum', '124', 'node', '1'),
('fermentum', '125', 'node', '3.88172'),
('fermentum', '126', 'node', '1.9496'),
('fermentum', '127', 'node', '1'),
('fermentum', '129', 'node', '1'),
('fermentum', '131', 'node', '0.909743'),
('fermentum', '133', 'node', '1'),
('fermentum', '134', 'node', '1'),
('fermentum', '136', 'node', '2'),
('fermentum', '137', 'node', '1'),
('fermentum', '138', 'node', '1'),
('fermentum', '139', 'node', '1'),
('fermentum', '146', 'node', '1'),
('fermentum', '147', 'node', '1.91323'),
('fermentum', '148', 'node', '3.71287'),
('fermentum', '150', 'node', '0.906287'),
('fermentum', '152', 'node', '0.916736'),
('fermentum', '153', 'node', '1.91674'),
('fermentum', '154', 'node', '1.92384'),
('fermentum', '155', 'node', '3'),
('fermentum', '157', 'node', '1'),
('fermentum', '158', 'node', '2'),
('fermentum', '159', 'node', '2'),
('fermentum', '160', 'node', '1'),
('fermentum', '161', 'node', '1'),
('fermentum', '163', 'node', '2'),
('fermentum', '165', 'node', '3.91445'),
('fermentum', '166', 'node', '2.97685'),
('fermentum', '168', 'node', '1'),
('fermentum', '169', 'node', '1'),
('fermentum', '170', 'node', '2.94583'),
('fermentum', '171', 'node', '2'),
('fermentum', '172', 'node', '1.91062'),
('fermentum', '174', 'node', '3'),
('fermentum', '175', 'node', '1'),
('fermentum', '176', 'node', '0.892724'),
('fermentum', '177', 'node', '2.97017'),
('fermentum', '178', 'node', '1'),
('fermentum', '179', 'node', '1'),
('feugiat', '12', 'node', '3.55831'),
('feugiat', '13', 'node', '2'),
('feugiat', '14', 'node', '6.24757'),
('feugiat', '15', 'node', '0.989021'),
('feugiat', '16', 'node', '1'),
('feugiat', '17', 'node', '27.9769'),
('feugiat', '18', 'node', '1'),
('feugiat', '19', 'node', '2'),
('feugiat', '20', 'node', '1'),
('feugiat', '22', 'node', '1'),
('feugiat', '24', 'node', '1'),
('feugiat', '26', 'node', '1'),
('feugiat', '27', 'node', '1'),
('feugiat', '28', 'node', '3'),
('feugiat', '30', 'node', '1'),
('feugiat', '31', 'node', '0.945829'),
('feugiat', '32', 'node', '1'),
('feugiat', '33', 'node', '0.863659'),
('feugiat', '34', 'node', '1'),
('feugiat', '35', 'node', '10.363'),
('feugiat', '37', 'node', '1'),
('feugiat', '38', 'node', '2.94209'),
('feugiat', '39', 'node', '2'),
('feugiat', '40', 'node', '1'),
('feugiat', '41', 'node', '1'),
('feugiat', '42', 'node', '1'),
('feugiat', '44', 'node', '2.9689'),
('feugiat', '46', 'node', '1'),
('feugiat', '50', 'node', '1'),
('feugiat', '52', 'node', '1'),
('feugiat', '53', 'node', '2'),
('feugiat', '54', 'node', '1'),
('feugiat', '55', 'node', '1'),
('feugiat', '56', 'node', '1'),
('feugiat', '57', 'node', '2'),
('feugiat', '65', 'node', '1'),
('feugiat', '67', 'node', '0.899454'),
('feugiat', '68', 'node', '1.9689'),
('feugiat', '69', 'node', '1'),
('feugiat', '71', 'node', '1'),
('feugiat', '73', 'node', '2.92027'),
('feugiat', '82', 'node', '2'),
('feugiat', '86', 'node', '1'),
('feugiat', '87', 'node', '2'),
('feugiat', '88', 'node', '1'),
('feugiat', '90', 'node', '2'),
('feugiat', '93', 'node', '1'),
('feugiat', '95', 'node', '1.9689'),
('feugiat', '96', 'node', '3'),
('feugiat', '97', 'node', '3.91323'),
('feugiat', '98', 'node', '2'),
('feugiat', '101', 'node', '1'),
('feugiat', '102', 'node', '2.98493'),
('feugiat', '103', 'node', '1.90756'),
('feugiat', '104', 'node', '1.9347'),
('feugiat', '105', 'node', '1'),
('feugiat', '121', 'node', '3.76916'),
('feugiat', '122', 'node', '2'),
('feugiat', '124', 'node', '1'),
('feugiat', '125', 'node', '2'),
('feugiat', '126', 'node', '0.949597'),
('feugiat', '127', 'node', '1'),
('feugiat', '128', 'node', '1'),
('feugiat', '129', 'node', '1'),
('feugiat', '131', 'node', '1.99731'),
('feugiat', '132', 'node', '1'),
('feugiat', '134', 'node', '2.97685'),
('feugiat', '137', 'node', '0.997306'),
('feugiat', '138', 'node', '28'),
('feugiat', '139', 'node', '2'),
('feugiat', '147', 'node', '2'),
('feugiat', '148', 'node', '1'),
('feugiat', '150', 'node', '2'),
('feugiat', '151', 'node', '1.97286'),
('feugiat', '153', 'node', '2'),
('feugiat', '154', 'node', '1.92626'),
('feugiat', '155', 'node', '1.9347'),
('feugiat', '158', 'node', '2'),
('feugiat', '159', 'node', '2'),
('feugiat', '160', 'node', '1'),
('feugiat', '161', 'node', '0.949597'),
('feugiat', '162', 'node', '1'),
('feugiat', '163', 'node', '1'),
('feugiat', '164', 'node', '1.93838'),
('feugiat', '166', 'node', '0.961087'),
('feugiat', '168', 'node', '0.976851'),
('feugiat', '169', 'node', '1'),
('feugiat', '170', 'node', '2'),
('feugiat', '172', 'node', '0.876337'),
('feugiat', '174', 'node', '1.86055'),
('feugiat', '175', 'node', '2.93105'),
('feugiat', '176', 'node', '2.72022'),
('feugiat', '177', 'node', '2'),
('feugiat', '178', 'node', '2'),
('feugiat', '179', 'node', '1.98087'),
('feugiat', '184', 'node', '1'),
('few', '147', 'node', '26'),
('finibus', '12', 'node', '2'),
('finibus', '14', 'node', '1'),
('finibus', '15', 'node', '2'),
('finibus', '17', 'node', '0.972861'),
('finibus', '19', 'node', '2'),
('finibus', '20', 'node', '1'),
('finibus', '21', 'node', '3'),
('finibus', '22', 'node', '2'),
('finibus', '23', 'node', '1'),
('finibus', '24', 'node', '2'),
('finibus', '25', 'node', '2'),
('finibus', '28', 'node', '1'),
('finibus', '29', 'node', '28'),
('finibus', '30', 'node', '1.92384'),
('finibus', '32', 'node', '0.957226'),
('finibus', '33', 'node', '1.91323'),
('finibus', '34', 'node', '0.993146'),
('finibus', '37', 'node', '1'),
('finibus', '38', 'node', '0.989021'),
('finibus', '39', 'node', '1.9496'),
('finibus', '40', 'node', '1'),
('finibus', '41', 'node', '1.97685'),
('finibus', '42', 'node', '29'),
('finibus', '44', 'node', '4'),
('finibus', '45', 'node', '2.9534'),
('finibus', '46', 'node', '2'),
('finibus', '47', 'node', '1'),
('finibus', '50', 'node', '1'),
('finibus', '52', 'node', '1'),
('finibus', '53', 'node', '1'),
('finibus', '55', 'node', '0.989021'),
('finibus', '65', 'node', '2'),
('finibus', '67', 'node', '1.90286'),
('finibus', '68', 'node', '0.96498'),
('finibus', '71', 'node', '0.989021'),
('finibus', '73', 'node', '1.91404'),
('finibus', '82', 'node', '3'),
('finibus', '83', 'node', '1'),
('finibus', '87', 'node', '2'),
('finibus', '88', 'node', '2.98087'),
('finibus', '89', 'node', '0.993146'),
('finibus', '91', 'node', '1'),
('finibus', '93', 'node', '1'),
('finibus', '94', 'node', '0.972861'),
('finibus', '95', 'node', '1.93838'),
('finibus', '97', 'node', '2.91323'),
('finibus', '100', 'node', '3.98087'),
('finibus', '102', 'node', '1'),
('finibus', '103', 'node', '3.7862'),
('finibus', '104', 'node', '0.993146'),
('finibus', '105', 'node', '2'),
('finibus', '121', 'node', '1.7305'),
('finibus', '122', 'node', '1'),
('finibus', '123', 'node', '1'),
('finibus', '125', 'node', '1'),
('finibus', '126', 'node', '0.931053'),
('finibus', '127', 'node', '0.997306'),
('finibus', '128', 'node', '1'),
('finibus', '131', 'node', '1.81619'),
('finibus', '133', 'node', '2'),
('finibus', '137', 'node', '1'),
('finibus', '139', 'node', '30'),
('finibus', '144', 'node', '1'),
('finibus', '146', 'node', '1'),
('finibus', '147', 'node', '1.90629'),
('finibus', '148', 'node', '0.845322'),
('finibus', '151', 'node', '1.97286'),
('finibus', '153', 'node', '3'),
('finibus', '155', 'node', '1'),
('finibus', '157', 'node', '1'),
('finibus', '158', 'node', '1.9689'),
('finibus', '159', 'node', '1.97286'),
('finibus', '161', 'node', '2'),
('finibus', '162', 'node', '0.931053'),
('finibus', '164', 'node', '1'),
('finibus', '166', 'node', '1'),
('finibus', '167', 'node', '2'),
('finibus', '168', 'node', '1'),
('finibus', '169', 'node', '2'),
('finibus', '171', 'node', '0.976851'),
('finibus', '172', 'node', '0.879565'),
('finibus', '174', 'node', '1'),
('finibus', '175', 'node', '1.92384'),
('finibus', '176', 'node', '1'),
('finibus', '177', 'node', '2'),
('finibus', '178', 'node', '2.80808'),
('finibus', '179', 'node', '1.88421'),
('finibus', '184', 'node', '1'),
('firefox', '126', 'node', '26'),
('for', '124', 'node', '26'),
('for', '153', 'node', '26'),
('form', '173', 'node', '26'),
('founder', '67', 'node', '1'),
('frank', '65', 'node', '26'),
('free', '142', 'node', '26'),
('free', '184', 'node', '1'),
('freebies', '156', 'node', '26'),
('fringilla', '12', 'node', '1.91674'),
('fringilla', '13', 'node', '0.945829'),
('fringilla', '14', 'node', '2.61604'),
('fringilla', '15', 'node', '1'),
('fringilla', '16', 'node', '2.89272'),
('fringilla', '18', 'node', '1'),
('fringilla', '19', 'node', '1.99315'),
('fringilla', '20', 'node', '1'),
('fringilla', '21', 'node', '2'),
('fringilla', '23', 'node', '3'),
('fringilla', '24', 'node', '1'),
('fringilla', '25', 'node', '1'),
('fringilla', '27', 'node', '1'),
('fringilla', '28', 'node', '3'),
('fringilla', '31', 'node', '1'),
('fringilla', '32', 'node', '0.993146'),
('fringilla', '33', 'node', '28.9384'),
('fringilla', '34', 'node', '27'),
('fringilla', '35', 'node', '0.98493'),
('fringilla', '37', 'node', '2'),
('fringilla', '38', 'node', '1'),
('fringilla', '39', 'node', '2.9185'),
('fringilla', '40', 'node', '4'),
('fringilla', '41', 'node', '3.75601'),
('fringilla', '43', 'node', '1'),
('fringilla', '45', 'node', '3.98493'),
('fringilla', '46', 'node', '1'),
('fringilla', '50', 'node', '1'),
('fringilla', '53', 'node', '1'),
('fringilla', '54', 'node', '1.95813'),
('fringilla', '56', 'node', '0.942091'),
('fringilla', '58', 'node', '1'),
('fringilla', '65', 'node', '1'),
('fringilla', '67', 'node', '1'),
('fringilla', '68', 'node', '1'),
('fringilla', '71', 'node', '0.993146'),
('fringilla', '73', 'node', '0.98493'),
('fringilla', '82', 'node', '2'),
('fringilla', '83', 'node', '2'),
('fringilla', '85', 'node', '1'),
('fringilla', '86', 'node', '2'),
('fringilla', '88', 'node', '3'),
('fringilla', '89', 'node', '2'),
('fringilla', '90', 'node', '1'),
('fringilla', '91', 'node', '2'),
('fringilla', '92', 'node', '1'),
('fringilla', '93', 'node', '2'),
('fringilla', '94', 'node', '2.86941'),
('fringilla', '97', 'node', '0.98493'),
('fringilla', '98', 'node', '2'),
('fringilla', '100', 'node', '1'),
('fringilla', '101', 'node', '3'),
('fringilla', '102', 'node', '1'),
('fringilla', '105', 'node', '1.97685'),
('fringilla', '121', 'node', '1'),
('fringilla', '122', 'node', '4'),
('fringilla', '123', 'node', '2'),
('fringilla', '124', 'node', '1'),
('fringilla', '125', 'node', '3'),
('fringilla', '126', 'node', '0.945829'),
('fringilla', '127', 'node', '2'),
('fringilla', '128', 'node', '1'),
('fringilla', '131', 'node', '1'),
('fringilla', '132', 'node', '1.98902'),
('fringilla', '133', 'node', '1'),
('fringilla', '137', 'node', '3'),
('fringilla', '138', 'node', '3'),
('fringilla', '139', 'node', '1'),
('fringilla', '142', 'node', '1'),
('fringilla', '143', 'node', '1'),
('fringilla', '145', 'node', '2'),
('fringilla', '146', 'node', '1'),
('fringilla', '147', 'node', '1.90286'),
('fringilla', '148', 'node', '2.72814'),
('fringilla', '150', 'node', '4.85435'),
('fringilla', '151', 'node', '0.976851'),
('fringilla', '152', 'node', '1.8861'),
('fringilla', '153', 'node', '2.8894'),
('fringilla', '154', 'node', '1'),
('fringilla', '156', 'node', '2.94209'),
('fringilla', '158', 'node', '2'),
('fringilla', '159', 'node', '2'),
('fringilla', '160', 'node', '2'),
('fringilla', '161', 'node', '1'),
('fringilla', '162', 'node', '1'),
('fringilla', '163', 'node', '2'),
('fringilla', '167', 'node', '0.949597'),
('fringilla', '168', 'node', '1'),
('fringilla', '169', 'node', '4'),
('fringilla', '171', 'node', '1'),
('fringilla', '172', 'node', '5.34958'),
('fringilla', '174', 'node', '1.77823'),
('fringilla', '175', 'node', '0.899454'),
('fringilla', '178', 'node', '0.957226'),
('fringilla', '179', 'node', '2.93098'),
('fringilla', '183', 'node', '1'),
('furious', '65', 'node', '26'),
('fusce', '12', 'node', '34.2257'),
('fusce', '13', 'node', '1'),
('fusce', '14', 'node', '19.7862'),
('fusce', '15', 'node', '2'),
('fusce', '16', 'node', '3.74386'),
('fusce', '17', 'node', '2.9534'),
('fusce', '18', 'node', '3'),
('fusce', '19', 'node', '1'),
('fusce', '20', 'node', '2'),
('fusce', '22', 'node', '1'),
('fusce', '23', 'node', '2'),
('fusce', '26', 'node', '3.90692'),
('fusce', '27', 'node', '2'),
('fusce', '29', 'node', '1.99315'),
('fusce', '30', 'node', '1.94583'),
('fusce', '31', 'node', '1.92743'),
('fusce', '32', 'node', '28.9311'),
('fusce', '33', 'node', '0.854391'),
('fusce', '34', 'node', '4'),
('fusce', '35', 'node', '1'),
('fusce', '38', 'node', '0.923838'),
('fusce', '39', 'node', '1'),
('fusce', '43', 'node', '1.8736'),
('fusce', '44', 'node', '2'),
('fusce', '47', 'node', '2'),
('fusce', '50', 'node', '1'),
('fusce', '52', 'node', '2.96601'),
('fusce', '53', 'node', '1'),
('fusce', '54', 'node', '1.95723'),
('fusce', '57', 'node', '2'),
('fusce', '58', 'node', '2'),
('fusce', '65', 'node', '2'),
('fusce', '67', 'node', '2'),
('fusce', '68', 'node', '1'),
('fusce', '71', 'node', '1'),
('fusce', '73', 'node', '1.86633'),
('fusce', '83', 'node', '1'),
('fusce', '84', 'node', '1'),
('fusce', '85', 'node', '1'),
('fusce', '86', 'node', '3'),
('fusce', '88', 'node', '2'),
('fusce', '89', 'node', '2'),
('fusce', '91', 'node', '3'),
('fusce', '94', 'node', '0.934703'),
('fusce', '96', 'node', '1'),
('fusce', '97', 'node', '1'),
('fusce', '98', 'node', '1'),
('fusce', '99', 'node', '2.96601'),
('fusce', '100', 'node', '1.9534'),
('fusce', '101', 'node', '1'),
('fusce', '102', 'node', '1'),
('fusce', '103', 'node', '0.923838'),
('fusce', '121', 'node', '27.9931'),
('fusce', '122', 'node', '1'),
('fusce', '123', 'node', '1'),
('fusce', '124', 'node', '1'),
('fusce', '125', 'node', '0.920273'),
('fusce', '126', 'node', '0.980874'),
('fusce', '129', 'node', '2'),
('fusce', '130', 'node', '2'),
('fusce', '131', 'node', '2.81268'),
('fusce', '132', 'node', '2'),
('fusce', '133', 'node', '1.98087'),
('fusce', '134', 'node', '1'),
('fusce', '137', 'node', '2'),
('fusce', '139', 'node', '1'),
('fusce', '143', 'node', '2'),
('fusce', '144', 'node', '2'),
('fusce', '145', 'node', '2'),
('fusce', '147', 'node', '0.863659'),
('fusce', '148', 'node', '2.77275'),
('fusce', '151', 'node', '1.99731'),
('fusce', '153', 'node', '1.87103'),
('fusce', '155', 'node', '1.87176'),
('fusce', '156', 'node', '1'),
('fusce', '160', 'node', '2'),
('fusce', '161', 'node', '1'),
('fusce', '162', 'node', '1'),
('fusce', '164', 'node', '1'),
('fusce', '165', 'node', '1'),
('fusce', '166', 'node', '1'),
('fusce', '168', 'node', '2'),
('fusce', '169', 'node', '2'),
('fusce', '170', 'node', '2.98493'),
('fusce', '171', 'node', '1'),
('fusce', '172', 'node', '3'),
('fusce', '174', 'node', '1.60282'),
('fusce', '175', 'node', '28.8995'),
('fusce', '176', 'node', '0.96498'),
('fusce', '177', 'node', '3.84136'),
('fusce', '179', 'node', '0.961087'),
('fusce', '184', 'node', '1'),
('gates', '146', 'node', '1'),
('gates', '183', 'node', '1'),
('general', '12', 'node', '10.0841'),
('general', '13', 'node', '10.7896'),
('general', '14', 'node', '10.3222'),
('general', '15', 'node', '10.4456'),
('general', '16', 'node', '10.572'),
('general', '42', 'node', '10.7896'),
('general', '44', 'node', '10.4041'),
('general', '45', 'node', '10.2817'),
('general', '137', 'node', '10.6148'),
('general', '138', 'node', '10.9704'),
('good', '11', 'node', '1'),
('graphic', '53', 'node', '10.7454'),
('graphic', '54', 'node', '9.96916'),
('graphic', '126', 'node', '10.0841'),
('graphic', '175', 'node', '9.78337'),
('gravida', '12', 'node', '4.74996'),
('gravida', '13', 'node', '1'),
('gravida', '14', 'node', '17.2963'),
('gravida', '15', 'node', '2'),
('gravida', '16', 'node', '2.92743'),
('gravida', '19', 'node', '1'),
('gravida', '23', 'node', '2'),
('gravida', '24', 'node', '1'),
('gravida', '26', 'node', '2'),
('gravida', '27', 'node', '1'),
('gravida', '28', 'node', '1'),
('gravida', '29', 'node', '1'),
('gravida', '30', 'node', '0.913226'),
('gravida', '31', 'node', '2'),
('gravida', '32', 'node', '1.98087'),
('gravida', '33', 'node', '0.845322'),
('gravida', '35', 'node', '3'),
('gravida', '38', 'node', '0.896076'),
('gravida', '39', 'node', '1'),
('gravida', '40', 'node', '1'),
('gravida', '42', 'node', '1'),
('gravida', '43', 'node', '1.89945'),
('gravida', '44', 'node', '1'),
('gravida', '45', 'node', '1'),
('gravida', '47', 'node', '2'),
('gravida', '52', 'node', '2.88033'),
('gravida', '53', 'node', '2.98087'),
('gravida', '54', 'node', '3.83358'),
('gravida', '57', 'node', '1'),
('gravida', '65', 'node', '3'),
('gravida', '67', 'node', '1'),
('gravida', '69', 'node', '1'),
('gravida', '73', 'node', '2.96109'),
('gravida', '82', 'node', '1'),
('gravida', '83', 'node', '1.97286'),
('gravida', '84', 'node', '2'),
('gravida', '86', 'node', '1.9689'),
('gravida', '87', 'node', '3'),
('gravida', '88', 'node', '1'),
('gravida', '89', 'node', '2'),
('gravida', '90', 'node', '1.9534'),
('gravida', '91', 'node', '2'),
('gravida', '92', 'node', '1'),
('gravida', '93', 'node', '1'),
('gravida', '95', 'node', '1'),
('gravida', '96', 'node', '2'),
('gravida', '98', 'node', '2.97017'),
('gravida', '99', 'node', '3'),
('gravida', '100', 'node', '1'),
('gravida', '101', 'node', '0.968904'),
('gravida', '102', 'node', '0.968904'),
('gravida', '103', 'node', '1'),
('gravida', '105', 'node', '2.92027'),
('gravida', '122', 'node', '1.9496'),
('gravida', '124', 'node', '0.961087'),
('gravida', '125', 'node', '3.97'),
('gravida', '126', 'node', '1.8775'),
('gravida', '127', 'node', '1'),
('gravida', '130', 'node', '0.980874'),
('gravida', '131', 'node', '0.98493'),
('gravida', '132', 'node', '1'),
('gravida', '134', 'node', '1'),
('gravida', '137', 'node', '3.98902'),
('gravida', '138', 'node', '1'),
('gravida', '145', 'node', '1'),
('gravida', '147', 'node', '1.94583'),
('gravida', '148', 'node', '2'),
('gravida', '150', 'node', '0.949597'),
('gravida', '151', 'node', '0.945829'),
('gravida', '153', 'node', '3.76891'),
('gravida', '154', 'node', '2'),
('gravida', '158', 'node', '1'),
('gravida', '159', 'node', '1'),
('gravida', '160', 'node', '3.86633'),
('gravida', '161', 'node', '26'),
('gravida', '162', 'node', '0.96498'),
('gravida', '163', 'node', '2'),
('gravida', '164', 'node', '1'),
('gravida', '166', 'node', '1'),
('gravida', '167', 'node', '3'),
('gravida', '168', 'node', '2.96109'),
('gravida', '169', 'node', '2'),
('gravida', '171', 'node', '1'),
('gravida', '172', 'node', '2.73442'),
('gravida', '174', 'node', '2.79321'),
('gravida', '175', 'node', '3.89945'),
('gravida', '176', 'node', '1'),
('gravida', '178', 'node', '1'),
('gravida', '179', 'node', '2'),
('gravida', '183', 'node', '1'),
('gravida', '184', 'node', '1'),
('green', '85', 'node', '26'),
('habitant', '12', 'node', '0.792123'),
('habitant', '14', 'node', '1.65317'),
('habitant', '18', 'node', '27'),
('habitant', '26', 'node', '0.997306'),
('habitant', '30', 'node', '1'),
('habitant', '34', 'node', '1'),
('habitant', '41', 'node', '11'),
('habitant', '44', 'node', '1'),
('habitant', '56', 'node', '1'),
('habitant', '82', 'node', '1'),
('habitant', '91', 'node', '1'),
('habitant', '97', 'node', '1'),
('habitant', '124', 'node', '0.997306'),
('habitant', '144', 'node', '1'),
('habitant', '148', 'node', '2'),
('habitant', '151', 'node', '0.923838'),
('habitant', '156', 'node', '1'),
('habitant', '160', 'node', '26'),
('habitant', '163', 'node', '0.976851'),
('habitant', '170', 'node', '1'),
('habitasse', '12', 'node', '0.839384'),
('habitasse', '14', 'node', '2.48372'),
('habitasse', '15', 'node', '1'),
('habitasse', '16', 'node', '0.827757'),
('habitasse', '22', 'node', '1'),
('habitasse', '24', 'node', '0.961087'),
('habitasse', '30', 'node', '1.80264'),
('habitasse', '32', 'node', '0.976851'),
('habitasse', '33', 'node', '0.909743'),
('habitasse', '45', 'node', '1'),
('habitasse', '46', 'node', '1'),
('habitasse', '90', 'node', '0.997306'),
('habitasse', '126', 'node', '1'),
('habitasse', '130', 'node', '1'),
('habitasse', '131', 'node', '1'),
('habitasse', '136', 'node', '1'),
('habitasse', '142', 'node', '1'),
('habitasse', '147', 'node', '2'),
('habitasse', '150', 'node', '0.916736'),
('habitasse', '153', 'node', '2'),
('habitasse', '164', 'node', '1'),
('habitasse', '171', 'node', '0.920273'),
('habitasse', '178', 'node', '0.98493'),
('hac', '12', 'node', '0.842342'),
('hac', '14', 'node', '2.48712'),
('hac', '15', 'node', '1'),
('hac', '16', 'node', '0.830633'),
('hac', '22', 'node', '1'),
('hac', '24', 'node', '0.96498'),
('hac', '30', 'node', '1.80638'),
('hac', '32', 'node', '0.980874'),
('hac', '33', 'node', '0.913226'),
('hac', '45', 'node', '1'),
('hac', '46', 'node', '1'),
('hac', '90', 'node', '1'),
('hac', '126', 'node', '1'),
('hac', '130', 'node', '1'),
('hac', '131', 'node', '1'),
('hac', '136', 'node', '1'),
('hac', '142', 'node', '1'),
('hac', '147', 'node', '2'),
('hac', '150', 'node', '0.920273'),
('hac', '153', 'node', '2'),
('hac', '164', 'node', '1'),
('hac', '171', 'node', '0.923838'),
('hac', '178', 'node', '0.989021'),
('hall', '133', 'node', '26'),
('halloy', '73', 'node', '26'),
('harold', '68', 'node', '26'),
('health', '38', 'node', '11'),
('help', '158', 'node', '26'),
('hendrerit', '12', 'node', '3.54449'),
('hendrerit', '13', 'node', '1.83372'),
('hendrerit', '14', 'node', '3.60281'),
('hendrerit', '15', 'node', '2'),
('hendrerit', '16', 'node', '1'),
('hendrerit', '17', 'node', '1'),
('hendrerit', '18', 'node', '1'),
('hendrerit', '22', 'node', '1'),
('hendrerit', '23', 'node', '1'),
('hendrerit', '25', 'node', '2'),
('hendrerit', '26', 'node', '1'),
('hendrerit', '28', 'node', '1'),
('hendrerit', '30', 'node', '2.90286'),
('hendrerit', '31', 'node', '1'),
('hendrerit', '33', 'node', '1.83356'),
('hendrerit', '34', 'node', '27'),
('hendrerit', '35', 'node', '2'),
('hendrerit', '37', 'node', '2.99731'),
('hendrerit', '38', 'node', '2.91674'),
('hendrerit', '40', 'node', '1'),
('hendrerit', '41', 'node', '28'),
('hendrerit', '42', 'node', '1.98087'),
('hendrerit', '44', 'node', '2'),
('hendrerit', '45', 'node', '2'),
('hendrerit', '47', 'node', '2'),
('hendrerit', '50', 'node', '3'),
('hendrerit', '52', 'node', '1.99315'),
('hendrerit', '54', 'node', '0.953396'),
('hendrerit', '55', 'node', '3'),
('hendrerit', '65', 'node', '1'),
('hendrerit', '68', 'node', '3.98493'),
('hendrerit', '71', 'node', '1.93395'),
('hendrerit', '83', 'node', '2.98087'),
('hendrerit', '84', 'node', '1'),
('hendrerit', '85', 'node', '3.98902'),
('hendrerit', '86', 'node', '1'),
('hendrerit', '88', 'node', '1'),
('hendrerit', '90', 'node', '1'),
('hendrerit', '91', 'node', '1'),
('hendrerit', '92', 'node', '2'),
('hendrerit', '93', 'node', '3'),
('hendrerit', '94', 'node', '2'),
('hendrerit', '96', 'node', '2'),
('hendrerit', '97', 'node', '5.91568'),
('hendrerit', '98', 'node', '2'),
('hendrerit', '100', 'node', '1'),
('hendrerit', '101', 'node', '2.94209'),
('hendrerit', '102', 'node', '3.97685'),
('hendrerit', '103', 'node', '2.84411'),
('hendrerit', '104', 'node', '1'),
('hendrerit', '105', 'node', '2'),
('hendrerit', '121', 'node', '0.892724'),
('hendrerit', '122', 'node', '0.938382'),
('hendrerit', '123', 'node', '1'),
('hendrerit', '125', 'node', '1.87396'),
('hendrerit', '127', 'node', '2'),
('hendrerit', '128', 'node', '2'),
('hendrerit', '129', 'node', '1'),
('hendrerit', '131', 'node', '3'),
('hendrerit', '132', 'node', '2'),
('hendrerit', '134', 'node', '0.953396'),
('hendrerit', '137', 'node', '1.99731'),
('hendrerit', '143', 'node', '2'),
('hendrerit', '146', 'node', '1'),
('hendrerit', '147', 'node', '3.7504'),
('hendrerit', '148', 'node', '2.7686'),
('hendrerit', '150', 'node', '0.945829'),
('hendrerit', '153', 'node', '2.72331'),
('hendrerit', '154', 'node', '4.85212'),
('hendrerit', '155', 'node', '1'),
('hendrerit', '156', 'node', '1'),
('hendrerit', '158', 'node', '1'),
('hendrerit', '159', 'node', '1'),
('hendrerit', '161', 'node', '3'),
('hendrerit', '162', 'node', '2'),
('hendrerit', '167', 'node', '2.96109'),
('hendrerit', '168', 'node', '1'),
('hendrerit', '172', 'node', '3.81281'),
('hendrerit', '174', 'node', '0.863659'),
('hendrerit', '175', 'node', '2.90286'),
('hendrerit', '177', 'node', '1'),
('hendrerit', '178', 'node', '1.92027'),
('hendrerit', '179', 'node', '2'),
('hendrerit', '184', 'node', '2'),
('himenaeos', '12', 'node', '0.845322'),
('himenaeos', '14', 'node', '0.76431'),
('himenaeos', '16', 'node', '0.78951'),
('himenaeos', '17', 'node', '1'),
('himenaeos', '27', 'node', '1'),
('himenaeos', '29', 'node', '1'),
('himenaeos', '33', 'node', '1'),
('himenaeos', '41', 'node', '0.827757'),
('himenaeos', '43', 'node', '0.909743'),
('himenaeos', '46', 'node', '0.972861'),
('himenaeos', '54', 'node', '1'),
('himenaeos', '67', 'node', '1'),
('himenaeos', '73', 'node', '2.8861'),
('himenaeos', '88', 'node', '1'),
('himenaeos', '93', 'node', '1.98902'),
('himenaeos', '95', 'node', '1'),
('himenaeos', '104', 'node', '1'),
('himenaeos', '121', 'node', '1.93105'),
('himenaeos', '130', 'node', '1'),
('himenaeos', '153', 'node', '0.942091'),
('himenaeos', '156', 'node', '0.96498'),
('himenaeos', '167', 'node', '0.976851'),
('himenaeos', '172', 'node', '0.993146'),
('himenaeos', '177', 'node', '0.886095'),
('himenaeos', '179', 'node', '0.882818'),
('houdini', '68', 'node', '26'),
('iaculis', '12', 'node', '2.59247'),
('iaculis', '13', 'node', '2.80571'),
('iaculis', '14', 'node', '2.61976'),
('iaculis', '16', 'node', '1.90286'),
('iaculis', '17', 'node', '1'),
('iaculis', '18', 'node', '1'),
('iaculis', '19', 'node', '1'),
('iaculis', '20', 'node', '1'),
('iaculis', '21', 'node', '1'),
('iaculis', '23', 'node', '1'),
('iaculis', '25', 'node', '1'),
('iaculis', '26', 'node', '1.91323'),
('iaculis', '27', 'node', '2'),
('iaculis', '28', 'node', '2'),
('iaculis', '29', 'node', '1'),
('iaculis', '30', 'node', '1'),
('iaculis', '31', 'node', '3'),
('iaculis', '32', 'node', '1.94209'),
('iaculis', '34', 'node', '3'),
('iaculis', '35', 'node', '1.97685'),
('iaculis', '38', 'node', '1.96109'),
('iaculis', '39', 'node', '0.961087'),
('iaculis', '41', 'node', '2.96498'),
('iaculis', '42', 'node', '0.997306'),
('iaculis', '43', 'node', '1.94583'),
('iaculis', '45', 'node', '1.98493'),
('iaculis', '46', 'node', '2'),
('iaculis', '47', 'node', '1'),
('iaculis', '50', 'node', '3.93111'),
('iaculis', '52', 'node', '1'),
('iaculis', '53', 'node', '1'),
('iaculis', '54', 'node', '1'),
('iaculis', '55', 'node', '1'),
('iaculis', '56', 'node', '1.94274'),
('iaculis', '65', 'node', '2'),
('iaculis', '67', 'node', '0.931053'),
('iaculis', '68', 'node', '1'),
('iaculis', '73', 'node', '0.961087'),
('iaculis', '85', 'node', '2'),
('iaculis', '87', 'node', '1'),
('iaculis', '88', 'node', '1'),
('iaculis', '89', 'node', '0.997306'),
('iaculis', '91', 'node', '3'),
('iaculis', '92', 'node', '1'),
('iaculis', '93', 'node', '2.98493'),
('iaculis', '95', 'node', '0.972861'),
('iaculis', '96', 'node', '1'),
('iaculis', '97', 'node', '0.909743'),
('iaculis', '98', 'node', '0.980874'),
('iaculis', '100', 'node', '4.81909'),
('iaculis', '101', 'node', '4.94209'),
('iaculis', '102', 'node', '1.96109'),
('iaculis', '104', 'node', '1'),
('iaculis', '105', 'node', '1'),
('iaculis', '121', 'node', '1'),
('iaculis', '122', 'node', '0.968904'),
('iaculis', '123', 'node', '1'),
('iaculis', '125', 'node', '2'),
('iaculis', '128', 'node', '1'),
('iaculis', '129', 'node', '4'),
('iaculis', '130', 'node', '1'),
('iaculis', '131', 'node', '0.976851'),
('iaculis', '132', 'node', '2.90692'),
('iaculis', '133', 'node', '2.99731'),
('iaculis', '134', 'node', '1'),
('iaculis', '136', 'node', '1'),
('iaculis', '137', 'node', '1'),
('iaculis', '139', 'node', '3'),
('iaculis', '142', 'node', '2'),
('iaculis', '145', 'node', '1'),
('iaculis', '146', 'node', '1'),
('iaculis', '148', 'node', '0.854391'),
('iaculis', '150', 'node', '2.9689'),
('iaculis', '151', 'node', '0.953396'),
('iaculis', '152', 'node', '3.92384'),
('iaculis', '153', 'node', '1.90974'),
('iaculis', '154', 'node', '3'),
('iaculis', '155', 'node', '2'),
('iaculis', '157', 'node', '2'),
('iaculis', '158', 'node', '2'),
('iaculis', '159', 'node', '2'),
('iaculis', '160', 'node', '2'),
('iaculis', '161', 'node', '2.90318'),
('iaculis', '162', 'node', '1'),
('iaculis', '165', 'node', '2'),
('iaculis', '166', 'node', '3'),
('iaculis', '167', 'node', '1.96498'),
('iaculis', '168', 'node', '1'),
('iaculis', '170', 'node', '0.923838'),
('iaculis', '171', 'node', '1.92743'),
('iaculis', '172', 'node', '3.81959'),
('iaculis', '174', 'node', '0.808176'),
('iaculis', '175', 'node', '3.93105'),
('iaculis', '176', 'node', '2'),
('iaculis', '177', 'node', '0.879565'),
('iaculis', '178', 'node', '1'),
('iaculis', '179', 'node', '3.86952'),
('iaculis', '184', 'node', '1'),
('icon', '180', 'node', '26'),
('ideas', '124', 'node', '26'),
('igula', '41', 'node', '3.49253'),
('imperdiet', '12', 'node', '2.56929'),
('imperdiet', '13', 'node', '2'),
('imperdiet', '14', 'node', '3.18478'),
('imperdiet', '15', 'node', '2'),
('imperdiet', '16', 'node', '2.91323'),
('imperdiet', '17', 'node', '0.945829'),
('imperdiet', '18', 'node', '1'),
('imperdiet', '19', 'node', '1'),
('imperdiet', '21', 'node', '1'),
('imperdiet', '22', 'node', '3'),
('imperdiet', '24', 'node', '1'),
('imperdiet', '26', 'node', '1'),
('imperdiet', '27', 'node', '2'),
('imperdiet', '28', 'node', '2'),
('imperdiet', '29', 'node', '1'),
('imperdiet', '31', 'node', '2.91894'),
('imperdiet', '32', 'node', '2.91286'),
('imperdiet', '33', 'node', '27'),
('imperdiet', '34', 'node', '1'),
('imperdiet', '35', 'node', '2'),
('imperdiet', '37', 'node', '1.98493'),
('imperdiet', '39', 'node', '0.957226'),
('imperdiet', '40', 'node', '4'),
('imperdiet', '41', 'node', '0.957226'),
('imperdiet', '42', 'node', '1'),
('imperdiet', '43', 'node', '1.84332'),
('imperdiet', '45', 'node', '2.9534'),
('imperdiet', '47', 'node', '2'),
('imperdiet', '52', 'node', '1.97286'),
('imperdiet', '53', 'node', '2.98087'),
('imperdiet', '54', 'node', '1.91323'),
('imperdiet', '55', 'node', '2.95723'),
('imperdiet', '56', 'node', '2.93076'),
('imperdiet', '58', 'node', '2'),
('imperdiet', '65', 'node', '1'),
('imperdiet', '68', 'node', '1'),
('imperdiet', '73', 'node', '1'),
('imperdiet', '83', 'node', '1'),
('imperdiet', '84', 'node', '1'),
('imperdiet', '85', 'node', '1.98087'),
('imperdiet', '86', 'node', '0.957226'),
('imperdiet', '88', 'node', '1.97685'),
('imperdiet', '89', 'node', '1'),
('imperdiet', '90', 'node', '1'),
('imperdiet', '93', 'node', '0.980874'),
('imperdiet', '94', 'node', '4.9347'),
('imperdiet', '96', 'node', '2'),
('imperdiet', '98', 'node', '1'),
('imperdiet', '100', 'node', '0.949597'),
('imperdiet', '101', 'node', '1.89549'),
('imperdiet', '102', 'node', '2.96109'),
('imperdiet', '104', 'node', '3.92268'),
('imperdiet', '105', 'node', '1'),
('imperdiet', '121', 'node', '3.8126'),
('imperdiet', '123', 'node', '1'),
('imperdiet', '124', 'node', '2'),
('imperdiet', '125', 'node', '2'),
('imperdiet', '126', 'node', '1'),
('imperdiet', '127', 'node', '1'),
('imperdiet', '128', 'node', '0.953396'),
('imperdiet', '129', 'node', '2'),
('imperdiet', '130', 'node', '1.86943'),
('imperdiet', '131', 'node', '1.88047'),
('imperdiet', '133', 'node', '3.97818'),
('imperdiet', '134', 'node', '1'),
('imperdiet', '136', 'node', '1'),
('imperdiet', '139', 'node', '1'),
('imperdiet', '143', 'node', '1'),
('imperdiet', '147', 'node', '2.72582'),
('imperdiet', '148', 'node', '4.58097'),
('imperdiet', '150', 'node', '2.81635'),
('imperdiet', '151', 'node', '2.8967'),
('imperdiet', '152', 'node', '2.74099'),
('imperdiet', '153', 'node', '2'),
('imperdiet', '154', 'node', '2'),
('imperdiet', '155', 'node', '1.89272'),
('imperdiet', '156', 'node', '1'),
('imperdiet', '158', 'node', '1'),
('imperdiet', '159', 'node', '1'),
('imperdiet', '161', 'node', '2'),
('imperdiet', '162', 'node', '1'),
('imperdiet', '165', 'node', '1'),
('imperdiet', '167', 'node', '1.96109'),
('imperdiet', '169', 'node', '1'),
('imperdiet', '170', 'node', '1'),
('imperdiet', '171', 'node', '1'),
('imperdiet', '174', 'node', '3.41337'),
('imperdiet', '175', 'node', '1.94583'),
('imperdiet', '176', 'node', '2.76891'),
('imperdiet', '178', 'node', '0.920273'),
('imperdiet', '183', 'node', '1'),
('imperdiet', '184', 'node', '1'),
('inceptos', '12', 'node', '0.848323'),
('inceptos', '14', 'node', '0.766757'),
('inceptos', '16', 'node', '0.792123'),
('inceptos', '17', 'node', '1'),
('inceptos', '27', 'node', '1'),
('inceptos', '29', 'node', '1'),
('inceptos', '33', 'node', '1'),
('inceptos', '41', 'node', '0.830633'),
('inceptos', '43', 'node', '0.913226'),
('inceptos', '46', 'node', '0.976851'),
('inceptos', '54', 'node', '1'),
('inceptos', '67', 'node', '1'),
('inceptos', '73', 'node', '2.8861'),
('inceptos', '88', 'node', '1'),
('inceptos', '93', 'node', '1.98902'),
('inceptos', '95', 'node', '1'),
('inceptos', '104', 'node', '1'),
('inceptos', '121', 'node', '1.93105'),
('inceptos', '130', 'node', '1'),
('inceptos', '153', 'node', '0.945829'),
('inceptos', '156', 'node', '0.968904'),
('inceptos', '167', 'node', '0.980874'),
('inceptos', '172', 'node', '0.997306'),
('inceptos', '177', 'node', '0.889397'),
('inceptos', '179', 'node', '0.886095'),
('inch', '180', 'node', '26'),
('input', '181', 'node', '1'),
('input', '182', 'node', '1'),
('integer', '12', 'node', '3.96109'),
('integer', '14', 'node', '3.61108'),
('integer', '15', 'node', '2'),
('integer', '16', 'node', '3.8894'),
('integer', '17', 'node', '1'),
('integer', '18', 'node', '1.9496'),
('integer', '19', 'node', '1'),
('integer', '20', 'node', '1'),
('integer', '21', 'node', '1'),
('integer', '23', 'node', '1'),
('integer', '25', 'node', '12'),
('integer', '26', 'node', '10.894'),
('integer', '27', 'node', '10.4456'),
('integer', '30', 'node', '0.931053'),
('integer', '31', 'node', '1'),
('integer', '32', 'node', '1.94209'),
('integer', '33', 'node', '1'),
('integer', '34', 'node', '1'),
('integer', '35', 'node', '1'),
('integer', '37', 'node', '1.98087'),
('integer', '38', 'node', '2.98902'),
('integer', '39', 'node', '2'),
('integer', '40', 'node', '4'),
('integer', '41', 'node', '1.87957'),
('integer', '42', 'node', '1'),
('integer', '43', 'node', '1'),
('integer', '45', 'node', '1.93833'),
('integer', '50', 'node', '1'),
('integer', '52', 'node', '1.89945'),
('integer', '53', 'node', '1'),
('integer', '54', 'node', '0.945829'),
('integer', '55', 'node', '2'),
('integer', '58', 'node', '3'),
('integer', '65', 'node', '2'),
('integer', '68', 'node', '1'),
('integer', '69', 'node', '1'),
('integer', '73', 'node', '2'),
('integer', '82', 'node', '1'),
('integer', '85', 'node', '1'),
('integer', '87', 'node', '1'),
('integer', '88', 'node', '1'),
('integer', '90', 'node', '1.9534'),
('integer', '91', 'node', '1'),
('integer', '93', 'node', '1'),
('integer', '94', 'node', '0.953396'),
('integer', '95', 'node', '1'),
('integer', '96', 'node', '1'),
('integer', '97', 'node', '2.97286'),
('integer', '98', 'node', '3'),
('integer', '100', 'node', '0.989021'),
('integer', '101', 'node', '1'),
('integer', '102', 'node', '1.98087'),
('integer', '103', 'node', '2.92372'),
('integer', '104', 'node', '1.94583'),
('integer', '121', 'node', '2.94991'),
('integer', '123', 'node', '2'),
('integer', '124', 'node', '1'),
('integer', '125', 'node', '1.96498'),
('integer', '126', 'node', '1'),
('integer', '127', 'node', '1'),
('integer', '128', 'node', '3'),
('integer', '130', 'node', '1.96109'),
('integer', '131', 'node', '2'),
('integer', '132', 'node', '2.94675'),
('integer', '133', 'node', '1.95723'),
('integer', '134', 'node', '2'),
('integer', '136', 'node', '1'),
('integer', '137', 'node', '2'),
('integer', '138', 'node', '2'),
('integer', '139', 'node', '2'),
('integer', '147', 'node', '1'),
('integer', '148', 'node', '1.73114'),
('integer', '152', 'node', '2'),
('integer', '153', 'node', '2'),
('integer', '154', 'node', '3.83012'),
('integer', '155', 'node', '1'),
('integer', '157', 'node', '0.989021'),
('integer', '158', 'node', '1.96178'),
('integer', '159', 'node', '1.96989'),
('integer', '160', 'node', '1'),
('integer', '161', 'node', '1.96109'),
('integer', '163', 'node', '2.99045'),
('integer', '164', 'node', '1.93838'),
('integer', '165', 'node', '1'),
('integer', '167', 'node', '4'),
('integer', '168', 'node', '1.96109'),
('integer', '170', 'node', '0.927431'),
('integer', '171', 'node', '2'),
('integer', '174', 'node', '2.69346'),
('integer', '175', 'node', '1'),
('integer', '176', 'node', '0.938382'),
('integer', '177', 'node', '1'),
('integer', '178', 'node', '2.92743'),
('integer', '179', 'node', '3.73482'),
('integer', '184', 'node', '1'),
('integration', '142', 'node', '2'),
('integration', '143', 'node', '2'),
('integration', '144', 'node', '2'),
('interdum', '12', 'node', '0.771698'),
('interdum', '13', 'node', '0.993146'),
('interdum', '14', 'node', '3.59496'),
('interdum', '15', 'node', '1'),
('interdum', '16', 'node', '3.99315'),
('interdum', '17', 'node', '1'),
('interdum', '18', 'node', '2.8881'),
('interdum', '20', 'node', '1'),
('interdum', '21', 'node', '1'),
('interdum', '23', 'node', '2'),
('interdum', '24', 'node', '2'),
('interdum', '25', 'node', '1'),
('interdum', '26', 'node', '1.9534'),
('interdum', '27', 'node', '0.989021'),
('interdum', '28', 'node', '1'),
('interdum', '29', 'node', '2.96498'),
('interdum', '30', 'node', '3.74336'),
('interdum', '31', 'node', '1.98902'),
('interdum', '32', 'node', '2.85854'),
('interdum', '33', 'node', '1'),
('interdum', '34', 'node', '1'),
('interdum', '35', 'node', '1'),
('interdum', '37', 'node', '2'),
('interdum', '38', 'node', '1'),
('interdum', '39', 'node', '2'),
('interdum', '40', 'node', '2'),
('interdum', '41', 'node', '3.8374'),
('interdum', '42', 'node', '0.993146'),
('interdum', '43', 'node', '2'),
('interdum', '46', 'node', '1'),
('interdum', '50', 'node', '1'),
('interdum', '52', 'node', '1'),
('interdum', '53', 'node', '1.98902'),
('interdum', '54', 'node', '1'),
('interdum', '56', 'node', '1'),
('interdum', '57', 'node', '1'),
('interdum', '58', 'node', '3'),
('interdum', '67', 'node', '1'),
('interdum', '68', 'node', '1'),
('interdum', '69', 'node', '1'),
('interdum', '73', 'node', '1'),
('interdum', '82', 'node', '1'),
('interdum', '83', 'node', '1'),
('interdum', '84', 'node', '1'),
('interdum', '85', 'node', '4'),
('interdum', '87', 'node', '1'),
('interdum', '88', 'node', '1.96498'),
('interdum', '89', 'node', '1'),
('interdum', '90', 'node', '1'),
('interdum', '91', 'node', '1'),
('interdum', '92', 'node', '1'),
('interdum', '98', 'node', '1.94209'),
('interdum', '99', 'node', '1.97286'),
('interdum', '101', 'node', '1'),
('interdum', '102', 'node', '1'),
('interdum', '103', 'node', '3.94583'),
('interdum', '104', 'node', '1'),
('interdum', '123', 'node', '1'),
('interdum', '124', 'node', '1'),
('interdum', '126', 'node', '1'),
('interdum', '127', 'node', '2'),
('interdum', '128', 'node', '2'),
('interdum', '129', 'node', '1'),
('interdum', '131', 'node', '1.93105'),
('interdum', '132', 'node', '1'),
('interdum', '133', 'node', '1'),
('interdum', '134', 'node', '2'),
('interdum', '136', 'node', '1'),
('interdum', '137', 'node', '2'),
('interdum', '139', 'node', '1'),
('interdum', '142', 'node', '2'),
('interdum', '143', 'node', '1'),
('interdum', '146', 'node', '1'),
('interdum', '147', 'node', '2.85746'),
('interdum', '150', 'node', '3.73327'),
('interdum', '151', 'node', '3.97286'),
('interdum', '152', 'node', '2.94177'),
('interdum', '153', 'node', '1'),
('interdum', '154', 'node', '0.923838'),
('interdum', '155', 'node', '5.63499'),
('interdum', '156', 'node', '1.96109'),
('interdum', '157', 'node', '1'),
('interdum', '158', 'node', '1'),
('interdum', '159', 'node', '1'),
('interdum', '160', 'node', '2'),
('interdum', '161', 'node', '3'),
('interdum', '162', 'node', '1.94583'),
('interdum', '163', 'node', '2.96109'),
('interdum', '164', 'node', '1'),
('interdum', '165', 'node', '1'),
('interdum', '167', 'node', '2'),
('interdum', '168', 'node', '3.95423'),
('interdum', '169', 'node', '1'),
('interdum', '170', 'node', '3.98493'),
('interdum', '171', 'node', '1'),
('interdum', '172', 'node', '4.66906'),
('interdum', '174', 'node', '3.60337'),
('interdum', '175', 'node', '1'),
('interdum', '176', 'node', '4.72644'),
('interdum', '177', 'node', '1.93838'),
('interdum', '178', 'node', '1.97286'),
('interdum', '179', 'node', '2.7992'),
('ipsum', '12', 'node', '14.9738'),
('ipsum', '13', 'node', '1.89272'),
('ipsum', '14', 'node', '32.2384'),
('ipsum', '16', 'node', '28.7395'),
('ipsum', '18', 'node', '4'),
('ipsum', '19', 'node', '2'),
('ipsum', '20', 'node', '1'),
('ipsum', '21', 'node', '1.99731'),
('ipsum', '22', 'node', '2'),
('ipsum', '23', 'node', '2'),
('ipsum', '24', 'node', '2'),
('ipsum', '25', 'node', '1'),
('ipsum', '26', 'node', '3.8881'),
('ipsum', '27', 'node', '1.97017'),
('ipsum', '28', 'node', '31'),
('ipsum', '29', 'node', '3'),
('ipsum', '30', 'node', '2.8894'),
('ipsum', '31', 'node', '2.91572'),
('ipsum', '33', 'node', '1'),
('ipsum', '34', 'node', '2'),
('ipsum', '35', 'node', '1'),
('ipsum', '37', 'node', '15.9496'),
('ipsum', '38', 'node', '2.9689'),
('ipsum', '39', 'node', '1'),
('ipsum', '40', 'node', '27'),
('ipsum', '41', 'node', '14.666'),
('ipsum', '42', 'node', '2.98902'),
('ipsum', '43', 'node', '1.98087'),
('ipsum', '45', 'node', '2.93838'),
('ipsum', '46', 'node', '1'),
('ipsum', '47', 'node', '2.98087'),
('ipsum', '50', 'node', '4'),
('ipsum', '52', 'node', '31.9183'),
('ipsum', '53', 'node', '0.997306'),
('ipsum', '54', 'node', '5'),
('ipsum', '55', 'node', '1'),
('ipsum', '56', 'node', '0.968904'),
('ipsum', '57', 'node', '1'),
('ipsum', '58', 'node', '3'),
('ipsum', '67', 'node', '1.87313'),
('ipsum', '68', 'node', '1'),
('ipsum', '73', 'node', '3.84332'),
('ipsum', '82', 'node', '3'),
('ipsum', '83', 'node', '1.98493'),
('ipsum', '84', 'node', '1'),
('ipsum', '85', 'node', '2'),
('ipsum', '86', 'node', '1'),
('ipsum', '87', 'node', '0.997306'),
('ipsum', '89', 'node', '1'),
('ipsum', '90', 'node', '2'),
('ipsum', '92', 'node', '1'),
('ipsum', '93', 'node', '3'),
('ipsum', '94', 'node', '6.98493'),
('ipsum', '95', 'node', '0.96498'),
('ipsum', '96', 'node', '0.997306'),
('ipsum', '97', 'node', '0.938382'),
('ipsum', '98', 'node', '3.92331'),
('ipsum', '99', 'node', '1.98087'),
('ipsum', '100', 'node', '1'),
('ipsum', '102', 'node', '0.96498'),
('ipsum', '103', 'node', '3.81194'),
('ipsum', '104', 'node', '4.89923'),
('ipsum', '105', 'node', '1.91674'),
('ipsum', '121', 'node', '3.99731'),
('ipsum', '122', 'node', '0.931053'),
('ipsum', '123', 'node', '3.97286'),
('ipsum', '124', 'node', '0.927431'),
('ipsum', '125', 'node', '2'),
('ipsum', '126', 'node', '1'),
('ipsum', '127', 'node', '4'),
('ipsum', '128', 'node', '4'),
('ipsum', '129', 'node', '4'),
('ipsum', '131', 'node', '3.79891'),
('ipsum', '132', 'node', '2.98902'),
('ipsum', '133', 'node', '1'),
('ipsum', '134', 'node', '2'),
('ipsum', '136', 'node', '2'),
('ipsum', '137', 'node', '1'),
('ipsum', '138', 'node', '1'),
('ipsum', '139', 'node', '1'),
('ipsum', '142', 'node', '4'),
('ipsum', '143', 'node', '1'),
('ipsum', '144', 'node', '2'),
('ipsum', '146', 'node', '1'),
('ipsum', '147', 'node', '1.85746'),
('ipsum', '148', 'node', '2'),
('ipsum', '150', 'node', '1.83481'),
('ipsum', '151', 'node', '8.88759'),
('ipsum', '152', 'node', '2.88282'),
('ipsum', '153', 'node', '1.8894'),
('ipsum', '154', 'node', '2.80582'),
('ipsum', '155', 'node', '0.997306'),
('ipsum', '156', 'node', '1.96109'),
('ipsum', '157', 'node', '1.97286'),
('ipsum', '160', 'node', '2'),
('ipsum', '161', 'node', '0.961087'),
('ipsum', '162', 'node', '3.94583'),
('ipsum', '163', 'node', '1.96109'),
('ipsum', '164', 'node', '2.93794'),
('ipsum', '165', 'node', '2.98087'),
('ipsum', '166', 'node', '2'),
('ipsum', '167', 'node', '3'),
('ipsum', '168', 'node', '2'),
('ipsum', '170', 'node', '3.95383'),
('ipsum', '171', 'node', '2.93838'),
('ipsum', '172', 'node', '5.57748'),
('ipsum', '174', 'node', '4.66373'),
('ipsum', '175', 'node', '3.96188'),
('ipsum', '176', 'node', '4.85243'),
('ipsum', '177', 'node', '4.77724'),
('ipsum', '178', 'node', '1.96498'),
('ipsum', '179', 'node', '1.92384'),
('ipsum', '184', 'node', '1'),
('irma', '69', 'node', '26'),
('james', '84', 'node', '26'),
('javascript', '38', 'node', '11'),
('jeff', '134', 'node', '26'),
('jessica', '87', 'node', '26'),
('jessica', '133', 'node', '26'),
('john', '88', 'node', '26'),
('july', '41', 'node', '10.0455'),
('justo', '12', 'node', '5.20073'),
('justo', '13', 'node', '1.90286'),
('justo', '14', 'node', '5.20247'),
('justo', '15', 'node', '1'),
('justo', '16', 'node', '1'),
('justo', '17', 'node', '1'),
('justo', '19', 'node', '2'),
('justo', '20', 'node', '5'),
('justo', '22', 'node', '6'),
('justo', '23', 'node', '1'),
('justo', '24', 'node', '5.97416'),
('justo', '26', 'node', '0.913226'),
('justo', '27', 'node', '1'),
('justo', '29', 'node', '1'),
('justo', '30', 'node', '1'),
('justo', '31', 'node', '1.93838'),
('justo', '32', 'node', '3'),
('justo', '33', 'node', '2.84768'),
('justo', '34', 'node', '2'),
('justo', '35', 'node', '2'),
('justo', '39', 'node', '1'),
('justo', '40', 'node', '2'),
('justo', '41', 'node', '2.98087'),
('justo', '42', 'node', '1'),
('justo', '43', 'node', '0.906287'),
('justo', '44', 'node', '1'),
('justo', '46', 'node', '4.9496'),
('justo', '47', 'node', '5'),
('justo', '50', 'node', '1.9689'),
('justo', '52', 'node', '3.82167'),
('justo', '53', 'node', '2.99315'),
('justo', '55', 'node', '3.9381'),
('justo', '56', 'node', '1.99315'),
('justo', '57', 'node', '2'),
('justo', '58', 'node', '1'),
('justo', '65', 'node', '2'),
('justo', '67', 'node', '1.82653'),
('justo', '68', 'node', '3');
INSERT INTO `search_index` VALUES
('justo', '73', 'node', '1'),
('justo', '83', 'node', '7'),
('justo', '84', 'node', '2'),
('justo', '85', 'node', '1'),
('justo', '86', 'node', '2'),
('justo', '87', 'node', '2'),
('justo', '88', 'node', '0.976851'),
('justo', '90', 'node', '1'),
('justo', '92', 'node', '2'),
('justo', '93', 'node', '4.9496'),
('justo', '94', 'node', '0.98493'),
('justo', '95', 'node', '2'),
('justo', '96', 'node', '2'),
('justo', '97', 'node', '2'),
('justo', '98', 'node', '1'),
('justo', '99', 'node', '1'),
('justo', '100', 'node', '1'),
('justo', '101', 'node', '0.945829'),
('justo', '102', 'node', '2'),
('justo', '103', 'node', '3.8881'),
('justo', '104', 'node', '0.98493'),
('justo', '105', 'node', '1.94209'),
('justo', '122', 'node', '1'),
('justo', '123', 'node', '0.927431'),
('justo', '124', 'node', '2.90974'),
('justo', '125', 'node', '0.953396'),
('justo', '126', 'node', '3'),
('justo', '127', 'node', '1'),
('justo', '128', 'node', '3.93427'),
('justo', '129', 'node', '1'),
('justo', '130', 'node', '1'),
('justo', '131', 'node', '1'),
('justo', '132', 'node', '5'),
('justo', '134', 'node', '2'),
('justo', '137', 'node', '29'),
('justo', '138', 'node', '28'),
('justo', '139', 'node', '1'),
('justo', '142', 'node', '1'),
('justo', '145', 'node', '2'),
('justo', '146', 'node', '1'),
('justo', '147', 'node', '1.87957'),
('justo', '150', 'node', '4.88367'),
('justo', '151', 'node', '2.92743'),
('justo', '152', 'node', '5.82084'),
('justo', '153', 'node', '1'),
('justo', '154', 'node', '1.89608'),
('justo', '155', 'node', '4.89272'),
('justo', '156', 'node', '1'),
('justo', '157', 'node', '1.94209'),
('justo', '158', 'node', '3'),
('justo', '159', 'node', '3'),
('justo', '160', 'node', '3'),
('justo', '161', 'node', '2.95839'),
('justo', '162', 'node', '2.94583'),
('justo', '163', 'node', '1'),
('justo', '164', 'node', '0.942091'),
('justo', '165', 'node', '1.95723'),
('justo', '168', 'node', '1.96498'),
('justo', '169', 'node', '3'),
('justo', '170', 'node', '0.96498'),
('justo', '172', 'node', '1.89608'),
('justo', '174', 'node', '2.67267'),
('justo', '175', 'node', '1'),
('justo', '176', 'node', '1.80231'),
('justo', '177', 'node', '1'),
('justo', '178', 'node', '3.61613'),
('justo', '179', 'node', '5.80043'),
('kara', '71', 'node', '26'),
('kim', '67', 'node', '26'),
('kulis', '71', 'node', '26'),
('lacinia', '12', 'node', '2.78115'),
('lacinia', '13', 'node', '1'),
('lacinia', '14', 'node', '6.45099'),
('lacinia', '16', 'node', '0.927431'),
('lacinia', '17', 'node', '2.97685'),
('lacinia', '18', 'node', '0.993146'),
('lacinia', '19', 'node', '1'),
('lacinia', '20', 'node', '1'),
('lacinia', '21', 'node', '1'),
('lacinia', '23', 'node', '1'),
('lacinia', '24', 'node', '1.98902'),
('lacinia', '26', 'node', '1.90974'),
('lacinia', '28', 'node', '2'),
('lacinia', '30', 'node', '0.896076'),
('lacinia', '32', 'node', '3'),
('lacinia', '33', 'node', '3.79717'),
('lacinia', '34', 'node', '1'),
('lacinia', '35', 'node', '0.976851'),
('lacinia', '37', 'node', '1'),
('lacinia', '38', 'node', '0.920273'),
('lacinia', '39', 'node', '2'),
('lacinia', '40', 'node', '3'),
('lacinia', '42', 'node', '2.98493'),
('lacinia', '44', 'node', '1'),
('lacinia', '46', 'node', '3.94583'),
('lacinia', '50', 'node', '0.96498'),
('lacinia', '52', 'node', '0.927431'),
('lacinia', '53', 'node', '2'),
('lacinia', '54', 'node', '1'),
('lacinia', '55', 'node', '2'),
('lacinia', '56', 'node', '3'),
('lacinia', '67', 'node', '1'),
('lacinia', '68', 'node', '3'),
('lacinia', '71', 'node', '1'),
('lacinia', '73', 'node', '1'),
('lacinia', '83', 'node', '1'),
('lacinia', '85', 'node', '1'),
('lacinia', '87', 'node', '1'),
('lacinia', '88', 'node', '1'),
('lacinia', '89', 'node', '2'),
('lacinia', '90', 'node', '1'),
('lacinia', '92', 'node', '2'),
('lacinia', '93', 'node', '1.89608'),
('lacinia', '96', 'node', '1'),
('lacinia', '98', 'node', '1'),
('lacinia', '99', 'node', '2.95011'),
('lacinia', '100', 'node', '1'),
('lacinia', '101', 'node', '1'),
('lacinia', '102', 'node', '1'),
('lacinia', '103', 'node', '5.94583'),
('lacinia', '104', 'node', '1'),
('lacinia', '105', 'node', '1'),
('lacinia', '121', 'node', '1.90286'),
('lacinia', '122', 'node', '1'),
('lacinia', '123', 'node', '1.98493'),
('lacinia', '124', 'node', '1'),
('lacinia', '125', 'node', '0.976851'),
('lacinia', '126', 'node', '1.96109'),
('lacinia', '128', 'node', '2.99731'),
('lacinia', '130', 'node', '0.923838'),
('lacinia', '131', 'node', '2.89945'),
('lacinia', '134', 'node', '1'),
('lacinia', '136', 'node', '1'),
('lacinia', '139', 'node', '1'),
('lacinia', '147', 'node', '3.63167'),
('lacinia', '148', 'node', '2'),
('lacinia', '152', 'node', '6.8808'),
('lacinia', '153', 'node', '2.86995'),
('lacinia', '154', 'node', '1.86576'),
('lacinia', '155', 'node', '3'),
('lacinia', '156', 'node', '1'),
('lacinia', '158', 'node', '2.97685'),
('lacinia', '159', 'node', '2.98087'),
('lacinia', '161', 'node', '1'),
('lacinia', '162', 'node', '27'),
('lacinia', '163', 'node', '1'),
('lacinia', '166', 'node', '2.98493'),
('lacinia', '167', 'node', '2'),
('lacinia', '171', 'node', '1'),
('lacinia', '172', 'node', '2.81959'),
('lacinia', '174', 'node', '2.5988'),
('lacinia', '175', 'node', '0.989021'),
('lacinia', '176', 'node', '1.79279'),
('lacinia', '178', 'node', '5.78278'),
('lacinia', '179', 'node', '3.91135'),
('lacinia', '184', 'node', '1'),
('lacus', '12', 'node', '5.33319'),
('lacus', '13', 'node', '5'),
('lacus', '14', 'node', '5.47423'),
('lacus', '15', 'node', '1.9496'),
('lacus', '16', 'node', '2.89008'),
('lacus', '17', 'node', '2.96498'),
('lacus', '18', 'node', '0.989021'),
('lacus', '19', 'node', '2'),
('lacus', '21', 'node', '3'),
('lacus', '23', 'node', '1'),
('lacus', '24', 'node', '1.99731'),
('lacus', '26', 'node', '1.90629'),
('lacus', '27', 'node', '1'),
('lacus', '28', 'node', '1'),
('lacus', '30', 'node', '1'),
('lacus', '31', 'node', '2'),
('lacus', '32', 'node', '1.9347'),
('lacus', '33', 'node', '1.95723'),
('lacus', '34', 'node', '2.98493'),
('lacus', '35', 'node', '1'),
('lacus', '37', 'node', '1'),
('lacus', '38', 'node', '3.98217'),
('lacus', '39', 'node', '2'),
('lacus', '41', 'node', '1.807'),
('lacus', '42', 'node', '2'),
('lacus', '43', 'node', '1.94583'),
('lacus', '45', 'node', '3'),
('lacus', '46', 'node', '3.96498'),
('lacus', '47', 'node', '1.97286'),
('lacus', '50', 'node', '1'),
('lacus', '53', 'node', '0.980874'),
('lacus', '54', 'node', '1'),
('lacus', '55', 'node', '3'),
('lacus', '58', 'node', '2'),
('lacus', '65', 'node', '3'),
('lacus', '67', 'node', '0.961087'),
('lacus', '68', 'node', '1.9185'),
('lacus', '71', 'node', '2'),
('lacus', '73', 'node', '1.91674'),
('lacus', '82', 'node', '1'),
('lacus', '83', 'node', '2'),
('lacus', '84', 'node', '4'),
('lacus', '85', 'node', '1'),
('lacus', '86', 'node', '3'),
('lacus', '87', 'node', '1'),
('lacus', '88', 'node', '1'),
('lacus', '89', 'node', '4'),
('lacus', '93', 'node', '1.98493'),
('lacus', '94', 'node', '1'),
('lacus', '95', 'node', '1'),
('lacus', '99', 'node', '5.91509'),
('lacus', '100', 'node', '2'),
('lacus', '101', 'node', '2.89169'),
('lacus', '102', 'node', '2'),
('lacus', '103', 'node', '1'),
('lacus', '104', 'node', '0.957226'),
('lacus', '105', 'node', '1'),
('lacus', '121', 'node', '2'),
('lacus', '122', 'node', '1'),
('lacus', '124', 'node', '2.88852'),
('lacus', '125', 'node', '3'),
('lacus', '126', 'node', '1'),
('lacus', '127', 'node', '29'),
('lacus', '128', 'node', '3'),
('lacus', '129', 'node', '2'),
('lacus', '130', 'node', '0.953396'),
('lacus', '131', 'node', '1'),
('lacus', '132', 'node', '1'),
('lacus', '133', 'node', '2'),
('lacus', '136', 'node', '1'),
('lacus', '137', 'node', '3.99315'),
('lacus', '138', 'node', '2'),
('lacus', '142', 'node', '1'),
('lacus', '147', 'node', '1.91286'),
('lacus', '148', 'node', '7.52501'),
('lacus', '150', 'node', '2'),
('lacus', '151', 'node', '1'),
('lacus', '152', 'node', '2.81343'),
('lacus', '153', 'node', '4.4831'),
('lacus', '154', 'node', '0.961087'),
('lacus', '155', 'node', '4.78547'),
('lacus', '156', 'node', '1'),
('lacus', '157', 'node', '2.92743'),
('lacus', '161', 'node', '1'),
('lacus', '162', 'node', '2.94583'),
('lacus', '164', 'node', '1.96109'),
('lacus', '165', 'node', '4.99045'),
('lacus', '167', 'node', '3.84428'),
('lacus', '168', 'node', '0.972861'),
('lacus', '170', 'node', '2'),
('lacus', '171', 'node', '1.94583'),
('lacus', '172', 'node', '1'),
('lacus', '174', 'node', '1.76534'),
('lacus', '177', 'node', '0.863659'),
('lacus', '178', 'node', '2.82297'),
('lacus', '179', 'node', '3.86152'),
('lacus', '183', 'node', '1'),
('laoreet', '12', 'node', '2.6701'),
('laoreet', '13', 'node', '0.913226'),
('laoreet', '14', 'node', '0.800068'),
('laoreet', '15', 'node', '3.96498'),
('laoreet', '17', 'node', '1.85512'),
('laoreet', '18', 'node', '0.98493'),
('laoreet', '19', 'node', '1'),
('laoreet', '21', 'node', '1'),
('laoreet', '22', 'node', '27'),
('laoreet', '24', 'node', '3.96587'),
('laoreet', '26', 'node', '1.93105'),
('laoreet', '28', 'node', '2'),
('laoreet', '29', 'node', '1'),
('laoreet', '30', 'node', '1.86995'),
('laoreet', '31', 'node', '3.91236'),
('laoreet', '32', 'node', '2'),
('laoreet', '33', 'node', '1.75605'),
('laoreet', '34', 'node', '2.88421'),
('laoreet', '35', 'node', '1'),
('laoreet', '37', 'node', '1'),
('laoreet', '38', 'node', '1.9689'),
('laoreet', '39', 'node', '2'),
('laoreet', '41', 'node', '28.8723'),
('laoreet', '42', 'node', '1.98902'),
('laoreet', '43', 'node', '2'),
('laoreet', '44', 'node', '1'),
('laoreet', '45', 'node', '1.93838'),
('laoreet', '46', 'node', '1'),
('laoreet', '47', 'node', '1'),
('laoreet', '53', 'node', '1'),
('laoreet', '54', 'node', '1.97685'),
('laoreet', '55', 'node', '1'),
('laoreet', '57', 'node', '1'),
('laoreet', '65', 'node', '1'),
('laoreet', '69', 'node', '3'),
('laoreet', '82', 'node', '3'),
('laoreet', '83', 'node', '1.95793'),
('laoreet', '86', 'node', '1'),
('laoreet', '88', 'node', '0.934703'),
('laoreet', '89', 'node', '1'),
('laoreet', '90', 'node', '2'),
('laoreet', '92', 'node', '3'),
('laoreet', '95', 'node', '1.98087'),
('laoreet', '96', 'node', '1'),
('laoreet', '97', 'node', '1.98902'),
('laoreet', '98', 'node', '3.94209'),
('laoreet', '99', 'node', '1'),
('laoreet', '100', 'node', '1'),
('laoreet', '101', 'node', '1.9534'),
('laoreet', '105', 'node', '3'),
('laoreet', '122', 'node', '0.961087'),
('laoreet', '123', 'node', '0.938382'),
('laoreet', '124', 'node', '1'),
('laoreet', '125', 'node', '0.98493'),
('laoreet', '126', 'node', '1.92027'),
('laoreet', '128', 'node', '1.97286'),
('laoreet', '130', 'node', '2'),
('laoreet', '131', 'node', '0.993146'),
('laoreet', '132', 'node', '1'),
('laoreet', '133', 'node', '1.97286'),
('laoreet', '138', 'node', '2'),
('laoreet', '139', 'node', '1'),
('laoreet', '142', 'node', '1'),
('laoreet', '143', 'node', '2'),
('laoreet', '147', 'node', '2.73368'),
('laoreet', '148', 'node', '1.79415'),
('laoreet', '150', 'node', '0.957226'),
('laoreet', '151', 'node', '1'),
('laoreet', '152', 'node', '1.84793'),
('laoreet', '153', 'node', '5.45959'),
('laoreet', '154', 'node', '2.96109'),
('laoreet', '155', 'node', '0.989021'),
('laoreet', '157', 'node', '1'),
('laoreet', '160', 'node', '3'),
('laoreet', '161', 'node', '2.91831'),
('laoreet', '162', 'node', '0.945829'),
('laoreet', '163', 'node', '1'),
('laoreet', '165', 'node', '1'),
('laoreet', '166', 'node', '3.95373'),
('laoreet', '168', 'node', '2.97286'),
('laoreet', '170', 'node', '1'),
('laoreet', '171', 'node', '1'),
('laoreet', '172', 'node', '0.972861'),
('laoreet', '174', 'node', '1.85848'),
('laoreet', '175', 'node', '0.896076'),
('laoreet', '176', 'node', '2'),
('laoreet', '178', 'node', '1.8894'),
('laoreet', '179', 'node', '3.76375'),
('layered', '154', 'node', '26'),
('layered', '159', 'node', '26'),
('lead', '67', 'node', '1'),
('leather', '180', 'node', '26'),
('lectus', '12', 'node', '6.20522'),
('lectus', '13', 'node', '2'),
('lectus', '14', 'node', '1.98493'),
('lectus', '15', 'node', '4'),
('lectus', '16', 'node', '2.84411'),
('lectus', '17', 'node', '1'),
('lectus', '18', 'node', '2'),
('lectus', '19', 'node', '3'),
('lectus', '20', 'node', '1'),
('lectus', '21', 'node', '2'),
('lectus', '23', 'node', '1'),
('lectus', '24', 'node', '0.993146'),
('lectus', '25', 'node', '1'),
('lectus', '26', 'node', '1.9347'),
('lectus', '27', 'node', '1'),
('lectus', '30', 'node', '0.876337'),
('lectus', '31', 'node', '2.9496'),
('lectus', '32', 'node', '1.98087'),
('lectus', '34', 'node', '0.942091'),
('lectus', '35', 'node', '2'),
('lectus', '37', 'node', '2.99315'),
('lectus', '38', 'node', '4.85498'),
('lectus', '39', 'node', '1'),
('lectus', '40', 'node', '2.98902'),
('lectus', '42', 'node', '1.98902'),
('lectus', '43', 'node', '3'),
('lectus', '44', 'node', '2'),
('lectus', '46', 'node', '4'),
('lectus', '47', 'node', '1'),
('lectus', '50', 'node', '0.934703'),
('lectus', '52', 'node', '2.91674'),
('lectus', '53', 'node', '1'),
('lectus', '54', 'node', '3.9052'),
('lectus', '55', 'node', '3'),
('lectus', '56', 'node', '3.8377'),
('lectus', '58', 'node', '1'),
('lectus', '65', 'node', '1'),
('lectus', '67', 'node', '2'),
('lectus', '69', 'node', '1'),
('lectus', '73', 'node', '1.91193'),
('lectus', '82', 'node', '1'),
('lectus', '83', 'node', '1'),
('lectus', '84', 'node', '4'),
('lectus', '85', 'node', '2.98087'),
('lectus', '87', 'node', '2.99731'),
('lectus', '88', 'node', '0.980874'),
('lectus', '89', 'node', '1'),
('lectus', '90', 'node', '1'),
('lectus', '93', 'node', '1'),
('lectus', '94', 'node', '2.93105'),
('lectus', '97', 'node', '2'),
('lectus', '98', 'node', '0.98493'),
('lectus', '99', 'node', '3'),
('lectus', '100', 'node', '4'),
('lectus', '101', 'node', '4.86593'),
('lectus', '102', 'node', '0.98493'),
('lectus', '103', 'node', '1'),
('lectus', '104', 'node', '1.99731'),
('lectus', '105', 'node', '1.97685'),
('lectus', '122', 'node', '0.923838'),
('lectus', '123', 'node', '0.931053'),
('lectus', '124', 'node', '4'),
('lectus', '125', 'node', '0.968904'),
('lectus', '127', 'node', '4'),
('lectus', '128', 'node', '1'),
('lectus', '129', 'node', '2'),
('lectus', '130', 'node', '1'),
('lectus', '131', 'node', '1.90974'),
('lectus', '132', 'node', '1.98902'),
('lectus', '134', 'node', '0.957226'),
('lectus', '136', 'node', '2'),
('lectus', '138', 'node', '1'),
('lectus', '139', 'node', '3'),
('lectus', '145', 'node', '1'),
('lectus', '147', 'node', '2.90286'),
('lectus', '148', 'node', '2.63992'),
('lectus', '150', 'node', '3.96498'),
('lectus', '151', 'node', '2.91473'),
('lectus', '152', 'node', '4.73771'),
('lectus', '153', 'node', '1'),
('lectus', '154', 'node', '2.91674'),
('lectus', '155', 'node', '3.90974'),
('lectus', '157', 'node', '1.92027'),
('lectus', '158', 'node', '1'),
('lectus', '159', 'node', '1'),
('lectus', '160', 'node', '2.92027'),
('lectus', '161', 'node', '1.9496'),
('lectus', '163', 'node', '1.95723'),
('lectus', '164', 'node', '26'),
('lectus', '165', 'node', '3'),
('lectus', '166', 'node', '1'),
('lectus', '167', 'node', '1.91323'),
('lectus', '168', 'node', '0.961087'),
('lectus', '169', 'node', '1'),
('lectus', '170', 'node', '26.9849'),
('lectus', '171', 'node', '1.99315'),
('lectus', '172', 'node', '3.64094'),
('lectus', '174', 'node', '2.80275'),
('lectus', '175', 'node', '2'),
('lectus', '176', 'node', '1.98902'),
('lectus', '177', 'node', '2.90336'),
('lectus', '178', 'node', '2'),
('lectus', '179', 'node', '2.96498'),
('lectus', '183', 'node', '2'),
('lectus', '184', 'node', '1'),
('leo', '12', 'node', '60.2292'),
('leo', '13', 'node', '0.934703'),
('leo', '14', 'node', '4.32863'),
('leo', '15', 'node', '1.95723'),
('leo', '16', 'node', '3.84055'),
('leo', '17', 'node', '2'),
('leo', '18', 'node', '2'),
('leo', '19', 'node', '1'),
('leo', '20', 'node', '3'),
('leo', '21', 'node', '3'),
('leo', '22', 'node', '2'),
('leo', '24', 'node', '2'),
('leo', '25', 'node', '2'),
('leo', '26', 'node', '1'),
('leo', '28', 'node', '4'),
('leo', '29', 'node', '1'),
('leo', '30', 'node', '3.82313'),
('leo', '32', 'node', '0.931053'),
('leo', '33', 'node', '2.8881'),
('leo', '34', 'node', '3'),
('leo', '35', 'node', '2.97286'),
('leo', '38', 'node', '1'),
('leo', '39', 'node', '2'),
('leo', '40', 'node', '1'),
('leo', '41', 'node', '13'),
('leo', '42', 'node', '1'),
('leo', '44', 'node', '1'),
('leo', '45', 'node', '4.93833'),
('leo', '46', 'node', '1'),
('leo', '47', 'node', '2'),
('leo', '52', 'node', '30'),
('leo', '53', 'node', '0.989021'),
('leo', '54', 'node', '1'),
('leo', '55', 'node', '1'),
('leo', '56', 'node', '2'),
('leo', '57', 'node', '3'),
('leo', '65', 'node', '3'),
('leo', '67', 'node', '1.78636'),
('leo', '68', 'node', '1.98493'),
('leo', '69', 'node', '1'),
('leo', '71', 'node', '2'),
('leo', '73', 'node', '2.89608'),
('leo', '82', 'node', '1'),
('leo', '83', 'node', '3'),
('leo', '85', 'node', '2.98087'),
('leo', '87', 'node', '1'),
('leo', '88', 'node', '4.9496'),
('leo', '89', 'node', '2'),
('leo', '90', 'node', '2'),
('leo', '92', 'node', '1'),
('leo', '93', 'node', '1.99315'),
('leo', '94', 'node', '1'),
('leo', '97', 'node', '4'),
('leo', '98', 'node', '0.961087'),
('leo', '99', 'node', '1'),
('leo', '100', 'node', '3.84768'),
('leo', '101', 'node', '2.95723'),
('leo', '102', 'node', '2'),
('leo', '103', 'node', '2.96498'),
('leo', '104', 'node', '3.95723'),
('leo', '121', 'node', '1.7634'),
('leo', '122', 'node', '2.91081'),
('leo', '123', 'node', '2.84309'),
('leo', '126', 'node', '1'),
('leo', '127', 'node', '1'),
('leo', '128', 'node', '2.9534'),
('leo', '129', 'node', '1'),
('leo', '130', 'node', '2.98493'),
('leo', '131', 'node', '3'),
('leo', '132', 'node', '3'),
('leo', '133', 'node', '2'),
('leo', '134', 'node', '0.942091'),
('leo', '136', 'node', '1'),
('leo', '137', 'node', '4.97286'),
('leo', '138', 'node', '2'),
('leo', '147', 'node', '2.86995'),
('leo', '148', 'node', '3.60109'),
('leo', '150', 'node', '4.80163'),
('leo', '151', 'node', '1'),
('leo', '152', 'node', '1.88922'),
('leo', '154', 'node', '1'),
('leo', '155', 'node', '1.90629'),
('leo', '158', 'node', '0.972861'),
('leo', '159', 'node', '0.976851'),
('leo', '160', 'node', '1'),
('leo', '161', 'node', '3.96109'),
('leo', '162', 'node', '4'),
('leo', '163', 'node', '3.89997'),
('leo', '164', 'node', '2.97685'),
('leo', '165', 'node', '1.9689'),
('leo', '166', 'node', '3.97685'),
('leo', '167', 'node', '2.92384'),
('leo', '168', 'node', '3.91921'),
('leo', '170', 'node', '0.931053'),
('leo', '171', 'node', '1'),
('leo', '172', 'node', '1.71198'),
('leo', '174', 'node', '2.68215'),
('leo', '175', 'node', '1.97286'),
('leo', '176', 'node', '4.65178'),
('leo', '177', 'node', '0.882818'),
('leo', '178', 'node', '1.92384'),
('leo', '179', 'node', '3.90471'),
('leo', '183', 'node', '1'),
('libero', '12', 'node', '2.77073'),
('libero', '13', 'node', '46.405'),
('libero', '14', 'node', '15.843'),
('libero', '15', 'node', '2'),
('libero', '16', 'node', '4.72377'),
('libero', '17', 'node', '2'),
('libero', '18', 'node', '3'),
('libero', '20', 'node', '1'),
('libero', '21', 'node', '2'),
('libero', '22', 'node', '1'),
('libero', '24', 'node', '2'),
('libero', '26', 'node', '1.85212'),
('libero', '27', 'node', '2'),
('libero', '28', 'node', '2'),
('libero', '30', 'node', '2'),
('libero', '31', 'node', '2.94625'),
('libero', '32', 'node', '1.9347'),
('libero', '33', 'node', '1.84832'),
('libero', '35', 'node', '3.97286'),
('libero', '38', 'node', '1.89603'),
('libero', '39', 'node', '3'),
('libero', '40', 'node', '3'),
('libero', '41', 'node', '2.87313'),
('libero', '43', 'node', '0.899454'),
('libero', '46', 'node', '2'),
('libero', '47', 'node', '0.993146'),
('libero', '50', 'node', '3.94576'),
('libero', '52', 'node', '0.920273'),
('libero', '53', 'node', '1'),
('libero', '54', 'node', '2.97685'),
('libero', '55', 'node', '2'),
('libero', '56', 'node', '3.92626'),
('libero', '58', 'node', '2'),
('libero', '65', 'node', '1'),
('libero', '67', 'node', '2.82916'),
('libero', '68', 'node', '0.980874'),
('libero', '69', 'node', '5'),
('libero', '71', 'node', '4.99315'),
('libero', '73', 'node', '2.89608'),
('libero', '82', 'node', '1'),
('libero', '83', 'node', '2'),
('libero', '85', 'node', '1'),
('libero', '87', 'node', '2'),
('libero', '88', 'node', '1'),
('libero', '89', 'node', '2'),
('libero', '93', 'node', '1'),
('libero', '95', 'node', '27'),
('libero', '96', 'node', '28'),
('libero', '97', 'node', '0.949597'),
('libero', '99', 'node', '1'),
('libero', '100', 'node', '1'),
('libero', '101', 'node', '1.89968'),
('libero', '102', 'node', '2.97685'),
('libero', '103', 'node', '1.92384'),
('libero', '104', 'node', '1'),
('libero', '121', 'node', '1.85806'),
('libero', '122', 'node', '2.98902'),
('libero', '123', 'node', '1.92743'),
('libero', '124', 'node', '4.92743'),
('libero', '125', 'node', '2'),
('libero', '126', 'node', '1'),
('libero', '127', 'node', '2'),
('libero', '128', 'node', '2.9689'),
('libero', '129', 'node', '4'),
('libero', '130', 'node', '1'),
('libero', '131', 'node', '3'),
('libero', '132', 'node', '1'),
('libero', '133', 'node', '2'),
('libero', '134', 'node', '0.949597'),
('libero', '137', 'node', '1.98493'),
('libero', '139', 'node', '1'),
('libero', '143', 'node', '1'),
('libero', '146', 'node', '2'),
('libero', '147', 'node', '3.88609'),
('libero', '148', 'node', '1.71814'),
('libero', '150', 'node', '4.92384'),
('libero', '151', 'node', '2.95723'),
('libero', '152', 'node', '1'),
('libero', '153', 'node', '2'),
('libero', '154', 'node', '2'),
('libero', '155', 'node', '1'),
('libero', '156', 'node', '2'),
('libero', '157', 'node', '2.97685'),
('libero', '158', 'node', '2.98629'),
('libero', '159', 'node', '2.99461'),
('libero', '160', 'node', '1.9496'),
('libero', '161', 'node', '2.95723'),
('libero', '163', 'node', '2'),
('libero', '164', 'node', '1'),
('libero', '166', 'node', '1.98493'),
('libero', '167', 'node', '0.920273'),
('libero', '169', 'node', '2'),
('libero', '170', 'node', '2.9689'),
('libero', '171', 'node', '1'),
('libero', '172', 'node', '3.76267'),
('libero', '174', 'node', '1.77264'),
('libero', '175', 'node', '1'),
('libero', '176', 'node', '1.87957'),
('libero', '177', 'node', '1.92743'),
('libero', '178', 'node', '1.90974'),
('libero', '179', 'node', '0.879565'),
('libero', '183', 'node', '1'),
('libero', '184', 'node', '2'),
('licence', '42', 'node', '10.7454'),
('licence', '44', 'node', '10.363'),
('licence', '46', 'node', '10.2817'),
('licence', '139', 'node', '10.8342'),
('ligula', '12', 'node', '1'),
('ligula', '13', 'node', '3'),
('ligula', '14', 'node', '3.75483'),
('ligula', '15', 'node', '0.997306'),
('ligula', '16', 'node', '3.60616'),
('ligula', '17', 'node', '26.9769'),
('ligula', '18', 'node', '4'),
('ligula', '19', 'node', '1'),
('ligula', '20', 'node', '1'),
('ligula', '22', 'node', '2'),
('ligula', '24', 'node', '28.9689'),
('ligula', '25', 'node', '2'),
('ligula', '26', 'node', '2'),
('ligula', '27', 'node', '2'),
('ligula', '29', 'node', '2'),
('ligula', '30', 'node', '1.79955'),
('ligula', '32', 'node', '2'),
('ligula', '33', 'node', '2.70565'),
('ligula', '34', 'node', '2'),
('ligula', '35', 'node', '2'),
('ligula', '37', 'node', '1'),
('ligula', '38', 'node', '1.87634'),
('ligula', '41', 'node', '4.1857'),
('ligula', '42', 'node', '4'),
('ligula', '43', 'node', '28.8995'),
('ligula', '44', 'node', '2'),
('ligula', '45', 'node', '3.88072'),
('ligula', '47', 'node', '1'),
('ligula', '50', 'node', '4'),
('ligula', '52', 'node', '1.95723'),
('ligula', '53', 'node', '3'),
('ligula', '54', 'node', '0.923838'),
('ligula', '55', 'node', '1'),
('ligula', '56', 'node', '6'),
('ligula', '57', 'node', '2'),
('ligula', '58', 'node', '2'),
('ligula', '65', 'node', '2'),
('ligula', '67', 'node', '1'),
('ligula', '68', 'node', '1'),
('ligula', '71', 'node', '2'),
('ligula', '73', 'node', '3'),
('ligula', '82', 'node', '1'),
('ligula', '83', 'node', '3'),
('ligula', '84', 'node', '1'),
('ligula', '86', 'node', '1.9689'),
('ligula', '87', 'node', '4'),
('ligula', '88', 'node', '5.96109'),
('ligula', '90', 'node', '2'),
('ligula', '92', 'node', '1.97286'),
('ligula', '93', 'node', '3.93388'),
('ligula', '95', 'node', '3'),
('ligula', '96', 'node', '1'),
('ligula', '97', 'node', '1'),
('ligula', '98', 'node', '2'),
('ligula', '99', 'node', '2'),
('ligula', '100', 'node', '1.85489'),
('ligula', '101', 'node', '1.9496'),
('ligula', '102', 'node', '2'),
('ligula', '103', 'node', '2.93485'),
('ligula', '104', 'node', '0.934703'),
('ligula', '105', 'node', '1'),
('ligula', '121', 'node', '0.942091'),
('ligula', '122', 'node', '1.9347'),
('ligula', '124', 'node', '2'),
('ligula', '125', 'node', '3.85945'),
('ligula', '126', 'node', '2.91758'),
('ligula', '127', 'node', '2'),
('ligula', '128', 'node', '1'),
('ligula', '130', 'node', '4'),
('ligula', '131', 'node', '3.80306'),
('ligula', '132', 'node', '2'),
('ligula', '133', 'node', '2.95723'),
('ligula', '134', 'node', '2'),
('ligula', '136', 'node', '0.993146'),
('ligula', '137', 'node', '2'),
('ligula', '139', 'node', '3'),
('ligula', '143', 'node', '3'),
('ligula', '144', 'node', '1'),
('ligula', '147', 'node', '2.85746'),
('ligula', '148', 'node', '1.83932'),
('ligula', '150', 'node', '5.74298'),
('ligula', '151', 'node', '1'),
('ligula', '152', 'node', '8.54861'),
('ligula', '153', 'node', '2.89945'),
('ligula', '154', 'node', '2.85212'),
('ligula', '155', 'node', '1.9347'),
('ligula', '157', 'node', '1'),
('ligula', '158', 'node', '2'),
('ligula', '159', 'node', '2'),
('ligula', '161', 'node', '3'),
('ligula', '163', 'node', '2'),
('ligula', '165', 'node', '1.95723'),
('ligula', '166', 'node', '3'),
('ligula', '167', 'node', '3.9689'),
('ligula', '168', 'node', '2'),
('ligula', '170', 'node', '1'),
('ligula', '171', 'node', '1.90877'),
('ligula', '172', 'node', '5.78547'),
('ligula', '174', 'node', '5.33997'),
('ligula', '175', 'node', '1.89608'),
('ligula', '176', 'node', '1'),
('ligula', '177', 'node', '2.95723'),
('ligula', '179', 'node', '2.97402'),
('ligula', '184', 'node', '1'),
('likebtn', '12', 'node', '2.36271'),
('likebtn', '13', 'node', '0.889397'),
('likebtn', '14', 'node', '3.97208'),
('likebtn', '16', 'node', '1.67043'),
('likebtninit', '12', 'node', '2.35713'),
('likebtninit', '13', 'node', '0.882818'),
('likebtninit', '14', 'node', '3.96631'),
('likebtninit', '16', 'node', '1.6639'),
('limited', '142', 'node', '2'),
('limited', '143', 'node', '2'),
('limited', '144', 'node', '2'),
('limited', '145', 'node', '2'),
('litora', '12', 'node', '0.863659'),
('litora', '14', 'node', '0.779231'),
('litora', '16', 'node', '0.805455'),
('litora', '17', 'node', '1'),
('litora', '27', 'node', '1'),
('litora', '29', 'node', '1'),
('litora', '33', 'node', '1'),
('litora', '41', 'node', '0.845322'),
('litora', '43', 'node', '0.931053'),
('litora', '46', 'node', '0.997306'),
('litora', '54', 'node', '1'),
('litora', '67', 'node', '1'),
('litora', '73', 'node', '2.8861'),
('litora', '88', 'node', '1'),
('litora', '93', 'node', '1.98902'),
('litora', '95', 'node', '1'),
('litora', '104', 'node', '1'),
('litora', '121', 'node', '1.93105'),
('litora', '130', 'node', '1'),
('litora', '153', 'node', '0.96498'),
('litora', '156', 'node', '0.989021'),
('litora', '167', 'node', '1'),
('litora', '172', 'node', '1'),
('litora', '177', 'node', '0.906287'),
('litora', '179', 'node', '0.902857'),
('lobortis', '12', 'node', '4.33097'),
('lobortis', '13', 'node', '1'),
('lobortis', '14', 'node', '1.772'),
('lobortis', '15', 'node', '1'),
('lobortis', '16', 'node', '2.56867'),
('lobortis', '17', 'node', '1'),
('lobortis', '18', 'node', '2.87314'),
('lobortis', '19', 'node', '1'),
('lobortis', '20', 'node', '1'),
('lobortis', '21', 'node', '10.8342'),
('lobortis', '22', 'node', '10.8792'),
('lobortis', '23', 'node', '11.9704'),
('lobortis', '24', 'node', '11.2817'),
('lobortis', '25', 'node', '2'),
('lobortis', '26', 'node', '0.923838'),
('lobortis', '27', 'node', '2'),
('lobortis', '28', 'node', '3'),
('lobortis', '30', 'node', '1.90286'),
('lobortis', '31', 'node', '1.94209'),
('lobortis', '32', 'node', '2.98087'),
('lobortis', '33', 'node', '1.96109'),
('lobortis', '34', 'node', '2.9496'),
('lobortis', '35', 'node', '2.9689'),
('lobortis', '37', 'node', '2'),
('lobortis', '39', 'node', '2'),
('lobortis', '41', 'node', '2.65639'),
('lobortis', '42', 'node', '2.98087'),
('lobortis', '45', 'node', '3.93838'),
('lobortis', '47', 'node', '1'),
('lobortis', '53', 'node', '1'),
('lobortis', '54', 'node', '2.82645'),
('lobortis', '55', 'node', '1.96109'),
('lobortis', '56', 'node', '1.99315'),
('lobortis', '57', 'node', '2'),
('lobortis', '58', 'node', '1'),
('lobortis', '65', 'node', '1'),
('lobortis', '68', 'node', '1'),
('lobortis', '69', 'node', '1'),
('lobortis', '85', 'node', '1'),
('lobortis', '86', 'node', '2'),
('lobortis', '87', 'node', '1'),
('lobortis', '88', 'node', '6'),
('lobortis', '89', 'node', '1'),
('lobortis', '90', 'node', '3'),
('lobortis', '91', 'node', '2'),
('lobortis', '92', 'node', '2'),
('lobortis', '93', 'node', '0.934703'),
('lobortis', '95', 'node', '2'),
('lobortis', '97', 'node', '1.96498'),
('lobortis', '98', 'node', '3'),
('lobortis', '99', 'node', '2'),
('lobortis', '100', 'node', '1'),
('lobortis', '101', 'node', '0.989021'),
('lobortis', '105', 'node', '1.86967'),
('lobortis', '121', 'node', '1.79955'),
('lobortis', '122', 'node', '4.86987'),
('lobortis', '123', 'node', '1'),
('lobortis', '124', 'node', '1.99731'),
('lobortis', '125', 'node', '0.931053'),
('lobortis', '126', 'node', '1'),
('lobortis', '128', 'node', '1'),
('lobortis', '129', 'node', '2'),
('lobortis', '131', 'node', '1.90286'),
('lobortis', '132', 'node', '1.98087'),
('lobortis', '133', 'node', '2.99731'),
('lobortis', '134', 'node', '1'),
('lobortis', '136', 'node', '0.972861'),
('lobortis', '137', 'node', '1.98087'),
('lobortis', '138', 'node', '1'),
('lobortis', '139', 'node', '2'),
('lobortis', '147', 'node', '3.74032'),
('lobortis', '148', 'node', '0.848323'),
('lobortis', '150', 'node', '1'),
('lobortis', '151', 'node', '2'),
('lobortis', '152', 'node', '0.889397'),
('lobortis', '154', 'node', '1'),
('lobortis', '156', 'node', '0.949597'),
('lobortis', '158', 'node', '1'),
('lobortis', '159', 'node', '1'),
('lobortis', '161', 'node', '1'),
('lobortis', '162', 'node', '4.91495'),
('lobortis', '163', 'node', '1.99315'),
('lobortis', '164', 'node', '1'),
('lobortis', '165', 'node', '1.95723'),
('lobortis', '166', 'node', '3.91838'),
('lobortis', '167', 'node', '2.96109'),
('lobortis', '168', 'node', '1'),
('lobortis', '169', 'node', '1'),
('lobortis', '170', 'node', '1'),
('lobortis', '171', 'node', '1'),
('lobortis', '172', 'node', '1'),
('lobortis', '174', 'node', '0.805455'),
('lobortis', '175', 'node', '5.7716'),
('lobortis', '176', 'node', '2.76312'),
('lobortis', '178', 'node', '3'),
('lobortis', '179', 'node', '2.82054'),
('lobortis', '183', 'node', '1'),
('lobortis', '184', 'node', '1'),
('log', '12', 'node', '5.17963'),
('log', '13', 'node', '1.93504'),
('log', '14', 'node', '8.7196'),
('log', '16', 'node', '3.65348'),
('log', '41', 'node', '3.58084'),
('log', '105', 'node', '4.07403'),
('london', '174', 'node', '26'),
('lorem', '12', 'node', '17.7468'),
('lorem', '13', 'node', '0.896076'),
('lorem', '14', 'node', '20.4924'),
('lorem', '15', 'node', '1.9496'),
('lorem', '16', 'node', '5.42041'),
('lorem', '17', 'node', '0.98493'),
('lorem', '18', 'node', '1.9347'),
('lorem', '19', 'node', '29'),
('lorem', '20', 'node', '4'),
('lorem', '21', 'node', '3.99731'),
('lorem', '22', 'node', '1'),
('lorem', '23', 'node', '1'),
('lorem', '24', 'node', '1'),
('lorem', '25', 'node', '1'),
('lorem', '26', 'node', '2.96498'),
('lorem', '27', 'node', '3'),
('lorem', '28', 'node', '1'),
('lorem', '29', 'node', '1'),
('lorem', '30', 'node', '0.949597'),
('lorem', '31', 'node', '1'),
('lorem', '32', 'node', '1.93838'),
('lorem', '33', 'node', '0.860547'),
('lorem', '34', 'node', '1'),
('lorem', '37', 'node', '11'),
('lorem', '38', 'node', '11.4536'),
('lorem', '39', 'node', '12.9572'),
('lorem', '40', 'node', '25'),
('lorem', '41', 'node', '12.8055'),
('lorem', '42', 'node', '2'),
('lorem', '43', 'node', '2.9689'),
('lorem', '44', 'node', '1'),
('lorem', '45', 'node', '1'),
('lorem', '46', 'node', '0.938382'),
('lorem', '47', 'node', '1'),
('lorem', '53', 'node', '1'),
('lorem', '55', 'node', '1'),
('lorem', '57', 'node', '2'),
('lorem', '58', 'node', '1'),
('lorem', '65', 'node', '2'),
('lorem', '67', 'node', '0.923838'),
('lorem', '68', 'node', '3'),
('lorem', '71', 'node', '1'),
('lorem', '73', 'node', '1.95723'),
('lorem', '83', 'node', '1'),
('lorem', '84', 'node', '1'),
('lorem', '87', 'node', '3'),
('lorem', '88', 'node', '1.96498'),
('lorem', '89', 'node', '1'),
('lorem', '90', 'node', '0.980874'),
('lorem', '91', 'node', '2'),
('lorem', '92', 'node', '2'),
('lorem', '93', 'node', '2'),
('lorem', '95', 'node', '2'),
('lorem', '97', 'node', '2.93569'),
('lorem', '98', 'node', '2.89549'),
('lorem', '99', 'node', '2.98087'),
('lorem', '101', 'node', '1'),
('lorem', '102', 'node', '2'),
('lorem', '103', 'node', '2'),
('lorem', '104', 'node', '1.9534'),
('lorem', '105', 'node', '4.99315'),
('lorem', '121', 'node', '5.91674'),
('lorem', '122', 'node', '3.96498'),
('lorem', '123', 'node', '3.99315'),
('lorem', '124', 'node', '2.89549'),
('lorem', '125', 'node', '0.923838'),
('lorem', '126', 'node', '1.9496'),
('lorem', '127', 'node', '4'),
('lorem', '128', 'node', '0.980874'),
('lorem', '129', 'node', '2.99315'),
('lorem', '130', 'node', '1'),
('lorem', '131', 'node', '1.89945'),
('lorem', '133', 'node', '2'),
('lorem', '134', 'node', '1'),
('lorem', '137', 'node', '3'),
('lorem', '138', 'node', '1'),
('lorem', '139', 'node', '3'),
('lorem', '143', 'node', '1'),
('lorem', '144', 'node', '2'),
('lorem', '148', 'node', '1.84832'),
('lorem', '150', 'node', '2'),
('lorem', '151', 'node', '3.94177'),
('lorem', '152', 'node', '1.91674'),
('lorem', '153', 'node', '0.920273'),
('lorem', '154', 'node', '0.931053'),
('lorem', '155', 'node', '3.72934'),
('lorem', '156', 'node', '2'),
('lorem', '157', 'node', '2.91495'),
('lorem', '160', 'node', '1.92027'),
('lorem', '161', 'node', '0.945829'),
('lorem', '163', 'node', '2.99315'),
('lorem', '164', 'node', '27'),
('lorem', '165', 'node', '4.88373'),
('lorem', '166', 'node', '2'),
('lorem', '167', 'node', '1.89549'),
('lorem', '169', 'node', '1'),
('lorem', '170', 'node', '1'),
('lorem', '171', 'node', '1.92743'),
('lorem', '172', 'node', '4.56378'),
('lorem', '174', 'node', '0.848323'),
('lorem', '175', 'node', '4.90115'),
('lorem', '176', 'node', '1.90629'),
('lorem', '177', 'node', '4.92999'),
('lorem', '178', 'node', '0.899454'),
('lorem', '179', 'node', '3.77784'),
('low', '157', 'node', '26'),
('luctus', '12', 'node', '6.1316'),
('luctus', '13', 'node', '1.92027'),
('luctus', '14', 'node', '1.58426'),
('luctus', '16', 'node', '1.92384'),
('luctus', '17', 'node', '3'),
('luctus', '18', 'node', '2'),
('luctus', '19', 'node', '1'),
('luctus', '20', 'node', '1'),
('luctus', '21', 'node', '2'),
('luctus', '22', 'node', '1'),
('luctus', '23', 'node', '3'),
('luctus', '25', 'node', '1'),
('luctus', '26', 'node', '1'),
('luctus', '29', 'node', '2'),
('luctus', '30', 'node', '1'),
('luctus', '31', 'node', '1'),
('luctus', '32', 'node', '0.938382'),
('luctus', '33', 'node', '1.86366'),
('luctus', '34', 'node', '3'),
('luctus', '35', 'node', '1.96109'),
('luctus', '37', 'node', '1'),
('luctus', '38', 'node', '2.95723'),
('luctus', '41', 'node', '0.934703'),
('luctus', '42', 'node', '1.98493'),
('luctus', '44', 'node', '3'),
('luctus', '45', 'node', '1'),
('luctus', '47', 'node', '2'),
('luctus', '50', 'node', '2'),
('luctus', '52', 'node', '1'),
('luctus', '53', 'node', '3'),
('luctus', '54', 'node', '1.94209'),
('luctus', '55', 'node', '0.961087'),
('luctus', '65', 'node', '1'),
('luctus', '67', 'node', '1.8861'),
('luctus', '68', 'node', '2.98902'),
('luctus', '71', 'node', '1'),
('luctus', '73', 'node', '4.78217'),
('luctus', '82', 'node', '1'),
('luctus', '84', 'node', '1'),
('luctus', '85', 'node', '1.97402'),
('luctus', '87', 'node', '2.98493'),
('luctus', '88', 'node', '4'),
('luctus', '89', 'node', '4'),
('luctus', '90', 'node', '1.97286'),
('luctus', '94', 'node', '2.9347'),
('luctus', '95', 'node', '3.95723'),
('luctus', '96', 'node', '1.98902'),
('luctus', '97', 'node', '0.989021'),
('luctus', '99', 'node', '1'),
('luctus', '100', 'node', '2'),
('luctus', '101', 'node', '1'),
('luctus', '102', 'node', '2'),
('luctus', '103', 'node', '1'),
('luctus', '104', 'node', '1.9496'),
('luctus', '105', 'node', '1.83701'),
('luctus', '121', 'node', '1'),
('luctus', '123', 'node', '1'),
('luctus', '125', 'node', '1'),
('luctus', '126', 'node', '1.9496'),
('luctus', '127', 'node', '2'),
('luctus', '129', 'node', '3.99315'),
('luctus', '130', 'node', '3'),
('luctus', '131', 'node', '3'),
('luctus', '132', 'node', '0.96498'),
('luctus', '133', 'node', '2.92996'),
('luctus', '139', 'node', '2'),
('luctus', '142', 'node', '2'),
('luctus', '145', 'node', '2'),
('luctus', '146', 'node', '3'),
('luctus', '147', 'node', '1.87313'),
('luctus', '148', 'node', '2.79223'),
('luctus', '150', 'node', '3.85854'),
('luctus', '151', 'node', '1.95723'),
('luctus', '152', 'node', '4.85245'),
('luctus', '153', 'node', '2.77549'),
('luctus', '154', 'node', '1.89272'),
('luctus', '155', 'node', '3'),
('luctus', '157', 'node', '2'),
('luctus', '160', 'node', '2'),
('luctus', '161', 'node', '0.957226'),
('luctus', '162', 'node', '3'),
('luctus', '163', 'node', '1'),
('luctus', '164', 'node', '1'),
('luctus', '165', 'node', '2.95723'),
('luctus', '167', 'node', '0.934703'),
('luctus', '168', 'node', '2'),
('luctus', '169', 'node', '1'),
('luctus', '170', 'node', '1'),
('luctus', '174', 'node', '2.89272'),
('luctus', '175', 'node', '0.934703'),
('luctus', '176', 'node', '3.96601'),
('luctus', '177', 'node', '1'),
('luctus', '178', 'node', '1.85127'),
('luctus', '179', 'node', '1.73674'),
('luke', '86', 'node', '26'),
('maecenas', '13', 'node', '1'),
('maecenas', '14', 'node', '2.35443'),
('maecenas', '15', 'node', '0.968904'),
('maecenas', '16', 'node', '1'),
('maecenas', '17', 'node', '0.923838'),
('maecenas', '18', 'node', '1'),
('maecenas', '19', 'node', '1'),
('maecenas', '20', 'node', '1'),
('maecenas', '21', 'node', '1'),
('maecenas', '22', 'node', '1'),
('maecenas', '25', 'node', '28'),
('maecenas', '26', 'node', '0.953396'),
('maecenas', '27', 'node', '1'),
('maecenas', '30', 'node', '0.863659'),
('maecenas', '31', 'node', '1'),
('maecenas', '32', 'node', '1'),
('maecenas', '33', 'node', '0.848323'),
('maecenas', '34', 'node', '0.953396'),
('maecenas', '35', 'node', '10.4041'),
('maecenas', '37', 'node', '0.961087'),
('maecenas', '40', 'node', '27'),
('maecenas', '41', 'node', '2.76896'),
('maecenas', '42', 'node', '0.98493'),
('maecenas', '43', 'node', '1'),
('maecenas', '44', 'node', '1'),
('maecenas', '45', 'node', '2'),
('maecenas', '46', 'node', '27.9458'),
('maecenas', '47', 'node', '1'),
('maecenas', '52', 'node', '0.934703'),
('maecenas', '54', 'node', '2'),
('maecenas', '55', 'node', '1'),
('maecenas', '56', 'node', '1.9347'),
('maecenas', '57', 'node', '3'),
('maecenas', '58', 'node', '2'),
('maecenas', '65', 'node', '1'),
('maecenas', '68', 'node', '1'),
('maecenas', '69', 'node', '1'),
('maecenas', '71', 'node', '1'),
('maecenas', '83', 'node', '3'),
('maecenas', '84', 'node', '1'),
('maecenas', '85', 'node', '1'),
('maecenas', '86', 'node', '1'),
('maecenas', '87', 'node', '1'),
('maecenas', '90', 'node', '2.90305'),
('maecenas', '92', 'node', '2'),
('maecenas', '94', 'node', '1.92384'),
('maecenas', '99', 'node', '2'),
('maecenas', '100', 'node', '3'),
('maecenas', '101', 'node', '0.972861'),
('maecenas', '102', 'node', '1'),
('maecenas', '103', 'node', '1.98902'),
('maecenas', '104', 'node', '0.942091'),
('maecenas', '105', 'node', '2'),
('maecenas', '121', 'node', '0.896076'),
('maecenas', '122', 'node', '2'),
('maecenas', '123', 'node', '3.95723'),
('maecenas', '124', 'node', '0.938382'),
('maecenas', '125', 'node', '1.96498'),
('maecenas', '126', 'node', '0.953396'),
('maecenas', '127', 'node', '2'),
('maecenas', '128', 'node', '27.9809'),
('maecenas', '129', 'node', '27'),
('maecenas', '130', 'node', '0.934703'),
('maecenas', '132', 'node', '2'),
('maecenas', '134', 'node', '1.91081'),
('maecenas', '136', 'node', '2'),
('maecenas', '138', 'node', '1'),
('maecenas', '139', 'node', '1'),
('maecenas', '146', 'node', '1'),
('maecenas', '147', 'node', '1.85144'),
('maecenas', '148', 'node', '3.81125'),
('maecenas', '151', 'node', '0.906287'),
('maecenas', '152', 'node', '2.94242'),
('maecenas', '154', 'node', '1'),
('maecenas', '155', 'node', '3.94209'),
('maecenas', '156', 'node', '2'),
('maecenas', '157', 'node', '1'),
('maecenas', '160', 'node', '1'),
('maecenas', '161', 'node', '4.93395'),
('maecenas', '162', 'node', '1.91473'),
('maecenas', '163', 'node', '2'),
('maecenas', '165', 'node', '1'),
('maecenas', '166', 'node', '0.957226'),
('maecenas', '167', 'node', '1'),
('maecenas', '168', 'node', '0.96498'),
('maecenas', '170', 'node', '3'),
('maecenas', '171', 'node', '0.927431'),
('maecenas', '172', 'node', '2.83734'),
('maecenas', '174', 'node', '2.62459'),
('maecenas', '175', 'node', '1.93105'),
('maecenas', '176', 'node', '0.931053'),
('maecenas', '177', 'node', '2.93838'),
('maecenas', '183', 'node', '1'),
('magna', '12', 'node', '4.65865'),
('magna', '14', 'node', '6.09151'),
('magna', '16', 'node', '1'),
('magna', '17', 'node', '1.97685'),
('magna', '18', 'node', '2'),
('magna', '19', 'node', '1'),
('magna', '20', 'node', '2'),
('magna', '24', 'node', '1.9347'),
('magna', '25', 'node', '1'),
('magna', '26', 'node', '2'),
('magna', '28', 'node', '2'),
('magna', '29', 'node', '1'),
('magna', '30', 'node', '3.76267'),
('magna', '31', 'node', '1.94575'),
('magna', '32', 'node', '2'),
('magna', '33', 'node', '0.961087'),
('magna', '34', 'node', '1'),
('magna', '37', 'node', '1'),
('magna', '38', 'node', '1'),
('magna', '39', 'node', '1.96498'),
('magna', '40', 'node', '1'),
('magna', '41', 'node', '2.64285'),
('magna', '43', 'node', '2.94576'),
('magna', '44', 'node', '2'),
('magna', '45', 'node', '3'),
('magna', '46', 'node', '2'),
('magna', '47', 'node', '1'),
('magna', '50', 'node', '2.94209'),
('magna', '52', 'node', '2.87314'),
('magna', '53', 'node', '27.989'),
('magna', '54', 'node', '1'),
('magna', '55', 'node', '1'),
('magna', '56', 'node', '4.86517'),
('magna', '57', 'node', '1'),
('magna', '58', 'node', '32'),
('magna', '65', 'node', '1'),
('magna', '67', 'node', '3.78568'),
('magna', '68', 'node', '7'),
('magna', '69', 'node', '1'),
('magna', '71', 'node', '1'),
('magna', '73', 'node', '0.899454'),
('magna', '83', 'node', '0.993146'),
('magna', '86', 'node', '5'),
('magna', '88', 'node', '2.95723'),
('magna', '89', 'node', '2'),
('magna', '91', 'node', '1'),
('magna', '92', 'node', '2'),
('magna', '93', 'node', '1.9689'),
('magna', '94', 'node', '1.98902'),
('magna', '95', 'node', '28'),
('magna', '96', 'node', '3'),
('magna', '97', 'node', '1.98493'),
('magna', '98', 'node', '1.93838'),
('magna', '99', 'node', '2.98087'),
('magna', '100', 'node', '1'),
('magna', '101', 'node', '2'),
('magna', '102', 'node', '1'),
('magna', '104', 'node', '1'),
('magna', '105', 'node', '1.90974'),
('magna', '121', 'node', '3.777'),
('magna', '122', 'node', '1.93105'),
('magna', '123', 'node', '1'),
('magna', '124', 'node', '1'),
('magna', '125', 'node', '2.89712'),
('magna', '126', 'node', '0.942091'),
('magna', '127', 'node', '1'),
('magna', '128', 'node', '2'),
('magna', '130', 'node', '0.993146'),
('magna', '131', 'node', '1.89945'),
('magna', '132', 'node', '3'),
('magna', '133', 'node', '1'),
('magna', '134', 'node', '1'),
('magna', '136', 'node', '2'),
('magna', '137', 'node', '1.95779'),
('magna', '138', 'node', '2'),
('magna', '139', 'node', '2'),
('magna', '142', 'node', '1'),
('magna', '146', 'node', '2'),
('magna', '147', 'node', '3.87313'),
('magna', '148', 'node', '3.92474'),
('magna', '150', 'node', '2'),
('magna', '152', 'node', '2.80309'),
('magna', '154', 'node', '1.94583'),
('magna', '155', 'node', '2.93838'),
('magna', '158', 'node', '2'),
('magna', '159', 'node', '2'),
('magna', '160', 'node', '3.9347'),
('magna', '161', 'node', '0.972861'),
('magna', '162', 'node', '27'),
('magna', '163', 'node', '2'),
('magna', '164', 'node', '2'),
('magna', '167', 'node', '1'),
('magna', '168', 'node', '2.97685'),
('magna', '170', 'node', '0.961087'),
('magna', '171', 'node', '1.92474'),
('magna', '172', 'node', '5.74778'),
('magna', '174', 'node', '1'),
('magna', '175', 'node', '1.89608'),
('magna', '176', 'node', '8.5586'),
('magna', '177', 'node', '2.87313'),
('magna', '178', 'node', '2'),
('magna', '179', 'node', '3'),
('magna', '184', 'node', '2'),
('magnet', '153', 'node', '26'),
('magnis', '16', 'node', '0.854391'),
('magnis', '30', 'node', '0.98493'),
('magnis', '31', 'node', '1'),
('magnis', '33', 'node', '1'),
('magnis', '43', 'node', '1'),
('magnis', '67', 'node', '1'),
('magnis', '86', 'node', '1'),
('magnis', '91', 'node', '1'),
('magnis', '93', 'node', '1'),
('magnis', '94', 'node', '1'),
('magnis', '95', 'node', '0.923838'),
('magnis', '123', 'node', '1'),
('magnis', '134', 'node', '1.9689'),
('magnis', '136', 'node', '1'),
('magnis', '146', 'node', '1'),
('magnis', '148', 'node', '0.906287'),
('magnis', '157', 'node', '1'),
('magnis', '160', 'node', '0.98493'),
('magnis', '165', 'node', '0.931053'),
('magnis', '174', 'node', '1'),
('magnis', '177', 'node', '1'),
('mail', '65', 'node', '11'),
('mail', '68', 'node', '11'),
('mail', '71', 'node', '11'),
('mail', '73', 'node', '11'),
('mail', '132', 'node', '11'),
('malesuada', '12', 'node', '29.5844'),
('malesuada', '13', 'node', '4'),
('malesuada', '14', 'node', '5.43561'),
('malesuada', '15', 'node', '1'),
('malesuada', '16', 'node', '1.90286'),
('malesuada', '18', 'node', '1'),
('malesuada', '19', 'node', '2'),
('malesuada', '20', 'node', '3'),
('malesuada', '21', 'node', '2'),
('malesuada', '22', 'node', '3'),
('malesuada', '24', 'node', '2'),
('malesuada', '25', 'node', '3'),
('malesuada', '26', 'node', '0.980874'),
('malesuada', '27', 'node', '0.98493'),
('malesuada', '28', 'node', '2'),
('malesuada', '30', 'node', '5.6785'),
('malesuada', '34', 'node', '2'),
('malesuada', '35', 'node', '1'),
('malesuada', '37', 'node', '1'),
('malesuada', '38', 'node', '2.88282'),
('malesuada', '39', 'node', '11'),
('malesuada', '40', 'node', '1'),
('malesuada', '41', 'node', '14.6935'),
('malesuada', '42', 'node', '2'),
('malesuada', '43', 'node', '1'),
('malesuada', '44', 'node', '0.989021'),
('malesuada', '45', 'node', '1'),
('malesuada', '47', 'node', '4'),
('malesuada', '50', 'node', '2.93111'),
('malesuada', '52', 'node', '4'),
('malesuada', '53', 'node', '1'),
('malesuada', '54', 'node', '1'),
('malesuada', '55', 'node', '2'),
('malesuada', '56', 'node', '1'),
('malesuada', '57', 'node', '1'),
('malesuada', '58', 'node', '1'),
('malesuada', '67', 'node', '1.89945'),
('malesuada', '68', 'node', '1.97286'),
('malesuada', '71', 'node', '3.98087'),
('malesuada', '82', 'node', '3'),
('malesuada', '83', 'node', '2'),
('malesuada', '84', 'node', '2'),
('malesuada', '85', 'node', '3.98087'),
('malesuada', '87', 'node', '1'),
('malesuada', '88', 'node', '1'),
('malesuada', '89', 'node', '1'),
('malesuada', '90', 'node', '1.94583'),
('malesuada', '91', 'node', '4'),
('malesuada', '92', 'node', '3'),
('malesuada', '93', 'node', '0.913226'),
('malesuada', '94', 'node', '0.949597'),
('malesuada', '95', 'node', '1.98087'),
('malesuada', '96', 'node', '1'),
('malesuada', '97', 'node', '1'),
('malesuada', '98', 'node', '2.9496'),
('malesuada', '99', 'node', '1.9689'),
('malesuada', '100', 'node', '1'),
('malesuada', '101', 'node', '1.9496'),
('malesuada', '103', 'node', '1'),
('malesuada', '104', 'node', '1'),
('malesuada', '105', 'node', '2'),
('malesuada', '121', 'node', '0.953396'),
('malesuada', '122', 'node', '4.92027'),
('malesuada', '123', 'node', '3'),
('malesuada', '124', 'node', '2.82559'),
('malesuada', '125', 'node', '0.916736'),
('malesuada', '126', 'node', '1'),
('malesuada', '127', 'node', '1'),
('malesuada', '129', 'node', '1'),
('malesuada', '130', 'node', '1.96109'),
('malesuada', '132', 'node', '1'),
('malesuada', '133', 'node', '3'),
('malesuada', '134', 'node', '1'),
('malesuada', '136', 'node', '1'),
('malesuada', '137', 'node', '2'),
('malesuada', '138', 'node', '1'),
('malesuada', '139', 'node', '1'),
('malesuada', '142', 'node', '1'),
('malesuada', '144', 'node', '1'),
('malesuada', '146', 'node', '3'),
('malesuada', '147', 'node', '3'),
('malesuada', '148', 'node', '2'),
('malesuada', '150', 'node', '1.89272'),
('malesuada', '151', 'node', '2.86697'),
('malesuada', '152', 'node', '2.87572'),
('malesuada', '153', 'node', '3.67278'),
('malesuada', '154', 'node', '1.93838'),
('malesuada', '155', 'node', '26.9534'),
('malesuada', '156', 'node', '2.96109'),
('malesuada', '157', 'node', '3.91674'),
('malesuada', '158', 'node', '4.95423'),
('malesuada', '159', 'node', '4.96229'),
('malesuada', '160', 'node', '1'),
('malesuada', '161', 'node', '1'),
('malesuada', '162', 'node', '3.89922'),
('malesuada', '163', 'node', '1.96498'),
('malesuada', '164', 'node', '2.96498'),
('malesuada', '165', 'node', '1.9496'),
('malesuada', '166', 'node', '1'),
('malesuada', '167', 'node', '4.87314'),
('malesuada', '168', 'node', '2.99315'),
('malesuada', '169', 'node', '2'),
('malesuada', '170', 'node', '1.97808'),
('malesuada', '171', 'node', '2.98902'),
('malesuada', '172', 'node', '3.84947'),
('malesuada', '174', 'node', '1.80294'),
('malesuada', '175', 'node', '0.957226'),
('malesuada', '176', 'node', '3.80231'),
('malesuada', '177', 'node', '1'),
('malesuada', '178', 'node', '2.96188'),
('malesuada', '179', 'node', '2.91193'),
('malesuada', '184', 'node', '1'),
('manager', '69', 'node', '1'),
('managing', '124', 'node', '37'),
('marketing', '65', 'node', '11'),
('marketing', '126', 'node', '10.0072'),
('marketing', '173', 'node', '1'),
('massa', '12', 'node', '4.19661'),
('massa', '13', 'node', '1'),
('massa', '14', 'node', '3.45526'),
('massa', '15', 'node', '1'),
('massa', '16', 'node', '1.89003'),
('massa', '17', 'node', '2'),
('massa', '18', 'node', '4'),
('massa', '19', 'node', '2'),
('massa', '20', 'node', '1'),
('massa', '21', 'node', '1'),
('massa', '23', 'node', '2'),
('massa', '24', 'node', '1.98493'),
('massa', '25', 'node', '2'),
('massa', '28', 'node', '1'),
('massa', '29', 'node', '1'),
('massa', '30', 'node', '3.91323'),
('massa', '31', 'node', '3'),
('massa', '32', 'node', '1'),
('massa', '34', 'node', '1'),
('massa', '35', 'node', '1'),
('massa', '38', 'node', '1.90286'),
('massa', '40', 'node', '1'),
('massa', '41', 'node', '1'),
('massa', '42', 'node', '1'),
('massa', '43', 'node', '2'),
('massa', '44', 'node', '3.9496'),
('massa', '45', 'node', '1.94209'),
('massa', '46', 'node', '2.94583'),
('massa', '50', 'node', '1'),
('massa', '52', 'node', '1'),
('massa', '53', 'node', '3'),
('massa', '54', 'node', '2'),
('massa', '55', 'node', '2.91448'),
('massa', '56', 'node', '32.9849'),
('massa', '57', 'node', '2'),
('massa', '58', 'node', '1'),
('massa', '83', 'node', '1'),
('massa', '84', 'node', '2'),
('massa', '85', 'node', '4'),
('massa', '87', 'node', '2'),
('massa', '88', 'node', '2'),
('massa', '89', 'node', '2'),
('massa', '90', 'node', '1.9534'),
('massa', '92', 'node', '0.980874'),
('massa', '93', 'node', '2'),
('massa', '94', 'node', '2'),
('massa', '95', 'node', '1.9689'),
('massa', '96', 'node', '3'),
('massa', '97', 'node', '1.91323'),
('massa', '98', 'node', '1'),
('massa', '99', 'node', '4'),
('massa', '100', 'node', '2.9689'),
('massa', '101', 'node', '3'),
('massa', '103', 'node', '7.82959'),
('massa', '104', 'node', '1'),
('massa', '105', 'node', '2.8661'),
('massa', '121', 'node', '2'),
('massa', '122', 'node', '3.94583'),
('massa', '123', 'node', '1.97286'),
('massa', '127', 'node', '2'),
('massa', '128', 'node', '2'),
('massa', '130', 'node', '1.93105'),
('massa', '131', 'node', '4.68607'),
('massa', '132', 'node', '2'),
('massa', '133', 'node', '2.9534'),
('massa', '136', 'node', '27'),
('massa', '137', 'node', '1'),
('massa', '139', 'node', '3'),
('massa', '145', 'node', '1'),
('massa', '147', 'node', '1.92027'),
('massa', '148', 'node', '2.8645'),
('massa', '150', 'node', '4.83734'),
('massa', '151', 'node', '2.97017'),
('massa', '152', 'node', '2'),
('massa', '154', 'node', '2'),
('massa', '155', 'node', '4.78126'),
('massa', '157', 'node', '4'),
('massa', '158', 'node', '4.99315'),
('massa', '159', 'node', '4.99731'),
('massa', '160', 'node', '3'),
('massa', '161', 'node', '1'),
('massa', '162', 'node', '1.9347'),
('massa', '163', 'node', '3.96109'),
('massa', '164', 'node', '1.9534'),
('massa', '165', 'node', '3.91445'),
('massa', '166', 'node', '1'),
('massa', '167', 'node', '1'),
('massa', '168', 'node', '4.97'),
('massa', '170', 'node', '3'),
('massa', '171', 'node', '2'),
('massa', '172', 'node', '2.62521'),
('massa', '174', 'node', '3.69324'),
('massa', '175', 'node', '2.76587'),
('massa', '176', 'node', '1.88716');
INSERT INTO `search_index` VALUES
('massa', '178', 'node', '2.9534'),
('massa', '179', 'node', '2.92645'),
('massa', '184', 'node', '1'),
('master', '145', 'node', '26'),
('mattis', '12', 'node', '5.27048'),
('mattis', '14', 'node', '1'),
('mattis', '15', 'node', '3.96498'),
('mattis', '16', 'node', '1'),
('mattis', '17', 'node', '1.97685'),
('mattis', '18', 'node', '1'),
('mattis', '23', 'node', '1'),
('mattis', '24', 'node', '0.938382'),
('mattis', '25', 'node', '1'),
('mattis', '26', 'node', '3.83122'),
('mattis', '28', 'node', '1'),
('mattis', '29', 'node', '1'),
('mattis', '30', 'node', '1'),
('mattis', '32', 'node', '1.95723'),
('mattis', '33', 'node', '1.77575'),
('mattis', '34', 'node', '1.94583'),
('mattis', '35', 'node', '3.97286'),
('mattis', '37', 'node', '1'),
('mattis', '39', 'node', '1'),
('mattis', '40', 'node', '1'),
('mattis', '41', 'node', '1.86055'),
('mattis', '42', 'node', '1'),
('mattis', '43', 'node', '2.96109'),
('mattis', '44', 'node', '0.957226'),
('mattis', '45', 'node', '1.96109'),
('mattis', '46', 'node', '2'),
('mattis', '50', 'node', '2.97685'),
('mattis', '52', 'node', '3'),
('mattis', '53', 'node', '0.993146'),
('mattis', '57', 'node', '2'),
('mattis', '58', 'node', '1'),
('mattis', '68', 'node', '3'),
('mattis', '69', 'node', '1'),
('mattis', '71', 'node', '2'),
('mattis', '73', 'node', '0.920273'),
('mattis', '82', 'node', '2'),
('mattis', '84', 'node', '1'),
('mattis', '86', 'node', '2'),
('mattis', '87', 'node', '2'),
('mattis', '90', 'node', '1'),
('mattis', '92', 'node', '2'),
('mattis', '93', 'node', '1.99315'),
('mattis', '94', 'node', '0.942091'),
('mattis', '95', 'node', '1.97286'),
('mattis', '98', 'node', '3.90305'),
('mattis', '99', 'node', '2'),
('mattis', '102', 'node', '1'),
('mattis', '103', 'node', '2.86495'),
('mattis', '105', 'node', '1.92027'),
('mattis', '121', 'node', '2'),
('mattis', '122', 'node', '0.934703'),
('mattis', '123', 'node', '2.97286'),
('mattis', '125', 'node', '1'),
('mattis', '126', 'node', '1'),
('mattis', '128', 'node', '1'),
('mattis', '129', 'node', '1'),
('mattis', '130', 'node', '1'),
('mattis', '131', 'node', '1.90629'),
('mattis', '134', 'node', '0.972861'),
('mattis', '136', 'node', '1'),
('mattis', '137', 'node', '0.989021'),
('mattis', '138', 'node', '1'),
('mattis', '139', 'node', '1'),
('mattis', '143', 'node', '1'),
('mattis', '145', 'node', '1'),
('mattis', '147', 'node', '0.916736'),
('mattis', '151', 'node', '1'),
('mattis', '152', 'node', '1.93838'),
('mattis', '154', 'node', '1.94183'),
('mattis', '155', 'node', '1.92268'),
('mattis', '156', 'node', '2'),
('mattis', '157', 'node', '1'),
('mattis', '158', 'node', '1.96109'),
('mattis', '159', 'node', '1.96498'),
('mattis', '163', 'node', '1'),
('mattis', '165', 'node', '1'),
('mattis', '168', 'node', '3'),
('mattis', '170', 'node', '2'),
('mattis', '171', 'node', '0.980874'),
('mattis', '172', 'node', '1.88282'),
('mattis', '175', 'node', '1'),
('mattis', '176', 'node', '3.86213'),
('mattis', '177', 'node', '2.9496'),
('mattis', '178', 'node', '1'),
('mattis', '179', 'node', '3.83422'),
('mauris', '12', 'node', '3.59451'),
('mauris', '13', 'node', '1.99315'),
('mauris', '14', 'node', '6.68874'),
('mauris', '15', 'node', '4'),
('mauris', '16', 'node', '7.59849'),
('mauris', '17', 'node', '2.97685'),
('mauris', '18', 'node', '4.95723'),
('mauris', '19', 'node', '3'),
('mauris', '20', 'node', '1'),
('mauris', '21', 'node', '14.7786'),
('mauris', '22', 'node', '13.7896'),
('mauris', '23', 'node', '18.9219'),
('mauris', '24', 'node', '16.2438'),
('mauris', '25', 'node', '2'),
('mauris', '26', 'node', '1'),
('mauris', '27', 'node', '2'),
('mauris', '28', 'node', '1'),
('mauris', '29', 'node', '4'),
('mauris', '30', 'node', '2.90286'),
('mauris', '31', 'node', '31.9351'),
('mauris', '32', 'node', '3.98902'),
('mauris', '33', 'node', '1.9347'),
('mauris', '34', 'node', '8.98224'),
('mauris', '35', 'node', '3'),
('mauris', '37', 'node', '29.9458'),
('mauris', '38', 'node', '14.4559'),
('mauris', '39', 'node', '1.96621'),
('mauris', '40', 'node', '1'),
('mauris', '41', 'node', '16.9243'),
('mauris', '42', 'node', '1.99315'),
('mauris', '43', 'node', '3.94583'),
('mauris', '44', 'node', '1'),
('mauris', '46', 'node', '29'),
('mauris', '47', 'node', '3'),
('mauris', '50', 'node', '2'),
('mauris', '52', 'node', '4.67813'),
('mauris', '53', 'node', '4.98493'),
('mauris', '54', 'node', '2'),
('mauris', '55', 'node', '4'),
('mauris', '56', 'node', '3.84595'),
('mauris', '57', 'node', '28.9973'),
('mauris', '58', 'node', '1'),
('mauris', '65', 'node', '4'),
('mauris', '67', 'node', '5.59026'),
('mauris', '68', 'node', '2.97017'),
('mauris', '69', 'node', '1'),
('mauris', '71', 'node', '2.96205'),
('mauris', '73', 'node', '1.91286'),
('mauris', '82', 'node', '4'),
('mauris', '83', 'node', '1.98493'),
('mauris', '85', 'node', '1'),
('mauris', '86', 'node', '1'),
('mauris', '87', 'node', '3'),
('mauris', '88', 'node', '3'),
('mauris', '89', 'node', '2'),
('mauris', '90', 'node', '3.97685'),
('mauris', '91', 'node', '27'),
('mauris', '92', 'node', '3'),
('mauris', '93', 'node', '2.9347'),
('mauris', '94', 'node', '4.79643'),
('mauris', '95', 'node', '2.97286'),
('mauris', '96', 'node', '2'),
('mauris', '97', 'node', '2'),
('mauris', '98', 'node', '5.98493'),
('mauris', '99', 'node', '3.98902'),
('mauris', '100', 'node', '4.86213'),
('mauris', '101', 'node', '29'),
('mauris', '102', 'node', '4.9689'),
('mauris', '103', 'node', '4.92686'),
('mauris', '104', 'node', '3.92296'),
('mauris', '105', 'node', '2'),
('mauris', '121', 'node', '6.68337'),
('mauris', '122', 'node', '5.87703'),
('mauris', '124', 'node', '3'),
('mauris', '126', 'node', '1'),
('mauris', '127', 'node', '3'),
('mauris', '128', 'node', '3'),
('mauris', '129', 'node', '1'),
('mauris', '130', 'node', '5.92027'),
('mauris', '131', 'node', '2.89272'),
('mauris', '132', 'node', '2.95011'),
('mauris', '133', 'node', '2.99461'),
('mauris', '134', 'node', '1'),
('mauris', '136', 'node', '2.97286'),
('mauris', '137', 'node', '4.95373'),
('mauris', '138', 'node', '3'),
('mauris', '142', 'node', '1'),
('mauris', '143', 'node', '2'),
('mauris', '145', 'node', '1'),
('mauris', '146', 'node', '1'),
('mauris', '147', 'node', '4.5662'),
('mauris', '148', 'node', '5.73416'),
('mauris', '150', 'node', '4.87915'),
('mauris', '151', 'node', '2.98087'),
('mauris', '152', 'node', '4.92384'),
('mauris', '153', 'node', '7.62658'),
('mauris', '154', 'node', '4.79553'),
('mauris', '155', 'node', '4.90629'),
('mauris', '157', 'node', '4.93105'),
('mauris', '158', 'node', '1.9689'),
('mauris', '159', 'node', '1.97286'),
('mauris', '160', 'node', '4.9347'),
('mauris', '161', 'node', '6'),
('mauris', '162', 'node', '28'),
('mauris', '163', 'node', '2.95723'),
('mauris', '165', 'node', '2'),
('mauris', '166', 'node', '3'),
('mauris', '167', 'node', '3.85489'),
('mauris', '168', 'node', '2.95813'),
('mauris', '169', 'node', '2'),
('mauris', '170', 'node', '1'),
('mauris', '171', 'node', '3.98633'),
('mauris', '172', 'node', '4.92384'),
('mauris', '174', 'node', '9.13202'),
('mauris', '175', 'node', '3.80829'),
('mauris', '176', 'node', '3.83029'),
('mauris', '177', 'node', '7.71386'),
('mauris', '178', 'node', '2.83523'),
('mauris', '179', 'node', '2.84847'),
('maximus', '12', 'node', '2'),
('maximus', '13', 'node', '27'),
('maximus', '14', 'node', '1.97286'),
('maximus', '17', 'node', '2'),
('maximus', '18', 'node', '1'),
('maximus', '19', 'node', '2'),
('maximus', '21', 'node', '1'),
('maximus', '24', 'node', '1'),
('maximus', '26', 'node', '3.93838'),
('maximus', '27', 'node', '1'),
('maximus', '28', 'node', '1'),
('maximus', '30', 'node', '1'),
('maximus', '31', 'node', '27.965'),
('maximus', '32', 'node', '1.93838'),
('maximus', '38', 'node', '3'),
('maximus', '39', 'node', '2.96498'),
('maximus', '40', 'node', '1'),
('maximus', '41', 'node', '2'),
('maximus', '43', 'node', '28.9689'),
('maximus', '44', 'node', '4'),
('maximus', '45', 'node', '1'),
('maximus', '46', 'node', '1.9689'),
('maximus', '47', 'node', '1'),
('maximus', '50', 'node', '3.88799'),
('maximus', '52', 'node', '0.931053'),
('maximus', '55', 'node', '1'),
('maximus', '57', 'node', '3'),
('maximus', '58', 'node', '1'),
('maximus', '67', 'node', '0.876337'),
('maximus', '68', 'node', '0.989021'),
('maximus', '71', 'node', '4'),
('maximus', '73', 'node', '2.92027'),
('maximus', '84', 'node', '2'),
('maximus', '86', 'node', '4'),
('maximus', '87', 'node', '1'),
('maximus', '88', 'node', '0.972861'),
('maximus', '90', 'node', '1'),
('maximus', '92', 'node', '2'),
('maximus', '93', 'node', '1'),
('maximus', '98', 'node', '2'),
('maximus', '99', 'node', '1'),
('maximus', '103', 'node', '1'),
('maximus', '104', 'node', '1'),
('maximus', '121', 'node', '0.863659'),
('maximus', '122', 'node', '5'),
('maximus', '123', 'node', '1'),
('maximus', '124', 'node', '0.913226'),
('maximus', '125', 'node', '1.9347'),
('maximus', '126', 'node', '3.92027'),
('maximus', '127', 'node', '1'),
('maximus', '128', 'node', '1'),
('maximus', '129', 'node', '3'),
('maximus', '130', 'node', '3.86211'),
('maximus', '132', 'node', '2'),
('maximus', '136', 'node', '1'),
('maximus', '137', 'node', '1'),
('maximus', '138', 'node', '1'),
('maximus', '142', 'node', '2'),
('maximus', '143', 'node', '1'),
('maximus', '145', 'node', '3'),
('maximus', '146', 'node', '1'),
('maximus', '147', 'node', '1.87957'),
('maximus', '148', 'node', '2.87362'),
('maximus', '150', 'node', '2.76632'),
('maximus', '151', 'node', '1'),
('maximus', '152', 'node', '1.84417'),
('maximus', '153', 'node', '3'),
('maximus', '154', 'node', '6.81281'),
('maximus', '155', 'node', '1.90629'),
('maximus', '156', 'node', '3'),
('maximus', '158', 'node', '3.9689'),
('maximus', '159', 'node', '3.97286'),
('maximus', '161', 'node', '0.976851'),
('maximus', '162', 'node', '3'),
('maximus', '163', 'node', '1'),
('maximus', '164', 'node', '2'),
('maximus', '165', 'node', '3.95723'),
('maximus', '166', 'node', '1.94654'),
('maximus', '167', 'node', '1'),
('maximus', '168', 'node', '1'),
('maximus', '170', 'node', '1'),
('maximus', '172', 'node', '1.85746'),
('maximus', '174', 'node', '1.71673'),
('maximus', '175', 'node', '1'),
('maximus', '176', 'node', '1.88779'),
('maximus', '178', 'node', '1.91323'),
('maximus', '179', 'node', '5.83574'),
('maximus', '183', 'node', '1'),
('may', '12', 'node', '27.2385'),
('may', '13', 'node', '10.572'),
('may', '14', 'node', '45.2739'),
('may', '16', 'node', '19.7205'),
('may', '69', 'node', '26'),
('may', '105', 'node', '20.8597'),
('members', '142', 'node', '1'),
('members', '143', 'node', '1'),
('members', '144', 'node', '1'),
('members', '145', 'node', '1'),
('men', '180', 'node', '11'),
('message', '173', 'node', '1'),
('metus', '12', 'node', '5.42019'),
('metus', '13', 'node', '1.98902'),
('metus', '14', 'node', '4.15918'),
('metus', '15', 'node', '1'),
('metus', '16', 'node', '1'),
('metus', '17', 'node', '1.93524'),
('metus', '19', 'node', '1'),
('metus', '21', 'node', '2'),
('metus', '22', 'node', '2'),
('metus', '23', 'node', '2'),
('metus', '25', 'node', '11'),
('metus', '26', 'node', '10.894'),
('metus', '27', 'node', '15.3973'),
('metus', '28', 'node', '2'),
('metus', '29', 'node', '0.980874'),
('metus', '30', 'node', '1'),
('metus', '31', 'node', '3.92743'),
('metus', '32', 'node', '2'),
('metus', '33', 'node', '1'),
('metus', '34', 'node', '2'),
('metus', '35', 'node', '1'),
('metus', '37', 'node', '2.97808'),
('metus', '38', 'node', '1.95723'),
('metus', '40', 'node', '1'),
('metus', '41', 'node', '4.32719'),
('metus', '43', 'node', '4'),
('metus', '44', 'node', '4'),
('metus', '45', 'node', '3'),
('metus', '46', 'node', '1.9689'),
('metus', '47', 'node', '2'),
('metus', '50', 'node', '3.92712'),
('metus', '52', 'node', '3'),
('metus', '54', 'node', '1.90629'),
('metus', '55', 'node', '0.976851'),
('metus', '56', 'node', '2'),
('metus', '58', 'node', '2'),
('metus', '65', 'node', '1'),
('metus', '67', 'node', '1.87957'),
('metus', '68', 'node', '1'),
('metus', '69', 'node', '1'),
('metus', '71', 'node', '1'),
('metus', '73', 'node', '3.89272'),
('metus', '82', 'node', '1'),
('metus', '83', 'node', '2'),
('metus', '87', 'node', '2'),
('metus', '90', 'node', '2.94583'),
('metus', '91', 'node', '3'),
('metus', '92', 'node', '2'),
('metus', '93', 'node', '1'),
('metus', '94', 'node', '1.9347'),
('metus', '95', 'node', '2'),
('metus', '96', 'node', '1'),
('metus', '97', 'node', '0.993146'),
('metus', '98', 'node', '1.94583'),
('metus', '99', 'node', '2.98902'),
('metus', '100', 'node', '1'),
('metus', '101', 'node', '3.86576'),
('metus', '102', 'node', '1'),
('metus', '103', 'node', '1'),
('metus', '105', 'node', '3.85183'),
('metus', '121', 'node', '29.8352'),
('metus', '122', 'node', '1.94583'),
('metus', '124', 'node', '4'),
('metus', '125', 'node', '4.91674'),
('metus', '126', 'node', '4'),
('metus', '127', 'node', '2'),
('metus', '128', 'node', '1'),
('metus', '129', 'node', '3'),
('metus', '130', 'node', '0.98493'),
('metus', '131', 'node', '0.957226'),
('metus', '132', 'node', '1.94583'),
('metus', '133', 'node', '1'),
('metus', '136', 'node', '2'),
('metus', '137', 'node', '5'),
('metus', '138', 'node', '1'),
('metus', '139', 'node', '1'),
('metus', '142', 'node', '1'),
('metus', '143', 'node', '2'),
('metus', '145', 'node', '1'),
('metus', '146', 'node', '1'),
('metus', '147', 'node', '3.58796'),
('metus', '148', 'node', '2.71198'),
('metus', '150', 'node', '3.92645'),
('metus', '151', 'node', '2.97286'),
('metus', '152', 'node', '3.75243'),
('metus', '154', 'node', '2'),
('metus', '155', 'node', '0.98493'),
('metus', '156', 'node', '1'),
('metus', '157', 'node', '3'),
('metus', '158', 'node', '1'),
('metus', '159', 'node', '1'),
('metus', '161', 'node', '0.98493'),
('metus', '162', 'node', '3.82262'),
('metus', '164', 'node', '2'),
('metus', '165', 'node', '1.9689'),
('metus', '166', 'node', '1'),
('metus', '167', 'node', '4'),
('metus', '168', 'node', '2'),
('metus', '170', 'node', '2'),
('metus', '171', 'node', '2.99731'),
('metus', '172', 'node', '3.77728'),
('metus', '174', 'node', '3.75027'),
('metus', '175', 'node', '1'),
('metus', '176', 'node', '2.69217'),
('metus', '177', 'node', '2.83036'),
('metus', '178', 'node', '1.82778'),
('metus', '179', 'node', '1.87313'),
('metus', '183', 'node', '1'),
('mission', '151', 'node', '26'),
('modeling', '52', 'node', '9.89399'),
('modeling', '55', 'node', '10.4874'),
('modeling', '56', 'node', '10.2017'),
('modeling', '82', 'node', '11'),
('modeling', '103', 'node', '10.0072'),
('modeling', '175', 'node', '9.81996'),
('modeling', '176', 'node', '9.6397'),
('modeling', '178', 'node', '9.711'),
('molestie', '12', 'node', '1.56662'),
('molestie', '13', 'node', '2'),
('molestie', '14', 'node', '1.6563'),
('molestie', '15', 'node', '1'),
('molestie', '16', 'node', '1.8894'),
('molestie', '17', 'node', '2'),
('molestie', '18', 'node', '2'),
('molestie', '20', 'node', '1'),
('molestie', '21', 'node', '2'),
('molestie', '23', 'node', '1'),
('molestie', '24', 'node', '1'),
('molestie', '25', 'node', '1'),
('molestie', '26', 'node', '1.90974'),
('molestie', '27', 'node', '27'),
('molestie', '28', 'node', '2'),
('molestie', '30', 'node', '1.94583'),
('molestie', '31', 'node', '0.953396'),
('molestie', '33', 'node', '1.85746'),
('molestie', '34', 'node', '1'),
('molestie', '35', 'node', '1'),
('molestie', '37', 'node', '3.95037'),
('molestie', '38', 'node', '2.94978'),
('molestie', '39', 'node', '1'),
('molestie', '40', 'node', '1'),
('molestie', '41', 'node', '0.997306'),
('molestie', '42', 'node', '3'),
('molestie', '43', 'node', '2'),
('molestie', '44', 'node', '2'),
('molestie', '45', 'node', '0.953396'),
('molestie', '46', 'node', '1'),
('molestie', '50', 'node', '1'),
('molestie', '52', 'node', '3.80574'),
('molestie', '53', 'node', '1'),
('molestie', '55', 'node', '2'),
('molestie', '56', 'node', '3.94274'),
('molestie', '67', 'node', '0.934703'),
('molestie', '68', 'node', '2'),
('molestie', '69', 'node', '2'),
('molestie', '83', 'node', '2'),
('molestie', '84', 'node', '2'),
('molestie', '85', 'node', '2'),
('molestie', '86', 'node', '1'),
('molestie', '87', 'node', '1'),
('molestie', '88', 'node', '1'),
('molestie', '90', 'node', '2.9534'),
('molestie', '91', 'node', '1'),
('molestie', '92', 'node', '2'),
('molestie', '94', 'node', '1'),
('molestie', '96', 'node', '3'),
('molestie', '97', 'node', '0.96498'),
('molestie', '98', 'node', '2.92296'),
('molestie', '99', 'node', '1'),
('molestie', '103', 'node', '4.95373'),
('molestie', '104', 'node', '1'),
('molestie', '105', 'node', '0.98493'),
('molestie', '122', 'node', '1'),
('molestie', '123', 'node', '1'),
('molestie', '124', 'node', '1'),
('molestie', '125', 'node', '3'),
('molestie', '129', 'node', '2'),
('molestie', '131', 'node', '3.80281'),
('molestie', '133', 'node', '1'),
('molestie', '136', 'node', '27'),
('molestie', '138', 'node', '1'),
('molestie', '142', 'node', '1'),
('molestie', '143', 'node', '1'),
('molestie', '147', 'node', '0.902857'),
('molestie', '148', 'node', '1'),
('molestie', '150', 'node', '2.90682'),
('molestie', '151', 'node', '2.92384'),
('molestie', '152', 'node', '1.8861'),
('molestie', '153', 'node', '0.882818'),
('molestie', '154', 'node', '2.78217'),
('molestie', '155', 'node', '0.920273'),
('molestie', '157', 'node', '1'),
('molestie', '160', 'node', '1.94583'),
('molestie', '162', 'node', '0.949597'),
('molestie', '163', 'node', '2.99315'),
('molestie', '164', 'node', '1'),
('molestie', '166', 'node', '1'),
('molestie', '167', 'node', '2.96109'),
('molestie', '168', 'node', '3'),
('molestie', '170', 'node', '2'),
('molestie', '171', 'node', '2.93838'),
('molestie', '172', 'node', '1'),
('molestie', '174', 'node', '3.48342'),
('molestie', '175', 'node', '1'),
('molestie', '176', 'node', '3'),
('molestie', '177', 'node', '1.99731'),
('molestie', '178', 'node', '0.934703'),
('molestie', '179', 'node', '1'),
('mollis', '12', 'node', '2.72191'),
('mollis', '14', 'node', '0.808176'),
('mollis', '16', 'node', '1'),
('mollis', '17', 'node', '2'),
('mollis', '18', 'node', '1'),
('mollis', '21', 'node', '2'),
('mollis', '23', 'node', '1'),
('mollis', '24', 'node', '1'),
('mollis', '25', 'node', '1'),
('mollis', '28', 'node', '1'),
('mollis', '29', 'node', '1.96498'),
('mollis', '30', 'node', '2.92743'),
('mollis', '31', 'node', '1.97286'),
('mollis', '32', 'node', '3.98087'),
('mollis', '33', 'node', '2'),
('mollis', '34', 'node', '2.94583'),
('mollis', '37', 'node', '1'),
('mollis', '38', 'node', '2.9347'),
('mollis', '41', 'node', '3.58105'),
('mollis', '42', 'node', '1.98493'),
('mollis', '43', 'node', '0.892724'),
('mollis', '46', 'node', '1'),
('mollis', '47', 'node', '2'),
('mollis', '50', 'node', '2'),
('mollis', '52', 'node', '0.993146'),
('mollis', '53', 'node', '2'),
('mollis', '54', 'node', '0.938382'),
('mollis', '55', 'node', '2'),
('mollis', '56', 'node', '3.86941'),
('mollis', '57', 'node', '1'),
('mollis', '58', 'node', '2'),
('mollis', '65', 'node', '1'),
('mollis', '69', 'node', '2'),
('mollis', '71', 'node', '2.95011'),
('mollis', '73', 'node', '0.889397'),
('mollis', '84', 'node', '1'),
('mollis', '85', 'node', '1'),
('mollis', '86', 'node', '2'),
('mollis', '87', 'node', '3'),
('mollis', '88', 'node', '0.953396'),
('mollis', '89', 'node', '2'),
('mollis', '91', 'node', '1'),
('mollis', '92', 'node', '1'),
('mollis', '93', 'node', '3'),
('mollis', '94', 'node', '1'),
('mollis', '95', 'node', '2'),
('mollis', '96', 'node', '1'),
('mollis', '97', 'node', '0.980874'),
('mollis', '98', 'node', '1.89549'),
('mollis', '100', 'node', '0.972861'),
('mollis', '101', 'node', '2'),
('mollis', '104', 'node', '0.980874'),
('mollis', '105', 'node', '2.85183'),
('mollis', '121', 'node', '2'),
('mollis', '122', 'node', '2'),
('mollis', '123', 'node', '2'),
('mollis', '124', 'node', '2.85645'),
('mollis', '125', 'node', '0.96498'),
('mollis', '127', 'node', '2'),
('mollis', '128', 'node', '1'),
('mollis', '129', 'node', '1'),
('mollis', '130', 'node', '2.94583'),
('mollis', '131', 'node', '1.9689'),
('mollis', '132', 'node', '1.99315'),
('mollis', '133', 'node', '0.997306'),
('mollis', '134', 'node', '1'),
('mollis', '137', 'node', '1.97286'),
('mollis', '138', 'node', '1'),
('mollis', '143', 'node', '1'),
('mollis', '145', 'node', '2'),
('mollis', '147', 'node', '3.72741'),
('mollis', '148', 'node', '2.85439'),
('mollis', '150', 'node', '3.89712'),
('mollis', '151', 'node', '1.97685'),
('mollis', '152', 'node', '3.90286'),
('mollis', '153', 'node', '3.75637'),
('mollis', '154', 'node', '1.97286'),
('mollis', '155', 'node', '1'),
('mollis', '156', 'node', '1'),
('mollis', '157', 'node', '1.96109'),
('mollis', '160', 'node', '3'),
('mollis', '162', 'node', '1'),
('mollis', '163', 'node', '1'),
('mollis', '164', 'node', '1.88792'),
('mollis', '165', 'node', '1'),
('mollis', '169', 'node', '1'),
('mollis', '171', 'node', '28'),
('mollis', '172', 'node', '2.88609'),
('mollis', '174', 'node', '1.69279'),
('mollis', '175', 'node', '3.9689'),
('mollis', '176', 'node', '0.953396'),
('mollis', '177', 'node', '2.91523'),
('mollis', '178', 'node', '1.92027'),
('mollis', '179', 'node', '27'),
('mollis', '184', 'node', '2'),
('montes', '16', 'node', '0.845322'),
('montes', '30', 'node', '0.972861'),
('montes', '31', 'node', '1'),
('montes', '33', 'node', '1'),
('montes', '43', 'node', '1'),
('montes', '67', 'node', '1'),
('montes', '86', 'node', '0.989021'),
('montes', '91', 'node', '0.989021'),
('montes', '93', 'node', '1'),
('montes', '94', 'node', '1'),
('montes', '95', 'node', '0.913226'),
('montes', '123', 'node', '1'),
('montes', '134', 'node', '1.9689'),
('montes', '136', 'node', '1'),
('montes', '146', 'node', '1'),
('montes', '148', 'node', '0.896076'),
('montes', '157', 'node', '1'),
('montes', '160', 'node', '0.972861'),
('montes', '165', 'node', '0.920273'),
('montes', '174', 'node', '1'),
('montes', '177', 'node', '1'),
('month', '146', 'node', '1'),
('month', '183', 'node', '1'),
('morbi', '12', 'node', '4.09374'),
('morbi', '13', 'node', '1'),
('morbi', '14', 'node', '3.30952'),
('morbi', '17', 'node', '1.96188'),
('morbi', '18', 'node', '29'),
('morbi', '20', 'node', '2'),
('morbi', '21', 'node', '1'),
('morbi', '24', 'node', '1'),
('morbi', '25', 'node', '1'),
('morbi', '26', 'node', '0.993146'),
('morbi', '27', 'node', '1'),
('morbi', '28', 'node', '1'),
('morbi', '29', 'node', '1'),
('morbi', '30', 'node', '1'),
('morbi', '31', 'node', '1.9534'),
('morbi', '33', 'node', '28'),
('morbi', '34', 'node', '1'),
('morbi', '35', 'node', '0.961087'),
('morbi', '37', 'node', '1.9658'),
('morbi', '38', 'node', '1.91894'),
('morbi', '39', 'node', '2'),
('morbi', '40', 'node', '2'),
('morbi', '41', 'node', '12.8249'),
('morbi', '43', 'node', '2'),
('morbi', '44', 'node', '27.9973'),
('morbi', '45', 'node', '0.938382'),
('morbi', '47', 'node', '3'),
('morbi', '50', 'node', '1'),
('morbi', '52', 'node', '2'),
('morbi', '53', 'node', '1'),
('morbi', '56', 'node', '2.97286'),
('morbi', '57', 'node', '1'),
('morbi', '65', 'node', '1'),
('morbi', '67', 'node', '1.9496'),
('morbi', '69', 'node', '1'),
('morbi', '71', 'node', '0.997306'),
('morbi', '73', 'node', '2.81635'),
('morbi', '82', 'node', '3'),
('morbi', '84', 'node', '2'),
('morbi', '85', 'node', '2'),
('morbi', '88', 'node', '0.957226'),
('morbi', '89', 'node', '1'),
('morbi', '90', 'node', '1'),
('morbi', '91', 'node', '1'),
('morbi', '92', 'node', '2'),
('morbi', '93', 'node', '2'),
('morbi', '94', 'node', '2.9347'),
('morbi', '95', 'node', '1'),
('morbi', '96', 'node', '1'),
('morbi', '97', 'node', '2'),
('morbi', '99', 'node', '1'),
('morbi', '100', 'node', '27.9769'),
('morbi', '101', 'node', '1.9496'),
('morbi', '103', 'node', '2.92384'),
('morbi', '104', 'node', '3'),
('morbi', '105', 'node', '1'),
('morbi', '121', 'node', '1'),
('morbi', '124', 'node', '1.99315'),
('morbi', '125', 'node', '2'),
('morbi', '126', 'node', '2'),
('morbi', '128', 'node', '1.97286'),
('morbi', '129', 'node', '1'),
('morbi', '131', 'node', '2'),
('morbi', '132', 'node', '1'),
('morbi', '133', 'node', '1'),
('morbi', '134', 'node', '1.97685'),
('morbi', '139', 'node', '1'),
('morbi', '144', 'node', '1'),
('morbi', '147', 'node', '0.886095'),
('morbi', '148', 'node', '2'),
('morbi', '150', 'node', '2.91445'),
('morbi', '151', 'node', '0.920273'),
('morbi', '152', 'node', '1'),
('morbi', '154', 'node', '1.84154'),
('morbi', '155', 'node', '0.899454'),
('morbi', '156', 'node', '1'),
('morbi', '157', 'node', '3.97685'),
('morbi', '158', 'node', '2'),
('morbi', '159', 'node', '2'),
('morbi', '160', 'node', '27'),
('morbi', '162', 'node', '2.9534'),
('morbi', '163', 'node', '2.97286'),
('morbi', '164', 'node', '1'),
('morbi', '165', 'node', '1'),
('morbi', '166', 'node', '1'),
('morbi', '170', 'node', '27.9849'),
('morbi', '171', 'node', '0.931053'),
('morbi', '172', 'node', '0.923838'),
('morbi', '174', 'node', '0.889397'),
('morbi', '175', 'node', '3.91869'),
('morbi', '176', 'node', '2.74783'),
('morbi', '177', 'node', '0.934703'),
('morbi', '178', 'node', '0.902857'),
('morbi', '179', 'node', '2.87344'),
('morbi', '183', 'node', '1'),
('morbi', '184', 'node', '1'),
('motion', '56', 'node', '10.2817'),
('motion', '57', 'node', '10.9704'),
('motion', '58', 'node', '11'),
('motion', '103', 'node', '10.0841'),
('motion', '173', 'node', '1'),
('motion', '178', 'node', '9.78337'),
('motion', '179', 'node', '9.53472'),
('motra', '87', 'node', '26'),
('mus', '16', 'node', '0.836446'),
('mus', '30', 'node', '0.961087'),
('mus', '31', 'node', '1'),
('mus', '33', 'node', '1'),
('mus', '43', 'node', '0.993146'),
('mus', '67', 'node', '1'),
('mus', '86', 'node', '0.976851'),
('mus', '91', 'node', '0.976851'),
('mus', '93', 'node', '1'),
('mus', '94', 'node', '1'),
('mus', '95', 'node', '0.902857'),
('mus', '123', 'node', '1'),
('mus', '134', 'node', '1.9689'),
('mus', '136', 'node', '1'),
('mus', '146', 'node', '1'),
('mus', '148', 'node', '0.886095'),
('mus', '157', 'node', '1'),
('mus', '160', 'node', '0.961087'),
('mus', '165', 'node', '0.909743'),
('mus', '174', 'node', '1'),
('mus', '177', 'node', '1'),
('n01', '180', 'node', '1'),
('nam', '12', 'node', '1.78094'),
('nam', '13', 'node', '1'),
('nam', '14', 'node', '5.2797'),
('nam', '15', 'node', '2'),
('nam', '16', 'node', '1.92027'),
('nam', '18', 'node', '1'),
('nam', '19', 'node', '2'),
('nam', '20', 'node', '1'),
('nam', '21', 'node', '1'),
('nam', '22', 'node', '1'),
('nam', '23', 'node', '1'),
('nam', '24', 'node', '1.98493'),
('nam', '25', 'node', '1'),
('nam', '28', 'node', '11'),
('nam', '29', 'node', '11.5295'),
('nam', '30', 'node', '10.466'),
('nam', '31', 'node', '11.2017'),
('nam', '32', 'node', '12.1622'),
('nam', '35', 'node', '1'),
('nam', '39', 'node', '4'),
('nam', '40', 'node', '1'),
('nam', '41', 'node', '1'),
('nam', '42', 'node', '3.98902'),
('nam', '44', 'node', '2'),
('nam', '47', 'node', '1'),
('nam', '50', 'node', '1'),
('nam', '52', 'node', '1.96188'),
('nam', '54', 'node', '0.968904'),
('nam', '55', 'node', '1'),
('nam', '56', 'node', '1.9496'),
('nam', '57', 'node', '1'),
('nam', '58', 'node', '27'),
('nam', '65', 'node', '2'),
('nam', '68', 'node', '3'),
('nam', '69', 'node', '1'),
('nam', '71', 'node', '2'),
('nam', '73', 'node', '1'),
('nam', '82', 'node', '1'),
('nam', '84', 'node', '3'),
('nam', '85', 'node', '1'),
('nam', '86', 'node', '1'),
('nam', '87', 'node', '3'),
('nam', '88', 'node', '1'),
('nam', '90', 'node', '2'),
('nam', '92', 'node', '1'),
('nam', '93', 'node', '1.86106'),
('nam', '94', 'node', '1'),
('nam', '97', 'node', '1'),
('nam', '98', 'node', '1.94209'),
('nam', '99', 'node', '3'),
('nam', '100', 'node', '1'),
('nam', '101', 'node', '0.957226'),
('nam', '103', 'node', '2'),
('nam', '104', 'node', '1'),
('nam', '105', 'node', '1'),
('nam', '121', 'node', '2'),
('nam', '127', 'node', '1'),
('nam', '128', 'node', '3.98902'),
('nam', '129', 'node', '1'),
('nam', '132', 'node', '1'),
('nam', '133', 'node', '0.989021'),
('nam', '134', 'node', '1'),
('nam', '137', 'node', '0.980874'),
('nam', '146', 'node', '1'),
('nam', '147', 'node', '1.90629'),
('nam', '148', 'node', '1'),
('nam', '150', 'node', '2'),
('nam', '152', 'node', '3.79558'),
('nam', '153', 'node', '1'),
('nam', '154', 'node', '2.90629'),
('nam', '155', 'node', '1'),
('nam', '156', 'node', '1'),
('nam', '157', 'node', '0.972861'),
('nam', '158', 'node', '2'),
('nam', '159', 'node', '2'),
('nam', '160', 'node', '0.953396'),
('nam', '161', 'node', '1.9496'),
('nam', '163', 'node', '1.95723'),
('nam', '164', 'node', '1'),
('nam', '165', 'node', '1'),
('nam', '166', 'node', '1'),
('nam', '167', 'node', '0.945829'),
('nam', '169', 'node', '2'),
('nam', '170', 'node', '0.942091'),
('nam', '172', 'node', '0.896076'),
('nam', '174', 'node', '1.80547'),
('nam', '175', 'node', '1.95723'),
('nam', '176', 'node', '2.92743'),
('nam', '178', 'node', '2.93569'),
('nam', '179', 'node', '5.8658'),
('name', '173', 'node', '1'),
('nascetur', '16', 'node', '0.842342'),
('nascetur', '30', 'node', '0.968904'),
('nascetur', '31', 'node', '1'),
('nascetur', '33', 'node', '1'),
('nascetur', '43', 'node', '1'),
('nascetur', '67', 'node', '1'),
('nascetur', '86', 'node', '0.98493'),
('nascetur', '91', 'node', '0.98493'),
('nascetur', '93', 'node', '1'),
('nascetur', '94', 'node', '1'),
('nascetur', '95', 'node', '0.909743'),
('nascetur', '123', 'node', '1'),
('nascetur', '134', 'node', '1.9689'),
('nascetur', '136', 'node', '1'),
('nascetur', '146', 'node', '1'),
('nascetur', '148', 'node', '0.892724'),
('nascetur', '157', 'node', '1'),
('nascetur', '160', 'node', '0.968904'),
('nascetur', '165', 'node', '0.916736'),
('nascetur', '174', 'node', '1'),
('nascetur', '177', 'node', '1'),
('natoque', '16', 'node', '15.4837'),
('natoque', '30', 'node', '0.993146'),
('natoque', '31', 'node', '1'),
('natoque', '33', 'node', '1'),
('natoque', '43', 'node', '1'),
('natoque', '67', 'node', '1'),
('natoque', '86', 'node', '1'),
('natoque', '91', 'node', '1'),
('natoque', '93', 'node', '1'),
('natoque', '94', 'node', '27'),
('natoque', '95', 'node', '0.931053'),
('natoque', '123', 'node', '1'),
('natoque', '134', 'node', '1.9689'),
('natoque', '136', 'node', '1'),
('natoque', '146', 'node', '1'),
('natoque', '148', 'node', '0.913226'),
('natoque', '157', 'node', '1'),
('natoque', '160', 'node', '0.993146'),
('natoque', '165', 'node', '0.938382'),
('natoque', '168', 'node', '26'),
('natoque', '174', 'node', '1'),
('natoque', '177', 'node', '1'),
('nec', '12', 'node', '6.24381'),
('nec', '13', 'node', '24.2603'),
('nec', '14', 'node', '3.72297'),
('nec', '15', 'node', '1'),
('nec', '16', 'node', '7.29252'),
('nec', '17', 'node', '1'),
('nec', '18', 'node', '3'),
('nec', '19', 'node', '1'),
('nec', '22', 'node', '1'),
('nec', '23', 'node', '2.99731'),
('nec', '24', 'node', '1'),
('nec', '25', 'node', '4'),
('nec', '26', 'node', '3.9347'),
('nec', '27', 'node', '1'),
('nec', '28', 'node', '13'),
('nec', '29', 'node', '12.5295'),
('nec', '30', 'node', '11.3689'),
('nec', '31', 'node', '12.1706'),
('nec', '32', 'node', '17.0138'),
('nec', '33', 'node', '5.8275'),
('nec', '34', 'node', '4.98224'),
('nec', '35', 'node', '3.88822'),
('nec', '37', 'node', '3.91445'),
('nec', '38', 'node', '9.74049'),
('nec', '39', 'node', '2.91445'),
('nec', '40', 'node', '4.98902'),
('nec', '41', 'node', '8.18552'),
('nec', '42', 'node', '4'),
('nec', '43', 'node', '3.89608'),
('nec', '44', 'node', '2.90299'),
('nec', '45', 'node', '3'),
('nec', '46', 'node', '3.94583'),
('nec', '47', 'node', '3'),
('nec', '50', 'node', '4.88418'),
('nec', '52', 'node', '3.9689'),
('nec', '53', 'node', '2.99315'),
('nec', '54', 'node', '3.8377'),
('nec', '55', 'node', '2.98902'),
('nec', '56', 'node', '1'),
('nec', '57', 'node', '2'),
('nec', '58', 'node', '6'),
('nec', '65', 'node', '9'),
('nec', '67', 'node', '5.65506'),
('nec', '68', 'node', '2'),
('nec', '71', 'node', '3.96109'),
('nec', '73', 'node', '3.93838'),
('nec', '82', 'node', '4'),
('nec', '83', 'node', '5'),
('nec', '85', 'node', '1.99315'),
('nec', '86', 'node', '5'),
('nec', '87', 'node', '2'),
('nec', '88', 'node', '3.95453'),
('nec', '89', 'node', '8.98087'),
('nec', '90', 'node', '6.88792'),
('nec', '91', 'node', '5'),
('nec', '92', 'node', '1'),
('nec', '93', 'node', '6.7491'),
('nec', '94', 'node', '4.85837'),
('nec', '95', 'node', '28'),
('nec', '96', 'node', '3'),
('nec', '97', 'node', '1.91323'),
('nec', '98', 'node', '1.9534'),
('nec', '99', 'node', '3.96498'),
('nec', '100', 'node', '2.91558'),
('nec', '101', 'node', '2.98493'),
('nec', '102', 'node', '2.98087'),
('nec', '103', 'node', '3.94583'),
('nec', '104', 'node', '0.968904'),
('nec', '105', 'node', '1.99731'),
('nec', '121', 'node', '27.9863'),
('nec', '122', 'node', '2.9689'),
('nec', '123', 'node', '2.96498'),
('nec', '124', 'node', '1.9534'),
('nec', '125', 'node', '5.87472'),
('nec', '126', 'node', '3.92027'),
('nec', '127', 'node', '3'),
('nec', '128', 'node', '2'),
('nec', '129', 'node', '2.98493'),
('nec', '130', 'node', '2.98493'),
('nec', '131', 'node', '3.80677'),
('nec', '132', 'node', '2'),
('nec', '133', 'node', '2.91831'),
('nec', '134', 'node', '2'),
('nec', '136', 'node', '2'),
('nec', '137', 'node', '4.97286'),
('nec', '138', 'node', '4'),
('nec', '139', 'node', '1'),
('nec', '142', 'node', '1'),
('nec', '143', 'node', '2'),
('nec', '147', 'node', '9.23235'),
('nec', '148', 'node', '3.81025'),
('nec', '150', 'node', '6.82523'),
('nec', '151', 'node', '2.97685'),
('nec', '152', 'node', '7.61946'),
('nec', '153', 'node', '3.85082'),
('nec', '154', 'node', '10.7214'),
('nec', '155', 'node', '3.91894'),
('nec', '156', 'node', '3.94209'),
('nec', '158', 'node', '4.98902'),
('nec', '159', 'node', '4.99315'),
('nec', '160', 'node', '1'),
('nec', '161', 'node', '5.88047'),
('nec', '162', 'node', '2'),
('nec', '163', 'node', '6'),
('nec', '164', 'node', '7'),
('nec', '165', 'node', '4.9381'),
('nec', '166', 'node', '3'),
('nec', '167', 'node', '5.9347'),
('nec', '168', 'node', '2'),
('nec', '169', 'node', '2'),
('nec', '170', 'node', '4'),
('nec', '171', 'node', '1.99731'),
('nec', '172', 'node', '7.54047'),
('nec', '174', 'node', '3.60609'),
('nec', '175', 'node', '5.70412'),
('nec', '176', 'node', '6.47894'),
('nec', '177', 'node', '7.66579'),
('nec', '178', 'node', '2.84812'),
('nec', '179', 'node', '4.84557'),
('nec', '183', 'node', '1'),
('nec', '184', 'node', '3'),
('neque', '12', 'node', '1.86236'),
('neque', '13', 'node', '0.909743'),
('neque', '14', 'node', '5.28537'),
('neque', '15', 'node', '2'),
('neque', '16', 'node', '1.92027'),
('neque', '17', 'node', '1'),
('neque', '18', 'node', '2'),
('neque', '20', 'node', '1'),
('neque', '21', 'node', '1'),
('neque', '22', 'node', '1'),
('neque', '23', 'node', '1'),
('neque', '24', 'node', '4'),
('neque', '25', 'node', '1'),
('neque', '26', 'node', '0.934703'),
('neque', '27', 'node', '1'),
('neque', '28', 'node', '1'),
('neque', '29', 'node', '2'),
('neque', '30', 'node', '1'),
('neque', '31', 'node', '0.968904'),
('neque', '32', 'node', '1.98493'),
('neque', '33', 'node', '1.85746'),
('neque', '34', 'node', '3.94583'),
('neque', '35', 'node', '3.95453'),
('neque', '37', 'node', '3'),
('neque', '38', 'node', '3.66325'),
('neque', '39', 'node', '2'),
('neque', '43', 'node', '1'),
('neque', '44', 'node', '1'),
('neque', '45', 'node', '2.9496'),
('neque', '47', 'node', '1'),
('neque', '52', 'node', '2'),
('neque', '53', 'node', '1'),
('neque', '55', 'node', '2'),
('neque', '56', 'node', '2.99731'),
('neque', '57', 'node', '1'),
('neque', '65', 'node', '3'),
('neque', '67', 'node', '1.77281'),
('neque', '68', 'node', '1'),
('neque', '71', 'node', '1'),
('neque', '73', 'node', '0.96498'),
('neque', '83', 'node', '1.98493'),
('neque', '84', 'node', '2'),
('neque', '88', 'node', '0.993146'),
('neque', '89', 'node', '5.98493'),
('neque', '90', 'node', '2.97286'),
('neque', '91', 'node', '3'),
('neque', '92', 'node', '1'),
('neque', '93', 'node', '2.90471'),
('neque', '94', 'node', '3'),
('neque', '95', 'node', '1.97286'),
('neque', '96', 'node', '1'),
('neque', '97', 'node', '2.94583'),
('neque', '99', 'node', '3.96498'),
('neque', '100', 'node', '0.993146'),
('neque', '101', 'node', '3'),
('neque', '102', 'node', '3'),
('neque', '103', 'node', '3.83347'),
('neque', '105', 'node', '0.949597'),
('neque', '121', 'node', '1.88282'),
('neque', '122', 'node', '1.9689'),
('neque', '123', 'node', '4.96498'),
('neque', '124', 'node', '1.8126'),
('neque', '125', 'node', '2'),
('neque', '126', 'node', '1.92027'),
('neque', '127', 'node', '1'),
('neque', '128', 'node', '1.9534'),
('neque', '129', 'node', '1.98493'),
('neque', '130', 'node', '2'),
('neque', '131', 'node', '2.90286'),
('neque', '132', 'node', '3.98087'),
('neque', '133', 'node', '2'),
('neque', '136', 'node', '2'),
('neque', '137', 'node', '1'),
('neque', '142', 'node', '1'),
('neque', '145', 'node', '1'),
('neque', '146', 'node', '1'),
('neque', '147', 'node', '1.80264'),
('neque', '148', 'node', '1.85135'),
('neque', '150', 'node', '1'),
('neque', '151', 'node', '2'),
('neque', '152', 'node', '3.77579'),
('neque', '153', 'node', '1.88282'),
('neque', '154', 'node', '2.91674'),
('neque', '155', 'node', '2.9534'),
('neque', '156', 'node', '1'),
('neque', '157', 'node', '2'),
('neque', '158', 'node', '3'),
('neque', '159', 'node', '3'),
('neque', '160', 'node', '1'),
('neque', '161', 'node', '1.94583'),
('neque', '162', 'node', '1.9267'),
('neque', '163', 'node', '3'),
('neque', '164', 'node', '2.96498'),
('neque', '165', 'node', '3'),
('neque', '166', 'node', '27.9729'),
('neque', '167', 'node', '1'),
('neque', '169', 'node', '1'),
('neque', '171', 'node', '1'),
('neque', '172', 'node', '5.77882'),
('neque', '174', 'node', '3.68681'),
('neque', '175', 'node', '7.8017'),
('neque', '176', 'node', '0.957226'),
('neque', '178', 'node', '2.79218'),
('neque', '179', 'node', '4.84715'),
('neque', '183', 'node', '1'),
('neque', '184', 'node', '1'),
('netus', '12', 'node', '0.786915'),
('netus', '14', 'node', '1.6439'),
('netus', '18', 'node', '1'),
('netus', '26', 'node', '0.98493'),
('netus', '30', 'node', '1'),
('netus', '34', 'node', '1'),
('netus', '39', 'node', '11'),
('netus', '41', 'node', '11'),
('netus', '44', 'node', '0.993146'),
('netus', '56', 'node', '1'),
('netus', '82', 'node', '1'),
('netus', '91', 'node', '1'),
('netus', '97', 'node', '1'),
('netus', '124', 'node', '0.989021'),
('netus', '144', 'node', '1'),
('netus', '148', 'node', '2'),
('netus', '151', 'node', '0.913226'),
('netus', '156', 'node', '1'),
('netus', '163', 'node', '0.968904'),
('netus', '170', 'node', '0.997306'),
('next', '38', 'node', '26'),
('nibh', '12', 'node', '2.9496'),
('nibh', '13', 'node', '1.90286'),
('nibh', '14', 'node', '4.91179'),
('nibh', '15', 'node', '1'),
('nibh', '16', 'node', '2.83063'),
('nibh', '17', 'node', '2'),
('nibh', '18', 'node', '1'),
('nibh', '19', 'node', '2'),
('nibh', '21', 'node', '2'),
('nibh', '22', 'node', '3'),
('nibh', '23', 'node', '1'),
('nibh', '24', 'node', '0.989021'),
('nibh', '25', 'node', '2'),
('nibh', '26', 'node', '0.957226'),
('nibh', '27', 'node', '2'),
('nibh', '29', 'node', '4'),
('nibh', '30', 'node', '0.906287'),
('nibh', '31', 'node', '0.938382'),
('nibh', '32', 'node', '1'),
('nibh', '33', 'node', '1.88254'),
('nibh', '34', 'node', '0.968904'),
('nibh', '35', 'node', '2.97416'),
('nibh', '37', 'node', '4.98493'),
('nibh', '38', 'node', '1'),
('nibh', '39', 'node', '2'),
('nibh', '41', 'node', '1'),
('nibh', '42', 'node', '2'),
('nibh', '43', 'node', '1.9689'),
('nibh', '44', 'node', '4.96498'),
('nibh', '45', 'node', '2'),
('nibh', '46', 'node', '1.9496'),
('nibh', '47', 'node', '3'),
('nibh', '50', 'node', '1'),
('nibh', '54', 'node', '1.94209'),
('nibh', '55', 'node', '0.993146'),
('nibh', '56', 'node', '0.949597'),
('nibh', '57', 'node', '1'),
('nibh', '58', 'node', '2'),
('nibh', '67', 'node', '2.93838'),
('nibh', '68', 'node', '2'),
('nibh', '69', 'node', '1'),
('nibh', '71', 'node', '2'),
('nibh', '73', 'node', '2'),
('nibh', '82', 'node', '1'),
('nibh', '83', 'node', '1'),
('nibh', '84', 'node', '1'),
('nibh', '85', 'node', '1'),
('nibh', '86', 'node', '2'),
('nibh', '87', 'node', '1'),
('nibh', '88', 'node', '1'),
('nibh', '90', 'node', '1.94583'),
('nibh', '91', 'node', '28'),
('nibh', '92', 'node', '1'),
('nibh', '93', 'node', '0.942091'),
('nibh', '94', 'node', '1'),
('nibh', '96', 'node', '4'),
('nibh', '97', 'node', '2'),
('nibh', '98', 'node', '2.9534'),
('nibh', '99', 'node', '3.97286'),
('nibh', '100', 'node', '3.85054'),
('nibh', '101', 'node', '5.85941'),
('nibh', '103', 'node', '0.945829'),
('nibh', '104', 'node', '0.949597'),
('nibh', '105', 'node', '3.84066'),
('nibh', '121', 'node', '1'),
('nibh', '123', 'node', '1.85854'),
('nibh', '124', 'node', '4.90974'),
('nibh', '125', 'node', '2.97685'),
('nibh', '126', 'node', '1'),
('nibh', '128', 'node', '3.98087'),
('nibh', '129', 'node', '1.98493'),
('nibh', '130', 'node', '1.93794'),
('nibh', '131', 'node', '1.84066'),
('nibh', '132', 'node', '1'),
('nibh', '133', 'node', '2.99731'),
('nibh', '134', 'node', '2'),
('nibh', '136', 'node', '1'),
('nibh', '137', 'node', '3.99731'),
('nibh', '138', 'node', '1'),
('nibh', '139', 'node', '1'),
('nibh', '143', 'node', '1'),
('nibh', '146', 'node', '1'),
('nibh', '147', 'node', '4.78242'),
('nibh', '148', 'node', '3.52066'),
('nibh', '151', 'node', '2.90029'),
('nibh', '152', 'node', '1.79256'),
('nibh', '153', 'node', '2.8861'),
('nibh', '154', 'node', '2.88922'),
('nibh', '155', 'node', '3.90286'),
('nibh', '156', 'node', '1.94209'),
('nibh', '157', 'node', '0.98493'),
('nibh', '158', 'node', '2.9534'),
('nibh', '159', 'node', '2.95723'),
('nibh', '160', 'node', '0.942091'),
('nibh', '161', 'node', '2'),
('nibh', '162', 'node', '1'),
('nibh', '164', 'node', '1'),
('nibh', '165', 'node', '1'),
('nibh', '166', 'node', '3'),
('nibh', '167', 'node', '0.927431'),
('nibh', '168', 'node', '1'),
('nibh', '169', 'node', '2'),
('nibh', '170', 'node', '2'),
('nibh', '171', 'node', '0.942091'),
('nibh', '172', 'node', '5.61341'),
('nibh', '174', 'node', '5.57936'),
('nibh', '175', 'node', '2.96601'),
('nibh', '176', 'node', '2.81025'),
('nibh', '177', 'node', '1'),
('nibh', '178', 'node', '3.80262'),
('nibh', '179', 'node', '4.82788'),
('nibh', '183', 'node', '1'),
('nisi', '12', 'node', '6.16705'),
('nisi', '13', 'node', '0.942091'),
('nisi', '14', 'node', '3.3973'),
('nisi', '15', 'node', '1'),
('nisi', '18', 'node', '0.961087'),
('nisi', '20', 'node', '1'),
('nisi', '21', 'node', '2'),
('nisi', '24', 'node', '2.98902'),
('nisi', '25', 'node', '3'),
('nisi', '26', 'node', '27'),
('nisi', '30', 'node', '1'),
('nisi', '31', 'node', '1'),
('nisi', '32', 'node', '1'),
('nisi', '33', 'node', '2.89608'),
('nisi', '34', 'node', '1.94209'),
('nisi', '35', 'node', '1.9496'),
('nisi', '37', 'node', '1.9496'),
('nisi', '38', 'node', '2.88882'),
('nisi', '40', 'node', '2'),
('nisi', '41', 'node', '3.85285'),
('nisi', '42', 'node', '2'),
('nisi', '43', 'node', '1'),
('nisi', '44', 'node', '3'),
('nisi', '45', 'node', '1.93427'),
('nisi', '46', 'node', '1'),
('nisi', '47', 'node', '3'),
('nisi', '50', 'node', '2'),
('nisi', '52', 'node', '3.80231'),
('nisi', '54', 'node', '1.90974'),
('nisi', '55', 'node', '3.97286'),
('nisi', '56', 'node', '1.9496'),
('nisi', '57', 'node', '1'),
('nisi', '58', 'node', '4'),
('nisi', '67', 'node', '1'),
('nisi', '69', 'node', '1'),
('nisi', '73', 'node', '3'),
('nisi', '82', 'node', '5'),
('nisi', '84', 'node', '3'),
('nisi', '86', 'node', '3.9689'),
('nisi', '87', 'node', '1'),
('nisi', '90', 'node', '2.92645'),
('nisi', '91', 'node', '1'),
('nisi', '92', 'node', '1'),
('nisi', '93', 'node', '3.92058'),
('nisi', '94', 'node', '2.96498'),
('nisi', '95', 'node', '4'),
('nisi', '96', 'node', '2'),
('nisi', '97', 'node', '1.91323'),
('nisi', '100', 'node', '2.92384'),
('nisi', '101', 'node', '5.92626'),
('nisi', '102', 'node', '1'),
('nisi', '103', 'node', '2'),
('nisi', '104', 'node', '4.94313'),
('nisi', '105', 'node', '2'),
('nisi', '121', 'node', '4.67569'),
('nisi', '122', 'node', '2'),
('nisi', '125', 'node', '1'),
('nisi', '127', 'node', '1'),
('nisi', '128', 'node', '4.9223'),
('nisi', '129', 'node', '5'),
('nisi', '130', 'node', '3'),
('nisi', '131', 'node', '5.89945'),
('nisi', '133', 'node', '1.96109'),
('nisi', '134', 'node', '2.9689'),
('nisi', '136', 'node', '1'),
('nisi', '137', 'node', '1'),
('nisi', '138', 'node', '2'),
('nisi', '139', 'node', '1'),
('nisi', '142', 'node', '1'),
('nisi', '143', 'node', '1'),
('nisi', '144', 'node', '1'),
('nisi', '147', 'node', '3.89608'),
('nisi', '148', 'node', '1.84234'),
('nisi', '151', 'node', '1'),
('nisi', '152', 'node', '3'),
('nisi', '153', 'node', '2.90286'),
('nisi', '154', 'node', '5.79238'),
('nisi', '155', 'node', '2.97685'),
('nisi', '156', 'node', '1'),
('nisi', '157', 'node', '1'),
('nisi', '158', 'node', '4.93833'),
('nisi', '159', 'node', '4.94625'),
('nisi', '161', 'node', '4.78365'),
('nisi', '162', 'node', '0.953396'),
('nisi', '163', 'node', '2'),
('nisi', '164', 'node', '1'),
('nisi', '166', 'node', '1.99315'),
('nisi', '167', 'node', '1'),
('nisi', '168', 'node', '1'),
('nisi', '170', 'node', '1'),
('nisi', '171', 'node', '3'),
('nisi', '172', 'node', '0.96498'),
('nisi', '174', 'node', '1'),
('nisi', '175', 'node', '0.913226'),
('nisi', '176', 'node', '4.68568'),
('nisi', '177', 'node', '2.9496'),
('nisi', '178', 'node', '2.91674'),
('nisi', '179', 'node', '2.89274'),
('nisi', '183', 'node', '1'),
('nisifes', '39', 'node', '11'),
('nisifes', '41', 'node', '11'),
('nisl', '12', 'node', '3.37832'),
('nisl', '13', 'node', '0.938382'),
('nisl', '14', 'node', '5.25598'),
('nisl', '15', 'node', '0.96498'),
('nisl', '18', 'node', '1'),
('nisl', '19', 'node', '1'),
('nisl', '21', 'node', '2'),
('nisl', '23', 'node', '2'),
('nisl', '24', 'node', '1.97685'),
('nisl', '25', 'node', '3'),
('nisl', '26', 'node', '1.81603'),
('nisl', '27', 'node', '3'),
('nisl', '28', 'node', '1'),
('nisl', '29', 'node', '1'),
('nisl', '30', 'node', '2.76238'),
('nisl', '31', 'node', '2.92246'),
('nisl', '32', 'node', '1'),
('nisl', '33', 'node', '4.87313'),
('nisl', '34', 'node', '1'),
('nisl', '35', 'node', '1'),
('nisl', '37', 'node', '1'),
('nisl', '38', 'node', '1'),
('nisl', '39', 'node', '2'),
('nisl', '40', 'node', '1.98217'),
('nisl', '41', 'node', '2.78231'),
('nisl', '42', 'node', '1'),
('nisl', '43', 'node', '2.8861'),
('nisl', '44', 'node', '1'),
('nisl', '45', 'node', '3'),
('nisl', '46', 'node', '4.94583'),
('nisl', '47', 'node', '1'),
('nisl', '50', 'node', '2'),
('nisl', '52', 'node', '0.923838'),
('nisl', '53', 'node', '4'),
('nisl', '54', 'node', '2'),
('nisl', '55', 'node', '3'),
('nisl', '56', 'node', '1.9496'),
('nisl', '57', 'node', '3'),
('nisl', '58', 'node', '3'),
('nisl', '65', 'node', '2'),
('nisl', '67', 'node', '1'),
('nisl', '68', 'node', '1'),
('nisl', '69', 'node', '2'),
('nisl', '73', 'node', '1.90629'),
('nisl', '84', 'node', '1'),
('nisl', '85', 'node', '3.99731'),
('nisl', '87', 'node', '2'),
('nisl', '88', 'node', '2'),
('nisl', '89', 'node', '4'),
('nisl', '90', 'node', '2'),
('nisl', '91', 'node', '1'),
('nisl', '93', 'node', '1'),
('nisl', '94', 'node', '2.9347'),
('nisl', '95', 'node', '0.989021'),
('nisl', '97', 'node', '2'),
('nisl', '98', 'node', '2.93794'),
('nisl', '99', 'node', '3.96498'),
('nisl', '100', 'node', '2'),
('nisl', '102', 'node', '1'),
('nisl', '103', 'node', '4.86593'),
('nisl', '104', 'node', '1'),
('nisl', '105', 'node', '4'),
('nisl', '121', 'node', '4.62642'),
('nisl', '122', 'node', '1.9496'),
('nisl', '123', 'node', '3'),
('nisl', '124', 'node', '1'),
('nisl', '125', 'node', '1'),
('nisl', '126', 'node', '3.96498'),
('nisl', '128', 'node', '0.957226'),
('nisl', '129', 'node', '3.98902'),
('nisl', '131', 'node', '1.9689'),
('nisl', '132', 'node', '0.957226'),
('nisl', '133', 'node', '3'),
('nisl', '134', 'node', '1.954'),
('nisl', '136', 'node', '2'),
('nisl', '137', 'node', '3'),
('nisl', '138', 'node', '1'),
('nisl', '139', 'node', '1'),
('nisl', '142', 'node', '2'),
('nisl', '144', 'node', '1'),
('nisl', '147', 'node', '1.74308'),
('nisl', '148', 'node', '4.60197'),
('nisl', '150', 'node', '5.76908'),
('nisl', '151', 'node', '2.97685'),
('nisl', '152', 'node', '7.90286'),
('nisl', '153', 'node', '0.923838'),
('nisl', '154', 'node', '2.86837'),
('nisl', '155', 'node', '2.90629'),
('nisl', '156', 'node', '0.934703'),
('nisl', '160', 'node', '2'),
('nisl', '161', 'node', '2.93076'),
('nisl', '162', 'node', '1'),
('nisl', '163', 'node', '1'),
('nisl', '166', 'node', '2.93833'),
('nisl', '167', 'node', '27.9421'),
('nisl', '168', 'node', '3'),
('nisl', '169', 'node', '2'),
('nisl', '170', 'node', '1'),
('nisl', '172', 'node', '4.51906'),
('nisl', '174', 'node', '2.66061'),
('nisl', '175', 'node', '3.85133'),
('nisl', '176', 'node', '0.886095'),
('nisl', '177', 'node', '3.66663'),
('nisl', '178', 'node', '1'),
('nisl', '184', 'node', '1'),
('non', '12', 'node', '5.18863'),
('non', '13', 'node', '3.90286'),
('non', '14', 'node', '6.97613'),
('non', '15', 'node', '3'),
('non', '16', 'node', '31.6191'),
('non', '17', 'node', '1'),
('non', '18', 'node', '3.8881'),
('non', '19', 'node', '1'),
('non', '20', 'node', '1'),
('non', '21', 'node', '1'),
('non', '22', 'node', '2'),
('non', '23', 'node', '4'),
('non', '24', 'node', '29.9689'),
('non', '25', 'node', '2'),
('non', '26', 'node', '3.90629'),
('non', '27', 'node', '4.98902'),
('non', '28', 'node', '4'),
('non', '30', 'node', '3.7522'),
('non', '31', 'node', '27.9274'),
('non', '32', 'node', '2.91193'),
('non', '33', 'node', '1.85746'),
('non', '35', 'node', '2.98633'),
('non', '37', 'node', '2.97808'),
('non', '38', 'node', '2.87957'),
('non', '39', 'node', '3'),
('non', '40', 'node', '2'),
('non', '41', 'node', '12.8796'),
('non', '42', 'node', '29.9931'),
('non', '43', 'node', '6.79891'),
('non', '44', 'node', '3'),
('non', '45', 'node', '1.98493'),
('non', '46', 'node', '4'),
('non', '47', 'node', '5.99731'),
('non', '50', 'node', '2.98087'),
('non', '52', 'node', '3.88438'),
('non', '53', 'node', '1'),
('non', '54', 'node', '0.913226'),
('non', '55', 'node', '6'),
('non', '56', 'node', '4'),
('non', '57', 'node', '4.99731'),
('non', '65', 'node', '4'),
('non', '67', 'node', '3.63097'),
('non', '68', 'node', '2'),
('non', '69', 'node', '3'),
('non', '71', 'node', '3'),
('non', '73', 'node', '1'),
('non', '82', 'node', '2'),
('non', '83', 'node', '5'),
('non', '84', 'node', '2'),
('non', '85', 'node', '2'),
('non', '86', 'node', '3'),
('non', '87', 'node', '2'),
('non', '88', 'node', '3'),
('non', '89', 'node', '3'),
('non', '90', 'node', '2'),
('non', '92', 'node', '3.98902'),
('non', '93', 'node', '4.93105'),
('non', '94', 'node', '2.9347'),
('non', '95', 'node', '1.89945'),
('non', '96', 'node', '5'),
('non', '97', 'node', '2.91674'),
('non', '98', 'node', '1.98493'),
('non', '99', 'node', '3.96498'),
('non', '100', 'node', '2.92384'),
('non', '101', 'node', '2.86558'),
('non', '102', 'node', '1'),
('non', '103', 'node', '6.76354'),
('non', '104', 'node', '2.94583'),
('non', '105', 'node', '2.88659'),
('non', '121', 'node', '3'),
('non', '122', 'node', '4.93076'),
('non', '123', 'node', '3.80107'),
('non', '124', 'node', '2'),
('non', '125', 'node', '7.75275'),
('non', '126', 'node', '2.93105'),
('non', '127', 'node', '2.99731'),
('non', '128', 'node', '6.94654'),
('non', '129', 'node', '1.99731'),
('non', '130', 'node', '2.90877'),
('non', '131', 'node', '2.81619'),
('non', '132', 'node', '2.88896'),
('non', '133', 'node', '2.9689'),
('non', '134', 'node', '1.9689'),
('non', '136', 'node', '2'),
('non', '137', 'node', '4.98902'),
('non', '138', 'node', '5'),
('non', '139', 'node', '4'),
('non', '142', 'node', '1'),
('non', '143', 'node', '3'),
('non', '144', 'node', '1'),
('non', '145', 'node', '1'),
('non', '147', 'node', '7.62868'),
('non', '148', 'node', '2.79738'),
('non', '150', 'node', '9.7472'),
('non', '151', 'node', '7.88163'),
('non', '152', 'node', '2.67489'),
('non', '153', 'node', '3.7547'),
('non', '154', 'node', '5.80574'),
('non', '155', 'node', '6.75267'),
('non', '156', 'node', '3'),
('non', '157', 'node', '0.923838'),
('non', '158', 'node', '2.96205'),
('non', '159', 'node', '2.97017'),
('non', '160', 'node', '1'),
('non', '161', 'node', '2.93201'),
('non', '162', 'node', '2.88065'),
('non', '163', 'node', '1.99315'),
('non', '164', 'node', '2'),
('non', '165', 'node', '2'),
('non', '166', 'node', '2'),
('non', '167', 'node', '5'),
('non', '168', 'node', '2'),
('non', '170', 'node', '3'),
('non', '171', 'node', '2.93838'),
('non', '172', 'node', '2.74011'),
('non', '174', 'node', '7.28027'),
('non', '175', 'node', '2'),
('non', '176', 'node', '7.62189'),
('non', '177', 'node', '4.90142'),
('non', '178', 'node', '7.71847'),
('non', '179', 'node', '5.67054'),
('non', '183', 'node', '1'),
('non', '184', 'node', '1'),
('none', '173', 'node', '1'),
('normal', '11', 'node', '1'),
('nostra', '12', 'node', '0.851346'),
('nostra', '14', 'node', '0.769219'),
('nostra', '16', 'node', '0.794753'),
('nostra', '17', 'node', '1'),
('nostra', '27', 'node', '1'),
('nostra', '29', 'node', '1'),
('nostra', '33', 'node', '1'),
('nostra', '41', 'node', '0.833529'),
('nostra', '43', 'node', '0.916736'),
('nostra', '46', 'node', '0.980874'),
('nostra', '54', 'node', '1');
INSERT INTO `search_index` VALUES
('nostra', '67', 'node', '1'),
('nostra', '73', 'node', '2.8861'),
('nostra', '88', 'node', '1'),
('nostra', '93', 'node', '1.98902'),
('nostra', '95', 'node', '1'),
('nostra', '104', 'node', '1'),
('nostra', '121', 'node', '1.93105'),
('nostra', '130', 'node', '1'),
('nostra', '153', 'node', '0.949597'),
('nostra', '156', 'node', '0.972861'),
('nostra', '167', 'node', '0.98493'),
('nostra', '172', 'node', '1'),
('nostra', '177', 'node', '0.892724'),
('nostra', '179', 'node', '0.889397'),
('november', '41', 'node', '8.95041'),
('nulla', '12', 'node', '10.551'),
('nulla', '13', 'node', '2.89608'),
('nulla', '14', 'node', '7.20226'),
('nulla', '15', 'node', '2'),
('nulla', '16', 'node', '3.60747'),
('nulla', '17', 'node', '4.97685'),
('nulla', '18', 'node', '4.91894'),
('nulla', '19', 'node', '3'),
('nulla', '20', 'node', '2'),
('nulla', '21', 'node', '1'),
('nulla', '22', 'node', '4'),
('nulla', '23', 'node', '3'),
('nulla', '24', 'node', '31.9689'),
('nulla', '25', 'node', '4'),
('nulla', '26', 'node', '1'),
('nulla', '27', 'node', '6'),
('nulla', '28', 'node', '17'),
('nulla', '29', 'node', '13.5295'),
('nulla', '30', 'node', '12.2862'),
('nulla', '31', 'node', '11.2017'),
('nulla', '32', 'node', '15.1622'),
('nulla', '33', 'node', '6.69999'),
('nulla', '34', 'node', '2.94583'),
('nulla', '35', 'node', '2.9689'),
('nulla', '37', 'node', '2.99315'),
('nulla', '38', 'node', '0.913226'),
('nulla', '40', 'node', '2.98493'),
('nulla', '41', 'node', '4.77485'),
('nulla', '42', 'node', '2'),
('nulla', '43', 'node', '2.92999'),
('nulla', '44', 'node', '4'),
('nulla', '45', 'node', '1.98493'),
('nulla', '46', 'node', '2'),
('nulla', '47', 'node', '3'),
('nulla', '50', 'node', '7.83359'),
('nulla', '52', 'node', '3.92058'),
('nulla', '53', 'node', '1'),
('nulla', '54', 'node', '6.95723'),
('nulla', '55', 'node', '2'),
('nulla', '56', 'node', '1.90299'),
('nulla', '57', 'node', '3'),
('nulla', '58', 'node', '3'),
('nulla', '65', 'node', '2'),
('nulla', '67', 'node', '3.77787'),
('nulla', '68', 'node', '1'),
('nulla', '69', 'node', '1'),
('nulla', '71', 'node', '6.98087'),
('nulla', '73', 'node', '1'),
('nulla', '82', 'node', '4'),
('nulla', '83', 'node', '1.99731'),
('nulla', '84', 'node', '1'),
('nulla', '85', 'node', '2'),
('nulla', '86', 'node', '3'),
('nulla', '87', 'node', '1'),
('nulla', '88', 'node', '3.99731'),
('nulla', '89', 'node', '4'),
('nulla', '90', 'node', '4'),
('nulla', '91', 'node', '5'),
('nulla', '92', 'node', '2.98493'),
('nulla', '93', 'node', '2'),
('nulla', '94', 'node', '1.92384'),
('nulla', '95', 'node', '2'),
('nulla', '96', 'node', '6'),
('nulla', '97', 'node', '2.98902'),
('nulla', '98', 'node', '1.9496'),
('nulla', '99', 'node', '3'),
('nulla', '100', 'node', '2'),
('nulla', '101', 'node', '3.91236'),
('nulla', '102', 'node', '2.98087'),
('nulla', '104', 'node', '2'),
('nulla', '105', 'node', '1.91674'),
('nulla', '121', 'node', '1.97685'),
('nulla', '122', 'node', '8.7857'),
('nulla', '123', 'node', '1.92999'),
('nulla', '125', 'node', '4.90974'),
('nulla', '126', 'node', '1.9347'),
('nulla', '127', 'node', '2'),
('nulla', '128', 'node', '2'),
('nulla', '129', 'node', '3'),
('nulla', '130', 'node', '2'),
('nulla', '131', 'node', '1.88564'),
('nulla', '132', 'node', '1'),
('nulla', '133', 'node', '1'),
('nulla', '136', 'node', '2'),
('nulla', '137', 'node', '6.97286'),
('nulla', '139', 'node', '32'),
('nulla', '142', 'node', '3'),
('nulla', '144', 'node', '1'),
('nulla', '145', 'node', '4'),
('nulla', '147', 'node', '5.42499'),
('nulla', '148', 'node', '6.38305'),
('nulla', '150', 'node', '6.82738'),
('nulla', '151', 'node', '3.97286'),
('nulla', '152', 'node', '8.51396'),
('nulla', '153', 'node', '7.65829'),
('nulla', '154', 'node', '10.7779'),
('nulla', '155', 'node', '4.89178'),
('nulla', '156', 'node', '2'),
('nulla', '157', 'node', '3'),
('nulla', '158', 'node', '2.9496'),
('nulla', '159', 'node', '2.9534'),
('nulla', '160', 'node', '4'),
('nulla', '161', 'node', '2.93838'),
('nulla', '162', 'node', '3'),
('nulla', '163', 'node', '1'),
('nulla', '164', 'node', '5.92696'),
('nulla', '165', 'node', '3.97818'),
('nulla', '166', 'node', '4'),
('nulla', '167', 'node', '2.96109'),
('nulla', '168', 'node', '2'),
('nulla', '169', 'node', '1'),
('nulla', '170', 'node', '1'),
('nulla', '171', 'node', '6.94274'),
('nulla', '172', 'node', '5.53827'),
('nulla', '174', 'node', '1.64988'),
('nulla', '175', 'node', '1.89945'),
('nulla', '176', 'node', '3.67195'),
('nulla', '177', 'node', '3.97808'),
('nulla', '178', 'node', '4.77879'),
('nulla', '179', 'node', '4.88492'),
('nulla', '183', 'node', '1'),
('nulla', '184', 'node', '3'),
('nullam', '12', 'node', '4.09733'),
('nullam', '13', 'node', '1'),
('nullam', '14', 'node', '0.96498'),
('nullam', '15', 'node', '2'),
('nullam', '16', 'node', '1.81925'),
('nullam', '17', 'node', '1'),
('nullam', '20', 'node', '1'),
('nullam', '21', 'node', '1'),
('nullam', '22', 'node', '1'),
('nullam', '23', 'node', '1'),
('nullam', '24', 'node', '1'),
('nullam', '25', 'node', '1'),
('nullam', '26', 'node', '2'),
('nullam', '28', 'node', '29'),
('nullam', '29', 'node', '1'),
('nullam', '31', 'node', '3'),
('nullam', '32', 'node', '1.95723'),
('nullam', '33', 'node', '1'),
('nullam', '34', 'node', '1'),
('nullam', '35', 'node', '3'),
('nullam', '37', 'node', '1.92246'),
('nullam', '41', 'node', '1.92384'),
('nullam', '44', 'node', '1'),
('nullam', '45', 'node', '1'),
('nullam', '46', 'node', '3'),
('nullam', '47', 'node', '1'),
('nullam', '50', 'node', '1'),
('nullam', '52', 'node', '0.916736'),
('nullam', '53', 'node', '1'),
('nullam', '55', 'node', '2'),
('nullam', '56', 'node', '2'),
('nullam', '65', 'node', '2'),
('nullam', '68', 'node', '1'),
('nullam', '71', 'node', '1'),
('nullam', '73', 'node', '1'),
('nullam', '83', 'node', '2'),
('nullam', '85', 'node', '1'),
('nullam', '86', 'node', '1'),
('nullam', '89', 'node', '2'),
('nullam', '90', 'node', '1.97685'),
('nullam', '92', 'node', '1'),
('nullam', '94', 'node', '1.98087'),
('nullam', '95', 'node', '0.942091'),
('nullam', '96', 'node', '3'),
('nullam', '97', 'node', '1'),
('nullam', '98', 'node', '1'),
('nullam', '99', 'node', '2'),
('nullam', '102', 'node', '1'),
('nullam', '121', 'node', '1'),
('nullam', '122', 'node', '1.88083'),
('nullam', '123', 'node', '2'),
('nullam', '124', 'node', '2'),
('nullam', '125', 'node', '0.927431'),
('nullam', '128', 'node', '1'),
('nullam', '129', 'node', '1'),
('nullam', '130', 'node', '1'),
('nullam', '131', 'node', '2'),
('nullam', '132', 'node', '0.961087'),
('nullam', '133', 'node', '1'),
('nullam', '134', 'node', '0.98493'),
('nullam', '136', 'node', '1'),
('nullam', '137', 'node', '1'),
('nullam', '138', 'node', '2'),
('nullam', '139', 'node', '1'),
('nullam', '142', 'node', '1'),
('nullam', '145', 'node', '1'),
('nullam', '146', 'node', '2'),
('nullam', '147', 'node', '1.87634'),
('nullam', '148', 'node', '0.869951'),
('nullam', '150', 'node', '2.90069'),
('nullam', '151', 'node', '3'),
('nullam', '152', 'node', '1.8861'),
('nullam', '153', 'node', '1.80518'),
('nullam', '154', 'node', '0.949597'),
('nullam', '155', 'node', '1'),
('nullam', '156', 'node', '1.9534'),
('nullam', '157', 'node', '0.920273'),
('nullam', '158', 'node', '1'),
('nullam', '159', 'node', '1'),
('nullam', '160', 'node', '0.927431'),
('nullam', '161', 'node', '2.98493'),
('nullam', '162', 'node', '3.96109'),
('nullam', '166', 'node', '0.968904'),
('nullam', '167', 'node', '2'),
('nullam', '168', 'node', '3'),
('nullam', '169', 'node', '1'),
('nullam', '170', 'node', '1'),
('nullam', '171', 'node', '2.93838'),
('nullam', '172', 'node', '1.94209'),
('nullam', '174', 'node', '1'),
('nullam', '176', 'node', '3.68178'),
('nullam', '178', 'node', '3.91323'),
('number', '173', 'node', '1'),
('nunc', '12', 'node', '4.73917'),
('nunc', '13', 'node', '2.90629'),
('nunc', '14', 'node', '6.85613'),
('nunc', '15', 'node', '1'),
('nunc', '16', 'node', '4.70079'),
('nunc', '17', 'node', '33.9162'),
('nunc', '19', 'node', '28'),
('nunc', '20', 'node', '1'),
('nunc', '21', 'node', '28.9849'),
('nunc', '22', 'node', '3'),
('nunc', '23', 'node', '1'),
('nunc', '25', 'node', '3'),
('nunc', '26', 'node', '3.84445'),
('nunc', '27', 'node', '2'),
('nunc', '28', 'node', '3'),
('nunc', '29', 'node', '3'),
('nunc', '30', 'node', '5.79738'),
('nunc', '31', 'node', '0.961087'),
('nunc', '32', 'node', '4.96498'),
('nunc', '33', 'node', '1.71212'),
('nunc', '34', 'node', '1'),
('nunc', '35', 'node', '5.89561'),
('nunc', '37', 'node', '3.8877'),
('nunc', '38', 'node', '13.3593'),
('nunc', '39', 'node', '2'),
('nunc', '40', 'node', '2'),
('nunc', '41', 'node', '2.74011'),
('nunc', '42', 'node', '32'),
('nunc', '43', 'node', '2.98087'),
('nunc', '44', 'node', '2.9534'),
('nunc', '45', 'node', '3.88798'),
('nunc', '46', 'node', '1.96498'),
('nunc', '47', 'node', '2.95772'),
('nunc', '50', 'node', '4.84177'),
('nunc', '52', 'node', '0.997306'),
('nunc', '53', 'node', '3'),
('nunc', '54', 'node', '1.91323'),
('nunc', '55', 'node', '5'),
('nunc', '56', 'node', '1'),
('nunc', '57', 'node', '3'),
('nunc', '58', 'node', '2'),
('nunc', '65', 'node', '1'),
('nunc', '67', 'node', '1'),
('nunc', '68', 'node', '2.90299'),
('nunc', '69', 'node', '1'),
('nunc', '71', 'node', '4.96498'),
('nunc', '73', 'node', '3.91674'),
('nunc', '82', 'node', '1'),
('nunc', '83', 'node', '4'),
('nunc', '84', 'node', '1'),
('nunc', '85', 'node', '1'),
('nunc', '86', 'node', '3.92613'),
('nunc', '87', 'node', '2'),
('nunc', '88', 'node', '2.99731'),
('nunc', '89', 'node', '1'),
('nunc', '90', 'node', '2'),
('nunc', '91', 'node', '2'),
('nunc', '92', 'node', '4.98493'),
('nunc', '93', 'node', '1.98493'),
('nunc', '94', 'node', '3.90877'),
('nunc', '96', 'node', '2'),
('nunc', '97', 'node', '1'),
('nunc', '98', 'node', '4.9534'),
('nunc', '99', 'node', '3.9658'),
('nunc', '100', 'node', '2.92384'),
('nunc', '101', 'node', '4'),
('nunc', '102', 'node', '3.96175'),
('nunc', '103', 'node', '5.81194'),
('nunc', '104', 'node', '4'),
('nunc', '105', 'node', '5.84142'),
('nunc', '121', 'node', '0.866793'),
('nunc', '122', 'node', '3'),
('nunc', '123', 'node', '3.97286'),
('nunc', '124', 'node', '3.93105'),
('nunc', '125', 'node', '4.8335'),
('nunc', '126', 'node', '1.92027'),
('nunc', '127', 'node', '2'),
('nunc', '128', 'node', '1'),
('nunc', '129', 'node', '5'),
('nunc', '130', 'node', '2'),
('nunc', '131', 'node', '6.81274'),
('nunc', '132', 'node', '3'),
('nunc', '133', 'node', '2'),
('nunc', '134', 'node', '3.9689'),
('nunc', '136', 'node', '1'),
('nunc', '137', 'node', '3'),
('nunc', '138', 'node', '4'),
('nunc', '139', 'node', '5'),
('nunc', '142', 'node', '1'),
('nunc', '143', 'node', '2'),
('nunc', '145', 'node', '3'),
('nunc', '147', 'node', '3.62404'),
('nunc', '148', 'node', '5.92027'),
('nunc', '150', 'node', '4.78985'),
('nunc', '151', 'node', '4.92743'),
('nunc', '152', 'node', '7.66577'),
('nunc', '153', 'node', '2.61303'),
('nunc', '154', 'node', '0.98493'),
('nunc', '155', 'node', '6.63605'),
('nunc', '156', 'node', '2'),
('nunc', '157', 'node', '6.8288'),
('nunc', '158', 'node', '3.97286'),
('nunc', '159', 'node', '3.97685'),
('nunc', '160', 'node', '1.9534'),
('nunc', '162', 'node', '2.88047'),
('nunc', '163', 'node', '2.96109'),
('nunc', '164', 'node', '27'),
('nunc', '165', 'node', '3'),
('nunc', '166', 'node', '5.97286'),
('nunc', '167', 'node', '2.8967'),
('nunc', '168', 'node', '2'),
('nunc', '169', 'node', '2'),
('nunc', '170', 'node', '0.972861'),
('nunc', '171', 'node', '1'),
('nunc', '172', 'node', '6.78567'),
('nunc', '174', 'node', '2.47246'),
('nunc', '175', 'node', '2'),
('nunc', '176', 'node', '3.78568'),
('nunc', '177', 'node', '7'),
('nunc', '178', 'node', '5.84066'),
('nunc', '179', 'node', '3.86593'),
('nunc', '184', 'node', '1'),
('odio', '12', 'node', '2'),
('odio', '13', 'node', '1'),
('odio', '14', 'node', '9.50646'),
('odio', '15', 'node', '4'),
('odio', '16', 'node', '1.97286'),
('odio', '17', 'node', '0.957226'),
('odio', '18', 'node', '3'),
('odio', '19', 'node', '1'),
('odio', '20', 'node', '3'),
('odio', '21', 'node', '2'),
('odio', '22', 'node', '1'),
('odio', '23', 'node', '4'),
('odio', '24', 'node', '2'),
('odio', '25', 'node', '3'),
('odio', '26', 'node', '2'),
('odio', '27', 'node', '1'),
('odio', '28', 'node', '2'),
('odio', '29', 'node', '0.997306'),
('odio', '30', 'node', '2.80571'),
('odio', '32', 'node', '1.99731'),
('odio', '33', 'node', '3.69451'),
('odio', '34', 'node', '2.89947'),
('odio', '35', 'node', '1'),
('odio', '37', 'node', '1.97685'),
('odio', '38', 'node', '2.79238'),
('odio', '39', 'node', '1'),
('odio', '41', 'node', '1'),
('odio', '44', 'node', '28'),
('odio', '45', 'node', '4.9496'),
('odio', '46', 'node', '1'),
('odio', '47', 'node', '2'),
('odio', '50', 'node', '1.94209'),
('odio', '52', 'node', '5.97286'),
('odio', '53', 'node', '2'),
('odio', '54', 'node', '1.82996'),
('odio', '57', 'node', '1'),
('odio', '58', 'node', '1'),
('odio', '65', 'node', '1'),
('odio', '67', 'node', '1'),
('odio', '68', 'node', '2.96986'),
('odio', '69', 'node', '1'),
('odio', '73', 'node', '0.968904'),
('odio', '82', 'node', '3'),
('odio', '83', 'node', '0.976851'),
('odio', '84', 'node', '2'),
('odio', '85', 'node', '2'),
('odio', '86', 'node', '2'),
('odio', '87', 'node', '4'),
('odio', '89', 'node', '3.99315'),
('odio', '90', 'node', '0.957226'),
('odio', '91', 'node', '1'),
('odio', '92', 'node', '2'),
('odio', '93', 'node', '2'),
('odio', '95', 'node', '1'),
('odio', '96', 'node', '6'),
('odio', '97', 'node', '5.89653'),
('odio', '98', 'node', '1.94209'),
('odio', '99', 'node', '2.96989'),
('odio', '100', 'node', '2.92384'),
('odio', '101', 'node', '2'),
('odio', '102', 'node', '5.98087'),
('odio', '103', 'node', '2.91674'),
('odio', '104', 'node', '2.97685'),
('odio', '105', 'node', '0.916736'),
('odio', '121', 'node', '1.97685'),
('odio', '122', 'node', '2'),
('odio', '123', 'node', '1'),
('odio', '124', 'node', '1.87703'),
('odio', '125', 'node', '1.90974'),
('odio', '130', 'node', '0.949597'),
('odio', '131', 'node', '1.90629'),
('odio', '132', 'node', '2'),
('odio', '133', 'node', '2'),
('odio', '134', 'node', '2'),
('odio', '136', 'node', '0.953396'),
('odio', '138', 'node', '4'),
('odio', '144', 'node', '1'),
('odio', '146', 'node', '1'),
('odio', '147', 'node', '1.75935'),
('odio', '148', 'node', '0.96498'),
('odio', '150', 'node', '2'),
('odio', '153', 'node', '2.98902'),
('odio', '154', 'node', '2.81619'),
('odio', '155', 'node', '4.88779'),
('odio', '156', 'node', '1'),
('odio', '157', 'node', '1'),
('odio', '158', 'node', '2'),
('odio', '159', 'node', '2'),
('odio', '160', 'node', '2'),
('odio', '161', 'node', '3.90361'),
('odio', '162', 'node', '1'),
('odio', '163', 'node', '4'),
('odio', '164', 'node', '1'),
('odio', '166', 'node', '1'),
('odio', '167', 'node', '2'),
('odio', '169', 'node', '2'),
('odio', '170', 'node', '1.92268'),
('odio', '172', 'node', '3.64788'),
('odio', '174', 'node', '2.53796'),
('odio', '175', 'node', '4.95793'),
('odio', '176', 'node', '3.79604'),
('odio', '177', 'node', '0.96498'),
('odio', '178', 'node', '1'),
('odio', '179', 'node', '3.91448'),
('option', '181', 'node', '5'),
('option', '182', 'node', '5'),
('orci', '12', 'node', '6.04357'),
('orci', '13', 'node', '2'),
('orci', '14', 'node', '3.38799'),
('orci', '15', 'node', '2.9381'),
('orci', '16', 'node', '2.98493'),
('orci', '17', 'node', '0.976851'),
('orci', '18', 'node', '2'),
('orci', '19', 'node', '28'),
('orci', '20', 'node', '1'),
('orci', '21', 'node', '1'),
('orci', '22', 'node', '1'),
('orci', '23', 'node', '3.99731'),
('orci', '24', 'node', '1.8843'),
('orci', '25', 'node', '40'),
('orci', '26', 'node', '13.717'),
('orci', '27', 'node', '14.4041'),
('orci', '29', 'node', '1'),
('orci', '30', 'node', '1.92384'),
('orci', '31', 'node', '0.98493'),
('orci', '32', 'node', '1'),
('orci', '33', 'node', '2'),
('orci', '34', 'node', '2'),
('orci', '35', 'node', '2'),
('orci', '37', 'node', '1'),
('orci', '38', 'node', '1.9496'),
('orci', '39', 'node', '3.96498'),
('orci', '40', 'node', '2'),
('orci', '41', 'node', '3'),
('orci', '42', 'node', '1'),
('orci', '43', 'node', '1.89608'),
('orci', '44', 'node', '5'),
('orci', '45', 'node', '1.92626'),
('orci', '47', 'node', '3'),
('orci', '50', 'node', '2.98493'),
('orci', '52', 'node', '3.90286'),
('orci', '55', 'node', '1.9534'),
('orci', '56', 'node', '2'),
('orci', '57', 'node', '1'),
('orci', '58', 'node', '1'),
('orci', '65', 'node', '1'),
('orci', '67', 'node', '3.71378'),
('orci', '69', 'node', '1'),
('orci', '71', 'node', '1'),
('orci', '73', 'node', '4.79238'),
('orci', '83', 'node', '2.98493'),
('orci', '85', 'node', '1'),
('orci', '87', 'node', '1.98493'),
('orci', '88', 'node', '2.93838'),
('orci', '89', 'node', '1'),
('orci', '90', 'node', '0.972861'),
('orci', '91', 'node', '2'),
('orci', '93', 'node', '1'),
('orci', '94', 'node', '3'),
('orci', '95', 'node', '2.95723'),
('orci', '96', 'node', '3.98902'),
('orci', '97', 'node', '1.91323'),
('orci', '98', 'node', '3.9496'),
('orci', '100', 'node', '1'),
('orci', '101', 'node', '1'),
('orci', '103', 'node', '4'),
('orci', '104', 'node', '3.98493'),
('orci', '121', 'node', '1'),
('orci', '123', 'node', '4.98493'),
('orci', '124', 'node', '3.93105'),
('orci', '125', 'node', '3.84066'),
('orci', '126', 'node', '1.9347'),
('orci', '127', 'node', '2'),
('orci', '129', 'node', '2'),
('orci', '130', 'node', '2'),
('orci', '131', 'node', '1.94209'),
('orci', '132', 'node', '0.972861'),
('orci', '133', 'node', '5'),
('orci', '134', 'node', '1.97286'),
('orci', '137', 'node', '1'),
('orci', '142', 'node', '1'),
('orci', '143', 'node', '1'),
('orci', '144', 'node', '1'),
('orci', '145', 'node', '1'),
('orci', '146', 'node', '1'),
('orci', '147', 'node', '0.909743'),
('orci', '148', 'node', '1.85439'),
('orci', '150', 'node', '0.892724'),
('orci', '151', 'node', '2.91445'),
('orci', '152', 'node', '1'),
('orci', '153', 'node', '1.92743'),
('orci', '154', 'node', '5.73604'),
('orci', '155', 'node', '2.85905'),
('orci', '158', 'node', '3'),
('orci', '159', 'node', '3'),
('orci', '160', 'node', '3'),
('orci', '161', 'node', '1'),
('orci', '162', 'node', '4.9347'),
('orci', '163', 'node', '1'),
('orci', '165', 'node', '4'),
('orci', '166', 'node', '3'),
('orci', '167', 'node', '2.94209'),
('orci', '168', 'node', '1.98902'),
('orci', '170', 'node', '3'),
('orci', '171', 'node', '3.87344'),
('orci', '172', 'node', '4.62657'),
('orci', '174', 'node', '2.81092'),
('orci', '176', 'node', '2'),
('orci', '178', 'node', '1'),
('orci', '179', 'node', '2.87313'),
('ornare', '12', 'node', '1.92384'),
('ornare', '13', 'node', '2'),
('ornare', '14', 'node', '51.5144'),
('ornare', '17', 'node', '0.931053'),
('ornare', '18', 'node', '1'),
('ornare', '19', 'node', '1'),
('ornare', '20', 'node', '1'),
('ornare', '21', 'node', '28'),
('ornare', '22', 'node', '2'),
('ornare', '24', 'node', '2.98493'),
('ornare', '25', 'node', '4'),
('ornare', '26', 'node', '2.84099'),
('ornare', '29', 'node', '2'),
('ornare', '30', 'node', '1.86055'),
('ornare', '32', 'node', '3'),
('ornare', '35', 'node', '1'),
('ornare', '37', 'node', '2.96498'),
('ornare', '38', 'node', '1'),
('ornare', '39', 'node', '2'),
('ornare', '41', 'node', '2'),
('ornare', '43', 'node', '1'),
('ornare', '45', 'node', '1'),
('ornare', '46', 'node', '1'),
('ornare', '47', 'node', '3'),
('ornare', '50', 'node', '1.94209'),
('ornare', '52', 'node', '1.9496'),
('ornare', '54', 'node', '0.920273'),
('ornare', '55', 'node', '1'),
('ornare', '57', 'node', '2'),
('ornare', '58', 'node', '1'),
('ornare', '67', 'node', '1.82718'),
('ornare', '69', 'node', '1'),
('ornare', '71', 'node', '2'),
('ornare', '83', 'node', '1'),
('ornare', '84', 'node', '3'),
('ornare', '88', 'node', '0.938382'),
('ornare', '89', 'node', '1.98087'),
('ornare', '90', 'node', '0.968904'),
('ornare', '91', 'node', '2'),
('ornare', '94', 'node', '0.957226'),
('ornare', '95', 'node', '2.97286'),
('ornare', '96', 'node', '1'),
('ornare', '97', 'node', '1.94583'),
('ornare', '98', 'node', '1.94209'),
('ornare', '99', 'node', '1'),
('ornare', '100', 'node', '1.9347'),
('ornare', '101', 'node', '2'),
('ornare', '102', 'node', '1'),
('ornare', '103', 'node', '2.94242'),
('ornare', '104', 'node', '1.96498'),
('ornare', '105', 'node', '1'),
('ornare', '121', 'node', '4.80418'),
('ornare', '123', 'node', '2'),
('ornare', '125', 'node', '1'),
('ornare', '126', 'node', '1'),
('ornare', '127', 'node', '1'),
('ornare', '128', 'node', '2'),
('ornare', '130', 'node', '1'),
('ornare', '131', 'node', '2'),
('ornare', '132', 'node', '2'),
('ornare', '133', 'node', '1.98087'),
('ornare', '136', 'node', '2'),
('ornare', '137', 'node', '2'),
('ornare', '138', 'node', '1'),
('ornare', '139', 'node', '1'),
('ornare', '145', 'node', '1'),
('ornare', '146', 'node', '1'),
('ornare', '147', 'node', '3.72527'),
('ornare', '148', 'node', '4.68869'),
('ornare', '150', 'node', '2.92027'),
('ornare', '151', 'node', '0.997306'),
('ornare', '153', 'node', '1'),
('ornare', '154', 'node', '2.90629'),
('ornare', '156', 'node', '1'),
('ornare', '157', 'node', '1'),
('ornare', '158', 'node', '0.993146'),
('ornare', '159', 'node', '0.997306'),
('ornare', '161', 'node', '1.9496'),
('ornare', '162', 'node', '1'),
('ornare', '163', 'node', '1'),
('ornare', '164', 'node', '0.98493'),
('ornare', '165', 'node', '1.85625'),
('ornare', '166', 'node', '2.95453'),
('ornare', '167', 'node', '0.972861'),
('ornare', '168', 'node', '0.953396'),
('ornare', '170', 'node', '0.98493'),
('ornare', '172', 'node', '2.76891'),
('ornare', '174', 'node', '3.54117'),
('ornare', '175', 'node', '1'),
('ornare', '177', 'node', '1.9689'),
('ornare', '179', 'node', '1.92384'),
('ornare', '183', 'node', '1'),
('others', '42', 'node', '10.7015'),
('others', '43', 'node', '9.74705'),
('others', '138', 'node', '10.9246'),
('our', '151', 'node', '26'),
('parturient', '16', 'node', '0.848323'),
('parturient', '30', 'node', '0.976851'),
('parturient', '31', 'node', '1'),
('parturient', '33', 'node', '1'),
('parturient', '43', 'node', '1'),
('parturient', '67', 'node', '1'),
('parturient', '86', 'node', '0.993146'),
('parturient', '91', 'node', '0.993146'),
('parturient', '93', 'node', '1'),
('parturient', '94', 'node', '1'),
('parturient', '95', 'node', '0.916736'),
('parturient', '123', 'node', '1'),
('parturient', '134', 'node', '1.9689'),
('parturient', '136', 'node', '1'),
('parturient', '146', 'node', '1'),
('parturient', '148', 'node', '0.899454'),
('parturient', '157', 'node', '1'),
('parturient', '160', 'node', '0.976851'),
('parturient', '165', 'node', '0.923838'),
('parturient', '174', 'node', '1'),
('parturient', '177', 'node', '1'),
('paypal', '142', 'node', '1'),
('paypal', '143', 'node', '1'),
('paypal', '144', 'node', '1'),
('pellentesque', '12', 'node', '3.38537'),
('pellentesque', '13', 'node', '3.90286'),
('pellentesque', '14', 'node', '10.8512'),
('pellentesque', '15', 'node', '1.97286'),
('pellentesque', '16', 'node', '0.892724'),
('pellentesque', '17', 'node', '1.96498'),
('pellentesque', '18', 'node', '6'),
('pellentesque', '19', 'node', '3'),
('pellentesque', '20', 'node', '4'),
('pellentesque', '22', 'node', '1'),
('pellentesque', '23', 'node', '4'),
('pellentesque', '24', 'node', '3.99731'),
('pellentesque', '25', 'node', '1'),
('pellentesque', '26', 'node', '28.9973'),
('pellentesque', '29', 'node', '2'),
('pellentesque', '30', 'node', '2.90629'),
('pellentesque', '32', 'node', '1'),
('pellentesque', '33', 'node', '2.85172'),
('pellentesque', '34', 'node', '3'),
('pellentesque', '35', 'node', '6.90041'),
('pellentesque', '37', 'node', '3.96301'),
('pellentesque', '38', 'node', '1.9347'),
('pellentesque', '39', 'node', '3'),
('pellentesque', '40', 'node', '1'),
('pellentesque', '41', 'node', '12.8796'),
('pellentesque', '42', 'node', '4'),
('pellentesque', '43', 'node', '27.9809'),
('pellentesque', '44', 'node', '8'),
('pellentesque', '45', 'node', '28'),
('pellentesque', '46', 'node', '3.96498'),
('pellentesque', '47', 'node', '2'),
('pellentesque', '50', 'node', '3.90796'),
('pellentesque', '53', 'node', '1'),
('pellentesque', '54', 'node', '2.97685'),
('pellentesque', '55', 'node', '3'),
('pellentesque', '56', 'node', '3'),
('pellentesque', '57', 'node', '2'),
('pellentesque', '58', 'node', '3'),
('pellentesque', '65', 'node', '2'),
('pellentesque', '67', 'node', '2.87313'),
('pellentesque', '68', 'node', '1.9534'),
('pellentesque', '69', 'node', '2'),
('pellentesque', '71', 'node', '1'),
('pellentesque', '73', 'node', '2.83012'),
('pellentesque', '82', 'node', '3'),
('pellentesque', '83', 'node', '4'),
('pellentesque', '85', 'node', '3'),
('pellentesque', '86', 'node', '2'),
('pellentesque', '87', 'node', '4'),
('pellentesque', '89', 'node', '2.99731'),
('pellentesque', '90', 'node', '0.961087'),
('pellentesque', '91', 'node', '3'),
('pellentesque', '92', 'node', '1'),
('pellentesque', '93', 'node', '4'),
('pellentesque', '94', 'node', '1.94209'),
('pellentesque', '95', 'node', '1'),
('pellentesque', '96', 'node', '1'),
('pellentesque', '97', 'node', '4.85905'),
('pellentesque', '98', 'node', '3'),
('pellentesque', '99', 'node', '4'),
('pellentesque', '100', 'node', '2.94583'),
('pellentesque', '101', 'node', '3.92836'),
('pellentesque', '102', 'node', '1'),
('pellentesque', '103', 'node', '4.84177'),
('pellentesque', '104', 'node', '0.938382'),
('pellentesque', '105', 'node', '1.99731'),
('pellentesque', '121', 'node', '1'),
('pellentesque', '122', 'node', '3.90679'),
('pellentesque', '123', 'node', '3.89178'),
('pellentesque', '124', 'node', '3.90016'),
('pellentesque', '125', 'node', '1.98493'),
('pellentesque', '126', 'node', '3.92027'),
('pellentesque', '127', 'node', '1'),
('pellentesque', '128', 'node', '3.9223'),
('pellentesque', '129', 'node', '4.99731'),
('pellentesque', '130', 'node', '1'),
('pellentesque', '131', 'node', '0.945829'),
('pellentesque', '132', 'node', '3'),
('pellentesque', '133', 'node', '1'),
('pellentesque', '134', 'node', '1'),
('pellentesque', '136', 'node', '1.94242'),
('pellentesque', '137', 'node', '3'),
('pellentesque', '138', 'node', '3'),
('pellentesque', '139', 'node', '3'),
('pellentesque', '142', 'node', '2'),
('pellentesque', '143', 'node', '2'),
('pellentesque', '144', 'node', '2'),
('pellentesque', '145', 'node', '1'),
('pellentesque', '146', 'node', '2'),
('pellentesque', '147', 'node', '4.92702'),
('pellentesque', '148', 'node', '7.78238'),
('pellentesque', '150', 'node', '3.89608'),
('pellentesque', '151', 'node', '2.8967'),
('pellentesque', '152', 'node', '3.86737'),
('pellentesque', '153', 'node', '3.67495'),
('pellentesque', '154', 'node', '1'),
('pellentesque', '155', 'node', '5.82254'),
('pellentesque', '156', 'node', '3.94583'),
('pellentesque', '157', 'node', '3'),
('pellentesque', '158', 'node', '2.95779'),
('pellentesque', '159', 'node', '2.96587'),
('pellentesque', '160', 'node', '33.8304'),
('pellentesque', '161', 'node', '2.98902'),
('pellentesque', '162', 'node', '2'),
('pellentesque', '163', 'node', '3.86413'),
('pellentesque', '164', 'node', '3.9689'),
('pellentesque', '165', 'node', '1.95723'),
('pellentesque', '166', 'node', '3'),
('pellentesque', '167', 'node', '1'),
('pellentesque', '168', 'node', '1'),
('pellentesque', '169', 'node', '28'),
('pellentesque', '170', 'node', '1'),
('pellentesque', '171', 'node', '4.83358'),
('pellentesque', '172', 'node', '4.65701'),
('pellentesque', '174', 'node', '3.44404'),
('pellentesque', '175', 'node', '5'),
('pellentesque', '176', 'node', '5.59592'),
('pellentesque', '177', 'node', '2.99731'),
('pellentesque', '178', 'node', '2.93105'),
('pellentesque', '179', 'node', '1.94209'),
('pellentesque', '183', 'node', '2'),
('pellentesque', '184', 'node', '2'),
('penatibus', '16', 'node', '15.4312'),
('penatibus', '30', 'node', '0.989021'),
('penatibus', '31', 'node', '1'),
('penatibus', '33', 'node', '1'),
('penatibus', '43', 'node', '1'),
('penatibus', '67', 'node', '1'),
('penatibus', '86', 'node', '1'),
('penatibus', '91', 'node', '1'),
('penatibus', '93', 'node', '1'),
('penatibus', '94', 'node', '1'),
('penatibus', '95', 'node', '0.927431'),
('penatibus', '123', 'node', '1'),
('penatibus', '134', 'node', '1.9689'),
('penatibus', '136', 'node', '1'),
('penatibus', '146', 'node', '1'),
('penatibus', '148', 'node', '0.909743'),
('penatibus', '157', 'node', '1'),
('penatibus', '160', 'node', '0.989021'),
('penatibus', '165', 'node', '0.934703'),
('penatibus', '174', 'node', '1'),
('penatibus', '177', 'node', '1'),
('per', '12', 'node', '1.70578'),
('per', '14', 'node', '1.54095'),
('per', '16', 'node', '1.59219'),
('per', '17', 'node', '2'),
('per', '27', 'node', '2'),
('per', '29', 'node', '2'),
('per', '33', 'node', '2'),
('per', '41', 'node', '1.67002'),
('per', '43', 'node', '1.83706'),
('per', '46', 'node', '1.96587'),
('per', '54', 'node', '2'),
('per', '67', 'node', '2'),
('per', '73', 'node', '5.77219'),
('per', '88', 'node', '2'),
('per', '93', 'node', '3.97804'),
('per', '95', 'node', '2'),
('per', '104', 'node', '2'),
('per', '121', 'node', '3.86211'),
('per', '130', 'node', '2'),
('per', '146', 'node', '1'),
('per', '153', 'node', '1.90305'),
('per', '156', 'node', '1.94978'),
('per', '167', 'node', '1.97402'),
('per', '172', 'node', '1.99731'),
('per', '177', 'node', '1.78885'),
('per', '179', 'node', '1.78217'),
('per', '183', 'node', '1'),
('permalink', '12', 'node', '27.3517'),
('permalink', '13', 'node', '10.7015'),
('permalink', '14', 'node', '45.3925'),
('permalink', '16', 'node', '19.8439'),
('personal', '184', 'node', '26'),
('perspective', '89', 'node', '26'),
('pharetra', '12', 'node', '3.51874'),
('pharetra', '13', 'node', '2'),
('pharetra', '14', 'node', '3.46477'),
('pharetra', '15', 'node', '1.96498'),
('pharetra', '16', 'node', '2.82645'),
('pharetra', '19', 'node', '1'),
('pharetra', '20', 'node', '2'),
('pharetra', '22', 'node', '1'),
('pharetra', '23', 'node', '2'),
('pharetra', '24', 'node', '0.980874'),
('pharetra', '25', 'node', '28'),
('pharetra', '26', 'node', '4'),
('pharetra', '28', 'node', '3'),
('pharetra', '30', 'node', '0.882818'),
('pharetra', '31', 'node', '0.942091'),
('pharetra', '32', 'node', '3'),
('pharetra', '34', 'node', '0.949597'),
('pharetra', '37', 'node', '2'),
('pharetra', '38', 'node', '2.9347'),
('pharetra', '39', 'node', '1'),
('pharetra', '40', 'node', '2'),
('pharetra', '42', 'node', '1'),
('pharetra', '43', 'node', '1'),
('pharetra', '45', 'node', '2'),
('pharetra', '46', 'node', '0.942091'),
('pharetra', '47', 'node', '1'),
('pharetra', '52', 'node', '2'),
('pharetra', '53', 'node', '1'),
('pharetra', '54', 'node', '2'),
('pharetra', '55', 'node', '1'),
('pharetra', '58', 'node', '1'),
('pharetra', '67', 'node', '1.82996'),
('pharetra', '68', 'node', '3'),
('pharetra', '69', 'node', '1'),
('pharetra', '71', 'node', '2.88722'),
('pharetra', '83', 'node', '1.9689'),
('pharetra', '85', 'node', '3'),
('pharetra', '86', 'node', '1'),
('pharetra', '89', 'node', '1'),
('pharetra', '90', 'node', '1'),
('pharetra', '91', 'node', '2'),
('pharetra', '92', 'node', '27.9729'),
('pharetra', '95', 'node', '4'),
('pharetra', '96', 'node', '1'),
('pharetra', '98', 'node', '1.98493'),
('pharetra', '100', 'node', '29'),
('pharetra', '102', 'node', '1'),
('pharetra', '104', 'node', '1.9347'),
('pharetra', '122', 'node', '1'),
('pharetra', '123', 'node', '0.989021'),
('pharetra', '125', 'node', '1.98902'),
('pharetra', '126', 'node', '0.997306'),
('pharetra', '128', 'node', '0.968904'),
('pharetra', '129', 'node', '1'),
('pharetra', '131', 'node', '0.896076'),
('pharetra', '132', 'node', '2'),
('pharetra', '133', 'node', '1'),
('pharetra', '136', 'node', '28'),
('pharetra', '137', 'node', '1'),
('pharetra', '139', 'node', '2'),
('pharetra', '145', 'node', '1'),
('pharetra', '147', 'node', '2.87957'),
('pharetra', '148', 'node', '1.85746'),
('pharetra', '150', 'node', '2.83051'),
('pharetra', '151', 'node', '1.99731'),
('pharetra', '152', 'node', '1.92027'),
('pharetra', '153', 'node', '0.934703'),
('pharetra', '154', 'node', '2.79238'),
('pharetra', '155', 'node', '1'),
('pharetra', '157', 'node', '4.92384'),
('pharetra', '158', 'node', '4'),
('pharetra', '159', 'node', '4'),
('pharetra', '160', 'node', '1'),
('pharetra', '161', 'node', '0.980874'),
('pharetra', '164', 'node', '1'),
('pharetra', '165', 'node', '1'),
('pharetra', '166', 'node', '1'),
('pharetra', '167', 'node', '1'),
('pharetra', '169', 'node', '1'),
('pharetra', '172', 'node', '3.89608'),
('pharetra', '174', 'node', '2.71814'),
('pharetra', '175', 'node', '1'),
('pharetra', '176', 'node', '2.8034'),
('pharetra', '177', 'node', '2'),
('pharetra', '178', 'node', '0.906287'),
('pharetra', '179', 'node', '1.81151'),
('phasellus', '12', 'node', '2.33022'),
('phasellus', '13', 'node', '29'),
('phasellus', '14', 'node', '1'),
('phasellus', '15', 'node', '1'),
('phasellus', '16', 'node', '2.68719'),
('phasellus', '17', 'node', '1'),
('phasellus', '18', 'node', '1'),
('phasellus', '21', 'node', '1'),
('phasellus', '24', 'node', '1.97685'),
('phasellus', '26', 'node', '1.9347'),
('phasellus', '27', 'node', '2'),
('phasellus', '28', 'node', '2'),
('phasellus', '29', 'node', '1'),
('phasellus', '30', 'node', '2.95723'),
('phasellus', '32', 'node', '1'),
('phasellus', '33', 'node', '1'),
('phasellus', '34', 'node', '3'),
('phasellus', '35', 'node', '2'),
('phasellus', '37', 'node', '1'),
('phasellus', '39', 'node', '1'),
('phasellus', '41', 'node', '2.87314'),
('phasellus', '43', 'node', '1'),
('phasellus', '45', 'node', '2'),
('phasellus', '46', 'node', '1'),
('phasellus', '52', 'node', '1'),
('phasellus', '53', 'node', '27.9931'),
('phasellus', '54', 'node', '1'),
('phasellus', '55', 'node', '1'),
('phasellus', '56', 'node', '1.91458'),
('phasellus', '57', 'node', '2'),
('phasellus', '69', 'node', '2'),
('phasellus', '71', 'node', '2'),
('phasellus', '73', 'node', '2'),
('phasellus', '82', 'node', '2'),
('phasellus', '83', 'node', '1'),
('phasellus', '84', 'node', '2'),
('phasellus', '88', 'node', '4'),
('phasellus', '89', 'node', '1'),
('phasellus', '91', 'node', '1'),
('phasellus', '92', 'node', '2.98087'),
('phasellus', '93', 'node', '0.920273'),
('phasellus', '94', 'node', '1'),
('phasellus', '95', 'node', '2.98087'),
('phasellus', '98', 'node', '2'),
('phasellus', '99', 'node', '2.96498'),
('phasellus', '100', 'node', '2'),
('phasellus', '102', 'node', '2.97286'),
('phasellus', '103', 'node', '3.89549'),
('phasellus', '104', 'node', '1'),
('phasellus', '105', 'node', '1.98493'),
('phasellus', '121', 'node', '1'),
('phasellus', '122', 'node', '3'),
('phasellus', '124', 'node', '1.90629'),
('phasellus', '125', 'node', '0.993146'),
('phasellus', '126', 'node', '0.938382'),
('phasellus', '127', 'node', '3'),
('phasellus', '128', 'node', '2'),
('phasellus', '129', 'node', '2'),
('phasellus', '130', 'node', '1.92384'),
('phasellus', '132', 'node', '2'),
('phasellus', '136', 'node', '1'),
('phasellus', '138', 'node', '1'),
('phasellus', '142', 'node', '1'),
('phasellus', '146', 'node', '1'),
('phasellus', '147', 'node', '0.945829'),
('phasellus', '148', 'node', '1.71845'),
('phasellus', '150', 'node', '1'),
('phasellus', '151', 'node', '1'),
('phasellus', '152', 'node', '1.92384'),
('phasellus', '153', 'node', '2.78669'),
('phasellus', '154', 'node', '0.957226'),
('phasellus', '155', 'node', '1.91674'),
('phasellus', '156', 'node', '1'),
('phasellus', '157', 'node', '2.91323'),
('phasellus', '158', 'node', '2'),
('phasellus', '159', 'node', '2'),
('phasellus', '161', 'node', '2.88792'),
('phasellus', '162', 'node', '1.96621'),
('phasellus', '163', 'node', '2'),
('phasellus', '164', 'node', '2'),
('phasellus', '166', 'node', '2'),
('phasellus', '168', 'node', '1'),
('phasellus', '170', 'node', '0.949597'),
('phasellus', '171', 'node', '1'),
('phasellus', '172', 'node', '0.916736'),
('phasellus', '174', 'node', '1'),
('phasellus', '175', 'node', '3.79327'),
('phasellus', '176', 'node', '4.80161'),
('phasellus', '178', 'node', '0.923838'),
('phone', '173', 'node', '1'),
('photographer', '133', 'node', '1'),
('photography', '82', 'node', '11'),
('photography', '104', 'node', '10.2416'),
('photography', '173', 'node', '1'),
('photography', '176', 'node', '9.67522'),
('photography', '177', 'node', '9.43203'),
('photography', '179', 'node', '9.46601'),
('photoshop', '126', 'node', '9.96916'),
('placerat', '12', 'node', '2.53819'),
('placerat', '14', 'node', '5.68883'),
('placerat', '15', 'node', '2.97685'),
('placerat', '16', 'node', '2'),
('placerat', '17', 'node', '1'),
('placerat', '20', 'node', '2'),
('placerat', '22', 'node', '2'),
('placerat', '24', 'node', '3.98902'),
('placerat', '25', 'node', '1'),
('placerat', '26', 'node', '1'),
('placerat', '27', 'node', '1'),
('placerat', '28', 'node', '1'),
('placerat', '30', 'node', '1.94583'),
('placerat', '32', 'node', '0.934703'),
('placerat', '33', 'node', '2.92384'),
('placerat', '40', 'node', '1.98902'),
('placerat', '41', 'node', '1.9534'),
('placerat', '42', 'node', '2'),
('placerat', '43', 'node', '1.89945'),
('placerat', '45', 'node', '1.9689'),
('placerat', '46', 'node', '3'),
('placerat', '47', 'node', '2'),
('placerat', '56', 'node', '2.94209'),
('placerat', '58', 'node', '1'),
('placerat', '65', 'node', '3'),
('placerat', '67', 'node', '2.88322'),
('placerat', '69', 'node', '1'),
('placerat', '71', 'node', '1'),
('placerat', '73', 'node', '1'),
('placerat', '82', 'node', '4'),
('placerat', '85', 'node', '2'),
('placerat', '87', 'node', '2'),
('placerat', '88', 'node', '1'),
('placerat', '90', 'node', '2'),
('placerat', '91', 'node', '2'),
('placerat', '92', 'node', '1'),
('placerat', '93', 'node', '1.87045'),
('placerat', '96', 'node', '1'),
('placerat', '97', 'node', '2'),
('placerat', '99', 'node', '1'),
('placerat', '100', 'node', '0.934703'),
('placerat', '101', 'node', '2'),
('placerat', '104', 'node', '2.92702'),
('placerat', '105', 'node', '2'),
('placerat', '121', 'node', '1.76625'),
('placerat', '122', 'node', '0.976851'),
('placerat', '123', 'node', '1.97286'),
('placerat', '124', 'node', '3'),
('placerat', '128', 'node', '2'),
('placerat', '129', 'node', '1'),
('placerat', '130', 'node', '1'),
('placerat', '132', 'node', '1'),
('placerat', '134', 'node', '0.993146'),
('placerat', '139', 'node', '1'),
('placerat', '146', 'node', '1'),
('placerat', '147', 'node', '1'),
('placerat', '148', 'node', '3'),
('placerat', '150', 'node', '1.98493'),
('placerat', '151', 'node', '2.87326'),
('placerat', '152', 'node', '2.79955'),
('placerat', '153', 'node', '0.906287'),
('placerat', '154', 'node', '2.82329'),
('placerat', '155', 'node', '3.95383'),
('placerat', '157', 'node', '2'),
('placerat', '158', 'node', '2'),
('placerat', '159', 'node', '2'),
('placerat', '160', 'node', '0.931053'),
('placerat', '161', 'node', '1.94583'),
('placerat', '162', 'node', '2.9347'),
('placerat', '163', 'node', '1'),
('placerat', '164', 'node', '1.96109'),
('placerat', '165', 'node', '1'),
('placerat', '166', 'node', '1'),
('placerat', '167', 'node', '3.77154'),
('placerat', '169', 'node', '1'),
('placerat', '171', 'node', '2'),
('placerat', '172', 'node', '4.80946'),
('placerat', '174', 'node', '1.85135'),
('placerat', '175', 'node', '2.96109'),
('placerat', '179', 'node', '3.9381'),
('platea', '12', 'node', '0.836446'),
('platea', '14', 'node', '2.48034'),
('platea', '15', 'node', '1'),
('platea', '16', 'node', '0.824901'),
('platea', '22', 'node', '1'),
('platea', '24', 'node', '0.957226'),
('platea', '30', 'node', '1.79893'),
('platea', '32', 'node', '0.972861'),
('platea', '33', 'node', '0.906287'),
('platea', '45', 'node', '1'),
('platea', '46', 'node', '1'),
('platea', '90', 'node', '0.993146'),
('platea', '126', 'node', '1'),
('platea', '130', 'node', '1'),
('platea', '131', 'node', '1'),
('platea', '136', 'node', '1'),
('platea', '142', 'node', '1'),
('platea', '147', 'node', '2'),
('platea', '150', 'node', '0.913226'),
('platea', '153', 'node', '2'),
('platea', '164', 'node', '1'),
('platea', '171', 'node', '0.916736'),
('platea', '178', 'node', '0.980874'),
('porta', '12', 'node', '18.2411'),
('porta', '13', 'node', '1'),
('porta', '14', 'node', '0.76188'),
('porta', '15', 'node', '3'),
('porta', '16', 'node', '5'),
('porta', '17', 'node', '1'),
('porta', '18', 'node', '2'),
('porta', '19', 'node', '3'),
('porta', '20', 'node', '1'),
('porta', '21', 'node', '1'),
('porta', '22', 'node', '1'),
('porta', '23', 'node', '3'),
('porta', '24', 'node', '1.9347'),
('porta', '26', 'node', '1.90629'),
('porta', '27', 'node', '0.961087'),
('porta', '30', 'node', '1.95723'),
('porta', '31', 'node', '28'),
('porta', '33', 'node', '1'),
('porta', '34', 'node', '2'),
('porta', '37', 'node', '1'),
('porta', '38', 'node', '0.909743'),
('porta', '40', 'node', '1'),
('porta', '41', 'node', '1'),
('porta', '42', 'node', '4'),
('porta', '45', 'node', '2'),
('porta', '50', 'node', '1'),
('porta', '52', 'node', '2'),
('porta', '55', 'node', '2'),
('porta', '56', 'node', '2'),
('porta', '57', 'node', '2'),
('porta', '58', 'node', '2'),
('porta', '65', 'node', '1'),
('porta', '71', 'node', '2'),
('porta', '73', 'node', '1'),
('porta', '82', 'node', '1'),
('porta', '84', 'node', '2'),
('porta', '86', 'node', '0.96498'),
('porta', '87', 'node', '1'),
('porta', '88', 'node', '1'),
('porta', '89', 'node', '2'),
('porta', '90', 'node', '1'),
('porta', '91', 'node', '2'),
('porta', '93', 'node', '4.82302'),
('porta', '96', 'node', '2'),
('porta', '97', 'node', '2'),
('porta', '98', 'node', '3'),
('porta', '99', 'node', '3.954'),
('porta', '100', 'node', '0.953396'),
('porta', '101', 'node', '2'),
('porta', '102', 'node', '1'),
('porta', '103', 'node', '1.94583'),
('porta', '105', 'node', '1.90974'),
('porta', '121', 'node', '0.882818'),
('porta', '122', 'node', '0.96498'),
('porta', '124', 'node', '1.92027'),
('porta', '125', 'node', '3'),
('porta', '126', 'node', '3.89919'),
('porta', '127', 'node', '1'),
('porta', '128', 'node', '1'),
('porta', '129', 'node', '3'),
('porta', '130', 'node', '3.93105'),
('porta', '131', 'node', '0.949597'),
('porta', '132', 'node', '0.98493'),
('porta', '133', 'node', '1'),
('porta', '136', 'node', '1.9689'),
('porta', '137', 'node', '1'),
('porta', '139', 'node', '1'),
('porta', '143', 'node', '2'),
('porta', '148', 'node', '1.92058'),
('porta', '150', 'node', '0.98493'),
('porta', '151', 'node', '2'),
('porta', '152', 'node', '1.90286'),
('porta', '153', 'node', '2.98902'),
('porta', '154', 'node', '2'),
('porta', '155', 'node', '1'),
('porta', '156', 'node', '1'),
('porta', '157', 'node', '1.98087'),
('porta', '158', 'node', '2'),
('porta', '159', 'node', '2'),
('porta', '160', 'node', '1.91674'),
('porta', '161', 'node', '1.9185'),
('porta', '164', 'node', '1'),
('porta', '166', 'node', '0.972861'),
('porta', '167', 'node', '2.94209'),
('porta', '168', 'node', '1'),
('porta', '169', 'node', '1'),
('porta', '170', 'node', '1'),
('porta', '172', 'node', '4.62272'),
('porta', '174', 'node', '3.45806'),
('porta', '175', 'node', '1.92027'),
('porta', '176', 'node', '1.90629'),
('porta', '177', 'node', '0.866793'),
('porta', '178', 'node', '3.72979'),
('porta', '179', 'node', '2'),
('porttitor', '12', 'node', '20.7899'),
('porttitor', '13', 'node', '0.931053'),
('porttitor', '14', 'node', '2.46973'),
('porttitor', '15', 'node', '4'),
('porttitor', '16', 'node', '2.81635'),
('porttitor', '17', 'node', '2'),
('porttitor', '18', 'node', '1'),
('porttitor', '22', 'node', '1'),
('porttitor', '23', 'node', '1'),
('porttitor', '24', 'node', '4'),
('porttitor', '25', 'node', '2'),
('porttitor', '26', 'node', '1.94209'),
('porttitor', '27', 'node', '0.953396'),
('porttitor', '28', 'node', '3'),
('porttitor', '29', 'node', '2'),
('porttitor', '30', 'node', '1'),
('porttitor', '31', 'node', '2.94583'),
('porttitor', '32', 'node', '2'),
('porttitor', '34', 'node', '1.94196'),
('porttitor', '35', 'node', '1.98087'),
('porttitor', '37', 'node', '3.91146'),
('porttitor', '40', 'node', '1'),
('porttitor', '41', 'node', '1.97286'),
('porttitor', '50', 'node', '2'),
('porttitor', '52', 'node', '3.90629'),
('porttitor', '53', 'node', '1'),
('porttitor', '54', 'node', '1'),
('porttitor', '55', 'node', '2.98087'),
('porttitor', '56', 'node', '2'),
('porttitor', '57', 'node', '1'),
('porttitor', '65', 'node', '0.997306'),
('porttitor', '68', 'node', '1'),
('porttitor', '71', 'node', '3'),
('porttitor', '73', 'node', '0.902857'),
('porttitor', '82', 'node', '2'),
('porttitor', '83', 'node', '2'),
('porttitor', '86', 'node', '1'),
('porttitor', '87', 'node', '2'),
('porttitor', '90', 'node', '1.98087'),
('porttitor', '92', 'node', '1'),
('porttitor', '93', 'node', '1'),
('porttitor', '94', 'node', '1'),
('porttitor', '95', 'node', '1'),
('porttitor', '96', 'node', '1'),
('porttitor', '97', 'node', '1'),
('porttitor', '98', 'node', '2'),
('porttitor', '99', 'node', '1.96498'),
('porttitor', '101', 'node', '1'),
('porttitor', '103', 'node', '2'),
('porttitor', '104', 'node', '0.945829'),
('porttitor', '105', 'node', '1'),
('porttitor', '121', 'node', '0.934703'),
('porttitor', '122', 'node', '1'),
('porttitor', '123', 'node', '2'),
('porttitor', '125', 'node', '3.83002'),
('porttitor', '126', 'node', '1.92027'),
('porttitor', '128', 'node', '0.976851'),
('porttitor', '130', 'node', '0.96498'),
('porttitor', '132', 'node', '0.993146'),
('porttitor', '133', 'node', '1'),
('porttitor', '137', 'node', '2'),
('porttitor', '138', 'node', '4'),
('porttitor', '139', 'node', '1'),
('porttitor', '143', 'node', '1'),
('porttitor', '146', 'node', '1'),
('porttitor', '147', 'node', '0.976851'),
('porttitor', '148', 'node', '1.80399'),
('porttitor', '150', 'node', '1.92613'),
('porttitor', '152', 'node', '3.8533'),
('porttitor', '153', 'node', '3.65563'),
('porttitor', '156', 'node', '1'),
('porttitor', '160', 'node', '2'),
('porttitor', '162', 'node', '0.938382'),
('porttitor', '163', 'node', '2'),
('porttitor', '164', 'node', '0.976851'),
('porttitor', '165', 'node', '0.972861'),
('porttitor', '167', 'node', '1'),
('porttitor', '168', 'node', '1.97286'),
('porttitor', '169', 'node', '1'),
('porttitor', '170', 'node', '1'),
('porttitor', '171', 'node', '2'),
('porttitor', '172', 'node', '5.60978'),
('porttitor', '174', 'node', '1.72342'),
('porttitor', '175', 'node', '2.96109'),
('porttitor', '176', 'node', '3.7441'),
('porttitor', '177', 'node', '1.84204'),
('porttitor', '178', 'node', '4.85905'),
('porttitor', '179', 'node', '0.942091'),
('post', '12', 'node', '2.35164'),
('post', '13', 'node', '0.876337'),
('post', '14', 'node', '3.96062'),
('post', '16', 'node', '1.65747'),
('post', '41', 'node', '1.622'),
('post', '105', 'node', '1.84445'),
('posuere', '12', 'node', '6.42754'),
('posuere', '13', 'node', '1'),
('posuere', '14', 'node', '1.61385'),
('posuere', '15', 'node', '0.957226'),
('posuere', '16', 'node', '0.976851'),
('posuere', '17', 'node', '0.96498'),
('posuere', '18', 'node', '4'),
('posuere', '19', 'node', '0.997306'),
('posuere', '20', 'node', '2'),
('posuere', '21', 'node', '2'),
('posuere', '22', 'node', '2'),
('posuere', '23', 'node', '2'),
('posuere', '24', 'node', '1.98902'),
('posuere', '25', 'node', '2'),
('posuere', '26', 'node', '0.961087'),
('posuere', '27', 'node', '1'),
('posuere', '29', 'node', '0.972861'),
('posuere', '30', 'node', '2'),
('posuere', '31', 'node', '0.957226'),
('posuere', '32', 'node', '1.91081'),
('posuere', '33', 'node', '1'),
('posuere', '34', 'node', '2.94209'),
('posuere', '37', 'node', '1'),
('posuere', '38', 'node', '1.90974'),
('posuere', '39', 'node', '1'),
('posuere', '43', 'node', '3'),
('posuere', '45', 'node', '1.9347'),
('posuere', '46', 'node', '2'),
('posuere', '50', 'node', '1'),
('posuere', '52', 'node', '1.95723'),
('posuere', '54', 'node', '1'),
('posuere', '56', 'node', '0.976851'),
('posuere', '57', 'node', '1'),
('posuere', '58', 'node', '1'),
('posuere', '65', 'node', '1'),
('posuere', '68', 'node', '1'),
('posuere', '71', 'node', '2'),
('posuere', '73', 'node', '3.80637'),
('posuere', '82', 'node', '1'),
('posuere', '83', 'node', '1'),
('posuere', '87', 'node', '0.980874'),
('posuere', '88', 'node', '1'),
('posuere', '89', 'node', '1'),
('posuere', '93', 'node', '1'),
('posuere', '94', 'node', '2.9347'),
('posuere', '95', 'node', '0.957226'),
('posuere', '96', 'node', '1.98902'),
('posuere', '97', 'node', '1.87431'),
('posuere', '98', 'node', '1'),
('posuere', '99', 'node', '0.980874'),
('posuere', '100', 'node', '0.927431'),
('posuere', '101', 'node', '2'),
('posuere', '102', 'node', '1'),
('posuere', '103', 'node', '1'),
('posuere', '104', 'node', '1'),
('posuere', '105', 'node', '27'),
('posuere', '121', 'node', '1'),
('posuere', '122', 'node', '1'),
('posuere', '123', 'node', '3'),
('posuere', '124', 'node', '2.93105'),
('posuere', '125', 'node', '1.90974'),
('posuere', '130', 'node', '1.87688'),
('posuere', '132', 'node', '1.97685'),
('posuere', '134', 'node', '0.980874'),
('posuere', '137', 'node', '3'),
('posuere', '138', 'node', '2'),
('posuere', '139', 'node', '1'),
('posuere', '142', 'node', '1'),
('posuere', '143', 'node', '1'),
('posuere', '145', 'node', '1'),
('posuere', '147', 'node', '1'),
('posuere', '148', 'node', '2'),
('posuere', '150', 'node', '0.972861'),
('posuere', '151', 'node', '0.961087'),
('posuere', '152', 'node', '2'),
('posuere', '153', 'node', '2'),
('posuere', '154', 'node', '4.69214'),
('posuere', '157', 'node', '1'),
('posuere', '158', 'node', '1.97286'),
('posuere', '159', 'node', '1.97685'),
('posuere', '160', 'node', '1.9347'),
('posuere', '161', 'node', '2'),
('posuere', '162', 'node', '3.94583'),
('posuere', '164', 'node', '29'),
('posuere', '165', 'node', '3'),
('posuere', '168', 'node', '1.99315'),
('posuere', '170', 'node', '2'),
('posuere', '172', 'node', '2.80283'),
('posuere', '174', 'node', '2.84532'),
('posuere', '175', 'node', '1'),
('posuere', '176', 'node', '4.79568'),
('posuere', '178', 'node', '4'),
('posuere', '184', 'node', '2'),
('potenti', '12', 'node', '14.4469'),
('potenti', '14', 'node', '1'),
('potenti', '16', 'node', '0.833529'),
('potenti', '21', 'node', '1'),
('potenti', '26', 'node', '1'),
('potenti', '27', 'node', '1'),
('potenti', '38', 'node', '1'),
('potenti', '39', 'node', '27'),
('potenti', '42', 'node', '1'),
('potenti', '43', 'node', '0.949597'),
('potenti', '56', 'node', '1'),
('potenti', '83', 'node', '1'),
('potenti', '98', 'node', '0.945829'),
('potenti', '99', 'node', '1'),
('potenti', '127', 'node', '1'),
('potenti', '142', 'node', '1'),
('potenti', '147', 'node', '1'),
('potenti', '148', 'node', '2.94209'),
('potenti', '153', 'node', '0.989021'),
('potenti', '160', 'node', '1'),
('potenti', '164', 'node', '1'),
('potenti', '177', 'node', '1'),
('potenti', '179', 'node', '0.920273'),
('powerful', '89', 'node', '26'),
('praesent', '12', 'node', '2.48061'),
('praesent', '13', 'node', '1'),
('praesent', '14', 'node', '6.87549'),
('praesent', '16', 'node', '2.92027'),
('praesent', '18', 'node', '1'),
('praesent', '19', 'node', '1'),
('praesent', '20', 'node', '1'),
('praesent', '21', 'node', '1'),
('praesent', '22', 'node', '27'),
('praesent', '23', 'node', '1'),
('praesent', '25', 'node', '1'),
('praesent', '26', 'node', '1.9534'),
('praesent', '27', 'node', '2'),
('praesent', '28', 'node', '3'),
('praesent', '30', 'node', '0.920273'),
('praesent', '31', 'node', '1'),
('praesent', '32', 'node', '1.94209'),
('praesent', '33', 'node', '0.899454'),
('praesent', '35', 'node', '1.9534'),
('praesent', '37', 'node', '2'),
('praesent', '38', 'node', '0.997306'),
('praesent', '39', 'node', '1'),
('praesent', '40', 'node', '2.98902'),
('praesent', '41', 'node', '3.46717'),
('praesent', '42', 'node', '2'),
('praesent', '43', 'node', '1'),
('praesent', '44', 'node', '1'),
('praesent', '45', 'node', '2'),
('praesent', '52', 'node', '1.89945'),
('praesent', '54', 'node', '1.92384'),
('praesent', '55', 'node', '1.99315'),
('praesent', '58', 'node', '1'),
('praesent', '65', 'node', '1'),
('praesent', '67', 'node', '1'),
('praesent', '68', 'node', '1'),
('praesent', '71', 'node', '1'),
('praesent', '82', 'node', '28'),
('praesent', '83', 'node', '1'),
('praesent', '84', 'node', '1'),
('praesent', '85', 'node', '1'),
('praesent', '89', 'node', '0.989021'),
('praesent', '90', 'node', '1'),
('praesent', '91', 'node', '2'),
('praesent', '92', 'node', '1'),
('praesent', '93', 'node', '2.91473'),
('praesent', '94', 'node', '0.989021'),
('praesent', '97', 'node', '0.997306'),
('praesent', '98', 'node', '3.99731'),
('praesent', '101', 'node', '1'),
('praesent', '103', 'node', '1.96109'),
('praesent', '104', 'node', '1'),
('praesent', '105', 'node', '2'),
('praesent', '121', 'node', '1.86943'),
('praesent', '122', 'node', '0.972861'),
('praesent', '123', 'node', '1'),
('praesent', '124', 'node', '3'),
('praesent', '126', 'node', '0.934703'),
('praesent', '127', 'node', '1'),
('praesent', '128', 'node', '1.95839'),
('praesent', '129', 'node', '1'),
('praesent', '130', 'node', '1.94209'),
('praesent', '131', 'node', '1'),
('praesent', '134', 'node', '1'),
('praesent', '137', 'node', '1.99731'),
('praesent', '138', 'node', '2'),
('praesent', '142', 'node', '1');
INSERT INTO `search_index` VALUES
('praesent', '144', 'node', '1'),
('praesent', '147', 'node', '1.90629'),
('praesent', '148', 'node', '0.857458'),
('praesent', '150', 'node', '2.78545'),
('praesent', '151', 'node', '1.93047'),
('praesent', '152', 'node', '1.8212'),
('praesent', '153', 'node', '2.66164'),
('praesent', '155', 'node', '0.957226'),
('praesent', '156', 'node', '2'),
('praesent', '158', 'node', '1'),
('praesent', '159', 'node', '1'),
('praesent', '160', 'node', '1.92027'),
('praesent', '161', 'node', '26'),
('praesent', '162', 'node', '1'),
('praesent', '163', 'node', '1'),
('praesent', '164', 'node', '3'),
('praesent', '165', 'node', '1'),
('praesent', '166', 'node', '1'),
('praesent', '167', 'node', '3'),
('praesent', '169', 'node', '1'),
('praesent', '171', 'node', '1'),
('praesent', '172', 'node', '1.85144'),
('praesent', '174', 'node', '0.857458'),
('praesent', '175', 'node', '0.976851'),
('praesent', '176', 'node', '1.92114'),
('praesent', '178', 'node', '1.8894'),
('praesent', '179', 'node', '1.94209'),
('premium', '180', 'node', '26'),
('pretium', '12', 'node', '5.08592'),
('pretium', '13', 'node', '3'),
('pretium', '14', 'node', '6.75697'),
('pretium', '15', 'node', '1.97286'),
('pretium', '16', 'node', '1.97685'),
('pretium', '18', 'node', '2'),
('pretium', '19', 'node', '1'),
('pretium', '20', 'node', '1'),
('pretium', '21', 'node', '4'),
('pretium', '22', 'node', '3'),
('pretium', '23', 'node', '1'),
('pretium', '24', 'node', '1'),
('pretium', '25', 'node', '1'),
('pretium', '27', 'node', '1'),
('pretium', '28', 'node', '1'),
('pretium', '29', 'node', '1.99731'),
('pretium', '30', 'node', '4.66539'),
('pretium', '31', 'node', '1'),
('pretium', '32', 'node', '0.98493'),
('pretium', '33', 'node', '1'),
('pretium', '34', 'node', '0.957226'),
('pretium', '35', 'node', '2.91068'),
('pretium', '37', 'node', '1'),
('pretium', '38', 'node', '1.99731'),
('pretium', '41', 'node', '1'),
('pretium', '42', 'node', '2'),
('pretium', '43', 'node', '1'),
('pretium', '44', 'node', '2'),
('pretium', '45', 'node', '2.96109'),
('pretium', '46', 'node', '1.94583'),
('pretium', '47', 'node', '0.997306'),
('pretium', '52', 'node', '1'),
('pretium', '54', 'node', '1'),
('pretium', '55', 'node', '0.972861'),
('pretium', '56', 'node', '4'),
('pretium', '57', 'node', '2'),
('pretium', '58', 'node', '1'),
('pretium', '67', 'node', '1'),
('pretium', '68', 'node', '2.98493'),
('pretium', '71', 'node', '2'),
('pretium', '73', 'node', '2.90974'),
('pretium', '83', 'node', '3'),
('pretium', '84', 'node', '1'),
('pretium', '85', 'node', '1'),
('pretium', '86', 'node', '1'),
('pretium', '87', 'node', '1'),
('pretium', '88', 'node', '0.961087'),
('pretium', '93', 'node', '0.945829'),
('pretium', '94', 'node', '1.94209'),
('pretium', '95', 'node', '0.98493'),
('pretium', '97', 'node', '1'),
('pretium', '98', 'node', '3.92331'),
('pretium', '99', 'node', '1'),
('pretium', '100', 'node', '1'),
('pretium', '101', 'node', '2'),
('pretium', '103', 'node', '1'),
('pretium', '104', 'node', '0.976851'),
('pretium', '121', 'node', '1'),
('pretium', '122', 'node', '2.9689'),
('pretium', '123', 'node', '1.96498'),
('pretium', '124', 'node', '3.72801'),
('pretium', '126', 'node', '0.989021'),
('pretium', '127', 'node', '1'),
('pretium', '128', 'node', '2.93471'),
('pretium', '129', 'node', '1.99731'),
('pretium', '131', 'node', '1.90974'),
('pretium', '132', 'node', '3'),
('pretium', '133', 'node', '3'),
('pretium', '134', 'node', '2'),
('pretium', '136', 'node', '1.9689'),
('pretium', '137', 'node', '0.976851'),
('pretium', '144', 'node', '1'),
('pretium', '147', 'node', '2.77624'),
('pretium', '148', 'node', '5.3999'),
('pretium', '150', 'node', '2.78212'),
('pretium', '151', 'node', '2'),
('pretium', '153', 'node', '3.76121'),
('pretium', '154', 'node', '1.90629'),
('pretium', '155', 'node', '0.916736'),
('pretium', '156', 'node', '2'),
('pretium', '157', 'node', '2.91323'),
('pretium', '158', 'node', '2.97286'),
('pretium', '159', 'node', '2.97685'),
('pretium', '160', 'node', '1'),
('pretium', '161', 'node', '2.94209'),
('pretium', '163', 'node', '0.989021'),
('pretium', '164', 'node', '1'),
('pretium', '165', 'node', '3'),
('pretium', '167', 'node', '1'),
('pretium', '169', 'node', '1'),
('pretium', '170', 'node', '0.953396'),
('pretium', '171', 'node', '2'),
('pretium', '172', 'node', '1.89608'),
('pretium', '174', 'node', '1.89272'),
('pretium', '175', 'node', '1'),
('pretium', '176', 'node', '3.71638'),
('pretium', '177', 'node', '1'),
('pretium', '179', 'node', '2.9689'),
('pretium', '183', 'node', '1'),
('pretium', '184', 'node', '1'),
('price', '134', 'node', '26'),
('price', '157', 'node', '26'),
('primis', '18', 'node', '2'),
('primis', '24', 'node', '1'),
('primis', '27', 'node', '0.972861'),
('primis', '30', 'node', '1'),
('primis', '35', 'node', '1'),
('primis', '37', 'node', '1'),
('primis', '40', 'node', '1'),
('primis', '41', 'node', '1'),
('primis', '52', 'node', '1'),
('primis', '67', 'node', '1'),
('primis', '73', 'node', '1.8861'),
('primis', '85', 'node', '1'),
('primis', '87', 'node', '0.993146'),
('primis', '89', 'node', '1'),
('primis', '94', 'node', '2'),
('primis', '95', 'node', '0.961087'),
('primis', '96', 'node', '0.993146'),
('primis', '103', 'node', '1'),
('primis', '121', 'node', '1'),
('primis', '133', 'node', '1'),
('primis', '134', 'node', '1'),
('primis', '137', 'node', '1'),
('primis', '142', 'node', '2'),
('primis', '146', 'node', '1'),
('primis', '147', 'node', '1'),
('primis', '154', 'node', '0.896076'),
('primis', '156', 'node', '0.961087'),
('primis', '162', 'node', '2.94583'),
('primis', '165', 'node', '1'),
('primis', '170', 'node', '1.98493'),
('primis', '171', 'node', '1'),
('primis', '172', 'node', '0.945829'),
('primis', '174', 'node', '2'),
('primis', '176', 'node', '2'),
('primis', '178', 'node', '0.96498'),
('pro', '144', 'node', '26'),
('product', '172', 'node', '26'),
('professionals', '50', 'node', '26'),
('proin', '14', 'node', '3.67233'),
('proin', '15', 'node', '1.97286'),
('proin', '17', 'node', '1'),
('proin', '20', 'node', '2'),
('proin', '21', 'node', '1'),
('proin', '22', 'node', '1'),
('proin', '23', 'node', '1'),
('proin', '24', 'node', '2'),
('proin', '25', 'node', '3'),
('proin', '26', 'node', '1'),
('proin', '27', 'node', '1.96498'),
('proin', '28', 'node', '1'),
('proin', '30', 'node', '2.74952'),
('proin', '31', 'node', '1.94209'),
('proin', '32', 'node', '1.93838'),
('proin', '33', 'node', '0.876337'),
('proin', '34', 'node', '2.95423'),
('proin', '37', 'node', '1'),
('proin', '38', 'node', '0.882818'),
('proin', '41', 'node', '2'),
('proin', '42', 'node', '1'),
('proin', '43', 'node', '1'),
('proin', '44', 'node', '1'),
('proin', '45', 'node', '1'),
('proin', '46', 'node', '0.945829'),
('proin', '47', 'node', '1'),
('proin', '50', 'node', '1'),
('proin', '52', 'node', '2'),
('proin', '53', 'node', '4'),
('proin', '54', 'node', '1'),
('proin', '56', 'node', '3'),
('proin', '57', 'node', '1'),
('proin', '58', 'node', '3'),
('proin', '67', 'node', '4.58597'),
('proin', '68', 'node', '1.93784'),
('proin', '71', 'node', '1'),
('proin', '83', 'node', '27'),
('proin', '84', 'node', '1'),
('proin', '85', 'node', '2'),
('proin', '87', 'node', '1'),
('proin', '89', 'node', '1'),
('proin', '90', 'node', '3.9496'),
('proin', '91', 'node', '1'),
('proin', '92', 'node', '1'),
('proin', '93', 'node', '0.906287'),
('proin', '95', 'node', '1'),
('proin', '96', 'node', '1'),
('proin', '97', 'node', '0.923838'),
('proin', '98', 'node', '0.972861'),
('proin', '99', 'node', '2.96498'),
('proin', '100', 'node', '3.92743'),
('proin', '101', 'node', '2'),
('proin', '103', 'node', '3.93485'),
('proin', '104', 'node', '0.997306'),
('proin', '105', 'node', '1'),
('proin', '121', 'node', '0.949597'),
('proin', '123', 'node', '4'),
('proin', '125', 'node', '0.938382'),
('proin', '126', 'node', '1.92027'),
('proin', '127', 'node', '2'),
('proin', '129', 'node', '1'),
('proin', '131', 'node', '2.79893'),
('proin', '132', 'node', '1'),
('proin', '133', 'node', '2'),
('proin', '134', 'node', '1'),
('proin', '137', 'node', '29'),
('proin', '138', 'node', '1'),
('proin', '143', 'node', '2'),
('proin', '148', 'node', '4.81067'),
('proin', '150', 'node', '2'),
('proin', '151', 'node', '3.93395'),
('proin', '153', 'node', '4'),
('proin', '154', 'node', '1.99315'),
('proin', '156', 'node', '1'),
('proin', '158', 'node', '1.98902'),
('proin', '159', 'node', '1.99315'),
('proin', '160', 'node', '2'),
('proin', '162', 'node', '3'),
('proin', '164', 'node', '1'),
('proin', '165', 'node', '0.997306'),
('proin', '166', 'node', '2'),
('proin', '167', 'node', '2'),
('proin', '171', 'node', '1'),
('proin', '172', 'node', '0.860547'),
('proin', '174', 'node', '0.896076'),
('proin', '175', 'node', '1.98902'),
('proin', '176', 'node', '1'),
('proin', '177', 'node', '2.86055'),
('proin', '178', 'node', '1'),
('proin', '179', 'node', '1.87957'),
('proin', '184', 'node', '1'),
('projects', '142', 'node', '1'),
('projects', '143', 'node', '1'),
('projects', '144', 'node', '1'),
('prototyping', '173', 'node', '1'),
('psd', '154', 'node', '26'),
('psd', '159', 'node', '26'),
('public', '73', 'node', '11'),
('pulvinar', '12', 'node', '3.45868'),
('pulvinar', '13', 'node', '0.906287'),
('pulvinar', '14', 'node', '5.95256'),
('pulvinar', '15', 'node', '3.95723'),
('pulvinar', '16', 'node', '3.83681'),
('pulvinar', '17', 'node', '2.90707'),
('pulvinar', '18', 'node', '1'),
('pulvinar', '19', 'node', '1'),
('pulvinar', '20', 'node', '2'),
('pulvinar', '21', 'node', '2.98493'),
('pulvinar', '22', 'node', '3'),
('pulvinar', '23', 'node', '2'),
('pulvinar', '24', 'node', '3.98087'),
('pulvinar', '25', 'node', '28'),
('pulvinar', '26', 'node', '2'),
('pulvinar', '27', 'node', '1'),
('pulvinar', '28', 'node', '12'),
('pulvinar', '29', 'node', '10.5295'),
('pulvinar', '30', 'node', '9.46601'),
('pulvinar', '31', 'node', '13.2017'),
('pulvinar', '32', 'node', '11.1622'),
('pulvinar', '33', 'node', '1'),
('pulvinar', '37', 'node', '27'),
('pulvinar', '38', 'node', '2'),
('pulvinar', '39', 'node', '1'),
('pulvinar', '41', 'node', '1.98902'),
('pulvinar', '42', 'node', '2'),
('pulvinar', '43', 'node', '1'),
('pulvinar', '44', 'node', '1'),
('pulvinar', '45', 'node', '2.93838'),
('pulvinar', '46', 'node', '1'),
('pulvinar', '47', 'node', '0.98493'),
('pulvinar', '52', 'node', '1'),
('pulvinar', '54', 'node', '1'),
('pulvinar', '55', 'node', '1'),
('pulvinar', '56', 'node', '3.91963'),
('pulvinar', '67', 'node', '2'),
('pulvinar', '68', 'node', '1.98493'),
('pulvinar', '69', 'node', '1'),
('pulvinar', '73', 'node', '2.74475'),
('pulvinar', '84', 'node', '1'),
('pulvinar', '86', 'node', '1'),
('pulvinar', '88', 'node', '5'),
('pulvinar', '89', 'node', '4'),
('pulvinar', '90', 'node', '1'),
('pulvinar', '92', 'node', '1'),
('pulvinar', '93', 'node', '0.972861'),
('pulvinar', '95', 'node', '1.94209'),
('pulvinar', '96', 'node', '1'),
('pulvinar', '97', 'node', '0.976851'),
('pulvinar', '98', 'node', '1'),
('pulvinar', '99', 'node', '1.96498'),
('pulvinar', '100', 'node', '2.92384'),
('pulvinar', '102', 'node', '1'),
('pulvinar', '103', 'node', '1'),
('pulvinar', '104', 'node', '3.92221'),
('pulvinar', '121', 'node', '1'),
('pulvinar', '122', 'node', '1.9534'),
('pulvinar', '123', 'node', '1'),
('pulvinar', '124', 'node', '2'),
('pulvinar', '126', 'node', '0.961087'),
('pulvinar', '129', 'node', '1'),
('pulvinar', '130', 'node', '1'),
('pulvinar', '131', 'node', '1.88847'),
('pulvinar', '134', 'node', '0.968904'),
('pulvinar', '136', 'node', '1'),
('pulvinar', '138', 'node', '28'),
('pulvinar', '139', 'node', '2'),
('pulvinar', '146', 'node', '2'),
('pulvinar', '147', 'node', '1'),
('pulvinar', '151', 'node', '3'),
('pulvinar', '153', 'node', '2.75605'),
('pulvinar', '154', 'node', '2'),
('pulvinar', '155', 'node', '1'),
('pulvinar', '156', 'node', '1'),
('pulvinar', '158', 'node', '0.957226'),
('pulvinar', '159', 'node', '0.961087'),
('pulvinar', '160', 'node', '0.920273'),
('pulvinar', '161', 'node', '2'),
('pulvinar', '162', 'node', '1.96109'),
('pulvinar', '163', 'node', '3'),
('pulvinar', '164', 'node', '1'),
('pulvinar', '165', 'node', '1'),
('pulvinar', '166', 'node', '2'),
('pulvinar', '168', 'node', '1.96109'),
('pulvinar', '169', 'node', '1'),
('pulvinar', '171', 'node', '1'),
('pulvinar', '172', 'node', '0.869951'),
('pulvinar', '174', 'node', '1.85439'),
('pulvinar', '175', 'node', '3.88572'),
('pulvinar', '176', 'node', '2.83358'),
('pulvinar', '177', 'node', '1'),
('pulvinar', '178', 'node', '1'),
('pulvinar', '179', 'node', '1'),
('purus', '12', 'node', '31.6018'),
('purus', '13', 'node', '2.80914'),
('purus', '14', 'node', '5.25531'),
('purus', '15', 'node', '1'),
('purus', '16', 'node', '4.84066'),
('purus', '17', 'node', '1'),
('purus', '18', 'node', '2'),
('purus', '19', 'node', '1'),
('purus', '20', 'node', '2'),
('purus', '22', 'node', '1'),
('purus', '23', 'node', '2'),
('purus', '24', 'node', '1'),
('purus', '25', 'node', '2'),
('purus', '26', 'node', '27.9534'),
('purus', '27', 'node', '28'),
('purus', '28', 'node', '1'),
('purus', '29', 'node', '2'),
('purus', '30', 'node', '1.77554'),
('purus', '31', 'node', '3.86213'),
('purus', '32', 'node', '0.945829'),
('purus', '33', 'node', '2.85746'),
('purus', '34', 'node', '1.95723'),
('purus', '35', 'node', '1'),
('purus', '37', 'node', '0.957226'),
('purus', '38', 'node', '2'),
('purus', '39', 'node', '1'),
('purus', '40', 'node', '2'),
('purus', '41', 'node', '4.33712'),
('purus', '42', 'node', '2'),
('purus', '43', 'node', '2'),
('purus', '44', 'node', '1'),
('purus', '45', 'node', '3.9223'),
('purus', '46', 'node', '3.89919'),
('purus', '47', 'node', '1'),
('purus', '50', 'node', '1.94209'),
('purus', '52', 'node', '1.90286'),
('purus', '53', 'node', '1'),
('purus', '54', 'node', '0.949597'),
('purus', '57', 'node', '1'),
('purus', '65', 'node', '1'),
('purus', '67', 'node', '1'),
('purus', '68', 'node', '1'),
('purus', '69', 'node', '3'),
('purus', '71', 'node', '2.99315'),
('purus', '83', 'node', '2'),
('purus', '84', 'node', '1'),
('purus', '85', 'node', '2'),
('purus', '86', 'node', '2'),
('purus', '87', 'node', '1'),
('purus', '88', 'node', '2.9496'),
('purus', '89', 'node', '3'),
('purus', '90', 'node', '5'),
('purus', '92', 'node', '0.993146'),
('purus', '93', 'node', '0.997306'),
('purus', '94', 'node', '2.91193'),
('purus', '95', 'node', '2.98087'),
('purus', '97', 'node', '4'),
('purus', '98', 'node', '5.98224'),
('purus', '99', 'node', '1'),
('purus', '100', 'node', '4'),
('purus', '101', 'node', '1.9496'),
('purus', '102', 'node', '1'),
('purus', '103', 'node', '1.90471'),
('purus', '105', 'node', '1'),
('purus', '121', 'node', '2.99315'),
('purus', '122', 'node', '1.98493'),
('purus', '123', 'node', '0.976851'),
('purus', '124', 'node', '0.923838'),
('purus', '125', 'node', '1'),
('purus', '126', 'node', '2.88493'),
('purus', '127', 'node', '1'),
('purus', '128', 'node', '3'),
('purus', '131', 'node', '3'),
('purus', '132', 'node', '1'),
('purus', '133', 'node', '1'),
('purus', '134', 'node', '1'),
('purus', '136', 'node', '28'),
('purus', '138', 'node', '2'),
('purus', '143', 'node', '2'),
('purus', '145', 'node', '2'),
('purus', '147', 'node', '3.85183'),
('purus', '148', 'node', '2.84532'),
('purus', '150', 'node', '3'),
('purus', '151', 'node', '2.97286'),
('purus', '152', 'node', '2.89272'),
('purus', '153', 'node', '4.69962'),
('purus', '154', 'node', '4.86836'),
('purus', '155', 'node', '3'),
('purus', '156', 'node', '1'),
('purus', '157', 'node', '2'),
('purus', '161', 'node', '2'),
('purus', '162', 'node', '1.97685'),
('purus', '163', 'node', '1'),
('purus', '164', 'node', '1'),
('purus', '166', 'node', '1.9534'),
('purus', '167', 'node', '1.96498'),
('purus', '168', 'node', '2'),
('purus', '169', 'node', '3'),
('purus', '170', 'node', '1'),
('purus', '171', 'node', '2'),
('purus', '172', 'node', '3.70578'),
('purus', '174', 'node', '1.87957'),
('purus', '175', 'node', '2.75072'),
('purus', '176', 'node', '1.80666'),
('purus', '177', 'node', '0.949597'),
('purus', '178', 'node', '0.953396'),
('purus', '179', 'node', '1.9083'),
('quam', '12', 'node', '6.28441'),
('quam', '13', 'node', '0.923838'),
('quam', '14', 'node', '3.24591'),
('quam', '15', 'node', '1.96498'),
('quam', '16', 'node', '4'),
('quam', '18', 'node', '1'),
('quam', '19', 'node', '1'),
('quam', '20', 'node', '3'),
('quam', '23', 'node', '3'),
('quam', '24', 'node', '0.98493'),
('quam', '26', 'node', '2.85212'),
('quam', '27', 'node', '2'),
('quam', '29', 'node', '1'),
('quam', '30', 'node', '2.8126'),
('quam', '31', 'node', '3.86952'),
('quam', '32', 'node', '2.89241'),
('quam', '33', 'node', '10.2658'),
('quam', '34', 'node', '14.1676'),
('quam', '35', 'node', '2.95793'),
('quam', '37', 'node', '2'),
('quam', '38', 'node', '1.92027'),
('quam', '39', 'node', '1.9689'),
('quam', '41', 'node', '2.87957'),
('quam', '42', 'node', '2'),
('quam', '44', 'node', '2'),
('quam', '45', 'node', '0.961087'),
('quam', '46', 'node', '1.9496'),
('quam', '50', 'node', '2.96989'),
('quam', '52', 'node', '2.77177'),
('quam', '53', 'node', '1'),
('quam', '54', 'node', '1.93838'),
('quam', '55', 'node', '1'),
('quam', '56', 'node', '3'),
('quam', '57', 'node', '1'),
('quam', '58', 'node', '2'),
('quam', '67', 'node', '0.889397'),
('quam', '68', 'node', '1'),
('quam', '69', 'node', '1'),
('quam', '71', 'node', '1'),
('quam', '73', 'node', '1.92027'),
('quam', '82', 'node', '1'),
('quam', '83', 'node', '1'),
('quam', '84', 'node', '3'),
('quam', '86', 'node', '3'),
('quam', '87', 'node', '1'),
('quam', '88', 'node', '1'),
('quam', '89', 'node', '3'),
('quam', '90', 'node', '1.94583'),
('quam', '93', 'node', '2.93047'),
('quam', '94', 'node', '1'),
('quam', '95', 'node', '1'),
('quam', '96', 'node', '1'),
('quam', '97', 'node', '1.96498'),
('quam', '98', 'node', '1.87679'),
('quam', '99', 'node', '27.965'),
('quam', '100', 'node', '1.9347'),
('quam', '101', 'node', '3'),
('quam', '102', 'node', '1'),
('quam', '103', 'node', '1'),
('quam', '104', 'node', '1.93838'),
('quam', '105', 'node', '1.97416'),
('quam', '122', 'node', '2.99731'),
('quam', '124', 'node', '1.92743'),
('quam', '125', 'node', '2.98087'),
('quam', '126', 'node', '1'),
('quam', '127', 'node', '2'),
('quam', '129', 'node', '3.99315'),
('quam', '130', 'node', '2'),
('quam', '131', 'node', '1'),
('quam', '133', 'node', '2'),
('quam', '136', 'node', '2'),
('quam', '137', 'node', '1'),
('quam', '138', 'node', '2'),
('quam', '142', 'node', '2'),
('quam', '144', 'node', '1'),
('quam', '145', 'node', '1'),
('quam', '147', 'node', '1'),
('quam', '148', 'node', '2.78303'),
('quam', '150', 'node', '4'),
('quam', '151', 'node', '3'),
('quam', '152', 'node', '2'),
('quam', '153', 'node', '3.66159'),
('quam', '154', 'node', '3'),
('quam', '155', 'node', '3.89272'),
('quam', '156', 'node', '2.93838'),
('quam', '157', 'node', '1'),
('quam', '160', 'node', '1'),
('quam', '161', 'node', '2'),
('quam', '162', 'node', '1.98902'),
('quam', '163', 'node', '2'),
('quam', '164', 'node', '1.93838'),
('quam', '165', 'node', '1'),
('quam', '166', 'node', '1'),
('quam', '167', 'node', '1.92027'),
('quam', '168', 'node', '1'),
('quam', '169', 'node', '2'),
('quam', '170', 'node', '2.93781'),
('quam', '171', 'node', '4'),
('quam', '172', 'node', '1.8894'),
('quam', '174', 'node', '2.63799'),
('quam', '175', 'node', '2.97685'),
('quam', '177', 'node', '4'),
('quam', '178', 'node', '1'),
('quam', '179', 'node', '0.873132'),
('quantity', '180', 'node', '1'),
('queue', '124', 'node', '37'),
('quis', '12', 'node', '9.37511'),
('quis', '13', 'node', '2.84495'),
('quis', '14', 'node', '35.6753'),
('quis', '15', 'node', '5'),
('quis', '16', 'node', '1.90988'),
('quis', '17', 'node', '5.86041'),
('quis', '18', 'node', '0.972861'),
('quis', '19', 'node', '31.9973'),
('quis', '20', 'node', '2'),
('quis', '21', 'node', '4.97804'),
('quis', '22', 'node', '6'),
('quis', '23', 'node', '3'),
('quis', '24', 'node', '6.9658'),
('quis', '25', 'node', '2'),
('quis', '26', 'node', '1.9347'),
('quis', '27', 'node', '3'),
('quis', '28', 'node', '1'),
('quis', '29', 'node', '4'),
('quis', '30', 'node', '3.7527'),
('quis', '31', 'node', '4.94978'),
('quis', '32', 'node', '5.83446'),
('quis', '33', 'node', '7.56355'),
('quis', '34', 'node', '4.94209'),
('quis', '35', 'node', '6.86948'),
('quis', '37', 'node', '2.93183'),
('quis', '38', 'node', '1'),
('quis', '39', 'node', '2'),
('quis', '40', 'node', '5.97395'),
('quis', '41', 'node', '4.5843'),
('quis', '42', 'node', '3'),
('quis', '43', 'node', '1'),
('quis', '44', 'node', '5'),
('quis', '45', 'node', '3.9534'),
('quis', '46', 'node', '3.92221'),
('quis', '47', 'node', '2.95373'),
('quis', '50', 'node', '3.94209'),
('quis', '52', 'node', '4.96601'),
('quis', '53', 'node', '5.98902'),
('quis', '54', 'node', '4.89122'),
('quis', '56', 'node', '3.97685'),
('quis', '57', 'node', '4'),
('quis', '58', 'node', '2'),
('quis', '65', 'node', '2'),
('quis', '67', 'node', '1.76921'),
('quis', '68', 'node', '2.98902'),
('quis', '69', 'node', '3'),
('quis', '71', 'node', '2'),
('quis', '73', 'node', '1.91674'),
('quis', '82', 'node', '4'),
('quis', '83', 'node', '2'),
('quis', '84', 'node', '2'),
('quis', '85', 'node', '2'),
('quis', '86', 'node', '1'),
('quis', '87', 'node', '4'),
('quis', '88', 'node', '2'),
('quis', '89', 'node', '5'),
('quis', '90', 'node', '2.94583'),
('quis', '91', 'node', '2'),
('quis', '92', 'node', '2'),
('quis', '93', 'node', '5.99315'),
('quis', '94', 'node', '2'),
('quis', '95', 'node', '5.88047'),
('quis', '96', 'node', '5'),
('quis', '97', 'node', '4'),
('quis', '98', 'node', '7'),
('quis', '99', 'node', '2.96498'),
('quis', '100', 'node', '3.91286'),
('quis', '101', 'node', '5.98493'),
('quis', '102', 'node', '4'),
('quis', '103', 'node', '6.81837'),
('quis', '104', 'node', '3.97685'),
('quis', '105', 'node', '2.8477'),
('quis', '121', 'node', '4.82676'),
('quis', '122', 'node', '3'),
('quis', '123', 'node', '3.9534'),
('quis', '124', 'node', '2.83029'),
('quis', '125', 'node', '1.91674'),
('quis', '126', 'node', '3.81341'),
('quis', '127', 'node', '4'),
('quis', '128', 'node', '29.9577'),
('quis', '129', 'node', '2.99731'),
('quis', '130', 'node', '2'),
('quis', '131', 'node', '6.70176'),
('quis', '132', 'node', '4.98087'),
('quis', '133', 'node', '4.95453'),
('quis', '134', 'node', '2'),
('quis', '136', 'node', '2'),
('quis', '137', 'node', '3'),
('quis', '138', 'node', '1'),
('quis', '139', 'node', '3'),
('quis', '142', 'node', '3'),
('quis', '145', 'node', '3'),
('quis', '146', 'node', '1'),
('quis', '147', 'node', '4.63335'),
('quis', '148', 'node', '29.8668'),
('quis', '150', 'node', '4.67798'),
('quis', '151', 'node', '3.82772'),
('quis', '152', 'node', '3.92027'),
('quis', '153', 'node', '4.88282'),
('quis', '154', 'node', '5.84332'),
('quis', '155', 'node', '4.65359'),
('quis', '156', 'node', '4.94209'),
('quis', '157', 'node', '4'),
('quis', '158', 'node', '5.97286'),
('quis', '159', 'node', '5.97685'),
('quis', '160', 'node', '3.92027'),
('quis', '161', 'node', '7.87285'),
('quis', '162', 'node', '2.96109'),
('quis', '163', 'node', '1.96109'),
('quis', '164', 'node', '29.965'),
('quis', '165', 'node', '1.90286'),
('quis', '166', 'node', '5'),
('quis', '168', 'node', '6.97531'),
('quis', '169', 'node', '1'),
('quis', '170', 'node', '28.9196'),
('quis', '171', 'node', '4.92836'),
('quis', '172', 'node', '8.6377'),
('quis', '174', 'node', '4.50549'),
('quis', '175', 'node', '4.91758'),
('quis', '176', 'node', '3.82249'),
('quis', '177', 'node', '4.9534'),
('quis', '178', 'node', '5.80855'),
('quis', '179', 'node', '8.89902'),
('quis', '184', 'node', '1'),
('quisque', '12', 'node', '3.49566'),
('quisque', '13', 'node', '21.3229'),
('quisque', '14', 'node', '33.8949'),
('quisque', '15', 'node', '1'),
('quisque', '17', 'node', '2.97685'),
('quisque', '19', 'node', '2'),
('quisque', '20', 'node', '1'),
('quisque', '21', 'node', '28'),
('quisque', '25', 'node', '1'),
('quisque', '26', 'node', '1'),
('quisque', '27', 'node', '1'),
('quisque', '28', 'node', '1'),
('quisque', '29', 'node', '4'),
('quisque', '31', 'node', '3'),
('quisque', '32', 'node', '1.9347'),
('quisque', '33', 'node', '0.96498'),
('quisque', '34', 'node', '1'),
('quisque', '35', 'node', '1'),
('quisque', '37', 'node', '1'),
('quisque', '38', 'node', '3.88282'),
('quisque', '39', 'node', '0.980874'),
('quisque', '41', 'node', '12.7704'),
('quisque', '42', 'node', '1'),
('quisque', '43', 'node', '1.90629'),
('quisque', '44', 'node', '2'),
('quisque', '45', 'node', '1'),
('quisque', '46', 'node', '2'),
('quisque', '47', 'node', '1.98087'),
('quisque', '53', 'node', '1'),
('quisque', '54', 'node', '27.9809'),
('quisque', '55', 'node', '1'),
('quisque', '56', 'node', '2'),
('quisque', '57', 'node', '1'),
('quisque', '58', 'node', '2'),
('quisque', '65', 'node', '1'),
('quisque', '67', 'node', '2.82899'),
('quisque', '68', 'node', '1'),
('quisque', '84', 'node', '2'),
('quisque', '85', 'node', '1'),
('quisque', '86', 'node', '3'),
('quisque', '87', 'node', '1'),
('quisque', '88', 'node', '0.989021'),
('quisque', '89', 'node', '2'),
('quisque', '91', 'node', '1'),
('quisque', '94', 'node', '0.945829'),
('quisque', '96', 'node', '27'),
('quisque', '97', 'node', '1'),
('quisque', '98', 'node', '2.88047'),
('quisque', '100', 'node', '1.92384'),
('quisque', '101', 'node', '1'),
('quisque', '102', 'node', '1'),
('quisque', '103', 'node', '27'),
('quisque', '121', 'node', '0.879565'),
('quisque', '122', 'node', '2.98902'),
('quisque', '124', 'node', '1'),
('quisque', '125', 'node', '0.989021'),
('quisque', '126', 'node', '2.95839'),
('quisque', '128', 'node', '2'),
('quisque', '129', 'node', '1'),
('quisque', '130', 'node', '1'),
('quisque', '131', 'node', '26.8995'),
('quisque', '132', 'node', '1'),
('quisque', '136', 'node', '1'),
('quisque', '138', 'node', '27'),
('quisque', '139', 'node', '1'),
('quisque', '142', 'node', '1'),
('quisque', '143', 'node', '1'),
('quisque', '145', 'node', '1'),
('quisque', '147', 'node', '0.949597'),
('quisque', '148', 'node', '3.77823'),
('quisque', '150', 'node', '2.89608'),
('quisque', '152', 'node', '1'),
('quisque', '153', 'node', '2.67278'),
('quisque', '155', 'node', '2.91674'),
('quisque', '156', 'node', '1'),
('quisque', '157', 'node', '1.94209'),
('quisque', '158', 'node', '0.997306'),
('quisque', '159', 'node', '1'),
('quisque', '164', 'node', '0.997306'),
('quisque', '165', 'node', '0.968904'),
('quisque', '166', 'node', '1.98902'),
('quisque', '168', 'node', '4'),
('quisque', '169', 'node', '1'),
('quisque', '170', 'node', '0.968904'),
('quisque', '171', 'node', '27'),
('quisque', '175', 'node', '2.87572'),
('quisque', '177', 'node', '1.9496'),
('quisque', '178', 'node', '0.896076'),
('quisque', '179', 'node', '3'),
('quisque', '184', 'node', '1'),
('radio', '181', 'node', '3'),
('radio', '182', 'node', '3'),
('read', '16', 'node', '1'),
('read', '83', 'node', '1'),
('read', '85', 'node', '1'),
('read', '86', 'node', '1'),
('read', '100', 'node', '1'),
('read', '101', 'node', '1'),
('read', '102', 'node', '1'),
('read', '121', 'node', '1'),
('read', '122', 'node', '1'),
('read', '130', 'node', '1'),
('read', '131', 'node', '1'),
('read', '136', 'node', '0.945829'),
('read', '137', 'node', '0.968904'),
('read', '138', 'node', '1'),
('read', '139', 'node', '0.993146'),
('read', '147', 'node', '0.851346'),
('read', '160', 'node', '1'),
('read', '161', 'node', '1'),
('read', '162', 'node', '1'),
('read', '163', 'node', '1'),
('read', '164', 'node', '1'),
('read', '165', 'node', '1'),
('read', '166', 'node', '1'),
('read', '167', 'node', '1'),
('read', '168', 'node', '1'),
('read', '169', 'node', '1'),
('read', '170', 'node', '1'),
('read', '171', 'node', '1'),
('read', '175', 'node', '1'),
('read', '176', 'node', '1'),
('read', '177', 'node', '1'),
('read', '178', 'node', '1'),
('read', '179', 'node', '1'),
('read', '182', 'node', '1'),
('read', '184', 'node', '1'),
('reads', '26', 'node', '1'),
('reads', '37', 'node', '1'),
('reads', '38', 'node', '1'),
('reads', '39', 'node', '1'),
('reads', '40', 'node', '1'),
('reads', '41', 'node', '1'),
('reads', '47', 'node', '1'),
('reads', '50', 'node', '1'),
('reads', '52', 'node', '1'),
('reads', '53', 'node', '1'),
('reads', '54', 'node', '1'),
('reads', '55', 'node', '1'),
('reads', '56', 'node', '1'),
('reads', '57', 'node', '1'),
('reads', '58', 'node', '1'),
('reads', '65', 'node', '1'),
('reads', '67', 'node', '1'),
('reads', '68', 'node', '1'),
('reads', '69', 'node', '1'),
('reads', '71', 'node', '1'),
('reads', '73', 'node', '1'),
('reads', '82', 'node', '1'),
('reads', '88', 'node', '1'),
('reads', '89', 'node', '1'),
('reads', '90', 'node', '1'),
('reads', '95', 'node', '1'),
('reads', '103', 'node', '1'),
('reads', '104', 'node', '1'),
('reads', '105', 'node', '1'),
('reads', '123', 'node', '1'),
('reads', '124', 'node', '1'),
('reads', '125', 'node', '1'),
('reads', '126', 'node', '1'),
('reads', '127', 'node', '1'),
('reads', '128', 'node', '1'),
('reads', '129', 'node', '1'),
('reads', '132', 'node', '1'),
('reads', '133', 'node', '1'),
('reads', '134', 'node', '1'),
('reads', '142', 'node', '1'),
('reads', '143', 'node', '1'),
('reads', '144', 'node', '1'),
('reads', '145', 'node', '1'),
('reads', '146', 'node', '1'),
('reads', '148', 'node', '0.839384'),
('reads', '150', 'node', '0.886095'),
('reads', '151', 'node', '0.896076'),
('reads', '152', 'node', '1'),
('reads', '153', 'node', '1'),
('reads', '154', 'node', '1'),
('reads', '155', 'node', '1'),
('reads', '156', 'node', '1'),
('reads', '157', 'node', '1'),
('reads', '158', 'node', '1'),
('reads', '159', 'node', '1'),
('reads', '172', 'node', '0.845322'),
('reads', '174', 'node', '1'),
('reads', '180', 'node', '1'),
('reads', '181', 'node', '1'),
('reads', '183', 'node', '1'),
('really', '125', 'node', '26'),
('register', '41', 'node', '3.5746'),
('register', '105', 'node', '4.06587'),
('relations', '73', 'node', '11'),
('revisiting', '126', 'node', '26'),
('rhoncus', '12', 'node', '2.75578'),
('rhoncus', '14', 'node', '1.58163'),
('rhoncus', '16', 'node', '0.920273'),
('rhoncus', '17', 'node', '2.94583'),
('rhoncus', '18', 'node', '0.953396'),
('rhoncus', '19', 'node', '2'),
('rhoncus', '20', 'node', '1'),
('rhoncus', '22', 'node', '1'),
('rhoncus', '23', 'node', '1'),
('rhoncus', '25', 'node', '2'),
('rhoncus', '26', 'node', '1.85588'),
('rhoncus', '28', 'node', '1'),
('rhoncus', '29', 'node', '2.93388'),
('rhoncus', '30', 'node', '1'),
('rhoncus', '32', 'node', '2'),
('rhoncus', '33', 'node', '0.896076'),
('rhoncus', '34', 'node', '2'),
('rhoncus', '35', 'node', '1'),
('rhoncus', '37', 'node', '2'),
('rhoncus', '41', 'node', '10.8669'),
('rhoncus', '42', 'node', '3'),
('rhoncus', '44', 'node', '1'),
('rhoncus', '45', 'node', '1'),
('rhoncus', '46', 'node', '2.9496'),
('rhoncus', '50', 'node', '0.938382'),
('rhoncus', '52', 'node', '1'),
('rhoncus', '53', 'node', '1'),
('rhoncus', '54', 'node', '1.85532'),
('rhoncus', '55', 'node', '2'),
('rhoncus', '57', 'node', '2'),
('rhoncus', '73', 'node', '2.80236'),
('rhoncus', '84', 'node', '4'),
('rhoncus', '86', 'node', '3'),
('rhoncus', '87', 'node', '1'),
('rhoncus', '90', 'node', '0.949597'),
('rhoncus', '92', 'node', '1'),
('rhoncus', '93', 'node', '3'),
('rhoncus', '94', 'node', '1'),
('rhoncus', '95', 'node', '0.997306'),
('rhoncus', '96', 'node', '1'),
('rhoncus', '98', 'node', '1'),
('rhoncus', '99', 'node', '4'),
('rhoncus', '100', 'node', '1.94209'),
('rhoncus', '101', 'node', '0.997306'),
('rhoncus', '102', 'node', '1.98087'),
('rhoncus', '103', 'node', '0.920273'),
('rhoncus', '104', 'node', '1'),
('rhoncus', '105', 'node', '1.92384'),
('rhoncus', '121', 'node', '0.920273'),
('rhoncus', '122', 'node', '1'),
('rhoncus', '123', 'node', '1.93838'),
('rhoncus', '124', 'node', '2'),
('rhoncus', '125', 'node', '1'),
('rhoncus', '126', 'node', '2.89603'),
('rhoncus', '127', 'node', '1'),
('rhoncus', '130', 'node', '3'),
('rhoncus', '131', 'node', '1'),
('rhoncus', '132', 'node', '1.98087'),
('rhoncus', '134', 'node', '1'),
('rhoncus', '136', 'node', '0.98493'),
('rhoncus', '139', 'node', '1'),
('rhoncus', '146', 'node', '1'),
('rhoncus', '147', 'node', '1.81085'),
('rhoncus', '148', 'node', '1'),
('rhoncus', '150', 'node', '3.95723'),
('rhoncus', '151', 'node', '3'),
('rhoncus', '152', 'node', '1.83012'),
('rhoncus', '153', 'node', '2.98902'),
('rhoncus', '154', 'node', '1'),
('rhoncus', '155', 'node', '1'),
('rhoncus', '156', 'node', '3'),
('rhoncus', '157', 'node', '1'),
('rhoncus', '158', 'node', '3'),
('rhoncus', '159', 'node', '3'),
('rhoncus', '160', 'node', '4.88418'),
('rhoncus', '161', 'node', '1.9534'),
('rhoncus', '162', 'node', '3.94583'),
('rhoncus', '163', 'node', '1'),
('rhoncus', '164', 'node', '1.97286'),
('rhoncus', '165', 'node', '3'),
('rhoncus', '166', 'node', '2'),
('rhoncus', '167', 'node', '2.92027'),
('rhoncus', '169', 'node', '1'),
('rhoncus', '170', 'node', '2.92027'),
('rhoncus', '171', 'node', '1.9274'),
('rhoncus', '172', 'node', '0.938382'),
('rhoncus', '174', 'node', '2'),
('rhoncus', '175', 'node', '1.89945'),
('rhoncus', '176', 'node', '2'),
('rhoncus', '177', 'node', '1'),
('rhoncus', '178', 'node', '1'),
('ridiculus', '16', 'node', '0.839384'),
('ridiculus', '30', 'node', '0.96498'),
('ridiculus', '31', 'node', '1'),
('ridiculus', '33', 'node', '1'),
('ridiculus', '43', 'node', '0.997306'),
('ridiculus', '67', 'node', '1'),
('ridiculus', '86', 'node', '0.980874'),
('ridiculus', '91', 'node', '0.980874'),
('ridiculus', '93', 'node', '1'),
('ridiculus', '94', 'node', '1'),
('ridiculus', '95', 'node', '0.906287'),
('ridiculus', '123', 'node', '1'),
('ridiculus', '134', 'node', '1.9689'),
('ridiculus', '136', 'node', '1'),
('ridiculus', '146', 'node', '1'),
('ridiculus', '148', 'node', '0.889397'),
('ridiculus', '157', 'node', '1'),
('ridiculus', '160', 'node', '0.96498'),
('ridiculus', '165', 'node', '0.913226'),
('ridiculus', '174', 'node', '1'),
('ridiculus', '177', 'node', '1'),
('risus', '12', 'node', '6.20251'),
('risus', '13', 'node', '3'),
('risus', '14', 'node', '1.9496'),
('risus', '16', 'node', '19.9838'),
('risus', '17', 'node', '1'),
('risus', '18', 'node', '1.93105'),
('risus', '19', 'node', '2'),
('risus', '20', 'node', '2'),
('risus', '21', 'node', '1'),
('risus', '22', 'node', '1'),
('risus', '23', 'node', '2'),
('risus', '24', 'node', '2.98493'),
('risus', '25', 'node', '2'),
('risus', '26', 'node', '1'),
('risus', '29', 'node', '2'),
('risus', '30', 'node', '3.84869'),
('risus', '31', 'node', '1'),
('risus', '32', 'node', '3'),
('risus', '33', 'node', '6.36286'),
('risus', '34', 'node', '1.89214'),
('risus', '35', 'node', '1'),
('risus', '37', 'node', '0.980874'),
('risus', '38', 'node', '1.9347'),
('risus', '39', 'node', '2'),
('risus', '40', 'node', '4'),
('risus', '41', 'node', '11.8143'),
('risus', '43', 'node', '0.902857'),
('risus', '44', 'node', '2'),
('risus', '45', 'node', '1.96109'),
('risus', '46', 'node', '1.9496'),
('risus', '47', 'node', '2.98087'),
('risus', '50', 'node', '2'),
('risus', '52', 'node', '1.94583'),
('risus', '53', 'node', '2'),
('risus', '54', 'node', '2'),
('risus', '55', 'node', '1'),
('risus', '58', 'node', '2'),
('risus', '67', 'node', '1.87957'),
('risus', '68', 'node', '1.9534'),
('risus', '69', 'node', '1'),
('risus', '71', 'node', '1'),
('risus', '82', 'node', '1'),
('risus', '83', 'node', '1'),
('risus', '84', 'node', '1'),
('risus', '85', 'node', '1'),
('risus', '86', 'node', '2'),
('risus', '87', 'node', '1'),
('risus', '89', 'node', '2.99731'),
('risus', '90', 'node', '1'),
('risus', '92', 'node', '2'),
('risus', '93', 'node', '1'),
('risus', '94', 'node', '0.938382'),
('risus', '96', 'node', '2'),
('risus', '97', 'node', '1'),
('risus', '99', 'node', '1'),
('risus', '100', 'node', '2.99731'),
('risus', '101', 'node', '1'),
('risus', '103', 'node', '1.9534'),
('risus', '104', 'node', '0.972861'),
('risus', '105', 'node', '1'),
('risus', '121', 'node', '1'),
('risus', '122', 'node', '1'),
('risus', '123', 'node', '1.9534'),
('risus', '124', 'node', '3'),
('risus', '126', 'node', '1'),
('risus', '128', 'node', '1.9534'),
('risus', '129', 'node', '2.99315'),
('risus', '130', 'node', '2.93105'),
('risus', '131', 'node', '1.97286'),
('risus', '132', 'node', '2'),
('risus', '133', 'node', '2.99731'),
('risus', '134', 'node', '2'),
('risus', '136', 'node', '1'),
('risus', '137', 'node', '2.96989'),
('risus', '139', 'node', '1'),
('risus', '147', 'node', '2.89188'),
('risus', '148', 'node', '1.84234'),
('risus', '150', 'node', '1.7888'),
('risus', '151', 'node', '0.931053'),
('risus', '152', 'node', '4.76951'),
('risus', '153', 'node', '1.86995'),
('risus', '155', 'node', '5.81335'),
('risus', '157', 'node', '2.91323'),
('risus', '158', 'node', '1'),
('risus', '159', 'node', '1'),
('risus', '160', 'node', '2.93105'),
('risus', '161', 'node', '4.98902'),
('risus', '162', 'node', '3.9223'),
('risus', '163', 'node', '1.96109'),
('risus', '164', 'node', '4'),
('risus', '165', 'node', '1'),
('risus', '166', 'node', '1'),
('risus', '167', 'node', '3.96109'),
('risus', '168', 'node', '1'),
('risus', '170', 'node', '2'),
('risus', '171', 'node', '1'),
('risus', '172', 'node', '1'),
('risus', '174', 'node', '4.28784'),
('risus', '175', 'node', '0.920273'),
('risus', '176', 'node', '1.87231'),
('risus', '177', 'node', '1.92743'),
('risus', '178', 'node', '2'),
('risus', '179', 'node', '3.81509'),
('rutrum', '12', 'node', '1.54845'),
('rutrum', '13', 'node', '1.90629'),
('rutrum', '14', 'node', '1.97685'),
('rutrum', '15', 'node', '3'),
('rutrum', '16', 'node', '1.81959'),
('rutrum', '20', 'node', '3'),
('rutrum', '21', 'node', '2'),
('rutrum', '24', 'node', '2.96205'),
('rutrum', '26', 'node', '1'),
('rutrum', '27', 'node', '1'),
('rutrum', '29', 'node', '1.95813'),
('rutrum', '30', 'node', '1'),
('rutrum', '31', 'node', '2.9496'),
('rutrum', '32', 'node', '29'),
('rutrum', '33', 'node', '1.85568'),
('rutrum', '34', 'node', '1'),
('rutrum', '38', 'node', '2'),
('rutrum', '41', 'node', '2.81896'),
('rutrum', '42', 'node', '3'),
('rutrum', '44', 'node', '2'),
('rutrum', '45', 'node', '2.9496'),
('rutrum', '46', 'node', '1.96498'),
('rutrum', '47', 'node', '2'),
('rutrum', '50', 'node', '4'),
('rutrum', '52', 'node', '3.88493'),
('rutrum', '54', 'node', '1'),
('rutrum', '55', 'node', '1.98087'),
('rutrum', '56', 'node', '0.989021'),
('rutrum', '57', 'node', '1'),
('rutrum', '58', 'node', '3'),
('rutrum', '65', 'node', '2'),
('rutrum', '69', 'node', '2'),
('rutrum', '82', 'node', '2'),
('rutrum', '84', 'node', '1'),
('rutrum', '86', 'node', '1'),
('rutrum', '91', 'node', '1'),
('rutrum', '92', 'node', '3'),
('rutrum', '93', 'node', '1.95723'),
('rutrum', '94', 'node', '1'),
('rutrum', '95', 'node', '1'),
('rutrum', '96', 'node', '1'),
('rutrum', '97', 'node', '1.94209'),
('rutrum', '98', 'node', '1.94209'),
('rutrum', '99', 'node', '1.98902'),
('rutrum', '100', 'node', '1'),
('rutrum', '101', 'node', '1.97286'),
('rutrum', '102', 'node', '2.98087'),
('rutrum', '103', 'node', '1.86633'),
('rutrum', '121', 'node', '0.957226'),
('rutrum', '122', 'node', '3'),
('rutrum', '123', 'node', '1'),
('rutrum', '126', 'node', '1.96109'),
('rutrum', '127', 'node', '3'),
('rutrum', '129', 'node', '0.997306'),
('rutrum', '130', 'node', '0.931053'),
('rutrum', '131', 'node', '1'),
('rutrum', '133', 'node', '1'),
('rutrum', '134', 'node', '1'),
('rutrum', '136', 'node', '3'),
('rutrum', '137', 'node', '2'),
('rutrum', '138', 'node', '1'),
('rutrum', '143', 'node', '2'),
('rutrum', '145', 'node', '2'),
('rutrum', '147', 'node', '0.913226'),
('rutrum', '148', 'node', '2.81752'),
('rutrum', '152', 'node', '0.949597'),
('rutrum', '153', 'node', '1'),
('rutrum', '154', 'node', '3.85212'),
('rutrum', '155', 'node', '3.89062'),
('rutrum', '156', 'node', '3'),
('rutrum', '157', 'node', '2'),
('rutrum', '160', 'node', '3'),
('rutrum', '161', 'node', '0.938382'),
('rutrum', '162', 'node', '0.976851'),
('rutrum', '163', 'node', '2'),
('rutrum', '164', 'node', '1'),
('rutrum', '165', 'node', '2'),
('rutrum', '166', 'node', '2'),
('rutrum', '167', 'node', '1'),
('rutrum', '168', 'node', '1'),
('rutrum', '169', 'node', '1'),
('rutrum', '171', 'node', '1.89178'),
('rutrum', '172', 'node', '1'),
('rutrum', '174', 'node', '3.83938'),
('rutrum', '175', 'node', '2.98902'),
('rutrum', '177', 'node', '1'),
('rutrum', '178', 'node', '3.73767'),
('rutrum', '179', 'node', '4.80191'),
('sagittis', '12', 'node', '1.77923'),
('sagittis', '13', 'node', '2'),
('sagittis', '14', 'node', '5.41235'),
('sagittis', '15', 'node', '0.961087'),
('sagittis', '16', 'node', '0.786915'),
('sagittis', '18', 'node', '3.9347'),
('sagittis', '19', 'node', '1'),
('sagittis', '21', 'node', '2'),
('sagittis', '23', 'node', '1'),
('sagittis', '24', 'node', '1'),
('sagittis', '26', 'node', '2.9507'),
('sagittis', '29', 'node', '1'),
('sagittis', '30', 'node', '0.889397'),
('sagittis', '31', 'node', '2.98902'),
('sagittis', '32', 'node', '0.961087'),
('sagittis', '33', 'node', '0.949597'),
('sagittis', '35', 'node', '1'),
('sagittis', '37', 'node', '1.99315'),
('sagittis', '39', 'node', '0.993146'),
('sagittis', '41', 'node', '15.1646'),
('sagittis', '42', 'node', '2.98902'),
('sagittis', '43', 'node', '1'),
('sagittis', '44', 'node', '1'),
('sagittis', '45', 'node', '2.93794'),
('sagittis', '47', 'node', '1'),
('sagittis', '50', 'node', '2.9347'),
('sagittis', '52', 'node', '1'),
('sagittis', '53', 'node', '1'),
('sagittis', '55', 'node', '1'),
('sagittis', '56', 'node', '2.94991'),
('sagittis', '57', 'node', '4'),
('sagittis', '58', 'node', '2'),
('sagittis', '67', 'node', '1.87313'),
('sagittis', '71', 'node', '1'),
('sagittis', '73', 'node', '1'),
('sagittis', '82', 'node', '1'),
('sagittis', '83', 'node', '1'),
('sagittis', '84', 'node', '1'),
('sagittis', '87', 'node', '2'),
('sagittis', '88', 'node', '1.98087'),
('sagittis', '89', 'node', '1'),
('sagittis', '90', 'node', '2'),
('sagittis', '91', 'node', '1'),
('sagittis', '92', 'node', '2'),
('sagittis', '93', 'node', '1'),
('sagittis', '96', 'node', '2'),
('sagittis', '97', 'node', '0.945829'),
('sagittis', '98', 'node', '0.957226'),
('sagittis', '100', 'node', '4'),
('sagittis', '101', 'node', '28.9973'),
('sagittis', '103', 'node', '1.92384'),
('sagittis', '104', 'node', '1'),
('sagittis', '121', 'node', '0.997306'),
('sagittis', '122', 'node', '2.94583'),
('sagittis', '123', 'node', '2'),
('sagittis', '126', 'node', '3.93105'),
('sagittis', '127', 'node', '2'),
('sagittis', '128', 'node', '3'),
('sagittis', '131', 'node', '0.953396'),
('sagittis', '132', 'node', '1'),
('sagittis', '133', 'node', '0.976851'),
('sagittis', '134', 'node', '2'),
('sagittis', '139', 'node', '1'),
('sagittis', '142', 'node', '1'),
('sagittis', '144', 'node', '2'),
('sagittis', '147', 'node', '1'),
('sagittis', '148', 'node', '2'),
('sagittis', '150', 'node', '2'),
('sagittis', '151', 'node', '1'),
('sagittis', '152', 'node', '5.84389'),
('sagittis', '153', 'node', '1.8894'),
('sagittis', '154', 'node', '2.93897'),
('sagittis', '155', 'node', '1'),
('sagittis', '160', 'node', '3'),
('sagittis', '161', 'node', '1'),
('sagittis', '162', 'node', '1'),
('sagittis', '163', 'node', '2.96109'),
('sagittis', '164', 'node', '2'),
('sagittis', '165', 'node', '1.9689'),
('sagittis', '166', 'node', '1'),
('sagittis', '167', 'node', '0.957226'),
('sagittis', '168', 'node', '1'),
('sagittis', '169', 'node', '1'),
('sagittis', '170', 'node', '0.938382'),
('sagittis', '171', 'node', '0.972861'),
('sagittis', '172', 'node', '0.873132'),
('sagittis', '174', 'node', '1.87821'),
('sagittis', '175', 'node', '2'),
('sagittis', '176', 'node', '4.65501'),
('sagittis', '177', 'node', '2.9689'),
('sagittis', '178', 'node', '2.92114'),
('sagittis', '179', 'node', '1.94209'),
('sales', '65', 'node', '11'),
('sales', '69', 'node', '1'),
('sapien', '12', 'node', '2.73795'),
('sapien', '13', 'node', '1.93105'),
('sapien', '14', 'node', '6.20974'),
('sapien', '15', 'node', '1.97685'),
('sapien', '16', 'node', '7.42278'),
('sapien', '17', 'node', '1'),
('sapien', '19', 'node', '2'),
('sapien', '20', 'node', '3'),
('sapien', '21', 'node', '1.98902'),
('sapien', '22', 'node', '2'),
('sapien', '23', 'node', '27'),
('sapien', '24', 'node', '1'),
('sapien', '25', 'node', '3'),
('sapien', '26', 'node', '1'),
('sapien', '27', 'node', '1'),
('sapien', '28', 'node', '3'),
('sapien', '29', 'node', '1'),
('sapien', '30', 'node', '0.866793'),
('sapien', '31', 'node', '2'),
('sapien', '33', 'node', '0.873132'),
('sapien', '34', 'node', '3'),
('sapien', '35', 'node', '1.97685'),
('sapien', '37', 'node', '1.95723'),
('sapien', '38', 'node', '1'),
('sapien', '39', 'node', '2'),
('sapien', '40', 'node', '1'),
('sapien', '41', 'node', '2.84957'),
('sapien', '42', 'node', '1'),
('sapien', '44', 'node', '0.96498'),
('sapien', '45', 'node', '1'),
('sapien', '47', 'node', '2'),
('sapien', '50', 'node', '1'),
('sapien', '52', 'node', '1.86282'),
('sapien', '53', 'node', '1'),
('sapien', '54', 'node', '2.82645'),
('sapien', '56', 'node', '2.91068'),
('sapien', '58', 'node', '2'),
('sapien', '65', 'node', '4'),
('sapien', '67', 'node', '1'),
('sapien', '68', 'node', '0.993146'),
('sapien', '73', 'node', '0.906287'),
('sapien', '82', 'node', '2'),
('sapien', '83', 'node', '1'),
('sapien', '85', 'node', '1'),
('sapien', '86', 'node', '4'),
('sapien', '87', 'node', '2'),
('sapien', '89', 'node', '1'),
('sapien', '90', 'node', '1'),
('sapien', '91', 'node', '1'),
('sapien', '92', 'node', '5.98493'),
('sapien', '93', 'node', '1'),
('sapien', '94', 'node', '2'),
('sapien', '96', 'node', '1'),
('sapien', '97', 'node', '1.94209'),
('sapien', '98', 'node', '2.93524'),
('sapien', '99', 'node', '1'),
('sapien', '100', 'node', '1'),
('sapien', '102', 'node', '2.98087'),
('sapien', '103', 'node', '2'),
('sapien', '104', 'node', '2'),
('sapien', '121', 'node', '1.86995'),
('sapien', '122', 'node', '3'),
('sapien', '123', 'node', '1'),
('sapien', '124', 'node', '1.92999'),
('sapien', '125', 'node', '0.934703'),
('sapien', '126', 'node', '0.993146'),
('sapien', '127', 'node', '1'),
('sapien', '128', 'node', '1'),
('sapien', '129', 'node', '1'),
('sapien', '130', 'node', '1'),
('sapien', '131', 'node', '1'),
('sapien', '132', 'node', '2'),
('sapien', '133', 'node', '2.9381'),
('sapien', '134', 'node', '1'),
('sapien', '136', 'node', '1'),
('sapien', '138', 'node', '3'),
('sapien', '142', 'node', '1'),
('sapien', '144', 'node', '1'),
('sapien', '145', 'node', '1'),
('sapien', '146', 'node', '3'),
('sapien', '147', 'node', '3.87083'),
('sapien', '148', 'node', '1.84832'),
('sapien', '150', 'node', '1.89272'),
('sapien', '152', 'node', '0.886095'),
('sapien', '153', 'node', '2.67495'),
('sapien', '154', 'node', '1.89945'),
('sapien', '155', 'node', '1.97808'),
('sapien', '158', 'node', '1'),
('sapien', '159', 'node', '1'),
('sapien', '160', 'node', '2'),
('sapien', '161', 'node', '0.942091'),
('sapien', '163', 'node', '1'),
('sapien', '164', 'node', '1'),
('sapien', '165', 'node', '1'),
('sapien', '167', 'node', '2.93105'),
('sapien', '168', 'node', '1'),
('sapien', '169', 'node', '1'),
('sapien', '170', 'node', '1'),
('sapien', '171', 'node', '29.9039'),
('sapien', '172', 'node', '1.75807'),
('sapien', '174', 'node', '1.63574'),
('sapien', '176', 'node', '2.92743'),
('sapien', '177', 'node', '0.923838'),
('sapien', '178', 'node', '2.95723'),
('sapien', '179', 'node', '0.876337'),
('sarah', '73', 'node', '26'),
('scelerisque', '12', 'node', '2.72892'),
('scelerisque', '13', 'node', '0.989021'),
('scelerisque', '14', 'node', '2.6003'),
('scelerisque', '15', 'node', '4'),
('scelerisque', '16', 'node', '3.66819'),
('scelerisque', '17', 'node', '0.942091'),
('scelerisque', '18', 'node', '1'),
('scelerisque', '20', 'node', '3'),
('scelerisque', '21', 'node', '1'),
('scelerisque', '22', 'node', '1'),
('scelerisque', '23', 'node', '2'),
('scelerisque', '24', 'node', '1'),
('scelerisque', '25', 'node', '2'),
('scelerisque', '26', 'node', '1'),
('scelerisque', '27', 'node', '1'),
('scelerisque', '28', 'node', '1'),
('scelerisque', '29', 'node', '3'),
('scelerisque', '30', 'node', '1'),
('scelerisque', '31', 'node', '2.93838'),
('scelerisque', '32', 'node', '0.989021'),
('scelerisque', '33', 'node', '3.70578'),
('scelerisque', '35', 'node', '1'),
('scelerisque', '38', 'node', '1.87271'),
('scelerisque', '39', 'node', '1.9496'),
('scelerisque', '40', 'node', '1'),
('scelerisque', '41', 'node', '1'),
('scelerisque', '42', 'node', '3.99731'),
('scelerisque', '43', 'node', '1'),
('scelerisque', '44', 'node', '2'),
('scelerisque', '45', 'node', '1'),
('scelerisque', '46', 'node', '0.953396'),
('scelerisque', '47', 'node', '1.98902'),
('scelerisque', '50', 'node', '3.94978'),
('scelerisque', '52', 'node', '0.942091'),
('scelerisque', '53', 'node', '1'),
('scelerisque', '56', 'node', '2'),
('scelerisque', '57', 'node', '1'),
('scelerisque', '65', 'node', '2'),
('scelerisque', '67', 'node', '6.81028'),
('scelerisque', '68', 'node', '1'),
('scelerisque', '73', 'node', '2'),
('scelerisque', '82', 'node', '1'),
('scelerisque', '83', 'node', '2'),
('scelerisque', '84', 'node', '1'),
('scelerisque', '85', 'node', '1'),
('scelerisque', '86', 'node', '2'),
('scelerisque', '88', 'node', '2.99731'),
('scelerisque', '90', 'node', '1.94583'),
('scelerisque', '92', 'node', '2'),
('scelerisque', '95', 'node', '1'),
('scelerisque', '97', 'node', '1'),
('scelerisque', '98', 'node', '1.98087'),
('scelerisque', '99', 'node', '1'),
('scelerisque', '102', 'node', '2'),
('scelerisque', '103', 'node', '1.88106'),
('scelerisque', '105', 'node', '2'),
('scelerisque', '121', 'node', '0.876337'),
('scelerisque', '122', 'node', '2.9689'),
('scelerisque', '123', 'node', '0.98493'),
('scelerisque', '124', 'node', '2.99731'),
('scelerisque', '126', 'node', '1'),
('scelerisque', '127', 'node', '3'),
('scelerisque', '128', 'node', '1'),
('scelerisque', '129', 'node', '3'),
('scelerisque', '131', 'node', '3.79891'),
('scelerisque', '132', 'node', '0.949597'),
('scelerisque', '134', 'node', '1.94209'),
('scelerisque', '137', 'node', '1.97286'),
('scelerisque', '139', 'node', '2.99731'),
('scelerisque', '143', 'node', '2'),
('scelerisque', '144', 'node', '1'),
('scelerisque', '146', 'node', '1'),
('scelerisque', '147', 'node', '1.74629'),
('scelerisque', '148', 'node', '1.83296'),
('scelerisque', '152', 'node', '2'),
('scelerisque', '153', 'node', '0.889397'),
('scelerisque', '155', 'node', '1'),
('scelerisque', '156', 'node', '1'),
('scelerisque', '157', 'node', '1.86236'),
('scelerisque', '158', 'node', '2.98493'),
('scelerisque', '159', 'node', '2.98902'),
('scelerisque', '160', 'node', '1'),
('scelerisque', '162', 'node', '1'),
('scelerisque', '164', 'node', '2'),
('scelerisque', '167', 'node', '0.916736'),
('scelerisque', '169', 'node', '2'),
('scelerisque', '170', 'node', '0.934703'),
('scelerisque', '171', 'node', '2.99315'),
('scelerisque', '172', 'node', '1'),
('scelerisque', '174', 'node', '3.51278'),
('scelerisque', '175', 'node', '2.94177'),
('scelerisque', '177', 'node', '1'),
('scelerisque', '178', 'node', '1'),
('scelerisque', '179', 'node', '3.87313'),
('sed', '12', 'node', '9.58761'),
('sed', '13', 'node', '6.92027'),
('sed', '14', 'node', '28.2798'),
('sed', '15', 'node', '32'),
('sed', '16', 'node', '8.27519'),
('sed', '17', 'node', '9.85587'),
('sed', '18', 'node', '9.95423'),
('sed', '19', 'node', '30'),
('sed', '20', 'node', '5'),
('sed', '21', 'node', '3.99731'),
('sed', '22', 'node', '4'),
('sed', '23', 'node', '4'),
('sed', '24', 'node', '4.87643'),
('sed', '25', 'node', '34'),
('sed', '26', 'node', '3.85883'),
('sed', '27', 'node', '2'),
('sed', '28', 'node', '31'),
('sed', '29', 'node', '2.92996'),
('sed', '30', 'node', '9.62586'),
('sed', '31', 'node', '4.99731'),
('sed', '32', 'node', '6.94209'),
('sed', '33', 'node', '4.73142'),
('sed', '34', 'node', '33.9572'),
('sed', '35', 'node', '5.97818'),
('sed', '37', 'node', '1.97402'),
('sed', '38', 'node', '3.69212'),
('sed', '39', 'node', '3.95793'),
('sed', '40', 'node', '8'),
('sed', '41', 'node', '15.5636'),
('sed', '42', 'node', '6'),
('sed', '43', 'node', '3.91901'),
('sed', '44', 'node', '8.86797'),
('sed', '45', 'node', '9.91523'),
('sed', '46', 'node', '8.86417'),
('sed', '47', 'node', '3'),
('sed', '50', 'node', '6.87712'),
('sed', '52', 'node', '4.92246'),
('sed', '53', 'node', '5.98902'),
('sed', '54', 'node', '5.78842'),
('sed', '55', 'node', '5'),
('sed', '56', 'node', '32'),
('sed', '57', 'node', '2'),
('sed', '58', 'node', '6'),
('sed', '65', 'node', '7'),
('sed', '67', 'node', '5.81795'),
('sed', '68', 'node', '3.97286'),
('sed', '69', 'node', '3'),
('sed', '71', 'node', '11.9379'),
('sed', '73', 'node', '2.80993'),
('sed', '82', 'node', '2'),
('sed', '83', 'node', '4.95779'),
('sed', '84', 'node', '5'),
('sed', '85', 'node', '2'),
('sed', '86', 'node', '4.9689'),
('sed', '87', 'node', '5'),
('sed', '88', 'node', '9.83403'),
('sed', '89', 'node', '5'),
('sed', '90', 'node', '4'),
('sed', '91', 'node', '4'),
('sed', '92', 'node', '9'),
('sed', '93', 'node', '2.9496'),
('sed', '94', 'node', '3.9347'),
('sed', '95', 'node', '4.97'),
('sed', '96', 'node', '2'),
('sed', '97', 'node', '8');
INSERT INTO `search_index` VALUES
('sed', '98', 'node', '33.7807'),
('sed', '99', 'node', '3.93395'),
('sed', '100', 'node', '6.99731'),
('sed', '101', 'node', '8.79274'),
('sed', '102', 'node', '37'),
('sed', '103', 'node', '6.88015'),
('sed', '104', 'node', '6.9496'),
('sed', '105', 'node', '31'),
('sed', '121', 'node', '6.51542'),
('sed', '122', 'node', '36.834'),
('sed', '123', 'node', '2.93784'),
('sed', '124', 'node', '8.60237'),
('sed', '125', 'node', '8.96318'),
('sed', '126', 'node', '4.91458'),
('sed', '127', 'node', '3'),
('sed', '128', 'node', '7.90798'),
('sed', '129', 'node', '7.98902'),
('sed', '130', 'node', '1.92384'),
('sed', '131', 'node', '5'),
('sed', '132', 'node', '5.93862'),
('sed', '133', 'node', '6'),
('sed', '134', 'node', '2.9689'),
('sed', '136', 'node', '2'),
('sed', '137', 'node', '6.97286'),
('sed', '138', 'node', '10'),
('sed', '139', 'node', '2'),
('sed', '143', 'node', '2'),
('sed', '144', 'node', '1'),
('sed', '145', 'node', '1'),
('sed', '146', 'node', '2'),
('sed', '147', 'node', '6.81525'),
('sed', '148', 'node', '8.14418'),
('sed', '150', 'node', '11.6716'),
('sed', '151', 'node', '5.98087'),
('sed', '152', 'node', '10.5677'),
('sed', '153', 'node', '9.53732'),
('sed', '154', 'node', '10.7969'),
('sed', '155', 'node', '3.81419'),
('sed', '156', 'node', '9.83001'),
('sed', '157', 'node', '3.93105'),
('sed', '158', 'node', '3'),
('sed', '159', 'node', '3'),
('sed', '160', 'node', '11.8478'),
('sed', '161', 'node', '4.95723'),
('sed', '162', 'node', '31.9458'),
('sed', '163', 'node', '1.9496'),
('sed', '164', 'node', '2.95779'),
('sed', '165', 'node', '10.8562'),
('sed', '166', 'node', '36.9111'),
('sed', '167', 'node', '3.94209'),
('sed', '168', 'node', '1.99315'),
('sed', '169', 'node', '4'),
('sed', '170', 'node', '5.94583'),
('sed', '171', 'node', '5.91124'),
('sed', '172', 'node', '11.9627'),
('sed', '174', 'node', '6.15704'),
('sed', '175', 'node', '8.72627'),
('sed', '176', 'node', '6.45084'),
('sed', '177', 'node', '6.74521'),
('sed', '178', 'node', '7.80247'),
('sed', '179', 'node', '5.91086'),
('sed', '183', 'node', '2'),
('select', '181', 'node', '2'),
('select', '182', 'node', '2'),
('sell', '172', 'node', '26'),
('sem', '12', 'node', '7.15398'),
('sem', '13', 'node', '3'),
('sem', '14', 'node', '7.71405'),
('sem', '15', 'node', '2.95723'),
('sem', '16', 'node', '3.59364'),
('sem', '17', 'node', '28.9537'),
('sem', '18', 'node', '1'),
('sem', '20', 'node', '1'),
('sem', '22', 'node', '1'),
('sem', '23', 'node', '4'),
('sem', '24', 'node', '4.96205'),
('sem', '25', 'node', '5'),
('sem', '26', 'node', '3'),
('sem', '27', 'node', '3'),
('sem', '28', 'node', '1'),
('sem', '29', 'node', '3'),
('sem', '30', 'node', '1.95723'),
('sem', '31', 'node', '2.90318'),
('sem', '32', 'node', '3'),
('sem', '33', 'node', '1'),
('sem', '34', 'node', '1'),
('sem', '35', 'node', '2'),
('sem', '37', 'node', '2.95037'),
('sem', '38', 'node', '1.89608'),
('sem', '39', 'node', '1'),
('sem', '41', 'node', '2.69485'),
('sem', '42', 'node', '1'),
('sem', '43', 'node', '0.889397'),
('sem', '44', 'node', '2'),
('sem', '45', 'node', '1'),
('sem', '47', 'node', '1'),
('sem', '50', 'node', '0.942091'),
('sem', '52', 'node', '1'),
('sem', '53', 'node', '1'),
('sem', '54', 'node', '3.95723'),
('sem', '55', 'node', '2.9534'),
('sem', '56', 'node', '1'),
('sem', '57', 'node', '1'),
('sem', '58', 'node', '3'),
('sem', '65', 'node', '1'),
('sem', '67', 'node', '2.82653'),
('sem', '68', 'node', '1.99315'),
('sem', '69', 'node', '1'),
('sem', '73', 'node', '1.84869'),
('sem', '82', 'node', '1'),
('sem', '83', 'node', '2'),
('sem', '84', 'node', '1'),
('sem', '85', 'node', '1'),
('sem', '86', 'node', '1'),
('sem', '88', 'node', '1'),
('sem', '89', 'node', '2'),
('sem', '91', 'node', '1'),
('sem', '93', 'node', '1.90286'),
('sem', '94', 'node', '2.99731'),
('sem', '95', 'node', '1'),
('sem', '96', 'node', '1'),
('sem', '97', 'node', '4.91758'),
('sem', '98', 'node', '1'),
('sem', '99', 'node', '1'),
('sem', '100', 'node', '27.9384'),
('sem', '101', 'node', '4'),
('sem', '102', 'node', '2.95723'),
('sem', '104', 'node', '3'),
('sem', '105', 'node', '1.91674'),
('sem', '122', 'node', '29'),
('sem', '123', 'node', '1'),
('sem', '124', 'node', '2.85848'),
('sem', '125', 'node', '3.96318'),
('sem', '126', 'node', '0.976851'),
('sem', '127', 'node', '2'),
('sem', '128', 'node', '2'),
('sem', '129', 'node', '2'),
('sem', '130', 'node', '2'),
('sem', '131', 'node', '0.923838'),
('sem', '133', 'node', '1'),
('sem', '136', 'node', '2'),
('sem', '137', 'node', '2'),
('sem', '138', 'node', '1'),
('sem', '139', 'node', '1'),
('sem', '143', 'node', '2'),
('sem', '147', 'node', '4.57855'),
('sem', '148', 'node', '2'),
('sem', '150', 'node', '0.997306'),
('sem', '151', 'node', '1.95723'),
('sem', '152', 'node', '5.68037'),
('sem', '153', 'node', '2.8861'),
('sem', '154', 'node', '2.89945'),
('sem', '155', 'node', '3.92296'),
('sem', '156', 'node', '1.86943'),
('sem', '157', 'node', '1'),
('sem', '161', 'node', '3.98224'),
('sem', '162', 'node', '1'),
('sem', '163', 'node', '1'),
('sem', '164', 'node', '1.94583'),
('sem', '165', 'node', '0.949597'),
('sem', '167', 'node', '1'),
('sem', '170', 'node', '3'),
('sem', '171', 'node', '0.945829'),
('sem', '172', 'node', '6.80236'),
('sem', '174', 'node', '4.63138'),
('sem', '175', 'node', '2.94583'),
('sem', '177', 'node', '2.93153'),
('sem', '178', 'node', '3.80582'),
('sem', '179', 'node', '1.98087'),
('sem', '183', 'node', '1'),
('sem', '184', 'node', '1'),
('semper', '12', 'node', '5.00383'),
('semper', '14', 'node', '7.07042'),
('semper', '15', 'node', '0.980874'),
('semper', '16', 'node', '1.90286'),
('semper', '17', 'node', '1.94583'),
('semper', '19', 'node', '29'),
('semper', '21', 'node', '1'),
('semper', '23', 'node', '3'),
('semper', '24', 'node', '1'),
('semper', '27', 'node', '1'),
('semper', '28', 'node', '2'),
('semper', '29', 'node', '4'),
('semper', '30', 'node', '1.92027'),
('semper', '31', 'node', '2'),
('semper', '32', 'node', '2.93105'),
('semper', '33', 'node', '2.77419'),
('semper', '34', 'node', '1.96109'),
('semper', '35', 'node', '37.363'),
('semper', '37', 'node', '0.949597'),
('semper', '38', 'node', '3.82973'),
('semper', '39', 'node', '1'),
('semper', '41', 'node', '1.83296'),
('semper', '42', 'node', '1'),
('semper', '43', 'node', '1.9689'),
('semper', '44', 'node', '6'),
('semper', '45', 'node', '2'),
('semper', '50', 'node', '0.949597'),
('semper', '52', 'node', '2.93105'),
('semper', '53', 'node', '2'),
('semper', '54', 'node', '3.83619'),
('semper', '56', 'node', '3'),
('semper', '57', 'node', '1'),
('semper', '67', 'node', '2'),
('semper', '71', 'node', '2.99315'),
('semper', '82', 'node', '3'),
('semper', '84', 'node', '1'),
('semper', '85', 'node', '2'),
('semper', '86', 'node', '2.9496'),
('semper', '89', 'node', '1'),
('semper', '90', 'node', '1'),
('semper', '92', 'node', '1'),
('semper', '93', 'node', '1'),
('semper', '94', 'node', '1'),
('semper', '95', 'node', '1'),
('semper', '96', 'node', '2'),
('semper', '97', 'node', '0.957226'),
('semper', '98', 'node', '3.87285'),
('semper', '99', 'node', '0.98493'),
('semper', '100', 'node', '1'),
('semper', '101', 'node', '1.89543'),
('semper', '102', 'node', '2.9689'),
('semper', '104', 'node', '2'),
('semper', '121', 'node', '0.993146'),
('semper', '122', 'node', '1'),
('semper', '124', 'node', '1.92384'),
('semper', '127', 'node', '1'),
('semper', '128', 'node', '2.92626'),
('semper', '129', 'node', '1'),
('semper', '130', 'node', '2'),
('semper', '131', 'node', '2'),
('semper', '132', 'node', '3'),
('semper', '137', 'node', '1'),
('semper', '138', 'node', '27'),
('semper', '142', 'node', '2'),
('semper', '147', 'node', '5.47678'),
('semper', '148', 'node', '2'),
('semper', '151', 'node', '1.92743'),
('semper', '152', 'node', '3.82313'),
('semper', '153', 'node', '1.8861'),
('semper', '155', 'node', '4.76945'),
('semper', '156', 'node', '2'),
('semper', '157', 'node', '1'),
('semper', '158', 'node', '0.980874'),
('semper', '159', 'node', '0.98493'),
('semper', '160', 'node', '2'),
('semper', '162', 'node', '0.972861'),
('semper', '166', 'node', '2'),
('semper', '167', 'node', '3.86593'),
('semper', '168', 'node', '1'),
('semper', '170', 'node', '2'),
('semper', '171', 'node', '29.9124'),
('semper', '172', 'node', '1.87313'),
('semper', '174', 'node', '1.84812'),
('semper', '175', 'node', '0.938382'),
('semper', '176', 'node', '5.75468'),
('semper', '177', 'node', '1.96621'),
('semper', '178', 'node', '1'),
('semper', '183', 'node', '1'),
('semper', '184', 'node', '1'),
('senectus', '12', 'node', '0.78951'),
('senectus', '14', 'node', '1.64697'),
('senectus', '18', 'node', '27'),
('senectus', '26', 'node', '0.989021'),
('senectus', '30', 'node', '1'),
('senectus', '34', 'node', '1'),
('senectus', '41', 'node', '11'),
('senectus', '44', 'node', '0.997306'),
('senectus', '56', 'node', '1'),
('senectus', '82', 'node', '1'),
('senectus', '91', 'node', '1'),
('senectus', '97', 'node', '1'),
('senectus', '124', 'node', '0.993146'),
('senectus', '144', 'node', '1'),
('senectus', '148', 'node', '2'),
('senectus', '151', 'node', '0.916736'),
('senectus', '156', 'node', '1'),
('senectus', '163', 'node', '0.972861'),
('senectus', '170', 'node', '1'),
('service', '152', 'node', '26'),
('service', '173', 'node', '1'),
('simple', '90', 'node', '26'),
('sit', '12', 'node', '28.2041'),
('sit', '13', 'node', '5.71556'),
('sit', '14', 'node', '34.1546'),
('sit', '15', 'node', '6'),
('sit', '16', 'node', '9.73952'),
('sit', '17', 'node', '30.9189'),
('sit', '18', 'node', '4'),
('sit', '19', 'node', '1'),
('sit', '20', 'node', '3'),
('sit', '21', 'node', '3.99731'),
('sit', '22', 'node', '1'),
('sit', '23', 'node', '3'),
('sit', '24', 'node', '6.95909'),
('sit', '25', 'node', '5'),
('sit', '26', 'node', '4'),
('sit', '27', 'node', '4'),
('sit', '28', 'node', '3'),
('sit', '29', 'node', '3.96498'),
('sit', '30', 'node', '2'),
('sit', '31', 'node', '2.9496'),
('sit', '32', 'node', '3.92474'),
('sit', '33', 'node', '4.64116'),
('sit', '34', 'node', '4.95839'),
('sit', '35', 'node', '5'),
('sit', '37', 'node', '15.9496'),
('sit', '38', 'node', '5.5351'),
('sit', '39', 'node', '5'),
('sit', '40', 'node', '12'),
('sit', '41', 'node', '20.0902'),
('sit', '42', 'node', '4'),
('sit', '43', 'node', '6.82806'),
('sit', '44', 'node', '1'),
('sit', '45', 'node', '2.9534'),
('sit', '46', 'node', '4'),
('sit', '47', 'node', '4'),
('sit', '50', 'node', '1'),
('sit', '52', 'node', '2.80914'),
('sit', '53', 'node', '2.98902'),
('sit', '54', 'node', '2'),
('sit', '55', 'node', '2.96109'),
('sit', '56', 'node', '4.79888'),
('sit', '57', 'node', '1'),
('sit', '58', 'node', '2'),
('sit', '65', 'node', '5'),
('sit', '67', 'node', '5.79452'),
('sit', '68', 'node', '2'),
('sit', '69', 'node', '1'),
('sit', '71', 'node', '3'),
('sit', '73', 'node', '3.89193'),
('sit', '82', 'node', '6'),
('sit', '83', 'node', '1.97286'),
('sit', '84', 'node', '5'),
('sit', '85', 'node', '1'),
('sit', '86', 'node', '2.96498'),
('sit', '87', 'node', '1'),
('sit', '88', 'node', '4.96229'),
('sit', '90', 'node', '2.9689'),
('sit', '92', 'node', '3'),
('sit', '93', 'node', '4.77231'),
('sit', '94', 'node', '4.9381'),
('sit', '95', 'node', '1.97286'),
('sit', '96', 'node', '3'),
('sit', '97', 'node', '3.84186'),
('sit', '98', 'node', '3.98087'),
('sit', '99', 'node', '5.93873'),
('sit', '100', 'node', '1'),
('sit', '101', 'node', '5.8155'),
('sit', '102', 'node', '4.95772'),
('sit', '103', 'node', '3.98902'),
('sit', '104', 'node', '2.9534'),
('sit', '105', 'node', '3.85183'),
('sit', '121', 'node', '6.79697'),
('sit', '122', 'node', '4.92474'),
('sit', '123', 'node', '3.91458'),
('sit', '124', 'node', '8.62089'),
('sit', '126', 'node', '4'),
('sit', '127', 'node', '5'),
('sit', '128', 'node', '4.98087'),
('sit', '129', 'node', '4'),
('sit', '130', 'node', '3'),
('sit', '131', 'node', '3.81603'),
('sit', '132', 'node', '3'),
('sit', '133', 'node', '3'),
('sit', '134', 'node', '3'),
('sit', '136', 'node', '3.98902'),
('sit', '137', 'node', '29.9809'),
('sit', '138', 'node', '1'),
('sit', '142', 'node', '1'),
('sit', '143', 'node', '1'),
('sit', '144', 'node', '1'),
('sit', '146', 'node', '1'),
('sit', '147', 'node', '5.36477'),
('sit', '148', 'node', '4.69365'),
('sit', '150', 'node', '6.88828'),
('sit', '151', 'node', '4.86527'),
('sit', '152', 'node', '7.72286'),
('sit', '153', 'node', '3.77549'),
('sit', '154', 'node', '3'),
('sit', '155', 'node', '3.83637'),
('sit', '156', 'node', '3.89543'),
('sit', '157', 'node', '1.97286'),
('sit', '158', 'node', '4'),
('sit', '159', 'node', '4'),
('sit', '160', 'node', '5'),
('sit', '162', 'node', '31.8808'),
('sit', '163', 'node', '1'),
('sit', '164', 'node', '2'),
('sit', '165', 'node', '2.93487'),
('sit', '167', 'node', '2.94209'),
('sit', '168', 'node', '3.95723'),
('sit', '170', 'node', '4.96498'),
('sit', '171', 'node', '2.99731'),
('sit', '172', 'node', '6.61055'),
('sit', '174', 'node', '9.26252'),
('sit', '175', 'node', '4.83051'),
('sit', '176', 'node', '4.74137'),
('sit', '177', 'node', '5.85242'),
('sit', '178', 'node', '6.86581'),
('sit', '179', 'node', '4.92645'),
('sku', '180', 'node', '1'),
('smart', '124', 'node', '26'),
('smarts', '123', 'node', '26'),
('sociis', '16', 'node', '15.5366'),
('sociis', '30', 'node', '0.997306'),
('sociis', '31', 'node', '1'),
('sociis', '33', 'node', '1'),
('sociis', '43', 'node', '1'),
('sociis', '67', 'node', '1'),
('sociis', '86', 'node', '1'),
('sociis', '91', 'node', '1'),
('sociis', '93', 'node', '1'),
('sociis', '94', 'node', '27'),
('sociis', '95', 'node', '0.934703'),
('sociis', '123', 'node', '1'),
('sociis', '134', 'node', '1.9689'),
('sociis', '136', 'node', '1'),
('sociis', '146', 'node', '1'),
('sociis', '148', 'node', '0.916736'),
('sociis', '157', 'node', '1'),
('sociis', '160', 'node', '0.997306'),
('sociis', '165', 'node', '0.942091'),
('sociis', '168', 'node', '26'),
('sociis', '174', 'node', '1'),
('sociis', '177', 'node', '1'),
('sociosqu', '12', 'node', '0.866793'),
('sociosqu', '14', 'node', '0.781775'),
('sociosqu', '16', 'node', '0.808176'),
('sociosqu', '17', 'node', '1'),
('sociosqu', '27', 'node', '1'),
('sociosqu', '29', 'node', '1'),
('sociosqu', '33', 'node', '1'),
('sociosqu', '41', 'node', '0.848323'),
('sociosqu', '43', 'node', '0.934703'),
('sociosqu', '46', 'node', '1'),
('sociosqu', '54', 'node', '1'),
('sociosqu', '67', 'node', '1'),
('sociosqu', '73', 'node', '2.8861'),
('sociosqu', '88', 'node', '1'),
('sociosqu', '93', 'node', '27.989'),
('sociosqu', '95', 'node', '1'),
('sociosqu', '104', 'node', '1'),
('sociosqu', '121', 'node', '1.93105'),
('sociosqu', '130', 'node', '1'),
('sociosqu', '153', 'node', '0.968904'),
('sociosqu', '156', 'node', '0.993146'),
('sociosqu', '167', 'node', '1'),
('sociosqu', '172', 'node', '1'),
('sociosqu', '177', 'node', '0.909743'),
('sociosqu', '179', 'node', '0.906287'),
('sodales', '12', 'node', '4.66235'),
('sodales', '13', 'node', '1.89272'),
('sodales', '14', 'node', '2.55139'),
('sodales', '15', 'node', '1'),
('sodales', '16', 'node', '4.76119'),
('sodales', '19', 'node', '3'),
('sodales', '22', 'node', '1'),
('sodales', '24', 'node', '1'),
('sodales', '25', 'node', '2'),
('sodales', '26', 'node', '1'),
('sodales', '29', 'node', '1'),
('sodales', '30', 'node', '0.869951'),
('sodales', '31', 'node', '1.92743'),
('sodales', '32', 'node', '0.953396'),
('sodales', '34', 'node', '1.95723'),
('sodales', '35', 'node', '3.97685'),
('sodales', '38', 'node', '2'),
('sodales', '41', 'node', '0.805455'),
('sodales', '44', 'node', '1.9689'),
('sodales', '46', 'node', '2'),
('sodales', '47', 'node', '1'),
('sodales', '50', 'node', '3'),
('sodales', '52', 'node', '2.89945'),
('sodales', '53', 'node', '2'),
('sodales', '54', 'node', '1'),
('sodales', '56', 'node', '2.90299'),
('sodales', '57', 'node', '1'),
('sodales', '58', 'node', '3'),
('sodales', '67', 'node', '0.892724'),
('sodales', '68', 'node', '1.98493'),
('sodales', '71', 'node', '1'),
('sodales', '73', 'node', '1.85144'),
('sodales', '82', 'node', '1'),
('sodales', '83', 'node', '1.97286'),
('sodales', '84', 'node', '1'),
('sodales', '86', 'node', '1'),
('sodales', '87', 'node', '2'),
('sodales', '90', 'node', '0.953396'),
('sodales', '91', 'node', '1'),
('sodales', '92', 'node', '3'),
('sodales', '94', 'node', '0.927431'),
('sodales', '95', 'node', '1'),
('sodales', '96', 'node', '2'),
('sodales', '97', 'node', '0.920273'),
('sodales', '98', 'node', '3.94209'),
('sodales', '100', 'node', '2'),
('sodales', '101', 'node', '0.961087'),
('sodales', '102', 'node', '1'),
('sodales', '103', 'node', '2.92384'),
('sodales', '104', 'node', '3.95723'),
('sodales', '105', 'node', '2.91674'),
('sodales', '121', 'node', '1'),
('sodales', '123', 'node', '1'),
('sodales', '124', 'node', '0.96498'),
('sodales', '125', 'node', '0.961087'),
('sodales', '128', 'node', '1'),
('sodales', '129', 'node', '1'),
('sodales', '130', 'node', '1.85127'),
('sodales', '131', 'node', '2'),
('sodales', '133', 'node', '1.99315'),
('sodales', '134', 'node', '1'),
('sodales', '136', 'node', '3'),
('sodales', '137', 'node', '2'),
('sodales', '138', 'node', '2'),
('sodales', '147', 'node', '1'),
('sodales', '148', 'node', '1.88282'),
('sodales', '150', 'node', '3.88106'),
('sodales', '151', 'node', '3'),
('sodales', '152', 'node', '1'),
('sodales', '153', 'node', '1'),
('sodales', '154', 'node', '3.81804'),
('sodales', '155', 'node', '1.85212'),
('sodales', '157', 'node', '1.91894'),
('sodales', '160', 'node', '2.9534'),
('sodales', '162', 'node', '1.97286'),
('sodales', '163', 'node', '1.96109'),
('sodales', '164', 'node', '2'),
('sodales', '165', 'node', '27'),
('sodales', '166', 'node', '1'),
('sodales', '168', 'node', '1'),
('sodales', '170', 'node', '2'),
('sodales', '171', 'node', '0.957226'),
('sodales', '172', 'node', '3.62969'),
('sodales', '174', 'node', '2.91323'),
('sodales', '175', 'node', '1.89945'),
('sodales', '176', 'node', '1.92743'),
('sodales', '177', 'node', '0.957226'),
('sodales', '179', 'node', '5.84768'),
('sollicitudin', '12', 'node', '2.66034'),
('sollicitudin', '14', 'node', '2.43259'),
('sollicitudin', '15', 'node', '1'),
('sollicitudin', '16', 'node', '1'),
('sollicitudin', '18', 'node', '2'),
('sollicitudin', '19', 'node', '3'),
('sollicitudin', '20', 'node', '3'),
('sollicitudin', '21', 'node', '1'),
('sollicitudin', '22', 'node', '1'),
('sollicitudin', '23', 'node', '2'),
('sollicitudin', '24', 'node', '3'),
('sollicitudin', '25', 'node', '1'),
('sollicitudin', '26', 'node', '2.94209'),
('sollicitudin', '27', 'node', '1'),
('sollicitudin', '30', 'node', '1'),
('sollicitudin', '31', 'node', '1'),
('sollicitudin', '33', 'node', '0.869951'),
('sollicitudin', '34', 'node', '2.99731'),
('sollicitudin', '39', 'node', '1'),
('sollicitudin', '40', 'node', '2'),
('sollicitudin', '43', 'node', '1.85716'),
('sollicitudin', '45', 'node', '0.949597'),
('sollicitudin', '47', 'node', '1'),
('sollicitudin', '50', 'node', '0.945829'),
('sollicitudin', '52', 'node', '3.99315'),
('sollicitudin', '53', 'node', '1'),
('sollicitudin', '55', 'node', '1'),
('sollicitudin', '56', 'node', '1'),
('sollicitudin', '67', 'node', '1.8126'),
('sollicitudin', '69', 'node', '1'),
('sollicitudin', '71', 'node', '1'),
('sollicitudin', '82', 'node', '1'),
('sollicitudin', '84', 'node', '2'),
('sollicitudin', '85', 'node', '1'),
('sollicitudin', '87', 'node', '1'),
('sollicitudin', '89', 'node', '1'),
('sollicitudin', '91', 'node', '2'),
('sollicitudin', '92', 'node', '1'),
('sollicitudin', '94', 'node', '2'),
('sollicitudin', '95', 'node', '1.89945'),
('sollicitudin', '96', 'node', '1'),
('sollicitudin', '97', 'node', '0.942091'),
('sollicitudin', '98', 'node', '1.96109'),
('sollicitudin', '99', 'node', '3.96498'),
('sollicitudin', '100', 'node', '2'),
('sollicitudin', '101', 'node', '1.9079'),
('sollicitudin', '102', 'node', '1'),
('sollicitudin', '103', 'node', '3'),
('sollicitudin', '104', 'node', '1.94583'),
('sollicitudin', '105', 'node', '2'),
('sollicitudin', '121', 'node', '2.86055'),
('sollicitudin', '122', 'node', '2.9347'),
('sollicitudin', '125', 'node', '2.89816'),
('sollicitudin', '126', 'node', '1.92027'),
('sollicitudin', '127', 'node', '2'),
('sollicitudin', '128', 'node', '27.9809'),
('sollicitudin', '129', 'node', '2.99315'),
('sollicitudin', '130', 'node', '0.942091'),
('sollicitudin', '131', 'node', '4.90318'),
('sollicitudin', '132', 'node', '3'),
('sollicitudin', '134', 'node', '0.961087'),
('sollicitudin', '136', 'node', '0.96498'),
('sollicitudin', '137', 'node', '2'),
('sollicitudin', '138', 'node', '1'),
('sollicitudin', '143', 'node', '1'),
('sollicitudin', '147', 'node', '1'),
('sollicitudin', '148', 'node', '0.989021'),
('sollicitudin', '150', 'node', '1'),
('sollicitudin', '151', 'node', '0.949597'),
('sollicitudin', '152', 'node', '1.83701'),
('sollicitudin', '153', 'node', '0.993146'),
('sollicitudin', '154', 'node', '4.79891'),
('sollicitudin', '156', 'node', '1'),
('sollicitudin', '157', 'node', '1'),
('sollicitudin', '158', 'node', '0.976851'),
('sollicitudin', '159', 'node', '0.980874'),
('sollicitudin', '161', 'node', '1.98087'),
('sollicitudin', '162', 'node', '1'),
('sollicitudin', '164', 'node', '1'),
('sollicitudin', '165', 'node', '2'),
('sollicitudin', '166', 'node', '1'),
('sollicitudin', '167', 'node', '3.94209'),
('sollicitudin', '168', 'node', '1'),
('sollicitudin', '169', 'node', '1'),
('sollicitudin', '170', 'node', '28.9578'),
('sollicitudin', '171', 'node', '1'),
('sollicitudin', '172', 'node', '3.86894'),
('sollicitudin', '175', 'node', '1'),
('sollicitudin', '176', 'node', '1.92384'),
('sollicitudin', '177', 'node', '2.86366'),
('sollicitudin', '178', 'node', '1'),
('sollicitudin', '179', 'node', '1'),
('sollicitudin', '184', 'node', '1'),
('soon', '156', 'node', '26'),
('space', '142', 'node', '1'),
('space', '143', 'node', '1'),
('space', '144', 'node', '1'),
('space', '145', 'node', '1'),
('space', '146', 'node', '1'),
('submitted', '12', 'node', '2.48306'),
('submitted', '13', 'node', '0.968904'),
('submitted', '14', 'node', '4.12297'),
('submitted', '16', 'node', '1.80022'),
('super', '11', 'node', '1'),
('supercharge', '123', 'node', '26'),
('support', '71', 'node', '11'),
('support', '123', 'node', '37'),
('support', '124', 'node', '26'),
('support', '142', 'node', '1'),
('support', '143', 'node', '1'),
('support', '144', 'node', '1'),
('suscipit', '12', 'node', '1.93105'),
('suscipit', '13', 'node', '2.89531'),
('suscipit', '14', 'node', '1'),
('suscipit', '15', 'node', '2.97286'),
('suscipit', '16', 'node', '1'),
('suscipit', '17', 'node', '0.920273'),
('suscipit', '18', 'node', '2.9496'),
('suscipit', '19', 'node', '2'),
('suscipit', '20', 'node', '4'),
('suscipit', '21', 'node', '1.98902'),
('suscipit', '22', 'node', '3'),
('suscipit', '24', 'node', '0.972861'),
('suscipit', '25', 'node', '2'),
('suscipit', '26', 'node', '1.99731'),
('suscipit', '27', 'node', '0.993146'),
('suscipit', '29', 'node', '2'),
('suscipit', '32', 'node', '2'),
('suscipit', '33', 'node', '2.83025'),
('suscipit', '34', 'node', '1'),
('suscipit', '35', 'node', '2'),
('suscipit', '38', 'node', '2.7891'),
('suscipit', '40', 'node', '28'),
('suscipit', '41', 'node', '1'),
('suscipit', '42', 'node', '1'),
('suscipit', '43', 'node', '1'),
('suscipit', '47', 'node', '4'),
('suscipit', '50', 'node', '1'),
('suscipit', '52', 'node', '1'),
('suscipit', '53', 'node', '1.98493'),
('suscipit', '54', 'node', '1'),
('suscipit', '55', 'node', '1.96498'),
('suscipit', '56', 'node', '1'),
('suscipit', '57', 'node', '2'),
('suscipit', '58', 'node', '1'),
('suscipit', '67', 'node', '1'),
('suscipit', '68', 'node', '1'),
('suscipit', '69', 'node', '3'),
('suscipit', '71', 'node', '0.976851'),
('suscipit', '83', 'node', '1'),
('suscipit', '85', 'node', '1'),
('suscipit', '86', 'node', '0.968904'),
('suscipit', '87', 'node', '1'),
('suscipit', '88', 'node', '0.942091'),
('suscipit', '89', 'node', '1'),
('suscipit', '90', 'node', '2.94583'),
('suscipit', '91', 'node', '1'),
('suscipit', '93', 'node', '1.85245'),
('suscipit', '94', 'node', '1'),
('suscipit', '97', 'node', '1'),
('suscipit', '98', 'node', '1'),
('suscipit', '99', 'node', '0.993146'),
('suscipit', '100', 'node', '3.84888'),
('suscipit', '102', 'node', '2'),
('suscipit', '103', 'node', '1.91674'),
('suscipit', '104', 'node', '1'),
('suscipit', '121', 'node', '1'),
('suscipit', '122', 'node', '1.99731'),
('suscipit', '124', 'node', '1.90974'),
('suscipit', '125', 'node', '2'),
('suscipit', '127', 'node', '1'),
('suscipit', '128', 'node', '1.99731'),
('suscipit', '130', 'node', '1'),
('suscipit', '131', 'node', '2'),
('suscipit', '132', 'node', '1'),
('suscipit', '133', 'node', '2.93009'),
('suscipit', '134', 'node', '1'),
('suscipit', '136', 'node', '1'),
('suscipit', '138', 'node', '2'),
('suscipit', '139', 'node', '1'),
('suscipit', '147', 'node', '3.90629'),
('suscipit', '148', 'node', '8.4827'),
('suscipit', '150', 'node', '1'),
('suscipit', '151', 'node', '1'),
('suscipit', '152', 'node', '1.86008'),
('suscipit', '153', 'node', '2.8894'),
('suscipit', '154', 'node', '2'),
('suscipit', '155', 'node', '0.96498'),
('suscipit', '157', 'node', '1'),
('suscipit', '158', 'node', '1'),
('suscipit', '159', 'node', '1'),
('suscipit', '160', 'node', '2'),
('suscipit', '161', 'node', '0.96498'),
('suscipit', '163', 'node', '1'),
('suscipit', '164', 'node', '2'),
('suscipit', '165', 'node', '1'),
('suscipit', '166', 'node', '1'),
('suscipit', '168', 'node', '2'),
('suscipit', '172', 'node', '0.899454'),
('suscipit', '174', 'node', '1.67225'),
('suscipit', '175', 'node', '1'),
('suscipit', '176', 'node', '1'),
('suscipit', '177', 'node', '3.99461'),
('suscipit', '178', 'node', '2'),
('suscipit', '183', 'node', '1'),
('suspendisse', '12', 'node', '17.2013'),
('suspendisse', '13', 'node', '1.90286'),
('suspendisse', '14', 'node', '4.53271'),
('suspendisse', '15', 'node', '1'),
('suspendisse', '16', 'node', '20.7556'),
('suspendisse', '17', 'node', '1'),
('suspendisse', '18', 'node', '0.96498'),
('suspendisse', '19', 'node', '1'),
('suspendisse', '21', 'node', '3'),
('suspendisse', '23', 'node', '1'),
('suspendisse', '26', 'node', '4'),
('suspendisse', '27', 'node', '2'),
('suspendisse', '31', 'node', '1'),
('suspendisse', '33', 'node', '0.879565'),
('suspendisse', '35', 'node', '0.997306'),
('suspendisse', '37', 'node', '0.96498'),
('suspendisse', '38', 'node', '3'),
('suspendisse', '39', 'node', '29'),
('suspendisse', '41', 'node', '1.8249'),
('suspendisse', '42', 'node', '2'),
('suspendisse', '43', 'node', '0.953396'),
('suspendisse', '44', 'node', '3'),
('suspendisse', '46', 'node', '1'),
('suspendisse', '47', 'node', '1.98087'),
('suspendisse', '52', 'node', '1'),
('suspendisse', '55', 'node', '0.98493'),
('suspendisse', '56', 'node', '1'),
('suspendisse', '67', 'node', '1.97286'),
('suspendisse', '68', 'node', '2.98493'),
('suspendisse', '71', 'node', '2'),
('suspendisse', '73', 'node', '0.896076'),
('suspendisse', '82', 'node', '1'),
('suspendisse', '83', 'node', '1'),
('suspendisse', '85', 'node', '1'),
('suspendisse', '88', 'node', '1'),
('suspendisse', '89', 'node', '1'),
('suspendisse', '90', 'node', '1'),
('suspendisse', '91', 'node', '1'),
('suspendisse', '92', 'node', '1'),
('suspendisse', '94', 'node', '1'),
('suspendisse', '96', 'node', '1'),
('suspendisse', '97', 'node', '2'),
('suspendisse', '98', 'node', '1.92268'),
('suspendisse', '99', 'node', '2'),
('suspendisse', '101', 'node', '2.99731'),
('suspendisse', '102', 'node', '1'),
('suspendisse', '103', 'node', '1.96498'),
('suspendisse', '104', 'node', '2.9496'),
('suspendisse', '105', 'node', '2.99731'),
('suspendisse', '123', 'node', '0.945829'),
('suspendisse', '124', 'node', '2.9534'),
('suspendisse', '126', 'node', '1.8477'),
('suspendisse', '127', 'node', '3'),
('suspendisse', '128', 'node', '2'),
('suspendisse', '130', 'node', '28.9242'),
('suspendisse', '131', 'node', '1.93395'),
('suspendisse', '132', 'node', '3'),
('suspendisse', '133', 'node', '1.92613'),
('suspendisse', '134', 'node', '2'),
('suspendisse', '136', 'node', '2'),
('suspendisse', '138', 'node', '1'),
('suspendisse', '139', 'node', '2'),
('suspendisse', '142', 'node', '1'),
('suspendisse', '143', 'node', '2'),
('suspendisse', '144', 'node', '1'),
('suspendisse', '145', 'node', '1'),
('suspendisse', '147', 'node', '1.96109'),
('suspendisse', '148', 'node', '4.79041'),
('suspendisse', '150', 'node', '3.86576'),
('suspendisse', '151', 'node', '0.938382'),
('suspendisse', '152', 'node', '1.93838'),
('suspendisse', '153', 'node', '3.89876'),
('suspendisse', '154', 'node', '1.97286'),
('suspendisse', '155', 'node', '0.942091'),
('suspendisse', '156', 'node', '1'),
('suspendisse', '157', 'node', '0.945829'),
('suspendisse', '158', 'node', '1'),
('suspendisse', '159', 'node', '1'),
('suspendisse', '160', 'node', '3'),
('suspendisse', '162', 'node', '1'),
('suspendisse', '163', 'node', '1'),
('suspendisse', '164', 'node', '2.96109'),
('suspendisse', '165', 'node', '1.95723'),
('suspendisse', '167', 'node', '1.89214'),
('suspendisse', '168', 'node', '3'),
('suspendisse', '169', 'node', '1'),
('suspendisse', '172', 'node', '0.902857'),
('suspendisse', '174', 'node', '1'),
('suspendisse', '176', 'node', '3'),
('suspendisse', '177', 'node', '1'),
('suspendisse', '178', 'node', '1.92384'),
('suspendisse', '179', 'node', '1.79697'),
('taciti', '12', 'node', '0.869951'),
('taciti', '14', 'node', '0.784336'),
('taciti', '16', 'node', '0.810915'),
('taciti', '17', 'node', '1'),
('taciti', '27', 'node', '1'),
('taciti', '29', 'node', '1'),
('taciti', '33', 'node', '1'),
('taciti', '41', 'node', '0.851346'),
('taciti', '43', 'node', '0.938382'),
('taciti', '46', 'node', '1'),
('taciti', '54', 'node', '1'),
('taciti', '67', 'node', '1'),
('taciti', '73', 'node', '2.8861'),
('taciti', '88', 'node', '1'),
('taciti', '93', 'node', '27.989'),
('taciti', '95', 'node', '1'),
('taciti', '104', 'node', '1'),
('taciti', '121', 'node', '1.93105'),
('taciti', '130', 'node', '1'),
('taciti', '153', 'node', '0.972861'),
('taciti', '156', 'node', '0.997306'),
('taciti', '167', 'node', '1'),
('taciti', '172', 'node', '1'),
('taciti', '177', 'node', '0.913226'),
('taciti', '179', 'node', '0.909743'),
('team', '142', 'node', '1'),
('team', '143', 'node', '1'),
('team', '144', 'node', '1'),
('team', '145', 'node', '1'),
('tech', '142', 'node', '1'),
('tech', '143', 'node', '1'),
('tech', '144', 'node', '1'),
('tellus', '12', 'node', '3.3699'),
('tellus', '13', 'node', '2'),
('tellus', '14', 'node', '32.7436'),
('tellus', '16', 'node', '3.91323'),
('tellus', '17', 'node', '3.94183'),
('tellus', '19', 'node', '1'),
('tellus', '20', 'node', '1'),
('tellus', '21', 'node', '1'),
('tellus', '22', 'node', '4'),
('tellus', '24', 'node', '2.9689'),
('tellus', '25', 'node', '1'),
('tellus', '26', 'node', '3'),
('tellus', '28', 'node', '27'),
('tellus', '29', 'node', '3'),
('tellus', '31', 'node', '2'),
('tellus', '32', 'node', '0.949597'),
('tellus', '34', 'node', '2'),
('tellus', '35', 'node', '2'),
('tellus', '37', 'node', '13'),
('tellus', '38', 'node', '3.8894'),
('tellus', '39', 'node', '0.968904'),
('tellus', '40', 'node', '33'),
('tellus', '41', 'node', '34'),
('tellus', '42', 'node', '1.99315'),
('tellus', '44', 'node', '1'),
('tellus', '45', 'node', '2.98493'),
('tellus', '46', 'node', '0.961087'),
('tellus', '47', 'node', '2'),
('tellus', '50', 'node', '2.93111'),
('tellus', '52', 'node', '1.97286'),
('tellus', '53', 'node', '1.98493'),
('tellus', '54', 'node', '0.997306'),
('tellus', '55', 'node', '1'),
('tellus', '56', 'node', '0.938382'),
('tellus', '57', 'node', '4'),
('tellus', '58', 'node', '1'),
('tellus', '65', 'node', '3'),
('tellus', '67', 'node', '2'),
('tellus', '68', 'node', '3'),
('tellus', '71', 'node', '2'),
('tellus', '73', 'node', '2'),
('tellus', '82', 'node', '3'),
('tellus', '84', 'node', '1'),
('tellus', '85', 'node', '1'),
('tellus', '86', 'node', '4'),
('tellus', '87', 'node', '1'),
('tellus', '89', 'node', '2'),
('tellus', '90', 'node', '0.96498'),
('tellus', '91', 'node', '1'),
('tellus', '92', 'node', '1'),
('tellus', '94', 'node', '1.92114'),
('tellus', '95', 'node', '2'),
('tellus', '96', 'node', '2'),
('tellus', '97', 'node', '1.9534'),
('tellus', '101', 'node', '1'),
('tellus', '102', 'node', '0.989021'),
('tellus', '103', 'node', '4.92384'),
('tellus', '104', 'node', '1.97685'),
('tellus', '105', 'node', '13'),
('tellus', '121', 'node', '0.909743'),
('tellus', '122', 'node', '6.88015'),
('tellus', '123', 'node', '1.92246'),
('tellus', '124', 'node', '1'),
('tellus', '125', 'node', '3.89876'),
('tellus', '128', 'node', '1.98902'),
('tellus', '131', 'node', '2.88318'),
('tellus', '132', 'node', '0.976851'),
('tellus', '133', 'node', '2'),
('tellus', '134', 'node', '2'),
('tellus', '136', 'node', '1'),
('tellus', '137', 'node', '4'),
('tellus', '138', 'node', '1'),
('tellus', '139', 'node', '1.99731'),
('tellus', '143', 'node', '2'),
('tellus', '147', 'node', '1.85746'),
('tellus', '148', 'node', '2.78159'),
('tellus', '150', 'node', '3'),
('tellus', '151', 'node', '1'),
('tellus', '152', 'node', '1.84869'),
('tellus', '153', 'node', '1.98902'),
('tellus', '154', 'node', '3.90629'),
('tellus', '155', 'node', '2'),
('tellus', '156', 'node', '3.89543'),
('tellus', '157', 'node', '2'),
('tellus', '158', 'node', '2.92999'),
('tellus', '159', 'node', '2.93784'),
('tellus', '160', 'node', '5'),
('tellus', '161', 'node', '2'),
('tellus', '162', 'node', '5.96109'),
('tellus', '163', 'node', '1.99731'),
('tellus', '165', 'node', '4'),
('tellus', '166', 'node', '1.98493'),
('tellus', '167', 'node', '1.92027'),
('tellus', '168', 'node', '1.99315'),
('tellus', '171', 'node', '3.92114'),
('tellus', '172', 'node', '1.75461'),
('tellus', '174', 'node', '3.36657'),
('tellus', '175', 'node', '1.92384'),
('tellus', '176', 'node', '1'),
('tellus', '177', 'node', '1.9496'),
('tellus', '178', 'node', '3.70888'),
('tellus', '179', 'node', '1'),
('tellus', '183', 'node', '1'),
('tempor', '12', 'node', '1.8477'),
('tempor', '13', 'node', '0.899454'),
('tempor', '14', 'node', '4.23241'),
('tempor', '16', 'node', '3.76096'),
('tempor', '17', 'node', '1.84417'),
('tempor', '18', 'node', '4.94209'),
('tempor', '20', 'node', '1'),
('tempor', '21', 'node', '1'),
('tempor', '22', 'node', '1'),
('tempor', '23', 'node', '1'),
('tempor', '24', 'node', '2'),
('tempor', '26', 'node', '3.99731'),
('tempor', '27', 'node', '2'),
('tempor', '28', 'node', '1'),
('tempor', '29', 'node', '2'),
('tempor', '32', 'node', '1.94209'),
('tempor', '33', 'node', '2'),
('tempor', '34', 'node', '2'),
('tempor', '35', 'node', '0.980874'),
('tempor', '40', 'node', '1'),
('tempor', '42', 'node', '2'),
('tempor', '43', 'node', '1'),
('tempor', '45', 'node', '0.942091'),
('tempor', '46', 'node', '0.949597'),
('tempor', '52', 'node', '1'),
('tempor', '54', 'node', '1.94209'),
('tempor', '55', 'node', '2'),
('tempor', '56', 'node', '1'),
('tempor', '57', 'node', '1'),
('tempor', '65', 'node', '1'),
('tempor', '67', 'node', '1.84495'),
('tempor', '68', 'node', '2'),
('tempor', '71', 'node', '2.95772'),
('tempor', '73', 'node', '1'),
('tempor', '82', 'node', '2'),
('tempor', '83', 'node', '1'),
('tempor', '86', 'node', '1'),
('tempor', '87', 'node', '1'),
('tempor', '89', 'node', '1'),
('tempor', '90', 'node', '0.98493'),
('tempor', '91', 'node', '2'),
('tempor', '92', 'node', '1'),
('tempor', '93', 'node', '1'),
('tempor', '94', 'node', '1'),
('tempor', '97', 'node', '0.913226'),
('tempor', '98', 'node', '1'),
('tempor', '99', 'node', '1.97286'),
('tempor', '100', 'node', '1.97286'),
('tempor', '101', 'node', '3.97685'),
('tempor', '121', 'node', '0.968904'),
('tempor', '122', 'node', '0.949597'),
('tempor', '124', 'node', '2.92743'),
('tempor', '126', 'node', '1.92027'),
('tempor', '128', 'node', '2'),
('tempor', '129', 'node', '2'),
('tempor', '134', 'node', '1.98902'),
('tempor', '136', 'node', '2'),
('tempor', '137', 'node', '0.993146'),
('tempor', '138', 'node', '1'),
('tempor', '142', 'node', '1'),
('tempor', '148', 'node', '1'),
('tempor', '150', 'node', '2.88106'),
('tempor', '151', 'node', '0.927431'),
('tempor', '152', 'node', '1.90286'),
('tempor', '153', 'node', '0.886095'),
('tempor', '155', 'node', '1.90629'),
('tempor', '156', 'node', '1'),
('tempor', '157', 'node', '0.980874'),
('tempor', '158', 'node', '3.9689'),
('tempor', '159', 'node', '3.97286'),
('tempor', '161', 'node', '2'),
('tempor', '162', 'node', '2'),
('tempor', '163', 'node', '27.9222'),
('tempor', '164', 'node', '1'),
('tempor', '166', 'node', '1'),
('tempor', '167', 'node', '1'),
('tempor', '168', 'node', '0.989021'),
('tempor', '169', 'node', '2'),
('tempor', '170', 'node', '1'),
('tempor', '172', 'node', '1.86995'),
('tempor', '174', 'node', '1.83063'),
('tempor', '176', 'node', '2.76891'),
('tempor', '177', 'node', '3'),
('tempor', '179', 'node', '0.949597'),
('tempor', '183', 'node', '1'),
('tempor', '184', 'node', '1'),
('tempus', '12', 'node', '5.2996'),
('tempus', '13', 'node', '0.920273'),
('tempus', '14', 'node', '5.01415'),
('tempus', '16', 'node', '0.913226'),
('tempus', '18', 'node', '1'),
('tempus', '19', 'node', '2'),
('tempus', '20', 'node', '1'),
('tempus', '22', 'node', '1'),
('tempus', '24', 'node', '2.98493'),
('tempus', '25', 'node', '1'),
('tempus', '27', 'node', '2.96498'),
('tempus', '28', 'node', '1'),
('tempus', '31', 'node', '1'),
('tempus', '32', 'node', '1'),
('tempus', '34', 'node', '3'),
('tempus', '35', 'node', '2'),
('tempus', '37', 'node', '2'),
('tempus', '38', 'node', '1'),
('tempus', '39', 'node', '1'),
('tempus', '40', 'node', '2'),
('tempus', '41', 'node', '4.85785'),
('tempus', '42', 'node', '1.99731'),
('tempus', '43', 'node', '1'),
('tempus', '44', 'node', '1'),
('tempus', '46', 'node', '1'),
('tempus', '50', 'node', '0.980874'),
('tempus', '52', 'node', '1'),
('tempus', '54', 'node', '1'),
('tempus', '55', 'node', '0.957226'),
('tempus', '56', 'node', '1'),
('tempus', '57', 'node', '1'),
('tempus', '58', 'node', '1'),
('tempus', '65', 'node', '1'),
('tempus', '68', 'node', '1'),
('tempus', '82', 'node', '1'),
('tempus', '83', 'node', '3.98493'),
('tempus', '87', 'node', '2.99731'),
('tempus', '88', 'node', '1'),
('tempus', '89', 'node', '2'),
('tempus', '90', 'node', '1'),
('tempus', '91', 'node', '2'),
('tempus', '93', 'node', '1.93105'),
('tempus', '95', 'node', '1'),
('tempus', '97', 'node', '1'),
('tempus', '98', 'node', '1.95723'),
('tempus', '99', 'node', '2.96498'),
('tempus', '100', 'node', '1.91236'),
('tempus', '101', 'node', '0.927431'),
('tempus', '103', 'node', '3.81577'),
('tempus', '104', 'node', '1'),
('tempus', '105', 'node', '1'),
('tempus', '121', 'node', '1.88282'),
('tempus', '122', 'node', '2.98902'),
('tempus', '125', 'node', '0.980874'),
('tempus', '128', 'node', '2'),
('tempus', '129', 'node', '3'),
('tempus', '132', 'node', '1'),
('tempus', '133', 'node', '1'),
('tempus', '137', 'node', '1'),
('tempus', '138', 'node', '2'),
('tempus', '139', 'node', '1'),
('tempus', '144', 'node', '1'),
('tempus', '147', 'node', '0.98493'),
('tempus', '148', 'node', '4.48785'),
('tempus', '150', 'node', '4.83785'),
('tempus', '151', 'node', '2'),
('tempus', '152', 'node', '2'),
('tempus', '153', 'node', '1.79738'),
('tempus', '154', 'node', '0.902857'),
('tempus', '156', 'node', '2'),
('tempus', '157', 'node', '2.97685'),
('tempus', '160', 'node', '1'),
('tempus', '162', 'node', '0.961087'),
('tempus', '163', 'node', '0.957226'),
('tempus', '164', 'node', '1'),
('tempus', '165', 'node', '2'),
('tempus', '166', 'node', '0.997306'),
('tempus', '167', 'node', '1.92384'),
('tempus', '168', 'node', '1'),
('tempus', '169', 'node', '1'),
('tempus', '170', 'node', '1'),
('tempus', '171', 'node', '1'),
('tempus', '172', 'node', '2.7179'),
('tempus', '174', 'node', '0.882818'),
('tempus', '175', 'node', '0.953396'),
('tempus', '176', 'node', '1.77902'),
('tempus', '177', 'node', '2.92274'),
('tempus', '179', 'node', '2'),
('text', '181', 'node', '1'),
('text', '182', 'node', '1'),
('textarea', '181', 'node', '1'),
('textarea', '182', 'node', '1'),
('the', '90', 'node', '26'),
('the', '124', 'node', '26'),
('think', '11', 'node', '26'),
('timberland', '180', 'node', '26'),
('tincidunt', '12', 'node', '9.9476'),
('tincidunt', '13', 'node', '6.94209'),
('tincidunt', '14', 'node', '7.55277'),
('tincidunt', '15', 'node', '1.9496'),
('tincidunt', '16', 'node', '5.61449'),
('tincidunt', '17', 'node', '6.92645'),
('tincidunt', '18', 'node', '2.9534'),
('tincidunt', '19', 'node', '2'),
('tincidunt', '20', 'node', '2'),
('tincidunt', '21', 'node', '2'),
('tincidunt', '22', 'node', '4'),
('tincidunt', '23', 'node', '3'),
('tincidunt', '24', 'node', '1.98902'),
('tincidunt', '25', 'node', '4'),
('tincidunt', '26', 'node', '1.9534'),
('tincidunt', '28', 'node', '27'),
('tincidunt', '29', 'node', '2'),
('tincidunt', '30', 'node', '3.91323'),
('tincidunt', '31', 'node', '4'),
('tincidunt', '32', 'node', '2.92384'),
('tincidunt', '33', 'node', '2.9469'),
('tincidunt', '34', 'node', '0.96498'),
('tincidunt', '35', 'node', '1'),
('tincidunt', '37', 'node', '14.9549'),
('tincidunt', '38', 'node', '0.902857'),
('tincidunt', '39', 'node', '1'),
('tincidunt', '40', 'node', '16'),
('tincidunt', '41', 'node', '25.7559'),
('tincidunt', '42', 'node', '2'),
('tincidunt', '43', 'node', '1'),
('tincidunt', '44', 'node', '2'),
('tincidunt', '45', 'node', '2.96986'),
('tincidunt', '46', 'node', '2.9496'),
('tincidunt', '47', 'node', '4'),
('tincidunt', '50', 'node', '3.98902'),
('tincidunt', '52', 'node', '3.86967'),
('tincidunt', '53', 'node', '3.98087'),
('tincidunt', '54', 'node', '3'),
('tincidunt', '55', 'node', '3'),
('tincidunt', '56', 'node', '7.86517'),
('tincidunt', '57', 'node', '2'),
('tincidunt', '58', 'node', '4'),
('tincidunt', '65', 'node', '1'),
('tincidunt', '67', 'node', '3.89919'),
('tincidunt', '68', 'node', '2'),
('tincidunt', '69', 'node', '1'),
('tincidunt', '71', 'node', '2'),
('tincidunt', '73', 'node', '1'),
('tincidunt', '82', 'node', '3'),
('tincidunt', '83', 'node', '5'),
('tincidunt', '84', 'node', '3'),
('tincidunt', '85', 'node', '3'),
('tincidunt', '86', 'node', '2'),
('tincidunt', '87', 'node', '1'),
('tincidunt', '88', 'node', '2.9496'),
('tincidunt', '90', 'node', '2.91081'),
('tincidunt', '92', 'node', '2'),
('tincidunt', '93', 'node', '1.98493'),
('tincidunt', '94', 'node', '1'),
('tincidunt', '95', 'node', '0.993146'),
('tincidunt', '96', 'node', '1'),
('tincidunt', '97', 'node', '2.98087'),
('tincidunt', '98', 'node', '2.94209'),
('tincidunt', '99', 'node', '4'),
('tincidunt', '100', 'node', '2.92743'),
('tincidunt', '101', 'node', '2'),
('tincidunt', '102', 'node', '3'),
('tincidunt', '103', 'node', '3.91286'),
('tincidunt', '104', 'node', '2'),
('tincidunt', '105', 'node', '14.8842'),
('tincidunt', '121', 'node', '5.78103'),
('tincidunt', '122', 'node', '3'),
('tincidunt', '123', 'node', '3.9534'),
('tincidunt', '124', 'node', '0.934703'),
('tincidunt', '125', 'node', '3.97804'),
('tincidunt', '126', 'node', '3.98902'),
('tincidunt', '127', 'node', '4'),
('tincidunt', '129', 'node', '2'),
('tincidunt', '130', 'node', '5.97685'),
('tincidunt', '131', 'node', '5.55855'),
('tincidunt', '133', 'node', '5'),
('tincidunt', '134', 'node', '1.94313'),
('tincidunt', '136', 'node', '2'),
('tincidunt', '137', 'node', '2'),
('tincidunt', '138', 'node', '5'),
('tincidunt', '139', 'node', '3'),
('tincidunt', '142', 'node', '1'),
('tincidunt', '143', 'node', '3'),
('tincidunt', '144', 'node', '1'),
('tincidunt', '145', 'node', '2'),
('tincidunt', '146', 'node', '2'),
('tincidunt', '147', 'node', '1.85746'),
('tincidunt', '148', 'node', '4.45626'),
('tincidunt', '150', 'node', '1.96109'),
('tincidunt', '151', 'node', '6.91528'),
('tincidunt', '152', 'node', '1.87433'),
('tincidunt', '153', 'node', '2'),
('tincidunt', '154', 'node', '4.72708'),
('tincidunt', '155', 'node', '3.78876'),
('tincidunt', '156', 'node', '2'),
('tincidunt', '157', 'node', '1'),
('tincidunt', '158', 'node', '3.99731'),
('tincidunt', '159', 'node', '4'),
('tincidunt', '161', 'node', '2.94583'),
('tincidunt', '162', 'node', '2.95723'),
('tincidunt', '164', 'node', '3'),
('tincidunt', '165', 'node', '2.95723'),
('tincidunt', '166', 'node', '1'),
('tincidunt', '167', 'node', '1.94583'),
('tincidunt', '168', 'node', '4'),
('tincidunt', '169', 'node', '1'),
('tincidunt', '170', 'node', '1.93105'),
('tincidunt', '171', 'node', '1.87344'),
('tincidunt', '172', 'node', '1.79041'),
('tincidunt', '174', 'node', '0.810915'),
('tincidunt', '176', 'node', '6.53473'),
('tincidunt', '177', 'node', '3.92743'),
('tincidunt', '178', 'node', '5.76628'),
('tincidunt', '179', 'node', '3.68297'),
('tincidunt', '184', 'node', '1'),
('tools', '126', 'node', '11'),
('torquent', '12', 'node', '0.860547'),
('torquent', '14', 'node', '0.776703'),
('torquent', '16', 'node', '0.802752'),
('torquent', '17', 'node', '1'),
('torquent', '27', 'node', '1'),
('torquent', '29', 'node', '1'),
('torquent', '33', 'node', '1'),
('torquent', '41', 'node', '0.842342'),
('torquent', '43', 'node', '0.927431'),
('torquent', '46', 'node', '0.993146'),
('torquent', '54', 'node', '1'),
('torquent', '67', 'node', '1'),
('torquent', '73', 'node', '2.8861'),
('torquent', '88', 'node', '1'),
('torquent', '93', 'node', '1.98902'),
('torquent', '95', 'node', '1'),
('torquent', '104', 'node', '1'),
('torquent', '121', 'node', '1.93105'),
('torquent', '130', 'node', '1'),
('torquent', '153', 'node', '0.961087'),
('torquent', '156', 'node', '0.98493'),
('torquent', '167', 'node', '0.997306'),
('torquent', '172', 'node', '1'),
('torquent', '177', 'node', '0.902857'),
('torquent', '179', 'node', '0.899454'),
('tortor', '12', 'node', '20.877'),
('tortor', '13', 'node', '1'),
('tortor', '14', 'node', '9.86681'),
('tortor', '15', 'node', '5.97286'),
('tortor', '16', 'node', '0.899454'),
('tortor', '17', 'node', '2.84417'),
('tortor', '18', 'node', '3'),
('tortor', '19', 'node', '1'),
('tortor', '20', 'node', '1'),
('tortor', '21', 'node', '1'),
('tortor', '23', 'node', '29'),
('tortor', '24', 'node', '0.942091'),
('tortor', '25', 'node', '1'),
('tortor', '26', 'node', '0.902857'),
('tortor', '28', 'node', '5'),
('tortor', '29', 'node', '2'),
('tortor', '30', 'node', '1.87957'),
('tortor', '31', 'node', '0.931053'),
('tortor', '32', 'node', '1.9347'),
('tortor', '33', 'node', '1.79836'),
('tortor', '34', 'node', '5.89919'),
('tortor', '35', 'node', '2'),
('tortor', '37', 'node', '1.96498'),
('tortor', '38', 'node', '1.77229'),
('tortor', '40', 'node', '1'),
('tortor', '41', 'node', '5.55058'),
('tortor', '42', 'node', '30'),
('tortor', '44', 'node', '1'),
('tortor', '45', 'node', '0.997306'),
('tortor', '46', 'node', '1'),
('tortor', '47', 'node', '2'),
('tortor', '50', 'node', '3.91155'),
('tortor', '52', 'node', '3'),
('tortor', '54', 'node', '0.927431'),
('tortor', '55', 'node', '1'),
('tortor', '58', 'node', '1'),
('tortor', '65', 'node', '2'),
('tortor', '67', 'node', '2.74538'),
('tortor', '68', 'node', '2'),
('tortor', '69', 'node', '1'),
('tortor', '71', 'node', '2'),
('tortor', '73', 'node', '1.77882'),
('tortor', '82', 'node', '3'),
('tortor', '83', 'node', '1.97286'),
('tortor', '85', 'node', '2'),
('tortor', '86', 'node', '3.9496'),
('tortor', '87', 'node', '2.99731'),
('tortor', '88', 'node', '1'),
('tortor', '89', 'node', '1'),
('tortor', '90', 'node', '1'),
('tortor', '91', 'node', '1'),
('tortor', '92', 'node', '1'),
('tortor', '93', 'node', '0.899454'),
('tortor', '94', 'node', '4.87679'),
('tortor', '96', 'node', '2'),
('tortor', '97', 'node', '1'),
('tortor', '98', 'node', '1'),
('tortor', '100', 'node', '2'),
('tortor', '101', 'node', '1'),
('tortor', '102', 'node', '1'),
('tortor', '103', 'node', '1.97286'),
('tortor', '104', 'node', '3.97685'),
('tortor', '105', 'node', '4'),
('tortor', '121', 'node', '3.75743'),
('tortor', '122', 'node', '2'),
('tortor', '124', 'node', '2.83717'),
('tortor', '125', 'node', '1.99731'),
('tortor', '127', 'node', '2'),
('tortor', '128', 'node', '1'),
('tortor', '133', 'node', '1.99315'),
('tortor', '136', 'node', '1'),
('tortor', '138', 'node', '1'),
('tortor', '142', 'node', '2'),
('tortor', '143', 'node', '2'),
('tortor', '146', 'node', '1'),
('tortor', '147', 'node', '1.73396'),
('tortor', '148', 'node', '1.97286'),
('tortor', '150', 'node', '0.96498'),
('tortor', '151', 'node', '2.98493'),
('tortor', '152', 'node', '1'),
('tortor', '154', 'node', '3.96498'),
('tortor', '155', 'node', '2'),
('tortor', '156', 'node', '1'),
('tortor', '158', 'node', '2'),
('tortor', '159', 'node', '2'),
('tortor', '160', 'node', '2'),
('tortor', '161', 'node', '4.91124'),
('tortor', '162', 'node', '1.88466'),
('tortor', '163', 'node', '28.9611'),
('tortor', '164', 'node', '1.96109'),
('tortor', '165', 'node', '3.99731'),
('tortor', '166', 'node', '2'),
('tortor', '167', 'node', '1'),
('tortor', '168', 'node', '1.98087'),
('tortor', '169', 'node', '1'),
('tortor', '170', 'node', '29.9849'),
('tortor', '171', 'node', '2'),
('tortor', '172', 'node', '0.931053'),
('tortor', '174', 'node', '2.77982'),
('tortor', '175', 'node', '4'),
('tortor', '176', 'node', '2.87736'),
('tortor', '177', 'node', '4.99461'),
('tortor', '178', 'node', '2.89272'),
('tortor', '179', 'node', '4.784'),
('tortor', '183', 'node', '1'),
('total', '11', 'node', '1'),
('trainers', '180', 'node', '11'),
('trend', '47', 'node', '26'),
('tristique', '12', 'node', '6.07817'),
('tristique', '13', 'node', '1.89608'),
('tristique', '14', 'node', '1.65006'),
('tristique', '15', 'node', '1'),
('tristique', '17', 'node', '0.961087'),
('tristique', '18', 'node', '27.9421'),
('tristique', '20', 'node', '3'),
('tristique', '21', 'node', '1'),
('tristique', '22', 'node', '1'),
('tristique', '23', 'node', '1'),
('tristique', '26', 'node', '1.98902'),
('tristique', '27', 'node', '0.96498'),
('tristique', '29', 'node', '1'),
('tristique', '30', 'node', '1.89608'),
('tristique', '33', 'node', '3.66867'),
('tristique', '34', 'node', '3'),
('tristique', '35', 'node', '2'),
('tristique', '39', 'node', '0.972861'),
('tristique', '40', 'node', '2'),
('tristique', '41', 'node', '13.9769'),
('tristique', '43', 'node', '1.94583'),
('tristique', '44', 'node', '27.9973'),
('tristique', '45', 'node', '1'),
('tristique', '47', 'node', '1'),
('tristique', '50', 'node', '1'),
('tristique', '52', 'node', '1.97286'),
('tristique', '53', 'node', '3'),
('tristique', '54', 'node', '1'),
('tristique', '55', 'node', '1'),
('tristique', '56', 'node', '1.94583'),
('tristique', '57', 'node', '1'),
('tristique', '65', 'node', '3'),
('tristique', '73', 'node', '1.85896'),
('tristique', '82', 'node', '1'),
('tristique', '83', 'node', '1'),
('tristique', '85', 'node', '0.98493'),
('tristique', '86', 'node', '2'),
('tristique', '87', 'node', '2'),
('tristique', '88', 'node', '2'),
('tristique', '90', 'node', '0.976851'),
('tristique', '91', 'node', '1'),
('tristique', '93', 'node', '1.96498'),
('tristique', '94', 'node', '1.92384'),
('tristique', '95', 'node', '0.968904'),
('tristique', '97', 'node', '2'),
('tristique', '98', 'node', '2.91495'),
('tristique', '99', 'node', '3'),
('tristique', '100', 'node', '0.968904'),
('tristique', '101', 'node', '0.993146'),
('tristique', '102', 'node', '1.97286'),
('tristique', '105', 'node', '1'),
('tristique', '121', 'node', '1.80574'),
('tristique', '122', 'node', '1'),
('tristique', '123', 'node', '1'),
('tristique', '124', 'node', '2.99315'),
('tristique', '125', 'node', '1'),
('tristique', '126', 'node', '1'),
('tristique', '127', 'node', '1'),
('tristique', '128', 'node', '0.961087'),
('tristique', '129', 'node', '1'),
('tristique', '130', 'node', '1'),
('tristique', '131', 'node', '1.89945'),
('tristique', '132', 'node', '2'),
('tristique', '133', 'node', '1'),
('tristique', '136', 'node', '1'),
('tristique', '138', 'node', '1'),
('tristique', '139', 'node', '1'),
('tristique', '143', 'node', '1'),
('tristique', '144', 'node', '1'),
('tristique', '145', 'node', '3'),
('tristique', '146', 'node', '1'),
('tristique', '147', 'node', '3.65086'),
('tristique', '148', 'node', '2'),
('tristique', '150', 'node', '1'),
('tristique', '151', 'node', '2.91674'),
('tristique', '152', 'node', '0.953396'),
('tristique', '154', 'node', '1'),
('tristique', '155', 'node', '4'),
('tristique', '156', 'node', '1'),
('tristique', '157', 'node', '1'),
('tristique', '158', 'node', '1'),
('tristique', '159', 'node', '1'),
('tristique', '161', 'node', '0.993146'),
('tristique', '162', 'node', '2'),
('tristique', '163', 'node', '1.97286'),
('tristique', '164', 'node', '0.938382'),
('tristique', '165', 'node', '1'),
('tristique', '166', 'node', '1'),
('tristique', '167', 'node', '1'),
('tristique', '168', 'node', '2'),
('tristique', '170', 'node', '2'),
('tristique', '171', 'node', '2'),
('tristique', '172', 'node', '2'),
('tristique', '174', 'node', '1'),
('tristique', '175', 'node', '1.90286'),
('tristique', '176', 'node', '2.70569'),
('tristique', '177', 'node', '30.6627'),
('tristique', '178', 'node', '1'),
('tristique', '179', 'node', '2.87959'),
('tristique', '184', 'node', '1');
INSERT INTO `search_index` VALUES
('turpis', '12', 'node', '3.18169'),
('turpis', '13', 'node', '27'),
('turpis', '14', 'node', '4.27567'),
('turpis', '15', 'node', '2'),
('turpis', '16', 'node', '5.77879'),
('turpis', '17', 'node', '3.99731'),
('turpis', '18', 'node', '1.9534'),
('turpis', '22', 'node', '2'),
('turpis', '23', 'node', '1'),
('turpis', '24', 'node', '1'),
('turpis', '25', 'node', '1'),
('turpis', '26', 'node', '3.80299'),
('turpis', '30', 'node', '2'),
('turpis', '31', 'node', '2'),
('turpis', '32', 'node', '1.98087'),
('turpis', '33', 'node', '1.92645'),
('turpis', '34', 'node', '1'),
('turpis', '35', 'node', '1'),
('turpis', '37', 'node', '2.96498'),
('turpis', '38', 'node', '3'),
('turpis', '39', 'node', '1'),
('turpis', '40', 'node', '5'),
('turpis', '41', 'node', '1.9347'),
('turpis', '42', 'node', '2'),
('turpis', '43', 'node', '0.96498'),
('turpis', '44', 'node', '0.980874'),
('turpis', '45', 'node', '2.9496'),
('turpis', '46', 'node', '1.9496'),
('turpis', '47', 'node', '1'),
('turpis', '50', 'node', '2.87617'),
('turpis', '52', 'node', '3'),
('turpis', '53', 'node', '0.98493'),
('turpis', '55', 'node', '29'),
('turpis', '56', 'node', '5.97286'),
('turpis', '57', 'node', '2'),
('turpis', '58', 'node', '1'),
('turpis', '65', 'node', '1'),
('turpis', '67', 'node', '4.70021'),
('turpis', '68', 'node', '1'),
('turpis', '69', 'node', '3'),
('turpis', '71', 'node', '2'),
('turpis', '73', 'node', '1.95813'),
('turpis', '82', 'node', '2'),
('turpis', '83', 'node', '1'),
('turpis', '84', 'node', '2'),
('turpis', '85', 'node', '2'),
('turpis', '86', 'node', '2'),
('turpis', '87', 'node', '1'),
('turpis', '88', 'node', '2'),
('turpis', '89', 'node', '1'),
('turpis', '90', 'node', '1.94583'),
('turpis', '91', 'node', '3'),
('turpis', '92', 'node', '1'),
('turpis', '94', 'node', '1'),
('turpis', '95', 'node', '1.99315'),
('turpis', '96', 'node', '1'),
('turpis', '97', 'node', '3'),
('turpis', '98', 'node', '3.9394'),
('turpis', '99', 'node', '2.92607'),
('turpis', '100', 'node', '1'),
('turpis', '101', 'node', '2.94209'),
('turpis', '102', 'node', '5.95723'),
('turpis', '103', 'node', '2'),
('turpis', '104', 'node', '2.91547'),
('turpis', '105', 'node', '1.84417'),
('turpis', '122', 'node', '1'),
('turpis', '123', 'node', '1.93569'),
('turpis', '124', 'node', '1.91155'),
('turpis', '126', 'node', '1.92027'),
('turpis', '127', 'node', '2'),
('turpis', '128', 'node', '3'),
('turpis', '130', 'node', '4.90336'),
('turpis', '131', 'node', '2.89945'),
('turpis', '132', 'node', '1'),
('turpis', '134', 'node', '0.976851'),
('turpis', '136', 'node', '2'),
('turpis', '137', 'node', '3'),
('turpis', '138', 'node', '1'),
('turpis', '139', 'node', '4'),
('turpis', '142', 'node', '1'),
('turpis', '143', 'node', '1'),
('turpis', '144', 'node', '2'),
('turpis', '146', 'node', '1'),
('turpis', '147', 'node', '2.76002'),
('turpis', '148', 'node', '5.71348'),
('turpis', '150', 'node', '1.97685'),
('turpis', '151', 'node', '4.82327'),
('turpis', '152', 'node', '3.88282'),
('turpis', '153', 'node', '1.92743'),
('turpis', '154', 'node', '2.89945'),
('turpis', '155', 'node', '1'),
('turpis', '156', 'node', '1.94209'),
('turpis', '157', 'node', '1'),
('turpis', '158', 'node', '1.97286'),
('turpis', '159', 'node', '1.97685'),
('turpis', '160', 'node', '1.89932'),
('turpis', '161', 'node', '1'),
('turpis', '162', 'node', '1'),
('turpis', '163', 'node', '1.95839'),
('turpis', '164', 'node', '2.9689'),
('turpis', '165', 'node', '1.95723'),
('turpis', '167', 'node', '1'),
('turpis', '168', 'node', '2.95813'),
('turpis', '170', 'node', '2.98493'),
('turpis', '171', 'node', '1'),
('turpis', '172', 'node', '1.87957'),
('turpis', '174', 'node', '2.63024'),
('turpis', '175', 'node', '2.80652'),
('turpis', '176', 'node', '3.80914'),
('turpis', '177', 'node', '5.7305'),
('turpis', '178', 'node', '2'),
('turpis', '179', 'node', '2.92217'),
('turpis', '183', 'node', '1'),
('typeof', '12', 'node', '2.36553'),
('typeof', '13', 'node', '0.892724'),
('typeof', '14', 'node', '3.975'),
('typeof', '16', 'node', '1.67373'),
('ullamcorper', '12', 'node', '1'),
('ullamcorper', '13', 'node', '4'),
('ullamcorper', '14', 'node', '3.42538'),
('ullamcorper', '16', 'node', '2'),
('ullamcorper', '17', 'node', '3.98493'),
('ullamcorper', '18', 'node', '2'),
('ullamcorper', '22', 'node', '1'),
('ullamcorper', '24', 'node', '0.945829'),
('ullamcorper', '25', 'node', '1'),
('ullamcorper', '26', 'node', '2.83734'),
('ullamcorper', '27', 'node', '2'),
('ullamcorper', '28', 'node', '2'),
('ullamcorper', '29', 'node', '2'),
('ullamcorper', '31', 'node', '2.96498'),
('ullamcorper', '32', 'node', '4'),
('ullamcorper', '33', 'node', '0.942091'),
('ullamcorper', '34', 'node', '2'),
('ullamcorper', '35', 'node', '0.953396'),
('ullamcorper', '37', 'node', '2'),
('ullamcorper', '38', 'node', '1.93838'),
('ullamcorper', '39', 'node', '2'),
('ullamcorper', '40', 'node', '2'),
('ullamcorper', '41', 'node', '0.879565'),
('ullamcorper', '43', 'node', '1'),
('ullamcorper', '44', 'node', '1'),
('ullamcorper', '45', 'node', '1.92785'),
('ullamcorper', '46', 'node', '1'),
('ullamcorper', '50', 'node', '1'),
('ullamcorper', '52', 'node', '1.89945'),
('ullamcorper', '54', 'node', '1'),
('ullamcorper', '56', 'node', '2'),
('ullamcorper', '58', 'node', '1'),
('ullamcorper', '65', 'node', '1'),
('ullamcorper', '67', 'node', '1'),
('ullamcorper', '68', 'node', '2'),
('ullamcorper', '69', 'node', '1'),
('ullamcorper', '71', 'node', '1'),
('ullamcorper', '83', 'node', '1'),
('ullamcorper', '85', 'node', '2'),
('ullamcorper', '87', 'node', '1'),
('ullamcorper', '89', 'node', '1'),
('ullamcorper', '90', 'node', '2'),
('ullamcorper', '92', 'node', '1'),
('ullamcorper', '93', 'node', '2'),
('ullamcorper', '95', 'node', '1'),
('ullamcorper', '96', 'node', '1'),
('ullamcorper', '97', 'node', '1.97286'),
('ullamcorper', '98', 'node', '2'),
('ullamcorper', '100', 'node', '1.92384'),
('ullamcorper', '101', 'node', '0.931053'),
('ullamcorper', '103', 'node', '2'),
('ullamcorper', '105', 'node', '1'),
('ullamcorper', '121', 'node', '1.86055'),
('ullamcorper', '122', 'node', '1'),
('ullamcorper', '123', 'node', '1'),
('ullamcorper', '124', 'node', '1'),
('ullamcorper', '125', 'node', '2'),
('ullamcorper', '126', 'node', '2.88798'),
('ullamcorper', '128', 'node', '0.972861'),
('ullamcorper', '130', 'node', '1.94583'),
('ullamcorper', '131', 'node', '1'),
('ullamcorper', '132', 'node', '0.980874'),
('ullamcorper', '133', 'node', '3'),
('ullamcorper', '136', 'node', '1'),
('ullamcorper', '137', 'node', '1'),
('ullamcorper', '138', 'node', '1'),
('ullamcorper', '139', 'node', '3'),
('ullamcorper', '143', 'node', '1'),
('ullamcorper', '145', 'node', '1'),
('ullamcorper', '147', 'node', '0.927431'),
('ullamcorper', '148', 'node', '3.63759'),
('ullamcorper', '150', 'node', '3.63677'),
('ullamcorper', '151', 'node', '2.91236'),
('ullamcorper', '152', 'node', '2.87231'),
('ullamcorper', '153', 'node', '2.93105'),
('ullamcorper', '155', 'node', '1.9347'),
('ullamcorper', '156', 'node', '1'),
('ullamcorper', '158', 'node', '1'),
('ullamcorper', '159', 'node', '1'),
('ullamcorper', '160', 'node', '2.94209'),
('ullamcorper', '162', 'node', '1'),
('ullamcorper', '163', 'node', '1'),
('ullamcorper', '164', 'node', '2'),
('ullamcorper', '166', 'node', '0.98493'),
('ullamcorper', '167', 'node', '1'),
('ullamcorper', '168', 'node', '2.98087'),
('ullamcorper', '170', 'node', '2.9658'),
('ullamcorper', '171', 'node', '3.99045'),
('ullamcorper', '172', 'node', '1.90576'),
('ullamcorper', '174', 'node', '0.827757'),
('ullamcorper', '176', 'node', '2.7891'),
('ullamcorper', '178', 'node', '2'),
('ullamcorper', '179', 'node', '1.99731'),
('ullamcorpermoles', '41', 'node', '11'),
('ultrices', '12', 'node', '2.54092'),
('ultrices', '13', 'node', '1'),
('ultrices', '14', 'node', '1.69925'),
('ultrices', '15', 'node', '28.9496'),
('ultrices', '16', 'node', '2'),
('ultrices', '17', 'node', '0.980874'),
('ultrices', '18', 'node', '4.88445'),
('ultrices', '19', 'node', '1'),
('ultrices', '21', 'node', '1'),
('ultrices', '22', 'node', '2'),
('ultrices', '24', 'node', '2'),
('ultrices', '25', 'node', '2'),
('ultrices', '26', 'node', '1'),
('ultrices', '27', 'node', '2'),
('ultrices', '30', 'node', '6.83192'),
('ultrices', '31', 'node', '1'),
('ultrices', '33', 'node', '2.94583'),
('ultrices', '34', 'node', '1'),
('ultrices', '37', 'node', '0.976851'),
('ultrices', '39', 'node', '11'),
('ultrices', '40', 'node', '2.98902'),
('ultrices', '41', 'node', '2'),
('ultrices', '43', 'node', '1.96109'),
('ultrices', '44', 'node', '1'),
('ultrices', '45', 'node', '1'),
('ultrices', '46', 'node', '1'),
('ultrices', '47', 'node', '2'),
('ultrices', '50', 'node', '0.993146'),
('ultrices', '52', 'node', '4'),
('ultrices', '53', 'node', '1'),
('ultrices', '54', 'node', '3.81951'),
('ultrices', '55', 'node', '3'),
('ultrices', '58', 'node', '5'),
('ultrices', '65', 'node', '2'),
('ultrices', '67', 'node', '1'),
('ultrices', '68', 'node', '1'),
('ultrices', '73', 'node', '3.75736'),
('ultrices', '83', 'node', '1'),
('ultrices', '84', 'node', '1'),
('ultrices', '85', 'node', '2'),
('ultrices', '86', 'node', '1'),
('ultrices', '87', 'node', '0.98493'),
('ultrices', '88', 'node', '2'),
('ultrices', '89', 'node', '3'),
('ultrices', '90', 'node', '3'),
('ultrices', '91', 'node', '1'),
('ultrices', '92', 'node', '2'),
('ultrices', '93', 'node', '1'),
('ultrices', '94', 'node', '2.97685'),
('ultrices', '95', 'node', '1.95723'),
('ultrices', '96', 'node', '2.98902'),
('ultrices', '97', 'node', '1.94583'),
('ultrices', '98', 'node', '2.94583'),
('ultrices', '99', 'node', '1'),
('ultrices', '100', 'node', '1'),
('ultrices', '101', 'node', '2.99731'),
('ultrices', '102', 'node', '2'),
('ultrices', '103', 'node', '2'),
('ultrices', '121', 'node', '1'),
('ultrices', '122', 'node', '3'),
('ultrices', '123', 'node', '0.953396'),
('ultrices', '125', 'node', '2.99315'),
('ultrices', '126', 'node', '1'),
('ultrices', '128', 'node', '1'),
('ultrices', '131', 'node', '1'),
('ultrices', '133', 'node', '1'),
('ultrices', '134', 'node', '1'),
('ultrices', '139', 'node', '2'),
('ultrices', '142', 'node', '2'),
('ultrices', '144', 'node', '1'),
('ultrices', '147', 'node', '2.79558'),
('ultrices', '148', 'node', '0.934703'),
('ultrices', '150', 'node', '0.953396'),
('ultrices', '151', 'node', '1'),
('ultrices', '152', 'node', '3.80637'),
('ultrices', '154', 'node', '1.89272'),
('ultrices', '155', 'node', '4.85329'),
('ultrices', '156', 'node', '1'),
('ultrices', '157', 'node', '1'),
('ultrices', '158', 'node', '2'),
('ultrices', '159', 'node', '2'),
('ultrices', '160', 'node', '1'),
('ultrices', '161', 'node', '1.99731'),
('ultrices', '162', 'node', '1'),
('ultrices', '163', 'node', '2'),
('ultrices', '165', 'node', '1.99731'),
('ultrices', '166', 'node', '2'),
('ultrices', '167', 'node', '1'),
('ultrices', '168', 'node', '0.993146'),
('ultrices', '170', 'node', '2'),
('ultrices', '172', 'node', '1'),
('ultrices', '174', 'node', '3.80818'),
('ultrices', '175', 'node', '1.88438'),
('ultrices', '176', 'node', '3.80505'),
('ultrices', '177', 'node', '1.79738'),
('ultrices', '178', 'node', '2.87431'),
('ultricies', '12', 'node', '4.65902'),
('ultricies', '13', 'node', '2'),
('ultricies', '14', 'node', '2'),
('ultricies', '16', 'node', '27'),
('ultricies', '17', 'node', '1'),
('ultricies', '18', 'node', '0.968904'),
('ultricies', '19', 'node', '1'),
('ultricies', '20', 'node', '1'),
('ultricies', '21', 'node', '1'),
('ultricies', '22', 'node', '1'),
('ultricies', '24', 'node', '0.997306'),
('ultricies', '25', 'node', '1'),
('ultricies', '26', 'node', '1'),
('ultricies', '28', 'node', '3'),
('ultricies', '29', 'node', '0.961087'),
('ultricies', '30', 'node', '1.95723'),
('ultricies', '31', 'node', '1'),
('ultricies', '33', 'node', '1.91323'),
('ultricies', '34', 'node', '0.934703'),
('ultricies', '35', 'node', '1'),
('ultricies', '37', 'node', '2.96498'),
('ultricies', '38', 'node', '0.949597'),
('ultricies', '39', 'node', '1'),
('ultricies', '40', 'node', '11'),
('ultricies', '42', 'node', '1'),
('ultricies', '44', 'node', '1'),
('ultricies', '45', 'node', '3'),
('ultricies', '50', 'node', '4.89932'),
('ultricies', '52', 'node', '1.99315'),
('ultricies', '53', 'node', '28'),
('ultricies', '54', 'node', '1.94209'),
('ultricies', '55', 'node', '2'),
('ultricies', '58', 'node', '1'),
('ultricies', '65', 'node', '1'),
('ultricies', '67', 'node', '1.94575'),
('ultricies', '68', 'node', '1'),
('ultricies', '69', 'node', '1'),
('ultricies', '71', 'node', '2'),
('ultricies', '73', 'node', '2'),
('ultricies', '85', 'node', '2'),
('ultricies', '86', 'node', '1'),
('ultricies', '88', 'node', '4'),
('ultricies', '90', 'node', '1'),
('ultricies', '91', 'node', '1'),
('ultricies', '94', 'node', '3.91963'),
('ultricies', '95', 'node', '1'),
('ultricies', '96', 'node', '2'),
('ultricies', '97', 'node', '3.91323'),
('ultricies', '98', 'node', '0.997306'),
('ultricies', '100', 'node', '0.96498'),
('ultricies', '103', 'node', '5'),
('ultricies', '104', 'node', '1'),
('ultricies', '105', 'node', '1'),
('ultricies', '121', 'node', '1'),
('ultricies', '122', 'node', '1.94209'),
('ultricies', '123', 'node', '4'),
('ultricies', '125', 'node', '2.92027'),
('ultricies', '127', 'node', '2'),
('ultricies', '128', 'node', '1'),
('ultricies', '129', 'node', '2'),
('ultricies', '131', 'node', '1.91674'),
('ultricies', '133', 'node', '3'),
('ultricies', '137', 'node', '1.98493'),
('ultricies', '138', 'node', '2'),
('ultricies', '147', 'node', '3.699'),
('ultricies', '150', 'node', '1.96498'),
('ultricies', '151', 'node', '0.934703'),
('ultricies', '152', 'node', '6.79955'),
('ultricies', '154', 'node', '2'),
('ultricies', '155', 'node', '2.83817'),
('ultricies', '157', 'node', '0.934703'),
('ultricies', '161', 'node', '1'),
('ultricies', '162', 'node', '1'),
('ultricies', '163', 'node', '2'),
('ultricies', '164', 'node', '2.9689'),
('ultricies', '165', 'node', '0.957226'),
('ultricies', '166', 'node', '2.9689'),
('ultricies', '167', 'node', '2'),
('ultricies', '168', 'node', '1'),
('ultricies', '170', 'node', '2'),
('ultricies', '171', 'node', '2.92114'),
('ultricies', '172', 'node', '3.7133'),
('ultricies', '174', 'node', '1.87396'),
('ultricies', '175', 'node', '1.93105'),
('ultricies', '176', 'node', '2.9347'),
('ultricies', '177', 'node', '1.92743'),
('ultricies', '178', 'node', '1.90637'),
('ultricies', '179', 'node', '1'),
('ultricies', '184', 'node', '1'),
('undefined', '12', 'node', '2.35991'),
('undefined', '13', 'node', '0.886095'),
('undefined', '14', 'node', '3.96919'),
('undefined', '16', 'node', '1.66715'),
('unlimited', '142', 'node', '1'),
('unlimited', '143', 'node', '1'),
('unlimited', '144', 'node', '1'),
('unlimited', '146', 'node', '1'),
('urna', '12', 'node', '5.58837'),
('urna', '13', 'node', '21.3008'),
('urna', '14', 'node', '7.83838'),
('urna', '15', 'node', '28'),
('urna', '16', 'node', '0.906287'),
('urna', '17', 'node', '1'),
('urna', '18', 'node', '0.945829'),
('urna', '21', 'node', '3'),
('urna', '22', 'node', '3'),
('urna', '23', 'node', '2'),
('urna', '24', 'node', '1'),
('urna', '25', 'node', '2'),
('urna', '26', 'node', '2.82648'),
('urna', '28', 'node', '2'),
('urna', '29', 'node', '1'),
('urna', '30', 'node', '1.8894'),
('urna', '31', 'node', '27'),
('urna', '33', 'node', '1.97286'),
('urna', '35', 'node', '1.9496'),
('urna', '37', 'node', '1'),
('urna', '38', 'node', '1.93838'),
('urna', '39', 'node', '1'),
('urna', '41', 'node', '5.25209'),
('urna', '42', 'node', '1'),
('urna', '43', 'node', '1.94177'),
('urna', '44', 'node', '2'),
('urna', '45', 'node', '2'),
('urna', '47', 'node', '0.989021'),
('urna', '50', 'node', '1'),
('urna', '52', 'node', '0.909743'),
('urna', '53', 'node', '4'),
('urna', '54', 'node', '0.972861'),
('urna', '55', 'node', '1'),
('urna', '56', 'node', '3.9347'),
('urna', '57', 'node', '4'),
('urna', '58', 'node', '1'),
('urna', '65', 'node', '3'),
('urna', '67', 'node', '1.8861'),
('urna', '68', 'node', '0.953396'),
('urna', '69', 'node', '1'),
('urna', '71', 'node', '1.96109'),
('urna', '82', 'node', '1'),
('urna', '83', 'node', '1'),
('urna', '84', 'node', '3'),
('urna', '88', 'node', '3.9079'),
('urna', '90', 'node', '2.9534'),
('urna', '91', 'node', '2'),
('urna', '92', 'node', '3'),
('urna', '93', 'node', '0.961087'),
('urna', '94', 'node', '1'),
('urna', '95', 'node', '4.91871'),
('urna', '96', 'node', '2'),
('urna', '97', 'node', '2'),
('urna', '98', 'node', '3.97818'),
('urna', '100', 'node', '3.92702'),
('urna', '101', 'node', '2.94209'),
('urna', '102', 'node', '4'),
('urna', '103', 'node', '4.72111'),
('urna', '105', 'node', '3.83701'),
('urna', '121', 'node', '1.99731'),
('urna', '122', 'node', '1'),
('urna', '124', 'node', '2.92743'),
('urna', '125', 'node', '2.9347'),
('urna', '126', 'node', '2.99731'),
('urna', '127', 'node', '2'),
('urna', '128', 'node', '3.91473'),
('urna', '129', 'node', '30'),
('urna', '130', 'node', '1'),
('urna', '131', 'node', '1.98087'),
('urna', '132', 'node', '1'),
('urna', '133', 'node', '0.96498'),
('urna', '134', 'node', '1'),
('urna', '136', 'node', '2'),
('urna', '138', 'node', '3'),
('urna', '139', 'node', '1'),
('urna', '143', 'node', '4'),
('urna', '147', 'node', '3.59448'),
('urna', '148', 'node', '1.86055'),
('urna', '150', 'node', '3.91831'),
('urna', '151', 'node', '1'),
('urna', '152', 'node', '1'),
('urna', '153', 'node', '1'),
('urna', '154', 'node', '3.86546'),
('urna', '155', 'node', '1.93395'),
('urna', '156', 'node', '2.92743'),
('urna', '158', 'node', '2.94991'),
('urna', '159', 'node', '2.95793'),
('urna', '160', 'node', '1.91674'),
('urna', '161', 'node', '27'),
('urna', '162', 'node', '1.97286'),
('urna', '163', 'node', '2.99315'),
('urna', '164', 'node', '2.98087'),
('urna', '165', 'node', '1.95723'),
('urna', '166', 'node', '3.98087'),
('urna', '168', 'node', '1.97286'),
('urna', '169', 'node', '29'),
('urna', '171', 'node', '2.89996'),
('urna', '172', 'node', '2'),
('urna', '174', 'node', '4.65173'),
('urna', '175', 'node', '1.94583'),
('urna', '176', 'node', '4.58151'),
('urna', '177', 'node', '2.93838'),
('urna', '178', 'node', '2.89922'),
('urna', '179', 'node', '2.93524'),
('urna', '184', 'node', '1'),
('user', '184', 'node', '1'),
('users', '142', 'node', '1'),
('users', '143', 'node', '1'),
('users', '144', 'node', '1'),
('users', '145', 'node', '1'),
('users', '146', 'node', '1'),
('users', '183', 'node', '1'),
('vandana', '132', 'node', '26'),
('varius', '12', 'node', '1.76922'),
('varius', '13', 'node', '1'),
('varius', '14', 'node', '1.62889'),
('varius', '15', 'node', '1'),
('varius', '16', 'node', '0.902857'),
('varius', '17', 'node', '1'),
('varius', '18', 'node', '0.997306'),
('varius', '19', 'node', '2'),
('varius', '20', 'node', '28'),
('varius', '21', 'node', '1'),
('varius', '25', 'node', '3'),
('varius', '26', 'node', '2.90629'),
('varius', '27', 'node', '1'),
('varius', '28', 'node', '2'),
('varius', '29', 'node', '2'),
('varius', '33', 'node', '0.857458'),
('varius', '34', 'node', '3'),
('varius', '35', 'node', '1'),
('varius', '37', 'node', '3.91911'),
('varius', '38', 'node', '2'),
('varius', '39', 'node', '2'),
('varius', '40', 'node', '1'),
('varius', '41', 'node', '2.55871'),
('varius', '42', 'node', '2'),
('varius', '43', 'node', '1'),
('varius', '44', 'node', '1'),
('varius', '45', 'node', '1.89193'),
('varius', '46', 'node', '1'),
('varius', '47', 'node', '0.976851'),
('varius', '50', 'node', '2'),
('varius', '52', 'node', '2.91445'),
('varius', '53', 'node', '2'),
('varius', '54', 'node', '0.931053'),
('varius', '55', 'node', '1'),
('varius', '56', 'node', '0.945829'),
('varius', '58', 'node', '1'),
('varius', '65', 'node', '2'),
('varius', '68', 'node', '1.95723'),
('varius', '71', 'node', '2.96109'),
('varius', '73', 'node', '0.916736'),
('varius', '83', 'node', '2.97685'),
('varius', '84', 'node', '1'),
('varius', '85', 'node', '1'),
('varius', '92', 'node', '1'),
('varius', '93', 'node', '2.79558'),
('varius', '96', 'node', '3'),
('varius', '97', 'node', '1'),
('varius', '100', 'node', '1.93105'),
('varius', '101', 'node', '2.97286'),
('varius', '103', 'node', '1.95011'),
('varius', '104', 'node', '1'),
('varius', '105', 'node', '3.85183'),
('varius', '121', 'node', '1.99731'),
('varius', '122', 'node', '2.98902'),
('varius', '124', 'node', '1.93105'),
('varius', '125', 'node', '1'),
('varius', '126', 'node', '1'),
('varius', '127', 'node', '1'),
('varius', '128', 'node', '1'),
('varius', '131', 'node', '0.899454'),
('varius', '132', 'node', '6'),
('varius', '133', 'node', '1'),
('varius', '134', 'node', '1'),
('varius', '136', 'node', '1.97286'),
('varius', '137', 'node', '1'),
('varius', '139', 'node', '1'),
('varius', '143', 'node', '3'),
('varius', '144', 'node', '1'),
('varius', '145', 'node', '1'),
('varius', '146', 'node', '2'),
('varius', '147', 'node', '1.86679'),
('varius', '148', 'node', '1.83104'),
('varius', '150', 'node', '0.961087'),
('varius', '151', 'node', '2'),
('varius', '152', 'node', '1'),
('varius', '154', 'node', '1.90629'),
('varius', '156', 'node', '1.89549'),
('varius', '157', 'node', '3'),
('varius', '158', 'node', '2'),
('varius', '159', 'node', '2'),
('varius', '160', 'node', '2'),
('varius', '161', 'node', '1.95723'),
('varius', '162', 'node', '1'),
('varius', '163', 'node', '0.961087'),
('varius', '164', 'node', '1'),
('varius', '165', 'node', '3.94625'),
('varius', '166', 'node', '1'),
('varius', '167', 'node', '1'),
('varius', '170', 'node', '1'),
('varius', '171', 'node', '1'),
('varius', '172', 'node', '2.86366'),
('varius', '174', 'node', '1.87957'),
('varius', '175', 'node', '0.931053'),
('varius', '176', 'node', '2.98902'),
('varius', '177', 'node', '2.86055'),
('varius', '178', 'node', '1.8894'),
('varius', '179', 'node', '1.79785'),
('varius', '183', 'node', '1'),
('varius', '184', 'node', '1'),
('vehicula', '12', 'node', '0.827757'),
('vehicula', '13', 'node', '1'),
('vehicula', '14', 'node', '5.22171'),
('vehicula', '15', 'node', '1'),
('vehicula', '16', 'node', '27.9769'),
('vehicula', '17', 'node', '2'),
('vehicula', '19', 'node', '2'),
('vehicula', '20', 'node', '27'),
('vehicula', '21', 'node', '1'),
('vehicula', '22', 'node', '1'),
('vehicula', '23', 'node', '1'),
('vehicula', '25', 'node', '2'),
('vehicula', '26', 'node', '2'),
('vehicula', '29', 'node', '2'),
('vehicula', '31', 'node', '1'),
('vehicula', '33', 'node', '11.2658'),
('vehicula', '34', 'node', '11.2416'),
('vehicula', '35', 'node', '1'),
('vehicula', '37', 'node', '2'),
('vehicula', '41', 'node', '5.21058'),
('vehicula', '43', 'node', '4.87231'),
('vehicula', '44', 'node', '1'),
('vehicula', '46', 'node', '1'),
('vehicula', '47', 'node', '1'),
('vehicula', '50', 'node', '1'),
('vehicula', '52', 'node', '2.92743'),
('vehicula', '53', 'node', '2'),
('vehicula', '54', 'node', '0.980874'),
('vehicula', '55', 'node', '1.99315'),
('vehicula', '56', 'node', '1'),
('vehicula', '58', 'node', '2'),
('vehicula', '67', 'node', '0.927431'),
('vehicula', '71', 'node', '2'),
('vehicula', '73', 'node', '1.89608'),
('vehicula', '82', 'node', '3'),
('vehicula', '83', 'node', '1'),
('vehicula', '84', 'node', '2'),
('vehicula', '85', 'node', '1'),
('vehicula', '87', 'node', '1'),
('vehicula', '90', 'node', '1'),
('vehicula', '91', 'node', '2'),
('vehicula', '92', 'node', '2.95373'),
('vehicula', '93', 'node', '0.931053'),
('vehicula', '94', 'node', '4.83539'),
('vehicula', '95', 'node', '1'),
('vehicula', '96', 'node', '2'),
('vehicula', '98', 'node', '1'),
('vehicula', '99', 'node', '0.976851'),
('vehicula', '100', 'node', '2'),
('vehicula', '101', 'node', '2'),
('vehicula', '102', 'node', '1'),
('vehicula', '103', 'node', '1'),
('vehicula', '104', 'node', '3'),
('vehicula', '121', 'node', '0.961087'),
('vehicula', '122', 'node', '1'),
('vehicula', '124', 'node', '1.92743'),
('vehicula', '125', 'node', '1'),
('vehicula', '126', 'node', '3'),
('vehicula', '127', 'node', '1'),
('vehicula', '128', 'node', '4'),
('vehicula', '131', 'node', '0.938382'),
('vehicula', '132', 'node', '1'),
('vehicula', '133', 'node', '1'),
('vehicula', '134', 'node', '1'),
('vehicula', '136', 'node', '1'),
('vehicula', '137', 'node', '2'),
('vehicula', '139', 'node', '1'),
('vehicula', '143', 'node', '2'),
('vehicula', '147', 'node', '0.896076'),
('vehicula', '148', 'node', '3.9507'),
('vehicula', '150', 'node', '0.902857'),
('vehicula', '152', 'node', '2'),
('vehicula', '153', 'node', '1.98087'),
('vehicula', '154', 'node', '2.92743'),
('vehicula', '155', 'node', '1.98493'),
('vehicula', '156', 'node', '2'),
('vehicula', '157', 'node', '1'),
('vehicula', '161', 'node', '2'),
('vehicula', '163', 'node', '1'),
('vehicula', '164', 'node', '2.93388'),
('vehicula', '166', 'node', '2'),
('vehicula', '167', 'node', '26'),
('vehicula', '171', 'node', '3.86967'),
('vehicula', '172', 'node', '6.65745'),
('vehicula', '174', 'node', '1.6701'),
('vehicula', '175', 'node', '2'),
('vehicula', '176', 'node', '2.85896'),
('vehicula', '177', 'node', '0.938382'),
('vehicula', '179', 'node', '1.96109'),
('vel', '12', 'node', '4.47413'),
('vel', '13', 'node', '4.90286'),
('vel', '14', 'node', '7.69702'),
('vel', '15', 'node', '3'),
('vel', '16', 'node', '5.78691'),
('vel', '17', 'node', '1.92027'),
('vel', '18', 'node', '2.93105'),
('vel', '19', 'node', '3'),
('vel', '20', 'node', '4'),
('vel', '21', 'node', '2'),
('vel', '22', 'node', '2'),
('vel', '23', 'node', '6'),
('vel', '25', 'node', '3'),
('vel', '26', 'node', '3.83734'),
('vel', '27', 'node', '7'),
('vel', '28', 'node', '4'),
('vel', '29', 'node', '5'),
('vel', '30', 'node', '2.7694'),
('vel', '31', 'node', '1.99315'),
('vel', '32', 'node', '2'),
('vel', '33', 'node', '1'),
('vel', '34', 'node', '1.94209'),
('vel', '35', 'node', '3.9689'),
('vel', '37', 'node', '3'),
('vel', '38', 'node', '5.45437'),
('vel', '39', 'node', '15.97'),
('vel', '40', 'node', '2'),
('vel', '41', 'node', '11.9769'),
('vel', '42', 'node', '3'),
('vel', '43', 'node', '1'),
('vel', '44', 'node', '4'),
('vel', '45', 'node', '3'),
('vel', '46', 'node', '3.94583'),
('vel', '47', 'node', '3'),
('vel', '50', 'node', '2'),
('vel', '52', 'node', '6.76245'),
('vel', '53', 'node', '1'),
('vel', '54', 'node', '4.90167'),
('vel', '55', 'node', '2.95723'),
('vel', '56', 'node', '4'),
('vel', '57', 'node', '3'),
('vel', '58', 'node', '3'),
('vel', '65', 'node', '2'),
('vel', '67', 'node', '5.55896'),
('vel', '69', 'node', '3'),
('vel', '71', 'node', '2'),
('vel', '73', 'node', '2.77882'),
('vel', '82', 'node', '3'),
('vel', '83', 'node', '1'),
('vel', '84', 'node', '1'),
('vel', '85', 'node', '1'),
('vel', '86', 'node', '3'),
('vel', '88', 'node', '2'),
('vel', '89', 'node', '3'),
('vel', '90', 'node', '2.91523'),
('vel', '91', 'node', '5'),
('vel', '92', 'node', '4'),
('vel', '94', 'node', '3.84227'),
('vel', '95', 'node', '3'),
('vel', '96', 'node', '2'),
('vel', '97', 'node', '2'),
('vel', '98', 'node', '4'),
('vel', '99', 'node', '5'),
('vel', '100', 'node', '2.9534'),
('vel', '101', 'node', '2.89919'),
('vel', '102', 'node', '1'),
('vel', '103', 'node', '2.97286'),
('vel', '104', 'node', '2.96498'),
('vel', '105', 'node', '0.913226'),
('vel', '121', 'node', '4.91163'),
('vel', '122', 'node', '2.96498'),
('vel', '123', 'node', '2.99731'),
('vel', '124', 'node', '5.75729'),
('vel', '125', 'node', '6.83002'),
('vel', '126', 'node', '2'),
('vel', '127', 'node', '4'),
('vel', '128', 'node', '2.99731'),
('vel', '129', 'node', '4'),
('vel', '130', 'node', '3.88047'),
('vel', '131', 'node', '2.90286'),
('vel', '132', 'node', '0.968904'),
('vel', '133', 'node', '5'),
('vel', '134', 'node', '3.94209'),
('vel', '136', 'node', '0.980874'),
('vel', '138', 'node', '3'),
('vel', '139', 'node', '2.99731'),
('vel', '143', 'node', '1'),
('vel', '144', 'node', '2'),
('vel', '147', 'node', '6.38974'),
('vel', '148', 'node', '4.71484'),
('vel', '150', 'node', '4.88106'),
('vel', '151', 'node', '0.942091'),
('vel', '152', 'node', '6.62242'),
('vel', '153', 'node', '4.86679'),
('vel', '154', 'node', '8.68408'),
('vel', '155', 'node', '6.78289'),
('vel', '156', 'node', '3'),
('vel', '157', 'node', '2.94209'),
('vel', '158', 'node', '2'),
('vel', '159', 'node', '2'),
('vel', '160', 'node', '3.92027'),
('vel', '161', 'node', '2.93838'),
('vel', '162', 'node', '4.78481'),
('vel', '163', 'node', '5.91146'),
('vel', '164', 'node', '6.82968'),
('vel', '165', 'node', '4.91062'),
('vel', '166', 'node', '3'),
('vel', '167', 'node', '4'),
('vel', '168', 'node', '2.96109'),
('vel', '169', 'node', '5'),
('vel', '170', 'node', '4.85631'),
('vel', '171', 'node', '4'),
('vel', '172', 'node', '5.52759'),
('vel', '174', 'node', '5.53506'),
('vel', '175', 'node', '29.989'),
('vel', '176', 'node', '9.40562'),
('vel', '177', 'node', '1.89178'),
('vel', '178', 'node', '4.83149'),
('vel', '179', 'node', '1.87957'),
('velit', '12', 'node', '5.96071'),
('velit', '13', 'node', '4.9496'),
('velit', '14', 'node', '26.9769'),
('velit', '15', 'node', '3.96498'),
('velit', '16', 'node', '5.46325'),
('velit', '17', 'node', '1.92999'),
('velit', '18', 'node', '2'),
('velit', '19', 'node', '2'),
('velit', '20', 'node', '3'),
('velit', '22', 'node', '2'),
('velit', '23', 'node', '2'),
('velit', '24', 'node', '1.98493'),
('velit', '25', 'node', '2'),
('velit', '26', 'node', '1'),
('velit', '27', 'node', '5'),
('velit', '28', 'node', '2'),
('velit', '29', 'node', '0.976851'),
('velit', '30', 'node', '0.899454'),
('velit', '33', 'node', '2.80255'),
('velit', '34', 'node', '28'),
('velit', '35', 'node', '1.9689'),
('velit', '38', 'node', '1'),
('velit', '40', 'node', '3.98902'),
('velit', '42', 'node', '1'),
('velit', '43', 'node', '1'),
('velit', '44', 'node', '29'),
('velit', '45', 'node', '2'),
('velit', '46', 'node', '1.9496'),
('velit', '47', 'node', '3'),
('velit', '50', 'node', '3.90397'),
('velit', '52', 'node', '1'),
('velit', '53', 'node', '1'),
('velit', '54', 'node', '1.97685'),
('velit', '55', 'node', '0.980874'),
('velit', '56', 'node', '4'),
('velit', '57', 'node', '2'),
('velit', '65', 'node', '1'),
('velit', '67', 'node', '2'),
('velit', '68', 'node', '2.9185'),
('velit', '69', 'node', '1'),
('velit', '71', 'node', '1'),
('velit', '73', 'node', '1.92027'),
('velit', '82', 'node', '2'),
('velit', '83', 'node', '2'),
('velit', '85', 'node', '1'),
('velit', '86', 'node', '1.96498'),
('velit', '89', 'node', '1'),
('velit', '90', 'node', '5.89178'),
('velit', '91', 'node', '1'),
('velit', '92', 'node', '2'),
('velit', '93', 'node', '2'),
('velit', '94', 'node', '4.79213'),
('velit', '95', 'node', '1'),
('velit', '96', 'node', '1'),
('velit', '97', 'node', '3'),
('velit', '98', 'node', '1.9534'),
('velit', '99', 'node', '28'),
('velit', '102', 'node', '2.9534'),
('velit', '103', 'node', '4'),
('velit', '104', 'node', '1.9347'),
('velit', '105', 'node', '1'),
('velit', '121', 'node', '1.8374'),
('velit', '122', 'node', '3.9689'),
('velit', '124', 'node', '3.82297'),
('velit', '125', 'node', '0.997306'),
('velit', '126', 'node', '0.923838'),
('velit', '127', 'node', '3'),
('velit', '128', 'node', '1.97286'),
('velit', '129', 'node', '2'),
('velit', '131', 'node', '1.89945'),
('velit', '132', 'node', '3.97804'),
('velit', '136', 'node', '4'),
('velit', '138', 'node', '3'),
('velit', '142', 'node', '2'),
('velit', '147', 'node', '5.56209'),
('velit', '148', 'node', '2.8692'),
('velit', '150', 'node', '3.92384'),
('velit', '151', 'node', '2.85369'),
('velit', '152', 'node', '1'),
('velit', '153', 'node', '2.77219'),
('velit', '155', 'node', '0.906287'),
('velit', '156', 'node', '2'),
('velit', '157', 'node', '3'),
('velit', '158', 'node', '4'),
('velit', '159', 'node', '4'),
('velit', '161', 'node', '2.94209'),
('velit', '163', 'node', '2.98493'),
('velit', '165', 'node', '2'),
('velit', '166', 'node', '3'),
('velit', '167', 'node', '4.89579'),
('velit', '168', 'node', '1'),
('velit', '169', 'node', '4'),
('velit', '170', 'node', '2'),
('velit', '171', 'node', '2'),
('velit', '174', 'node', '1'),
('velit', '175', 'node', '1'),
('velit', '176', 'node', '3.64523'),
('velit', '177', 'node', '1.94177'),
('velit', '178', 'node', '7.91323'),
('velit', '179', 'node', '3.98087'),
('velit', '183', 'node', '2'),
('velit', '184', 'node', '1'),
('venenatis', '12', 'node', '2'),
('venenatis', '13', 'node', '2.89608'),
('venenatis', '14', 'node', '1.58691'),
('venenatis', '15', 'node', '1'),
('venenatis', '16', 'node', '5.69756'),
('venenatis', '18', 'node', '2'),
('venenatis', '19', 'node', '1'),
('venenatis', '21', 'node', '1'),
('venenatis', '22', 'node', '1'),
('venenatis', '25', 'node', '1'),
('venenatis', '26', 'node', '3.9347'),
('venenatis', '27', 'node', '1'),
('venenatis', '29', 'node', '2'),
('venenatis', '31', 'node', '1'),
('venenatis', '32', 'node', '1.94209'),
('venenatis', '33', 'node', '1'),
('venenatis', '34', 'node', '1'),
('venenatis', '35', 'node', '1.97402'),
('venenatis', '37', 'node', '1'),
('venenatis', '38', 'node', '1.87723'),
('venenatis', '40', 'node', '2'),
('venenatis', '41', 'node', '3'),
('venenatis', '42', 'node', '1'),
('venenatis', '43', 'node', '1'),
('venenatis', '45', 'node', '1'),
('venenatis', '46', 'node', '1'),
('venenatis', '47', 'node', '1'),
('venenatis', '52', 'node', '1.97286'),
('venenatis', '53', 'node', '1'),
('venenatis', '54', 'node', '4.82164'),
('venenatis', '56', 'node', '1'),
('venenatis', '57', 'node', '2'),
('venenatis', '58', 'node', '2'),
('venenatis', '67', 'node', '1.77942'),
('venenatis', '68', 'node', '1'),
('venenatis', '71', 'node', '1'),
('venenatis', '73', 'node', '1.92027'),
('venenatis', '82', 'node', '1'),
('venenatis', '83', 'node', '1'),
('venenatis', '84', 'node', '2'),
('venenatis', '85', 'node', '1'),
('venenatis', '86', 'node', '2'),
('venenatis', '87', 'node', '1'),
('venenatis', '88', 'node', '1.94583'),
('venenatis', '89', 'node', '1'),
('venenatis', '90', 'node', '2.90305'),
('venenatis', '91', 'node', '3'),
('venenatis', '92', 'node', '2'),
('venenatis', '93', 'node', '1'),
('venenatis', '94', 'node', '0.931053'),
('venenatis', '96', 'node', '1'),
('venenatis', '97', 'node', '2.99315'),
('venenatis', '98', 'node', '1.94209'),
('venenatis', '100', 'node', '0.938382'),
('venenatis', '102', 'node', '1.97685'),
('venenatis', '103', 'node', '2'),
('venenatis', '104', 'node', '3'),
('venenatis', '105', 'node', '1'),
('venenatis', '121', 'node', '1.89761'),
('venenatis', '122', 'node', '0.927431'),
('venenatis', '123', 'node', '1'),
('venenatis', '124', 'node', '1'),
('venenatis', '125', 'node', '1.99731'),
('venenatis', '127', 'node', '1'),
('venenatis', '129', 'node', '4'),
('venenatis', '130', 'node', '1'),
('venenatis', '137', 'node', '2.97286'),
('venenatis', '138', 'node', '2'),
('venenatis', '139', 'node', '1'),
('venenatis', '148', 'node', '3.97286'),
('venenatis', '150', 'node', '2.86987'),
('venenatis', '151', 'node', '3'),
('venenatis', '152', 'node', '0.961087'),
('venenatis', '154', 'node', '3.96109'),
('venenatis', '155', 'node', '0.896076'),
('venenatis', '157', 'node', '0.931053'),
('venenatis', '158', 'node', '1.9534'),
('venenatis', '159', 'node', '1.95723'),
('venenatis', '160', 'node', '1'),
('venenatis', '162', 'node', '2.9689'),
('venenatis', '163', 'node', '2'),
('venenatis', '164', 'node', '2'),
('venenatis', '166', 'node', '2'),
('venenatis', '167', 'node', '2.92384'),
('venenatis', '168', 'node', '0.997306'),
('venenatis', '169', 'node', '2'),
('venenatis', '170', 'node', '1'),
('venenatis', '174', 'node', '1.65012'),
('venenatis', '175', 'node', '1.93105'),
('venenatis', '176', 'node', '1'),
('venenatis', '177', 'node', '3'),
('venenatis', '179', 'node', '4.8631'),
('venenatis', '183', 'node', '1'),
('vestibulum', '12', 'node', '5.35917'),
('vestibulum', '13', 'node', '2'),
('vestibulum', '14', 'node', '2.80007'),
('vestibulum', '15', 'node', '0.972861'),
('vestibulum', '16', 'node', '3.8894'),
('vestibulum', '17', 'node', '16.975'),
('vestibulum', '18', 'node', '18.159'),
('vestibulum', '19', 'node', '14.9246'),
('vestibulum', '20', 'node', '13'),
('vestibulum', '21', 'node', '2'),
('vestibulum', '22', 'node', '2'),
('vestibulum', '23', 'node', '3'),
('vestibulum', '25', 'node', '16'),
('vestibulum', '26', 'node', '13.7603'),
('vestibulum', '27', 'node', '14.3652'),
('vestibulum', '28', 'node', '2'),
('vestibulum', '29', 'node', '3.96498'),
('vestibulum', '30', 'node', '1.87313'),
('vestibulum', '32', 'node', '28'),
('vestibulum', '33', 'node', '1'),
('vestibulum', '35', 'node', '1.9534'),
('vestibulum', '37', 'node', '1'),
('vestibulum', '38', 'node', '0.899454'),
('vestibulum', '39', 'node', '2.92613'),
('vestibulum', '40', 'node', '5'),
('vestibulum', '41', 'node', '13.7401'),
('vestibulum', '42', 'node', '1.98087'),
('vestibulum', '43', 'node', '3.9236'),
('vestibulum', '44', 'node', '2'),
('vestibulum', '45', 'node', '29.9308'),
('vestibulum', '46', 'node', '1.9689'),
('vestibulum', '47', 'node', '3'),
('vestibulum', '50', 'node', '3.95037'),
('vestibulum', '52', 'node', '4.75367'),
('vestibulum', '54', 'node', '3.92999'),
('vestibulum', '55', 'node', '28'),
('vestibulum', '56', 'node', '1'),
('vestibulum', '57', 'node', '2'),
('vestibulum', '58', 'node', '1'),
('vestibulum', '65', 'node', '2'),
('vestibulum', '67', 'node', '0.972861'),
('vestibulum', '68', 'node', '1.9496'),
('vestibulum', '69', 'node', '4'),
('vestibulum', '71', 'node', '2.96109'),
('vestibulum', '73', 'node', '7.86295'),
('vestibulum', '82', 'node', '4'),
('vestibulum', '83', 'node', '4'),
('vestibulum', '84', 'node', '1'),
('vestibulum', '85', 'node', '2'),
('vestibulum', '86', 'node', '3'),
('vestibulum', '87', 'node', '4.99731'),
('vestibulum', '88', 'node', '1.89603'),
('vestibulum', '89', 'node', '2'),
('vestibulum', '90', 'node', '1'),
('vestibulum', '91', 'node', '1'),
('vestibulum', '92', 'node', '4'),
('vestibulum', '93', 'node', '0.953396'),
('vestibulum', '94', 'node', '2'),
('vestibulum', '95', 'node', '2.93784'),
('vestibulum', '96', 'node', '2'),
('vestibulum', '97', 'node', '3.94209'),
('vestibulum', '98', 'node', '28'),
('vestibulum', '99', 'node', '4.94302'),
('vestibulum', '100', 'node', '0.945829'),
('vestibulum', '101', 'node', '5.91329'),
('vestibulum', '102', 'node', '3'),
('vestibulum', '103', 'node', '4.94583'),
('vestibulum', '104', 'node', '3.99731'),
('vestibulum', '105', 'node', '1.91645'),
('vestibulum', '121', 'node', '3.84767'),
('vestibulum', '122', 'node', '1'),
('vestibulum', '124', 'node', '3.92474'),
('vestibulum', '125', 'node', '3'),
('vestibulum', '126', 'node', '3.93838'),
('vestibulum', '127', 'node', '2'),
('vestibulum', '128', 'node', '3'),
('vestibulum', '130', 'node', '1.88106'),
('vestibulum', '131', 'node', '2'),
('vestibulum', '132', 'node', '3'),
('vestibulum', '133', 'node', '2'),
('vestibulum', '136', 'node', '3'),
('vestibulum', '137', 'node', '3.98087'),
('vestibulum', '138', 'node', '2'),
('vestibulum', '142', 'node', '1'),
('vestibulum', '146', 'node', '1'),
('vestibulum', '147', 'node', '1.87957'),
('vestibulum', '148', 'node', '0.957226'),
('vestibulum', '150', 'node', '7.82054'),
('vestibulum', '151', 'node', '4'),
('vestibulum', '152', 'node', '0.899454'),
('vestibulum', '153', 'node', '2.98902'),
('vestibulum', '154', 'node', '9.72255'),
('vestibulum', '155', 'node', '0.927431'),
('vestibulum', '156', 'node', '2'),
('vestibulum', '157', 'node', '1'),
('vestibulum', '158', 'node', '1'),
('vestibulum', '159', 'node', '1'),
('vestibulum', '160', 'node', '3.9347'),
('vestibulum', '161', 'node', '3.93838'),
('vestibulum', '162', 'node', '1.94583'),
('vestibulum', '164', 'node', '2.95723'),
('vestibulum', '165', 'node', '3.95723'),
('vestibulum', '166', 'node', '2.97286'),
('vestibulum', '167', 'node', '1'),
('vestibulum', '168', 'node', '2.99315'),
('vestibulum', '169', 'node', '1'),
('vestibulum', '170', 'node', '3'),
('vestibulum', '172', 'node', '5.56461'),
('vestibulum', '174', 'node', '4.60607'),
('vestibulum', '175', 'node', '5.89272'),
('vestibulum', '176', 'node', '32.7331'),
('vestibulum', '177', 'node', '4.79422'),
('vestibulum', '178', 'node', '1'),
('vestibulum', '179', 'node', '4.79655'),
('vestibulum', '183', 'node', '1'),
('vestibulum', '184', 'node', '2'),
('video', '174', 'node', '1'),
('visual', '125', 'node', '26'),
('vitae', '12', 'node', '5.43934'),
('vitae', '13', 'node', '4.90988'),
('vitae', '14', 'node', '11.918'),
('vitae', '16', 'node', '4.27785'),
('vitae', '17', 'node', '3'),
('vitae', '18', 'node', '5.87246'),
('vitae', '19', 'node', '6'),
('vitae', '20', 'node', '5'),
('vitae', '21', 'node', '5'),
('vitae', '22', 'node', '1'),
('vitae', '23', 'node', '4'),
('vitae', '24', 'node', '2.99315'),
('vitae', '25', 'node', '3'),
('vitae', '26', 'node', '4.83358'),
('vitae', '27', 'node', '1.9534'),
('vitae', '29', 'node', '2'),
('vitae', '30', 'node', '3'),
('vitae', '31', 'node', '2'),
('vitae', '32', 'node', '33'),
('vitae', '33', 'node', '0.931053'),
('vitae', '34', 'node', '3.9496'),
('vitae', '35', 'node', '1.97685'),
('vitae', '37', 'node', '0.953396'),
('vitae', '38', 'node', '6.73541'),
('vitae', '39', 'node', '1'),
('vitae', '40', 'node', '4'),
('vitae', '41', 'node', '2.90756'),
('vitae', '42', 'node', '1'),
('vitae', '43', 'node', '30.8729'),
('vitae', '44', 'node', '6'),
('vitae', '45', 'node', '1'),
('vitae', '46', 'node', '4'),
('vitae', '47', 'node', '1'),
('vitae', '50', 'node', '2.95523'),
('vitae', '52', 'node', '1.90286'),
('vitae', '53', 'node', '2.97402'),
('vitae', '54', 'node', '1.92384'),
('vitae', '55', 'node', '2'),
('vitae', '56', 'node', '6.93111'),
('vitae', '57', 'node', '4'),
('vitae', '58', 'node', '4'),
('vitae', '65', 'node', '2'),
('vitae', '67', 'node', '2'),
('vitae', '68', 'node', '1'),
('vitae', '69', 'node', '2'),
('vitae', '71', 'node', '5.92217'),
('vitae', '73', 'node', '2.97685'),
('vitae', '82', 'node', '3'),
('vitae', '83', 'node', '3'),
('vitae', '84', 'node', '3'),
('vitae', '85', 'node', '3.99315'),
('vitae', '86', 'node', '4'),
('vitae', '87', 'node', '1'),
('vitae', '88', 'node', '4'),
('vitae', '89', 'node', '4.99731'),
('vitae', '90', 'node', '3.9223'),
('vitae', '91', 'node', '1'),
('vitae', '92', 'node', '3.98087'),
('vitae', '93', 'node', '4.88232'),
('vitae', '94', 'node', '5.92384'),
('vitae', '95', 'node', '2.93838'),
('vitae', '96', 'node', '2'),
('vitae', '97', 'node', '3.97804'),
('vitae', '98', 'node', '2.93395'),
('vitae', '99', 'node', '5'),
('vitae', '100', 'node', '2.87681'),
('vitae', '101', 'node', '3'),
('vitae', '102', 'node', '3.94196'),
('vitae', '103', 'node', '3.92372'),
('vitae', '104', 'node', '8.94355'),
('vitae', '105', 'node', '3'),
('vitae', '121', 'node', '7.73806'),
('vitae', '122', 'node', '1.90682'),
('vitae', '123', 'node', '1.93838'),
('vitae', '124', 'node', '3.92743'),
('vitae', '125', 'node', '2'),
('vitae', '126', 'node', '2.92372'),
('vitae', '127', 'node', '1'),
('vitae', '128', 'node', '4.9534'),
('vitae', '129', 'node', '3'),
('vitae', '130', 'node', '2.87723'),
('vitae', '131', 'node', '4.88033'),
('vitae', '132', 'node', '6.99315'),
('vitae', '133', 'node', '1'),
('vitae', '136', 'node', '27.9534'),
('vitae', '137', 'node', '3.98087'),
('vitae', '138', 'node', '2'),
('vitae', '139', 'node', '5'),
('vitae', '142', 'node', '2'),
('vitae', '143', 'node', '5'),
('vitae', '144', 'node', '1'),
('vitae', '146', 'node', '1'),
('vitae', '147', 'node', '2.84648'),
('vitae', '148', 'node', '4.84532'),
('vitae', '150', 'node', '2.813'),
('vitae', '151', 'node', '4.97286'),
('vitae', '152', 'node', '2.99731'),
('vitae', '153', 'node', '2.84767'),
('vitae', '154', 'node', '8.72658'),
('vitae', '155', 'node', '6.80152'),
('vitae', '156', 'node', '2'),
('vitae', '157', 'node', '4.87703'),
('vitae', '158', 'node', '2'),
('vitae', '159', 'node', '2'),
('vitae', '160', 'node', '2.82639'),
('vitae', '161', 'node', '4.98493'),
('vitae', '162', 'node', '4.94583'),
('vitae', '163', 'node', '2.99315'),
('vitae', '164', 'node', '5'),
('vitae', '165', 'node', '2.95723'),
('vitae', '166', 'node', '6.95373'),
('vitae', '167', 'node', '2.8843'),
('vitae', '168', 'node', '2'),
('vitae', '169', 'node', '1'),
('vitae', '170', 'node', '3'),
('vitae', '171', 'node', '3.99315'),
('vitae', '172', 'node', '6.49182'),
('vitae', '174', 'node', '3.43603'),
('vitae', '175', 'node', '8.61955'),
('vitae', '176', 'node', '8.89945'),
('vitae', '177', 'node', '7.59823'),
('vitae', '178', 'node', '6.81991'),
('vitae', '179', 'node', '2.9496'),
('vitae', '183', 'node', '3'),
('vitae', '184', 'node', '1'),
('vivamus', '12', 'node', '1.79737'),
('vivamus', '14', 'node', '3.42996'),
('vivamus', '15', 'node', '1'),
('vivamus', '16', 'node', '2'),
('vivamus', '17', 'node', '2'),
('vivamus', '18', 'node', '0.942091'),
('vivamus', '19', 'node', '2'),
('vivamus', '20', 'node', '1'),
('vivamus', '22', 'node', '2'),
('vivamus', '24', 'node', '1.99731'),
('vivamus', '26', 'node', '1'),
('vivamus', '31', 'node', '0.980874'),
('vivamus', '33', 'node', '1.89272'),
('vivamus', '35', 'node', '0.96498'),
('vivamus', '39', 'node', '2.9185'),
('vivamus', '40', 'node', '1'),
('vivamus', '42', 'node', '1'),
('vivamus', '43', 'node', '2'),
('vivamus', '44', 'node', '0.968904'),
('vivamus', '50', 'node', '0.953396'),
('vivamus', '53', 'node', '1'),
('vivamus', '54', 'node', '2'),
('vivamus', '55', 'node', '2'),
('vivamus', '56', 'node', '1.94583'),
('vivamus', '57', 'node', '1'),
('vivamus', '58', 'node', '2'),
('vivamus', '65', 'node', '1'),
('vivamus', '68', 'node', '1'),
('vivamus', '73', 'node', '2.84055'),
('vivamus', '83', 'node', '1'),
('vivamus', '84', 'node', '2'),
('vivamus', '85', 'node', '0.989021'),
('vivamus', '87', 'node', '1'),
('vivamus', '88', 'node', '1'),
('vivamus', '94', 'node', '2'),
('vivamus', '97', 'node', '2'),
('vivamus', '98', 'node', '0.949597'),
('vivamus', '99', 'node', '2'),
('vivamus', '100', 'node', '1'),
('vivamus', '101', 'node', '1'),
('vivamus', '102', 'node', '1'),
('vivamus', '103', 'node', '2'),
('vivamus', '104', 'node', '1'),
('vivamus', '121', 'node', '1.99731'),
('vivamus', '122', 'node', '1'),
('vivamus', '123', 'node', '0.993146'),
('vivamus', '125', 'node', '1.97286'),
('vivamus', '127', 'node', '27'),
('vivamus', '128', 'node', '1'),
('vivamus', '129', 'node', '2'),
('vivamus', '134', 'node', '1'),
('vivamus', '136', 'node', '27'),
('vivamus', '137', 'node', '1'),
('vivamus', '138', 'node', '1'),
('vivamus', '139', 'node', '2'),
('vivamus', '142', 'node', '1'),
('vivamus', '147', 'node', '2'),
('vivamus', '150', 'node', '3.96498'),
('vivamus', '151', 'node', '1.96601'),
('vivamus', '152', 'node', '2'),
('vivamus', '153', 'node', '1.8861'),
('vivamus', '154', 'node', '1.92027'),
('vivamus', '155', 'node', '27'),
('vivamus', '156', 'node', '2'),
('vivamus', '157', 'node', '1'),
('vivamus', '158', 'node', '4'),
('vivamus', '159', 'node', '4'),
('vivamus', '163', 'node', '2'),
('vivamus', '164', 'node', '1'),
('vivamus', '166', 'node', '2'),
('vivamus', '167', 'node', '2.96109'),
('vivamus', '168', 'node', '1'),
('vivamus', '169', 'node', '2'),
('vivamus', '170', 'node', '1'),
('vivamus', '171', 'node', '1'),
('vivamus', '172', 'node', '4.60268'),
('vivamus', '174', 'node', '2.58509'),
('vivamus', '175', 'node', '3.83817'),
('vivamus', '176', 'node', '1'),
('vivamus', '177', 'node', '1'),
('vivamus', '178', 'node', '4'),
('vivamus', '179', 'node', '1'),
('viverra', '12', 'node', '3.80343'),
('viverra', '13', 'node', '0.916736'),
('viverra', '14', 'node', '3.77293'),
('viverra', '15', 'node', '1'),
('viverra', '16', 'node', '0.972861'),
('viverra', '17', 'node', '1'),
('viverra', '18', 'node', '1.97286'),
('viverra', '19', 'node', '2'),
('viverra', '21', 'node', '1'),
('viverra', '22', 'node', '1'),
('viverra', '23', 'node', '27'),
('viverra', '24', 'node', '3.9347'),
('viverra', '26', 'node', '0.906287'),
('viverra', '27', 'node', '1'),
('viverra', '28', 'node', '1'),
('viverra', '30', 'node', '2.77654'),
('viverra', '32', 'node', '0.927431'),
('viverra', '33', 'node', '0.920273'),
('viverra', '34', 'node', '1'),
('viverra', '35', 'node', '1.97286'),
('viverra', '37', 'node', '1'),
('viverra', '38', 'node', '0.945829'),
('viverra', '40', 'node', '2'),
('viverra', '41', 'node', '13.719'),
('viverra', '43', 'node', '1'),
('viverra', '44', 'node', '3'),
('viverra', '45', 'node', '2'),
('viverra', '46', 'node', '1'),
('viverra', '50', 'node', '1'),
('viverra', '55', 'node', '1'),
('viverra', '56', 'node', '2'),
('viverra', '57', 'node', '2'),
('viverra', '58', 'node', '1'),
('viverra', '65', 'node', '1'),
('viverra', '68', 'node', '3.86022'),
('viverra', '69', 'node', '1'),
('viverra', '71', 'node', '0.98493'),
('viverra', '73', 'node', '1.82016'),
('viverra', '82', 'node', '1'),
('viverra', '83', 'node', '1'),
('viverra', '84', 'node', '2'),
('viverra', '86', 'node', '1'),
('viverra', '87', 'node', '1'),
('viverra', '88', 'node', '2.96587'),
('viverra', '89', 'node', '1'),
('viverra', '94', 'node', '1'),
('viverra', '95', 'node', '0.976851'),
('viverra', '96', 'node', '3'),
('viverra', '97', 'node', '2'),
('viverra', '100', 'node', '2'),
('viverra', '101', 'node', '2'),
('viverra', '102', 'node', '2'),
('viverra', '103', 'node', '2'),
('viverra', '121', 'node', '1'),
('viverra', '122', 'node', '1.9689'),
('viverra', '124', 'node', '1'),
('viverra', '125', 'node', '3.86567'),
('viverra', '126', 'node', '1.96109'),
('viverra', '128', 'node', '0.949597'),
('viverra', '130', 'node', '1.95723'),
('viverra', '131', 'node', '2'),
('viverra', '132', 'node', '1.98902'),
('viverra', '136', 'node', '2'),
('viverra', '137', 'node', '3'),
('viverra', '138', 'node', '2'),
('viverra', '139', 'node', '1'),
('viverra', '142', 'node', '2'),
('viverra', '145', 'node', '1'),
('viverra', '147', 'node', '0.899454'),
('viverra', '148', 'node', '1.84832'),
('viverra', '150', 'node', '1'),
('viverra', '151', 'node', '2.92743'),
('viverra', '152', 'node', '2.97286'),
('viverra', '153', 'node', '1'),
('viverra', '154', 'node', '3.90629'),
('viverra', '155', 'node', '3.79891'),
('viverra', '156', 'node', '1'),
('viverra', '158', 'node', '1.98493'),
('viverra', '159', 'node', '1.98902'),
('viverra', '160', 'node', '0.923838'),
('viverra', '161', 'node', '4.98493'),
('viverra', '162', 'node', '2.89166'),
('viverra', '164', 'node', '0.961087'),
('viverra', '165', 'node', '1.90286'),
('viverra', '166', 'node', '1.9534'),
('viverra', '168', 'node', '1'),
('viverra', '169', 'node', '27'),
('viverra', '170', 'node', '1.92027'),
('viverra', '171', 'node', '2'),
('viverra', '172', 'node', '0.889397'),
('viverra', '174', 'node', '2.83645'),
('viverra', '175', 'node', '4.75078'),
('viverra', '176', 'node', '1.97286'),
('viverra', '177', 'node', '1.74629'),
('viverra', '178', 'node', '0.945829'),
('viverra', '179', 'node', '3.90069'),
('viverra', '183', 'node', '1'),
('volutpat', '12', 'node', '0.769219'),
('volutpat', '13', 'node', '1.9496'),
('volutpat', '14', 'node', '3.55953'),
('volutpat', '15', 'node', '2'),
('volutpat', '16', 'node', '0.968904'),
('volutpat', '17', 'node', '2'),
('volutpat', '18', 'node', '2'),
('volutpat', '20', 'node', '1'),
('volutpat', '21', 'node', '0.989021'),
('volutpat', '22', 'node', '1'),
('volutpat', '23', 'node', '1'),
('volutpat', '24', 'node', '1.90729'),
('volutpat', '25', 'node', '1'),
('volutpat', '26', 'node', '1.99731'),
('volutpat', '28', 'node', '3'),
('volutpat', '29', 'node', '2'),
('volutpat', '31', 'node', '1'),
('volutpat', '32', 'node', '1.93838'),
('volutpat', '33', 'node', '1.85746'),
('volutpat', '34', 'node', '1'),
('volutpat', '35', 'node', '2'),
('volutpat', '37', 'node', '1'),
('volutpat', '38', 'node', '1'),
('volutpat', '39', 'node', '1.95011'),
('volutpat', '40', 'node', '1'),
('volutpat', '41', 'node', '1'),
('volutpat', '42', 'node', '1'),
('volutpat', '44', 'node', '2'),
('volutpat', '46', 'node', '3'),
('volutpat', '47', 'node', '1'),
('volutpat', '50', 'node', '1'),
('volutpat', '52', 'node', '0.961087'),
('volutpat', '53', 'node', '5.99315'),
('volutpat', '54', 'node', '0.96498'),
('volutpat', '56', 'node', '3'),
('volutpat', '65', 'node', '1'),
('volutpat', '67', 'node', '3.7935'),
('volutpat', '68', 'node', '1'),
('volutpat', '69', 'node', '3'),
('volutpat', '71', 'node', '2'),
('volutpat', '73', 'node', '0.923838'),
('volutpat', '83', 'node', '1'),
('volutpat', '84', 'node', '2'),
('volutpat', '85', 'node', '1'),
('volutpat', '86', 'node', '1'),
('volutpat', '88', 'node', '1'),
('volutpat', '90', 'node', '3'),
('volutpat', '91', 'node', '3'),
('volutpat', '92', 'node', '4'),
('volutpat', '95', 'node', '1.99315'),
('volutpat', '96', 'node', '1'),
('volutpat', '97', 'node', '2.89124'),
('volutpat', '98', 'node', '2.9496'),
('volutpat', '99', 'node', '2.954'),
('volutpat', '100', 'node', '2'),
('volutpat', '101', 'node', '2.88065'),
('volutpat', '102', 'node', '1'),
('volutpat', '105', 'node', '2'),
('volutpat', '121', 'node', '1'),
('volutpat', '122', 'node', '0.993146'),
('volutpat', '123', 'node', '1.86593'),
('volutpat', '124', 'node', '1.90974'),
('volutpat', '125', 'node', '1'),
('volutpat', '126', 'node', '3.83701'),
('volutpat', '127', 'node', '2'),
('volutpat', '128', 'node', '5.9223'),
('volutpat', '129', 'node', '2'),
('volutpat', '130', 'node', '1.9347');
INSERT INTO `search_index` VALUES
('volutpat', '131', 'node', '2'),
('volutpat', '132', 'node', '1'),
('volutpat', '133', 'node', '1'),
('volutpat', '134', 'node', '2'),
('volutpat', '137', 'node', '1'),
('volutpat', '138', 'node', '1'),
('volutpat', '139', 'node', '3'),
('volutpat', '144', 'node', '1'),
('volutpat', '147', 'node', '2.81959'),
('volutpat', '148', 'node', '1.86995'),
('volutpat', '151', 'node', '2.99315'),
('volutpat', '152', 'node', '1.89945'),
('volutpat', '153', 'node', '2.8861'),
('volutpat', '154', 'node', '1'),
('volutpat', '155', 'node', '2.86836'),
('volutpat', '156', 'node', '1'),
('volutpat', '157', 'node', '1.87723'),
('volutpat', '158', 'node', '0.968904'),
('volutpat', '159', 'node', '0.972861'),
('volutpat', '160', 'node', '1'),
('volutpat', '161', 'node', '2.93838'),
('volutpat', '163', 'node', '2.9496'),
('volutpat', '164', 'node', '2'),
('volutpat', '165', 'node', '1'),
('volutpat', '166', 'node', '3.97286'),
('volutpat', '168', 'node', '2.99315'),
('volutpat', '169', 'node', '2'),
('volutpat', '170', 'node', '1'),
('volutpat', '171', 'node', '1'),
('volutpat', '172', 'node', '3.58189'),
('volutpat', '174', 'node', '0.824901'),
('volutpat', '175', 'node', '3'),
('volutpat', '176', 'node', '3.80229'),
('volutpat', '177', 'node', '2'),
('volutpat', '178', 'node', '3.79215'),
('volutpat', '179', 'node', '1.87313'),
('volutpat', '184', 'node', '1'),
('vote', '37', 'node', '2.08082'),
('vote', '38', 'node', '0.873132'),
('vote', '41', 'node', '2.0246'),
('vote', '105', 'node', '2.14907'),
('vote', '123', 'node', '2.0246'),
('vote', '124', 'node', '1.98629'),
('vote', '125', 'node', '2.00143'),
('vote', '126', 'node', '0.902857'),
('votes', '11', 'node', '5'),
('votes', '180', 'node', '1'),
('vpn', '146', 'node', '1'),
('vpn', '183', 'node', '1'),
('vpn', '184', 'node', '1'),
('vulputate', '12', 'node', '1.54341'),
('vulputate', '13', 'node', '3.82378'),
('vulputate', '14', 'node', '1.6058'),
('vulputate', '16', 'node', '2.82548'),
('vulputate', '18', 'node', '0.980874'),
('vulputate', '21', 'node', '1'),
('vulputate', '22', 'node', '2'),
('vulputate', '23', 'node', '2'),
('vulputate', '24', 'node', '1.9496'),
('vulputate', '25', 'node', '1'),
('vulputate', '26', 'node', '1.94583'),
('vulputate', '27', 'node', '1'),
('vulputate', '28', 'node', '2'),
('vulputate', '30', 'node', '3'),
('vulputate', '31', 'node', '0.96498'),
('vulputate', '32', 'node', '1'),
('vulputate', '33', 'node', '1.84532'),
('vulputate', '37', 'node', '0.968904'),
('vulputate', '38', 'node', '2.6453'),
('vulputate', '39', 'node', '1'),
('vulputate', '40', 'node', '2'),
('vulputate', '41', 'node', '1.87957'),
('vulputate', '43', 'node', '1.94583'),
('vulputate', '44', 'node', '1'),
('vulputate', '45', 'node', '3'),
('vulputate', '46', 'node', '1.94583'),
('vulputate', '47', 'node', '2'),
('vulputate', '50', 'node', '3.94209'),
('vulputate', '52', 'node', '1.92384'),
('vulputate', '53', 'node', '2'),
('vulputate', '54', 'node', '1'),
('vulputate', '56', 'node', '2'),
('vulputate', '57', 'node', '1'),
('vulputate', '58', 'node', '1'),
('vulputate', '65', 'node', '2'),
('vulputate', '69', 'node', '1'),
('vulputate', '71', 'node', '1'),
('vulputate', '73', 'node', '1.80582'),
('vulputate', '83', 'node', '1'),
('vulputate', '84', 'node', '1'),
('vulputate', '85', 'node', '1'),
('vulputate', '86', 'node', '1'),
('vulputate', '87', 'node', '2'),
('vulputate', '89', 'node', '1'),
('vulputate', '90', 'node', '1'),
('vulputate', '91', 'node', '2'),
('vulputate', '92', 'node', '1.97286'),
('vulputate', '93', 'node', '2.83523'),
('vulputate', '94', 'node', '1.9347'),
('vulputate', '95', 'node', '1'),
('vulputate', '96', 'node', '1'),
('vulputate', '97', 'node', '1'),
('vulputate', '99', 'node', '2'),
('vulputate', '100', 'node', '1'),
('vulputate', '101', 'node', '2.95723'),
('vulputate', '103', 'node', '3'),
('vulputate', '104', 'node', '1'),
('vulputate', '105', 'node', '2.94209'),
('vulputate', '121', 'node', '0.860547'),
('vulputate', '123', 'node', '2'),
('vulputate', '124', 'node', '1'),
('vulputate', '125', 'node', '0.913226'),
('vulputate', '126', 'node', '1.92743'),
('vulputate', '127', 'node', '4'),
('vulputate', '128', 'node', '1'),
('vulputate', '129', 'node', '1'),
('vulputate', '130', 'node', '1'),
('vulputate', '131', 'node', '1.90629'),
('vulputate', '132', 'node', '2.93794'),
('vulputate', '133', 'node', '1'),
('vulputate', '134', 'node', '2'),
('vulputate', '136', 'node', '1'),
('vulputate', '137', 'node', '2'),
('vulputate', '138', 'node', '1'),
('vulputate', '139', 'node', '2'),
('vulputate', '144', 'node', '1'),
('vulputate', '145', 'node', '1'),
('vulputate', '146', 'node', '1'),
('vulputate', '147', 'node', '1.89608'),
('vulputate', '148', 'node', '2.69667'),
('vulputate', '150', 'node', '2.86106'),
('vulputate', '151', 'node', '2'),
('vulputate', '152', 'node', '0.892724'),
('vulputate', '154', 'node', '1'),
('vulputate', '155', 'node', '2.89274'),
('vulputate', '156', 'node', '1.94209'),
('vulputate', '160', 'node', '1'),
('vulputate', '161', 'node', '1'),
('vulputate', '162', 'node', '2'),
('vulputate', '165', 'node', '0.993146'),
('vulputate', '166', 'node', '1.9689'),
('vulputate', '167', 'node', '2.91323'),
('vulputate', '168', 'node', '1'),
('vulputate', '170', 'node', '0.945829'),
('vulputate', '175', 'node', '1.90016'),
('vulputate', '176', 'node', '2.8861'),
('vulputate', '177', 'node', '0.993146'),
('vulputate', '178', 'node', '0.961087'),
('vulputate', '179', 'node', '2.83422'),
('watson', '84', 'node', '26'),
('web', '38', 'node', '26'),
('web', '173', 'node', '1'),
('what', '11', 'node', '26'),
('who', '150', 'node', '26'),
('why', '125', 'node', '26'),
('wishlist', '180', 'node', '11'),
('with', '38', 'node', '26'),
('with', '123', 'node', '26'),
('words', '125', 'node', '26'),
('words', '147', 'node', '26'),
('workflow', '126', 'node', '11'),
('worth', '125', 'node', '26'),
('write', '38', 'node', '26'),
('wtcntga6ghs', '174', 'node', '1'),
('yet', '180', 'node', '1'),
('you', '11', 'node', '26'),
('your', '38', 'node', '26'),
('your', '123', 'node', '26'),
('your', '172', 'node', '26'),
('your', '173', 'node', '3'),
('yout', '173', 'node', '1');
/*!40000 ALTER TABLE search_index ENABLE KEYS */;

--
-- Table structure for table 'search_node_links'
--

CREATE TABLE IF NOT EXISTS `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...' COMMENT='Stores items (like nodes) that link to other nodes, used...';

--
-- Dumping data for table 'search_node_links'
--

/*!40000 ALTER TABLE search_node_links DISABLE KEYS */;
/*!40000 ALTER TABLE search_node_links ENABLE KEYS */;

--
-- Table structure for table 'search_total'
--

CREATE TABLE IF NOT EXISTS `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.' COMMENT='Stores search totals for words.';

--
-- Dumping data for table 'search_total'
--

/*!40000 ALTER TABLE search_total DISABLE KEYS */;
INSERT INTO `search_total` VALUES
('1', '0.00363921'),
('10', '0.0791812'),
('100', '0.176091'),
('1000', '0.0163904'),
('107', '0.30103'),
('11', '0.00405333'),
('12', '0.0791812'),
('1287', '0.30103'),
('13', '0.176091'),
('15', '0.176091'),
('150', '0.30103'),
('156', '0.30103'),
('1611', '0.0462949'),
('17', '0.0413644'),
('1705', '0.0204592'),
('1807', '0.0416652'),
('194', '0.30103'),
('2', '0.00617338'),
('2011', '0.00421697'),
('2013', '0.0224386'),
('2014', '0.0204184'),
('21', '0.0157943'),
('23', '0.30103'),
('24', '0.0163904'),
('25', '0.176091'),
('250', '0.30103'),
('265', '0.30103'),
('29', '0.30103'),
('3', '0.0045915'),
('31', '0.30103'),
('31200', '0.30103'),
('35', '0.176091'),
('368', '0.30103'),
('39', '0.30103'),
('4', '0.00644326'),
('40', '0.30103'),
('498', '0.30103'),
('5', '0.0115654'),
('50', '0.124939'),
('6', '0.0137883'),
('66', '0.30103'),
('7', '0.00555621'),
('8', '0.0791812'),
('88', '0.30103'),
('9', '0.100459'),
('about', '0.00827253'),
('access', '0.30103'),
('accumsan', '0.00239341'),
('add', '0.0377886'),
('addon', '0.124939'),
('adipiscing', '0.01663'),
('admin', '0.00414413'),
('aenean', '0.00152665'),
('agency', '0.0163904'),
('aliquam', '0.000885886'),
('aliquet', '0.00206338'),
('allowed', '0.176091'),
('always', '0.00827253'),
('amanda', '0.0163904'),
('amet', '0.000684023'),
('anna', '0.0163904'),
('anonymous', '0.00782534'),
('ante', '0.00140562'),
('app', '0.0163904'),
('aptent', '0.00798605'),
('arcu', '0.00108512'),
('are', '0.00553249'),
('art', '0.30103'),
('auctor', '0.00238863'),
('augue', '0.00159943'),
('backer', '0.0163904'),
('bad', '0.30103'),
('basecamp', '0.124939'),
('based', '0.0163904'),
('basic', '0.0163904'),
('best', '0.00827253'),
('bibendum', '0.00242948'),
('blandit', '0.00147738'),
('blog', '0.00393029'),
('boots', '0.0115819'),
('browsers', '0.0377886'),
('business', '0.0377886'),
('category', '0.00179646'),
('checkbox', '0.0669468'),
('class', '0.00798217'),
('cli', '0.0163904'),
('client', '0.0791812'),
('clients', '0.0163904'),
('clifford', '0.0163904'),
('comments', '0.0339621'),
('commodo', '0.00224011'),
('company', '0.0442117'),
('condimentum', '0.00195889'),
('congue', '0.00228171'),
('consectetur', '0.00169425'),
('consequat', '0.00216079'),
('contact', '0.0163904'),
('content', '0.30103'),
('conubia', '0.0154134'),
('convallis', '0.0018678'),
('corporate', '0.0163904'),
('cras', '0.00257634'),
('creating', '0.0163904'),
('creative', '0.00827253'),
('cubilia', '0.0204938'),
('cum', '0.00488727'),
('curabitur', '0.00189516'),
('curae', '0.0205126'),
('cursus', '0.00181591'),
('custom', '0.09691'),
('dapibus', '0.00199887'),
('datadriven', '0.0163904'),
('demo', '0.0163904'),
('design', '0.00416174'),
('designer', '0.30103'),
('development', '0.0134936'),
('devtools', '0.0163904'),
('diam', '0.00151606'),
('dictum', '0.0017398'),
('dictumst', '0.0160619'),
('digital', '0.0163904'),
('dignissim', '0.00177633'),
('director', '0.30103'),
('directorate', '0.012965'),
('dis', '0.0197197'),
('discussion', '0.00827155'),
('disk', '0.09691'),
('doe', '0.0163904'),
('dolor', '0.00119692'),
('domain', '0.09691'),
('domains', '0.176091'),
('domo', '0.0163904'),
('donec', '0.000921831'),
('drupal', '0.0377886'),
('dui', '0.0012205'),
('duis', '0.00138155'),
('efficitur', '0.00199663'),
('effortless', '0.0163904'),
('egestas', '0.00256314'),
('eget', '0.000934905'),
('eleifend', '0.00152703'),
('elementum', '0.00182068'),
('elit', '0.00155898'),
('email', '0.09691'),
('ember', '0.0163904'),
('enim', '0.00181921'),
('enterprise', '0.0163904'),
('erat', '0.000998337'),
('eros', '0.00135354'),
('est', '0.00154955'),
('etiam', '0.00238612'),
('euismod', '0.00197822'),
('ever', '0.0163904'),
('examplecom', '0.00393029'),
('experience', '0.0163904'),
('facilisi', '0.0151344'),
('facilisis', '0.00198663'),
('fames', '0.00673019'),
('faucibus', '0.00144747'),
('felis', '0.00178336'),
('fermentum', '0.00224503'),
('feugiat', '0.00196895'),
('few', '0.0163904'),
('finibus', '0.00194758'),
('firefox', '0.0163904'),
('for', '0.00827253'),
('form', '0.0163904'),
('founder', '0.30103'),
('frank', '0.0163904'),
('free', '0.0157943'),
('freebies', '0.0163904'),
('fringilla', '0.00192909'),
('furious', '0.0163904'),
('fusce', '0.00149524'),
('gates', '0.176091'),
('general', '0.0041059'),
('good', '0.30103'),
('graphic', '0.0105719'),
('gravida', '0.00215072'),
('green', '0.0163904'),
('habitant', '0.0052426'),
('habitasse', '0.0160154'),
('hac', '0.0159928'),
('hall', '0.0163904'),
('halloy', '0.0163904'),
('harold', '0.0163904'),
('health', '0.0377886'),
('help', '0.0163904'),
('hendrerit', '0.00197602'),
('himenaeos', '0.0154781'),
('houdini', '0.0163904'),
('iaculis', '0.00245518'),
('icon', '0.0163904'),
('ideas', '0.0163904'),
('igula', '0.109351'),
('imperdiet', '0.00222587'),
('inceptos', '0.0154556'),
('inch', '0.0163904'),
('input', '0.176091'),
('integer', '0.00219551'),
('integration', '0.0669468'),
('interdum', '0.00232996'),
('ipsum', '0.000966063'),
('irma', '0.00827253'),
('james', '0.0163904'),
('javascript', '0.0377886'),
('jeff', '0.0163904'),
('jessica', '0.00827253'),
('john', '0.0163904'),
('july', '0.0412139'),
('justo', '0.00148214'),
('kara', '0.0163904'),
('kim', '0.0163904'),
('kulis', '0.0163904'),
('lacinia', '0.00225649'),
('lacus', '0.00179983'),
('laoreet', '0.00205663'),
('layered', '0.00827253'),
('lead', '0.30103'),
('leather', '0.0163904'),
('lectus', '0.00158611'),
('leo', '0.0013149'),
('libero', '0.00132553'),
('licence', '0.0101655'),
('ligula', '0.0013224'),
('likebtn', '0.0336874'),
('likebtninit', '0.0337864'),
('limited', '0.0511525'),
('litora', '0.0153524'),
('lobortis', '0.00192575'),
('log', '0.0157128'),
('london', '0.0163904'),
('lorem', '0.00117549'),
('low', '0.0163904'),
('luctus', '0.00225118'),
('luke', '0.0163904'),
('maecenas', '0.00151332'),
('magna', '0.00131132'),
('magnet', '0.0163904'),
('magnis', '0.0196954'),
('mail', '0.00393029'),
('malesuada', '0.0013808'),
('manager', '0.176091'),
('managing', '0.0115819'),
('marketing', '0.019299'),
('massa', '0.0015106'),
('master', '0.0163904'),
('mattis', '0.00292867'),
('mauris', '0.000657431'),
('maximus', '0.00170042'),
('may', '0.00246528'),
('members', '0.09691'),
('men', '0.0377886'),
('message', '0.30103'),
('metus', '0.00147925'),
('mission', '0.0163904'),
('modeling', '0.00534451'),
('molestie', '0.00205046'),
('mollis', '0.00190093'),
('montes', '0.0197732'),
('month', '0.176091'),
('morbi', '0.0013188'),
('motion', '0.00687687'),
('motra', '0.0163904'),
('mus', '0.0198587'),
('n01', '0.30103'),
('nam', '0.00192908'),
('name', '0.30103'),
('nascetur', '0.0197998'),
('natoque', '0.00489508'),
('nec', '0.00073715'),
('neque', '0.00169513'),
('netus', '0.0103959'),
('next', '0.0163904'),
('nibh', '0.00162614'),
('nisi', '0.00164339'),
('nisifes', '0.012965'),
('nisl', '0.00163365'),
('non', '0.00081516'),
('none', '0.30103'),
('normal', '0.30103'),
('nostra', '0.0154338'),
('november', '0.045998'),
('nulla', '0.000821098'),
('nullam', '0.00249258'),
('number', '0.30103'),
('nunc', '0.000816432'),
('odio', '0.00163379'),
('option', '0.0413927'),
('orci', '0.00131914'),
('ornare', '0.00182799'),
('others', '0.0136268'),
('our', '0.0163904'),
('parturient', '0.0197465'),
('paypal', '0.124939'),
('pellentesque', '0.000865201'),
('penatibus', '0.0118505'),
('per', '0.00751141'),
('permalink', '0.00302201'),
('personal', '0.0163904'),
('perspective', '0.0163904'),
('pharetra', '0.00165396'),
('phasellus', '0.00204827'),
('phone', '0.30103'),
('photographer', '0.30103'),
('photography', '0.0084636'),
('photoshop', '0.0415148'),
('placerat', '0.00271401'),
('platea', '0.0160387'),
('porta', '0.00200824'),
('porttitor', '0.00238345'),
('post', '0.0339133'),
('posuere', '0.00198337'),
('potenti', '0.00673054'),
('powerful', '0.0163904'),
('praesent', '0.00191728'),
('premium', '0.0163904'),
('pretium', '0.00223272'),
('price', '0.00827253'),
('primis', '0.00986962'),
('pro', '0.0163904'),
('product', '0.0163904'),
('professionals', '0.0163904'),
('proin', '0.00200774'),
('projects', '0.124939'),
('prototyping', '0.30103'),
('psd', '0.00827253'),
('public', '0.0377886'),
('pulvinar', '0.00146306'),
('purus', '0.00129766'),
('quam', '0.00165914'),
('quantity', '0.30103'),
('queue', '0.0115819'),
('quis', '0.000671148'),
('quisque', '0.00111165'),
('radio', '0.0669468'),
('read', '0.012318'),
('reads', '0.00724241'),
('really', '0.0163904'),
('register', '0.0534173'),
('relations', '0.0377886'),
('revisiting', '0.0163904'),
('rhoncus', '0.00247976'),
('ridiculus', '0.0198286'),
('risus', '0.00180959'),
('rutrum', '0.00218063'),
('sagittis', '0.00209533'),
('sales', '0.0321847'),
('sapien', '0.0017642'),
('sarah', '0.0163904'),
('scelerisque', '0.00246344'),
('sed', '0.000398575'),
('select', '0.09691'),
('sell', '0.0163904'),
('sem', '0.00137126'),
('semper', '0.00143286'),
('senectus', '0.00764548'),
('service', '0.0157943'),
('simple', '0.0163904'),
('sit', '0.000684019'),
('sku', '0.30103'),
('smart', '0.0163904'),
('smarts', '0.0163904'),
('sociis', '0.00489111'),
('sociosqu', '0.00799475'),
('sodales', '0.00222743'),
('sollicitudin', '0.00202938'),
('soon', '0.0163904'),
('space', '0.0791812'),
('submitted', '0.0321919'),
('super', '0.30103'),
('supercharge', '0.0163904'),
('support', '0.00560388'),
('suscipit', '0.00230268'),
('suspendisse', '0.00172102'),
('taciti', '0.0079903'),
('team', '0.09691'),
('tech', '0.124939'),
('tellus', '0.00116801'),
('tempor', '0.00252631'),
('tempus', '0.00284193'),
('text', '0.176091'),
('textarea', '0.176091'),
('the', '0.00827253'),
('think', '0.0163904'),
('timberland', '0.0163904'),
('tincidunt', '0.000974812'),
('tools', '0.0377886'),
('torquent', '0.0153723'),
('tortor', '0.00121078'),
('total', '0.30103'),
('trainers', '0.0377886'),
('trend', '0.0163904'),
('tristique', '0.00168252'),
('turpis', '0.00140537'),
('typeof', '0.0336376'),
('ullamcorper', '0.00264958'),
('ullamcorpermoles', '0.0377886'),
('ultrices', '0.00193911'),
('ultricies', '0.00186858'),
('undefined', '0.033737'),
('unlimited', '0.09691'),
('urna', '0.00108586'),
('user', '0.30103'),
('users', '0.0669468'),
('vandana', '0.0163904'),
('varius', '0.00217867'),
('vehicula', '0.00166462'),
('vel', '0.000918908'),
('velit', '0.00121617'),
('venenatis', '0.0025522'),
('vestibulum', '0.000777621'),
('video', '0.30103'),
('visual', '0.0163904'),
('vitae', '0.000802762'),
('vivamus', '0.00199439'),
('viverra', '0.00181524'),
('volutpat', '0.00212849'),
('vote', '0.029875'),
('votes', '0.0669468'),
('vpn', '0.124939'),
('vulputate', '0.00257274'),
('watson', '0.0163904'),
('web', '0.0157943'),
('what', '0.00827253'),
('who', '0.0163904'),
('why', '0.0163904'),
('wishlist', '0.0377886'),
('with', '0.00827253'),
('words', '0.00827253'),
('workflow', '0.0377886'),
('worth', '0.0163904'),
('write', '0.0163904'),
('wtcntga6ghs', '0.30103'),
('yet', '0.30103'),
('you', '0.0163904'),
('your', '0.00532883'),
('yout', '0.30103');
/*!40000 ALTER TABLE search_total ENABLE KEYS */;

--
-- Table structure for table 'semaphore'
--

CREATE TABLE IF NOT EXISTS `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...' COMMENT='Table for holding semaphores, locks, flags, etc. that...';

--
-- Dumping data for table 'semaphore'
--

/*!40000 ALTER TABLE semaphore DISABLE KEYS */;
/*!40000 ALTER TABLE semaphore ENABLE KEYS */;

--
-- Table structure for table 'sequences'
--

CREATE TABLE IF NOT EXISTS `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=748 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.' COMMENT='Stores IDs.';

--
-- Dumping data for table 'sequences'
--

/*!40000 ALTER TABLE sequences DISABLE KEYS */;
INSERT INTO `sequences` VALUES
('747');
/*!40000 ALTER TABLE sequences ENABLE KEYS */;

--
-- Table structure for table 'sessions'
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...' COMMENT='Drupal’s session handlers read and write into the...';

--
-- Dumping data for table 'sessions'
--

/*!40000 ALTER TABLE sessions DISABLE KEYS */;
INSERT INTO `sessions` VALUES
('1', 'MYplV1frT-GtaRmdfSNJ8dJbZ-vbvqoNq20GUuG_66c', '', '127.0.0.1', '1469452349', '0', 'batches|a:17:{i:729;b:1;i:730;b:1;i:731;b:1;i:732;b:1;i:733;b:1;i:734;b:1;i:735;b:1;i:736;b:1;i:737;b:1;i:738;b:1;i:739;b:1;i:740;b:1;i:742;b:1;i:743;b:1;i:745;b:1;i:746;b:1;i:747;b:1;}updates_remaining|a:0:{}node_overview_filter|a:1:{i:0;a:2:{i:0;s:4:"type";i:1;s:11:"tariff_plan";}}');
/*!40000 ALTER TABLE sessions ENABLE KEYS */;

--
-- Table structure for table 'shortcut_set'
--

CREATE TABLE IF NOT EXISTS `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.' COMMENT='Stores information about sets of shortcuts links.';

--
-- Dumping data for table 'shortcut_set'
--

/*!40000 ALTER TABLE shortcut_set DISABLE KEYS */;
INSERT INTO `shortcut_set` VALUES
('shortcut-set-1', 'Default');
/*!40000 ALTER TABLE shortcut_set ENABLE KEYS */;

--
-- Table structure for table 'shortcut_set_users'
--

CREATE TABLE IF NOT EXISTS `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.' COMMENT='Maps users to shortcut sets.';

--
-- Dumping data for table 'shortcut_set_users'
--

/*!40000 ALTER TABLE shortcut_set_users DISABLE KEYS */;
/*!40000 ALTER TABLE shortcut_set_users ENABLE KEYS */;

--
-- Table structure for table 'simpletest'
--

CREATE TABLE IF NOT EXISTS `simpletest` (
  `message_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique simpletest message ID.',
  `test_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Test ID, messages belonging to the same ID are reported together',
  `test_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the class that created this message.',
  `status` varchar(9) NOT NULL DEFAULT '' COMMENT 'Message status. Core understands pass, fail, exception.',
  `message` text NOT NULL COMMENT 'The message itself.',
  `message_group` varchar(255) NOT NULL DEFAULT '' COMMENT 'The message group this message belongs to. For example: warning, browser, user.',
  `function` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the assertion function or method that created this message.',
  `line` int(11) NOT NULL DEFAULT '0' COMMENT 'Line number on which the function is called.',
  `file` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file where the function is called.',
  PRIMARY KEY (`message_id`),
  KEY `reporter` (`test_class`,`message_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores simpletest messages' COMMENT='Stores simpletest messages';

--
-- Dumping data for table 'simpletest'
--

/*!40000 ALTER TABLE simpletest DISABLE KEYS */;
/*!40000 ALTER TABLE simpletest ENABLE KEYS */;

--
-- Table structure for table 'simpletest_test_id'
--

CREATE TABLE IF NOT EXISTS `simpletest_test_id` (
  `test_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique simpletest ID used to group test results together. Each time a set of tests\n                            are run a new test ID is used.',
  `last_prefix` varchar(60) DEFAULT '' COMMENT 'The last database prefix used during testing.',
  PRIMARY KEY (`test_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores simpletest test IDs, used to auto-incrament the...' COMMENT='Stores simpletest test IDs, used to auto-incrament the...';

--
-- Dumping data for table 'simpletest_test_id'
--

/*!40000 ALTER TABLE simpletest_test_id DISABLE KEYS */;
/*!40000 ALTER TABLE simpletest_test_id ENABLE KEYS */;

--
-- Table structure for table 'system'
--

CREATE TABLE IF NOT EXISTS `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, theme_engine, or profile.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...' COMMENT='A list of all modules, themes, and theme engines that are...';

--
-- Dumping data for table 'system'
--

/*!40000 ALTER TABLE system DISABLE KEYS */;
INSERT INTO `system` VALUES
('modules/aggregator/aggregator.module', 'aggregator', 'module', '', '1', '0', 7004, '0', 'a:14:{s:4:"name";s:10:"Aggregator";s:11:"description";s:57:"Aggregates syndicated content (RSS, RDF, and Atom feeds).";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:15:"aggregator.test";}s:9:"configure";s:41:"admin/config/services/aggregator/settings";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:14:"aggregator.css";s:33:"modules/aggregator/aggregator.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/aggregator/tests/aggregator_test.module', 'aggregator_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:23:"Aggregator module tests";s:11:"description";s:46:"Support module for aggregator related testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/block/block.module', 'block', 'module', '', '1', '0', 7009, '-5', 'a:13:{s:4:"name";s:5:"Block";s:11:"description";s:140:"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"block.test";}s:9:"configure";s:21:"admin/structure/block";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/block/tests/block_test.module', 'block_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Block test";s:11:"description";s:21:"Provides test blocks.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/blog/blog.module', 'blog', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:4:"Blog";s:11:"description";s:25:"Enables multi-user blogs.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"blog.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/book/book.module', 'book', 'module', '', '0', '0', 0, '0', 'a:14:{s:4:"name";s:4:"Book";s:11:"description";s:66:"Allows users to create and organize related content in an outline.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"book.test";}s:9:"configure";s:27:"admin/content/book/settings";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"book.css";s:21:"modules/book/book.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/color/color.module', 'color', 'module', '', '0', '0', 7001, '0', 'a:12:{s:4:"name";s:5:"Color";s:11:"description";s:70:"Allows administrators to change the color scheme of compatible themes.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"color.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/comment/comment.module', 'comment', 'module', '', '1', '0', 7009, '0', 'a:14:{s:4:"name";s:7:"Comment";s:11:"description";s:57:"Allows users to comment on and discuss published content.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"text";}s:5:"files";a:2:{i:0;s:14:"comment.module";i:1;s:12:"comment.test";}s:9:"configure";s:21:"admin/content/comment";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:11:"comment.css";s:27:"modules/comment/comment.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/contact/contact.module', 'contact', 'module', '', '1', '0', 7003, '0', 'a:13:{s:4:"name";s:7:"Contact";s:11:"description";s:61:"Enables the use of both personal and site-wide contact forms.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"contact.test";}s:9:"configure";s:23:"admin/structure/contact";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/contextual/contextual.module', 'contextual', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:16:"Contextual links";s:11:"description";s:75:"Provides contextual links to perform actions related to elements on a page.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:15:"contextual.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/dashboard/dashboard.module', 'dashboard', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:9:"Dashboard";s:11:"description";s:136:"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.";s:4:"core";s:3:"7.x";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:5:"files";a:1:{i:0;s:14:"dashboard.test";}s:12:"dependencies";a:1:{i:0;s:5:"block";}s:9:"configure";s:25:"admin/dashboard/customize";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/dblog/dblog.module', 'dblog', 'module', '', '0', '0', 7002, '0', 'a:12:{s:4:"name";s:16:"Database logging";s:11:"description";s:47:"Logs and records system events to the database.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"dblog.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/field/field.module', 'field', 'module', '', '1', '0', 7004, '0', 'a:14:{s:4:"name";s:5:"Field";s:11:"description";s:57:"Field API to add fields to entities like nodes and users.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:4:{i:0;s:12:"field.module";i:1;s:16:"field.attach.inc";i:2;s:20:"field.info.class.inc";i:3;s:16:"tests/field.test";}s:12:"dependencies";a:1:{i:0;s:17:"field_sql_storage";}s:8:"required";b:1;s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:15:"theme/field.css";s:29:"modules/field/theme/field.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/field/modules/field_sql_storage/field_sql_storage.module', 'field_sql_storage', 'module', '', '1', '0', 7002, '0', 'a:13:{s:4:"name";s:17:"Field SQL storage";s:11:"description";s:37:"Stores field data in an SQL database.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:22:"field_sql_storage.test";}s:8:"required";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/field/modules/list/list.module', 'list', 'module', '', '1', '0', 7002, '0', 'a:14:{s:4:"name";s:4:"List";s:11:"description";s:69:"Defines list field types. Use with Options to create selection lists.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:5:"field";i:1;s:7:"options";}s:5:"files";a:1:{i:0;s:15:"tests/list.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('modules/field/modules/list/tests/list_test.module', 'list_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:9:"List test";s:11:"description";s:41:"Support module for the List module tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/field/modules/number/number.module', 'number', 'module', '', '1', '0', 0, '0', 'a:14:{s:4:"name";s:6:"Number";s:11:"description";s:28:"Defines numeric field types.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:11:"number.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('modules/field/modules/options/options.module', 'options', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:7:"Options";s:11:"description";s:82:"Defines selection, check box and radio button widgets for text and numeric fields.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:12:"options.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/field/modules/text/text.module', 'text', 'module', '', '1', '0', 7000, '0', 'a:14:{s:4:"name";s:4:"Text";s:11:"description";s:32:"Defines simple text field types.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:9:"text.test";}s:8:"required";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('modules/field/tests/field_test.module', 'field_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:14:"Field API Test";s:11:"description";s:39:"Support module for the Field API tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:5:"files";a:1:{i:0;s:21:"field_test.entity.inc";}s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/field_ui/field_ui.module', 'field_ui', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:8:"Field UI";s:11:"description";s:33:"User interface for the Field API.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:13:"field_ui.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/file/file.module', 'file', 'module', '', '1', '0', 0, '0', 'a:14:{s:4:"name";s:4:"File";s:11:"description";s:26:"Defines a file field type.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:1:{i:0;s:15:"tests/file.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('modules/file/tests/file_module_test.module', 'file_module_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:9:"File test";s:11:"description";s:53:"Provides hooks for testing File module functionality.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/filter/filter.module', 'filter', 'module', '', '1', '0', 7010, '0', 'a:14:{s:4:"name";s:6:"Filter";s:11:"description";s:43:"Filters content in preparation for display.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"filter.test";}s:8:"required";b:1;s:9:"configure";s:28:"admin/config/content/formats";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/forum/forum.module', 'forum', 'module', '', '1', '0', 7012, '1', 'a:14:{s:4:"name";s:5:"Forum";s:11:"description";s:27:"Provides discussion forums.";s:12:"dependencies";a:2:{i:0;s:8:"taxonomy";i:1;s:7:"comment";}s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"forum.test";}s:9:"configure";s:21:"admin/structure/forum";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"forum.css";s:23:"modules/forum/forum.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/help/help.module', 'help', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:4:"Help";s:11:"description";s:35:"Manages the display of online help.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"help.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/image/image.module', 'image', 'module', '', '1', '0', 7005, '0', 'a:15:{s:4:"name";s:5:"Image";s:11:"description";s:34:"Provides image manipulation tools.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"file";}s:5:"files";a:1:{i:0;s:10:"image.test";}s:9:"configure";s:31:"admin/config/media/image-styles";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('modules/image/tests/image_module_test.module', 'image_module_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Image test";s:11:"description";s:69:"Provides hook implementations for testing Image module functionality.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:24:"image_module_test.module";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/locale/locale.module', 'locale', 'module', '', '1', '0', 7005, '0', 'a:13:{s:4:"name";s:6:"Locale";s:11:"description";s:119:"Adds language handling functionality and enables the translation of the user interface to languages other than English.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"locale.test";}s:9:"configure";s:30:"admin/config/regional/language";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/locale/tests/locale_test.module', 'locale_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Locale Test";s:11:"description";s:42:"Support module for the locale layer tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/menu/menu.module', 'menu', 'module', '', '1', '0', 7003, '0', 'a:13:{s:4:"name";s:4:"Menu";s:11:"description";s:60:"Allows administrators to customize the site navigation menu.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"menu.test";}s:9:"configure";s:20:"admin/structure/menu";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/node/node.module', 'node', 'module', '', '1', '0', 7016, '0', 'a:15:{s:4:"name";s:4:"Node";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:11:"node.module";i:1;s:9:"node.test";}s:8:"required";b:1;s:9:"configure";s:21:"admin/structure/types";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"node.css";s:21:"modules/node/node.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/node/tests/node_access_test.module', 'node_access_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:24:"Node module access tests";s:11:"description";s:43:"Support module for node permission testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/node/tests/node_test.module', 'node_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:17:"Node module tests";s:11:"description";s:40:"Support module for node related testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/node/tests/node_test_exception.module', 'node_test_exception', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:27:"Node module exception tests";s:11:"description";s:50:"Support module for node related exception testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/openid/openid.module', 'openid', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:6:"OpenID";s:11:"description";s:48:"Allows users to log into your site using OpenID.";s:7:"version";s:4:"7.50";s:7:"package";s:4:"Core";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"openid.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/openid/tests/openid_test.module', 'openid_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"OpenID dummy provider";s:11:"description";s:33:"OpenID provider used for testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"openid";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/overlay/overlay.module', 'overlay', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:7:"Overlay";s:11:"description";s:59:"Displays the Drupal administration interface in an overlay.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/path/path.module', 'path', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:4:"Path";s:11:"description";s:28:"Allows users to rename URLs.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"path.test";}s:9:"configure";s:24:"admin/config/search/path";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/php/php.module', 'php', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:10:"PHP filter";s:11:"description";s:50:"Allows embedded PHP code/snippets to be evaluated.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:8:"php.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/poll/poll.module', 'poll', 'module', '', '1', '0', 7004, '0', 'a:13:{s:4:"name";s:4:"Poll";s:11:"description";s:95:"Allows your site to capture votes on different topics in the form of multiple choice questions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:9:"poll.test";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"poll.css";s:21:"modules/poll/poll.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/profile/profile.module', 'profile', 'module', '', '0', '0', -1, '0', 'a:14:{s:4:"name";s:7:"Profile";s:11:"description";s:36:"Supports configurable user profiles.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"profile.test";}s:9:"configure";s:27:"admin/config/people/profile";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/rdf/rdf.module', 'rdf', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:3:"RDF";s:11:"description";s:148:"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:8:"rdf.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/rdf/tests/rdf_test.module', 'rdf_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"RDF module tests";s:11:"description";s:38:"Support module for RDF module testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:4:"blog";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/search/search.module', 'search', 'module', '', '1', '0', 7000, '0', 'a:14:{s:4:"name";s:6:"Search";s:11:"description";s:36:"Enables site-wide keyword searching.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:19:"search.extender.inc";i:1;s:11:"search.test";}s:9:"configure";s:28:"admin/config/search/settings";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"search.css";s:25:"modules/search/search.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/search/tests/search_embedded_form.module', 'search_embedded_form', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:20:"Search embedded form";s:11:"description";s:59:"Support module for search module testing of embedded forms.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/search/tests/search_extra_type.module', 'search_extra_type', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"Test search type";s:11:"description";s:41:"Support module for search module testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/search/tests/search_node_tags.module', 'search_node_tags', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Test search node tags";s:11:"description";s:44:"Support module for Node search tags testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/shortcut/shortcut.module', 'shortcut', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:8:"Shortcut";s:11:"description";s:60:"Allows users to manage customizable lists of shortcut links.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:13:"shortcut.test";}s:9:"configure";s:36:"admin/config/user-interface/shortcut";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/simpletest/simpletest.module', 'simpletest', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:7:"Testing";s:11:"description";s:53:"Provides a framework for unit and functional testing.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:50:{i:0;s:15:"simpletest.test";i:1;s:24:"drupal_web_test_case.php";i:2;s:18:"tests/actions.test";i:3;s:15:"tests/ajax.test";i:4;s:16:"tests/batch.test";i:5;s:15:"tests/boot.test";i:6;s:20:"tests/bootstrap.test";i:7;s:16:"tests/cache.test";i:8;s:17:"tests/common.test";i:9;s:24:"tests/database_test.test";i:10;s:22:"tests/entity_crud.test";i:11;s:32:"tests/entity_crud_hook_test.test";i:12;s:23:"tests/entity_query.test";i:13;s:16:"tests/error.test";i:14;s:15:"tests/file.test";i:15;s:23:"tests/filetransfer.test";i:16;s:15:"tests/form.test";i:17;s:16:"tests/graph.test";i:18;s:16:"tests/image.test";i:19;s:15:"tests/lock.test";i:20;s:15:"tests/mail.test";i:21;s:15:"tests/menu.test";i:22;s:17:"tests/module.test";i:23;s:16:"tests/pager.test";i:24;s:19:"tests/password.test";i:25;s:15:"tests/path.test";i:26;s:19:"tests/registry.test";i:27;s:17:"tests/schema.test";i:28;s:18:"tests/session.test";i:29;s:20:"tests/tablesort.test";i:30;s:16:"tests/theme.test";i:31;s:18:"tests/unicode.test";i:32;s:17:"tests/update.test";i:33;s:17:"tests/xmlrpc.test";i:34;s:26:"tests/upgrade/upgrade.test";i:35;s:34:"tests/upgrade/upgrade.comment.test";i:36;s:33:"tests/upgrade/upgrade.filter.test";i:37;s:32:"tests/upgrade/upgrade.forum.test";i:38;s:33:"tests/upgrade/upgrade.locale.test";i:39;s:31:"tests/upgrade/upgrade.menu.test";i:40;s:31:"tests/upgrade/upgrade.node.test";i:41;s:35:"tests/upgrade/upgrade.taxonomy.test";i:42;s:34:"tests/upgrade/upgrade.trigger.test";i:43;s:39:"tests/upgrade/upgrade.translatable.test";i:44;s:33:"tests/upgrade/upgrade.upload.test";i:45;s:31:"tests/upgrade/upgrade.user.test";i:46;s:36:"tests/upgrade/update.aggregator.test";i:47;s:33:"tests/upgrade/update.trigger.test";i:48;s:31:"tests/upgrade/update.field.test";i:49;s:30:"tests/upgrade/update.user.test";}s:9:"configure";s:41:"admin/config/development/testing/settings";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/actions_loop_test.module', 'actions_loop_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:17:"Actions loop test";s:11:"description";s:39:"Support module for action loop testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/ajax_forms_test.module', 'ajax_forms_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:26:"AJAX form test mock module";s:11:"description";s:25:"Test for AJAX form calls.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/ajax_test.module', 'ajax_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:9:"AJAX Test";s:11:"description";s:40:"Support module for AJAX framework tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/batch_test.module', 'batch_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:14:"Batch API test";s:11:"description";s:35:"Support module for Batch API tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/boot_test_1.module', 'boot_test_1', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Early bootstrap tests";s:11:"description";s:39:"A support module for hook_boot testing.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/boot_test_2.module', 'boot_test_2', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Early bootstrap tests";s:11:"description";s:44:"A support module for hook_boot hook testing.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/common_test.module', 'common_test', 'module', '', '0', '0', -1, '0', 'a:14:{s:4:"name";s:11:"Common Test";s:11:"description";s:32:"Support module for Common tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:15:"common_test.css";s:40:"modules/simpletest/tests/common_test.css";}s:5:"print";a:1:{s:21:"common_test.print.css";s:46:"modules/simpletest/tests/common_test.print.css";}}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/common_test_cron_helper.module', 'common_test_cron_helper', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:23:"Common Test Cron Helper";s:11:"description";s:56:"Helper module for CronRunTestCase::testCronExceptions().";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/database_test.module', 'database_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:13:"Database Test";s:11:"description";s:40:"Support module for Database layer tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module', 'drupal_autoload_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:25:"Drupal code registry test";s:11:"description";s:45:"Support module for testing the code registry.";s:5:"files";a:2:{i:0;s:34:"drupal_autoload_test_interface.inc";i:1;s:30:"drupal_autoload_test_class.inc";}s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module', 'drupal_system_listing_compatible_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:37:"Drupal system listing compatible test";s:11:"description";s:62:"Support module for testing the drupal_system_listing function.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module', 'drupal_system_listing_incompatible_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:39:"Drupal system listing incompatible test";s:11:"description";s:62:"Support module for testing the drupal_system_listing function.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/entity_cache_test.module', 'entity_cache_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:17:"Entity cache test";s:11:"description";s:40:"Support module for testing entity cache.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:28:"entity_cache_test_dependency";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/entity_cache_test_dependency.module', 'entity_cache_test_dependency', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:28:"Entity cache test dependency";s:11:"description";s:51:"Support dependency module for testing entity cache.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/entity_crud_hook_test.module', 'entity_crud_hook_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:22:"Entity CRUD Hooks Test";s:11:"description";s:35:"Support module for CRUD hook tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/entity_query_access_test.module', 'entity_query_access_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:24:"Entity query access test";s:11:"description";s:49:"Support module for checking entity query results.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/error_test.module', 'error_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Error test";s:11:"description";s:47:"Support module for error and exception testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/file_test.module', 'file_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:9:"File test";s:11:"description";s:39:"Support module for file handling tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:16:"file_test.module";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/filter_test.module', 'filter_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:18:"Filter test module";s:11:"description";s:33:"Tests filter hooks and functions.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/form_test.module', 'form_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:12:"FormAPI Test";s:11:"description";s:34:"Support module for Form API tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/image_test.module', 'image_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Image test";s:11:"description";s:39:"Support module for image toolkit tests.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/menu_test.module', 'menu_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"Hook menu tests";s:11:"description";s:37:"Support module for menu hook testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/module_test.module', 'module_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Module test";s:11:"description";s:41:"Support module for module system testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/path_test.module', 'path_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"Hook path tests";s:11:"description";s:37:"Support module for path hook testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/psr_0_test/psr_0_test.module', 'psr_0_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"PSR-0 Test cases";s:11:"description";s:44:"Test classes to be discovered by simpletest.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/psr_4_test/psr_4_test.module', 'psr_4_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"PSR-4 Test cases";s:11:"description";s:44:"Test classes to be discovered by simpletest.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/requirements1_test.module', 'requirements1_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:19:"Requirements 1 Test";s:11:"description";s:80:"Tests that a module is not installed when it fails hook_requirements(''install'').";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/requirements2_test.module', 'requirements2_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:19:"Requirements 2 Test";s:11:"description";s:98:"Tests that a module is not installed when the one it depends on fails hook_requirements(''install).";s:12:"dependencies";a:2:{i:0;s:18:"requirements1_test";i:1;s:7:"comment";}s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/session_test.module', 'session_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:12:"Session test";s:11:"description";s:40:"Support module for session data testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_dependencies_test.module', 'system_dependencies_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:22:"System dependency test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:19:"_missing_dependency";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module', 'system_incompatible_core_version_dependencies_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:50:"System incompatible core version dependencies test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:37:"system_incompatible_core_version_test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_incompatible_core_version_test.module', 'system_incompatible_core_version_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:37:"System incompatible core version test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"5.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module', 'system_incompatible_module_version_dependencies_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:52:"System incompatible module version dependencies test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:46:"system_incompatible_module_version_test (>2.0)";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_incompatible_module_version_test.module', 'system_incompatible_module_version_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:39:"System incompatible module version test";s:11:"description";s:47:"Support module for testing system dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_project_namespace_test.module', 'system_project_namespace_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:29:"System project namespace test";s:11:"description";s:58:"Support module for testing project namespace dependencies.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:13:"drupal:filter";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/system_test.module', 'system_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"System test";s:11:"description";s:34:"Support module for system testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:18:"system_test.module";}s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/taxonomy_test.module', 'taxonomy_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:20:"Taxonomy test module";s:11:"description";s:45:""Tests functions and hooks not used in core".";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/theme_test.module', 'theme_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Theme test";s:11:"description";s:40:"Support module for theme system testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/update_script_test.module', 'update_script_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:18:"Update script test";s:11:"description";s:41:"Support module for update script testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/update_test_1.module', 'update_test_1', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Update test";s:11:"description";s:34:"Support module for update testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/update_test_2.module', 'update_test_2', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Update test";s:11:"description";s:34:"Support module for update testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/update_test_3.module', 'update_test_3', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Update test";s:11:"description";s:34:"Support module for update testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES
('modules/simpletest/tests/url_alter_test.module', 'url_alter_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"Url_alter tests";s:11:"description";s:45:"A support modules for url_alter hook testing.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/simpletest/tests/xmlrpc_test.module', 'xmlrpc_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:12:"XML-RPC Test";s:11:"description";s:75:"Support module for XML-RPC tests according to the validator1 specification.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/statistics/statistics.module', 'statistics', 'module', '', '1', '1', 7000, '0', 'a:13:{s:4:"name";s:10:"Statistics";s:11:"description";s:37:"Logs access statistics for your site.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:15:"statistics.test";}s:9:"configure";s:30:"admin/config/system/statistics";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/syslog/syslog.module', 'syslog', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:6:"Syslog";s:11:"description";s:41:"Logs and records system events to syslog.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"syslog.test";}s:9:"configure";s:32:"admin/config/development/logging";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/system/system.module', 'system', 'module', '', '1', '0', 7080, '0', 'a:14:{s:4:"name";s:6:"System";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:6:{i:0;s:19:"system.archiver.inc";i:1;s:15:"system.mail.inc";i:2;s:16:"system.queue.inc";i:3;s:14:"system.tar.inc";i:4;s:18:"system.updater.inc";i:5;s:11:"system.test";}s:8:"required";b:1;s:9:"configure";s:19:"admin/config/system";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/system/tests/cron_queue_test.module', 'cron_queue_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"Cron Queue test";s:11:"description";s:41:"Support module for the cron queue runner.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/system/tests/system_cron_test.module', 'system_cron_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"System Cron Test";s:11:"description";s:45:"Support module for testing the system_cron().";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/taxonomy/taxonomy.module', 'taxonomy', 'module', '', '1', '0', 7011, '0', 'a:15:{s:4:"name";s:8:"Taxonomy";s:11:"description";s:38:"Enables the categorization of content.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:7:"options";}s:5:"files";a:2:{i:0;s:15:"taxonomy.module";i:1;s:13:"taxonomy.test";}s:9:"configure";s:24:"admin/structure/taxonomy";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('modules/toolbar/toolbar.module', 'toolbar', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:7:"Toolbar";s:11:"description";s:99:"Provides a toolbar that shows the top-level administration menu items and links from other modules.";s:4:"core";s:3:"7.x";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/tracker/tracker.module', 'tracker', 'module', '', '1', '0', 7000, '0', 'a:12:{s:4:"name";s:7:"Tracker";s:11:"description";s:45:"Enables tracking of recent content for users.";s:12:"dependencies";a:1:{i:0;s:7:"comment";}s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"tracker.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/translation/tests/translation_test.module', 'translation_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:24:"Content Translation Test";s:11:"description";s:49:"Support module for the content translation tests.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/translation/translation.module', 'translation', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:19:"Content translation";s:11:"description";s:57:"Allows content to be translated into different languages.";s:12:"dependencies";a:1:{i:0;s:6:"locale";}s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:16:"translation.test";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/trigger/tests/trigger_test.module', 'trigger_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:12:"Trigger Test";s:11:"description";s:33:"Support module for Trigger tests.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/trigger/trigger.module', 'trigger', 'module', '', '1', '0', 7002, '0', 'a:13:{s:4:"name";s:7:"Trigger";s:11:"description";s:90:"Enables actions to be fired on certain system events, such as when new content is created.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:12:"trigger.test";}s:9:"configure";s:23:"admin/structure/trigger";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/update/tests/aaa_update_test.module', 'aaa_update_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"AAA Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/update/tests/bbb_update_test.module', 'bbb_update_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"BBB Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/update/tests/ccc_update_test.module', 'ccc_update_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"CCC Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:4:"7.50";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/update/tests/update_test.module', 'update_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Update test";s:11:"description";s:41:"Support module for update module testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/update/update.module', 'update', 'module', '', '1', '0', 7001, '0', 'a:13:{s:4:"name";s:14:"Update manager";s:11:"description";s:104:"Checks for available updates, and can securely install or update modules and themes via a web interface.";s:7:"version";s:4:"7.50";s:7:"package";s:4:"Core";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:11:"update.test";}s:9:"configure";s:30:"admin/reports/updates/settings";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('modules/user/tests/user_form_test.module', 'user_form_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:22:"User module form tests";s:11:"description";s:37:"Support module for user form testing.";s:7:"package";s:7:"Testing";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('modules/user/user.module', 'user', 'module', '', '1', '0', 7019, '0', 'a:15:{s:4:"name";s:4:"User";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:11:"user.module";i:1;s:9:"user.test";}s:8:"required";b:1;s:9:"configure";s:19:"admin/config/people";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"user.css";s:21:"modules/user/user.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:5:"mtime";i:1467907694;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('profiles/demo_profile/demo_profile.profile', 'demo_profile', 'module', '', '0', '0', 0, '1000', 'a:15:{s:4:"name";s:18:"Demonstration site";s:11:"description";s:66:"Create a pre-setup and pre-configured Drupal site from a snapshot.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"demo";}s:5:"files";a:1:{i:0;s:20:"demo_profile.profile";}s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:12:"demo_profile";s:9:"datestamp";s:10:"1298619105";s:5:"mtime";i:1397642120;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:6:"hidden";b:1;s:8:"required";b:1;s:17:"distribution_name";s:6:"Drupal";}'),
('profiles/standard/standard.profile', 'standard', 'module', '', '0', '0', 0, '1000', 'a:14:{s:4:"name";s:8:"Standard";s:11:"description";s:51:"Install with commonly used features pre-configured.";s:7:"version";s:3:"7.2";s:4:"core";s:3:"7.x";s:12:"dependencies";a:21:{i:0;s:5:"block";i:1;s:5:"color";i:2;s:7:"comment";i:3;s:10:"contextual";i:4;s:9:"dashboard";i:5;s:4:"help";i:6;s:5:"image";i:7;s:4:"list";i:8;s:4:"menu";i:9;s:6:"number";i:10;s:7:"options";i:11;s:4:"path";i:12;s:8:"taxonomy";i:13;s:5:"dblog";i:14;s:6:"search";i:15;s:8:"shortcut";i:16;s:7:"toolbar";i:17;s:7:"overlay";i:18;s:8:"field_ui";i:19;s:4:"file";i:20;s:3:"rdf";}s:5:"files";a:1:{i:0;s:16:"standard.profile";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1306357016";s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:6:"hidden";b:1;s:8:"required";b:1;s:17:"distribution_name";s:6:"Drupal";}'),
('sites/all/modules/addressfield/addressfield.module', 'addressfield', 'module', '', '1', '0', 7001, '0', 'a:14:{s:4:"name";s:13:"Address Field";s:11:"description";s:64:"Manage a flexible address field, implementing the xNAL standard.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"files";a:4:{i:0;s:24:"addressfield.migrate.inc";i:1;s:62:"views/addressfield_views_handler_field_administrative_area.inc";i:2;s:50:"views/addressfield_views_handler_field_country.inc";i:3;s:51:"views/addressfield_views_handler_filter_country.inc";}s:7:"version";s:7:"7.x-1.2";s:7:"project";s:12:"addressfield";s:9:"datestamp";s:10:"1444254070";s:5:"mtime";i:1465215836;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('sites/all/modules/addressfield/example/addressfield_example.module', 'addressfield_example', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Address Field Example";s:11:"description";s:67:"Example module for how to implement an addressfield format handler.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:6:"hidden";b:1;s:12:"dependencies";a:2:{i:0;s:6:"ctools";i:1;s:12:"addressfield";}s:7:"version";s:7:"7.x-1.2";s:7:"project";s:12:"addressfield";s:9:"datestamp";s:10:"1444254070";s:5:"mtime";i:1465215836;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/addthis/addthis.module', 'addthis', 'module', '', '1', '0', 7402, '0', 'a:15:{s:4:"name";s:7:"AddThis";s:11:"description";s:70:"AddThis.com provides an easy way to share your content across the web.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Sharing";s:12:"dependencies";a:1:{i:0;s:5:"field";}s:5:"files";a:9:{i:0;s:19:"classes/AddThis.php";i:1;s:41:"classes/Services/AddThisScriptManager.php";i:2;s:28:"classes/Util/AddThisJson.php";i:3;s:35:"classes/Util/AddThisWidgetJsUrl.php";i:4;s:27:"tests/AddThisTestHelper.php";i:5;s:43:"tests/AddThisDrupalSettingsJsTestHelper.php";i:6;s:24:"tests/AddThisJsTest.test";i:7;s:39:"tests/AddThisFunctionalityTestCase.test";i:8;s:37:"tests/AddThisPermissionsTestCase.test";}s:9:"configure";s:35:"admin/config/user-interface/addthis";s:7:"version";s:14:"7.x-4.0-alpha6";s:7:"project";s:7:"addthis";s:9:"datestamp";s:10:"1434368594";s:5:"mtime";i:1434876668;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('sites/all/modules/addthis/addthis_displays/addthis_displays.module', 'addthis_displays', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:16:"AddThis Displays";s:11:"description";s:80:"Adds the AddThis display types to render several basic types of AddThis buttons.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Sharing";s:12:"dependencies";a:1:{i:0;s:7:"addthis";}s:5:"files";a:1:{i:0;s:26:"addthis_displays.field.inc";}s:7:"version";s:14:"7.x-4.0-alpha6";s:7:"project";s:7:"addthis";s:9:"datestamp";s:10:"1434368594";s:5:"mtime";i:1434876668;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/addthis/addthis_test/addthis_test.module', 'addthis_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:13:"AddThis tests";s:11:"description";s:41:"Module for testing AddThis functionality.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:2:{i:0;s:7:"addthis";i:1;s:16:"addthis_displays";}s:7:"version";s:14:"7.x-4.0-alpha6";s:7:"project";s:7:"addthis";s:9:"datestamp";s:10:"1434368594";s:5:"mtime";i:1434876668;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/add_func/add_func.module', 'add_func', 'module', '', '1', '0', 0, '0', 'a:11:{s:4:"name";s:24:"Additional Functionality";s:11:"description";s:40:"Adds some custom functionality for theme";s:4:"core";s:3:"7.x";s:7:"package";s:24:"Additional Functionality";s:7:"version";s:7:"7.x-1.0";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:13:"css/admin.css";s:40:"sites/all/modules/add_func/css/admin.css";}}s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/add_func/modules/add_func_animate/add_func_animate.module', 'add_func_animate', 'module', '', '1', '0', 0, '0', 'a:10:{s:4:"name";s:11:"Animate CSS";s:11:"description";s:51:"Provides a cross-browser library of CSS animations.";s:4:"core";s:3:"7.x";s:7:"package";s:24:"Additional Functionality";s:7:"version";s:7:"7.x-1.0";s:12:"dependencies";a:1:{i:0;s:8:"add_func";}s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/add_func/modules/add_func_follow/add_func_follow.module', 'add_func_follow', 'module', '', '1', '0', 7004, '0', 'a:12:{s:4:"name";s:12:"Follow Links";s:11:"description";s:58:"Add sitewide and per user links to social network profiles";s:4:"core";s:3:"7.x";s:7:"package";s:24:"Additional Functionality";s:7:"version";s:7:"7.x-1.0";s:12:"dependencies";a:1:{i:0;s:8:"add_func";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:23:"css/add-func-follow.css";s:74:"sites/all/modules/add_func/modules/add_func_follow/css/add-func-follow.css";}}s:9:"configure";s:30:"admin/add_func/add_func_follow";s:5:"mtime";i:1467023586;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/add_func/modules/add_func_mcd/add_func_mcd.module', 'add_func_mcd', 'module', '', '1', '0', 0, '0', 'a:10:{s:4:"name";s:21:"Maintenance Countdown";s:11:"description";s:166:"This module provides the maintenance page with nice countdown timer. So now you may set time for your maintenance work and your visitors will see when it''s will over.";s:4:"core";s:3:"7.x";s:7:"package";s:24:"Additional Functionality";s:7:"version";s:7:"7.x-1.0";s:5:"files";a:1:{i:0;s:26:"add_func_mcd.countdown.inc";}s:5:"mtime";i:1455631895;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/add_func/modules/add_func_shortcodes/add_func_shortcodes.module', 'add_func_shortcodes', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:14:"Shortcodes Lib";s:11:"description";s:82:"Provides basic shortcode tags like columns, toggle, tabs, highlight, dropcap, etc.";s:4:"core";s:3:"7.x";s:7:"package";s:24:"Additional Functionality";s:7:"version";s:7:"7.x-1.0";s:12:"dependencies";a:3:{i:0;s:8:"add_func";i:1;s:6:"filter";i:2;s:9:"shortcode";}s:7:"scripts";a:3:{s:16:"js/shortcodes.js";s:71:"sites/all/modules/add_func/modules/add_func_shortcodes/js/shortcodes.js";s:22:"js/jquery.counterup.js";s:77:"sites/all/modules/add_func/modules/add_func_shortcodes/js/jquery.counterup.js";s:19:"js/waypoints.min.js";s:74:"sites/all/modules/add_func/modules/add_func_shortcodes/js/waypoints.min.js";}s:11:"stylesheets";a:1:{s:3:"all";a:3:{s:27:"css/add-func-shortcodes.css";s:82:"sites/all/modules/add_func/modules/add_func_shortcodes/css/add-func-shortcodes.css";s:12:"css/grid.css";s:67:"sites/all/modules/add_func/modules/add_func_shortcodes/css/grid.css";s:19:"css/grid-mobile.css";s:74:"sites/all/modules/add_func/modules/add_func_shortcodes/css/grid-mobile.css";}}s:5:"mtime";i:1467023605;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/add_func/modules/add_func_twitter/add_func_twitter.module', 'add_func_twitter', 'module', '', '1', '0', 7004, '0', 'a:10:{s:4:"name";s:7:"Twitter";s:11:"description";s:27:"Adds Twitter timeline block";s:4:"core";s:3:"7.x";s:7:"package";s:24:"Additional Functionality";s:7:"version";s:7:"7.x-1.0";s:5:"mtime";i:1453362728;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/admin_menu/admin_devel/admin_devel.module', 'admin_devel', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:32:"Administration Development tools";s:11:"description";s:76:"Administration and debugging functionality for developers and site builders.";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:7:"scripts";a:1:{s:14:"admin_devel.js";s:55:"sites/all/modules/admin_menu/admin_devel/admin_devel.js";}s:7:"version";s:11:"7.x-3.0-rc5";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1419029284";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/admin_menu/admin_menu.module', 'admin_menu', 'module', '', '1', '0', 7304, '100', 'a:13:{s:4:"name";s:19:"Administration menu";s:11:"description";s:123:"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:9:"configure";s:38:"admin/config/administration/admin_menu";s:12:"dependencies";a:1:{i:0;s:14:"system (>7.10)";}s:5:"files";a:1:{i:0;s:21:"tests/admin_menu.test";}s:7:"version";s:11:"7.x-3.0-rc5";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1419029284";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module', 'admin_menu_toolbar', 'module', '', '1', '0', 6300, '101', 'a:12:{s:4:"name";s:33:"Administration menu Toolbar style";s:11:"description";s:17:"A better Toolbar.";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:10:"admin_menu";}s:7:"version";s:11:"7.x-3.0-rc5";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1419029284";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/block_class/block_class.module', 'block_class', 'module', '', '1', '0', 7103, '0', 'a:13:{s:4:"name";s:11:"Block Class";s:11:"description";s:39:"Allows assigning CSS classes to blocks.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"block";}s:5:"files";a:1:{i:0;s:16:"block_class.test";}s:17:"test_dependencies";a:3:{i:0;s:7:"context";i:1;s:14:"features (2.x)";i:2;s:14:"features_extra";}s:7:"version";s:7:"7.x-2.3";s:7:"project";s:11:"block_class";s:9:"datestamp";s:10:"1450415951";s:5:"mtime";i:1450643330;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/block_class/tests/block_class_fe_block_test.module', 'block_class_fe_block_test', 'module', '', '0', '0', -1, '0', 'a:14:{s:4:"name";s:44:"Block Class FE Block Integration Test Helper";s:11:"description";s:99:"Helper module for testing the integration of Block Class with Features through the FE Block module.";s:4:"core";s:3:"7.x";s:7:"package";s:8:"Features";s:12:"dependencies";a:1:{i:0;s:8:"fe_block";}s:8:"features";a:2:{s:17:"fe_block_settings";a:1:{i:0;s:11:"user-online";}s:12:"features_api";a:1:{i:0;s:5:"api:2";}}s:6:"hidden";b:1;s:7:"version";s:7:"7.x-2.3";s:7:"project";s:11:"block_class";s:9:"datestamp";s:10:"1450415951";s:5:"mtime";i:1450643330;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/block_subtitle/block_subtitle.module', 'block_subtitle', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:14:"Block Subtitle";s:11:"description";s:49:"This module allows subtitle to be added to blocks";s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-1.3";s:7:"project";s:14:"block_subtitle";s:9:"datestamp";s:10:"1418406485";s:5:"mtime";i:1464854439;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/cctags/cctags.module', 'cctags', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:6:"Cctags";s:11:"description";s:51:"Makes weighted tag clouds from your taxonomy terms.";s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:7:"package";s:9:"Ccpackage";s:4:"core";s:3:"7.x";s:9:"configure";s:27:"admin/config/content/cctags";s:5:"files";a:8:{i:0;s:14:"cctags.modules";i:1;s:14:"cctags.install";i:2;s:16:"cctags.admin.inc";i:3;s:15:"cctags.page.inc";i:4;s:15:"cctags.admin.js";i:5;s:19:"cctags-page.tpl.php";i:6;s:19:"cctags-term.tpl.php";i:7;s:22:"cctags-vocname.tpl.php";}s:7:"version";s:8:"7.x-1.10";s:7:"project";s:6:"cctags";s:9:"datestamp";s:10:"1333017942";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/colorbox/colorbox.module', 'colorbox', 'module', '', '1', '0', 7202, '0', 'a:13:{s:4:"name";s:8:"Colorbox";s:11:"description";s:63:"A light-weight, customizable lightbox plugin for jQuery 1.4.3+.";s:12:"dependencies";a:1:{i:0;s:17:"libraries (>=2.x)";}s:4:"core";s:3:"7.x";s:9:"configure";s:27:"admin/config/media/colorbox";s:5:"files";a:1:{i:0;s:41:"views/colorbox_handler_field_colorbox.inc";}s:7:"version";s:8:"7.x-2.12";s:7:"project";s:8:"colorbox";s:9:"datestamp";s:10:"1465255741";s:5:"mtime";i:1465281666;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/commerce.module', 'commerce', 'module', '', '1', '0', 7102, '1', 'a:12:{s:4:"name";s:8:"Commerce";s:11:"description";s:115:"Defines features and functions common to the Commerce modules. Must be enabled to uninstall other Commerce modules.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:3:{i:0;s:6:"system";i:1;s:6:"entity";i:2;s:5:"rules";}s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:24:"tests/commerce_base.test";i:1;s:32:"includes/commerce.controller.inc";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/commerce_ui.module', 'commerce_ui', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:11:"Commerce UI";s:11:"description";s:68:"Defines menu items common to the various Drupal Commerce UI modules.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:1:{i:0;s:8:"commerce";}s:4:"core";s:3:"7.x";s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/cart/commerce_cart.module', 'commerce_cart', 'module', '', '1', '0', 7102, '0', 'a:12:{s:4:"name";s:4:"Cart";s:11:"description";s:61:"Implements the shopping cart system and add to cart features.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:10:{i:0;s:8:"commerce";i:1;s:17:"commerce_checkout";i:2;s:18:"commerce_line_item";i:3;s:14:"commerce_order";i:4;s:16:"commerce_product";i:5;s:24:"commerce_product_pricing";i:6;s:26:"commerce_product_reference";i:7;s:6:"entity";i:8;s:5:"rules";i:9;s:5:"views";}s:4:"core";s:3:"7.x";s:5:"files";a:5:{i:0;s:72:"includes/views/handlers/commerce_cart_handler_field_add_to_cart_form.inc";i:1;s:71:"includes/views/handlers/commerce_cart_handler_field_edit_attributes.inc";i:2;s:87:"includes/views/handlers/commerce_cart_plugin_argument_default_current_cart_order_id.inc";i:3;s:65:"includes/views/handlers/commerce_cart_handler_area_empty_text.inc";i:4;s:24:"tests/commerce_cart.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/checkout/commerce_checkout.module', 'commerce_checkout', 'module', '', '1', '0', 7103, '0', 'a:13:{s:4:"name";s:8:"Checkout";s:11:"description";s:70:"Enable checkout as a multi-step form with customizable checkout pages.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:14:"commerce_order";i:3;s:6:"entity";i:4;s:5:"rules";}s:4:"core";s:3:"7.x";s:9:"configure";s:30:"admin/commerce/config/checkout";s:5:"files";a:1:{i:0;s:28:"tests/commerce_checkout.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/customer/commerce_customer.module', 'commerce_customer', 'module', '', '1', '0', 7102, '0', 'a:12:{s:4:"name";s:8:"Customer";s:11:"description";s:59:"Defines the Customer entity with Address Field integration.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:3:{i:0;s:12:"addressfield";i:1;s:8:"commerce";i:2;s:6:"entity";}s:4:"core";s:3:"7.x";s:5:"files";a:8:{i:0;s:49:"includes/commerce_customer_profile.controller.inc";i:1;s:69:"includes/views/handlers/commerce_customer_handler_area_empty_text.inc";i:2;s:76:"includes/views/handlers/commerce_customer_handler_field_customer_profile.inc";i:3;s:81:"includes/views/handlers/commerce_customer_handler_field_customer_profile_link.inc";i:4;s:88:"includes/views/handlers/commerce_customer_handler_field_customer_profile_link_delete.inc";i:5;s:86:"includes/views/handlers/commerce_customer_handler_field_customer_profile_link_edit.inc";i:6;s:81:"includes/views/handlers/commerce_customer_handler_field_customer_profile_type.inc";i:7;s:82:"includes/views/handlers/commerce_customer_handler_filter_customer_profile_type.inc";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/customer/commerce_customer_ui.module', 'commerce_customer_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:11:"Customer UI";s:11:"description";s:80:"Exposes a default UI for Customers through profile edit forms and default Views.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:5:{i:0;s:8:"field_ui";i:1;s:8:"commerce";i:2;s:11:"commerce_ui";i:3;s:17:"commerce_customer";i:4;s:5:"views";}s:4:"core";s:3:"7.x";s:9:"configure";s:38:"admin/commerce/customer-profiles/types";s:5:"files";a:1:{i:0;s:31:"tests/commerce_customer_ui.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/customer/tests/commerce_customer_profile_dummy_type.module', 'commerce_customer_profile_dummy_type', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:31:"Commerce Customer Dummy Profile";s:11:"description";s:79:"Defines a dummy customer profile type for use in certain Customer module tests.";s:7:"package";s:7:"Testing";s:7:"version";s:8:"7.x-1.13";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/line_item/commerce_line_item.module', 'commerce_line_item', 'module', '', '1', '0', 7101, '0', 'a:12:{s:4:"name";s:9:"Line Item";s:11:"description";s:53:"Defines the Line Item entity and associated features.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:4:{i:0;s:8:"commerce";i:1;s:14:"commerce_price";i:2;s:6:"entity";i:3;s:5:"rules";}s:4:"core";s:3:"7.x";s:5:"files";a:9:{i:0;s:42:"includes/commerce_line_item.controller.inc";i:1;s:77:"includes/views/handlers/commerce_line_item_handler_area_line_item_summary.inc";i:2;s:86:"includes/views/handlers/commerce_line_item_handler_argument_line_item_line_item_id.inc";i:3;s:76:"includes/views/handlers/commerce_line_item_handler_field_line_item_title.inc";i:4;s:75:"includes/views/handlers/commerce_line_item_handler_field_line_item_type.inc";i:5;s:85:"includes/views/handlers/commerce_line_item_handler_filter_line_item_is_referenced.inc";i:6;s:76:"includes/views/handlers/commerce_line_item_handler_filter_line_item_type.inc";i:7;s:74:"includes/views/handlers/commerce_line_item_handler_field_edit_quantity.inc";i:8;s:72:"includes/views/handlers/commerce_line_item_handler_field_edit_delete.inc";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/line_item/commerce_line_item_ui.module', 'commerce_line_item_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:12:"Line Item UI";s:11:"description";s:83:"Exposes a default UI for Line Items through line item type forms and default Views.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:5:{i:0;s:8:"field_ui";i:1;s:8:"commerce";i:2;s:11:"commerce_ui";i:3;s:18:"commerce_line_item";i:4;s:5:"views";}s:4:"core";s:3:"7.x";s:9:"configure";s:32:"admin/commerce/config/line-items";s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/order/commerce_order.module', 'commerce_order', 'module', '', '1', '0', 7109, '0', 'a:12:{s:4:"name";s:5:"Order";s:11:"description";s:49:"Defines the Order entity and associated features.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:6:{i:0;s:8:"commerce";i:1;s:17:"commerce_customer";i:2;s:18:"commerce_line_item";i:3;s:14:"commerce_price";i:4;s:6:"entity";i:5;s:5:"rules";}s:4:"core";s:3:"7.x";s:5:"files";a:19:{i:0;s:38:"includes/commerce_order.controller.inc";i:1;s:66:"includes/views/handlers/commerce_order_handler_area_empty_text.inc";i:2;s:67:"includes/views/handlers/commerce_order_handler_area_order_total.inc";i:3;s:74:"includes/views/handlers/commerce_order_handler_argument_order_order_id.inc";i:4;s:62:"includes/views/handlers/commerce_order_handler_field_order.inc";i:5;s:69:"includes/views/handlers/commerce_order_handler_field_order_status.inc";i:6;s:68:"includes/views/handlers/commerce_order_handler_field_order_state.inc";i:7;s:67:"includes/views/handlers/commerce_order_handler_field_order_type.inc";i:8;s:67:"includes/views/handlers/commerce_order_handler_field_order_link.inc";i:9;s:74:"includes/views/handlers/commerce_order_handler_field_order_link_delete.inc";i:10;s:72:"includes/views/handlers/commerce_order_handler_field_order_link_edit.inc";i:11;s:67:"includes/views/handlers/commerce_order_handler_field_order_mail.inc";i:12;s:73:"includes/views/handlers/commerce_order_handler_field_order_operations.inc";i:13;s:70:"includes/views/handlers/commerce_order_handler_filter_order_status.inc";i:14;s:69:"includes/views/handlers/commerce_order_handler_filter_order_state.inc";i:15;s:68:"includes/views/handlers/commerce_order_handler_filter_order_type.inc";i:16;s:72:"includes/views/handlers/commerce_order_plugin_argument_validate_user.inc";i:17;s:31:"tests/commerce_order.rules.test";i:18;s:25:"tests/commerce_order.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/order/commerce_order_ui.module', 'commerce_order_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:8:"Order UI";s:11:"description";s:75:"Exposes a default UI for Orders through order edit forms and default Views.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:6:{i:0;s:8:"field_ui";i:1;s:8:"commerce";i:2;s:11:"commerce_ui";i:3;s:18:"commerce_line_item";i:4;s:14:"commerce_order";i:5;s:5:"views";}s:4:"core";s:3:"7.x";s:9:"configure";s:27:"admin/commerce/config/order";s:5:"files";a:2:{i:0;s:74:"includes/views/handlers/commerce_order_ui_handler_area_view_order_form.inc";i:1;s:28:"tests/commerce_order_ui.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215626;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/payment/commerce_payment.module', 'commerce_payment', 'module', '', '1', '0', 7103, '0', 'a:12:{s:4:"name";s:7:"Payment";s:11:"description";s:52:"Implement core payment features for Drupal commerce.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:4:{i:0;s:8:"commerce";i:1;s:14:"commerce_order";i:2;s:6:"entity";i:3;s:5:"rules";}s:4:"core";s:3:"7.x";s:5:"files";a:16:{i:0;s:26:"commerce_payment.rules.inc";i:1;s:52:"includes/commerce_payment_transaction.controller.inc";i:2;s:64:"includes/views/handlers/commerce_payment_handler_area_totals.inc";i:3;s:65:"includes/views/handlers/commerce_payment_handler_field_amount.inc";i:4;s:72:"includes/views/handlers/commerce_payment_handler_field_currency_code.inc";i:5;s:66:"includes/views/handlers/commerce_payment_handler_field_message.inc";i:6;s:73:"includes/views/handlers/commerce_payment_handler_field_payment_method.inc";i:7;s:83:"includes/views/handlers/commerce_payment_handler_field_payment_transaction_link.inc";i:8;s:90:"includes/views/handlers/commerce_payment_handler_field_payment_transaction_link_delete.inc";i:9;s:89:"includes/views/handlers/commerce_payment_handler_field_payment_transaction_operations.inc";i:10;s:65:"includes/views/handlers/commerce_payment_handler_field_status.inc";i:11;s:74:"includes/views/handlers/commerce_payment_handler_filter_payment_method.inc";i:12;s:86:"includes/views/handlers/commerce_payment_handler_filter_payment_transaction_status.inc";i:13;s:73:"includes/views/handlers/commerce_payment_handler_filter_currency_code.inc";i:14;s:66:"includes/views/handlers/commerce_payment_handler_field_balance.inc";i:15;s:33:"tests/commerce_payment.rules.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/payment/commerce_payment_ui.module', 'commerce_payment_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:10:"Payment UI";s:11:"description";s:93:"Exposes a default UI for payment method configuration and payment transaction administration.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:5:{i:0;s:11:"rules_admin";i:1;s:8:"commerce";i:2;s:14:"commerce_order";i:3;s:17:"commerce_order_ui";i:4;s:16:"commerce_payment";}s:4:"core";s:3:"7.x";s:9:"configure";s:37:"admin/commerce/config/payment-methods";s:5:"files";a:1:{i:0;s:30:"tests/commerce_payment_ui.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/payment/modules/commerce_payment_example.module', 'commerce_payment_example', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:22:"Payment Method Example";s:11:"description";s:63:"Provides an example payment method for testing and development.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:2:{i:0;s:8:"commerce";i:1;s:16:"commerce_payment";}s:4:"core";s:3:"7.x";s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/payment/tests/commerce_payment_dummy_offsite.module', 'commerce_payment_dummy_offsite', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:29:"Commerce payment offsite test";s:11:"description";s:52:"Support module for customer payment related testing.";s:7:"package";s:7:"Testing";s:7:"version";s:8:"7.x-1.13";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/price/commerce_price.module', 'commerce_price', 'module', '', '1', '0', 7100, '0', 'a:12:{s:4:"name";s:5:"Price";s:11:"description";s:54:"Defines the price field and a price alteration system.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:1:{i:0;s:8:"commerce";}s:4:"core";s:3:"7.x";s:5:"files";a:3:{i:0;s:24:"commerce_price.rules.inc";i:1;s:71:"includes/views/handlers/commerce_price_handler_field_commerce_price.inc";i:2;s:79:"includes/views/handlers/commerce_price_handler_filter_commerce_price_amount.inc";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/product/commerce_product.module', 'commerce_product', 'module', '', '1', '0', 7104, '0', 'a:12:{s:4:"name";s:7:"Product";s:11:"description";s:51:"Defines the Product entity and associated features.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:2:{i:0;s:8:"commerce";i:1;s:14:"commerce_price";}s:4:"core";s:3:"7.x";s:5:"files";a:12:{i:0;s:40:"includes/commerce_product.controller.inc";i:1;s:68:"includes/views/handlers/commerce_product_handler_area_empty_text.inc";i:2;s:72:"includes/views/handlers/commerce_product_handler_argument_product_id.inc";i:3;s:66:"includes/views/handlers/commerce_product_handler_field_product.inc";i:4;s:71:"includes/views/handlers/commerce_product_handler_field_product_type.inc";i:5;s:71:"includes/views/handlers/commerce_product_handler_field_product_link.inc";i:6;s:78:"includes/views/handlers/commerce_product_handler_field_product_link_delete.inc";i:7;s:76:"includes/views/handlers/commerce_product_handler_field_product_link_edit.inc";i:8;s:77:"includes/views/handlers/commerce_product_handler_field_product_operations.inc";i:9;s:72:"includes/views/handlers/commerce_product_handler_filter_product_type.inc";i:10;s:49:"includes/commerce_product.translation_handler.inc";i:11;s:27:"tests/commerce_product.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/product/commerce_product_ui.module', 'commerce_product_ui', 'module', '', '1', '0', 7100, '0', 'a:13:{s:4:"name";s:10:"Product UI";s:11:"description";s:79:"Exposes a default UI for Products through product edit forms and default Views.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:5:{i:0;s:8:"field_ui";i:1;s:8:"commerce";i:2;s:11:"commerce_ui";i:3;s:16:"commerce_product";i:4;s:5:"views";}s:4:"core";s:3:"7.x";s:9:"configure";s:29:"admin/commerce/products/types";s:5:"files";a:1:{i:0;s:30:"tests/commerce_product_ui.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/product/tests/commerce_product_crud_test.module', 'commerce_product_crud_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:26:"Commerce product crud test";s:11:"description";s:43:"Support module for product related testing.";s:7:"package";s:7:"Testing";s:12:"dependencies";a:1:{i:0;s:5:"rules";}s:7:"version";s:8:"7.x-1.13";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/product_pricing/commerce_product_pricing.module', 'commerce_product_pricing', 'module', '', '1', '0', 7100, '0', 'a:12:{s:4:"name";s:15:"Product Pricing";s:11:"description";s:79:"Enables Rules based product sell price calculation for dynamic product pricing.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:14:"commerce_price";i:2;s:26:"commerce_product_reference";i:3;s:6:"entity";i:4;s:5:"rules";}s:4:"core";s:3:"7.x";s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/product_pricing/commerce_product_pricing_ui.module', 'commerce_product_pricing_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:18:"Product Pricing UI";s:11:"description";s:77:"Exposes a UI for managing product pricing rules and pre-calculation settings.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:6:{i:0;s:11:"rules_admin";i:1;s:8:"commerce";i:2;s:11:"commerce_ui";i:3;s:14:"commerce_price";i:4;s:24:"commerce_product_pricing";i:5;s:26:"commerce_product_reference";}s:4:"core";s:3:"7.x";s:9:"configure";s:37:"admin/commerce/config/product-pricing";s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/product_reference/commerce_product_reference.module', 'commerce_product_reference', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:17:"Product Reference";s:11:"description";s:65:"Defines a product reference field and default display formatters.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:6:{i:0;s:8:"commerce";i:1;s:18:"commerce_line_item";i:2;s:14:"commerce_price";i:3;s:16:"commerce_product";i:4;s:6:"entity";i:5;s:7:"options";}s:4:"core";s:3:"7.x";s:5:"files";a:4:{i:0;s:93:"includes/views/handlers/commerce_product_reference_handler_filter_node_is_product_display.inc";i:1;s:79:"includes/views/handlers/commerce_product_reference_handler_filter_node_type.inc";i:2;s:92:"includes/views/handlers/commerce_product_reference_handler_filter_product_line_item_type.inc";i:3;s:37:"tests/commerce_product_reference.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215627;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/tax/commerce_tax.module', 'commerce_tax', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:3:"Tax";s:11:"description";s:71:"Define tax rates and configure tax rules for applicability and display.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:6:{i:0;s:8:"commerce";i:1;s:18:"commerce_line_item";i:2;s:14:"commerce_price";i:3;s:24:"commerce_product_pricing";i:4;s:6:"entity";i:5;s:5:"rules";}s:4:"core";s:3:"7.x";s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215628;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce/modules/tax/commerce_tax_ui.module', 'commerce_tax_ui', 'module', '', '1', '0', 7002, '0', 'a:13:{s:4:"name";s:6:"Tax UI";s:11:"description";s:54:"Provides a UI for creating simple tax types and rates.";s:7:"package";s:8:"Commerce";s:12:"dependencies";a:3:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:12:"commerce_tax";}s:4:"core";s:3:"7.x";s:9:"configure";s:27:"admin/commerce/config/taxes";s:5:"files";a:1:{i:0;s:26:"tests/commerce_tax_ui.test";}s:7:"version";s:8:"7.x-1.13";s:7:"project";s:8:"commerce";s:9:"datestamp";s:10:"1459956613";s:5:"mtime";i:1465215628;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_coupon/commerce_coupon.module', 'commerce_coupon', 'module', '', '1', '0', 7006, '0', 'a:12:{s:4:"name";s:15:"Commerce Coupon";s:11:"description";s:45:"Coupon module for the commerce shopping cart.";s:12:"dependencies";a:7:{i:0;s:6:"number";i:1;s:8:"commerce";i:2;s:17:"commerce_checkout";i:3;s:14:"commerce_price";i:4;s:18:"commerce_line_item";i:5;s:14:"commerce_order";i:6;s:15:"entityreference";}s:7:"package";s:15:"Commerce Coupon";s:4:"core";s:3:"7.x";s:5:"files";a:6:{i:0;s:27:"classes/commerce_coupon.inc";i:1;s:32:"classes/commerce_coupon_type.inc";i:2;s:79:"includes/views/handlers/commerce_coupon_handler_field_coupon_granted_amount.inc";i:3;s:75:"includes/views/handlers/commerce_coupon_handler_field_coupon_operations.inc";i:4;s:77:"includes/views/handlers/commerce_coupon_handler_field_coupon_order_remove.inc";i:5;s:68:"includes/views/handlers/commerce_coupon_handler_field_times_used.inc";}s:7:"version";s:13:"7.x-1.0-beta7";s:7:"project";s:15:"commerce_coupon";s:9:"datestamp";s:10:"1363085711";s:5:"mtime";i:1436350796;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_coupon/commerce_coupon_ui.module', 'commerce_coupon_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:18:"Commerce Coupon UI";s:11:"description";s:45:"Coupon module for the commerce shopping cart.";s:12:"dependencies";a:1:{i:0;s:15:"commerce_coupon";}s:7:"package";s:15:"Commerce Coupon";s:4:"core";s:3:"7.x";s:9:"configure";s:22:"admin/commerce/coupons";s:5:"files";a:1:{i:0;s:37:"includes/commerce_coupon_ui.forms.inc";}s:7:"version";s:13:"7.x-1.0-beta7";s:7:"project";s:15:"commerce_coupon";s:9:"datestamp";s:10:"1363085711";s:5:"mtime";i:1436350796;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_multicurrency/commerce_multicurrency.module', 'commerce_multicurrency', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:22:"Commerce Multicurrency";s:7:"package";s:8:"Commerce";s:11:"description";s:43:"Commerce multicurrency support enhancements";s:4:"core";s:3:"7.x";s:9:"configure";s:30:"admin/commerce/config/currency";s:12:"dependencies";a:2:{i:0;s:8:"commerce";i:1;s:24:"commerce_product_pricing";}s:5:"files";a:1:{i:0;s:33:"tests/commerce_multicurrency.test";}s:7:"version";s:7:"7.x-1.3";s:7:"project";s:22:"commerce_multicurrency";s:9:"datestamp";s:10:"1362382812";s:5:"mtime";i:1436350808;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_paypal/commerce_paypal.module', 'commerce_paypal', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:6:"PayPal";s:11:"description";s:64:"Implements PayPal payment services for use with Drupal Commerce.";s:7:"package";s:17:"Commerce (PayPal)";s:12:"dependencies";a:4:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:16:"commerce_payment";i:3;s:14:"commerce_order";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.3";s:7:"project";s:15:"commerce_paypal";s:9:"datestamp";s:10:"1389740908";s:5:"mtime";i:1436350812;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES
('sites/all/modules/commerce_paypal/modules/ec/commerce_paypal_ec.module', 'commerce_paypal_ec', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:23:"PayPal Express Checkout";s:11:"description";s:63:"Implements PayPal Express Checkout in Drupal Commerce checkout.";s:7:"package";s:17:"Commerce (PayPal)";s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:16:"commerce_payment";i:3;s:14:"commerce_order";i:4;s:15:"commerce_paypal";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.3";s:7:"project";s:15:"commerce_paypal";s:9:"datestamp";s:10:"1389740908";s:5:"mtime";i:1436350818;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_paypal/modules/payflow/commerce_payflow.module', 'commerce_payflow', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:41:"PayPal Payments Advanced and Payflow Link";s:11:"description";s:112:"Implements PayPal Payments Advanced (U.S. only) and Payflow Link Hosted Checkout pages and Transparent Redirect.";s:7:"package";s:17:"Commerce (PayPal)";s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:16:"commerce_payment";i:3;s:14:"commerce_order";i:4;s:15:"commerce_paypal";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.3";s:7:"project";s:15:"commerce_paypal";s:9:"datestamp";s:10:"1389740908";s:5:"mtime";i:1436350824;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_paypal/modules/wpp/commerce_paypal_wpp.module', 'commerce_paypal_wpp', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:10:"PayPal WPP";s:11:"description";s:67:"Implements PayPal Website Payments Pro in Drupal Commerce checkout.";s:7:"package";s:17:"Commerce (PayPal)";s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:16:"commerce_payment";i:3;s:14:"commerce_order";i:4;s:15:"commerce_paypal";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.3";s:7:"project";s:15:"commerce_paypal";s:9:"datestamp";s:10:"1389740908";s:5:"mtime";i:1436350830;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_paypal/modules/wps/commerce_paypal_wps.module', 'commerce_paypal_wps', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:10:"PayPal WPS";s:11:"description";s:72:"Implements PayPal Website Payments Standard in Drupal Commerce checkout.";s:7:"package";s:17:"Commerce (PayPal)";s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:16:"commerce_payment";i:3;s:14:"commerce_order";i:4;s:15:"commerce_paypal";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.3";s:7:"project";s:15:"commerce_paypal";s:9:"datestamp";s:10:"1389740908";s:5:"mtime";i:1436350834;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_product_display_manager/commerce_pdm.module', 'commerce_pdm', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:34:"Commerce (Product Display Manager)";s:11:"description";s:80:"Simplifies managing the relationship between products and product display nodes.";s:7:"package";s:18:"Commerce (contrib)";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:22:"commerce_pdm.admin.inc";}s:12:"dependencies";a:2:{i:0;s:8:"commerce";i:1;s:19:"commerce_product_ui";}s:7:"version";s:14:"7.x-1.0-alpha4";s:7:"project";s:32:"commerce_product_display_manager";s:9:"datestamp";s:10:"1364328611";s:5:"mtime";i:1468240858;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_stock/commerce_stock.module', 'commerce_stock', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:14:"Commerce Stock";s:11:"description";s:40:"Manage stock levels of Commerce products";s:7:"package";s:18:"Commerce (contrib)";s:12:"dependencies";a:7:{i:0;s:6:"number";i:1;s:8:"commerce";i:2;s:16:"commerce_product";i:3;s:14:"commerce_order";i:4;s:18:"commerce_line_item";i:5;s:13:"commerce_cart";i:6;s:5:"rules";}s:4:"core";s:3:"7.x";s:9:"configure";s:27:"admin/commerce/config/stock";s:7:"version";s:7:"7.x-1.2";s:7:"project";s:14:"commerce_stock";s:9:"datestamp";s:10:"1368972612";s:5:"mtime";i:1436350836;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_stripe/commerce_stripe.module', 'commerce_stripe', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:15:"Commerce Stripe";s:11:"description";s:48:"Stripe payment gateway integration with Commerce";s:4:"core";s:3:"7.x";s:7:"package";s:18:"Commerce (contrib)";s:5:"files";a:1:{i:0;s:20:"commerce_stripe.test";}s:12:"dependencies";a:5:{i:0;s:8:"commerce";i:1;s:11:"commerce_ui";i:2;s:16:"commerce_payment";i:3;s:14:"commerce_order";i:4;s:9:"libraries";}s:7:"version";s:7:"7.x-1.2";s:7:"project";s:15:"commerce_stripe";s:9:"datestamp";s:10:"1455143046";s:5:"mtime";i:1465220442;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_stripe/tests/commerce_stripe_test.module', 'commerce_stripe_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:4:"name";s:20:"commerce_stripe_test";s:11:"description";s:39:"Used during testing of commerce_stripe.";s:7:"version";s:7:"7.x-1.2";s:7:"project";s:15:"commerce_stripe";s:9:"datestamp";s:10:"1455143046";s:5:"mtime";i:1465220442;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_vbo_views/commerce_vbo_views.module', 'commerce_vbo_views', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:18:"Commerce VBO Views";s:11:"description";s:27:"Views for use with Commerce";s:4:"core";s:3:"7.x";s:7:"package";s:18:"Commerce (contrib)";s:3:"php";s:5:"5.2.4";s:7:"version";s:7:"7.x-1.2";s:7:"project";s:18:"commerce_vbo_views";s:12:"dependencies";a:3:{i:0;s:5:"rules";i:1;s:5:"views";i:2;s:21:"views_bulk_operations";}s:8:"features";a:4:{s:6:"ctools";a:1:{i:0;s:23:"views:views_default:3.0";}s:12:"features_api";a:1:{i:0;s:5:"api:1";}s:12:"rules_config";a:2:{i:0;s:21:"rules_disable_product";i:1;s:20:"rules_enable_product";}s:10:"views_view";a:5:{i:0;s:25:"commerce_vbo_views_orders";i:1;s:22:"customer_profiles_vbo_";i:2;s:17:"line_items_vbo_2_";i:3;s:26:"product_display_nodes_vbo_";i:4;s:13:"products_vbo_";}}s:9:"datestamp";s:10:"1341685283";s:5:"mtime";i:1436350842;s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/commerce_wishlist/commerce_wishlist.module', 'commerce_wishlist', 'module', '', '1', '0', 7302, '0', 'a:13:{s:4:"name";s:18:"Commerce Wish list";s:11:"description";s:49:"Allows users to create public product wish lists.";s:7:"package";s:18:"Commerce (contrib)";s:12:"dependencies";a:3:{i:0;s:8:"commerce";i:1;s:16:"commerce_product";i:2;s:5:"views";}s:4:"core";s:3:"7.x";s:9:"configure";s:30:"admin/commerce/config/wishlist";s:5:"files";a:3:{i:0;s:76:"includes/views/handlers/commerce_wishlist_handler_field_add_to_cart_form.inc";i:1;s:66:"includes/views/handlers/commerce_wishlist_handler_field_remove.inc";i:2;s:22:"commerce_wishlist.test";}s:7:"version";s:13:"7.x-3.0-beta1";s:7:"project";s:17:"commerce_wishlist";s:9:"datestamp";s:10:"1457559845";s:5:"mtime";i:1465980621;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/bulk_export/bulk_export.module', 'bulk_export', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:11:"Bulk Export";s:11:"description";s:67:"Performs bulk exporting of data objects known about by Chaos tools.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053159;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/ctools.module', 'ctools', 'module', '', '1', '0', 7001, '0', 'a:12:{s:4:"name";s:11:"Chaos tools";s:11:"description";s:46:"A library of helpful tools by Merlin of Chaos.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:5:"files";a:5:{i:0;s:20:"includes/context.inc";i:1;s:22:"includes/css-cache.inc";i:2;s:22:"includes/math-expr.inc";i:3;s:21:"includes/stylizer.inc";i:4;s:20:"tests/css_cache.test";}s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053159;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module', 'ctools_access_ruleset', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:15:"Custom rulesets";s:11:"description";s:81:"Create custom, exportable, reusable access rulesets for applications like Panels.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053159;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module', 'ctools_ajax_sample', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:33:"Chaos Tools (CTools) AJAX Example";s:11:"description";s:41:"Shows how to use the power of Chaos AJAX.";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:4:"core";s:3:"7.x";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module', 'ctools_custom_content', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:20:"Custom content panes";s:11:"description";s:79:"Create custom, exportable, reusable content panes for applications like Panels.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module', 'ctools_plugin_example', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:35:"Chaos Tools (CTools) Plugin Example";s:11:"description";s:75:"Shows how an external module can provide ctools plugins (for Panels, etc.).";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:12:"dependencies";a:4:{i:0;s:6:"ctools";i:1;s:6:"panels";i:2;s:12:"page_manager";i:3;s:13:"advanced_help";}s:4:"core";s:3:"7.x";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/page_manager/page_manager.module', 'page_manager', 'module', '', '1', '0', 0, '99', 'a:12:{s:4:"name";s:12:"Page manager";s:11:"description";s:54:"Provides a UI and API to manage pages within the site.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/stylizer/stylizer.module', 'stylizer', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:8:"Stylizer";s:11:"description";s:53:"Create custom styles for applications such as Panels.";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:12:"dependencies";a:2:{i:0;s:6:"ctools";i:1;s:5:"color";}s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/term_depth/term_depth.module', 'term_depth', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:17:"Term Depth access";s:11:"description";s:48:"Controls access to context based upon term depth";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module', 'ctools_export_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:18:"CTools export test";s:11:"description";s:25:"CTools export test module";s:4:"core";s:3:"7.x";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:6:"hidden";b:1;s:5:"files";a:1:{i:0;s:18:"ctools_export.test";}s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/tests/ctools_plugin_test.module', 'ctools_plugin_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:24:"Chaos tools plugins test";s:11:"description";s:42:"Provides hooks for testing ctools plugins.";s:7:"package";s:16:"Chaos tool suite";s:7:"version";s:7:"7.x-1.9";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"files";a:6:{i:0;s:19:"ctools.plugins.test";i:1;s:17:"object_cache.test";i:2;s:8:"css.test";i:3;s:12:"context.test";i:4;s:20:"math_expression.test";i:5;s:26:"math_expression_stack.test";}s:6:"hidden";b:1;s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053160;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/ctools/views_content/views_content.module', 'views_content', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:19:"Views content panes";s:11:"description";s:104:"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.";s:7:"package";s:16:"Chaos tool suite";s:12:"dependencies";a:2:{i:0;s:6:"ctools";i:1;s:5:"views";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-1.9";s:5:"files";a:3:{i:0;s:61:"plugins/views/views_content_plugin_display_ctools_context.inc";i:1;s:57:"plugins/views/views_content_plugin_display_panel_pane.inc";i:2;s:59:"plugins/views/views_content_plugin_style_ctools_context.inc";}s:7:"project";s:6:"ctools";s:9:"datestamp";s:10:"1440020680";s:5:"mtime";i:1440053161;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date.module', 'date', 'module', '', '1', '0', 7004, '0', 'a:12:{s:4:"name";s:4:"Date";s:11:"description";s:33:"Makes date/time fields available.";s:12:"dependencies";a:1:{i:0;s:8:"date_api";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:5:"files";a:9:{i:0;s:16:"date.migrate.inc";i:1;s:19:"tests/date_api.test";i:2;s:15:"tests/date.test";i:3;s:21:"tests/date_field.test";i:4;s:23:"tests/date_migrate.test";i:5;s:26:"tests/date_validation.test";i:6;s:24:"tests/date_timezone.test";i:7;s:27:"tests/date_views_pager.test";i:8;s:27:"tests/date_views_popup.test";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_all_day/date_all_day.module', 'date_all_day', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:12:"Date All Day";s:11:"description";s:142:"Adds ''All Day'' functionality to date fields, including an ''All Day'' theme and ''All Day'' checkboxes for the Date select and Date popup widgets.";s:12:"dependencies";a:2:{i:0;s:8:"date_api";i:1;s:4:"date";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_api/date_api.module', 'date_api', 'module', '', '1', '0', 7001, '0', 'a:13:{s:4:"name";s:8:"Date API";s:11:"description";s:45:"A Date API that can be used by other modules.";s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:8:"date.css";s:40:"sites/all/modules/date/date_api/date.css";}}s:5:"files";a:2:{i:0;s:15:"date_api.module";i:1;s:16:"date_api_sql.inc";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:12:"dependencies";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_context/date_context.module', 'date_context', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:12:"Date Context";s:11:"description";s:99:"Adds an option to the Context module to set a context condition based on the value of a date field.";s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:4:"date";i:1;s:7:"context";}s:5:"files";a:2:{i:0;s:19:"date_context.module";i:1;s:39:"plugins/date_context_date_condition.inc";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_migrate/date_migrate.module', 'date_migrate', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:14:"Date Migration";s:11:"description";s:73:"Obsolete data migration module. Disable if no other modules depend on it.";s:4:"core";s:3:"7.x";s:7:"package";s:9:"Date/Time";s:6:"hidden";b:1;s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module', 'date_migrate_example', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"core";s:3:"7.x";s:12:"dependencies";a:5:{i:0;s:4:"date";i:1;s:11:"date_repeat";i:2;s:17:"date_repeat_field";i:3;s:8:"features";i:4;s:7:"migrate";}s:11:"description";s:42:"Examples of migrating with the Date module";s:8:"features";a:2:{s:5:"field";a:8:{i:0;s:30:"node-date_migrate_example-body";i:1;s:36:"node-date_migrate_example-field_date";i:2;s:42:"node-date_migrate_example-field_date_range";i:3;s:43:"node-date_migrate_example-field_date_repeat";i:4;s:41:"node-date_migrate_example-field_datestamp";i:5;s:47:"node-date_migrate_example-field_datestamp_range";i:6;s:40:"node-date_migrate_example-field_datetime";i:7;s:46:"node-date_migrate_example-field_datetime_range";}s:4:"node";a:1:{i:0;s:20:"date_migrate_example";}}s:5:"files";a:1:{i:0;s:32:"date_migrate_example.migrate.inc";}s:4:"name";s:22:"Date Migration Example";s:7:"package";s:8:"Features";s:7:"project";s:4:"date";s:7:"version";s:7:"7.x-2.9";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_popup/date_popup.module', 'date_popup', 'module', '', '0', '0', -1, '0', 'a:14:{s:4:"name";s:10:"Date Popup";s:11:"description";s:84:"Enables jquery popup calendars and time entry widgets for selecting dates and times.";s:12:"dependencies";a:1:{i:0;s:8:"date_api";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:9:"configure";s:28:"admin/config/date/date_popup";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:25:"themes/datepicker.1.7.css";s:59:"sites/all/modules/date/date_popup/themes/datepicker.1.7.css";}}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_repeat/date_repeat.module', 'date_repeat', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:15:"Date Repeat API";s:11:"description";s:73:"A Date Repeat API to calculate repeating dates and times from iCal rules.";s:12:"dependencies";a:1:{i:0;s:8:"date_api";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:5:"files";a:2:{i:0;s:22:"tests/date_repeat.test";i:1;s:27:"tests/date_repeat_form.test";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_repeat_field/date_repeat_field.module', 'date_repeat_field', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:17:"Date Repeat Field";s:11:"description";s:97:"Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.";s:12:"dependencies";a:3:{i:0;s:8:"date_api";i:1;s:4:"date";i:2;s:11:"date_repeat";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:21:"date_repeat_field.css";s:62:"sites/all/modules/date/date_repeat_field/date_repeat_field.css";}}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_tools/date_tools.module', 'date_tools', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Date Tools";s:11:"description";s:52:"Tools to import and auto-create dates and calendars.";s:12:"dependencies";a:1:{i:0;s:4:"date";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"7.x";s:9:"configure";s:23:"admin/config/date/tools";s:5:"files";a:1:{i:0;s:21:"tests/date_tools.test";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/date/date_views/date_views.module', 'date_views', 'module', '', '1', '0', 7200, '0', 'a:12:{s:4:"name";s:10:"Date Views";s:11:"description";s:57:"Views integration for date fields and date functionality.";s:7:"package";s:9:"Date/Time";s:12:"dependencies";a:2:{i:0;s:8:"date_api";i:1;s:5:"views";}s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:5:"files";a:6:{i:0;s:40:"includes/date_views_argument_handler.inc";i:1;s:47:"includes/date_views_argument_handler_simple.inc";i:2;s:38:"includes/date_views_filter_handler.inc";i:3;s:45:"includes/date_views_filter_handler_simple.inc";i:4;s:29:"includes/date_views.views.inc";i:5;s:36:"includes/date_views_plugin_pager.inc";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1441727353";s:5:"mtime";i:1441780091;s:9:"bootstrap";i:0;}'),
('sites/all/modules/demo/demo.module', 'demo', 'module', '', '1', '0', 6100, '0', 'a:13:{s:4:"name";s:18:"Demonstration site";s:11:"description";s:74:"Create snapshots and reset the site for demonstration or testing purposes.";s:7:"package";s:11:"Development";s:4:"core";s:3:"7.x";s:9:"configure";s:20:"admin/structure/demo";s:5:"files";a:3:{i:0;s:11:"demo.module";i:1;s:14:"demo.admin.inc";i:2;s:23:"database_mysql_dump.inc";}s:7:"version";s:13:"7.x-1.0+6-dev";s:7:"project";s:4:"demo";s:9:"datestamp";s:10:"1380569195";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/demo/demo_reset.module', 'demo_reset', 'module', '', '0', '0', 0, '0', 'a:12:{s:4:"name";s:24:"Demonstration site reset";s:11:"description";s:176:"Allows to reset the site on cron runs and to <strong>reset the site WITHOUT CONFIRMATION.</strong> Only supposed to be used on public demonstration sites. Use at your own risk.";s:7:"package";s:11:"Development";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:4:"demo";}s:5:"files";a:1:{i:0;s:17:"demo_reset.module";}s:7:"version";s:13:"7.x-1.0+6-dev";s:7:"project";s:4:"demo";s:9:"datestamp";s:10:"1380569195";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/dismiss/dismiss.module', 'dismiss', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:7:"Dismiss";s:11:"description";s:65:"Adds a "Dismiss" button to Drupal messages, warnings, and errors.";s:4:"core";s:3:"7.x";s:7:"package";s:14:"User interface";s:5:"files";a:2:{i:0;s:14:"dismiss.module";i:1;s:17:"dismiss.admin.inc";}s:9:"configure";s:35:"admin/config/user-interface/dismiss";s:7:"version";s:7:"7.x-1.5";s:7:"project";s:7:"dismiss";s:9:"datestamp";s:10:"1435066694";s:5:"mtime";i:1436902556;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/email/email.module', 'email', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:5:"Email";s:11:"description";s:28:"Defines an email field type.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:5:"files";a:1:{i:0;s:17:"email.migrate.inc";}s:7:"version";s:7:"7.x-1.3";s:7:"project";s:5:"email";s:9:"datestamp";s:10:"1397134155";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity/entity.module', 'entity', 'module', '', '1', '0', 7003, '0', 'a:12:{s:4:"name";s:10:"Entity API";s:11:"description";s:69:"Enables modules to work with any entity type and to provide entities.";s:4:"core";s:3:"7.x";s:5:"files";a:24:{i:0;s:19:"entity.features.inc";i:1;s:15:"entity.i18n.inc";i:2;s:15:"entity.info.inc";i:3;s:16:"entity.rules.inc";i:4;s:11:"entity.test";i:5;s:19:"includes/entity.inc";i:6;s:30:"includes/entity.controller.inc";i:7;s:22:"includes/entity.ui.inc";i:8;s:27:"includes/entity.wrapper.inc";i:9;s:22:"views/entity.views.inc";i:10;s:52:"views/handlers/entity_views_field_handler_helper.inc";i:11;s:51:"views/handlers/entity_views_handler_area_entity.inc";i:12;s:53:"views/handlers/entity_views_handler_field_boolean.inc";i:13;s:50:"views/handlers/entity_views_handler_field_date.inc";i:14;s:54:"views/handlers/entity_views_handler_field_duration.inc";i:15;s:52:"views/handlers/entity_views_handler_field_entity.inc";i:16;s:51:"views/handlers/entity_views_handler_field_field.inc";i:17;s:53:"views/handlers/entity_views_handler_field_numeric.inc";i:18;s:53:"views/handlers/entity_views_handler_field_options.inc";i:19;s:50:"views/handlers/entity_views_handler_field_text.inc";i:20;s:49:"views/handlers/entity_views_handler_field_uri.inc";i:21;s:62:"views/handlers/entity_views_handler_relationship_by_bundle.inc";i:22;s:52:"views/handlers/entity_views_handler_relationship.inc";i:23;s:53:"views/plugins/entity_views_plugin_row_entity_view.inc";}s:7:"version";s:7:"7.x-1.7";s:7:"project";s:6:"entity";s:9:"datestamp";s:10:"1458222244";s:5:"mtime";i:1465215806;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity/entity_token.module', 'entity_token', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:13:"Entity tokens";s:11:"description";s:99:"Provides token replacements for all properties that have no tokens and are known to the entity API.";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:23:"entity_token.tokens.inc";i:1;s:19:"entity_token.module";}s:12:"dependencies";a:1:{i:0;s:6:"entity";}s:7:"version";s:7:"7.x-1.7";s:7:"project";s:6:"entity";s:9:"datestamp";s:10:"1458222244";s:5:"mtime";i:1465215806;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity/tests/entity_feature.module', 'entity_feature', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Entity feature module";s:11:"description";s:31:"Provides some entities in code.";s:7:"version";s:7:"7.x-1.7";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:21:"entity_feature.module";}s:12:"dependencies";a:1:{i:0;s:11:"entity_test";}s:6:"hidden";b:1;s:7:"project";s:6:"entity";s:9:"datestamp";s:10:"1458222244";s:5:"mtime";i:1465215806;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity/tests/entity_test.module', 'entity_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:23:"Entity CRUD test module";s:11:"description";s:46:"Provides entity types based upon the CRUD API.";s:7:"version";s:7:"7.x-1.7";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:18:"entity_test.module";i:1;s:19:"entity_test.install";}s:12:"dependencies";a:1:{i:0;s:6:"entity";}s:6:"hidden";b:1;s:7:"project";s:6:"entity";s:9:"datestamp";s:10:"1458222244";s:5:"mtime";i:1465215806;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity/tests/entity_test_i18n.module', 'entity_test_i18n', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:28:"Entity-test type translation";s:11:"description";s:37:"Allows translating entity-test types.";s:12:"dependencies";a:2:{i:0;s:11:"entity_test";i:1;s:11:"i18n_string";}s:7:"package";s:35:"Multilingual - Internationalization";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:7:"7.x-1.7";s:7:"project";s:6:"entity";s:9:"datestamp";s:10:"1458222244";s:5:"mtime";i:1465215806;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/entityreference/entityreference.module', 'entityreference', 'module', '', '1', '0', 7002, '0', 'a:14:{s:4:"name";s:16:"Entity Reference";s:11:"description";s:51:"Provides a field that can reference other entities.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:12:"dependencies";a:2:{i:0;s:6:"entity";i:1;s:6:"ctools";}s:5:"files";a:11:{i:0;s:27:"entityreference.migrate.inc";i:1;s:30:"plugins/selection/abstract.inc";i:2;s:27:"plugins/selection/views.inc";i:3;s:29:"plugins/behavior/abstract.inc";i:4;s:40:"views/entityreference_plugin_display.inc";i:5;s:38:"views/entityreference_plugin_style.inc";i:6;s:43:"views/entityreference_plugin_row_fields.inc";i:7;s:35:"tests/entityreference.handlers.test";i:8;s:35:"tests/entityreference.taxonomy.test";i:9;s:32:"tests/entityreference.admin.test";i:10;s:32:"tests/entityreference.feeds.test";}s:7:"version";s:7:"7.x-1.1";s:7:"project";s:15:"entityreference";s:9:"datestamp";s:10:"1384973110";s:5:"mtime";i:1436351054;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module', 'entityreference_behavior_example', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:33:"Entity Reference Behavior Example";s:11:"description";s:71:"Provides some example code for implementing Entity Reference behaviors.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:12:"dependencies";a:1:{i:0;s:15:"entityreference";}s:7:"version";s:7:"7.x-1.1";s:7:"project";s:15:"entityreference";s:9:"datestamp";s:10:"1384973110";s:5:"mtime";i:1436351056;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module', 'entityreference_feeds_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:41:"Entityreference - Feeds integration tests";s:11:"description";s:65:"Support module for the Entityreference - Feeds integration tests.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:12:"dependencies";a:3:{i:0;s:5:"feeds";i:1;s:8:"feeds_ui";i:2;s:15:"entityreference";}s:7:"version";s:7:"7.x-1.1";s:7:"project";s:15:"entityreference";s:9:"datestamp";s:10:"1384973110";s:5:"mtime";i:1436351070;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity_view_mode/entity_view_mode.module', 'entity_view_mode', 'module', '', '1', '0', 0, '0', 'a:14:{s:4:"name";s:17:"Entity view modes";s:11:"description";s:101:"Allows administrators to define custom view modes for entities via the administration user interface.";s:4:"core";s:3:"7.x";s:10:"recommends";a:1:{i:0;s:8:"field_ui";}s:9:"configure";s:37:"admin/config/system/entity-view-modes";s:5:"files";a:1:{i:0;s:21:"entity_view_mode.test";}s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:16:"entity_view_mode";s:9:"datestamp";s:10:"1368242411";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/entity_view_mode/tests/entity_view_mode_test.module', 'entity_view_mode_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Entity view mode test";s:11:"description";s:15:"Testing module.";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:11:"7.x-1.0-rc1";s:7:"project";s:16:"entity_view_mode";s:9:"datestamp";s:10:"1368242411";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/field_group/field_group.module', 'field_group', 'module', '', '1', '0', 7008, '1', 'a:12:{s:4:"name";s:11:"Field Group";s:11:"description";s:67:"Provides the ability to group your fields on both form and display.";s:7:"package";s:6:"Fields";s:12:"dependencies";a:2:{i:0;s:5:"field";i:1;s:6:"ctools";}s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:25:"tests/field_group.ui.test";i:1;s:30:"tests/field_group.display.test";}s:7:"version";s:7:"7.x-1.5";s:7:"project";s:11:"field_group";s:9:"datestamp";s:10:"1452033709";s:5:"mtime";i:1468307099;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/field_group/tests/field_group_test.module', 'field_group_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"Field Group Test";s:11:"description";s:27:"Test module for Field Group";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:6:"hidden";b:1;s:7:"version";s:7:"7.x-1.5";s:7:"project";s:11:"field_group";s:9:"datestamp";s:10:"1452033709";s:5:"mtime";i:1468307099;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/field_jquery_tabs/field_jquery_tabs.module', 'field_jquery_tabs', 'module', '', '0', '0', 7300, '0', 'a:12:{s:4:"name";s:17:"jQuery Tabs Field";s:11:"description";s:31:"Defines jQuery tabs field type.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:7:"version";s:7:"7.x-4.0";s:7:"project";s:17:"field_jquery_tabs";s:9:"datestamp";s:10:"1382604027";s:5:"mtime";i:1468306654;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/fivestar/fivestar.module', 'fivestar', 'module', '', '1', '0', 7208, '0', 'a:15:{s:4:"name";s:8:"Fivestar";s:11:"description";s:48:"Enables fivestar ratings on content, users, etc.";s:7:"package";s:6:"Voting";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:9:"votingapi";}s:9:"configure";s:29:"admin/config/content/fivestar";s:5:"files";a:3:{i:0;s:20:"fivestar.migrate.inc";i:1;s:23:"test/fivestar.base.test";i:2;s:24:"test/fivestar.field.test";}s:7:"version";s:7:"7.x-2.2";s:7:"project";s:8:"fivestar";s:9:"datestamp";s:10:"1461406444";s:5:"mtime";i:1468312356;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('sites/all/modules/flexslider/flexslider.module', 'flexslider', 'module', '', '1', '0', 7202, '0', 'a:13:{s:4:"name";s:10:"FlexSlider";s:11:"description";s:46:"Integrate the FlexSlider 2 library with Drupal";s:4:"core";s:3:"7.x";s:7:"package";s:10:"FlexSlider";s:12:"dependencies";a:3:{i:0;s:17:"libraries (>=2.x)";i:1;s:6:"ctools";i:2;s:5:"image";}s:5:"files";a:2:{i:0;s:26:"theme/flexslider.theme.inc";i:1;s:15:"flexslider.test";}s:9:"configure";s:29:"admin/config/media/flexslider";s:7:"version";s:11:"7.x-2.0-rc1";s:7:"project";s:10:"flexslider";s:9:"datestamp";s:10:"1438285141";s:5:"mtime";i:1438323851;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/flexslider/flexslider_example/flexslider_example.module', 'flexslider_example', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:18:"FlexSlider Example";s:11:"description";s:35:"Sample implementation of FlexSlider";s:4:"core";s:3:"7.x";s:7:"package";s:10:"FlexSlider";s:3:"php";s:5:"5.2.4";s:12:"dependencies";a:9:{i:0;s:7:"context";i:1;s:8:"features";i:2;s:10:"flexslider";i:3;s:17:"flexslider_fields";i:4;s:16:"flexslider_views";i:5;s:5:"image";i:6;s:4:"menu";i:7;s:9:"strongarm";i:8;s:5:"views";}s:8:"features";a:9:{s:7:"context";a:1:{i:0;s:28:"flexslider_example_thumbnail";}s:6:"ctools";a:4:{i:0;s:17:"context:context:3";i:1;s:38:"flexslider:flexslider_default_preset:1";i:2;s:21:"strongarm:strongarm:1";i:3;s:23:"views:views_default:3.0";}s:12:"features_api";a:1:{i:0;s:5:"api:1";}s:5:"field";a:2:{i:0;s:54:"node-flexslider_example-field_flexslider_example_image";i:1;s:56:"node-flexslider_example-field_flexslider_example_slidesh";}s:20:"flexslider_optionset";a:6:{i:0;s:43:"flexslider_carousel_with_min_and_max_ranges";i:1;s:33:"flexslider_default_basic_carousel";i:2;s:46:"flexslider_default_slider_thumbnail_controlnav";i:3;s:44:"flexslider_default_slider_w_thumbnail_slider";i:4;s:37:"flexslider_default_thumbnail_captions";i:5;s:35:"flexslider_default_thumbnail_slider";}s:11:"menu_custom";a:1:{i:0;s:23:"menu-flexslider-example";}s:4:"node";a:1:{i:0;s:18:"flexslider_example";}s:8:"variable";a:1:{i:0;s:46:"field_bundle_settings_node__flexslider_example";}s:10:"views_view";a:1:{i:0;s:24:"flexslider_views_example";}}s:7:"version";s:11:"7.x-2.0-rc1";s:7:"project";s:10:"flexslider";s:9:"datestamp";s:10:"1438285141";s:5:"mtime";i:1438323851;s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/flexslider/flexslider_fields/flexslider_fields.module', 'flexslider_fields', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:17:"FlexSlider Fields";s:11:"description";s:44:"Adds a display mode in Fields for FlexSlider";s:4:"core";s:3:"7.x";s:7:"package";s:10:"FlexSlider";s:12:"dependencies";a:1:{i:0;s:10:"flexslider";}s:7:"version";s:11:"7.x-2.0-rc1";s:7:"project";s:10:"flexslider";s:9:"datestamp";s:10:"1438285141";s:5:"mtime";i:1438323851;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/flexslider/flexslider_views/flexslider_views.module', 'flexslider_views', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:22:"FlexSlider Views Style";s:11:"description";s:40:"Adds a Views style plugin for FlexSlider";s:4:"core";s:3:"7.x";s:7:"package";s:10:"FlexSlider";s:12:"dependencies";a:2:{i:0;s:5:"views";i:1;s:10:"flexslider";}s:5:"files";a:3:{i:0;s:23:"flexslider_views.module";i:1;s:26:"flexslider_views.views.inc";i:2;s:44:"flexslider_views_plugin_style_flexslider.inc";}s:7:"version";s:11:"7.x-2.0-rc1";s:7:"project";s:10:"flexslider";s:9:"datestamp";s:10:"1438285141";s:5:"mtime";i:1438323851;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/flexslider_views_slideshow/flexslider_views_slideshow.module', 'flexslider_views_slideshow', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:26:"FlexSlider Views Slideshow";s:11:"description";s:70:"NOT FUNCTIONAL - Integrate the FlexSlider library with Views Slideshow";s:4:"core";s:3:"7.x";s:7:"package";s:10:"FlexSlider";s:12:"dependencies";a:2:{i:0;s:10:"flexslider";i:1;s:15:"views_slideshow";}s:5:"files";a:3:{i:0;s:33:"flexslider_views_slideshow.module";i:1;s:46:"flexslider_views_slideshow.views_slideshow.inc";i:2;s:42:"theme/flexslider_views_slideshow.theme.inc";}s:7:"version";s:11:"7.x-2.x-dev";s:7:"project";s:26:"flexslider_views_slideshow";s:9:"datestamp";s:10:"1380579618";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/instagram_block/instagram_block.module', 'instagram_block', 'module', '', '1', '0', 7100, '0', 'a:12:{s:4:"name";s:15:"Instagram Block";s:11:"description";s:52:"Creates a block that displays images from instagram.";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:23:"instagram_block.lib.php";}s:12:"dependencies";a:1:{i:0;s:5:"block";}s:7:"version";s:7:"7.x-1.4";s:7:"project";s:15:"instagram_block";s:9:"datestamp";s:10:"1465546054";s:5:"mtime";i:1465805286;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/jqeasing/jqeasing.module', 'jqeasing', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:13:"jQuery Easing";s:11:"description";s:66:"Makes the ''jQuery Easing'' plugin available to Drupal as a library.";s:4:"core";s:3:"7.x";s:7:"package";s:14:"User interface";s:12:"dependencies";a:1:{i:0;s:17:"libraries (>=2.x)";}s:7:"version";s:7:"7.x-1.0";s:7:"project";s:8:"jqeasing";s:9:"datestamp";s:10:"1349493122";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/jquery_update/jquery_update.module', 'jquery_update', 'module', '', '1', '0', 7000, '0', 'a:13:{s:4:"name";s:13:"jQuery Update";s:11:"description";s:53:"Update jQuery and jQuery UI to a more recent version.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:20:"jquery_update.module";i:1;s:21:"jquery_update.install";}s:9:"configure";s:38:"admin/config/development/jquery_update";s:7:"version";s:7:"7.x-2.7";s:7:"project";s:13:"jquery_update";s:9:"datestamp";s:10:"1445379855";s:5:"mtime";i:1446405692;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/libraries/libraries.module', 'libraries', 'module', '', '1', '0', 7201, '0', 'a:12:{s:4:"name";s:9:"Libraries";s:11:"description";s:64:"Allows version-dependent and shared usage of external libraries.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:15:"system (>=7.11)";}s:5:"files";a:4:{i:0;s:32:"tests/LibrariesAdminWebTest.test";i:1;s:31:"tests/LibrariesLoadWebTest.test";i:2;s:28:"tests/LibrariesUnitTest.test";i:3;s:31:"tests/LibrariesWebTestBase.test";}s:7:"version";s:7:"7.x-2.3";s:7:"project";s:9:"libraries";s:9:"datestamp";s:10:"1463077450";s:5:"mtime";i:1463380240;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module', 'libraries_test_module', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Libraries test module";s:11:"description";s:36:"Tests library detection and loading.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:12:"dependencies";a:1:{i:0;s:9:"libraries";}s:6:"hidden";b:1;s:7:"version";s:7:"7.x-2.3";s:7:"project";s:9:"libraries";s:9:"datestamp";s:10:"1463077450";s:5:"mtime";i:1463380240;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/link/link.module', 'link', 'module', '', '1', '0', 7001, '0', 'a:14:{s:4:"name";s:4:"Link";s:11:"description";s:32:"Defines simple link field types.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Fields";s:5:"files";a:11:{i:0;s:11:"link.module";i:1;s:16:"link.migrate.inc";i:2;s:15:"tests/link.test";i:3;s:25:"tests/link.attribute.test";i:4;s:20:"tests/link.crud.test";i:5;s:28:"tests/link.crud_browser.test";i:6;s:21:"tests/link.token.test";i:7;s:28:"tests/link.entity_token.test";i:8;s:24:"tests/link.validate.test";i:9;s:44:"views/link_views_handler_argument_target.inc";i:10;s:44:"views/link_views_handler_filter_protocol.inc";}s:7:"version";s:7:"7.x-1.4";s:7:"project";s:4:"link";s:9:"datestamp";s:10:"1452830642";s:5:"mtime";i:1452847877;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('sites/all/modules/media/file_entity/file_entity.module', 'file_entity', 'module', '', '1', '0', -1, '0', 'a:13:{s:4:"name";s:11:"File entity";s:11:"description";s:58:"Extends Drupal file entities to be fieldable and viewable.";s:7:"package";s:5:"Media";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:5:"field";i:1;s:6:"ctools";}s:5:"files";a:1:{i:0;s:21:"file_entity.field.inc";}s:9:"configure";s:29:"admin/config/media/file-types";s:7:"version";s:7:"7.x-1.5";s:7:"project";s:5:"media";s:9:"datestamp";s:10:"1426963084";s:5:"mtime";i:1427089563;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/media/file_entity/tests/file_entity_test.module', 'file_entity_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:16:"File Entity Test";s:11:"description";s:37:"Support module for File Entity tests.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:11:"file_entity";}s:6:"hidden";b:1;s:7:"version";s:7:"7.x-1.5";s:7:"project";s:5:"media";s:9:"datestamp";s:10:"1426963084";s:5:"mtime";i:1427089563;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/media/media.module', 'media', 'module', '', '1', '0', 7020, '0', 'a:13:{s:4:"name";s:5:"Media";s:11:"description";s:27:"Provides the core Media API";s:7:"package";s:5:"Media";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:11:"file_entity";i:1;s:5:"image";}s:5:"files";a:4:{i:0;s:39:"includes/MediaReadOnlyStreamWrapper.inc";i:1;s:21:"test/media.types.test";i:2;s:22:"test/media.entity.test";i:3;s:26:"test/media.file.usage.test";}s:9:"configure";s:26:"admin/config/media/browser";s:7:"version";s:7:"7.x-1.5";s:7:"project";s:5:"media";s:9:"datestamp";s:10:"1426963084";s:5:"mtime";i:1427089564;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/media/modules/media_internet/media_internet.module', 'media_internet', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:22:"Media Internet Sources";s:11:"description";s:64:"Provides an API for accessing media on various internet services";s:7:"package";s:5:"Media";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"media";}s:5:"files";a:4:{i:0;s:37:"includes/MediaInternetBaseHandler.inc";i:1;s:37:"includes/MediaInternetFileHandler.inc";i:2;s:44:"includes/MediaInternetNoHandlerException.inc";i:3;s:45:"includes/MediaInternetValidationException.inc";}s:7:"version";s:7:"7.x-1.5";s:7:"project";s:5:"media";s:9:"datestamp";s:10:"1426963084";s:5:"mtime";i:1427089564;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/media_vimeo/media_vimeo.module', 'media_vimeo', 'module', '', '1', '0', 7201, '0', 'a:12:{s:4:"name";s:12:"Media: Vimeo";s:11:"description";s:41:"Adds Vimeo as a supported media provider.";s:7:"package";s:5:"Media";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:14:"media_internet";}s:5:"files";a:2:{i:0;s:36:"includes/MediaVimeoStreamWrapper.inc";i:1;s:38:"includes/MediaInternetVimeoHandler.inc";}s:7:"version";s:7:"7.x-2.1";s:7:"project";s:11:"media_vimeo";s:9:"datestamp";s:10:"1432838585";s:5:"mtime";i:1434876668;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/media_youtube/media_youtube.module', 'media_youtube', 'module', '', '1', '0', 7204, '0', 'a:12:{s:4:"name";s:14:"Media: YouTube";s:11:"description";s:43:"Adds YouTube as a supported media provider.";s:7:"package";s:5:"Media";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:14:"media_internet";}s:5:"files";a:2:{i:0;s:38:"includes/MediaYouTubeStreamWrapper.inc";i:1;s:40:"includes/MediaInternetYouTubeHandler.inc";}s:7:"version";s:7:"7.x-3.0";s:7:"project";s:13:"media_youtube";s:9:"datestamp";s:10:"1432800182";s:5:"mtime";i:1434876667;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/module_filter/module_filter.module', 'module_filter', 'module', '', '1', '0', 7201, '0', 'a:13:{s:4:"name";s:13:"Module filter";s:11:"description";s:24:"Filter the modules list.";s:4:"core";s:3:"7.x";s:7:"package";s:14:"Administration";s:5:"files";a:9:{i:0;s:21:"module_filter.install";i:1;s:16:"module_filter.js";i:2;s:20:"module_filter.module";i:3;s:23:"module_filter.admin.inc";i:4;s:23:"module_filter.theme.inc";i:5;s:21:"css/module_filter.css";i:6;s:25:"css/module_filter_tab.css";i:7;s:19:"js/module_filter.js";i:8;s:23:"js/module_filter_tab.js";}s:9:"configure";s:40:"admin/config/user-interface/modulefilter";s:7:"version";s:7:"7.x-2.0";s:7:"project";s:13:"module_filter";s:9:"datestamp";s:10:"1424631189";s:5:"mtime";i:1424710079;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/multiblock/multiblock.module', 'multiblock', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:10:"MultiBlock";s:11:"description";s:51:"Allows the creation of multiple instances of blocks";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"block";}s:7:"version";s:7:"7.x-1.4";s:7:"project";s:10:"multiblock";s:9:"datestamp";s:10:"1439461663";s:5:"mtime";i:1465314598;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/panels/i18n_panels/i18n_panels.module', 'i18n_panels', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:18:"Panels translation";s:11:"description";s:35:"Supports translatable panels items.";s:12:"dependencies";a:4:{i:0;s:4:"i18n";i:1;s:6:"panels";i:2;s:11:"i18n_string";i:3;s:16:"i18n_translation";}s:7:"package";s:35:"Multilingual - Internationalization";s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-3.5";s:7:"project";s:6:"panels";s:9:"datestamp";s:10:"1422472985";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/panels/panels.module', 'panels', 'module', '', '1', '0', 7303, '0', 'a:13:{s:4:"name";s:6:"Panels";s:11:"description";s:107:"Core Panels display functions; provides no external UI, at least one other Panels module should be enabled.";s:4:"core";s:3:"7.x";s:7:"package";s:6:"Panels";s:7:"version";s:7:"7.x-3.5";s:9:"configure";s:22:"admin/structure/panels";s:12:"dependencies";a:1:{i:0;s:13:"ctools (>1.5)";}s:5:"files";a:5:{i:0;s:13:"panels.module";i:1;s:19:"includes/common.inc";i:2;s:19:"includes/legacy.inc";i:3;s:20:"includes/plugins.inc";i:4;s:48:"plugins/views/panels_views_plugin_row_fields.inc";}s:7:"project";s:6:"panels";s:9:"datestamp";s:10:"1422472985";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/panels/panels_ipe/panels_ipe.module', 'panels_ipe', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:22:"Panels In-Place Editor";s:11:"description";s:101:"Provide a UI for managing some Panels directly on the frontend, instead of having to use the backend.";s:7:"package";s:6:"Panels";s:7:"version";s:7:"7.x-3.5";s:12:"dependencies";a:1:{i:0;s:6:"panels";}s:4:"core";s:3:"7.x";s:9:"configure";s:22:"admin/structure/panels";s:5:"files";a:1:{i:0;s:17:"panels_ipe.module";}s:7:"project";s:6:"panels";s:9:"datestamp";s:10:"1422472985";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/panels/panels_mini/panels_mini.module', 'panels_mini', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:11:"Mini panels";s:11:"description";s:89:"Create mini panels that can be used as blocks by Drupal and panes by other panel modules.";s:7:"package";s:6:"Panels";s:7:"version";s:7:"7.x-3.5";s:12:"dependencies";a:1:{i:0;s:6:"panels";}s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:42:"plugins/export_ui/panels_mini_ui.class.php";}s:7:"project";s:6:"panels";s:9:"datestamp";s:10:"1422472985";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES
('sites/all/modules/panels/panels_node/panels_node.module', 'panels_node', 'module', '', '0', '0', 6001, '11', 'a:13:{s:4:"name";s:11:"Panel nodes";s:11:"description";s:65:"Create nodes that are divided into areas with selectable content.";s:7:"package";s:6:"Panels";s:7:"version";s:7:"7.x-3.5";s:12:"dependencies";a:1:{i:0;s:6:"panels";}s:9:"configure";s:22:"admin/structure/panels";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:18:"panels_node.module";}s:7:"project";s:6:"panels";s:9:"datestamp";s:10:"1422472985";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/plupload/plupload.module', 'plupload', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:27:"Plupload integration module";s:11:"description";s:28:"Provides a plupload element.";s:5:"files";a:1:{i:0;s:15:"plupload.module";}s:4:"core";s:3:"7.x";s:7:"package";s:5:"Media";s:7:"version";s:7:"7.x-1.7";s:7:"project";s:8:"plupload";s:9:"datestamp";s:10:"1415390716";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/retina_images/retina_images.module', 'retina_images', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:13:"Retina Images";s:11:"description";s:96:"Provide an image effect to output images in high resolution format for high resolution displays.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"image";}s:7:"version";s:13:"7.x-1.0-beta5";s:7:"project";s:13:"retina_images";s:9:"datestamp";s:10:"1455779943";s:5:"mtime";i:1455783163;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/rules/rules.module', 'rules', 'module', '', '1', '1', 7214, '20', 'a:13:{s:4:"name";s:5:"Rules";s:11:"description";s:51:"React on events and conditionally evaluate actions.";s:7:"package";s:5:"Rules";s:4:"core";s:3:"7.x";s:5:"files";a:17:{i:0;s:18:"rules.features.inc";i:1;s:16:"tests/rules.test";i:2;s:18:"includes/faces.inc";i:3;s:23:"includes/rules.core.inc";i:4;s:24:"includes/rules.event.inc";i:5;s:28:"includes/rules.processor.inc";i:6;s:26:"includes/rules.plugins.inc";i:7;s:24:"includes/rules.state.inc";i:8;s:29:"includes/rules.dispatcher.inc";i:9;s:21:"modules/node.eval.inc";i:10;s:20:"modules/php.eval.inc";i:11;s:27:"modules/rules_core.eval.inc";i:12;s:23:"modules/system.eval.inc";i:13;s:20:"ui/ui.controller.inc";i:14;s:14:"ui/ui.core.inc";i:15;s:14:"ui/ui.data.inc";i:16;s:17:"ui/ui.plugins.inc";}s:12:"dependencies";a:2:{i:0;s:12:"entity_token";i:1;s:6:"entity";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:9:"configure";s:27:"admin/config/workflow/rules";}'),
('sites/all/modules/rules/rules_admin/rules_admin.module', 'rules_admin', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:8:"Rules UI";s:11:"description";s:44:"Administrative interface for managing rules.";s:7:"package";s:5:"Rules";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:18:"rules_admin.module";i:1;s:15:"rules_admin.inc";}s:12:"dependencies";a:1:{i:0;s:5:"rules";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/rules/rules_i18n/rules_i18n.module', 'rules_i18n', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:17:"Rules translation";s:11:"description";s:25:"Allows translating rules.";s:12:"dependencies";a:2:{i:0;s:5:"rules";i:1;s:11:"i18n_string";}s:7:"package";s:35:"Multilingual - Internationalization";s:4:"core";s:3:"7.x";s:5:"files";a:3:{i:0;s:19:"rules_i18n.i18n.inc";i:1;s:20:"rules_i18n.rules.inc";i:2;s:15:"rules_i18n.test";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/rules/rules_scheduler/rules_scheduler.module', 'rules_scheduler', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"Rules Scheduler";s:11:"description";s:57:"Schedule the execution of Rules components using actions.";s:12:"dependencies";a:1:{i:0;s:5:"rules";}s:7:"package";s:5:"Rules";s:4:"core";s:3:"7.x";s:5:"files";a:9:{i:0;s:25:"rules_scheduler.admin.inc";i:1;s:22:"rules_scheduler.module";i:2;s:23:"rules_scheduler.install";i:3;s:25:"rules_scheduler.rules.inc";i:4;s:20:"rules_scheduler.test";i:5;s:36:"includes/rules_scheduler.handler.inc";i:6;s:42:"includes/rules_scheduler.views_default.inc";i:7;s:34:"includes/rules_scheduler.views.inc";i:8;s:41:"includes/rules_scheduler_views_filter.inc";}s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:9:"configure";s:36:"admin/config/workflow/rules/schedule";}'),
('sites/all/modules/rules/rules_scheduler/tests/rules_scheduler_test.module', 'rules_scheduler_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Rules Scheduler Tests";s:11:"description";s:45:"Support module for the Rules Scheduler tests.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:24:"rules_scheduler_test.inc";}s:6:"hidden";b:1;s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/rules/tests/rules_test.module', 'rules_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:11:"Rules Tests";s:11:"description";s:35:"Support module for the Rules tests.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:5:"files";a:2:{i:0;s:20:"rules_test.rules.inc";i:1;s:29:"rules_test.rules_defaults.inc";}s:6:"hidden";b:1;s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/rules/tests/rules_test_invocation.module', 'rules_test_invocation', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:21:"Rules Test invocation";s:11:"description";s:40:"Helper module to test Rules invocations.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:6:"hidden";b:1;s:7:"version";s:7:"7.x-2.9";s:7:"project";s:5:"rules";s:9:"datestamp";s:10:"1426527210";s:5:"mtime";i:1465215788;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/semanticviews/semanticviews.module', 'semanticviews', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:14:"Semantic Views";s:11:"description";s:50:"Views 3 plugins for UI management of output markup";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:7:"package";s:5:"Views";s:5:"files";a:2:{i:0;s:35:"semanticviews_plugin_row_fields.inc";i:1;s:38:"semanticviews_plugin_style_default.inc";}s:7:"version";s:11:"7.x-1.0-rc2";s:7:"project";s:13:"semanticviews";s:9:"datestamp";s:10:"1414540129";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/shortcode/shortcode.module', 'shortcode', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:9:"Shortcode";s:11:"description";s:65:"Provides shortcodes filter framework and API (like WP shortcodes)";s:7:"package";s:9:"Shortcode";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:6:"filter";}s:7:"version";s:8:"7.x-2.22";s:7:"project";s:9:"shortcode";s:9:"datestamp";s:10:"1431601290";s:5:"mtime";i:1456132130;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/shortcode/shortcode_basic_tags/shortcode_basic_tags.module', 'shortcode_basic_tags', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:20:"Shortcode Basic Tags";s:11:"description";s:59:"Provides basic shortcode tags like highlight, dropcap, etc.";s:7:"package";s:9:"Shortcode";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:9:"shortcode";}s:7:"version";s:8:"7.x-2.22";s:7:"project";s:9:"shortcode";s:9:"datestamp";s:10:"1431601290";s:5:"mtime";i:1456132130;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/shortcode/shortcode_embed_content/shortcode_embed_content.module', 'shortcode_embed_content', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:27:"Shortcode Embed Content Tag";s:11:"description";s:64:"Provides a shortcode tag for embedding a node content into text.";s:7:"package";s:9:"Shortcode";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:6:"filter";i:1;s:9:"shortcode";}s:7:"version";s:8:"7.x-2.22";s:7:"project";s:9:"shortcode";s:9:"datestamp";s:10:"1431601290";s:5:"mtime";i:1456132130;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/shortcode_wysiwyg/shortcode_wysiwyg.module', 'shortcode_wysiwyg', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:17:"Shortcode wysiwyg";s:11:"description";s:29:"Shortcode Wysiwyg integration";s:4:"core";s:3:"7.x";s:7:"package";s:9:"Shortcode";s:12:"dependencies";a:2:{i:0;s:9:"shortcode";i:1;s:7:"wysiwyg";}s:7:"version";s:7:"7.x-2.0";s:7:"project";s:17:"shortcode_wysiwyg";s:9:"datestamp";s:10:"1439598521";s:5:"mtime";i:1456132875;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/simple_subscription/simple_subscription.module', 'simple_subscription', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:19:"Simple Subscription";s:11:"description";s:74:"Adds a form in a block for subscribing to a newsletter (or anything else).";s:12:"dependencies";a:2:{i:0;s:5:"block";i:1;s:7:"trigger";}s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-1.1";s:7:"project";s:19:"simple_subscription";s:9:"datestamp";s:10:"1424878683";s:5:"mtime";i:1425967598;s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/tb_megamenu/tb_megamenu.module', 'tb_megamenu', 'module', '', '1', '0', -1, '0', 'a:13:{s:4:"name";s:12:"TB Mega Menu";s:11:"description";s:29:"Megamenu solutions for Drupal";s:7:"package";s:4:"Menu";s:7:"version";s:11:"7.x-1.0-rc2";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:9:"libraries";i:1;s:13:"jquery_update";}s:9:"configure";s:27:"admin/structure/tb-megamenu";s:7:"project";s:11:"tb_megamenu";s:9:"datestamp";s:10:"1440756596";s:5:"mtime";i:1441002709;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/term_reference_tree/term_reference_tree.module', 'term_reference_tree', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:19:"Term Reference Tree";s:11:"description";s:91:"An expanding/collapsing tree widget for selecting terms in a taxonomy term reference field.";s:7:"package";s:6:"Fields";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:8:"taxonomy";}s:7:"version";s:8:"7.x-1.10";s:7:"project";s:19:"term_reference_tree";s:9:"datestamp";s:10:"1369842362";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/token/tests/token_test.module', 'token_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Token Test";s:11:"description";s:39:"Testing module for token functionality.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:17:"token_test.module";}s:6:"hidden";b:1;s:7:"version";s:7:"7.x-1.6";s:7:"project";s:5:"token";s:9:"datestamp";s:10:"1425149060";s:5:"mtime";i:1468852991;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/token/token.module', 'token', 'module', '', '1', '0', 7001, '0', 'a:12:{s:4:"name";s:5:"Token";s:11:"description";s:73:"Provides a user interface for the Token API and some missing core tokens.";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:10:"token.test";}s:7:"version";s:7:"7.x-1.6";s:7:"project";s:5:"token";s:9:"datestamp";s:10:"1425149060";s:5:"mtime";i:1468852991;s:12:"dependencies";a:0:{}s:7:"package";s:5:"Other";s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/views/tests/views_test.module', 'views_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Views Test";s:11:"description";s:22:"Test module for Views.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:6:"hidden";b:1;s:7:"version";s:8:"7.x-3.14";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1466019588";s:5:"mtime";i:1466063958;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/views/views.module', 'views', 'module', '', '1', '0', 7302, '10', 'a:13:{s:4:"name";s:5:"Views";s:11:"description";s:55:"Create customized lists and queries from your database.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:3:"php";s:3:"5.2";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:13:"css/views.css";s:37:"sites/all/modules/views/css/views.css";}}s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:5:"files";a:313:{i:0;s:31:"handlers/views_handler_area.inc";i:1;s:40:"handlers/views_handler_area_messages.inc";i:2;s:38:"handlers/views_handler_area_result.inc";i:3;s:36:"handlers/views_handler_area_text.inc";i:4;s:43:"handlers/views_handler_area_text_custom.inc";i:5;s:36:"handlers/views_handler_area_view.inc";i:6;s:35:"handlers/views_handler_argument.inc";i:7;s:40:"handlers/views_handler_argument_date.inc";i:8;s:43:"handlers/views_handler_argument_formula.inc";i:9;s:47:"handlers/views_handler_argument_many_to_one.inc";i:10;s:40:"handlers/views_handler_argument_null.inc";i:11;s:43:"handlers/views_handler_argument_numeric.inc";i:12;s:42:"handlers/views_handler_argument_string.inc";i:13;s:52:"handlers/views_handler_argument_group_by_numeric.inc";i:14;s:32:"handlers/views_handler_field.inc";i:15;s:40:"handlers/views_handler_field_counter.inc";i:16;s:40:"handlers/views_handler_field_boolean.inc";i:17;s:49:"handlers/views_handler_field_contextual_links.inc";i:18;s:48:"handlers/views_handler_field_ctools_dropdown.inc";i:19;s:39:"handlers/views_handler_field_custom.inc";i:20;s:37:"handlers/views_handler_field_date.inc";i:21;s:39:"handlers/views_handler_field_entity.inc";i:22;s:38:"handlers/views_handler_field_links.inc";i:23;s:39:"handlers/views_handler_field_markup.inc";i:24;s:37:"handlers/views_handler_field_math.inc";i:25;s:40:"handlers/views_handler_field_numeric.inc";i:26;s:47:"handlers/views_handler_field_prerender_list.inc";i:27;s:46:"handlers/views_handler_field_time_interval.inc";i:28;s:43:"handlers/views_handler_field_serialized.inc";i:29;s:45:"handlers/views_handler_field_machine_name.inc";i:30;s:36:"handlers/views_handler_field_url.inc";i:31;s:33:"handlers/views_handler_filter.inc";i:32;s:50:"handlers/views_handler_filter_boolean_operator.inc";i:33;s:57:"handlers/views_handler_filter_boolean_operator_string.inc";i:34;s:41:"handlers/views_handler_filter_combine.inc";i:35;s:38:"handlers/views_handler_filter_date.inc";i:36;s:42:"handlers/views_handler_filter_equality.inc";i:37;s:47:"handlers/views_handler_filter_entity_bundle.inc";i:38;s:50:"handlers/views_handler_filter_group_by_numeric.inc";i:39;s:45:"handlers/views_handler_filter_in_operator.inc";i:40;s:45:"handlers/views_handler_filter_many_to_one.inc";i:41;s:41:"handlers/views_handler_filter_numeric.inc";i:42;s:40:"handlers/views_handler_filter_string.inc";i:43;s:48:"handlers/views_handler_filter_fields_compare.inc";i:44;s:39:"handlers/views_handler_relationship.inc";i:45;s:53:"handlers/views_handler_relationship_groupwise_max.inc";i:46;s:31:"handlers/views_handler_sort.inc";i:47;s:36:"handlers/views_handler_sort_date.inc";i:48;s:39:"handlers/views_handler_sort_formula.inc";i:49;s:48:"handlers/views_handler_sort_group_by_numeric.inc";i:50;s:46:"handlers/views_handler_sort_menu_hierarchy.inc";i:51;s:38:"handlers/views_handler_sort_random.inc";i:52;s:17:"includes/base.inc";i:53;s:21:"includes/handlers.inc";i:54;s:20:"includes/plugins.inc";i:55;s:17:"includes/view.inc";i:56;s:60:"modules/aggregator/views_handler_argument_aggregator_fid.inc";i:57;s:60:"modules/aggregator/views_handler_argument_aggregator_iid.inc";i:58;s:69:"modules/aggregator/views_handler_argument_aggregator_category_cid.inc";i:59;s:64:"modules/aggregator/views_handler_field_aggregator_title_link.inc";i:60;s:62:"modules/aggregator/views_handler_field_aggregator_category.inc";i:61;s:70:"modules/aggregator/views_handler_field_aggregator_item_description.inc";i:62;s:57:"modules/aggregator/views_handler_field_aggregator_xss.inc";i:63;s:67:"modules/aggregator/views_handler_filter_aggregator_category_cid.inc";i:64;s:54:"modules/aggregator/views_plugin_row_aggregator_rss.inc";i:65;s:56:"modules/book/views_plugin_argument_default_book_root.inc";i:66;s:59:"modules/comment/views_handler_argument_comment_user_uid.inc";i:67;s:47:"modules/comment/views_handler_field_comment.inc";i:68;s:53:"modules/comment/views_handler_field_comment_depth.inc";i:69;s:52:"modules/comment/views_handler_field_comment_link.inc";i:70;s:60:"modules/comment/views_handler_field_comment_link_approve.inc";i:71;s:59:"modules/comment/views_handler_field_comment_link_delete.inc";i:72;s:57:"modules/comment/views_handler_field_comment_link_edit.inc";i:73;s:58:"modules/comment/views_handler_field_comment_link_reply.inc";i:74;s:57:"modules/comment/views_handler_field_comment_node_link.inc";i:75;s:56:"modules/comment/views_handler_field_comment_username.inc";i:76;s:61:"modules/comment/views_handler_field_ncs_last_comment_name.inc";i:77;s:56:"modules/comment/views_handler_field_ncs_last_updated.inc";i:78;s:52:"modules/comment/views_handler_field_node_comment.inc";i:79;s:57:"modules/comment/views_handler_field_node_new_comments.inc";i:80;s:62:"modules/comment/views_handler_field_last_comment_timestamp.inc";i:81;s:57:"modules/comment/views_handler_filter_comment_user_uid.inc";i:82;s:57:"modules/comment/views_handler_filter_ncs_last_updated.inc";i:83;s:53:"modules/comment/views_handler_filter_node_comment.inc";i:84;s:53:"modules/comment/views_handler_sort_comment_thread.inc";i:85;s:60:"modules/comment/views_handler_sort_ncs_last_comment_name.inc";i:86;s:55:"modules/comment/views_handler_sort_ncs_last_updated.inc";i:87;s:48:"modules/comment/views_plugin_row_comment_rss.inc";i:88;s:49:"modules/comment/views_plugin_row_comment_view.inc";i:89;s:52:"modules/contact/views_handler_field_contact_link.inc";i:90;s:43:"modules/field/views_handler_field_field.inc";i:91;s:59:"modules/field/views_handler_relationship_entity_reverse.inc";i:92;s:51:"modules/field/views_handler_argument_field_list.inc";i:93;s:57:"modules/field/views_handler_filter_field_list_boolean.inc";i:94;s:58:"modules/field/views_handler_argument_field_list_string.inc";i:95;s:49:"modules/field/views_handler_filter_field_list.inc";i:96;s:57:"modules/filter/views_handler_field_filter_format_name.inc";i:97;s:52:"modules/locale/views_handler_field_node_language.inc";i:98;s:53:"modules/locale/views_handler_filter_node_language.inc";i:99;s:54:"modules/locale/views_handler_argument_locale_group.inc";i:100;s:57:"modules/locale/views_handler_argument_locale_language.inc";i:101;s:51:"modules/locale/views_handler_field_locale_group.inc";i:102;s:54:"modules/locale/views_handler_field_locale_language.inc";i:103;s:55:"modules/locale/views_handler_field_locale_link_edit.inc";i:104;s:52:"modules/locale/views_handler_filter_locale_group.inc";i:105;s:55:"modules/locale/views_handler_filter_locale_language.inc";i:106;s:54:"modules/locale/views_handler_filter_locale_version.inc";i:107;s:51:"modules/locale/views_handler_sort_node_language.inc";i:108;s:53:"modules/node/views_handler_argument_dates_various.inc";i:109;s:53:"modules/node/views_handler_argument_node_language.inc";i:110;s:48:"modules/node/views_handler_argument_node_nid.inc";i:111;s:49:"modules/node/views_handler_argument_node_type.inc";i:112;s:48:"modules/node/views_handler_argument_node_vid.inc";i:113;s:57:"modules/node/views_handler_argument_node_uid_revision.inc";i:114;s:59:"modules/node/views_handler_field_history_user_timestamp.inc";i:115;s:41:"modules/node/views_handler_field_node.inc";i:116;s:46:"modules/node/views_handler_field_node_link.inc";i:117;s:53:"modules/node/views_handler_field_node_link_delete.inc";i:118;s:51:"modules/node/views_handler_field_node_link_edit.inc";i:119;s:50:"modules/node/views_handler_field_node_revision.inc";i:120;s:55:"modules/node/views_handler_field_node_revision_link.inc";i:121;s:62:"modules/node/views_handler_field_node_revision_link_delete.inc";i:122;s:62:"modules/node/views_handler_field_node_revision_link_revert.inc";i:123;s:46:"modules/node/views_handler_field_node_path.inc";i:124;s:46:"modules/node/views_handler_field_node_type.inc";i:125;s:55:"modules/node/views_handler_field_node_version_count.inc";i:126;s:60:"modules/node/views_handler_filter_history_user_timestamp.inc";i:127;s:49:"modules/node/views_handler_filter_node_access.inc";i:128;s:49:"modules/node/views_handler_filter_node_status.inc";i:129;s:47:"modules/node/views_handler_filter_node_type.inc";i:130;s:55:"modules/node/views_handler_filter_node_uid_revision.inc";i:131;s:56:"modules/node/views_handler_filter_node_version_count.inc";i:132;s:54:"modules/node/views_handler_sort_node_version_count.inc";i:133;s:51:"modules/node/views_plugin_argument_default_node.inc";i:134;s:52:"modules/node/views_plugin_argument_validate_node.inc";i:135;s:42:"modules/node/views_plugin_row_node_rss.inc";i:136;s:43:"modules/node/views_plugin_row_node_view.inc";i:137;s:52:"modules/profile/views_handler_field_profile_date.inc";i:138;s:52:"modules/profile/views_handler_field_profile_list.inc";i:139;s:58:"modules/profile/views_handler_filter_profile_selection.inc";i:140;s:48:"modules/search/views_handler_argument_search.inc";i:141;s:51:"modules/search/views_handler_field_search_score.inc";i:142;s:46:"modules/search/views_handler_filter_search.inc";i:143;s:50:"modules/search/views_handler_sort_search_score.inc";i:144;s:47:"modules/search/views_plugin_row_search_view.inc";i:145;s:57:"modules/statistics/views_handler_field_accesslog_path.inc";i:146;s:65:"modules/statistics/views_handler_field_node_counter_timestamp.inc";i:147;s:61:"modules/statistics/views_handler_field_statistics_numeric.inc";i:148;s:50:"modules/system/views_handler_argument_file_fid.inc";i:149;s:43:"modules/system/views_handler_field_file.inc";i:150;s:53:"modules/system/views_handler_field_file_extension.inc";i:151;s:52:"modules/system/views_handler_field_file_filemime.inc";i:152;s:47:"modules/system/views_handler_field_file_uri.inc";i:153;s:50:"modules/system/views_handler_field_file_status.inc";i:154;s:51:"modules/system/views_handler_filter_file_status.inc";i:155;s:52:"modules/taxonomy/views_handler_argument_taxonomy.inc";i:156;s:57:"modules/taxonomy/views_handler_argument_term_node_tid.inc";i:157;s:63:"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc";i:158;s:68:"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc";i:159;s:72:"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc";i:160;s:58:"modules/taxonomy/views_handler_argument_vocabulary_vid.inc";i:161;s:67:"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc";i:162;s:49:"modules/taxonomy/views_handler_field_taxonomy.inc";i:163;s:54:"modules/taxonomy/views_handler_field_term_node_tid.inc";i:164;s:55:"modules/taxonomy/views_handler_field_term_link_edit.inc";i:165;s:55:"modules/taxonomy/views_handler_filter_term_node_tid.inc";i:166;s:61:"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc";i:167;s:66:"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc";i:168;s:56:"modules/taxonomy/views_handler_filter_vocabulary_vid.inc";i:169;s:65:"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc";i:170;s:62:"modules/taxonomy/views_handler_relationship_node_term_data.inc";i:171;s:65:"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc";i:172;s:63:"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc";i:173;s:67:"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc";i:174;s:65:"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc";i:175;s:65:"modules/tracker/views_handler_filter_tracker_boolean_operator.inc";i:176;s:51:"modules/system/views_handler_filter_system_type.inc";i:177;s:56:"modules/translation/views_handler_argument_node_tnid.inc";i:178;s:63:"modules/translation/views_handler_field_node_link_translate.inc";i:179;s:65:"modules/translation/views_handler_field_node_translation_link.inc";i:180;s:54:"modules/translation/views_handler_filter_node_tnid.inc";i:181;s:60:"modules/translation/views_handler_filter_node_tnid_child.inc";i:182;s:62:"modules/translation/views_handler_relationship_translation.inc";i:183;s:48:"modules/user/views_handler_argument_user_uid.inc";i:184;s:55:"modules/user/views_handler_argument_users_roles_rid.inc";i:185;s:41:"modules/user/views_handler_field_user.inc";i:186;s:50:"modules/user/views_handler_field_user_language.inc";i:187;s:46:"modules/user/views_handler_field_user_link.inc";i:188;s:53:"modules/user/views_handler_field_user_link_cancel.inc";i:189;s:51:"modules/user/views_handler_field_user_link_edit.inc";i:190;s:46:"modules/user/views_handler_field_user_mail.inc";i:191;s:46:"modules/user/views_handler_field_user_name.inc";i:192;s:53:"modules/user/views_handler_field_user_permissions.inc";i:193;s:49:"modules/user/views_handler_field_user_picture.inc";i:194;s:47:"modules/user/views_handler_field_user_roles.inc";i:195;s:50:"modules/user/views_handler_filter_user_current.inc";i:196;s:47:"modules/user/views_handler_filter_user_name.inc";i:197;s:54:"modules/user/views_handler_filter_user_permissions.inc";i:198;s:48:"modules/user/views_handler_filter_user_roles.inc";i:199;s:59:"modules/user/views_plugin_argument_default_current_user.inc";i:200;s:51:"modules/user/views_plugin_argument_default_user.inc";i:201;s:52:"modules/user/views_plugin_argument_validate_user.inc";i:202;s:43:"modules/user/views_plugin_row_user_view.inc";i:203;s:31:"plugins/views_plugin_access.inc";i:204;s:36:"plugins/views_plugin_access_none.inc";i:205;s:36:"plugins/views_plugin_access_perm.inc";i:206;s:36:"plugins/views_plugin_access_role.inc";i:207;s:41:"plugins/views_plugin_argument_default.inc";i:208;s:45:"plugins/views_plugin_argument_default_php.inc";i:209;s:47:"plugins/views_plugin_argument_default_fixed.inc";i:210;s:45:"plugins/views_plugin_argument_default_raw.inc";i:211;s:42:"plugins/views_plugin_argument_validate.inc";i:212;s:50:"plugins/views_plugin_argument_validate_numeric.inc";i:213;s:46:"plugins/views_plugin_argument_validate_php.inc";i:214;s:30:"plugins/views_plugin_cache.inc";i:215;s:35:"plugins/views_plugin_cache_none.inc";i:216;s:35:"plugins/views_plugin_cache_time.inc";i:217;s:32:"plugins/views_plugin_display.inc";i:218;s:43:"plugins/views_plugin_display_attachment.inc";i:219;s:38:"plugins/views_plugin_display_block.inc";i:220;s:40:"plugins/views_plugin_display_default.inc";i:221;s:38:"plugins/views_plugin_display_embed.inc";i:222;s:41:"plugins/views_plugin_display_extender.inc";i:223;s:37:"plugins/views_plugin_display_feed.inc";i:224;s:37:"plugins/views_plugin_display_page.inc";i:225;s:43:"plugins/views_plugin_exposed_form_basic.inc";i:226;s:37:"plugins/views_plugin_exposed_form.inc";i:227;s:52:"plugins/views_plugin_exposed_form_input_required.inc";i:228;s:42:"plugins/views_plugin_localization_core.inc";i:229;s:37:"plugins/views_plugin_localization.inc";i:230;s:42:"plugins/views_plugin_localization_none.inc";i:231;s:30:"plugins/views_plugin_pager.inc";i:232;s:35:"plugins/views_plugin_pager_full.inc";i:233;s:35:"plugins/views_plugin_pager_mini.inc";i:234;s:35:"plugins/views_plugin_pager_none.inc";i:235;s:35:"plugins/views_plugin_pager_some.inc";i:236;s:30:"plugins/views_plugin_query.inc";i:237;s:38:"plugins/views_plugin_query_default.inc";i:238;s:28:"plugins/views_plugin_row.inc";i:239;s:35:"plugins/views_plugin_row_fields.inc";i:240;s:39:"plugins/views_plugin_row_rss_fields.inc";i:241;s:30:"plugins/views_plugin_style.inc";i:242;s:38:"plugins/views_plugin_style_default.inc";i:243;s:35:"plugins/views_plugin_style_grid.inc";i:244;s:35:"plugins/views_plugin_style_list.inc";i:245;s:40:"plugins/views_plugin_style_jump_menu.inc";i:246;s:38:"plugins/views_plugin_style_mapping.inc";i:247;s:34:"plugins/views_plugin_style_rss.inc";i:248;s:38:"plugins/views_plugin_style_summary.inc";i:249;s:48:"plugins/views_plugin_style_summary_jump_menu.inc";i:250;s:50:"plugins/views_plugin_style_summary_unformatted.inc";i:251;s:36:"plugins/views_plugin_style_table.inc";i:252;s:34:"tests/handlers/views_handlers.test";i:253;s:43:"tests/handlers/views_handler_area_text.test";i:254;s:47:"tests/handlers/views_handler_argument_null.test";i:255;s:49:"tests/handlers/views_handler_argument_string.test";i:256;s:39:"tests/handlers/views_handler_field.test";i:257;s:47:"tests/handlers/views_handler_field_boolean.test";i:258;s:46:"tests/handlers/views_handler_field_custom.test";i:259;s:47:"tests/handlers/views_handler_field_counter.test";i:260;s:44:"tests/handlers/views_handler_field_date.test";i:261;s:54:"tests/handlers/views_handler_field_file_extension.test";i:262;s:49:"tests/handlers/views_handler_field_file_size.test";i:263;s:44:"tests/handlers/views_handler_field_math.test";i:264;s:43:"tests/handlers/views_handler_field_url.test";i:265;s:43:"tests/handlers/views_handler_field_xss.test";i:266;s:48:"tests/handlers/views_handler_filter_combine.test";i:267;s:45:"tests/handlers/views_handler_filter_date.test";i:268;s:49:"tests/handlers/views_handler_filter_equality.test";i:269;s:52:"tests/handlers/views_handler_filter_in_operator.test";i:270;s:48:"tests/handlers/views_handler_filter_numeric.test";i:271;s:47:"tests/handlers/views_handler_filter_string.test";i:272;s:45:"tests/handlers/views_handler_sort_random.test";i:273;s:43:"tests/handlers/views_handler_sort_date.test";i:274;s:38:"tests/handlers/views_handler_sort.test";i:275;s:46:"tests/test_handlers/views_test_area_access.inc";i:276;s:60:"tests/test_plugins/views_test_plugin_access_test_dynamic.inc";i:277;s:59:"tests/test_plugins/views_test_plugin_access_test_static.inc";i:278;s:59:"tests/test_plugins/views_test_plugin_style_test_mapping.inc";i:279;s:39:"tests/plugins/views_plugin_display.test";i:280;s:46:"tests/styles/views_plugin_style_jump_menu.test";i:281;s:36:"tests/styles/views_plugin_style.test";i:282;s:41:"tests/styles/views_plugin_style_base.test";i:283;s:44:"tests/styles/views_plugin_style_mapping.test";i:284;s:48:"tests/styles/views_plugin_style_unformatted.test";i:285;s:23:"tests/views_access.test";i:286;s:24:"tests/views_analyze.test";i:287;s:22:"tests/views_basic.test";i:288;s:33:"tests/views_argument_default.test";i:289;s:35:"tests/views_argument_validator.test";i:290;s:29:"tests/views_exposed_form.test";i:291;s:31:"tests/field/views_fieldapi.test";i:292;s:25:"tests/views_glossary.test";i:293;s:24:"tests/views_groupby.test";i:294;s:25:"tests/views_handlers.test";i:295;s:23:"tests/views_module.test";i:296;s:22:"tests/views_pager.test";i:297;s:40:"tests/views_plugin_localization_test.inc";i:298;s:29:"tests/views_translatable.test";i:299;s:22:"tests/views_query.test";i:300;s:24:"tests/views_upgrade.test";i:301;s:34:"tests/views_test.views_default.inc";i:302;s:58:"tests/comment/views_handler_argument_comment_user_uid.test";i:303;s:56:"tests/comment/views_handler_filter_comment_user_uid.test";i:304;s:45:"tests/node/views_node_revision_relations.test";i:305;s:61:"tests/taxonomy/views_handler_relationship_node_term_data.test";i:306;s:45:"tests/user/views_handler_field_user_name.test";i:307;s:43:"tests/user/views_user_argument_default.test";i:308;s:44:"tests/user/views_user_argument_validate.test";i:309;s:26:"tests/user/views_user.test";i:310;s:22:"tests/views_cache.test";i:311;s:21:"tests/views_view.test";i:312;s:19:"tests/views_ui.test";}s:7:"version";s:8:"7.x-3.14";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1466019588";s:5:"mtime";i:1466063958;s:9:"bootstrap";i:0;}'),
('sites/all/modules/views/views_export/views_export.module', 'views_export', 'module', '', '0', '0', 0, '0', 'a:11:{s:4:"name";s:14:"Views exporter";s:11:"description";s:40:"Allows exporting multiple views at once.";s:7:"package";s:5:"Views";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:4:"core";s:3:"7.x";s:7:"version";s:13:"7.x-3.0-beta3";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1301301970";s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/views/views_ui.module', 'views_ui', 'module', '', '1', '0', 0, '0', 'a:13:{s:4:"name";s:8:"Views UI";s:11:"description";s:93:"Administrative interface to views. Without this module, you cannot create or edit your views.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:9:"configure";s:21:"admin/structure/views";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:5:"files";a:2:{i:0;s:15:"views_ui.module";i:1;s:57:"plugins/views_wizard/views_ui_base_views_wizard.class.php";}s:7:"version";s:8:"7.x-3.14";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1466019588";s:5:"mtime";i:1466063958;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_accordion/views_accordion.module', 'views_accordion', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:15:"Views Accordion";s:11:"description";s:43:"Provides an accordion views display plugin.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:5:"files";a:1:{i:0;s:32:"views_accordion_style_plugin.inc";}s:7:"version";s:7:"7.x-1.1";s:7:"project";s:15:"views_accordion";s:9:"datestamp";s:10:"1422545700";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_bulk_operations/actions_permissions.module', 'actions_permissions', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:25:"Actions permissions (VBO)";s:11:"description";s:84:"Provides permission-based access control for actions. Used by Views Bulk Operations.";s:7:"package";s:14:"Administration";s:4:"core";s:3:"7.x";s:7:"version";s:7:"7.x-3.3";s:7:"project";s:21:"views_bulk_operations";s:9:"datestamp";s:10:"1435764542";s:5:"mtime";i:1436355094;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_bulk_operations/views_bulk_operations.module', 'views_bulk_operations', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:21:"Views Bulk Operations";s:11:"description";s:74:"Provides a way of selecting multiple rows and applying operations to them.";s:12:"dependencies";a:2:{i:0;s:6:"entity";i:1;s:5:"views";}s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:3:"php";s:5:"5.2.9";s:5:"files";a:2:{i:0;s:38:"plugins/operation_types/base.class.php";i:1;s:56:"views/views_bulk_operations_handler_field_operations.inc";}s:7:"version";s:7:"7.x-3.3";s:7:"project";s:21:"views_bulk_operations";s:9:"datestamp";s:10:"1435764542";s:5:"mtime";i:1436355094;s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_isotope/views/views_isotope_views.module', 'views_isotope_views', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:15:"Isotope - Views";s:11:"description";s:40:"Create isotope views from views queries.";s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:5:"views";i:1;s:13:"views_isotope";}s:5:"files";a:3:{i:0;s:43:"ViewsIsotopeViewsPluginStyleIsotopeGrid.inc";i:1;s:45:"ViewsIsotopeViewsPluginStyleIsotopeFilter.inc";i:2;s:45:"ViewsIsotopeViewsPluginStyleIsotopeSorter.inc";}s:7:"version";s:7:"7.x-2.1";s:7:"project";s:13:"views_isotope";s:9:"datestamp";s:10:"1455276843";s:5:"mtime";i:1455521421;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_isotope/views_isotope.module', 'views_isotope', 'module', '', '1', '0', 7101, '0', 'a:13:{s:4:"name";s:14:"Isotope - Core";s:11:"description";s:39:"Create reusable Isotope configurations.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"7.x";s:9:"configure";s:35:"admin/config/user-interface/isotope";s:12:"dependencies";a:1:{i:0;s:6:"ctools";}s:7:"version";s:7:"7.x-2.1";s:7:"project";s:13:"views_isotope";s:9:"datestamp";s:10:"1455276843";s:5:"mtime";i:1455521421;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_isotope/views_isotope_example/views_isotope_example.module', 'views_isotope_example', 'module', '', '0', '0', 0, '0', 'a:13:{s:4:"name";s:17:"Isotope - Example";s:11:"description";s:44:"An example of how to use the Isotope module.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"7.x";s:9:"configure";s:15:"isotope-example";s:12:"dependencies";a:1:{i:0;s:13:"views_isotope";}s:7:"version";s:7:"7.x-2.1";s:7:"project";s:13:"views_isotope";s:9:"datestamp";s:10:"1455276843";s:5:"mtime";i:1455521421;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module', 'views_slideshow_cycle', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:22:"Views Slideshow: Cycle";s:11:"description";s:50:"Adds a Rotating slideshow mode to Views Slideshow.";s:12:"dependencies";a:2:{i:0;s:15:"views_slideshow";i:1;s:9:"libraries";}s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:5:"files";a:3:{i:0;s:28:"views_slideshow_cycle.module";i:1;s:41:"views_slideshow_cycle.views_slideshow.inc";i:2;s:37:"theme/views_slideshow_cycle.theme.inc";}s:7:"version";s:7:"7.x-3.1";s:7:"project";s:15:"views_slideshow";s:9:"datestamp";s:10:"1382584826";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_slideshow/views_slideshow.module', 'views_slideshow', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:15:"Views Slideshow";s:11:"description";s:155:"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.";s:12:"dependencies";a:1:{i:0;s:13:"views (>=3.0)";}s:7:"package";s:5:"Views";s:4:"core";s:3:"7.x";s:5:"files";a:4:{i:0;s:22:"views_slideshow.module";i:1;s:31:"theme/views_slideshow.theme.inc";i:2;s:25:"views_slideshow.views.inc";i:3;s:42:"views_slideshow_plugin_style_slideshow.inc";}s:7:"version";s:7:"7.x-3.1";s:7:"project";s:15:"views_slideshow";s:9:"datestamp";s:10:"1382584826";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/views_ui_tabs/views_ui_tabs.module', 'views_ui_tabs', 'module', '', '1', '0', 0, '0', 'a:12:{s:4:"name";s:23:"Views Tabs Style Plugin";s:11:"description";s:50:"Provides views results displayed in jQuery UI tabs";s:7:"package";s:5:"Views";s:3:"php";s:5:"5.2.4";s:4:"core";s:3:"7.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:5:"files";a:4:{i:0;s:20:"views_ui_tabs.module";i:1;s:29:"theme/views_ui_tabs.theme.inc";i:2;s:23:"views_ui_tabs.views.inc";i:3;s:35:"views_ui_tabs_plugin_style_tabs.inc";}s:7:"version";s:11:"7.x-1.x-dev";s:7:"project";s:13:"views_ui_tabs";s:9:"datestamp";s:10:"1382165255";s:5:"mtime";i:1423449968;s:9:"bootstrap";i:0;}'),
('sites/all/modules/vote_up_down/vud.module', 'vud', 'module', '', '1', '0', 7000, '0', 'a:12:{s:4:"name";s:12:"Vote Up/Down";s:11:"description";s:71:"Provides a configurable up/down voting widget for other modules to use.";s:12:"dependencies";a:2:{i:0;s:9:"votingapi";i:1;s:6:"ctools";}s:7:"package";s:6:"Voting";s:4:"core";s:3:"7.x";s:7:"version";s:14:"7.x-1.0-alpha1";s:7:"project";s:12:"vote_up_down";s:9:"datestamp";s:10:"1354824274";s:5:"mtime";i:1465199348;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/vote_up_down/vud_comment/vud_comment.module', 'vud_comment', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:21:"Vote Up/Down Comments";s:11:"description";s:51:"Allows adding an up/down voting widget to comments.";s:12:"dependencies";a:2:{i:0;s:7:"comment";i:1;s:3:"vud";}s:7:"package";s:6:"Voting";s:4:"core";s:3:"7.x";s:5:"files";a:1:{i:0;s:42:"views/vud_comment_handler_field_widget.inc";}s:7:"version";s:14:"7.x-1.0-alpha1";s:7:"project";s:12:"vote_up_down";s:9:"datestamp";s:10:"1354824274";s:5:"mtime";i:1465199348;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/vote_up_down/vud_field/vud_field.module', 'vud_field', 'module', '', '1', '0', 0, '0', 'a:14:{s:4:"name";s:18:"Vote Up/Down field";s:11:"description";s:50:"Defines field type which contains a voting widget.";s:4:"core";s:3:"7.x";s:12:"dependencies";a:2:{i:0;s:3:"vud";i:1;s:5:"field";}s:7:"package";s:6:"Fields";s:5:"files";a:2:{i:0;s:16:"vud_field.module";i:1;s:17:"vud_field.install";}s:7:"version";s:14:"7.x-1.0-alpha1";s:7:"project";s:12:"vote_up_down";s:9:"datestamp";s:10:"1354824274";s:5:"mtime";i:1465199348;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;s:8:"required";b:1;s:11:"explanation";s:86:"Field type(s) in use - see <a href="/anima/gatsby/admin/reports/fields">Field list</a>";}'),
('sites/all/modules/vote_up_down/vud_node/vud_node.module', 'vud_node', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:18:"Vote Up/Down Nodes";s:11:"description";s:65:"Allows adding an up/down voting widget to selected content types.";s:12:"dependencies";a:1:{i:0;s:3:"vud";}s:7:"package";s:6:"Voting";s:4:"core";s:3:"7.x";s:7:"version";s:14:"7.x-1.0-alpha1";s:7:"project";s:12:"vote_up_down";s:9:"datestamp";s:10:"1354824274";s:5:"mtime";i:1465199348;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/vote_up_down/vud_term/vud_term.module', 'vud_term', 'module', '', '0', '0', -1, '0', 'a:12:{s:4:"name";s:18:"Vote Up/Down Terms";s:11:"description";s:67:"Allows adding an up/down voting widget to taxonomy terms on a node.";s:12:"dependencies";a:2:{i:0;s:8:"taxonomy";i:1;s:3:"vud";}s:7:"package";s:6:"Voting";s:4:"core";s:3:"7.x";s:7:"version";s:14:"7.x-1.0-alpha1";s:7:"project";s:12:"vote_up_down";s:9:"datestamp";s:10:"1354824274";s:5:"mtime";i:1465199348;s:3:"php";s:5:"5.2.4";s:5:"files";a:0:{}s:9:"bootstrap";i:0;}'),
('sites/all/modules/votingapi/votingapi.module', 'votingapi', 'module', '', '1', '0', -1, '0', 'a:13:{s:4:"name";s:10:"Voting API";s:11:"description";s:47:"Provides a shared voting API for other modules.";s:7:"package";s:6:"Voting";s:4:"core";s:3:"7.x";s:9:"configure";s:29:"admin/config/search/votingapi";s:5:"files";a:4:{i:0;s:20:"tests/votingapi.test";i:1;s:45:"views/votingapi_views_handler_field_value.inc";i:2;s:47:"views/votingapi_views_handler_sort_nullable.inc";i:3;s:46:"views/votingapi_views_handler_relationship.inc";}s:7:"version";s:8:"7.x-2.12";s:7:"project";s:9:"votingapi";s:9:"datestamp";s:10:"1407995929";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/webform/webform.module', 'webform', 'module', '', '1', '0', 7430, '-1', 'a:14:{s:4:"name";s:7:"Webform";s:11:"description";s:49:"Enables the creation of forms and questionnaires.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Webform";s:9:"configure";s:28:"admin/config/content/webform";s:3:"php";s:3:"5.3";s:12:"dependencies";a:2:{i:0;s:6:"ctools";i:1;s:5:"views";}s:17:"test_dependencies";a:1:{i:0;s:5:"token";}s:5:"files";a:26:{i:0;s:40:"includes/webform.webformconditionals.inc";i:1;s:49:"includes/exporters/webform_exporter_delimited.inc";i:2;s:55:"includes/exporters/webform_exporter_excel_delimited.inc";i:3;s:50:"includes/exporters/webform_exporter_excel_xlsx.inc";i:4;s:39:"includes/exporters/webform_exporter.inc";i:5;s:43:"views/webform_handler_area_result_pager.inc";i:6;s:41:"views/webform_handler_field_form_body.inc";i:7;s:40:"views/webform_handler_field_is_draft.inc";i:8;s:46:"views/webform_handler_field_node_link_edit.inc";i:9;s:49:"views/webform_handler_field_node_link_results.inc";i:10;s:48:"views/webform_handler_field_submission_count.inc";i:11;s:47:"views/webform_handler_field_submission_data.inc";i:12;s:47:"views/webform_handler_field_submission_link.inc";i:13;s:46:"views/webform_handler_field_webform_status.inc";i:14;s:41:"views/webform_handler_filter_is_draft.inc";i:15;s:48:"views/webform_handler_filter_submission_data.inc";i:16;s:47:"views/webform_handler_filter_webform_status.inc";i:17;s:38:"views/webform_handler_numeric_data.inc";i:18;s:54:"views/webform_handler_relationship_submission_data.inc";i:19;s:44:"views/webform_plugin_row_submission_view.inc";i:20;s:23:"views/webform.views.inc";i:21;s:21:"tests/components.test";i:22;s:23:"tests/conditionals.test";i:23;s:22:"tests/permissions.test";i:24;s:21:"tests/submission.test";i:25;s:18:"tests/webform.test";}s:7:"version";s:8:"7.x-4.13";s:7:"project";s:7:"webform";s:9:"datestamp";s:10:"1469140458";s:5:"mtime";i:1469432022;s:9:"bootstrap";i:0;}'),
('sites/all/modules/wysiwyg/tests/wysiwyg_test.module', 'wysiwyg_test', 'module', '', '0', '0', -1, '0', 'a:13:{s:4:"name";s:15:"Wysiwyg testing";s:11:"description";s:50:"Tests Wysiwyg module functionality. Do not enable.";s:4:"core";s:3:"7.x";s:7:"package";s:7:"Testing";s:6:"hidden";b:1;s:12:"dependencies";a:1:{i:0;s:7:"wysiwyg";}s:5:"files";a:1:{i:0;s:19:"wysiwyg_test.module";}s:7:"version";s:7:"7.x-2.2";s:7:"project";s:7:"wysiwyg";s:9:"datestamp";s:10:"1349213776";s:5:"mtime";i:1423449968;s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}'),
('sites/all/modules/wysiwyg/wysiwyg.module', 'wysiwyg', 'module', '', '1', '0', 7200, '0', 'a:13:{s:4:"name";s:7:"Wysiwyg";s:11:"description";s:48:"Allows to edit content with client-side editors.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"7.x";s:9:"configure";s:28:"admin/config/content/wysiwyg";s:5:"files";a:2:{i:0;s:14:"wysiwyg.module";i:1;s:18:"tests/wysiwyg.test";}s:7:"version";s:7:"7.x-2.2";s:7:"project";s:7:"wysiwyg";s:9:"datestamp";s:10:"1349213776";s:5:"mtime";i:1423449968;s:12:"dependencies";a:0:{}s:3:"php";s:5:"5.2.4";s:9:"bootstrap";i:0;}');
INSERT INTO `system` VALUES
('sites/all/themes/gatsby/gatsby.info', 'gatsby', 'theme', 'themes/engines/phptemplate/phptemplate.engine', '1', '0', -1, '0', 'a:14:{s:4:"name";s:6:"Gatsby";s:11:"description";s:29:"This template is made by K.T.";s:10:"screenshot";s:38:"sites/all/themes/gatsby/screenshot.png";s:4:"core";s:3:"7.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:1:{s:6:"screen";a:11:{s:13:"css/reset.css";s:37:"sites/all/themes/gatsby/css/reset.css";s:12:"css/grid.css";s:36:"sites/all/themes/gatsby/css/grid.css";s:20:"css/font-awesome.css";s:44:"sites/all/themes/gatsby/css/font-awesome.css";s:25:"css/font-linear-icons.css";s:49:"sites/all/themes/gatsby/css/font-linear-icons.css";s:25:"css/linea-icons-basic.css";s:49:"sites/all/themes/gatsby/css/linea-icons-basic.css";s:13:"css/admin.css";s:37:"sites/all/themes/gatsby/css/admin.css";s:24:"css/maintenance-page.css";s:48:"sites/all/themes/gatsby/css/maintenance-page.css";s:13:"css/style.css";s:37:"sites/all/themes/gatsby/css/style.css";s:19:"css/grid-mobile.css";s:43:"sites/all/themes/gatsby/css/grid-mobile.css";s:20:"css/style-mobile.css";s:44:"sites/all/themes/gatsby/css/style-mobile.css";s:14:"css/custom.css";s:38:"sites/all/themes/gatsby/css/custom.css";}}s:7:"scripts";a:15:{s:17:"js/gatsby.core.js";s:41:"sites/all/themes/gatsby/js/gatsby.core.js";s:28:"js/jquery.debouncedresize.js";s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";s:23:"js/jquery.mobilemenu.js";s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";s:19:"js/jquery.easing.js";s:43:"sites/all/themes/gatsby/js/jquery.easing.js";s:21:"js/jquery.ui.totop.js";s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";s:19:"js/jquery.cookie.js";s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";s:14:"js/stick-up.js";s:38:"sites/all/themes/gatsby/js/stick-up.js";s:13:"js/tformer.js";s:37:"sites/all/themes/gatsby/js/tformer.js";s:16:"js/device.min.js";s:40:"sites/all/themes/gatsby/js/device.min.js";s:27:"js/jquery.mousewheel.min.js";s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";s:36:"js/jquery.simplr.smoothscroll.min.js";s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";s:24:"js/jquery.mb.YTPlayer.js";s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";s:14:"js/parallax.js";s:38:"sites/all/themes/gatsby/js/parallax.js";s:22:"js/mad.customselect.js";s:46:"sites/all/themes/gatsby/js/mad.customselect.js";s:19:"js/jquery.script.js";s:43:"sites/all/themes/gatsby/js/jquery.script.js";}s:7:"regions";a:71:{s:8:"page_top";s:8:"Page top";s:4:"menu";s:19:"Header type 1: Menu";s:6:"menu_2";s:19:"Header type 2: Menu";s:14:"header_right_2";s:27:"Header type 2: Header right";s:6:"menu_3";s:19:"Header type 3: Menu";s:14:"header_right_3";s:27:"Header type 3: Header right";s:13:"header_left_4";s:26:"Header type 4: Header left";s:14:"header_right_4";s:27:"Header type 4: Header right";s:6:"menu_4";s:19:"Header type 4: Menu";s:10:"header_top";s:25:"Header type 5: Header top";s:14:"header_right_5";s:27:"Header type 5: Header right";s:6:"menu_5";s:19:"Header type 5: Menu";s:6:"menu_6";s:19:"Header type 6: Menu";s:13:"header_left_7";s:26:"Header type 7: Header left";s:14:"header_right_7";s:27:"Header type 7: Header right";s:6:"menu_7";s:19:"Header type 7: Menu";s:16:"header_section_1";s:16:"Header section 1";s:16:"header_section_2";s:16:"Header section 2";s:16:"header_section_3";s:16:"Header section 3";s:16:"header_section_4";s:16:"Header section 4";s:11:"content_top";s:11:"Content top";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:13:"sidebar_first";s:12:"Sidebar left";s:7:"content";s:7:"Content";s:11:"node_bottom";s:11:"Node bottom";s:14:"sidebar_second";s:13:"Sidebar right";s:17:"content_section_1";s:17:"Content section 1";s:17:"content_section_2";s:17:"Content section 2";s:17:"content_section_3";s:17:"Content section 3";s:17:"content_section_4";s:17:"Content section 4";s:17:"content_section_5";s:17:"Content section 5";s:17:"content_section_6";s:17:"Content section 6";s:17:"content_section_7";s:17:"Content section 7";s:17:"content_section_8";s:17:"Content section 8";s:17:"content_section_9";s:17:"Content section 9";s:18:"content_section_10";s:18:"Content section 10";s:18:"content_section_11";s:18:"Content section 11";s:18:"content_section_12";s:18:"Content section 12";s:18:"content_section_13";s:18:"Content section 13";s:18:"content_section_14";s:18:"Content section 14";s:18:"content_section_15";s:18:"Content section 15";s:18:"content_section_16";s:18:"Content section 16";s:18:"content_section_17";s:18:"Content section 17";s:18:"content_section_18";s:18:"Content section 18";s:18:"content_section_19";s:18:"Content section 19";s:18:"content_section_20";s:18:"Content section 20";s:18:"content_section_21";s:18:"Content section 21";s:18:"content_section_22";s:18:"Content section 22";s:18:"content_section_23";s:18:"Content section 23";s:18:"content_section_24";s:18:"Content section 24";s:18:"content_section_25";s:18:"Content section 25";s:18:"content_section_26";s:18:"Content section 26";s:18:"content_section_27";s:18:"Content section 27";s:18:"content_section_28";s:18:"Content section 28";s:18:"content_section_29";s:18:"Content section 29";s:18:"content_section_30";s:18:"Content section 30";s:14:"content_bottom";s:14:"Content bottom";s:17:"footer_triptych_1";s:32:"Footer type 1: Footer triptych 1";s:17:"footer_triptych_2";s:32:"Footer type 1: Footer triptych 2";s:17:"footer_triptych_3";s:32:"Footer type 1: Footer triptych 3";s:8:"footer_1";s:21:"Footer type 1: Footer";s:16:"footer_section_1";s:31:"Footer type 2: Footer section 1";s:16:"footer_section_2";s:31:"Footer type 2: Footer section 2";s:16:"footer_section_3";s:31:"Footer type 2: Footer section 3";s:16:"footer_section_4";s:31:"Footer type 2: Footer section 4";s:16:"footer_section_5";s:31:"Footer type 2: Footer section 5";s:8:"footer_2";s:21:"Footer type 2: Footer";s:10:"footer_top";s:25:"Footer type 3: Footer top";s:8:"footer_3";s:21:"Footer type 3: Footer";s:11:"page_bottom";s:11:"Page bottom";}s:8:"settings";a:227:{s:11:"toggle_logo";s:1:"1";s:11:"toggle_name";s:1:"0";s:13:"toggle_slogan";s:1:"0";s:14:"toggle_favicon";s:1:"1";s:16:"toggle_main_menu";s:1:"1";s:21:"toggle_secondary_menu";s:1:"1";s:15:"default_favicon";s:1:"1";s:12:"default_logo";s:1:"1";s:25:"gatsby_styleswitcher_show";s:1:"1";s:18:"gatsby_sticky_menu";s:1:"1";s:22:"gatsby_breadcrumb_show";s:1:"1";s:31:"gatsby_breadcrumb_hideonlyfront";s:1:"1";s:27:"gatsby_breadcrumb_showtitle";s:1:"1";s:27:"gatsby_breadcrumb_separator";s:6:"&bull;";s:18:"gatsby_color_theme";s:5:"light";s:20:"gatsby_color_palette";s:4:"grey";s:31:"gatsby_primary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_1";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:26:"gatsby_primary_font_family";s:23:"''Open Sans'', sans-serif";s:33:"gatsby_secondary_base_font_family";s:7:"Webfont";s:17:"gatsby_font_url_2";s:93:"//fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,700italic&subset=latin,cyrillic";s:28:"gatsby_secondary_font_family";s:23:"''Open Sans'', sans-serif";s:26:"gatsby_secondary_font_size";s:4:"14px";s:28:"gatsby_secondary_line_height";s:4:"20px";s:18:"gatsby_layout_type";s:4:"wide";s:19:"gatsby_header_style";s:8:"header_1";s:19:"gatsby_footer_style";s:8:"footer_1";s:31:"gatsby_header_section_1_bg_type";s:4:"none";s:35:"gatsby_header_section_1_bg_parallax";s:1:"0";s:32:"gatsby_header_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_1_bg_video_start";s:1:"0";s:33:"gatsby_header_section_1_fullwidth";s:1:"1";s:31:"gatsby_header_section_2_bg_type";s:5:"image";s:30:"gatsby_header_section_2_bg_img";a:1:{s:3:"fid";s:2:"28";}s:35:"gatsby_header_section_2_bg_parallax";s:1:"1";s:32:"gatsby_header_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_2_bg_video_start";s:1:"0";s:33:"gatsby_header_section_2_fullwidth";s:1:"0";s:31:"gatsby_header_section_3_bg_type";s:4:"none";s:35:"gatsby_header_section_3_bg_parallax";s:1:"0";s:32:"gatsby_header_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_3_bg_video_start";s:1:"0";s:33:"gatsby_header_section_3_fullwidth";s:1:"0";s:31:"gatsby_header_section_4_bg_type";s:4:"none";s:35:"gatsby_header_section_4_bg_parallax";s:1:"0";s:32:"gatsby_header_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:38:"gatsby_header_section_4_bg_video_start";s:1:"0";s:33:"gatsby_header_section_4_fullwidth";s:1:"0";s:26:"gatsby_content_top_bg_type";s:4:"none";s:30:"gatsby_content_top_bg_parallax";s:1:"0";s:27:"gatsby_content_top_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:33:"gatsby_content_top_bg_video_start";s:1:"0";s:28:"gatsby_content_top_fullwidth";s:1:"0";s:32:"gatsby_content_section_1_bg_type";s:5:"image";s:31:"gatsby_content_section_1_bg_img";a:1:{s:3:"fid";s:2:"25";}s:36:"gatsby_content_section_1_bg_parallax";s:1:"0";s:33:"gatsby_content_section_1_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_1_bg_video_start";s:1:"0";s:34:"gatsby_content_section_1_fullwidth";s:1:"0";s:32:"gatsby_content_section_2_bg_type";s:5:"image";s:31:"gatsby_content_section_2_bg_img";a:1:{s:3:"fid";s:2:"26";}s:36:"gatsby_content_section_2_bg_parallax";s:1:"1";s:33:"gatsby_content_section_2_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_2_bg_video_start";s:1:"0";s:34:"gatsby_content_section_2_fullwidth";s:1:"0";s:32:"gatsby_content_section_3_bg_type";s:4:"none";s:36:"gatsby_content_section_3_bg_parallax";s:1:"0";s:33:"gatsby_content_section_3_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_3_bg_video_start";s:1:"0";s:34:"gatsby_content_section_3_fullwidth";s:1:"0";s:32:"gatsby_content_section_4_bg_type";s:4:"none";s:36:"gatsby_content_section_4_bg_parallax";s:1:"0";s:33:"gatsby_content_section_4_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_4_bg_video_start";s:1:"0";s:34:"gatsby_content_section_4_fullwidth";s:1:"0";s:32:"gatsby_content_section_5_bg_type";s:5:"image";s:31:"gatsby_content_section_5_bg_img";a:1:{s:3:"fid";s:2:"27";}s:36:"gatsby_content_section_5_bg_parallax";s:1:"0";s:33:"gatsby_content_section_5_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_5_bg_video_start";s:1:"0";s:34:"gatsby_content_section_5_fullwidth";s:1:"0";s:32:"gatsby_content_section_6_bg_type";s:5:"image";s:31:"gatsby_content_section_6_bg_img";a:1:{s:3:"fid";s:2:"29";}s:36:"gatsby_content_section_6_bg_parallax";s:1:"0";s:33:"gatsby_content_section_6_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_6_bg_video_start";s:1:"0";s:34:"gatsby_content_section_6_fullwidth";s:1:"0";s:32:"gatsby_content_section_7_bg_type";s:4:"none";s:36:"gatsby_content_section_7_bg_parallax";s:1:"0";s:33:"gatsby_content_section_7_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_7_bg_video_start";s:1:"0";s:34:"gatsby_content_section_7_fullwidth";s:1:"1";s:32:"gatsby_content_section_8_bg_type";s:4:"none";s:36:"gatsby_content_section_8_bg_parallax";s:1:"0";s:33:"gatsby_content_section_8_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_8_bg_video_start";s:1:"0";s:34:"gatsby_content_section_8_fullwidth";s:1:"0";s:32:"gatsby_content_section_9_bg_type";s:5:"image";s:31:"gatsby_content_section_9_bg_img";a:1:{s:3:"fid";s:2:"31";}s:36:"gatsby_content_section_9_bg_parallax";s:1:"0";s:33:"gatsby_content_section_9_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:39:"gatsby_content_section_9_bg_video_start";s:1:"0";s:34:"gatsby_content_section_9_fullwidth";s:1:"0";s:33:"gatsby_content_section_10_bg_type";s:4:"none";s:37:"gatsby_content_section_10_bg_parallax";s:1:"0";s:34:"gatsby_content_section_10_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_10_bg_video_start";s:1:"0";s:35:"gatsby_content_section_10_fullwidth";s:1:"0";s:33:"gatsby_content_section_11_bg_type";s:4:"none";s:37:"gatsby_content_section_11_bg_parallax";s:1:"0";s:34:"gatsby_content_section_11_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_11_bg_video_start";s:1:"0";s:35:"gatsby_content_section_11_fullwidth";s:1:"0";s:33:"gatsby_content_section_12_bg_type";s:4:"none";s:37:"gatsby_content_section_12_bg_parallax";s:1:"0";s:34:"gatsby_content_section_12_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_12_bg_video_start";s:1:"0";s:35:"gatsby_content_section_12_fullwidth";s:1:"0";s:33:"gatsby_content_section_13_bg_type";s:4:"none";s:37:"gatsby_content_section_13_bg_parallax";s:1:"0";s:34:"gatsby_content_section_13_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_13_bg_video_start";s:1:"0";s:35:"gatsby_content_section_13_fullwidth";s:1:"0";s:33:"gatsby_content_section_14_bg_type";s:4:"none";s:37:"gatsby_content_section_14_bg_parallax";s:1:"0";s:34:"gatsby_content_section_14_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_14_bg_video_start";s:1:"0";s:35:"gatsby_content_section_14_fullwidth";s:1:"0";s:33:"gatsby_content_section_15_bg_type";s:4:"none";s:37:"gatsby_content_section_15_bg_parallax";s:1:"0";s:34:"gatsby_content_section_15_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_15_bg_video_start";s:1:"0";s:35:"gatsby_content_section_15_fullwidth";s:1:"0";s:33:"gatsby_content_section_16_bg_type";s:4:"none";s:37:"gatsby_content_section_16_bg_parallax";s:1:"0";s:34:"gatsby_content_section_16_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_16_bg_video_start";s:1:"0";s:35:"gatsby_content_section_16_fullwidth";s:1:"0";s:33:"gatsby_content_section_17_bg_type";s:4:"none";s:37:"gatsby_content_section_17_bg_parallax";s:1:"0";s:34:"gatsby_content_section_17_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_17_bg_video_start";s:1:"0";s:35:"gatsby_content_section_17_fullwidth";s:1:"0";s:33:"gatsby_content_section_18_bg_type";s:4:"none";s:37:"gatsby_content_section_18_bg_parallax";s:1:"0";s:34:"gatsby_content_section_18_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_18_bg_video_start";s:1:"0";s:35:"gatsby_content_section_18_fullwidth";s:1:"0";s:33:"gatsby_content_section_19_bg_type";s:4:"none";s:37:"gatsby_content_section_19_bg_parallax";s:1:"0";s:34:"gatsby_content_section_19_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_19_bg_video_start";s:1:"0";s:35:"gatsby_content_section_19_fullwidth";s:1:"0";s:33:"gatsby_content_section_20_bg_type";s:4:"none";s:37:"gatsby_content_section_20_bg_parallax";s:1:"0";s:34:"gatsby_content_section_20_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_20_bg_video_start";s:1:"0";s:35:"gatsby_content_section_20_fullwidth";s:1:"0";s:33:"gatsby_content_section_21_bg_type";s:4:"none";s:37:"gatsby_content_section_21_bg_parallax";s:1:"0";s:34:"gatsby_content_section_21_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_21_bg_video_start";s:1:"0";s:35:"gatsby_content_section_21_fullwidth";s:1:"0";s:33:"gatsby_content_section_22_bg_type";s:4:"none";s:37:"gatsby_content_section_22_bg_parallax";s:1:"0";s:34:"gatsby_content_section_22_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_22_bg_video_start";s:1:"0";s:35:"gatsby_content_section_22_fullwidth";s:1:"0";s:33:"gatsby_content_section_23_bg_type";s:4:"none";s:37:"gatsby_content_section_23_bg_parallax";s:1:"0";s:34:"gatsby_content_section_23_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_23_bg_video_start";s:1:"0";s:35:"gatsby_content_section_23_fullwidth";s:1:"0";s:33:"gatsby_content_section_24_bg_type";s:4:"none";s:37:"gatsby_content_section_24_bg_parallax";s:1:"0";s:34:"gatsby_content_section_24_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_24_bg_video_start";s:1:"0";s:35:"gatsby_content_section_24_fullwidth";s:1:"0";s:33:"gatsby_content_section_25_bg_type";s:4:"none";s:37:"gatsby_content_section_25_bg_parallax";s:1:"0";s:34:"gatsby_content_section_25_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_25_bg_video_start";s:1:"0";s:35:"gatsby_content_section_25_fullwidth";s:1:"0";s:33:"gatsby_content_section_26_bg_type";s:4:"none";s:37:"gatsby_content_section_26_bg_parallax";s:1:"0";s:34:"gatsby_content_section_26_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_26_bg_video_start";s:1:"0";s:35:"gatsby_content_section_26_fullwidth";s:1:"0";s:33:"gatsby_content_section_27_bg_type";s:4:"none";s:37:"gatsby_content_section_27_bg_parallax";s:1:"0";s:34:"gatsby_content_section_27_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_27_bg_video_start";s:1:"0";s:35:"gatsby_content_section_27_fullwidth";s:1:"0";s:33:"gatsby_content_section_28_bg_type";s:4:"none";s:37:"gatsby_content_section_28_bg_parallax";s:1:"0";s:34:"gatsby_content_section_28_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_28_bg_video_start";s:1:"0";s:35:"gatsby_content_section_28_fullwidth";s:1:"0";s:33:"gatsby_content_section_29_bg_type";s:4:"none";s:37:"gatsby_content_section_29_bg_parallax";s:1:"0";s:34:"gatsby_content_section_29_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_29_bg_video_start";s:1:"0";s:35:"gatsby_content_section_29_fullwidth";s:1:"0";s:33:"gatsby_content_section_30_bg_type";s:4:"none";s:37:"gatsby_content_section_30_bg_parallax";s:1:"0";s:34:"gatsby_content_section_30_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:40:"gatsby_content_section_30_bg_video_start";s:1:"0";s:35:"gatsby_content_section_30_fullwidth";s:1:"0";s:29:"gatsby_content_bottom_bg_type";s:4:"none";s:33:"gatsby_content_bottom_bg_parallax";s:1:"0";s:30:"gatsby_content_bottom_bg_video";s:27:"http://youtu.be/2kodXWejuy0";s:36:"gatsby_content_bottom_bg_video_start";s:1:"0";s:31:"gatsby_content_bottom_fullwidth";s:1:"0";s:24:"toggle_node_user_picture";s:1:"0";s:18:"gatsby_meta_author";s:1:"1";s:16:"gatsby_meta_date";s:1:"1";s:17:"gatsby_meta_views";s:1:"1";s:20:"gatsby_meta_comments";s:1:"1";s:26:"gatsby_links_hide_readmore";s:1:"0";s:27:"gatsby_links_readmore_title";s:9:"Read more";s:26:"gatsby_links_hide_readblog";s:1:"0";s:28:"gatsby_links_hide_addcomment";s:1:"0";s:29:"gatsby_links_hide_commentsnum";s:1:"0";s:29:"gatsby_links_hide_commentsnew";s:1:"0";s:27:"toggle_comment_user_picture";s:1:"1";s:32:"toggle_comment_user_verification";s:1:"0";s:17:"gatsby_custom_css";s:0:"";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:3:"php";s:5:"5.2.4";s:5:"mtime";i:1468934166;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}'),
('themes/bartik/bartik.info', 'bartik', 'theme', 'themes/engines/phptemplate/phptemplate.engine', '0', '0', -1, '0', 'a:18:{s:4:"name";s:6:"Bartik";s:11:"description";s:48:"A flexible, recolorable theme with many regions.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:3:{s:14:"css/layout.css";s:28:"themes/bartik/css/layout.css";s:13:"css/style.css";s:27:"themes/bartik/css/style.css";s:14:"css/colors.css";s:28:"themes/bartik/css/colors.css";}s:5:"print";a:1:{s:13:"css/print.css";s:27:"themes/bartik/css/print.css";}}s:7:"regions";a:17:{s:6:"header";s:6:"Header";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:11:"highlighted";s:11:"Highlighted";s:8:"featured";s:8:"Featured";s:7:"content";s:7:"Content";s:13:"sidebar_first";s:13:"Sidebar first";s:14:"sidebar_second";s:14:"Sidebar second";s:14:"triptych_first";s:14:"Triptych first";s:15:"triptych_middle";s:15:"Triptych middle";s:13:"triptych_last";s:13:"Triptych last";s:18:"footer_firstcolumn";s:19:"Footer first column";s:19:"footer_secondcolumn";s:20:"Footer second column";s:18:"footer_thirdcolumn";s:19:"Footer third column";s:19:"footer_fourthcolumn";s:20:"Footer fourth column";s:6:"footer";s:6:"Footer";}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"0";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:28:"themes/bartik/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}'),
('themes/garland/garland.info', 'garland', 'theme', 'themes/engines/phptemplate/phptemplate.engine', '0', '0', -1, '0', 'a:18:{s:4:"name";s:7:"Garland";s:11:"description";s:111:"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:8:"settings";a:1:{s:13:"garland_width";s:5:"fluid";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}'),
('themes/seven/seven.info', 'seven', 'theme', 'themes/engines/phptemplate/phptemplate.engine', '1', '0', -1, '0', 'a:18:{s:4:"name";s:5:"Seven";s:11:"description";s:65:"A simple one-column, tableless, fluid width administration theme.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:6:"screen";a:2:{s:9:"reset.css";s:22:"themes/seven/reset.css";s:9:"style.css";s:22:"themes/seven/style.css";}}s:8:"settings";a:1:{s:20:"shortcut_module_link";s:1:"1";}s:7:"regions";a:5:{s:7:"content";s:7:"Content";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";s:13:"sidebar_first";s:13:"First sidebar";}s:14:"regions_hidden";a:3:{i:0;s:13:"sidebar_first";i:1;s:8:"page_top";i:2;s:11:"page_bottom";}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/seven/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}'),
('themes/stark/stark.info', 'stark', 'theme', 'themes/engines/phptemplate/phptemplate.engine', '0', '0', -1, '0', 'a:17:{s:4:"name";s:5:"Stark";s:11:"description";s:208:"This theme demonstrates Drupal''s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal''s default code, see the <a href="http://drupal.org/theme-guide">Theming Guide</a>.";s:7:"package";s:4:"Core";s:7:"version";s:4:"7.50";s:4:"core";s:3:"7.x";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:10:"layout.css";s:23:"themes/stark/layout.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1467918493";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:9:{s:13:"sidebar_first";s:12:"Left sidebar";s:14:"sidebar_second";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";s:11:"highlighted";s:11:"Highlighted";s:4:"help";s:4:"Help";s:8:"page_top";s:8:"Page top";s:11:"page_bottom";s:11:"Page bottom";}s:8:"features";a:9:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";i:4;s:17:"node_user_picture";i:5;s:20:"comment_user_picture";i:6;s:25:"comment_user_verification";i:7;s:9:"main_menu";i:8;s:14:"secondary_menu";}s:10:"screenshot";s:27:"themes/stark/screenshot.png";s:3:"php";s:5:"5.2.4";s:7:"scripts";a:0:{}s:5:"mtime";i:1467907694;s:14:"regions_hidden";a:2:{i:0;s:8:"page_top";i:1;s:11:"page_bottom";}s:28:"overlay_supplemental_regions";a:1:{i:0;s:11:"page_bottom";}}');
/*!40000 ALTER TABLE system ENABLE KEYS */;

--
-- Table structure for table 'taxonomy_index'
--

CREATE TABLE IF NOT EXISTS `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...' COMMENT='Maintains denormalized information about node/term...';

--
-- Dumping data for table 'taxonomy_index'
--

/*!40000 ALTER TABLE taxonomy_index DISABLE KEYS */;
INSERT INTO `taxonomy_index` VALUES
('17', '5', '0', '1305117638'),
('20', '5', '0', '1305117721'),
('25', '7', '0', '1305117888'),
('28', '8', '0', '1305117979'),
('15', '1', '0', '1305117558'),
('31', '8', '0', '1305118075'),
('24', '6', '0', '1305117855'),
('16', '1', '0', '1305117592'),
('35', '10', '0', '1305118193'),
('18', '5', '0', '1305117661'),
('14', '1', '0', '1305117493'),
('21', '6', '0', '1305117759'),
('12', '1', '0', '1305117326'),
('34', '9', '0', '1305118163'),
('13', '1', '0', '1305117431'),
('19', '5', '0', '1305117686'),
('30', '8', '0', '1305118030'),
('29', '8', '0', '1305118002'),
('27', '7', '0', '1305117944'),
('22', '6', '0', '1305117790'),
('23', '6', '0', '1305117828'),
('32', '8', '0', '1305118101'),
('33', '9', '0', '1305118138'),
('26', '7', '0', '1305117913'),
('147', '76', '0', '1426498523'),
('139', '128', '0', '1411587385'),
('139', '129', '0', '1411587385'),
('138', '127', '0', '1411587354'),
('138', '130', '0', '1411587354'),
('137', '127', '0', '1411587314'),
('136', '128', '0', '1411587275'),
('46', '129', '0', '1311001731'),
('43', '130', '0', '1311001570'),
('44', '128', '0', '1311001635'),
('44', '127', '0', '1311001635'),
('44', '129', '0', '1311001635'),
('45', '127', '0', '1311001697'),
('42', '127', '0', '1311001382'),
('42', '129', '0', '1311001382'),
('42', '130', '0', '1311001382'),
('151', '132', '0', '1441020188'),
('150', '132', '0', '1441020098'),
('155', '135', '0', '1445420020'),
('160', '135', '0', '1445420574'),
('161', '135', '0', '1445420728'),
('162', '135', '0', '1445421213'),
('163', '135', '0', '1445421323'),
('164', '135', '0', '1445421503'),
('165', '136', '0', '1445422171'),
('166', '136', '0', '1445422253'),
('167', '136', '0', '1445422311'),
('168', '136', '0', '1445422369'),
('169', '137', '0', '1445423029'),
('170', '137', '0', '1445423069'),
('171', '137', '0', '1445423107'),
('172', '141', '0', '1454582465'),
('159', '134', '0', '1445420405'),
('158', '134', '0', '1445420403'),
('157', '134', '0', '1445420324'),
('156', '134', '0', '1445420247'),
('38', '143', '0', '1422618472'),
('38', '144', '0', '1422618472'),
('38', '145', '0', '1422618472'),
('38', '138', '0', '1422618472'),
('38', '139', '0', '1422618472'),
('38', '140', '0', '1422618472'),
('126', '146', '0', '1411582667'),
('126', '147', '0', '1411582667'),
('126', '148', '0', '1411582667'),
('126', '149', '0', '1411582667'),
('126', '150', '0', '1411582667'),
('126', '151', '0', '1411582667'),
('174', '152', '0', '1466408849'),
('148', '131', '0', '1440665151'),
('154', '133', '0', '1441022082'),
('153', '133', '0', '1441021981'),
('152', '133', '0', '1441021819'),
('104', '30', '0', '1458489340'),
('103', '31', '0', '1458489255'),
('103', '29', '0', '1458489255'),
('82', '30', '0', '1453130809'),
('82', '29', '0', '1453130809'),
('53', '142', '0', '1427715913'),
('54', '142', '0', '1427715906'),
('55', '29', '0', '1427715899'),
('57', '31', '0', '1427715892'),
('56', '31', '0', '1427715886'),
('56', '29', '0', '1427715886'),
('58', '31', '0', '1427715878'),
('52', '29', '0', '1427715871'),
('175', '29', '0', '1403342824'),
('175', '142', '0', '1403342824'),
('176', '30', '0', '1403342940'),
('176', '29', '0', '1403342940'),
('177', '30', '0', '1403342997'),
('178', '31', '0', '1403343066'),
('178', '29', '0', '1403343066'),
('179', '31', '0', '1403344268'),
('179', '30', '0', '1403344268'),
('105', '46', '0', '1398761739'),
('105', '52', '0', '1398761739'),
('105', '40', '0', '1398761739'),
('37', '32', '0', '1396180059'),
('37', '33', '0', '1396180059'),
('37', '44', '0', '1396180059'),
('125', '153', '0', '1411582592'),
('124', '154', '0', '1411582509'),
('123', '155', '0', '1411582429'),
('180', '156', '0', '1468241380'),
('180', '158', '0', '1468241380'),
('145', '159', '0', '1423043034'),
('144', '159', '0', '1423042906'),
('143', '159', '0', '1423042740'),
('142', '159', '0', '1423042464'),
('183', '160', '0', '1469099579'),
('146', '160', '0', '1423043136'),
('184', '160', '0', '1469099652');
/*!40000 ALTER TABLE taxonomy_index ENABLE KEYS */;

--
-- Table structure for table 'taxonomy_term_data'
--

CREATE TABLE IF NOT EXISTS `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=161 DEFAULT CHARSET=utf8 COMMENT='Stores term information.' COMMENT='Stores term information.';

--
-- Dumping data for table 'taxonomy_term_data'
--

/*!40000 ALTER TABLE taxonomy_term_data DISABLE KEYS */;
INSERT INTO `taxonomy_term_data` VALUES
('1', '2', 'General discussion', '', NULL, '0'),
('2', '2', 'Suspendisse convallis, risus', 'Praesent arcu ipsum, rhoncus nec tincidunt quis, rutrum a augue. Fusce congue, lacus nec pharetra venenatis, risus sapien congue purus, non dictum tellus sem id enim.', NULL, '5'),
('3', '2', 'Duis lobortis arcu dignissim mauris', 'Donec nisl risus, tincidunt at interdum nec, elementum vitae metus. Integer non diam nec est imperdiet sollicitudin.', NULL, '8'),
('4', '2', 'Cum sociis natoque penatibus', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam ac velit ligula. Aliquam aliquam est vitae dui faucibus consectetur non at sapien.', NULL, '9'),
('5', '2', 'Vestibulum eleifend convallis', 'estibulum eleifend convallis mi, id sodales ante varius ut. Vivamus at tristique.', NULL, '1'),
('6', '2', 'Duis lobortis arcu dignissim mauris', 'Donec nisl risus, tincidunt at interdum nec, elementum vitae metus. Integer non diam nec est imperdiet sollicitudin.', NULL, '0'),
('7', '2', 'Integer metus orci, vestibulum', 'Nulla congue placerat magna, eget auctor quam suscipit ut. In facilisis porta justo. Sed mattis aliquam diam, eget tempor ipsum blandit id.', NULL, '2'),
('8', '2', 'Nam nec est a nulla pulvinar', 'Quisque vel massa scelerisque erat ultrices placerat non id augue. Nulla commodo scelerisque massa', NULL, '0'),
('9', '2', 'Ut vehicula, quam aliquam', 'Sed ac risus ligula. Etiam tincidunt tempus est, sit amet mattis nibh fringilla sed. In augue sapien, congue et ornare', NULL, '1'),
('10', '2', 'Maecenas semper feugiat', 'Sed et risus lacus, id ultrices metus. Maecenas sollicitudin lobortis risus sit amet accumsan. Donec interdum nulla id velit consectetur lobortis.', NULL, '1'),
('29', '4', 'Modeling', '', 'filtered_html', '2'),
('30', '4', 'Photography', '', 'filtered_html', '1'),
('31', '4', 'Motion Design', '', 'filtered_html', '0'),
('76', '1', 'Category 2', '', 'full_html', '0'),
('77', '5', 'broslodra', 'description of broslodra', 'plain_text', '1'),
('78', '5', 'fredruw', 'description of fredruw', 'plain_text', '6'),
('79', '5', 'hoslug', 'description of hoslug', 'plain_text', '6'),
('80', '5', 'hadr', 'description of hadr', 'plain_text', '1'),
('81', '5', 'crispoha', 'description of crispoha', 'plain_text', '10'),
('82', '5', 'uo', 'description of uo', 'plain_text', '7'),
('83', '5', 'bukiclelup', 'description of bukiclelup', 'plain_text', '2'),
('84', '5', 'raclestamon', 'description of raclestamon', 'plain_text', '6'),
('85', '5', 'pavutudagoc', 'description of pavutudagoc', 'plain_text', '10'),
('86', '5', 'shosuclucra', 'description of shosuclucra', 'plain_text', '10'),
('87', '5', 'spijiko', 'description of spijiko', 'plain_text', '1'),
('88', '5', 'st', 'description of st', 'plain_text', '3'),
('89', '5', 'frunile', 'description of frunile', 'plain_text', '8'),
('90', '5', 'jeswarame', 'description of jeswarame', 'plain_text', '10'),
('91', '5', 'viprariua', 'description of viprariua', 'plain_text', '2'),
('92', '5', 'th', 'description of th', 'plain_text', '8'),
('93', '5', 'spaswop', 'description of spaswop', 'plain_text', '7'),
('94', '5', 'haph', 'description of haph', 'plain_text', '9'),
('95', '5', 'cibibreguth', 'description of cibibreguth', 'plain_text', '10'),
('96', '5', 'frifrofruwa', 'description of frifrofruwa', 'plain_text', '0'),
('97', '5', 'licrochefr', 'description of licrochefr', 'plain_text', '5'),
('98', '5', 'jucorospo', 'description of jucorospo', 'plain_text', '10'),
('99', '5', 'jofriphophi', 'description of jofriphophi', 'plain_text', '3'),
('100', '5', 'spigoshet', 'description of spigoshet', 'plain_text', '0'),
('101', '5', 'sibocid', 'description of sibocid', 'plain_text', '5'),
('102', '5', 'siclouecr', 'description of siclouecr', 'plain_text', '10'),
('103', '5', 'casevudrapha', 'description of casevudrapha', 'plain_text', '1'),
('104', '5', 'sw', 'description of sw', 'plain_text', '7'),
('105', '5', 'pr', 'description of pr', 'plain_text', '6'),
('106', '5', 'bathuriri', 'description of bathuriri', 'plain_text', '7'),
('107', '5', 'lastuhicru', 'description of lastuhicru', 'plain_text', '5'),
('108', '5', 'rosochokecen', 'description of rosochokecen', 'plain_text', '8'),
('109', '5', 'teswetrabru', 'description of teswetrabru', 'plain_text', '1'),
('110', '5', 'chuuufro', 'description of chuuufro', 'plain_text', '4'),
('111', '5', 'su', 'description of su', 'plain_text', '9'),
('112', '5', 'phokas', 'description of phokas', 'plain_text', '1'),
('113', '5', 'spobupro', 'description of spobupro', 'plain_text', '10'),
('114', '5', 'jatokotro', 'description of jatokotro', 'plain_text', '3'),
('115', '5', 'patroste', 'description of patroste', 'plain_text', '8'),
('116', '5', 'jatrap', 'description of jatrap', 'plain_text', '7'),
('117', '5', 'chus', 'description of chus', 'plain_text', '7'),
('118', '5', 'wurostovotho', 'description of wurostovotho', 'plain_text', '3'),
('119', '5', 'shuswapro', 'description of shuswapro', 'plain_text', '4'),
('120', '5', 'phuspoja', 'description of phuspoja', 'plain_text', '6'),
('121', '5', 'chagawef', 'description of chagawef', 'plain_text', '4'),
('122', '5', 'butop', 'description of butop', 'plain_text', '8'),
('123', '5', 'vuvoswe', 'description of vuvoswe', 'plain_text', '8'),
('124', '5', 'sweuicikadud', 'description of sweuicikadud', 'plain_text', '6'),
('125', '5', 'latup', 'description of latup', 'plain_text', '6'),
('126', '5', 'phabufremuf', 'description of phabufremuf', 'plain_text', '10'),
('127', '9', 'General', '', 'full_html', '0'),
('128', '9', 'Development', '', 'full_html', '1'),
('129', '9', 'Licence', '', 'full_html', '2'),
('130', '9', 'Others', '', 'full_html', '3'),
('131', '1', 'Category 1', NULL, NULL, '0'),
('132', '1', 'Category 3', NULL, NULL, '0'),
('133', '7', 'Category 2', NULL, NULL, '0'),
('134', '7', 'Category 1', NULL, NULL, '0'),
('135', '7', 'Category 3', NULL, NULL, '0'),
('136', '7', 'Category 4', NULL, NULL, '0'),
('137', '7', 'Category 5', NULL, NULL, '0'),
('138', '5', 'lorem', NULL, NULL, '0'),
('139', '5', 'mauris', NULL, NULL, '0'),
('140', '5', 'nunc', NULL, NULL, '0'),
('141', '1', 'Category 4', NULL, NULL, '0'),
('142', '4', 'Graphic Design', '', 'full_html', '3'),
('143', '3', 'JavaScript', NULL, NULL, '0'),
('144', '3', 'Drupal', NULL, NULL, '0'),
('145', '3', 'Health', NULL, NULL, '0'),
('146', '3', 'Tools', NULL, NULL, '0'),
('147', '3', 'Workflow', NULL, NULL, '0'),
('148', '3', 'Browsers', NULL, NULL, '0'),
('149', '5', 'Graphic Design', NULL, NULL, '0'),
('150', '5', 'Marketing', NULL, NULL, '0'),
('151', '5', 'Photoshop', NULL, NULL, '0'),
('152', '11', 'Category 1', NULL, NULL, '0'),
('153', '3', 'Business', NULL, NULL, '0'),
('154', '3', 'Queue Managing', NULL, NULL, '0'),
('155', '3', 'Support', '', 'full_html', '0'),
('156', '12', 'Men', '', 'full_html', '0'),
('157', '12', 'Women', '', 'full_html', '0'),
('158', '12', 'Boots & Trainers', '', 'full_html', '0'),
('159', '14', 'Category 1', NULL, NULL, '0'),
('160', '14', 'Category 2', NULL, NULL, '0');
/*!40000 ALTER TABLE taxonomy_term_data ENABLE KEYS */;

--
-- Table structure for table 'taxonomy_term_hierarchy'
--

CREATE TABLE IF NOT EXISTS `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.' COMMENT='Stores the hierarchical relationship between terms.';

--
-- Dumping data for table 'taxonomy_term_hierarchy'
--

/*!40000 ALTER TABLE taxonomy_term_hierarchy DISABLE KEYS */;
INSERT INTO `taxonomy_term_hierarchy` VALUES
('2', '0'),
('3', '0'),
('4', '0'),
('29', '0'),
('30', '0'),
('31', '0'),
('76', '0'),
('77', '0'),
('79', '0'),
('81', '0'),
('83', '0'),
('85', '0'),
('87', '0'),
('89', '0'),
('91', '0'),
('93', '0'),
('95', '0'),
('97', '0'),
('99', '0'),
('101', '0'),
('103', '0'),
('105', '0'),
('107', '0'),
('109', '0'),
('111', '0'),
('113', '0'),
('115', '0'),
('117', '0'),
('119', '0'),
('121', '0'),
('123', '0'),
('125', '0'),
('127', '0'),
('128', '0'),
('129', '0'),
('130', '0'),
('131', '0'),
('132', '0'),
('133', '0'),
('134', '0'),
('135', '0'),
('136', '0'),
('137', '0'),
('138', '0'),
('139', '0'),
('140', '0'),
('141', '0'),
('142', '0'),
('143', '0'),
('144', '0'),
('145', '0'),
('146', '0'),
('147', '0'),
('148', '0'),
('149', '0'),
('150', '0'),
('151', '0'),
('152', '0'),
('153', '0'),
('154', '0'),
('155', '0'),
('156', '0'),
('157', '0'),
('159', '0'),
('160', '0'),
('1', '2'),
('5', '2'),
('6', '3'),
('7', '3'),
('10', '3'),
('8', '4'),
('9', '4'),
('78', '77'),
('80', '77'),
('82', '77'),
('84', '77'),
('86', '77'),
('88', '77'),
('90', '77'),
('94', '77'),
('92', '80'),
('112', '89'),
('116', '90'),
('110', '92'),
('96', '93'),
('98', '96'),
('100', '96'),
('102', '96'),
('104', '96'),
('106', '96'),
('114', '96'),
('118', '96'),
('122', '96'),
('124', '96'),
('126', '96'),
('108', '98'),
('120', '100'),
('158', '156');
/*!40000 ALTER TABLE taxonomy_term_hierarchy ENABLE KEYS */;

--
-- Table structure for table 'taxonomy_vocabulary'
--

CREATE TABLE IF NOT EXISTS `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.' COMMENT='Stores vocabulary information.';

--
-- Dumping data for table 'taxonomy_vocabulary'
--

/*!40000 ALTER TABLE taxonomy_vocabulary DISABLE KEYS */;
INSERT INTO `taxonomy_vocabulary` VALUES
('1', 'Articles categories', 'tags', 'Use tags to group articles on similar topics into categories.', '0', 'taxonomy', '-10'),
('2', 'Forum', 'forums', 'Forum navigation vocabulary', '1', 'forum', '-6'),
('3', 'Blog categories', 'blog_cetogory', '', '0', 'taxonomy', '-9'),
('4', 'Project categories', 'project_categories', '', '0', 'taxonomy', '-3'),
('5', 'Blog tags', 'blog_tags', '', '0', 'taxonomy', '-8'),
('7', 'Services categories', 'services_categories', '', '0', 'taxonomy', '-2'),
('9', 'FAQ categories', 'faq_categories', '', '0', 'taxonomy', '-7'),
('10', 'Slide categories', 'slide_categories', '', '0', 'taxonomy', '-1'),
('11', 'Video entries categories', 'video_entries_categories', '', '0', 'taxonomy', '0'),
('12', 'Products categories', 'products_categories', '', '1', 'taxonomy', '-5'),
('13', 'Products tags', 'products_tags', '', '0', 'taxonomy', '-4'),
('14', 'Tarif plan categories', 'tarif_plan_categories', '', '0', 'taxonomy', '0');
/*!40000 ALTER TABLE taxonomy_vocabulary ENABLE KEYS */;

--
-- Table structure for table 'tb_megamenus'
--

CREATE TABLE IF NOT EXISTS `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  `language` varchar(12) NOT NULL,
  PRIMARY KEY (`menu_name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'tb_megamenus'
--

/*!40000 ALTER TABLE tb_megamenus DISABLE KEYS */;
INSERT INTO `tb_megamenus` VALUES
('main-menu', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"201":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-home","caption":"Welcome","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6709":{"rows_content":[[{"col_content":[{"block_key":"menu--menu-pages","type":"block","tb_item_config":{}}],"col_config":{"width":"4","class":"","hidewcol":"","showblocktitle":"1"}},{"col_content":[{"block_key":"menu--menu-shortcodes","type":"block","tb_item_config":{}}],"col_config":{"width":"4","class":"","hidewcol":"","showblocktitle":"1"}},{"col_content":[{"block_key":"menu--menu-features","type":"block","tb_item_config":{}}],"col_config":{"width":"4","class":"","hidewcol":"","showblocktitle":"1"}}]],"submenu_config":{"width":"600","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-user","caption":"Who we are","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"739":{"rows_content":[[{"col_content":[{"mlid":"6724","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-image","caption":"Our works","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6724":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"3768":{"rows_content":[[{"col_content":[{"mlid":"6726","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6726":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6725":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6727":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"3767":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6729":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"668":{"rows_content":[[{"col_content":[{"mlid":"6730","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-edit","caption":"Our news","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6730":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6731":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6732":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"5076":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6680":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"4931":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-envelope","caption":"How to find us","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', ''),
('main-menu', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"201":{"rows_content":[[{"col_content":[{"mlid":"7803","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"left","group":"0","hidewcol":"0","hidesub":"0"}},"668":{"rows_content":[[{"col_content":[{"mlid":"11933","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"left","group":"0","hidewcol":"0","hidesub":"0"}},"6709":{"rows_content":[[{"col_content":[{"mlid":"11024","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"left","group":"0","hidewcol":"0","hidesub":"0"}},"6725":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6726":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7803":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7804":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"10945":{"rows_content":[[{"col_content":[{"mlid":"10946","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"left","group":"0","hidewcol":"0","hidesub":"0"}},"10946":{"rows_content":[[{"col_content":[{"mlid":"6725","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"10947":{"rows_content":[[{"col_content":[{"mlid":"11781","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11021":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11022":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11023":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11024":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11757":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11758":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11759":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11761":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11767":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11768":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11769":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11770":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11774":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11775":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11776":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11781":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11783":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11785":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11787":{"rows_content":[[{"col_content":[{"mlid":"11788","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11788":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11790":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11792":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11796":{"rows_content":[[{"col_content":[{"block_key":"menu--menu-elemets-col-1","type":"block","tb_item_config":{}}],"col_config":{"width":"4","class":"","hidewcol":"","showblocktitle":"0"}},{"col_content":[{"block_key":"menu--menu-elemets-col-2","type":"block","tb_item_config":{}}],"col_config":{"width":"4","class":"","hidewcol":"","showblocktitle":"0"}},{"col_content":[{"block_key":"menu--menu-elemets-col-3","type":"block","tb_item_config":{}}],"col_config":{"width":"4","class":"","hidewcol":"","showblocktitle":"0"}}]],"submenu_config":{"width":"735","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"center","group":"0","hidewcol":"0","hidesub":"0"}},"11832":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11932":{"rows_content":[[{"col_content":[{"mlid":"11934","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"left","group":"0","hidewcol":"0","hidesub":"0"}},"11933":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"11934":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', 'en'),
('menu-landing', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"8115":{"rows_content":[[{"col_content":[{"mlid":"8122","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8116":{"rows_content":[[{"col_content":[{"block_key":"menu--menu-shortcodes","type":"block","tb_item_config":{}}],"col_config":{"width":"6","class":"","hidewcol":"","showblocktitle":"1"}},{"col_content":[{"block_key":"menu--menu-features","type":"block","tb_item_config":{}}],"col_config":{"width":"6","class":"","hidewcol":"","showblocktitle":"1"}}]],"submenu_config":{"width":"700","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"justify","group":"0","hidewcol":"0","hidesub":"0"}},"8117":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8118":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8119":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8120":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8121":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8122":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8123":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8124":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', 'en'),
('menu-onepage', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"7621":{"rows_content":[[{"col_content":[{"mlid":"7622","type":"menu_item","tb_item_config":{}}],"col_config":{"width":"12","class":"","hidewcol":"0","showblocktitle":"1"}}]],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7622":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7623":{"rows_content":[[{"col_content":[{"block_key":"menu--menu-shortcodes","type":"block","tb_item_config":{}}],"col_config":{"width":"6","class":"","hidewcol":"","showblocktitle":"1"}},{"col_content":[{"block_key":"menu--menu-features","type":"block","tb_item_config":{}}],"col_config":{"width":"6","class":"","hidewcol":"","showblocktitle":"1"}}]],"submenu_config":{"width":"645","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"justify","group":"0","hidewcol":"0","hidesub":"0"}},"7624":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7625":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7626":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7627":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8049":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"8050":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', 'en'),
('menu-pages', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"6668":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6686":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6670":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6671":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6685":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6669":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6681":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6672":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"6673":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', 'en'),
('user-menu', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"7172":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-user-plus","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"2":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-user","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"747":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-sign-in","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"15":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"fa fa-sign-out","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', ''),
('user-menu', '{"animation":"none","duration":400,"delay":200,"style":"","auto-arrow":"1","always-show-submenu":"1"}', '{"2":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"15":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"747":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}},"7172":{"rows_content":[],"submenu_config":{"width":"","class":"","group":"0"},"item_config":{"class":"","xicon":"","caption":"","alignsub":"","group":"0","hidewcol":"0","hidesub":"0"}}}', 'en');
/*!40000 ALTER TABLE tb_megamenus ENABLE KEYS */;

--
-- Table structure for table 'tracker_node'
--

CREATE TABLE IF NOT EXISTS `tracker_node` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `published` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is published.',
  `changed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved or commented on.',
  PRIMARY KEY (`nid`),
  KEY `tracker` (`published`,`changed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Tracks when nodes were last changed or commented on.' COMMENT='Tracks when nodes were last changed or commented on.';

--
-- Dumping data for table 'tracker_node'
--

/*!40000 ALTER TABLE tracker_node DISABLE KEYS */;
INSERT INTO `tracker_node` VALUES
('83', '1', '1411396285'),
('94', '1', '1411396371'),
('92', '1', '1411396428'),
('93', '1', '1411396509'),
('91', '1', '1411396555'),
('122', '1', '1411479629'),
('121', '1', '1411479641'),
('95', '1', '1411479648'),
('96', '1', '1411479652'),
('97', '1', '1411479661'),
('98', '1', '1411479665'),
('99', '1', '1411479670'),
('100', '1', '1411479684'),
('101', '1', '1411479690'),
('102', '1', '1411479695'),
('127', '1', '1411582829'),
('128', '1', '1411582916'),
('129', '1', '1411583003'),
('130', '1', '1411583058'),
('131', '1', '1411583098'),
('17', '1', '1411587767'),
('20', '1', '1411587798'),
('25', '1', '1411587828'),
('28', '1', '1411587866'),
('15', '1', '1411587895'),
('31', '1', '1411587927'),
('24', '1', '1411587959'),
('16', '1', '1411588060'),
('35', '1', '1411588097'),
('18', '1', '1411588130'),
('14', '1', '1411588165'),
('21', '1', '1411588572'),
('12', '1', '1411588611'),
('34', '1', '1411588674'),
('13', '1', '1411588711'),
('19', '1', '1411588754'),
('30', '1', '1411588813'),
('29', '1', '1411589012'),
('27', '1', '1411589040'),
('22', '1', '1411589064'),
('23', '1', '1411589089'),
('32', '1', '1411589113'),
('33', '1', '1411589138'),
('11', '1', '1411723656'),
('86', '1', '1411728024'),
('87', '1', '1411728081'),
('84', '1', '1411728139'),
('88', '1', '1411728328'),
('85', '1', '1411728367'),
('26', '1', '1421422138'),
('147', '1', '1426498523'),
('39', '1', '1426502274'),
('40', '1', '1426502305'),
('139', '1', '1437132999'),
('138', '1', '1437133007'),
('137', '1', '1437133011'),
('136', '1', '1437133015'),
('46', '1', '1437133019'),
('43', '1', '1437133023'),
('44', '1', '1437133028'),
('45', '1', '1437133037'),
('42', '1', '1437134704'),
('71', '1', '1437661537'),
('73', '1', '1437661638'),
('65', '1', '1437661693'),
('68', '1', '1437661733'),
('151', '1', '1441024473'),
('150', '1', '1441024482'),
('155', '1', '1445420020'),
('160', '1', '1445420574'),
('161', '1', '1445420728'),
('162', '1', '1445421213'),
('163', '1', '1445421323'),
('164', '1', '1445421503'),
('165', '1', '1445422171'),
('166', '1', '1445422253'),
('167', '1', '1445422311'),
('168', '1', '1445422369'),
('169', '1', '1445423029'),
('170', '1', '1445423069'),
('171', '1', '1445423107'),
('132', '1', '1453214124'),
('172', '1', '1454582465'),
('159', '1', '1464862655'),
('158', '1', '1464866376'),
('157', '1', '1464866428'),
('156', '1', '1464866462'),
('69', '1', '1464875181'),
('38', '1', '1465202372'),
('126', '1', '1465203227'),
('173', '1', '1465205661'),
('174', '1', '1466408849'),
('148', '1', '1466499180'),
('154', '1', '1466499811'),
('153', '1', '1466499847'),
('152', '1', '1466499875'),
('104', '1', '1466501031'),
('103', '1', '1466501064'),
('82', '1', '1466501081'),
('53', '1', '1466501105'),
('54', '1', '1466501123'),
('55', '1', '1466501159'),
('57', '1', '1466501171'),
('56', '1', '1466501193'),
('58', '1', '1466501206'),
('52', '1', '1466501213'),
('175', '1', '1466501325'),
('176', '1', '1466501390'),
('177', '1', '1466501444'),
('178', '1', '1466501515'),
('179', '1', '1466502827'),
('90', '1', '1467017731'),
('89', '1', '1467017808'),
('47', '1', '1467017924'),
('50', '1', '1467017992'),
('41', '1', '1467192482'),
('105', '1', '1467192492'),
('37', '1', '1467192502'),
('133', '1', '1467292794'),
('134', '1', '1467292837'),
('135', '1', '1467292926'),
('67', '1', '1467292945'),
('125', '1', '1468237230'),
('124', '1', '1468237261'),
('123', '1', '1468237292'),
('180', '1', '1468309194'),
('181', '1', '1468853314'),
('182', '1', '1468853676'),
('145', '1', '1469097097'),
('144', '1', '1469097290'),
('143', '1', '1469097538'),
('142', '1', '1469097609'),
('183', '1', '1469099579'),
('146', '1', '1469099599'),
('184', '1', '1469099652');
/*!40000 ALTER TABLE tracker_node ENABLE KEYS */;

--
-- Table structure for table 'tracker_user'
--

CREATE TABLE IF NOT EXISTS `tracker_user` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the node author or commenter.',
  `published` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is published.',
  `changed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved or commented on.',
  PRIMARY KEY (`nid`,`uid`),
  KEY `tracker` (`uid`,`published`,`changed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Tracks when nodes were last changed or commented on, for...' COMMENT='Tracks when nodes were last changed or commented on, for...';

--
-- Dumping data for table 'tracker_user'
--

/*!40000 ALTER TABLE tracker_user DISABLE KEYS */;
INSERT INTO `tracker_user` VALUES
('41', '0', '1', '1467192482'),
('105', '0', '1', '1467192492'),
('37', '0', '1', '1467192502'),
('125', '0', '1', '1468237230'),
('123', '0', '1', '1468237292'),
('83', '1', '1', '1411396285'),
('94', '1', '1', '1411396371'),
('92', '1', '1', '1411396428'),
('93', '1', '1', '1411396509'),
('91', '1', '1', '1411396555'),
('122', '1', '1', '1411479629'),
('121', '1', '1', '1411479641'),
('95', '1', '1', '1411479648'),
('96', '1', '1', '1411479652'),
('97', '1', '1', '1411479661'),
('98', '1', '1', '1411479665'),
('99', '1', '1', '1411479670'),
('100', '1', '1', '1411479684'),
('101', '1', '1', '1411479690'),
('102', '1', '1', '1411479695'),
('127', '1', '1', '1411582829'),
('128', '1', '1', '1411582916'),
('129', '1', '1', '1411583003'),
('130', '1', '1', '1411583058'),
('131', '1', '1', '1411583098'),
('17', '1', '1', '1411587767'),
('20', '1', '1', '1411587798'),
('25', '1', '1', '1411587828'),
('28', '1', '1', '1411587866'),
('15', '1', '1', '1411587895'),
('31', '1', '1', '1411587927'),
('24', '1', '1', '1411587959'),
('16', '1', '1', '1411588060'),
('35', '1', '1', '1411588097'),
('18', '1', '1', '1411588130'),
('14', '1', '1', '1411588165'),
('21', '1', '1', '1411588572'),
('12', '1', '1', '1411588611'),
('34', '1', '1', '1411588674'),
('13', '1', '1', '1411588711'),
('19', '1', '1', '1411588754'),
('30', '1', '1', '1411588813'),
('29', '1', '1', '1411589012'),
('27', '1', '1', '1411589040'),
('22', '1', '1', '1411589064'),
('23', '1', '1', '1411589089'),
('32', '1', '1', '1411589113'),
('33', '1', '1', '1411589138'),
('11', '1', '1', '1411723656'),
('86', '1', '1', '1411728024'),
('87', '1', '1', '1411728081'),
('84', '1', '1', '1411728139'),
('88', '1', '1', '1411728328'),
('85', '1', '1', '1411728367'),
('26', '1', '1', '1421422138'),
('147', '1', '1', '1426498523'),
('39', '1', '1', '1426502274'),
('40', '1', '1', '1426502305'),
('139', '1', '1', '1437132999'),
('138', '1', '1', '1437133007'),
('137', '1', '1', '1437133011'),
('136', '1', '1', '1437133015'),
('46', '1', '1', '1437133019'),
('43', '1', '1', '1437133023'),
('44', '1', '1', '1437133028'),
('45', '1', '1', '1437133037'),
('42', '1', '1', '1437134704'),
('71', '1', '1', '1437661537'),
('73', '1', '1', '1437661638'),
('65', '1', '1', '1437661693'),
('68', '1', '1', '1437661733'),
('151', '1', '1', '1441024473'),
('150', '1', '1', '1441024482'),
('155', '1', '1', '1445420020'),
('160', '1', '1', '1445420574'),
('161', '1', '1', '1445420728'),
('162', '1', '1', '1445421213'),
('163', '1', '1', '1445421323'),
('164', '1', '1', '1445421503'),
('165', '1', '1', '1445422171'),
('166', '1', '1', '1445422253'),
('167', '1', '1', '1445422311'),
('168', '1', '1', '1445422369'),
('169', '1', '1', '1445423029'),
('170', '1', '1', '1445423069'),
('171', '1', '1', '1445423107'),
('132', '1', '1', '1453214124'),
('172', '1', '1', '1454582465'),
('159', '1', '1', '1464862655'),
('158', '1', '1', '1464866376'),
('157', '1', '1', '1464866428'),
('156', '1', '1', '1464866462'),
('69', '1', '1', '1464875181'),
('38', '1', '1', '1465202372'),
('126', '1', '1', '1465203227'),
('173', '1', '1', '1465205661'),
('174', '1', '1', '1466408849'),
('148', '1', '1', '1466499180'),
('154', '1', '1', '1466499811'),
('153', '1', '1', '1466499847'),
('152', '1', '1', '1466499875'),
('104', '1', '1', '1466501031'),
('103', '1', '1', '1466501064'),
('82', '1', '1', '1466501081'),
('53', '1', '1', '1466501105'),
('54', '1', '1', '1466501123'),
('55', '1', '1', '1466501159'),
('57', '1', '1', '1466501171'),
('56', '1', '1', '1466501193'),
('58', '1', '1', '1466501206'),
('52', '1', '1', '1466501213'),
('175', '1', '1', '1466501325'),
('176', '1', '1', '1466501390'),
('177', '1', '1', '1466501444'),
('178', '1', '1', '1466501515'),
('179', '1', '1', '1466502827'),
('90', '1', '1', '1467017731'),
('89', '1', '1', '1467017808'),
('47', '1', '1', '1467017924'),
('50', '1', '1', '1467017992'),
('41', '1', '1', '1467192482'),
('105', '1', '1', '1467192492'),
('37', '1', '1', '1467192502'),
('133', '1', '1', '1467292794'),
('134', '1', '1', '1467292837'),
('135', '1', '1', '1467292926'),
('67', '1', '1', '1467292945'),
('125', '1', '1', '1468237230'),
('124', '1', '1', '1468237261'),
('123', '1', '1', '1468237292'),
('180', '1', '1', '1468309194'),
('181', '1', '1', '1468853314'),
('182', '1', '1', '1468853676'),
('145', '1', '1', '1469097097'),
('144', '1', '1', '1469097290'),
('143', '1', '1', '1469097538'),
('142', '1', '1', '1469097609'),
('183', '1', '1', '1469099579'),
('146', '1', '1', '1469099599'),
('184', '1', '1', '1469099652'),
('105', '155', '1', '1467192492'),
('125', '156', '1', '1468237230'),
('123', '157', '1', '1468237292'),
('41', '158', '1', '1467192482'),
('37', '159', '1', '1467192502');
/*!40000 ALTER TABLE tracker_user ENABLE KEYS */;

--
-- Table structure for table 'trigger_assignments'
--

CREATE TABLE IF NOT EXISTS `trigger_assignments` (
  `hook` varchar(78) NOT NULL DEFAULT '' COMMENT 'Primary Key: The name of the internal Drupal hook; for example, node_insert.',
  `aid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Action’s actions.aid.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the trigger assignment in relation to other triggers.',
  PRIMARY KEY (`hook`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps trigger to hook and operation assignments from...' COMMENT='Maps trigger to hook and operation assignments from...';

--
-- Dumping data for table 'trigger_assignments'
--

/*!40000 ALTER TABLE trigger_assignments DISABLE KEYS */;
/*!40000 ALTER TABLE trigger_assignments ENABLE KEYS */;

--
-- Table structure for table 'twitter'
--

CREATE TABLE IF NOT EXISTS `twitter` (
  `twitter_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Unique identifier for each twitter post.',
  `screen_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Screen Name of the twitter_account user.',
  `created_at` varchar(64) NOT NULL DEFAULT '' COMMENT 'Date and time the twitter post was created.',
  `created_time` int(11) NOT NULL COMMENT 'A duplicate of twitter.created_at in UNIX timestamp format.',
  `text` blob COMMENT 'The text of the twitter post.',
  `source` varchar(255) DEFAULT NULL COMMENT 'The application that created the twitter post.',
  `in_reply_to_status_id` bigint(20) unsigned DEFAULT '0' COMMENT 'Unique identifier of a status this twitter post was replying to.',
  `in_reply_to_user_id` bigint(20) unsigned DEFAULT '0' COMMENT 'Unique identifier for the twitter_account this post was replying to.',
  `in_reply_to_screen_name` varchar(255) DEFAULT NULL COMMENT 'Screen name of the twitter user this post was replying to.',
  `truncated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean flag indicating whether the twitter status was cut off to fit in the 140 character limit.',
  `entities` longblob COMMENT 'A serialized array of twitter post entities.',
  PRIMARY KEY (`twitter_id`),
  KEY `screen_name` (`screen_name`),
  KEY `created_time` (`created_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores individual Twitter posts.' COMMENT='Stores individual Twitter posts.';

--
-- Dumping data for table 'twitter'
--

/*!40000 ALTER TABLE twitter DISABLE KEYS */;
/*!40000 ALTER TABLE twitter ENABLE KEYS */;

--
-- Table structure for table 'twitter_account'
--

CREATE TABLE IF NOT EXISTS `twitter_account` (
  `twitter_uid` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier of the twitter_account.',
  `host` varchar(255) DEFAULT NULL COMMENT 'The host for this account can be a laconi.ca instance',
  `screen_name` varchar(255) DEFAULT NULL COMMENT 'The unique login name of the twitter_account user.',
  `oauth_token` varchar(64) DEFAULT NULL COMMENT 'The token_key for oauth-based access.',
  `oauth_token_secret` varchar(64) DEFAULT NULL COMMENT 'The token_secret for oauth-based access.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'The full name of the twitter_account user.',
  `description` varchar(255) DEFAULT NULL COMMENT 'The description/biography associated with the twitter_account.',
  `location` varchar(255) DEFAULT NULL COMMENT 'The location of the twitter_account’s owner.',
  `followers_count` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of users following this twitter_account.',
  `friends_count` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of users this twitter_account is following.',
  `statuses_count` int(11) NOT NULL DEFAULT '0' COMMENT 'The total number of status updates performed by a user, excluding direct messages sent.',
  `favourites_count` int(11) NOT NULL DEFAULT '0' COMMENT 'The  number of statuses a user has marked as favorite.',
  `url` varchar(255) DEFAULT NULL COMMENT 'The url of the twitter_account’s home page.',
  `profile_image_url` varchar(255) DEFAULT NULL COMMENT 'The url of the twitter_account’s profile image.',
  `protected` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean flag indicating whether the twitter_account’s posts are publicly accessible.',
  `profile_background_color` varchar(6) NOT NULL DEFAULT '' COMMENT 'hex RGB value for a user’s background color',
  `profile_text_color` varchar(6) NOT NULL DEFAULT '' COMMENT 'hex RGB value for a user’s text color',
  `profile_link_color` varchar(6) NOT NULL DEFAULT '' COMMENT 'hex RGB value for a user’s link color',
  `profile_sidebar_fill_color` varchar(6) NOT NULL DEFAULT '' COMMENT 'hex RGB value for a user’s sidebar color',
  `profile_sidebar_border_color` varchar(6) NOT NULL DEFAULT '' COMMENT 'hex RGB value for a user’s border color',
  `profile_background_image_url` varchar(255) DEFAULT NULL COMMENT 'The url of the twitter_account’s profile image.',
  `profile_background_tile` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'Boolean indicating if a user’s background is tiled.',
  `verified` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'Indicates if a user is verified.',
  `created_at` varchar(64) NOT NULL DEFAULT '' COMMENT 'Date and time the twitter_account was created.',
  `created_time` int(11) NOT NULL COMMENT 'A duplicate of twitter_account.created_at in UNIX timestamp format.',
  `utc_offset` int(11) NOT NULL COMMENT 'A duplicate of twitter_account.created_at in UNIX timestamp format.',
  `import` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean flag indicating whether the twitter_user’s posts should be pulled in by the site.',
  `mentions` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean flag indicating whether the twitter_user’s mentions should be pulled in by the site.',
  `last_refresh` int(11) NOT NULL DEFAULT '0' COMMENT 'A UNIX timestamp marking the date Twitter statuses were last fetched on.',
  `is_global` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean flag indicating if this account is available for global use.',
  `uid` int(10) unsigned DEFAULT '0' COMMENT 'The uid of the user who added this Twitter account.',
  PRIMARY KEY (`twitter_uid`),
  KEY `screen_name` (`screen_name`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information on specific Twitter user accounts.' COMMENT='Stores information on specific Twitter user accounts.';

--
-- Dumping data for table 'twitter_account'
--

/*!40000 ALTER TABLE twitter_account DISABLE KEYS */;
/*!40000 ALTER TABLE twitter_account ENABLE KEYS */;

--
-- Table structure for table 'url_alias'
--

CREATE TABLE IF NOT EXISTS `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...' COMMENT='A list of URL aliases for Drupal paths; a user may visit...';

--
-- Dumping data for table 'url_alias'
--

/*!40000 ALTER TABLE url_alias DISABLE KEYS */;
/*!40000 ALTER TABLE url_alias ENABLE KEYS */;

--
-- Table structure for table 'users'
--

CREATE TABLE IF NOT EXISTS `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.' COMMENT='Stores user data.';

--
-- Dumping data for table 'users'
--

/*!40000 ALTER TABLE users DISABLE KEYS */;
INSERT INTO `users` VALUES
('0', '', '', '', '', '', NULL, '0', '0', '0', '0', NULL, '', '0', '', NULL),
('1', 'Admin', '$S$DnvLQiB/nnM8o2WejOnJW5awsfzXejjYMRYHIHQnMUWexAYVcOl.', 'admin@demolink.org', '', 'Curabitur metus mi, varius ut mollis sit amet', 'full_html', '1308670632', '1469452429', '1467267231', '1', 'Europe/Helsinki', 'en', '0', 'admin@admin.com', 'a:1:{s:7:"contact";i:1;}');
/*!40000 ALTER TABLE users ENABLE KEYS */;

--
-- Table structure for table 'users_roles'
--

CREATE TABLE IF NOT EXISTS `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.' COMMENT='Maps users to roles.';

--
-- Dumping data for table 'users_roles'
--

/*!40000 ALTER TABLE users_roles DISABLE KEYS */;
INSERT INTO `users_roles` VALUES
('1', '3');
/*!40000 ALTER TABLE users_roles ENABLE KEYS */;

--
-- Table structure for table 'variable'
--

CREATE TABLE IF NOT EXISTS `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...' COMMENT='Named variable/value pairs created by Drupal core or any...';

--
-- Dumping data for table 'variable'
--

/*!40000 ALTER TABLE variable DISABLE KEYS */;
INSERT INTO `variable` VALUES
('additional_settings__active_tab_article', 's:9:"edit-menu";'),
('additional_settings__active_tab_banner', 's:15:"edit-submission";'),
('additional_settings__active_tab_blog', 's:9:"edit-menu";'),
('additional_settings__active_tab_book', 's:9:"edit-menu";'),
('additional_settings__active_tab_carousel', 's:15:"edit-submission";'),
('additional_settings__active_tab_employee', 's:15:"edit-submission";'),
('additional_settings__active_tab_faq', 's:15:"edit-submission";'),
('additional_settings__active_tab_forum', 's:15:"edit-submission";'),
('additional_settings__active_tab_map', 's:15:"edit-submission";'),
('additional_settings__active_tab_poll', 's:15:"edit-submission";'),
('additional_settings__active_tab_product_display', 's:12:"edit-webform";'),
('additional_settings__active_tab_project', 's:15:"edit-submission";'),
('additional_settings__active_tab_service', 's:12:"edit-comment";'),
('additional_settings__active_tab_slide', 's:15:"edit-submission";'),
('additional_settings__active_tab_tariff_plan', 's:15:"edit-submission";'),
('additional_settings__active_tab_testimonial', 's:13:"edit-workflow";'),
('additional_settings__active_tab_tiled_gallery_item', 's:9:"edit-menu";'),
('additional_settings__active_tab_video_entry', 's:12:"edit-webform";'),
('addthisaddthis_blockadd_func_animate_type', 's:4:"None";'),
('addthisaddthis_blockadd_funk_block_bg_grids', 'N;'),
('addthisaddthis_blockadd_funk_block_bg_grid_class', 'N;'),
('addthisaddthis_blockadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('addthisaddthis_blockadd_funk_block_bg_parallax', 'N;'),
('addthisaddthis_blockadd_funk_block_bg_type', 's:4:"none";'),
('addthisaddthis_blockadd_funk_block_bg_video', 'N;'),
('addthisaddthis_blockadd_funk_block_bg_video_start', 'N;'),
('addthis_508_compliant', 'i:0;'),
('addthis_addressbook_enabled', 'i:0;'),
('addthis_block_widget_type', 's:16:"addthis_disabled";'),
('addthis_clickback_tracking_enabled', 'i:0;'),
('addthis_click_to_open_compact_menu_enabled', 'i:1;'),
('addthis_co_brand', 's:0:"";'),
('addthis_enabled_services', 'a:299:{s:9:"delicious";s:9:"delicious";s:5:"email";s:5:"email";s:8:"facebook";s:8:"facebook";s:20:"google_plusone_share";s:20:"google_plusone_share";s:8:"linkedin";s:8:"linkedin";s:11:"livejournal";s:11:"livejournal";s:6:"tumblr";s:6:"tumblr";s:7:"twitter";s:7:"twitter";s:11:"100zakladok";i:0;s:4:"2tag";i:0;s:7:"2linkme";i:0;s:6:"a97abi";i:0;s:10:"addressbar";i:0;s:5:"adfty";i:0;s:6:"adifni";i:0;s:5:"advqr";i:0;s:14:"amazonwishlist";i:0;s:6:"amenme";i:0;s:3:"aim";i:0;s:7:"aolmail";i:0;s:7:"apsense";i:0;s:4:"arto";i:0;s:7:"azadegi";i:0;s:5:"baang";i:0;s:5:"baidu";i:0;s:9:"balltribe";i:0;s:7:"beat100";i:0;s:13:"biggerpockets";i:0;s:5:"bitly";i:0;s:8:"bizsugar";i:0;s:5:"bland";i:0;s:9:"blinklist";i:0;s:7:"blogger";i:0;s:6:"bloggy";i:0;s:8:"blogkeen";i:0;s:9:"blogmarks";i:0;s:13:"blurpalicious";i:0;s:8:"bobrdobr";i:0;s:8:"bonzobox";i:0;s:20:"socialbookmarkingnet";i:0;s:11:"bookmarkycz";i:0;s:12:"bookmerkende";i:0;s:3:"box";i:0;s:8:"brainify";i:0;s:7:"bryderi";i:0;s:10:"buddymarks";i:0;s:6:"buffer";i:0;s:6:"buzzzy";i:0;s:6:"camyoo";i:0;s:5:"care2";i:0;s:7:"foodlve";i:0;s:4:"chiq";i:0;s:5:"cirip";i:0;s:9:"citeulike";i:0;s:14:"classicalplace";i:0;s:10:"cleanprint";i:0;s:9:"cleansave";i:0;s:5:"cndig";i:0;s:7:"colivia";i:0;s:8:"technerd";i:0;s:6:"cosmiq";i:0;s:8:"cssbased";i:0;s:8:"curateus";i:0;s:14:"digaculturanet";i:0;s:4:"digg";i:0;s:7:"diggita";i:0;s:4:"digo";i:0;s:5:"diigo";i:0;s:8:"domelhor";i:0;s:14:"dotnetshoutout";i:0;s:6:"douban";i:0;s:8:"draugiem";i:0;s:8:"dropjack";i:0;s:4:"dudu";i:0;s:5:"dzone";i:0;s:7:"efactor";i:0;s:6:"ekudos";i:0;s:10:"elefantapl";i:0;s:6:"mailto";i:0;s:9:"embarkons";i:0;s:8:"evernote";i:0;s:9:"extraplay";i:0;s:7:"ezyspot";i:0;s:11:"stylishhome";i:0;s:12:"fabulously40";i:0;s:13:"facebook_like";i:0;s:12:"informazione";i:0;s:8:"thefancy";i:0;s:4:"fark";i:0;s:8:"farkinda";i:0;s:11:"fashiolista";i:0;s:7:"favable";i:0;s:5:"faves";i:0;s:8:"favlogde";i:0;s:11:"favoritende";i:0;s:9:"favorites";i:0;s:9:"favoritus";i:0;s:14:"financialjuice";i:0;s:6:"flaker";i:0;s:9:"flipboard";i:0;s:5:"folkd";i:0;s:10:"formspring";i:0;s:10:"foursquare";i:0;s:17:"thefreedictionary";i:0;s:7:"fresqui";i:0;s:10:"friendfeed";i:0;s:4:"funp";i:0;s:5:"fwisp";i:0;s:10:"gamekicker";i:0;s:2:"gg";i:0;s:7:"giftery";i:0;s:9:"gigbasket";i:0;s:9:"givealink";i:0;s:5:"gmail";i:0;s:4:"govn";i:0;s:9:"goodnoows";i:0;s:6:"google";i:0;s:14:"google_plusone";i:0;s:10:"googleplus";i:0;s:15:"googletranslate";i:0;s:14:"greaterdebater";i:0;s:10:"hackernews";i:0;s:6:"hatena";i:0;s:8:"gluvsnap";i:0;s:9:"hedgehogs";i:0;s:10:"historious";i:0;s:9:"hootsuite";i:0;s:7:"hotklix";i:0;s:7:"hotmail";i:0;s:11:"w3validator";i:0;s:8:"identica";i:0;s:8:"ihavegot";i:0;s:7:"indexor";i:0;s:10:"instapaper";i:0;s:6:"iorbix";i:0;s:9:"irepeater";i:0;s:8:"isociety";i:0;s:4:"iwiw";i:0;s:8:"jamespot";i:0;s:5:"jappy";i:0;s:5:"jolly";i:0;s:8:"jumptags";i:0;s:8:"kaboodle";i:0;s:6:"kaevur";i:0;s:6:"kaixin";i:0;s:7:"ketnooi";i:0;s:8:"kindleit";i:0;s:5:"kledy";i:0;s:10:"kommenting";i:0;s:13:"latafaneracat";i:0;s:8:"librerio";i:0;s:5:"lidar";i:0;s:11:"linksgutter";i:0;s:10:"linkshares";i:0;s:6:"linkuj";i:0;s:13:"lockerblogger";i:0;s:8:"logger24";i:0;s:8:"mymailru";i:0;s:8:"margarin";i:0;s:6:"markme";i:0;s:7:"mashant";i:0;s:8:"mashbord";i:0;s:6:"me2day";i:0;s:6:"meinvz";i:0;s:10:"mekusharim";i:0;s:7:"memonic";i:0;s:6:"memori";i:0;s:8:"mendeley";i:0;s:7:"meneame";i:0;s:4:"live";i:0;s:10:"misterwong";i:0;s:13:"misterwong_de";i:0;s:4:"mixi";i:0;s:8:"moemesto";i:0;s:7:"moikrug";i:0;s:12:"mrcnetworkit";i:0;s:7:"myspace";i:0;s:9:"myvidster";i:0;s:3:"n4g";i:0;s:10:"naszaklasa";i:0;s:6:"netlog";i:0;s:8:"netvibes";i:0;s:7:"netvouz";i:0;s:10:"newsmeback";i:0;s:9:"newstrust";i:0;s:8:"newsvine";i:0;s:5:"nujij";i:0;s:16:"odnoklassniki_ru";i:0;s:9:"oknotizie";i:0;s:11:"openthedoor";i:0;s:5:"oyyla";i:0;s:5:"packg";i:0;s:8:"pafnetde";i:0;s:9:"pdfonline";i:0;s:8:"pdfmyurl";i:0;s:9:"phonefavs";i:0;s:9:"pinterest";i:0;s:15:"pinterest_share";i:0;s:8:"planypus";i:0;s:5:"plaxo";i:0;s:5:"plurk";i:0;s:6:"pocket";i:0;s:8:"posteezy";i:0;s:5:"print";i:0;s:13:"printfriendly";i:0;s:5:"pusha";i:0;s:5:"qrfin";i:0;s:5:"qrsrc";i:0;s:9:"quantcast";i:0;s:5:"qzone";i:0;s:6:"reddit";i:0;s:6:"rediff";i:0;s:6:"redkum";i:0;s:12:"researchgate";i:0;s:11:"safelinking";i:0;s:7:"scoopat";i:0;s:7:"scoopit";i:0;s:7:"sekoman";i:0;s:13:"select2gether";i:0;s:6:"shaveh";i:0;s:9:"shetoldme";i:0;s:9:"sinaweibo";i:0;s:7:"skyrock";i:0;s:5:"smiru";i:0;s:8:"sodahead";i:0;s:6:"sonico";i:0;s:8:"spinsnap";i:0;s:4:"yiid";i:0;s:9:"springpad";i:0;s:8:"startaid";i:0;s:8:"startlap";i:0;s:13:"storyfollower";i:0;s:7:"studivz";i:0;s:8:"stuffpit";i:0;s:11:"stumbleupon";i:0;s:9:"stumpedia";i:0;s:5:"sulia";i:0;s:7:"sunlize";i:0;s:6:"supbro";i:0;s:11:"surfingbird";i:0;s:5:"svejo";i:0;s:8:"symbaloo";i:0;s:5:"taaza";i:0;s:5:"tagza";i:0;s:8:"tapiture";i:0;s:7:"taringa";i:0;s:6:"textme";i:0;s:11:"thewebblend";i:0;s:11:"thinkfinity";i:0;s:8:"thisnext";i:0;s:8:"thrillon";i:0;s:9:"throwpile";i:0;s:4:"toly";i:0;s:13:"topsitelernet";i:0;s:9:"transferr";i:0;s:6:"tuenti";i:0;s:6:"tulinq";i:0;s:5:"tvinx";i:0;s:8:"twitthis";i:0;s:7:"typepad";i:0;s:6:"upnews";i:0;s:13:"urlaubswerkde";i:0;s:6:"viadeo";i:0;s:4:"virb";i:0;s:14:"visitezmonsite";i:0;s:2:"vk";i:0;s:12:"vkrugudruzei";i:0;s:9:"voxopolis";i:0;s:10:"vybralisme";i:0;s:6:"wanelo";i:0;s:15:"internetarchive";i:0;s:6:"sharer";i:0;s:7:"webnews";i:0;s:8:"webshare";i:0;s:11:"werkenntwen";i:0;s:8:"whatsapp";i:0;s:16:"domaintoolswhois";i:0;s:7:"windows";i:0;s:7:"wirefan";i:0;s:9:"wishmindr";i:0;s:9:"wordpress";i:0;s:8:"wowbored";i:0;s:14:"raiseyourvoice";i:0;s:5:"wykop";i:0;s:5:"xanga";i:0;s:4:"xing";i:0;s:8:"yahoobkm";i:0;s:9:"yahoomail";i:0;s:6:"yammer";i:0;s:10:"yardbarker";i:0;s:4:"yigg";i:0;s:6:"yookos";i:0;s:7:"yoolink";i:0;s:10:"yorumcuyum";i:0;s:6:"youmob";i:0;s:5:"yuuby";i:0;s:11:"zakladoknet";i:0;s:6:"ziczac";i:0;s:6:"zingme";i:0;}'),
('addthis_facebook_like_count_support_enabled', 'b:1;'),
('addthis_google_analytics_social_tracking_enabled', 'b:0;'),
('addthis_google_analytics_tracking_enabled', 'b:0;'),
('addthis_open_windows_enabled', 'i:1;'),
('addthis_profile_id', 's:0:"";'),
('addthis_standard_css_enabled', 'i:1;'),
('addthis_twitter_template', 's:30:"{{title}} {{url}} via @AddThis";'),
('addthis_twitter_via', 's:7:"AddThis";'),
('addthis_ui_delay', 's:1:"0";'),
('addthis_ui_header_background_color', 's:0:"";'),
('addthis_ui_header_color', 's:0:"";'),
('addthis_widget_load_async', 'b:0;'),
('addthis_widget_load_domready', 'b:1;'),
('add_func_followsiteadd_func_animate_type', 's:4:"none";'),
('add_func_followsiteadd_funk_block_bg_grids', 'N;'),
('add_func_followsiteadd_funk_block_bg_grid_class', 'N;'),
('add_func_followsiteadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('add_func_followsiteadd_funk_block_bg_parallax', 'N;'),
('add_func_followsiteadd_funk_block_bg_type', 's:4:"none";'),
('add_func_followsiteadd_funk_block_bg_video', 'N;'),
('add_func_followsiteadd_funk_block_bg_video_start', 'N;'),
('add_func_follow_alignment', 's:10:"horizontal";'),
('add_func_follow_block_label', 's:1:"s";'),
('add_func_follow_label', 'i:0;'),
('add_func_follow_site_block_label', 'i:1;'),
('add_func_follow_site_block_user', 's:1:"s";'),
('add_func_likebtn_alignment', 's:4:"left";'),
('add_func_likebtn_comments_nodetypes', 'a:15:{s:4:"blog";s:4:"blog";s:4:"poll";i:0;s:5:"forum";i:0;s:7:"article";i:0;s:6:"banner";i:0;s:4:"book";i:0;s:8:"employee";i:0;s:3:"faq";i:0;s:4:"page";i:0;s:9:"portfolio";i:0;s:7:"service";i:0;s:5:"slide";i:0;s:11:"tariff_plan";i:0;s:11:"testimonial";i:0;s:7:"webform";i:0;}'),
('add_func_likebtn_html_after', 's:0:"";'),
('add_func_likebtn_html_before', 's:0:"";'),
('add_func_likebtn_last_locale_sync_time', 'i:1423121000;'),
('add_func_likebtn_last_style_sync_time', 'i:1423121003;'),
('add_func_likebtn_locales', 'a:23:{s:2:"en";a:3:{s:4:"name";s:7:"English";s:7:"en_name";s:7:"English";s:3:"iso";s:2:"en";}s:2:"ru";a:3:{s:4:"name";s:14:"Русский";s:7:"en_name";s:7:"Russian";s:3:"iso";s:2:"ru";}s:2:"de";a:3:{s:4:"name";s:7:"Deutsch";s:7:"en_name";s:6:"German";s:3:"iso";s:2:"de";}s:2:"ja";a:3:{s:4:"name";s:9:"日本語";s:7:"en_name";s:8:"Japanese";s:3:"iso";s:2:"jp";}s:2:"uk";a:3:{s:4:"name";s:29:"Українська мова";s:7:"en_name";s:9:"Ukrainian";s:3:"iso";s:2:"uk";}s:2:"kk";a:3:{s:4:"name";s:19:"Қазақ тілі";s:7:"en_name";s:6:"Kazakh";s:3:"iso";s:2:"kk";}s:2:"nl";a:3:{s:4:"name";s:10:"Nederlands";s:7:"en_name";s:5:"Dutch";s:3:"iso";s:2:"nl";}s:2:"hu";a:3:{s:4:"name";s:6:"Magyar";s:7:"en_name";s:9:"Hungarian";s:3:"iso";s:2:"hu";}s:2:"sv";a:3:{s:4:"name";s:7:"Svenska";s:7:"en_name";s:7:"Swedish";s:3:"iso";s:2:"sv";}s:2:"tr";a:3:{s:4:"name";s:8:"Türkçe";s:7:"en_name";s:7:"Turkish";s:3:"iso";s:2:"tr";}s:2:"es";a:3:{s:4:"name";s:8:"Español";s:7:"en_name";s:7:"Spanish";s:3:"iso";s:2:"es";}s:2:"ar";a:3:{s:4:"name";s:14:"العربية";s:7:"en_name";s:6:"Arabic";s:3:"iso";s:2:"ar";}s:2:"pt";a:3:{s:4:"name";s:10:"Português";s:7:"en_name";s:10:"Portuguese";s:3:"iso";s:2:"pt";}s:5:"pt_BR";a:3:{s:4:"name";s:20:"Português do Brasil";s:7:"en_name";s:19:"Portuguese (Brazil)";s:3:"iso";s:2:"pt";}s:2:"vi";a:3:{s:4:"name";s:14:"Tiếng Việt";s:7:"en_name";s:10:"Vietnamese";s:3:"iso";s:2:"vi";}s:5:"zh_CN";a:3:{s:4:"name";s:12:"简体中文";s:7:"en_name";s:7:"Chinese";s:3:"iso";s:2:"zh";}s:2:"cs";a:3:{s:4:"name";s:9:"Čeština";s:7:"en_name";s:5:"Czech";s:3:"iso";s:2:"cs";}s:2:"ne";a:3:{s:4:"name";s:18:"नेपाली";s:7:"en_name";s:6:"Nepali";s:3:"iso";s:2:"ne";}s:2:"fr";a:3:{s:4:"name";s:9:"Français";s:7:"en_name";s:6:"French";s:3:"iso";s:2:"fr";}s:2:"it";a:3:{s:4:"name";s:8:"Italiano";s:7:"en_name";s:7:"Italian";s:3:"iso";s:2:"it";}s:2:"he";a:3:{s:4:"name";s:10:"עברית";s:7:"en_name";s:6:"Hebrew";s:3:"iso";s:2:"he";}s:2:"th";a:3:{s:4:"name";s:9:"ไทย";s:7:"en_name";s:4:"Thai";s:3:"iso";s:2:"th";}s:2:"pl";a:3:{s:4:"name";s:6:"Polski";s:7:"en_name";s:6:"Polish";s:3:"iso";s:2:"pl";}}'),
('add_func_likebtn_nodetypes', 'a:15:{s:4:"blog";s:4:"blog";s:9:"portfolio";s:9:"portfolio";s:4:"poll";i:0;s:5:"forum";i:0;s:7:"article";i:0;s:6:"banner";i:0;s:4:"book";i:0;s:8:"employee";i:0;s:3:"faq";i:0;s:4:"page";i:0;s:7:"service";i:0;s:5:"slide";i:0;s:11:"tariff_plan";i:0;s:11:"testimonial";i:0;s:7:"webform";i:0;}'),
('add_func_likebtn_settings_addthis_pubid', 's:0:"";'),
('add_func_likebtn_settings_addthis_service_codes', 's:0:"";'),
('add_func_likebtn_settings_counter_clickable', 'i:0;'),
('add_func_likebtn_settings_counter_padding', 's:0:"";'),
('add_func_likebtn_settings_counter_show', 'i:1;'),
('add_func_likebtn_settings_counter_type', 's:6:"number";'),
('add_func_likebtn_settings_counter_zero_show', 'i:0;'),
('add_func_likebtn_settings_dislike_enabled', 'i:1;'),
('add_func_likebtn_settings_display_only', 'i:0;'),
('add_func_likebtn_settings_domain_from_parent', 'i:0;'),
('add_func_likebtn_settings_event_handler', 's:0:"";'),
('add_func_likebtn_settings_i18n_after_dislike', 's:0:"";'),
('add_func_likebtn_settings_i18n_after_like', 's:0:"";'),
('add_func_likebtn_settings_i18n_dislike', 's:0:"";'),
('add_func_likebtn_settings_i18n_dislike_tooltip', 's:0:"";'),
('add_func_likebtn_settings_i18n_like', 's:0:"";'),
('add_func_likebtn_settings_i18n_like_tooltip', 's:0:"";'),
('add_func_likebtn_settings_i18n_popup_close', 's:0:"";'),
('add_func_likebtn_settings_i18n_popup_donate', 's:0:"";'),
('add_func_likebtn_settings_i18n_popup_text', 's:0:"";'),
('add_func_likebtn_settings_i18n_share_text', 's:0:"";'),
('add_func_likebtn_settings_i18n_undislike_tooltip', 's:0:"";'),
('add_func_likebtn_settings_i18n_unlike_tooltip', 's:0:"";'),
('add_func_likebtn_settings_icon_dislike_show', 'i:1;'),
('add_func_likebtn_settings_icon_like_show', 'i:1;'),
('add_func_likebtn_settings_info_message', 'i:1;'),
('add_func_likebtn_settings_lang', 's:2:"ru";'),
('add_func_likebtn_settings_lazy_load', 'i:0;'),
('add_func_likebtn_settings_like_dislike_at_the_same_time', 'i:0;'),
('add_func_likebtn_settings_like_enabled', 'i:1;'),
('add_func_likebtn_settings_loader_image', 's:0:"";'),
('add_func_likebtn_settings_loader_show', 'i:0;'),
('add_func_likebtn_settings_popup_content_order', 's:35:"popup_share,popup_donate,popup_html";'),
('add_func_likebtn_settings_popup_dislike', 'i:0;'),
('add_func_likebtn_settings_popup_donate', 's:0:"";'),
('add_func_likebtn_settings_popup_enabled', 'i:1;'),
('add_func_likebtn_settings_popup_hide_on_outside_click', 'i:1;'),
('add_func_likebtn_settings_popup_html', 's:0:"";'),
('add_func_likebtn_settings_popup_position', 's:3:"top";'),
('add_func_likebtn_settings_popup_style', 's:5:"light";'),
('add_func_likebtn_settings_revote_period', 's:0:"";'),
('add_func_likebtn_settings_share_enabled', 'i:1;'),
('add_func_likebtn_settings_show_copyright', 'i:1;'),
('add_func_likebtn_settings_show_dislike_label', 'i:0;'),
('add_func_likebtn_settings_show_like_label', 'i:1;'),
('add_func_likebtn_settings_style', 's:4:"gray";'),
('add_func_likebtn_settings_tooltip_enabled', 'i:1;'),
('add_func_likebtn_settings_unlike_allowed', 'i:1;'),
('add_func_likebtn_styles', 'a:28:{i:0;s:5:"white";i:1;s:9:"lightgray";i:2;s:4:"gray";i:3;s:5:"black";i:4;s:6:"padded";i:5;s:4:"drop";i:6;s:4:"line";i:7;s:6:"github";i:8;s:11:"transparent";i:9;s:7:"youtube";i:10;s:4:"habr";i:11;s:10:"heartcross";i:12;s:9:"plusminus";i:13;s:6:"google";i:14;s:8:"greenred";i:15;s:5:"large";i:16;s:7:"elegant";i:17;s:4:"disk";i:18;s:11:"squarespace";i:19;s:10:"slideshare";i:20;s:5:"baidu";i:21;s:6:"uwhite";i:22;s:6:"ublack";i:23;s:7:"uorange";i:24;s:5:"ublue";i:25;s:6:"ugreen";i:26;s:6:"direct";i:27;s:8:"homeshop";}'),
('add_func_likebtn_user_logged_in', 's:3:"all";'),
('add_func_likebtn_view_modes', 'a:6:{s:4:"full";s:4:"full";s:6:"teaser";i:0;s:3:"rss";i:0;s:12:"search_index";i:0;s:13:"search_result";i:0;s:5:"print";i:0;}'),
('add_func_likebtn_weight', 's:2:"10";'),
('add_func_mcd_days', 'i:0;'),
('add_func_mcd_hours', 'i:0;'),
('add_func_mcd_maintenance', 'i:0;'),
('add_func_mcd_minutes', 's:1:"1";'),
('add_func_mcd_months', 'i:0;'),
('add_func_mcd_reload_button', 's:1:"0";'),
('add_func_mcd_seconds', 'i:0;'),
('add_func_mcd_stoptime', 'i:1455642249;'),
('add_func_mcd_time_up_message', 's:112:"Time is up. Please reload this page by hitting <kbd>F5</kbd> on your keyboard or click on "Reload" button below.";'),
('add_func_twitter0add_func_animate_type', 's:6:"fadeIn";'),
('add_func_twitter_avatar_size', 's:2:"20";'),
('add_func_twitter_border_color', 's:7:"#e8e8e8";'),
('add_func_twitter_count', 's:1:"2";'),
('add_func_twitter_favorites', 's:1:"1";'),
('add_func_twitter_height', 's:3:"200";'),
('add_func_twitter_intro_text', 's:0:"";'),
('add_func_twitter_link_color', 's:7:"#42A9E2";'),
('add_func_twitter_loading_text', 's:0:"";'),
('add_func_twitter_no_borders', 's:1:"1";'),
('add_func_twitter_no_footer', 's:1:"1";'),
('add_func_twitter_no_header', 's:1:"1";'),
('add_func_twitter_no_scrollbar', 's:1:"0";'),
('add_func_twitter_outro_text', 's:0:"";'),
('add_func_twitter_refresh_interval', 's:3:"60s";'),
('add_func_twitter_retweets', 's:1:"1";'),
('add_func_twitter_timeline_theme', 's:5:"light";'),
('add_func_twitter_transparent_bg', 's:1:"0";'),
('add_func_twitter_tweets_num', 's:1:"1";'),
('add_func_twitter_username', 's:15:"fanfbmltemplate";'),
('add_func_twitter_widget_id', 's:18:"690090645319458816";'),
('add_func_twitter_width', 's:4:"100%";'),
('admin_theme', 's:5:"seven";'),
('advanced_forum_add_local_task', 'i:1;'),
('advanced_forum_collapsible_containers', 's:6:"toggle";'),
('advanced_forum_default_collapsed_list', 'a:0:{}'),
('advanced_forum_disable_breadcrumbs', 'i:0;'),
('advanced_forum_forum_image_field', 's:0:"";'),
('advanced_forum_forum_image_preset', 's:0:"";'),
('advanced_forum_get_new_comments', 'i:1;'),
('advanced_forum_style', 's:5:"naked";'),
('advanced_forum_styled_node_types', 'a:1:{s:5:"forum";s:5:"forum";}'),
('advanced_forum_style_all_comments', 'i:0;'),
('advanced_forum_style_only_forum_tagged', 'i:1;'),
('advanced_forum_style_teasers', 'i:0;'),
('advanced_forum_topic_title_length', 's:2:"20";'),
('advanced_forum_user_picture_preset', 's:0:"";'),
('advanced_forum_views_as_tabs', 'i:1;'),
('aggregator_allowed_html_tags', 's:68:"<a> <b> <br> <dd> <dl> <dt> <em> <i> <li> <ol> <p> <strong> <u> <ul>";'),
('aggregator_category_selector', 's:10:"checkboxes";'),
('aggregator_clear', 's:1:"0";'),
('aggregator_summary_items', 's:1:"5";'),
('aggregator_teaser_length', 's:3:"600";'),
('anonymous', 's:9:"Anonymous";'),
('block10add_func_animate_type', 's:6:"fadeIn";'),
('block10add_func_block_bg_grids', 'N;'),
('block10add_func_block_bg_grid_class', 's:7:"grid-12";'),
('block10add_func_block_bg_image', 'a:1:{s:3:"fid";s:1:"8";}'),
('block10add_func_block_bg_parallax', 'i:1;'),
('block10add_func_block_bg_type', 's:4:"none";'),
('block10add_func_block_bg_video', 'N;'),
('block10add_func_block_bg_video_start', 'N;'),
('block10add_funk_block_bg_grids', 'i:1;'),
('block10add_funk_block_bg_grid_class', 's:7:"grid-12";'),
('block10add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"8";}'),
('block10add_funk_block_bg_parallax', 'i:1;'),
('block10add_funk_block_bg_type', 's:5:"video";'),
('block10add_funk_block_bg_video', 's:27:"http://youtu.be/2kodXWejuy0";'),
('block10add_funk_block_bg_video_start', 'N;'),
('block11add_func_animate_type', 's:4:"none";'),
('block11add_funk_block_bg_grids', 'N;'),
('block11add_funk_block_bg_grid_class', 'N;'),
('block11add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block11add_funk_block_bg_parallax', 'N;'),
('block11add_funk_block_bg_type', 's:4:"none";'),
('block11add_funk_block_bg_video', 'N;'),
('block11add_funk_block_bg_video_start', 'N;'),
('block12add_func_animate_type', 's:6:"fadeIn";'),
('block12add_funk_block_bg_grids', 'i:1;'),
('block12add_funk_block_bg_grid_class', 's:7:"grid-12";'),
('block12add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block12add_funk_block_bg_parallax', 'N;'),
('block12add_funk_block_bg_type', 's:4:"none";'),
('block12add_funk_block_bg_video', 'N;'),
('block12add_funk_block_bg_video_start', 'N;'),
('block13add_func_animate_type', 's:4:"None";'),
('block13add_funk_block_bg_grids', 'N;'),
('block13add_funk_block_bg_grid_class', 'N;'),
('block13add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block13add_funk_block_bg_parallax', 'N;'),
('block13add_funk_block_bg_type', 's:4:"none";'),
('block13add_funk_block_bg_video', 'N;'),
('block13add_funk_block_bg_video_start', 'N;'),
('block14add_func_animate_type', 's:6:"fadeIn";'),
('block15add_func_animate_type', 's:4:"None";'),
('block16add_func_animate_type', 's:4:"none";'),
('block17add_func_animate_type', 's:4:"none";'),
('block18add_func_animate_type', 's:4:"none";'),
('block19add_func_animate_type', 's:4:"none";'),
('block5add_func_animate_type', 's:4:"none";'),
('block5add_funk_block_bg_grids', 'N;'),
('block5add_funk_block_bg_grid_class', 'N;'),
('block5add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block5add_funk_block_bg_parallax', 'N;'),
('block5add_funk_block_bg_type', 's:4:"none";'),
('block5add_funk_block_bg_video', 'N;'),
('block5add_funk_block_bg_video_start', 'N;'),
('block6add_func_animate_type', 's:4:"None";'),
('block6add_funk_block_bg_grids', 'N;'),
('block6add_funk_block_bg_grid_class', 'N;'),
('block6add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block6add_funk_block_bg_parallax', 'N;'),
('block6add_funk_block_bg_type', 's:4:"none";'),
('block6add_funk_block_bg_video', 'N;'),
('block6add_funk_block_bg_video_start', 'N;'),
('block7add_func_animate_type', 's:4:"None";'),
('block7add_funk_block_bg_grids', 'N;'),
('block7add_funk_block_bg_grid_class', 'N;'),
('block7add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block7add_funk_block_bg_parallax', 'N;'),
('block7add_funk_block_bg_type', 's:4:"none";'),
('block7add_funk_block_bg_video', 'N;'),
('block7add_funk_block_bg_video_start', 'N;'),
('block8add_func_animate_type', 's:6:"fadeIn";'),
('block8add_funk_block_bg_grids', 'N;'),
('block8add_funk_block_bg_grid_class', 'N;'),
('block8add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block8add_funk_block_bg_parallax', 'N;'),
('block8add_funk_block_bg_type', 's:4:"none";'),
('block8add_funk_block_bg_video', 'N;'),
('block8add_funk_block_bg_video_start', 'N;'),
('block9add_func_animate_type', 's:6:"fadeIn";'),
('block9add_funk_block_bg_grids', 'N;'),
('block9add_funk_block_bg_grid_class', 'N;'),
('block9add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('block9add_funk_block_bg_parallax', 'N;'),
('block9add_funk_block_bg_type', 's:4:"none";'),
('block9add_funk_block_bg_video', 'N;'),
('block9add_funk_block_bg_video_start', 'N;'),
('block_subtitle_add_func_follow_site', 's:0:"";'),
('block_subtitle_add_func_twitter_0', 's:0:"";'),
('block_subtitle_block_16', 's:0:"";'),
('block_subtitle_block_17', 's:0:"";'),
('block_subtitle_block_18', 's:0:"";'),
('block_subtitle_block_19', 's:0:"";'),
('block_subtitle_block_9', 's:0:"";'),
('block_subtitle_commerce_cart_cart', 's:0:"";'),
('block_subtitle_commerce_wishlist_share', 's:0:"";'),
('block_subtitle_instagram_block_instagram_block', 's:0:"";'),
('block_subtitle_locale_language', 's:0:"";'),
('block_subtitle_menu_menu-elemets-col-1', 's:0:"";'),
('block_subtitle_menu_menu-elemets-col-2', 's:0:"";'),
('block_subtitle_menu_menu-elemets-col-3', 's:0:"";'),
('block_subtitle_menu_menu-footer-menu', 's:0:"";'),
('block_subtitle_menu_menu-short-user-menu', 's:0:"";'),
('block_subtitle_multiblock_1', 's:0:"";'),
('block_subtitle_multiblock_10', 's:0:"";'),
('block_subtitle_multiblock_12', 's:0:"";'),
('block_subtitle_multiblock_13', 's:0:"";'),
('block_subtitle_multiblock_2', 's:0:"";'),
('block_subtitle_multiblock_3', 's:0:"";'),
('block_subtitle_multiblock_4', 's:0:"";'),
('block_subtitle_panels_mini_contact_us', 's:40:"Jelly jelly-o marshmallow chocolate bar.";'),
('block_subtitle_search_form', 's:0:"";'),
('block_subtitle_simple_subscription_subscribe', 's:0:"";'),
('block_subtitle_styleswitcher_styleswitcher', 's:0:"";'),
('block_subtitle_system_user-menu', 's:0:"";'),
('block_subtitle_views_articles-block_1', 's:0:"";'),
('block_subtitle_views_blog-block_1', 's:43:"Carrot cake gingerbread sugar plum jujubes.";'),
('block_subtitle_views_blog-block_3', 's:43:"Carrot cake gingerbread sugar plum jujubes.";'),
('block_subtitle_views_our_team-block', 's:0:"";'),
('block_subtitle_views_our_team-block_1', 's:0:"";'),
('block_subtitle_views_portfolio-block', 's:29:"Pastry liquorice sesame snaps";'),
('block_subtitle_views_portfolio-block_1', 's:29:"Pastry liquorice sesame snaps";'),
('block_subtitle_views_services-block', 's:43:"Carrot cake gingerbread sugar plum jujubes.";'),
('block_subtitle_views_services-block_6', 's:43:"Carrot cake gingerbread sugar plum jujubes.";'),
('block_subtitle_views_slider-block', 's:0:"";'),
('block_subtitle_views_tariff_plans-block', 's:0:"";'),
('block_subtitle_views_tweets-block', 's:0:"";'),
('block_subtitle_views_video-block', 's:0:"";'),
('blog_block_count', 's:2:"10";'),
('booknavigationadd_func_animate_type', 's:4:"None";'),
('booknavigationadd_funk_block_bg_grids', 'N;'),
('booknavigationadd_funk_block_bg_grid_class', 'N;'),
('booknavigationadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('booknavigationadd_funk_block_bg_parallax', 'N;'),
('booknavigationadd_funk_block_bg_type', 's:4:"none";'),
('booknavigationadd_funk_block_bg_video', 'N;'),
('booknavigationadd_funk_block_bg_video_start', 'N;'),
('book_allowed_types', 'a:1:{i:0;s:4:"book";}'),
('book_block_mode', 's:10:"book pages";'),
('book_child_type', 's:4:"book";'),
('cache_class_cache_ctools_css', 's:14:"CToolsCssCache";'),
('cctags1add_func_animate_type', 's:4:"None";'),
('cctags_is_cache', 'i:1;'),
('cctags_settings_block', 's:134:"a:1:{i:1;a:5:{s:4:"tags";s:2:"40";s:9:"tags_sort";s:9:"level,asc";s:9:"tags_more";i:0;s:5:"level";s:1:"6";s:11:"extra_class";s:0:"";}}";'),
('clean_url', 'i:1;'),
('colorbox_caption_trim', 's:1:"0";'),
('colorbox_caption_trim_length', 's:2:"75";'),
('colorbox_compression_type', 's:8:"minified";'),
('colorbox_custom_settings_activate', 's:1:"0";'),
('colorbox_fixed', 'i:1;'),
('colorbox_imagefield_gallery', 's:1:"1";'),
('colorbox_initialheight', 's:3:"100";'),
('colorbox_initialwidth', 's:3:"300";'),
('colorbox_inline', 'i:0;'),
('colorbox_load', 'i:0;'),
('colorbox_maxheight', 's:4:"100%";'),
('colorbox_maxwidth', 's:4:"100%";'),
('colorbox_mobile_detect', 's:1:"1";'),
('colorbox_mobile_device_width', 's:5:"960px";'),
('colorbox_opacity', 's:4:"0.90";'),
('colorbox_overlayclose', 'i:1;'),
('colorbox_pages', 's:51:"admin*\r\nimg_assist*\r\nimce*\r\nnode/add/*\r\nnode/*/edit";'),
('colorbox_path', 's:28:"sites/all/libraries/colorbox";'),
('colorbox_scrolling', 's:1:"1";'),
('colorbox_slideshow', 's:1:"0";'),
('colorbox_slideshowauto', 'i:1;'),
('colorbox_slideshowspeed', 's:4:"2500";'),
('colorbox_style', 's:37:"sites/all/libraries/colorbox/example1";'),
('colorbox_text_close', 's:5:"Close";'),
('colorbox_text_current', 's:20:"{current} of {total}";'),
('colorbox_text_next', 's:7:"Next »";'),
('colorbox_text_previous', 's:7:"« Prev";'),
('colorbox_text_start', 's:15:"start slideshow";'),
('colorbox_text_stop', 's:14:"stop slideshow";'),
('colorbox_transition_speed', 's:3:"350";'),
('colorbox_transition_type', 's:7:"elastic";'),
('colorbox_visibility', 's:1:"0";'),
('comment_anonymous_article', 's:1:"0";'),
('comment_anonymous_banner', 's:1:"0";'),
('comment_anonymous_blog', 'i:0;'),
('comment_anonymous_book', 'i:0;'),
('comment_anonymous_employee', 'i:0;'),
('comment_anonymous_faq', 's:1:"0";'),
('comment_anonymous_forum', 's:1:"0";'),
('comment_anonymous_poll', 'i:0;'),
('comment_anonymous_product_display', 'i:0;'),
('comment_anonymous_project', 's:1:"0";'),
('comment_anonymous_service', 's:1:"0";'),
('comment_anonymous_slide', 's:1:"0";'),
('comment_anonymous_tariff_plan', 'i:0;'),
('comment_anonymous_testimonial', 's:1:"0";'),
('comment_anonymous_video_entry', 'i:0;'),
('comment_article', 's:1:"2";'),
('comment_banner', 's:1:"1";'),
('comment_block_count', 'i:3;'),
('comment_blog', 's:1:"2";'),
('comment_book', 's:1:"1";'),
('comment_default_mode_article', 'i:1;'),
('comment_default_mode_banner', 'i:1;'),
('comment_default_mode_blog', 'i:1;'),
('comment_default_mode_book', 'i:1;'),
('comment_default_mode_employee', 'i:1;'),
('comment_default_mode_faq', 'i:1;'),
('comment_default_mode_forum', 'i:1;'),
('comment_default_mode_poll', 'i:1;'),
('comment_default_mode_product_display', 'i:1;'),
('comment_default_mode_project', 'i:1;'),
('comment_default_mode_service', 'i:1;'),
('comment_default_mode_slide', 'i:1;'),
('comment_default_mode_tariff_plan', 'i:1;'),
('comment_default_mode_testimonial', 'i:1;'),
('comment_default_mode_video_entry', 'i:1;'),
('comment_default_per_page_article', 's:2:"50";'),
('comment_default_per_page_banner', 's:2:"50";'),
('comment_default_per_page_blog', 's:2:"50";'),
('comment_default_per_page_book', 's:2:"50";'),
('comment_default_per_page_employee', 's:2:"50";'),
('comment_default_per_page_faq', 's:2:"50";'),
('comment_default_per_page_forum', 's:2:"50";'),
('comment_default_per_page_poll', 's:2:"50";'),
('comment_default_per_page_product_display', 's:2:"50";'),
('comment_default_per_page_project', 's:2:"50";'),
('comment_default_per_page_service', 's:2:"50";'),
('comment_default_per_page_slide', 's:2:"50";'),
('comment_default_per_page_tariff_plan', 's:2:"50";'),
('comment_default_per_page_testimonial', 's:2:"50";'),
('comment_default_per_page_video_entry', 's:2:"50";'),
('comment_employee', 's:1:"1";'),
('comment_faq', 's:1:"1";'),
('comment_form_location_article', 'i:1;'),
('comment_form_location_banner', 'i:1;'),
('comment_form_location_blog', 'i:1;'),
('comment_form_location_book', 'i:1;'),
('comment_form_location_employee', 'i:1;'),
('comment_form_location_faq', 'i:1;'),
('comment_form_location_forum', 'i:1;'),
('comment_form_location_poll', 'i:1;'),
('comment_form_location_product_display', 'i:1;'),
('comment_form_location_project', 'i:1;'),
('comment_form_location_service', 'i:1;'),
('comment_form_location_slide', 'i:1;'),
('comment_form_location_tariff_plan', 'i:1;'),
('comment_form_location_testimonial', 'i:1;'),
('comment_form_location_video_entry', 'i:1;'),
('comment_forum', 's:1:"2";'),
('comment_page', 'i:0;'),
('comment_poll', 's:1:"2";'),
('comment_preview_article', 's:1:"1";'),
('comment_preview_banner', 's:1:"1";'),
('comment_preview_blog', 's:1:"1";'),
('comment_preview_book', 's:1:"1";'),
('comment_preview_employee', 's:1:"1";'),
('comment_preview_faq', 's:1:"1";'),
('comment_preview_forum', 's:1:"1";'),
('comment_preview_poll', 's:1:"1";'),
('comment_preview_product_display', 's:1:"1";'),
('comment_preview_project', 's:1:"1";'),
('comment_preview_service', 's:1:"1";'),
('comment_preview_slide', 's:1:"1";'),
('comment_preview_tariff_plan', 's:1:"1";'),
('comment_preview_testimonial', 's:1:"1";'),
('comment_preview_video_entry', 's:1:"1";'),
('comment_product_display', 's:1:"2";'),
('comment_project', 's:1:"1";'),
('comment_service', 's:1:"1";'),
('comment_slide', 's:1:"1";'),
('comment_subject_field_article', 'i:1;'),
('comment_subject_field_banner', 'i:1;'),
('comment_subject_field_blog', 'i:1;'),
('comment_subject_field_book', 'i:1;'),
('comment_subject_field_employee', 'i:1;'),
('comment_subject_field_faq', 'i:1;'),
('comment_subject_field_forum', 'i:1;'),
('comment_subject_field_poll', 'i:1;'),
('comment_subject_field_product_display', 'i:1;'),
('comment_subject_field_project', 'i:1;'),
('comment_subject_field_service', 'i:1;'),
('comment_subject_field_slide', 'i:1;'),
('comment_subject_field_tariff_plan', 'i:1;'),
('comment_subject_field_testimonial', 'i:1;'),
('comment_subject_field_video_entry', 'i:1;'),
('comment_tariff_plan', 's:1:"1";'),
('comment_testimonial', 's:1:"1";'),
('comment_video_entry', 's:1:"1";'),
('comment_webform', 's:1:"0";'),
('commerce_cartcartadd_func_animate_type', 's:4:"none";'),
('commerce_cart_refresh_force', 'i:1;'),
('commerce_cart_refresh_frequency', 's:1:"0";'),
('commerce_cart_refresh_mode', 's:10:"owner_only";'),
('commerce_coupon_checkout_pane_view', 's:36:"commerce_coupon_review_pane|checkout";'),
('commerce_coupon_review_pane_view', 's:34:"commerce_coupon_review_pane|review";'),
('commerce_customer_profile_billing_field', 's:25:"commerce_customer_billing";'),
('commerce_default_currency', 's:3:"USD";'),
('commerce_enabled_currencies', 'a:147:{s:3:"EUR";s:3:"EUR";s:3:"GBP";s:3:"GBP";s:3:"USD";s:3:"USD";s:3:"AED";i:0;s:3:"AFN";i:0;s:3:"ANG";i:0;s:3:"AOA";i:0;s:3:"ARM";i:0;s:3:"ARS";i:0;s:3:"AUD";i:0;s:3:"AWG";i:0;s:3:"AZN";i:0;s:3:"BAM";i:0;s:3:"BBD";i:0;s:3:"BDT";i:0;s:3:"BGN";i:0;s:3:"BHD";i:0;s:3:"BIF";i:0;s:3:"BMD";i:0;s:3:"BND";i:0;s:3:"BOB";i:0;s:3:"BRL";i:0;s:3:"BSD";i:0;s:3:"BTN";i:0;s:3:"BWP";i:0;s:3:"BYR";i:0;s:3:"BZD";i:0;s:3:"CAD";i:0;s:3:"CDF";i:0;s:3:"CHF";i:0;s:3:"CLP";i:0;s:3:"CNY";i:0;s:3:"COP";i:0;s:3:"CRC";i:0;s:3:"CUC";i:0;s:3:"CUP";i:0;s:3:"CVE";i:0;s:3:"CZK";i:0;s:3:"DJF";i:0;s:3:"DKK";i:0;s:3:"DOP";i:0;s:3:"DZD";i:0;s:3:"EEK";i:0;s:3:"EGP";i:0;s:3:"ERN";i:0;s:3:"ETB";i:0;s:3:"FJD";i:0;s:3:"FKP";i:0;s:3:"GHS";i:0;s:3:"GIP";i:0;s:3:"GMD";i:0;s:3:"GNF";i:0;s:3:"GTQ";i:0;s:3:"GYD";i:0;s:3:"HKD";i:0;s:3:"HNL";i:0;s:3:"HRK";i:0;s:3:"HTG";i:0;s:3:"HUF";i:0;s:3:"IDR";i:0;s:3:"ILS";i:0;s:3:"INR";i:0;s:3:"IRR";i:0;s:3:"ISK";i:0;s:3:"JMD";i:0;s:3:"JOD";i:0;s:3:"JPY";i:0;s:3:"KES";i:0;s:3:"KGS";i:0;s:3:"KMF";i:0;s:3:"KRW";i:0;s:3:"KWD";i:0;s:3:"KYD";i:0;s:3:"KZT";i:0;s:3:"LAK";i:0;s:3:"LBP";i:0;s:3:"LKR";i:0;s:3:"LRD";i:0;s:3:"LSL";i:0;s:3:"LTL";i:0;s:3:"LVL";i:0;s:3:"LYD";i:0;s:3:"MAD";i:0;s:3:"MDL";i:0;s:3:"MKD";i:0;s:3:"MMK";i:0;s:3:"MNT";i:0;s:3:"MOP";i:0;s:3:"MRO";i:0;s:3:"MTP";i:0;s:3:"MUR";i:0;s:3:"MXN";i:0;s:3:"MYR";i:0;s:3:"MZN";i:0;s:3:"NAD";i:0;s:3:"NGN";i:0;s:3:"NIO";i:0;s:3:"NOK";i:0;s:3:"NPR";i:0;s:3:"NZD";i:0;s:3:"PAB";i:0;s:3:"PEN";i:0;s:3:"PGK";i:0;s:3:"PHP";i:0;s:3:"PKR";i:0;s:3:"PLN";i:0;s:3:"PYG";i:0;s:3:"QAR";i:0;s:3:"RHD";i:0;s:3:"RON";i:0;s:3:"RSD";i:0;s:3:"RUB";i:0;s:3:"SAR";i:0;s:3:"SBD";i:0;s:3:"SCR";i:0;s:3:"SDD";i:0;s:3:"SEK";i:0;s:3:"SGD";i:0;s:3:"SHP";i:0;s:3:"SLL";i:0;s:3:"SOS";i:0;s:3:"SRD";i:0;s:3:"SRG";i:0;s:3:"STD";i:0;s:3:"SYP";i:0;s:3:"SZL";i:0;s:3:"THB";i:0;s:3:"TND";i:0;s:3:"TOP";i:0;s:3:"TRY";i:0;s:3:"TTD";i:0;s:3:"TWD";i:0;s:3:"TZS";i:0;s:3:"UAH";i:0;s:3:"UGX";i:0;s:3:"UYU";i:0;s:3:"VEF";i:0;s:3:"VND";i:0;s:3:"VUV";i:0;s:3:"WST";i:0;s:3:"XAF";i:0;s:3:"XCD";i:0;s:3:"XOF";i:0;s:3:"XPF";i:0;s:3:"YER";i:0;s:3:"ZAR";i:0;s:3:"ZMK";i:0;}'),
('commerce_order_apply_pricing_rules_link', 'i:0;'),
('commerce_order_auto_revision', 'i:1;'),
('commerce_order_help_text', 's:0:"";'),
('commerce_order_simulate_checkout_link', 'i:0;'),
('commerce_wishlistshareadd_func_animate_type', 's:4:"none";'),
('commerce_wishlist_element', 's:4:"link";'),
('commerce_wishlist_product_types', 'a:1:{s:7:"product";s:7:"product";}'),
('commerce_wishlist_weight', 's:1:"0";'),
('configurable_timezones', 'i:1;'),
('contact_default_status', 'i:1;'),
('cron_key', 's:43:"rBWjTobUvSoO7mLBsANb_M7W5Ybss1hEaaSI37R08yc";'),
('cron_last', 'i:1469446886;'),
('css_js_query_string', 's:6:"oavgoa";'),
('ctools_last_cron', 'i:1469430354;'),
('custom_breadcrumbs_append_bid_class', 'i:0;'),
('custom_breadcrumbs_append_page_title', 'i:0;'),
('custom_breadcrumbs_append_page_title_no_link', 'i:1;'),
('custom_breadcrumbs_even_odd_class', 'i:0;'),
('custom_breadcrumbs_exclude_list', 's:20:"admin/user/user,user";'),
('custom_breadcrumbs_force_active_trail', 'i:0;'),
('custom_breadcrumbs_home_id', 'i:0;'),
('custom_breadcrumbs_menu_list', 'a:1:{s:9:"main-menu";s:9:"main-menu";}'),
('custom_breadcrumbs_parts_class', 'i:0;'),
('custom_breadcrumbs_set_global_home_breadcrumb', 'i:1;'),
('custom_breadcrumbs_set_menu_breadcrumb', 'i:1;'),
('custom_breadcrumbs_type_class', 'i:0;'),
('custom_breadcrumbs_use_exclude_list', 'i:0;'),
('custom_breadcrumbs_use_php_in_titles', 'i:0;'),
('custom_breadcrumb_home', 's:4:"Home";'),
('dashboard_stashed_blocks', 'a:9:{i:0;a:3:{s:6:"module";s:4:"node";s:5:"delta";s:6:"recent";s:6:"region";s:14:"dashboard_main";}i:1;a:3:{s:6:"module";s:4:"user";s:5:"delta";s:3:"new";s:6:"region";s:17:"dashboard_sidebar";}i:2;a:3:{s:6:"module";s:6:"search";s:5:"delta";s:4:"form";s:6:"region";s:17:"dashboard_sidebar";}i:3;a:3:{s:6:"module";s:7:"comment";s:5:"delta";s:6:"recent";s:6:"region";s:18:"dashboard_inactive";}i:4;a:3:{s:6:"module";s:4:"user";s:5:"delta";s:6:"online";s:6:"region";s:18:"dashboard_inactive";}i:5;a:3:{s:6:"module";s:4:"blog";s:5:"delta";s:6:"recent";s:6:"region";s:18:"dashboard_inactive";}i:6;a:3:{s:6:"module";s:4:"poll";s:5:"delta";s:6:"recent";s:6:"region";s:18:"dashboard_inactive";}i:7;a:3:{s:6:"module";s:5:"forum";s:5:"delta";s:6:"active";s:6:"region";s:18:"dashboard_inactive";}i:8;a:3:{s:6:"module";s:5:"forum";s:5:"delta";s:3:"new";s:6:"region";s:18:"dashboard_inactive";}}'),
('date_api_use_iso8601', 'i:0;'),
('date_api_version', 's:3:"7.2";'),
('date_db_tz_support', 'b:0;'),
('date_default_timezone', 's:15:"Europe/Helsinki";'),
('date_first_day', 's:1:"1";'),
('date_format_long', 's:15:"l, F j, Y - H:i";'),
('date_format_medium', 's:10:"F d, Y H:m";'),
('date_format_short', 's:5:"d.m.Y";'),
('date_views_day_format_without_year', 's:6:"l, F j";'),
('date_views_day_format_with_year', 's:9:"l, F j, Y";'),
('date_views_month_format_without_year', 's:1:"F";'),
('date_views_month_format_with_year', 's:3:"F Y";'),
('date_views_week_format_without_year', 's:3:"F j";'),
('date_views_week_format_with_year', 's:6:"F j, Y";'),
('default_field_group', 'a:2:{s:44:"group_product_tabs|node|product_display|form";b:0;s:51:"group_product_description|node|product_display|form";b:1;}'),
('default_file_type', 'a:1:{s:11:"application";b:1;}'),
('default_nodes_main', 's:1:"3";'),
('default_page_manager_pages', 'a:1:{s:8:"elements";b:1;}'),
('default_panels_layout', 'a:2:{s:7:"subpage";b:1;s:16:"subpage_backward";b:1;}'),
('demo_reset_last', 'i:1467630572;'),
('dismiss_fadeout', 's:1:"0";'),
('dismiss_inline', 's:6:"inline";'),
('dismiss_scope', 's:6:"header";'),
('drupal_http_request_fails', 'b:1;'),
('drupal_private_key', 's:43:"yFYcqmtW6T16uoZleaO4XJDnj1VHC8-_0gksq5d6xmc";'),
('email__active_tab', 's:24:"edit-email-admin-created";'),
('empty_timezone_message', 'i:0;'),
('entityreference:base-tables', 'a:15:{s:7:"comment";a:2:{i:0;s:7:"comment";i:1;s:3:"cid";}s:15:"commerce_coupon";a:2:{i:0;s:15:"commerce_coupon";i:1;s:9:"coupon_id";}s:20:"commerce_coupon_type";a:2:{i:0;s:20:"commerce_coupon_type";i:1;s:4:"type";}s:25:"commerce_customer_profile";a:2:{i:0;s:25:"commerce_customer_profile";i:1;s:10:"profile_id";}s:18:"commerce_line_item";a:2:{i:0;s:18:"commerce_line_item";i:1;s:12:"line_item_id";}s:14:"commerce_order";a:2:{i:0;s:14:"commerce_order";i:1;s:8:"order_id";}s:28:"commerce_payment_transaction";a:2:{i:0;s:28:"commerce_payment_transaction";i:1;s:14:"transaction_id";}s:16:"commerce_product";a:2:{i:0;s:16:"commerce_product";i:1;s:10:"product_id";}s:4:"node";a:2:{i:0;s:4:"node";i:1;s:3:"nid";}s:4:"file";a:2:{i:0;s:12:"file_managed";i:1;s:3:"fid";}s:13:"taxonomy_term";a:2:{i:0;s:18:"taxonomy_term_data";i:1;s:3:"tid";}s:19:"taxonomy_vocabulary";a:2:{i:0;s:19:"taxonomy_vocabulary";i:1;s:3:"vid";}s:4:"user";a:2:{i:0;s:5:"users";i:1;s:3:"uid";}s:15:"wysiwyg_profile";a:2:{i:0;s:7:"wysiwyg";i:1;s:6:"format";}s:12:"rules_config";a:2:{i:0;s:12:"rules_config";i:1;s:2:"id";}}'),
('entity_view_modes', 'a:1:{s:4:"file";a:5:{s:10:"blog_image";a:2:{s:5:"label";s:10:"Blog image";s:15:"custom settings";i:1;}s:15:"full_post_image";a:2:{s:5:"label";s:15:"Full post image";s:15:"custom settings";i:1;}s:18:"blog_masonry_image";a:2:{s:5:"label";s:18:"Blog masonry image";s:15:"custom settings";i:1;}s:19:"blog_carousel_image";a:2:{s:5:"label";s:19:"Blog carousel image";s:15:"custom settings";i:1;}s:16:"block_blog_image";a:2:{s:5:"label";s:16:"Blog block image";s:15:"custom settings";i:1;}}}'),
('faq_answer_category_name', 'i:0;'),
('faq_answer_label', 's:2:"A:";'),
('faq_back_to_top', 's:11:"Back to Top";'),
('faq_category_display', 's:4:"none";'),
('faq_category_hide_qa_accordion', 'i:0;'),
('faq_category_listing', 's:2:"ul";'),
('faq_count', 'i:0;'),
('faq_custom_breadcrumbs', 'i:1;'),
('faq_default_sorting', 's:4:"DESC";'),
('faq_description', 's:0:"";'),
('faq_disable_node_links', 'i:1;'),
('faq_display', 's:16:"questions_inline";'),
('faq_group_questions_top', 'i:0;'),
('faq_hide_child_terms', 'i:0;'),
('faq_hide_qa_accordion', 'i:0;'),
('faq_omit_vocabulary', 'a:2:{i:2;i:0;i:1;i:0;}'),
('faq_qa_mark', 'i:1;'),
('faq_question_label', 's:2:"Q:";'),
('faq_question_length', 's:5:"short";'),
('faq_question_listing', 's:2:"ul";'),
('faq_question_long_form', 'i:1;'),
('faq_show_expand_all', 'i:0;'),
('faq_show_node_links', 'i:0;'),
('faq_show_term_page_children', 'i:0;'),
('faq_title', 's:26:"Frequently Asked Questions";'),
('faq_use_categories', 'i:0;'),
('faq_use_teaser', 'i:0;'),
('fb_likebox0add_func_animate_type', 's:4:"None";'),
('fb_likebox_colorscheme', 's:5:"light";'),
('fb_likebox_force_wall', 's:5:"false";'),
('fb_likebox_header', 's:4:"true";'),
('fb_likebox_height', 's:3:"300";'),
('fb_likebox_hide_header', 's:1:"0";'),
('fb_likebox_iframe_title', 's:19:"Like us on Facebook";'),
('fb_likebox_scrolling', 's:3:"yes";'),
('fb_likebox_show_border', 's:4:"true";'),
('fb_likebox_show_faces', 's:1:"1";'),
('fb_likebox_stream', 's:1:"0";'),
('fb_likebox_title', 's:19:"Like us on Facebook";'),
('fb_likebox_url', 's:43:"https://www.facebook.com/FacebookDevelopers";'),
('fb_likebox_width', 's:3:"370";'),
('fb_likebox_width_units', 's:2:"px";'),
('field_bundle_settings', 'N;'),
('field_bundle_settings_comment__comment_node_banner', 'a:0:{}'),
('field_bundle_settings_comment__comment_node_project', 'a:0:{}'),
('field_bundle_settings_comment__comment_node_service', 'a:0:{}'),
('field_bundle_settings_comment__comment_node_slide', 'a:0:{}'),
('field_bundle_settings_comment__comment_node_tariff_plan', 'a:0:{}'),
('field_bundle_settings_commerce_product__product', 'a:2:{s:10:"view_modes";a:0:{}s:12:"extra_fields";a:2:{s:4:"form";a:3:{s:3:"sku";a:1:{s:6:"weight";s:1:"0";}s:5:"title";a:1:{s:6:"weight";s:1:"1";}s:6:"status";a:1:{s:6:"weight";s:1:"4";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_file__audio', 'a:2:{s:10:"view_modes";a:5:{s:10:"blog_image";a:1:{s:15:"custom_settings";b:0;}s:16:"block_blog_image";a:1:{s:15:"custom_settings";b:0;}s:15:"full_post_image";a:1:{s:15:"custom_settings";b:0;}s:18:"blog_masonry_image";a:1:{s:15:"custom_settings";b:0;}s:19:"blog_carousel_image";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:0:{}s:7:"display";a:1:{s:4:"file";a:2:{s:11:"media_small";a:2:{s:6:"weight";i:0;s:7:"visible";b:0;}s:4:"blog";N;}}}}'),
('field_bundle_settings_file__default', 'a:2:{s:10:"view_modes";a:5:{s:10:"blog_image";a:1:{s:15:"custom_settings";b:0;}s:16:"block_blog_image";a:1:{s:15:"custom_settings";b:0;}s:15:"full_post_image";a:1:{s:15:"custom_settings";b:0;}s:18:"blog_masonry_image";a:1:{s:15:"custom_settings";b:0;}s:19:"blog_carousel_image";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:0:{}s:7:"display";a:1:{s:4:"file";a:1:{s:11:"media_small";a:2:{s:6:"weight";i:0;s:7:"visible";b:0;}}}}}'),
('field_bundle_settings_file__image', 'a:2:{s:10:"view_modes";a:5:{s:10:"blog_image";a:1:{s:15:"custom_settings";b:1;}s:16:"block_blog_image";a:1:{s:15:"custom_settings";b:1;}s:15:"full_post_image";a:1:{s:15:"custom_settings";b:1;}s:18:"blog_masonry_image";a:1:{s:15:"custom_settings";b:1;}s:19:"blog_carousel_image";a:1:{s:15:"custom_settings";b:1;}}s:12:"extra_fields";a:2:{s:4:"form";a:0:{}s:7:"display";a:1:{s:4:"file";a:6:{s:11:"media_small";a:2:{s:6:"weight";i:0;s:7:"visible";b:0;}s:10:"blog_image";N;s:15:"full_post_imege";N;s:16:"block_blog_image";N;s:18:"blog_masonry_image";N;s:19:"blog_carousel_image";N;}}}}'),
('field_bundle_settings_file__video', 'a:2:{s:10:"view_modes";a:5:{s:10:"blog_image";a:1:{s:15:"custom_settings";b:1;}s:16:"block_blog_image";a:1:{s:15:"custom_settings";b:1;}s:15:"full_post_image";a:1:{s:15:"custom_settings";b:1;}s:18:"blog_masonry_image";a:1:{s:15:"custom_settings";b:1;}s:19:"blog_carousel_image";a:1:{s:15:"custom_settings";b:1;}}s:12:"extra_fields";a:2:{s:4:"form";a:0:{}s:7:"display";a:1:{s:4:"file";a:1:{s:11:"media_small";a:2:{s:6:"weight";i:0;s:7:"visible";b:0;}}}}}'),
('field_bundle_settings_flagging__like', 'a:0:{}'),
('field_bundle_settings_node__article', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:2:"-5";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__banner', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__blog', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:1:{s:9:"flag_like";a:1:{s:7:"default";a:2:{s:6:"weight";s:2:"10";s:7:"visible";b:1;}}}}}'),
('field_bundle_settings_node__employee', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__faq', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__forum', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:0:{}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__product_display', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:2:"-5";}}s:7:"display";a:5:{s:11:"product:sku";a:1:{s:7:"default";a:2:{s:6:"weight";s:1:"4";s:7:"visible";b:1;}}s:13:"product:title";a:1:{s:7:"default";a:2:{s:6:"weight";s:2:"10";s:7:"visible";b:0;}}s:14:"product:status";a:1:{s:7:"default";a:2:{s:6:"weight";s:2:"11";s:7:"visible";b:0;}}s:22:"product:commerce_price";a:1:{s:7:"default";a:2:{s:6:"weight";s:1:"1";s:7:"visible";b:1;}}s:22:"product:commerce_stock";a:1:{s:7:"default";a:2:{s:6:"weight";s:1:"8";s:7:"visible";b:0;}}}}}'),
('field_bundle_settings_node__project', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__service', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__slide', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:2:"-5";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__tariff_plan', 'a:2:{s:10:"view_modes";a:7:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}s:5:"token";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__testimonial', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:1:"0";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_node__video_entry', 'a:2:{s:10:"view_modes";a:6:{s:6:"teaser";a:1:{s:15:"custom_settings";b:1;}s:4:"full";a:1:{s:15:"custom_settings";b:0;}s:3:"rss";a:1:{s:15:"custom_settings";b:0;}s:12:"search_index";a:1:{s:15:"custom_settings";b:0;}s:13:"search_result";a:1:{s:15:"custom_settings";b:0;}s:5:"print";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:1:{s:5:"title";a:1:{s:6:"weight";s:2:"-5";}}s:7:"display";a:0:{}}}'),
('field_bundle_settings_taxonomy_term__project_categories', 'a:0:{}');
INSERT INTO `variable` VALUES
('field_bundle_settings_user__user', 'a:2:{s:10:"view_modes";a:1:{s:4:"full";a:1:{s:15:"custom_settings";b:0;}}s:12:"extra_fields";a:2:{s:4:"form";a:2:{s:7:"account";a:1:{s:6:"weight";s:1:"1";}s:8:"timezone";a:1:{s:6:"weight";s:1:"2";}}s:7:"display";a:1:{s:7:"summary";a:2:{s:7:"default";a:2:{s:6:"weight";s:1:"0";s:7:"visible";b:1;}s:4:"full";a:2:{s:6:"weight";s:1:"5";s:7:"visible";b:1;}}}}}'),
('file_default_scheme', 's:6:"public";'),
('file_entity_default_allowed_extensions', 's:129:"jpg jpeg gif png txt doc docx xls xlsx pdf ppt pptx pps ppsx odt ods odp mp3 mov mp4 m4a m4v mpeg avi ogg oga ogv weba webp webm ";'),
('file_private_path', 's:27:"sites/default/private/files";'),
('file_public_path', 's:19:"sites/default/files";'),
('file_temporary_path', 's:17:"sites/default/tmp";'),
('filter_fallback_format', 's:10:"plain_text";'),
('flexslider_version', 's:3:"2.2";'),
('flickr_bricksflickr_bricksadd_func_animate_type', 's:6:"fadeIn";'),
('flickr_bricks_feed_url', 's:54:"http://api.flickr.com/services/feeds/photos_public.gne";'),
('flickr_bricks_ids', 's:12:"22828405@N04";'),
('flickr_bricks_img_count', 's:1:"9";'),
('flickr_bricks_tags', 's:0:"";'),
('formblocktestimonialadd_func_animate_type', 's:4:"None";'),
('formblocktestimonialtm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('formblocktestimonialtm_block_bg_parallax', 'N;'),
('formblocktestimonialtm_block_bg_type', 's:4:"none";'),
('formblocktestimonialtm_block_bg_video', 'N;'),
('formblocktestimonialtm_block_bg_video_start', 'N;'),
('formblockuser_registeradd_func_animate_type', 's:4:"None";'),
('formblock_expose_book', 'i:0;'),
('formblock_expose_forum', 'i:0;'),
('formblock_expose_project', 'i:0;'),
('formblock_expose_service', 'i:0;'),
('formblock_expose_tariff_plan', 'i:0;'),
('formblock_expose_testimonial', 'i:1;'),
('formblock_expose_video_entry', 'i:0;'),
('formblock_show_help_book', 'i:0;'),
('formblock_show_help_forum', 'i:0;'),
('formblock_show_help_project', 'i:0;'),
('formblock_show_help_service', 'i:0;'),
('formblock_show_help_tariff_plan', 'i:0;'),
('formblock_show_help_testimonial', 'i:0;'),
('formblock_show_help_video_entry', 'i:0;'),
('forumactiveadd_func_animate_type', 's:4:"None";'),
('forumactivetm_block_bg_video', 'N;'),
('forumactivetm_block_bg_video_start', 'N;'),
('forumnewadd_func_animate_type', 's:4:"None";'),
('forum_block_num_active', 's:1:"5";'),
('forum_block_num_new', 's:1:"5";'),
('forum_containers', 'a:3:{i:0;s:1:"2";i:1;s:1:"3";i:2;s:1:"4";}'),
('forum_nav_vocabulary', 's:1:"2";'),
('image_toolkit', 's:2:"gd";'),
('instagram_blockinstagram_blockadd_func_animate_type', 's:4:"none";'),
('instagram_block_admin_settings', 'a:7:{s:7:"user_id";s:9:"314754609";s:12:"access_token";s:50:"314754609.a85626a.dbe04117a894440ebb2586a385685451";s:6:"submit";s:4:"Save";s:13:"form_build_id";s:48:"form-HvXI37yDC_gvcDZjF_wgeJ2eDjBXsjFdUA26pqu4exk";s:10:"form_token";s:43:"cBZdj2CeidGEw1qQjZtZRSaIOd_w0tQG4KhB-3bui_U";s:7:"form_id";s:30:"instagram_block_admin_settings";s:2:"op";s:4:"Save";}'),
('instagram_block_tag_block_settings', 'a:5:{s:3:"tag";s:6:"drupal";s:5:"count";s:1:"4";s:5:"width";s:3:"100";s:6:"height";s:3:"100";s:14:"img_resolution";s:9:"thumbnail";}'),
('instagram_block_user_block_settings', 'a:22:{s:5:"count";s:1:"8";s:5:"width";s:2:"75";s:6:"height";s:2:"75";s:14:"img_resolution";s:9:"thumbnail";s:6:"module";s:15:"instagram_block";s:5:"delta";s:15:"instagram_block";s:5:"title";s:9:"Instagram";s:21:"add_func_animate_type";s:4:"none";s:9:"css_class";s:0:"";s:14:"block_subtitle";s:0:"";s:7:"regions";a:4:{s:6:"bartik";i:-1;s:7:"garland";i:-1;s:6:"gatsby";s:17:"footer_triptych_3";s:5:"seven";i:-1;}s:10:"visibility";s:1:"0";s:5:"pages";s:0:"";s:5:"roles";a:3:{i:1;i:0;i:2;i:0;i:3;i:0;}s:6:"custom";s:1:"0";s:5:"types";a:15:{s:7:"article";i:0;s:6:"banner";i:0;s:4:"page";i:0;s:4:"blog";i:0;s:4:"book";i:0;s:8:"employee";i:0;s:3:"faq";i:0;s:5:"forum";i:0;s:4:"poll";i:0;s:7:"project";i:0;s:7:"service";i:0;s:5:"slide";i:0;s:11:"tariff_plan";i:0;s:11:"testimonial";i:0;s:7:"webform";i:0;}s:22:"visibility__active_tab";s:9:"edit-path";s:6:"submit";s:10:"Save block";s:13:"form_build_id";s:48:"form-3sPugO1HzATKY9JvgPUXc1CJj_3MhtM9nGzeNWrIqY0";s:10:"form_token";s:43:"VDB3haQHwyuDxVZgjCtDL-0qt0KJNcoC18UbXkQoU0c";s:7:"form_id";s:21:"block_admin_configure";s:2:"op";s:10:"Save block";}'),
('install_profile', 's:12:"demo_profile";'),
('install_task', 's:4:"done";'),
('install_time', 'i:1305115346;'),
('javascript_parsed', 'a:57:{i:0;s:14:"misc/drupal.js";i:1;s:64:"sites/all/modules/jquery_update/replace/jquery/1.8/jquery.min.js";i:2;s:19:"misc/jquery.once.js";i:3;s:41:"sites/all/themes/gatsby/js/gatsby.core.js";i:4;s:52:"sites/all/themes/gatsby/js/jquery.debouncedresize.js";i:5;s:47:"sites/all/themes/gatsby/js/jquery.mobilemenu.js";i:6;s:43:"sites/all/themes/gatsby/js/jquery.easing.js";i:7;s:45:"sites/all/themes/gatsby/js/jquery.ui.totop.js";i:8;s:43:"sites/all/themes/gatsby/js/jquery.cookie.js";i:9;s:38:"sites/all/themes/gatsby/js/stick-up.js";i:10;s:37:"sites/all/themes/gatsby/js/tformer.js";i:11;s:40:"sites/all/themes/gatsby/js/device.min.js";i:12;s:51:"sites/all/themes/gatsby/js/jquery.mousewheel.min.js";i:13;s:60:"sites/all/themes/gatsby/js/jquery.simplr.smoothscroll.min.js";i:14;s:48:"sites/all/themes/gatsby/js/jquery.mb.YTPlayer.js";i:15;s:38:"sites/all/themes/gatsby/js/parallax.js";i:16;s:46:"sites/all/themes/gatsby/js/mad.customselect.js";i:17;s:43:"sites/all/themes/gatsby/js/jquery.script.js";i:18;s:61:"sites/all/modules/add_func/modules/add_func_animate/js/wow.js";i:19;s:74:"sites/all/modules/add_func/modules/add_func_animate/js/add-func-animate.js";i:20;s:51:"sites/all/libraries/colorbox/jquery.colorbox-min.js";i:21;s:41:"sites/all/modules/colorbox/js/colorbox.js";i:22;s:71:"sites/all/modules/add_func/modules/add_func_shortcodes/js/shortcodes.js";i:23;s:77:"sites/all/modules/add_func/modules/add_func_shortcodes/js/jquery.counterup.js";i:24;s:74:"sites/all/modules/add_func/modules/add_func_shortcodes/js/waypoints.min.js";i:25;s:56:"sites/all/modules/tb_megamenu/js/tb-megamenu-frontend.js";i:26;s:53:"sites/all/modules/tb_megamenu/js/tb-megamenu-touch.js";i:27;s:76:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.core.min.js";i:28;s:78:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.widget.min.js";i:29;s:78:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.button.min.js";i:30;s:77:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.mouse.min.js";i:31;s:81:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.draggable.min.js";i:32;s:80:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.position.min.js";i:33;s:81:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.resizable.min.js";i:34;s:78:"sites/all/modules/jquery_update/replace/ui/ui/minified/jquery.ui.dialog.min.js";i:35;s:32:"modules/contextual/contextual.js";i:36;s:36:"sites/all/modules/addthis/addthis.js";i:37;s:60:"sites/all/modules/simple_subscription/simple_subscription.js";i:38;s:42:"sites/all/modules/admin_menu/admin_menu.js";i:39;s:69:"sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.js";s:10:"refresh:de";s:7:"waiting";i:40;s:43:"sites/all/libraries/easing/jquery.easing.js";i:41;s:55:"sites/all/libraries/flexslider/jquery.flexslider-min.js";i:42;s:57:"sites/all/modules/flexslider/assets/js/flexslider.load.js";i:43;s:47:"sites/all/libraries/isotope/isotope.pkgd.min.js";i:44;s:48:"sites/all/modules/views_isotope/views_isotope.js";i:45;s:34:"sites/all/modules/views/js/base.js";i:46;s:16:"misc/progress.js";i:47;s:51:"sites/all/modules/jquery_update/js/jquery_update.js";i:48;s:12:"misc/ajax.js";i:49;s:68:"sites/all/modules/jquery_update/replace/ui/external/jquery.cookie.js";i:50;s:63:"sites/all/modules/jquery_update/replace/misc/jquery.form.min.js";i:51;s:39:"sites/all/modules/views/js/ajax_view.js";i:52;s:45:"sites/all/modules/ctools/js/ajax-responder.js";i:53;s:39:"sites/all/modules/webform/js/webform.js";i:54;s:20:"misc/autocomplete.js";i:55;s:16:"misc/textarea.js";}'),
('jquery_update_compression_type', 's:3:"min";'),
('jquery_update_jquery_admin_version', 's:0:"";'),
('jquery_update_jquery_cdn', 's:4:"none";'),
('jquery_update_jquery_version', 's:3:"1.8";'),
('language_content_type_article', 's:1:"0";'),
('language_content_type_banner', 's:1:"0";'),
('language_content_type_blog', 's:1:"0";'),
('language_content_type_book', 's:1:"0";'),
('language_content_type_carousel', 's:1:"0";'),
('language_content_type_employee', 's:1:"0";'),
('language_content_type_faq', 's:1:"0";'),
('language_content_type_forum', 's:1:"0";'),
('language_content_type_map', 's:1:"0";'),
('language_content_type_poll', 's:1:"0";'),
('language_content_type_product_display', 's:1:"0";'),
('language_content_type_project', 's:1:"0";'),
('language_content_type_service', 's:1:"0";'),
('language_content_type_slide', 's:1:"0";'),
('language_content_type_tariff_plan', 's:1:"0";'),
('language_content_type_testimonial', 's:1:"0";'),
('language_content_type_tiled_gallery_item', 's:1:"0";'),
('language_content_type_video_entry', 's:1:"0";'),
('language_count', 'i:2;'),
('language_default', 'O:8:"stdClass":11:{s:8:"language";s:2:"en";s:4:"name";s:7:"English";s:6:"native";s:7:"English";s:9:"direction";s:1:"0";s:7:"enabled";i:1;s:7:"plurals";s:1:"0";s:7:"formula";s:0:"";s:6:"domain";s:0:"";s:6:"prefix";s:2:"en";s:6:"weight";s:2:"-9";s:10:"javascript";s:0:"";}'),
('language_negotiation_language', 'a:2:{s:14:"locale-session";a:2:{s:9:"callbacks";a:3:{s:8:"language";s:28:"locale_language_from_session";s:8:"switcher";s:32:"locale_language_switcher_session";s:11:"url_rewrite";s:35:"locale_language_url_rewrite_session";}s:4:"file";s:19:"includes/locale.inc";}s:16:"language-default";a:1:{s:9:"callbacks";a:1:{s:8:"language";s:21:"language_from_default";}}}'),
('language_negotiation_language_content', 'a:1:{s:16:"locale-interface";a:2:{s:9:"callbacks";a:1:{s:8:"language";s:30:"locale_language_from_interface";}s:4:"file";s:19:"includes/locale.inc";}}'),
('language_negotiation_language_url', 'a:2:{s:10:"locale-url";a:2:{s:9:"callbacks";a:3:{s:8:"language";s:24:"locale_language_from_url";s:8:"switcher";s:28:"locale_language_switcher_url";s:11:"url_rewrite";s:31:"locale_language_url_rewrite_url";}s:4:"file";s:19:"includes/locale.inc";}s:19:"locale-url-fallback";a:2:{s:9:"callbacks";a:1:{s:8:"language";s:28:"locale_language_url_fallback";}s:4:"file";s:19:"includes/locale.inc";}}'),
('language_types', 'a:3:{s:8:"language";b:1;s:16:"language_content";b:0;s:12:"language_url";b:0;}'),
('lang_dropdownlanguageadd_func_animate_type', 's:4:"None";'),
('lang_dropdown_language', 'a:9:{s:7:"showall";i:0;s:6:"tohome";i:0;s:5:"width";s:3:"165";s:7:"display";s:1:"1";s:6:"widget";s:1:"0";s:10:"msdropdown";a:6:{s:12:"visible_rows";i:5;s:7:"rounded";i:1;s:9:"animation";s:9:"slideDown";s:5:"event";s:5:"click";s:4:"skin";s:7:"ldsSkin";s:11:"custom_skin";s:0:"";}s:6:"chosen";a:2:{s:14:"disable_search";i:1;s:15:"no_results_text";s:17:"No language match";}s:7:"ddslick";a:5:{s:14:"ddslick_height";i:0;s:16:"showSelectedHTML";i:1;s:13:"imagePosition";s:4:"left";s:4:"skin";s:10:"ddsDefault";s:11:"custom_skin";s:0:"";}s:13:"languageicons";a:1:{s:13:"flag_position";i:1;}}'),
('likebtn_account_data_api_key', 's:0:"";'),
('likebtn_account_data_email', 's:0:"";'),
('likebtn_comments_nodetypes', 'a:15:{s:4:"blog";s:4:"blog";s:9:"portfolio";s:9:"portfolio";s:4:"poll";i:0;s:5:"forum";i:0;s:7:"article";i:0;s:6:"banner";i:0;s:4:"book";i:0;s:8:"employee";i:0;s:3:"faq";i:0;s:4:"page";i:0;s:7:"service";i:0;s:5:"slide";i:0;s:11:"tariff_plan";i:0;s:11:"testimonial";i:0;s:7:"webform";i:0;}'),
('likebtn_nodetypes', 'a:15:{s:4:"blog";s:4:"blog";s:9:"portfolio";s:9:"portfolio";s:4:"poll";i:0;s:5:"forum";i:0;s:7:"article";i:0;s:6:"banner";i:0;s:4:"book";i:0;s:8:"employee";i:0;s:3:"faq";i:0;s:4:"page";i:0;s:7:"service";i:0;s:5:"slide";i:0;s:11:"tariff_plan";i:0;s:11:"testimonial";i:0;s:7:"webform";i:0;}'),
('likebtn_settings_local_domain', 's:0:"";'),
('likebtn_settings_subdirectory', 's:0:"";'),
('likebtn_sync_inerval', 's:2:"60";'),
('likebtn_user_logged_in', 's:3:"all";'),
('likebtn_view_modes', 'a:6:{s:4:"full";s:4:"full";s:6:"teaser";i:0;s:3:"rss";i:0;s:12:"search_index";i:0;s:13:"search_result";i:0;s:5:"print";i:0;}'),
('likebtn_weight', 's:2:"10";'),
('localelanguageadd_func_animate_type', 's:4:"none";'),
('locale_language_providers_weight_language', 'a:5:{s:10:"locale-url";s:2:"-8";s:14:"locale-session";s:2:"-6";s:11:"locale-user";s:2:"-4";s:14:"locale-browser";s:2:"-2";s:16:"language-default";s:2:"10";}'),
('maintenance_mode', 'b:0;'),
('maintenance_mode_message', 's:191:"<p><span class="fa fa-cog fa-2x fa-spin"></span><span class="fa fa-cog fa-spin"></span></p>\r\n<p>Site is currently under maintenance. We should be back shortly. Thank you for your patience</p>";'),
('mcd_days', 'i:0;'),
('mcd_hours', 'i:0;'),
('mcd_maintenance', 'i:1;'),
('mcd_minutes', 's:1:"1";'),
('mcd_months', 'i:0;'),
('mcd_page_themes', 's:5:"light";'),
('mcd_reload_button', 's:1:"0";'),
('mcd_seconds', 'i:0;'),
('mcd_site_logo', 'i:0;'),
('mcd_site_name', 'i:0;'),
('mcd_site_slogan', 'i:0;'),
('mcd_stoptime', 'i:1455631417;'),
('mcd_time_up_message', 's:112:"Time is up. Please reload this page by hitting <kbd>F5</kbd> on your keyboard or click on "Reload" button below.";'),
('menumenu-elemets-col-1add_func_animate_type', 's:4:"none";'),
('menumenu-elemets-col-2add_func_animate_type', 's:4:"none";'),
('menumenu-elemets-col-3add_func_animate_type', 's:4:"none";'),
('menumenu-footer-menuadd_func_animate_type', 's:4:"none";'),
('menumenu-onepageadd_func_animate_type', 's:4:"none";'),
('menumenu-short-user-menuadd_func_animate_type', 's:4:"none";'),
('menumenu-sitemapadd_func_animate_type', 's:4:"None";'),
('menumenu-views-pagesadd_func_animate_type', 's:4:"None";'),
('menu_block_1_admin_title', 's:11:"Footer menu";'),
('menu_block_1_depth', 's:1:"1";'),
('menu_block_1_expanded', 'i:0;'),
('menu_block_1_follow', 'i:0;'),
('menu_block_1_level', 's:1:"1";'),
('menu_block_1_parent', 's:11:"main-menu:0";'),
('menu_block_1_sort', 'i:0;'),
('menu_block_1_title_link', 'i:0;'),
('menu_block_ids', 'a:1:{i:0;i:1;}'),
('menu_default_active_menus', 'a:10:{i:2;s:9:"main-menu";i:3;s:10:"management";i:4;s:10:"navigation";i:5;s:9:"user-menu";i:11;s:12:"menu-sitemap";i:14;s:16:"menu-footer-menu";i:15;s:20:"menu-short-user-menu";i:16;s:18:"menu-elemets-col-1";i:17;s:18:"menu-elemets-col-2";i:18;s:18:"menu-elemets-col-3";}'),
('menu_expanded', 'a:0:{}'),
('menu_main_links_source', 's:9:"main-menu";'),
('menu_masks', 'a:50:{i:0;i:507;i:1;i:506;i:2;i:501;i:3;i:493;i:4;i:253;i:5;i:252;i:6;i:251;i:7;i:250;i:8;i:247;i:9;i:246;i:10;i:245;i:11;i:127;i:12;i:126;i:13;i:125;i:14;i:124;i:15;i:123;i:16;i:122;i:17;i:121;i:18;i:117;i:19;i:64;i:20;i:63;i:21;i:62;i:22;i:61;i:23;i:60;i:24;i:59;i:25;i:58;i:26;i:56;i:27;i:46;i:28;i:45;i:29;i:44;i:30;i:32;i:31;i:31;i:32;i:30;i:33;i:29;i:34;i:24;i:35;i:22;i:36;i:21;i:37;i:15;i:38;i:14;i:39;i:13;i:40;i:11;i:41;i:10;i:42;i:8;i:43;i:7;i:44;i:6;i:45;i:5;i:46;i:4;i:47;i:3;i:48;i:2;i:49;i:1;}'),
('menu_options_article', 'a:0:{}'),
('menu_options_banner', 'a:0:{}'),
('menu_options_blog', 'a:1:{i:0;s:9:"main-menu";}'),
('menu_options_book', 'a:0:{}'),
('menu_options_carousel', 'a:0:{}'),
('menu_options_employee', 'a:0:{}'),
('menu_options_faq', 'a:0:{}'),
('menu_options_forum', 'a:1:{i:0;s:9:"main-menu";}'),
('menu_options_map', 'a:1:{i:0;s:9:"main-menu";}'),
('menu_options_poll', 'a:1:{i:0;s:9:"main-menu";}'),
('menu_options_product_display', 'a:0:{}'),
('menu_options_project', 'a:0:{}'),
('menu_options_service', 'a:0:{}'),
('menu_options_slide', 'a:1:{i:0;s:9:"main-menu";}'),
('menu_options_tariff_plan', 'a:0:{}'),
('menu_options_testimonial', 'a:0:{}'),
('menu_options_tiled_gallery_item', 'a:0:{}'),
('menu_options_video_entry', 'a:0:{}'),
('menu_parent_article', 's:11:"main-menu:0";'),
('menu_parent_banner', 's:11:"main-menu:0";'),
('menu_parent_blog', 's:11:"main-menu:0";'),
('menu_parent_book', 's:11:"main-menu:0";'),
('menu_parent_carousel', 's:11:"main-menu:0";'),
('menu_parent_employee', 's:11:"main-menu:0";'),
('menu_parent_faq', 's:11:"main-menu:0";'),
('menu_parent_forum', 's:11:"main-menu:0";'),
('menu_parent_map', 's:11:"main-menu:0";'),
('menu_parent_poll', 's:11:"main-menu:0";'),
('menu_parent_product_display', 's:11:"main-menu:0";'),
('menu_parent_project', 's:11:"main-menu:0";'),
('menu_parent_service', 's:11:"main-menu:0";'),
('menu_parent_slide', 's:11:"main-menu:0";'),
('menu_parent_tariff_plan', 's:11:"main-menu:0";'),
('menu_parent_testimonial', 's:11:"main-menu:0";'),
('menu_parent_tiled_gallery_item', 's:11:"main-menu:0";'),
('menu_parent_video_entry', 's:11:"main-menu:0";'),
('menu_secondary_links_source', 's:9:"user-menu";'),
('module_filter_count_enabled', 'i:1;'),
('module_filter_dynamic_save_position', 'i:1;'),
('module_filter_hide_empty_tabs', 'i:1;'),
('module_filter_recent_modules', 'a:2:{s:5:"token";i:1468853007;s:4:"book";i:1468930323;}'),
('module_filter_remember_active_tab', 'i:1;'),
('module_filter_remember_update_state', 'i:0;'),
('module_filter_set_focus', 'i:1;'),
('module_filter_tabs', 'i:1;'),
('module_filter_track_recent_modules', 'i:1;'),
('module_filter_use_switch', 'i:0;'),
('module_filter_use_url_fragment', 'i:1;'),
('module_filter_visual_aid', 'i:1;'),
('multiblock10add_func_animate_type', 's:4:"none";'),
('multiblock12add_func_animate_type', 's:4:"none";'),
('multiblock13add_func_animate_type', 's:4:"none";'),
('multiblock1add_func_animate_type', 's:4:"none";'),
('multiblock2add_func_animate_type', 's:4:"none";'),
('multiblock3add_func_animate_type', 's:4:"none";'),
('multiblock4add_func_animate_type', 's:4:"none";'),
('node_admin_theme', 'i:1;'),
('node_cron_last', 's:10:"1469099599";'),
('node_options_article', 'a:1:{i:0;s:6:"status";}'),
('node_options_banner', 'a:1:{i:0;s:6:"status";}'),
('node_options_blog', 'a:1:{i:0;s:6:"status";}'),
('node_options_book', 'a:1:{i:0;s:6:"status";}'),
('node_options_carousel', 'a:1:{i:0;s:6:"status";}'),
('node_options_employee', 'a:1:{i:0;s:6:"status";}'),
('node_options_faq', 'a:1:{i:0;s:6:"status";}'),
('node_options_forum', 'a:1:{i:0;s:6:"status";}'),
('node_options_map', 'a:1:{i:0;s:6:"status";}'),
('node_options_page', 'a:1:{i:0;s:6:"status";}'),
('node_options_poll', 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}'),
('node_options_product_display', 'a:1:{i:0;s:6:"status";}'),
('node_options_project', 'a:1:{i:0;s:6:"status";}'),
('node_options_service', 'a:1:{i:0;s:6:"status";}'),
('node_options_slide', 'a:1:{i:0;s:6:"status";}'),
('node_options_tariff_plan', 'a:1:{i:0;s:6:"status";}'),
('node_options_testimonial', 'a:1:{i:0;s:6:"status";}'),
('node_options_tiled_gallery_item', 'a:1:{i:0;s:6:"status";}'),
('node_options_video_entry', 'a:1:{i:0;s:6:"status";}'),
('node_preview_article', 's:1:"1";'),
('node_preview_banner', 's:1:"1";'),
('node_preview_blog', 's:1:"1";'),
('node_preview_book', 's:1:"1";'),
('node_preview_employee', 's:1:"1";'),
('node_preview_faq', 's:1:"1";'),
('node_preview_forum', 's:1:"1";'),
('node_preview_poll', 's:1:"1";'),
('node_preview_product_display', 's:1:"1";'),
('node_preview_project', 's:1:"1";'),
('node_preview_service', 's:1:"1";'),
('node_preview_slide', 's:1:"1";'),
('node_preview_tariff_plan', 's:1:"1";'),
('node_preview_testimonial', 's:1:"0";'),
('node_preview_video_entry', 's:1:"1";'),
('node_recent_block_count', 's:2:"10";'),
('node_submitted_article', 'i:1;'),
('node_submitted_banner', 'i:0;'),
('node_submitted_blog', 'i:1;'),
('node_submitted_book', 'i:0;'),
('node_submitted_carousel', 'i:0;'),
('node_submitted_employee', 'i:0;'),
('node_submitted_faq', 'i:0;'),
('node_submitted_forum', 'i:1;'),
('node_submitted_map', 'i:0;'),
('node_submitted_page', 'b:0;'),
('node_submitted_poll', 'i:1;'),
('node_submitted_product_display', 'i:0;'),
('node_submitted_project', 'i:0;'),
('node_submitted_service', 'i:0;'),
('node_submitted_slide', 'i:0;'),
('node_submitted_tariff_plan', 'i:0;'),
('node_submitted_testimonial', 'i:0;'),
('node_submitted_tiled_gallery_item', 'i:0;'),
('node_submitted_video_entry', 'i:0;'),
('node_type_faq', 'a:1:{i:0;s:6:"status";}'),
('panels_minicontact_usadd_func_animate_type', 's:6:"fadeIn";'),
('path_alias_whitelist', 'a:0:{}'),
('pollrecenttm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('pollrecenttm_block_bg_parallax', 'N;'),
('pollrecenttm_block_bg_type', 's:4:"none";'),
('pollrecenttm_block_bg_video', 'N;'),
('pollrecenttm_block_bg_video_start', 'N;'),
('quotes_author_bio', 's:1:"0";'),
('quotes_author_link', 's:1:"1";'),
('quotes_block_citation', 'b:0;'),
('quotes_edit_link', 's:1:"1";'),
('quotes_format', 's:9:"full_html";'),
('quotes_leader', 's:7:"&mdash;";'),
('quotes_per_page', 's:1:"3";'),
('quotes_quick_nav', 's:1:"1";'),
('quotes_quick_nav_original', 'b:1;'),
('quotes_showlink', 's:1:"1";'),
('quotes_show_myquotes', 's:1:"1";'),
('quotes_show_myquotes_original', 'b:1;'),
('quotes_user_recent', 'b:0;'),
('save_continue_carousel', 's:19:"Save and add fields";'),
('save_continue_employee', 's:19:"Save and add fields";'),
('save_continue_faq', 's:19:"Save and add fields";'),
('save_continue_maps', 's:19:"Save and add fields";'),
('save_continue_partners', 's:19:"Save and add fields";'),
('save_continue_plan', 's:19:"Save and add fields";'),
('save_continue_portfolio', 's:19:"Save and add fields";'),
('save_continue_product_display', 's:19:"Save and add fields";'),
('save_continue_services', 's:19:"Save and add fields";'),
('save_continue_slider', 's:19:"Save and add fields";'),
('save_continue_testimonial', 's:19:"Save and add fields";'),
('save_continue_tiled_gallery_item', 's:19:"Save and add fields";'),
('save_continue_video_entry', 's:19:"Save and add fields";'),
('searchformadd_func_animate_type', 's:4:"none";'),
('simple_subscriptionsubscribeadd_func_animate_type', 's:6:"fadeIn";'),
('simple_subscription_config', 'a:8:{s:11:"form_header";s:0:"";s:11:"form_footer";s:0:"";s:11:"input_label";s:0:"";s:10:"input_size";s:2:"40";s:13:"input_content";s:21:"gatsby@samplemail.com";s:12:"submit_value";s:9:"Subscribe";s:15:"success_message";s:25:"Thank you for subscribing";s:13:"redirect_path";s:0:"";}'),
('single_page_site_settings', 'a:11:{s:4:"menu";s:12:"menu-onepage";s:9:"menuclass";s:31:"#block-tb-megamenu-menu-onepage";s:5:"class";s:0:"";s:3:"tag";s:2:"h2";s:5:"title";s:12:"Home onepage";s:4:"down";s:2:"50";s:2:"up";s:3:"200";s:15:"smoothscrolling";i:1;s:10:"updatehash";i:0;s:8:"homepage";i:0;s:15:"offset_selector";s:31:"#block-tb-megamenu-menu-onepage";}'),
('site_403', 's:17:"403-access-denied";'),
('site_404', 's:14:"404-error-page";'),
('site_default_country', 's:0:"";'),
('site_frontpage', 's:4:"node";'),
('site_mail', 's:15:"admin@admin.com";'),
('site_name', 's:6:"Gatsby";'),
('site_slogan', 's:0:"";'),
('statisticspopularadd_func_animate_type', 's:4:"None";'),
('statistics_block_top_all_num', 's:1:"5";'),
('statistics_block_top_day_num', 's:1:"0";'),
('statistics_block_top_last_num', 's:1:"0";'),
('statistics_count_content_views', 'i:1;'),
('statistics_count_content_views_ajax', 'i:0;'),
('statistics_day_timestamp', 'i:1469430310;'),
('statistics_enable_access_log', 'i:0;'),
('statistics_flush_accesslog_timer', 's:1:"0";'),
('styleswitcherstyleswitcheradd_func_animate_type', 's:4:"none";'),
('superfish1add_func_animate_type', 's:4:"None";'),
('superfish1add_funk_block_bg_grids', 'N;'),
('superfish1add_funk_block_bg_grid_class', 'N;'),
('superfish1add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('superfish1add_funk_block_bg_parallax', 'N;'),
('superfish1add_funk_block_bg_type', 's:4:"none";'),
('superfish1add_funk_block_bg_video', 'N;'),
('superfish1add_funk_block_bg_video_start', 'N;'),
('superfish_amw_1', 'i:0;'),
('superfish_arrow_1', 'i:1;'),
('superfish_bgf_1', 'i:0;'),
('superfish_clone_parent_1', 'i:0;'),
('superfish_delay_1', 's:3:"800";'),
('superfish_depth_1', 's:2:"-1";'),
('superfish_dfirstlast_1', 'i:0;'),
('superfish_dzebra_1', 'i:0;'),
('superfish_expanded_1', 'i:0;'),
('superfish_firstlast_1', 'i:1;'),
('superfish_hhldescription_1', 'i:0;'),
('superfish_hid_1', 'i:1;'),
('superfish_hlclass_1', 's:0:"";'),
('superfish_hldescription_1', 'i:0;'),
('superfish_hldexclude_1', 's:0:"";'),
('superfish_hldmenus_1', 's:0:"";'),
('superfish_itemcounter_1', 'i:1;'),
('superfish_itemcount_1', 'i:1;'),
('superfish_itemdepth_1', 'i:1;'),
('superfish_liclass_1', 's:0:"";'),
('superfish_maxwidth_1', 's:2:"27";'),
('superfish_mcdepth_1', 's:1:"1";'),
('superfish_mcexclude_1', 's:3:"739";'),
('superfish_mclevels_1', 's:1:"1";'),
('superfish_menu_1', 's:14:"menu-onepage:0";'),
('superfish_minwidth_1', 's:2:"12";'),
('superfish_multicolumn_1', 'i:0;'),
('superfish_name_1', 's:0:"";'),
('superfish_number', 's:1:"1";'),
('superfish_pathclass_1', 's:12:"active-trail";'),
('superfish_pathcss_1', 's:0:"";'),
('superfish_pathlevels_1', 's:1:"1";'),
('superfish_shadow_1', 'i:0;'),
('superfish_slide_1', 's:21:"easeOutCubic_vertical";'),
('superfish_slp', 's:344:"sites/all/libraries/superfish/jquery.hoverIntent.minified.js\r\nsites/all/libraries/superfish/jquery.bgiframe.min.js\r\nsites/all/libraries/superfish/superfish.js\r\nsites/all/libraries/superfish/supersubs.js\r\nsites/all/libraries/superfish/supposition.js\r\nsites/all/libraries/superfish/sftouchscreen.js\r\nsites/all/libraries/superfish/sfsmallscreen.js";'),
('superfish_smallabt_1', 's:1:"1";'),
('superfish_smallact_1', 's:1:"1";'),
('superfish_smallamt_1', 's:0:"";'),
('superfish_smallasa_1', 'i:0;'),
('superfish_smallbpu_1', 's:2:"px";'),
('superfish_smallbp_1', 's:3:"768";'),
('superfish_smallchc_1', 'i:0;'),
('superfish_smallcmc_1', 'i:0;'),
('superfish_smallech_1', 's:0:"";'),
('superfish_smallecm_1', 's:0:"";'),
('superfish_smallich_1', 's:0:"";'),
('superfish_smallicm_1', 's:0:"";'),
('superfish_smallset_1', 's:0:"";'),
('superfish_smallual_1', 's:0:"";'),
('superfish_smalluam_1', 's:1:"0";'),
('superfish_smallua_1', 's:1:"0";'),
('superfish_small_1', 's:1:"0";'),
('superfish_speed_1', 's:4:"fast";'),
('superfish_spp_1', 'i:0;'),
('superfish_style_1', 's:4:"none";'),
('superfish_supersubs_1', 'i:1;'),
('superfish_supersubs_emm_1', 'i:0;'),
('superfish_touchbh_1', 's:1:"2";'),
('superfish_touchbpu_1', 's:2:"px";'),
('superfish_touchbp_1', 's:3:"768";'),
('superfish_touchdh_1', 'i:0;'),
('superfish_touchual_1', 's:19:"iPhone*Android*iPad";'),
('superfish_touchuam_1', 's:1:"0";'),
('superfish_touchua_1', 's:1:"1";'),
('superfish_touch_1', 's:1:"3";'),
('superfish_type_1', 's:10:"horizontal";'),
('superfish_ulclass_1', 's:0:"";'),
('superfish_use_item_theme_1', 'i:1;'),
('superfish_use_link_theme_1', 'i:1;'),
('superfish_wraphlt_1', 's:0:"";'),
('superfish_wraphl_1', 's:0:"";'),
('superfish_wrapmul_1', 's:0:"";'),
('superfish_wrapul_1', 's:0:"";'),
('superfish_zebra_1', 'i:1;'),
('systemmain-menuadd_func_animate_type', 's:4:"None";'),
('systemmain-menuadd_funk_block_bg_grids', 'N;'),
('systemmain-menuadd_funk_block_bg_grid_class', 'N;'),
('systemmain-menuadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('systemmain-menuadd_funk_block_bg_parallax', 'N;'),
('systemmain-menuadd_funk_block_bg_type', 's:4:"none";'),
('systemmain-menuadd_funk_block_bg_video', 'N;'),
('systemmain-menuadd_funk_block_bg_video_start', 'N;'),
('systemmain-menutm_block_bg_video', 'N;'),
('systemmain-menutm_block_bg_video_start', 'N;'),
('systemmainadd_func_animate_type', 's:4:"None";'),
('systemnavigationadd_func_animate_type', 's:4:"None";'),
('systemuser-menuadd_func_animate_type', 's:4:"none";'),
('table', 'a:4:{i:0;a:1:{s:6:"weight";s:1:"0";}i:1;a:1:{s:6:"weight";s:1:"1";}i:2;a:1:{s:6:"weight";s:1:"2";}i:3;a:1:{s:6:"weight";s:1:"3";}}'),
('tb_megamenumain-menuadd_func_animate_type', 's:4:"None";'),
('tb_megamenumain-menuadd_funk_block_bg_grids', 'N;'),
('tb_megamenumain-menuadd_funk_block_bg_grid_class', 'N;'),
('tb_megamenumain-menuadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('tb_megamenumain-menuadd_funk_block_bg_parallax', 'N;'),
('tb_megamenumain-menuadd_funk_block_bg_type', 's:4:"none";'),
('tb_megamenumain-menuadd_funk_block_bg_video', 'N;'),
('tb_megamenumain-menuadd_funk_block_bg_video_start', 'N;'),
('tb_megamenumenu-landingadd_func_animate_type', 's:4:"none";'),
('tb_megamenumenu-onepageadd_func_animate_type', 's:4:"none";'),
('tb_megamenumenu-onepageadd_funk_block_bg_grids', 'N;'),
('tb_megamenumenu-onepageadd_funk_block_bg_grid_class', 'N;'),
('tb_megamenumenu-onepageadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('tb_megamenumenu-onepageadd_funk_block_bg_parallax', 'N;'),
('tb_megamenumenu-onepageadd_funk_block_bg_type', 's:4:"none";'),
('tb_megamenumenu-onepageadd_funk_block_bg_video', 'N;'),
('tb_megamenumenu-onepageadd_funk_block_bg_video_start', 'N;'),
('tb_megamenuuser-menuadd_func_animate_type', 's:4:"none";'),
('theme_basic_settings', 'a:22:{s:11:"toggle_logo";i:1;s:11:"toggle_name";i:1;s:13:"toggle_slogan";i:1;s:24:"toggle_node_user_picture";i:1;s:27:"toggle_comment_user_picture";i:1;s:14:"toggle_favicon";i:1;s:16:"toggle_main_menu";i:1;s:21:"toggle_secondary_menu";i:1;s:12:"default_logo";i:1;s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";i:1;s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";s:10:"basic_tabs";i:1;s:16:"basic_breadcrumb";s:3:"yes";s:26:"basic_breadcrumb_separator";s:2:"»";s:21:"basic_breadcrumb_home";i:0;s:25:"basic_breadcrumb_trailing";i:0;s:22:"basic_breadcrumb_title";i:0;s:14:"wireframe_mode";i:1;s:14:"clear_registry";i:0;}'),
('theme_default', 's:6:"gatsby";'),
('twitter_align', 's:4:"none";'),
('twitter_api', 's:23:"https://api.twitter.com";'),
('twitter_consumer_key', 's:25:"9JH7de9na8JnUjSADwpG0fJ65";'),
('twitter_consumer_secret', 's:50:"uamiAj41b46Razt38TJVgGKzBOIwOl07Pn8W53296uvReVni9N";'),
('twitter_conversation', 'i:0;'),
('twitter_expire', 's:1:"0";'),
('twitter_host', 's:19:"https://twitter.com";'),
('twitter_import', 'i:1;'),
('twitter_media', 'i:0;'),
('twitter_oauth_callback_url', 's:13:"twitter/oauth";'),
('twitter_search', 's:19:"https://twitter.com";'),
('twitter_tinyurl', 's:18:"http://tinyurl.com";'),
('twitter_use_default_views', 'i:1;'),
('update_last_check', 'i:1469446937;'),
('update_notify_emails', 'a:1:{i:0;s:15:"admin@admin.com";}'),
('usernewadd_func_animate_type', 's:4:"None";'),
('usernewadd_funk_block_bg_grids', 'N;'),
('usernewadd_funk_block_bg_grid_class', 'N;'),
('usernewadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('usernewadd_funk_block_bg_parallax', 'N;'),
('usernewadd_funk_block_bg_type', 's:4:"none";'),
('usernewadd_funk_block_bg_video', 'N;'),
('usernewadd_funk_block_bg_video_start', 'N;'),
('useronlineadd_func_animate_type', 's:4:"None";'),
('useronlineadd_funk_block_bg_grids', 'N;'),
('useronlineadd_funk_block_bg_grid_class', 'N;'),
('useronlineadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('useronlineadd_funk_block_bg_parallax', 'N;'),
('useronlineadd_funk_block_bg_type', 's:4:"none";'),
('useronlineadd_funk_block_bg_video', 'N;'),
('useronlineadd_funk_block_bg_video_start', 'N;'),
('user_admin_role', 's:1:"3";'),
('user_block_max_list_count', 's:2:"10";'),
('user_block_seconds_online', 's:3:"900";'),
('user_block_whois_new_count', 's:1:"5";'),
('user_cancel_method', 's:17:"user_cancel_block";'),
('user_default_timezone', 's:1:"0";'),
('user_email_verification', 'i:1;'),
('user_mail_cancel_confirm_body', 's:381:"[user:name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team";'),
('user_mail_cancel_confirm_subject', 's:59:"Account cancellation request for [user:name] at [site:name]";'),
('user_mail_password_reset_body', 's:407:"[user:name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it''s not used.\r\n\r\n--  [site:name] team";'),
('user_mail_password_reset_subject', 's:60:"Replacement login information for [user:name] at [site:name]";'),
('user_mail_register_admin_created_body', 's:476:"[user:name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team";'),
('user_mail_register_admin_created_subject', 's:58:"An administrator created an account for you at [site:name]";'),
('user_mail_register_no_approval_required_body', 's:450:"[user:name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team";'),
('user_mail_register_no_approval_required_subject', 's:46:"Account details for [user:name] at [site:name]";'),
('user_mail_register_pending_approval_body', 's:287:"[user:name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team";'),
('user_mail_register_pending_approval_subject', 's:71:"Account details for [user:name] at [site:name] (pending admin approval)";'),
('user_mail_status_activated_body', 's:461:"[user:name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team";'),
('user_mail_status_activated_notify', 'i:1;'),
('user_mail_status_activated_subject', 's:57:"Account details for [user:name] at [site:name] (approved)";'),
('user_mail_status_blocked_body', 's:85:"[user:name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team";'),
('user_mail_status_blocked_notify', 'i:0;'),
('user_mail_status_blocked_subject', 's:56:"Account details for [user:name] at [site:name] (blocked)";'),
('user_mail_status_canceled_body', 's:86:"[user:name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team";'),
('user_mail_status_canceled_notify', 'i:0;'),
('user_mail_status_canceled_subject', 's:57:"Account details for [user:name] at [site:name] (canceled)";'),
('user_pictures', 'i:1;'),
('user_picture_default', 's:30:"sites/default/files/avatar.png";'),
('user_picture_dimensions', 's:7:"160x160";'),
('user_picture_file_size', 's:3:"800";'),
('user_picture_guidelines', 's:0:"";'),
('user_picture_path', 's:8:"pictures";'),
('user_picture_style', 's:9:"thumbnail";'),
('user_register', 's:1:"2";'),
('user_signatures', 'i:1;'),
('viewsarchive-blockadd_func_animate_type', 's:4:"None";'),
('viewsarchive-blocktm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsarchive-blocktm_block_bg_parallax', 'N;'),
('viewsarchive-blocktm_block_bg_type', 's:4:"none";'),
('viewsarchive-blocktm_block_bg_video', 'N;'),
('viewsarchive-blocktm_block_bg_video_start', 'N;'),
('viewsarticles-blockadd_func_animate_type', 's:4:"None";'),
('viewsarticles-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewsarticles-block_1add_funk_block_bg_grids', 'N;'),
('viewsarticles-block_1add_funk_block_bg_grid_class', 'N;'),
('viewsarticles-block_1add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsarticles-block_1add_funk_block_bg_parallax', 'N;'),
('viewsarticles-block_1add_funk_block_bg_type', 's:4:"none";'),
('viewsarticles-block_1add_funk_block_bg_video', 'N;'),
('viewsarticles-block_1add_funk_block_bg_video_start', 'N;'),
('viewsarticles-block_2add_func_animate_type', 's:6:"fadeIn";'),
('viewsarticles-block_2add_funk_block_bg_grids', 'N;'),
('viewsarticles-block_2add_funk_block_bg_grid_class', 'N;'),
('viewsarticles-block_2add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsarticles-block_2add_funk_block_bg_parallax', 'N;'),
('viewsarticles-block_2add_funk_block_bg_type', 's:4:"none";'),
('viewsarticles-block_2add_funk_block_bg_video', 'N;'),
('viewsarticles-block_2add_funk_block_bg_video_start', 'N;'),
('viewsarticles-block_3add_func_animate_type', 's:6:"fadeIn";'),
('viewsBanners-blockadd_func_animate_type', 's:4:"None";'),
('viewsblog-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewsblog-block_1add_funk_block_bg_grids', 'N;'),
('viewsblog-block_1add_funk_block_bg_grid_class', 'N;'),
('viewsblog-block_1add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsblog-block_1add_funk_block_bg_parallax', 'N;'),
('viewsblog-block_1add_funk_block_bg_type', 's:4:"none";'),
('viewsblog-block_1add_funk_block_bg_video', 'N;'),
('viewsblog-block_1add_funk_block_bg_video_start', 'N;'),
('viewsblog-block_2add_func_animate_type', 's:6:"fadeIn";'),
('viewsblog-block_3add_func_animate_type', 's:6:"fadeIn";'),
('viewsblog-block_4add_func_animate_type', 's:4:"None";'),
('viewsCalendar-block_1add_func_animate_type', 's:4:"None";'),
('viewscategories-blockadd_func_animate_type', 's:4:"None";'),
('viewscategories-blocktm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewscategories-blocktm_block_bg_parallax', 'N;'),
('viewscategories-blocktm_block_bg_type', 's:4:"none";'),
('viewscategories-blocktm_block_bg_video', 'N;'),
('viewscategories-blocktm_block_bg_video_start', 'N;'),
('viewscomments_recent-blockadd_func_animate_type', 's:4:"None";'),
('viewscomments_recent-block_1add_func_animate_type', 's:4:"None";'),
('viewsFAQs-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewsour_team-blockadd_func_animate_type', 's:6:"fadeIn";'),
('viewsour_team-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewsour_team-block_1tm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsour_team-block_1tm_block_bg_parallax', 'N;'),
('viewsour_team-block_1tm_block_bg_type', 's:5:"image";'),
('viewsour_team-block_1tm_block_bg_video', 'N;'),
('viewsour_team-block_1tm_block_bg_video_start', 'N;'),
('viewsportfolio-blockadd_func_animate_type', 's:6:"fadeIn";'),
('viewsportfolio-blockadd_func_block_bg_grids', 'N;'),
('viewsportfolio-blockadd_func_block_bg_grid_class', 'N;'),
('viewsportfolio-blockadd_func_block_bg_image', 'a:1:{s:3:"fid";s:1:"8";}'),
('viewsportfolio-blockadd_func_block_bg_parallax', 'i:1;'),
('viewsportfolio-blockadd_func_block_bg_type', 's:4:"none";'),
('viewsportfolio-blockadd_func_block_bg_video', 'N;'),
('viewsportfolio-blockadd_func_block_bg_video_start', 'N;'),
('viewsportfolio-blockadd_funk_block_bg_grids', 'i:1;'),
('viewsportfolio-blockadd_funk_block_bg_grid_class', 's:7:"grid-12";'),
('viewsportfolio-blockadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsportfolio-blockadd_funk_block_bg_parallax', 'N;'),
('viewsportfolio-blockadd_funk_block_bg_type', 's:4:"none";'),
('viewsportfolio-blockadd_funk_block_bg_video', 'N;'),
('viewsportfolio-blockadd_funk_block_bg_video_start', 'N;'),
('viewsportfolio-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewsrecent_posts-blockadd_func_animate_type', 's:4:"None";'),
('viewsroundabout-blocktm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsroundabout-blocktm_block_bg_parallax', 'N;'),
('viewsroundabout-blocktm_block_bg_type', 's:5:"image";'),
('viewsroundabout-blocktm_block_bg_video', 'N;'),
('viewsroundabout-blocktm_block_bg_video_start', 'N;'),
('viewsservices-blockadd_func_animate_type', 's:6:"fadeIn";'),
('viewsservices-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewsservices-block_1add_funk_block_bg_grids', 'N;'),
('viewsservices-block_1add_funk_block_bg_grid_class', 'N;'),
('viewsservices-block_1add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsservices-block_1add_funk_block_bg_parallax', 'N;'),
('viewsservices-block_1add_funk_block_bg_type', 's:4:"none";'),
('viewsservices-block_1add_funk_block_bg_video', 'N;'),
('viewsservices-block_1add_funk_block_bg_video_start', 'N;'),
('viewsservices-block_2add_func_animate_type', 's:4:"None";'),
('viewsservices-block_2add_funk_block_bg_grids', 'N;'),
('viewsservices-block_2add_funk_block_bg_grid_class', 'N;'),
('viewsservices-block_2add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsservices-block_2add_funk_block_bg_parallax', 'N;'),
('viewsservices-block_2add_funk_block_bg_type', 's:4:"none";'),
('viewsservices-block_2add_funk_block_bg_video', 'N;'),
('viewsservices-block_2add_funk_block_bg_video_start', 'N;'),
('viewsservices-block_3add_func_animate_type', 's:4:"None";'),
('viewsservices-block_3add_funk_block_bg_grids', 'N;'),
('viewsservices-block_3add_funk_block_bg_grid_class', 'N;'),
('viewsservices-block_3add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsservices-block_3add_funk_block_bg_parallax', 'N;'),
('viewsservices-block_3add_funk_block_bg_type', 's:4:"none";'),
('viewsservices-block_3add_funk_block_bg_video', 'N;'),
('viewsservices-block_3add_funk_block_bg_video_start', 'N;'),
('viewsservices-block_4add_func_animate_type', 's:4:"None";'),
('viewsservices-block_4add_funk_block_bg_grids', 'N;'),
('viewsservices-block_4add_funk_block_bg_grid_class', 'N;'),
('viewsservices-block_4add_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsservices-block_4add_funk_block_bg_parallax', 'N;'),
('viewsservices-block_4add_funk_block_bg_type', 's:4:"none";'),
('viewsservices-block_4add_funk_block_bg_video', 'N;'),
('viewsservices-block_4add_funk_block_bg_video_start', 'N;'),
('viewsservices-block_6add_func_animate_type', 's:6:"fadeIn";'),
('viewsslider-blockadd_func_animate_type', 's:4:"none";'),
('viewsslider-blockadd_funk_block_bg_grids', 'N;'),
('viewsslider-blockadd_funk_block_bg_grid_class', 'N;'),
('viewsslider-blockadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewsslider-blockadd_funk_block_bg_parallax', 'N;'),
('viewsslider-blockadd_funk_block_bg_type', 's:4:"none";'),
('viewsslider-blockadd_funk_block_bg_video', 'N;'),
('viewsslider-blockadd_funk_block_bg_video_start', 'N;'),
('viewstariff_plans-blockadd_func_animate_type', 's:6:"fadeIn";'),
('viewstariff_plans-blockadd_funk_block_bg_grids', 'i:1;'),
('viewstariff_plans-blockadd_funk_block_bg_grid_class', 's:7:"grid-12";'),
('viewstariff_plans-blockadd_funk_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewstariff_plans-blockadd_funk_block_bg_parallax', 'N;'),
('viewstariff_plans-blockadd_funk_block_bg_type', 's:4:"none";'),
('viewstariff_plans-blockadd_funk_block_bg_video', 'N;'),
('viewstariff_plans-blockadd_funk_block_bg_video_start', 'N;'),
('viewstariff_plans-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewstestimonials-blockadd_func_animate_type', 's:4:"None";'),
('viewstestimonials-blocktm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewstestimonials-blocktm_block_bg_parallax', 'N;'),
('viewstestimonials-blocktm_block_bg_type', 's:5:"image";'),
('viewstestimonials-blocktm_block_bg_video', 'N;'),
('viewstestimonials-blocktm_block_bg_video_start', 'N;'),
('viewstestimonials-block_1add_func_animate_type', 's:6:"fadeIn";'),
('viewstiled_gallery-blocktm_block_bg_image', 'a:1:{s:3:"fid";s:1:"0";}'),
('viewstiled_gallery-blocktm_block_bg_parallax', 'N;'),
('viewstiled_gallery-blocktm_block_bg_type', 's:5:"image";'),
('viewstiled_gallery-blocktm_block_bg_video', 'N;'),
('viewstiled_gallery-blocktm_block_bg_video_start', 'N;'),
('viewstweets-blockadd_func_animate_type', 's:4:"none";'),
('viewsusers-block_1add_func_animate_type', 's:4:"None";'),
('viewsuser_comments-blockadd_func_animate_type', 's:4:"None";'),
('viewsuser_posts-blockadd_func_animate_type', 's:4:"None";'),
('viewsvideo-blockadd_func_animate_type', 's:4:"none";'),
('views_block_hashes', 'a:2:{s:32:"c117238b5c55f571b4e7a454037d5f6e";s:36:"commerce_coupon_review_pane-checkout";s:32:"bf5ee37bd60ea98abcb761c967f50021";s:34:"commerce_coupon_review_pane-review";}'),
('views_defaults', 'a:17:{s:15:"comments_recent";b:1;s:7:"archive";b:1;s:13:"semantic_demo";b:1;s:10:"roundabout";b:1;s:13:"tiled_gallery";b:1;s:8:"glossary";b:1;s:13:"user_comments";b:1;s:10:"user_posts";b:1;s:17:"commerce_products";b:1;s:15:"commerce_orders";b:1;s:26:"commerce_customer_profiles";b:1;s:21:"advanced_forum_search";b:1;s:8:"Calendar";b:1;s:4:"FAQs";b:1;s:7:"Banners";b:1;s:10:"categories";b:1;s:5:"users";b:1;}'),
('views_exposed_filter_any_label', 's:7:"new_any";'),
('views_show_additional_queries', 'i:0;'),
('views_ui_always_live_preview', 'i:1;'),
('views_ui_custom_theme', 's:8:"_default";'),
('views_ui_display_embed', 'i:0;'),
('views_ui_show_advanced_column', 'i:0;'),
('views_ui_show_advanced_help_warning', 'i:0;'),
('views_ui_show_listing_filters', 'i:0;'),
('views_ui_show_master_display', 'i:0;'),
('views_ui_show_performance_statistics', 'i:0;'),
('views_ui_show_preview_information', 'i:1;'),
('views_ui_show_sql_query', 'i:0;'),
('views_ui_show_sql_query_where', 's:5:"above";'),
('vud_message_on_deny', 'i:0;'),
('vud_tag', 's:4:"vote";'),
('webform_node_banner', 'i:0;'),
('webform_node_employee', 'i:0;'),
('webform_node_faq', 'i:0;'),
('webform_node_forum', 'i:0;'),
('webform_node_poll', 'i:0;'),
('webform_node_product_display', 'i:0;'),
('webform_node_testimonial', 'i:0;'),
('webform_node_video_entry', 'i:0;'),
('webform_node_webform', 'b:1;');
/*!40000 ALTER TABLE variable ENABLE KEYS */;

--
-- Table structure for table 'views_display'
--

CREATE TABLE IF NOT EXISTS `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.' COMMENT='Stores information about each display attached to a view.';

--
-- Dumping data for table 'views_display'
--

/*!40000 ALTER TABLE views_display DISABLE KEYS */;
INSERT INTO `views_display` VALUES
('2', 'block', 'Block: Our Work (Home)', 'block', '10', 'a:15:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:4:{s:27:"field_project_masonry_thumb";a:35:{s:2:"id";s:27:"field_project_masonry_thumb";s:5:"table";s:38:"field_data_field_project_masonry_thumb";s:5:"field";s:27:"field_project_masonry_thumb";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:13:"isotope-image";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:0:"";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:7:"nothing";a:21:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:41:"<h6>[title]</h6>\n[field_project_category]";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:21:"isotope-caption-inner";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:15:"isotope-caption";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;}}s:8:"defaults";a:11:{s:6:"fields";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:9:"css_class";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"title";b:0;}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"6";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:9:"css_class";s:15:"isotope-masonry";s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:7:"masonry";s:11:"data_fields";a:4:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:7:"nothing";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"title";s:8:"Our Work";s:17:"block_description";s:14:"View: Our Work";s:19:"display_description";s:0:"";}'),
('2', 'block_1', 'Block: Our Work (Home 2)', 'block', '11', 'a:15:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:4:{s:19:"field_project_image";a:35:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"portfolio_5_cols";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:7:"nothing";a:21:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:41:"<h6>[title]</h6>\n[field_project_category]";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:15:"isotope-caption";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;}}s:8:"defaults";a:11:{s:6:"fields";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:9:"css_class";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"title";b:0;}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:2:"15";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:9:"css_class";s:17:"isotope-grid col5";s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:7:"masonry";s:11:"data_fields";a:4:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:7:"nothing";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"title";s:8:"Our Work";s:17:"block_description";s:14:"View: Our Work";s:19:"display_description";s:0:"";}'),
('2', 'default', 'Master', 'default', '1', 'a:20:{s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:12:"isotope_grid";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:3:{s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:2:"h6";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"50";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:6:"button";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:13:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:7:"project";s:7:"project";}s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";s:0:"";s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:18:"project_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:9:"Portfolio";s:8:"use_ajax";b:1;s:6:"header";a:1:{s:4:"view";a:10:{s:2:"id";s:4:"view";s:5:"table";s:5:"views";s:5:"field";s:4:"view";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:5:"empty";i:0;s:14:"view_to_insert";s:24:"portfolio_filter:default";s:17:"inherit_arguments";i:0;}}s:13:"relationships";a:0:{}s:9:"css_class";s:17:"isotope-grid col2";s:13:"style_options";a:3:{s:6:"config";s:4:"grid";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:8:"use_more";i:1;s:15:"use_more_always";b:0;s:13:"use_more_text";s:12:"Show Me More";}'),
('2', 'page', 'Page: Full Width 5 cols', 'page', '9', 'a:13:{s:4:"path";s:26:"portfolio-fullwidth-5-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:50:"5 Column Full Width Grid Portfolio Without Spacing";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:50:"5 Column Full Width Grid Portfolio Without Spacing";s:8:"defaults";a:9:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:1;s:13:"pager_options";b:1;s:9:"css_class";b:0;s:6:"fields";b:0;}s:8:"link_url";N;s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:4:"grid";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:9:"css_class";s:17:"isotope-grid col5";s:19:"display_description";s:0:"";s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:16:"portfolio_4_cols";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"50";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}}'),
('2', 'page_1', 'Page: Full Width 3 cols', 'page', '7', 'a:13:{s:4:"path";s:26:"portfolio-fullwidth-3-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:34:"3 Column Full Width Grid Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:16:"portfolio_3_cols";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"90";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:8:"defaults";a:9:{s:6:"fields";b:0;s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:1;s:13:"pager_options";b:1;s:9:"css_class";b:0;}s:8:"link_url";N;s:5:"title";s:34:"3 Column Full Width Grid Portfolio";s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:4:"grid";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:19:"display_description";s:0:"";s:9:"css_class";s:17:"isotope-grid col3";}'),
('2', 'page_2', 'Page: Classic 3 cols', 'page', '3', 'a:13:{s:4:"path";s:24:"portfolio-classic-3-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:26:"3 Column Classic Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:16:"portfolio_2_cols";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"210";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:8:"defaults";a:9:{s:6:"fields";b:0;s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:1;s:13:"pager_options";b:1;s:9:"css_class";b:0;}s:8:"link_url";N;s:5:"title";s:26:"3 Column Classic Portfolio";s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:4:"grid";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:9:"css_class";s:17:"isotope-grid col3";s:19:"display_description";s:0:"";}');
INSERT INTO `views_display` VALUES
('2', 'page_3', 'Page: Classic 2 cols', 'page', '2', 'a:8:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:26:"2 Column Classic Portfolio";s:8:"defaults";a:3:{s:5:"title";b:0;s:9:"css_class";b:0;s:6:"fields";b:0;}s:4:"path";s:24:"portfolio-classic-2-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:26:"2 Column Classic Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:19:"display_description";s:0:"";s:9:"css_class";s:17:"isotope-grid col4";s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:9:"pull-left";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:15:"portfolio_1_col";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"270";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}}'),
('2', 'page_4', 'Page: Masonry v1 3 cols', 'page', '5', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:19:"display_description";s:0:"";s:5:"title";s:29:"3 Column Masonry v1 Portfolio";s:8:"defaults";a:7:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:9:"css_class";b:0;}s:4:"path";s:27:"portfolio-masonry-v1-3-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:29:"3 Column Masonry v1 Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:7:"masonry";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:17:"portfolio_masonry";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"270";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:9:"css_class";s:17:"isotope-grid col3";}'),
('2', 'page_5', 'Page: Masonry v2', 'page', '6', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:19:"display_description";s:0:"";s:5:"title";s:20:"Masonry v2 Portfolio";s:8:"defaults";a:7:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:9:"css_class";b:0;}s:4:"path";s:20:"portfolio-masonry-v2";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:20:"Masonry v2 Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:7:"masonry";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:17:"portfolio_masonry";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"270";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:9:"css_class";s:15:"isotope-masonry";}'),
('2', 'page_6', 'Page: Full Width 4 cols', 'page', '8', 'a:13:{s:4:"path";s:26:"portfolio-fullwidth-4-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:34:"4 Column Full Width Grid Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:16:"portfolio_3_cols";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"90";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:8:"defaults";a:9:{s:6:"fields";b:0;s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:1;s:13:"pager_options";b:1;s:9:"css_class";b:0;}s:8:"link_url";N;s:5:"title";s:34:"4 Column Full Width Grid Portfolio";s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:4:"grid";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:19:"display_description";s:0:"";s:9:"css_class";s:17:"isotope-grid col3";}'),
('2', 'page_masonry', 'Page: Masonry v1 2 cols', 'page', '4', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:19:"display_description";s:0:"";s:5:"title";s:29:"2 Column Masonry v1 Portfolio";s:8:"defaults";a:7:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:9:"css_class";b:0;}s:4:"path";s:27:"portfolio-masonry-v1-2-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:29:"2 Column Masonry v1 Portfolio";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:3:{s:6:"config";s:7:"masonry";s:11:"data_fields";a:5:{s:22:"field_project_category";s:22:"field_project_category";s:19:"field_project_image";i:0;s:5:"title";i:0;s:4:"body";i:0;s:9:"view_node";i:0;}s:11:"instance_id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:5:{s:19:"field_project_image";a:34:{s:2:"id";s:19:"field_project_image";s:5:"table";s:30:"field_data_field_project_image";s:5:"field";s:19:"field_project_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:8:"colorbox";s:8:"settings";a:7:{s:19:"colorbox_node_style";s:17:"portfolio_masonry";s:25:"colorbox_node_style_first";s:0:"";s:20:"colorbox_image_style";s:0:"";s:16:"colorbox_gallery";s:4:"page";s:23:"colorbox_gallery_custom";s:0:"";s:16:"colorbox_caption";s:4:"none";s:23:"colorbox_caption_custom";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"270";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:4:"More";}s:22:"field_project_category";a:34:{s:2:"id";s:22:"field_project_category";s:5:"table";s:33:"field_data_field_project_category";s:5:"field";s:22:"field_project_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:3:"div";s:13:"element_class";s:14:"isotope-filter";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:9:"css_class";s:17:"isotope-grid col2";}'),
('4', 'block', 'Block', 'block', '3', 'a:4:{s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:4:"node";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:11:"summary asc";s:12:"style_plugin";s:15:"default_summary";s:13:"style_options";a:3:{s:5:"count";i:1;s:8:"override";i:0;s:14:"items_per_page";s:2:"30";}s:8:"wildcard";s:3:"all";s:21:"wildcard_substitution";s:3:"All";s:5:"title";s:2:"%1";s:12:"relationship";s:4:"none";s:13:"validate_type";s:4:"none";s:13:"validate_fail";s:9:"not found";s:21:"default_argument_type";s:5:"fixed";}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:17:"block_description";s:13:"View: Archive";s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}}'),
('4', 'default', 'Master', 'default', '1', 'a:16:{s:5:"title";s:15:"Monthly archive";s:8:"defaults";a:10:{s:5:"title";b:0;s:5:"sorts";b:0;s:9:"arguments";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"access";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:5:"sorts";a:1:{s:7:"created";a:6:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";s:11:"granularity";s:6:"second";s:12:"relationship";s:4:"none";}}s:9:"arguments";a:1:{s:18:"created_year_month";a:13:{s:2:"id";s:18:"created_year_month";s:5:"table";s:4:"node";s:5:"field";s:18:"created_year_month";s:14:"default_action";s:12:"summary desc";s:12:"style_plugin";s:15:"default_summary";s:13:"style_options";a:3:{s:5:"count";i:1;s:8:"override";i:1;s:14:"items_per_page";s:2:"30";}s:8:"wildcard";s:3:"all";s:21:"wildcard_substitution";s:3:"All";s:5:"title";s:2:"%1";s:12:"relationship";s:4:"none";s:13:"validate_type";s:4:"none";s:13:"validate_fail";s:9:"not found";s:21:"default_argument_type";s:5:"fixed";}}s:7:"filters";a:1:{s:6:"status";a:9:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:8:"operator";s:1:"=";s:5:"value";i:1;s:5:"group";i:1;s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:12:"relationship";s:4:"none";}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:2:{i:1;s:3:"AND";i:2;s:3:"AND";}}s:6:"access";a:3:{s:4:"type";s:4:"none";s:4:"role";a:0:{}s:4:"perm";s:0:"";}s:9:"use_pager";N;s:12:"style_plugin";s:7:"default";s:13:"style_options";a:0:{}s:10:"row_plugin";s:4:"node";s:11:"row_options";a:4:{s:12:"relationship";s:4:"none";s:9:"view_mode";s:6:"teaser";s:5:"links";i:1;s:8:"comments";i:0;}s:14:"items_per_page";N;s:6:"offset";N;s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:2:"10";s:6:"offset";s:1:"0";}}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}}'),
('4', 'page', 'Page', 'page', '2', 'a:7:{s:4:"path";s:7:"archive";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:7:"Archive";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:11:"tab_options";a:3:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:6:"weight";i:0;}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:8:"defaults";a:2:{s:5:"pager";b:0;s:13:"pager_options";b:0;}s:13:"pager_options";N;}');
INSERT INTO `views_display` VALUES
('5', 'block', 'Block: Our Amazing Team (Home)', 'block', '3', 'a:17:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:19:"display_description";s:0:"";s:5:"title";s:16:"Our Amazing Team";s:8:"defaults";a:13:{s:5:"title";b:0;s:5:"sorts";b:0;s:6:"header";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:5:"sorts";a:1:{s:7:"created";a:10:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:6:"header";a:0:{}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"use_more";i:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View all";s:17:"block_description";s:22:"View: Our Amazing Team";s:6:"fields";a:7:{s:20:"field_employee_photo";a:35:{s:2:"id";s:20:"field_employee_photo";s:5:"table";s:31:"field_data_field_employee_photo";s:5:"field";s:20:"field_employee_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:15:"gt-member-photo";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:14:"employee_image";s:10:"image_link";s:7:"content";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h4";s:21:"element_wrapper_class";s:14:"gt-member-name";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:23:"field_employee_position";a:35:{s:2:"id";s:23:"field_employee_position";s:5:"table";s:34:"field_data_field_employee_position";s:5:"field";s:23:"field_employee_position";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:18:"gt-member-position";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:23:"field_employee_linkedin";a:35:{s:2:"id";s:23:"field_employee_linkedin";s:5:"table";s:34:"field_data_field_employee_linkedin";s:5:"field";s:23:"field_employee_linkedin";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:4:"span";s:21:"element_wrapper_class";s:14:"gt-social-icon";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:21:"field_employee_tumblr";a:35:{s:2:"id";s:21:"field_employee_tumblr";s:5:"table";s:32:"field_data_field_employee_tumblr";s:5:"field";s:21:"field_employee_tumblr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:4:"span";s:21:"element_wrapper_class";s:14:"gt-social-icon";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:23:"field_employee_facebook";a:35:{s:2:"id";s:23:"field_employee_facebook";s:5:"table";s:34:"field_data_field_employee_facebook";s:5:"field";s:23:"field_employee_facebook";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:4:"span";s:21:"element_wrapper_class";s:14:"gt-social-icon";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"75";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:15:"gt-member-about";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:10:"text_plain";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"grid-3 views-row";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}}'),
('5', 'block_1', 'Block: Meet the Team (Home 2)', 'block', '4', 'a:15:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:19:"display_description";s:0:"";s:5:"title";s:13:"Meet the Team";s:8:"defaults";a:11:{s:5:"title";b:0;s:5:"sorts";b:0;s:6:"header";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:6:"fields";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;}s:5:"sorts";a:1:{s:7:"created";a:10:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:6:"header";a:0:{}s:12:"link_display";s:6:"page_1";s:8:"link_url";s:0:"";s:8:"use_more";i:0;s:15:"use_more_always";b:1;s:13:"use_more_text";s:8:"View all";s:17:"block_description";s:19:"View: Meet the Team";s:6:"fields";a:7:{s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"75";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:20:"field_employee_photo";a:35:{s:2:"id";s:20:"field_employee_photo";s:5:"table";s:31:"field_data_field_employee_photo";s:5:"field";s:20:"field_employee_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:56:"[field_employee_photo]\n<div class="caprion">[body]</div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:16:"employee_image_2";s:10:"image_link";s:7:"content";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h4";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:23:"field_employee_position";a:34:{s:2:"id";s:23:"field_employee_position";s:5:"table";s:34:"field_data_field_employee_position";s:5:"field";s:23:"field_employee_position";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:23:"field_employee_linkedin";a:34:{s:2:"id";s:23:"field_employee_linkedin";s:5:"table";s:34:"field_data_field_employee_linkedin";s:5:"field";s:23:"field_employee_linkedin";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:21:"field_employee_tumblr";a:35:{s:2:"id";s:21:"field_employee_tumblr";s:5:"table";s:32:"field_data_field_employee_tumblr";s:5:"field";s:21:"field_employee_tumblr";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:23:"field_employee_facebook";a:34:{s:2:"id";s:23:"field_employee_facebook";s:5:"table";s:34:"field_data_field_employee_facebook";s:5:"field";s:23:"field_employee_facebook";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"3";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;}'),
('5', 'default', 'Master', 'default', '1', 'a:12:{s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:21:"semanticviews_default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:3:{s:20:"field_employee_photo";a:34:{s:2:"id";s:20:"field_employee_photo";s:5:"table";s:31:"field_data_field_employee_photo";s:5:"field";s:20:"field_employee_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:19:"employee_image_page";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"60";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:10:"text_plain";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:0;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:8:"employee";s:8:"employee";}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:8:"Our team";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"grid-4 views-row";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}}'),
('5', 'page_1', 'Page', 'page', '2', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:4:"team";s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:8:"defaults";a:9:{s:5:"pager";b:0;s:13:"pager_options";b:0;s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"sorts";b:0;s:13:"relationships";b:0;}s:13:"pager_options";N;s:6:"fields";a:5:{s:20:"field_employee_photo";a:34:{s:2:"id";s:20:"field_employee_photo";s:5:"table";s:31:"field_data_field_employee_photo";s:5:"field";s:20:"field_employee_photo";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:19:"employee_image_page";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"60";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:10:"text_plain";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:23:"field_employee_facebook";a:34:{s:2:"id";s:23:"field_employee_facebook";s:5:"table";s:34:"field_data_field_employee_facebook";s:5:"field";s:23:"field_employee_facebook";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:22:"field_employee_twitter";a:34:{s:2:"id";s:22:"field_employee_twitter";s:5:"table";s:33:"field_data_field_employee_twitter";s:5:"field";s:22:"field_employee_twitter";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:1:{i:0;a:3:{s:5:"field";s:23:"field_employee_category";s:8:"rendered";i:1;s:14:"rendered_strip";i:0;}}s:5:"group";a:2:{s:12:"element_type";s:2:"h4";s:5:"class";s:16:"title clear-both";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"grid-3 views-row";s:14:"last_every_nth";s:1:"4";s:11:"first_class";s:16:"alpha clear-both";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"sorts";a:1:{s:6:"weight";a:9:{s:2:"id";s:6:"weight";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:6:"weight";s:12:"relationship";s:13:"term_node_tid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}}s:13:"relationships";a:1:{s:13:"term_node_tid";a:9:{s:2:"id";s:13:"term_node_tid";s:5:"table";s:4:"node";s:5:"field";s:13:"term_node_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:4:"term";s:8:"required";i:0;s:12:"vocabularies";a:7:{s:19:"employee_categories";s:19:"employee_categories";s:6:"forums";i:0;s:4:"tags";i:0;s:13:"blog_cetogory";i:0;s:9:"blog_tags";i:0;s:20:"portfolio_categories";i:0;s:19:"services_categories";i:0;}}}s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Our team";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:7:"enabled";b:0;}'),
('8', 'block', 'Block', 'block', '2', 'a:5:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:12:"View: Slider";s:6:"footer";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:5:"empty";i:0;s:7:"content";s:40:"<span class="gt-scrolldown-icon"></span>";s:8:"tokenize";i:0;}}s:8:"defaults";a:1:{s:6:"footer";b:0;}}'),
('8', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:10:"flexslider";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:4:{s:17:"field_slide_image";a:35:{s:2:"id";s:17:"field_slide_image";s:5:"table";s:28:"field_data_field_slide_image";s:5:"field";s:17:"field_slide_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"flexslider_full";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"125";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:1:{s:11:"trim_length";s:3:"125";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:7:"nothing";a:21:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:86:"<h2>[title]</h2>\n<div class="container-12">\n<div class="grid-12">\n[body]\n</div>\n</div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:12:"flex-caption";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:13:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:5:"slide";s:5:"slide";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:11:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:0:"";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"optionset";s:7:"default";s:12:"captionfield";s:0:"";s:2:"id";s:0:"";}s:9:"css_class";s:6:"slider";}'),
('9', 'block', 'Block', 'block', '3', 'a:5:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:1:{s:4:"name";a:23:{s:2:"id";s:4:"name";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:1:"0";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:16:"link_to_taxonomy";i:1;s:14:"convert_spaces";i:0;}}s:8:"defaults";a:2:{s:6:"fields";b:0;s:13:"relationships";b:0;}s:13:"relationships";a:0:{}s:17:"block_description";s:16:"View: Categories";}');
INSERT INTO `views_display` VALUES
('9', 'default', 'Master', 'default', '1', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:2:"10";}}s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:2:{s:4:"name";a:23:{s:2:"id";s:4:"name";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:1:"0";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:16:"link_to_taxonomy";i:1;s:14:"convert_spaces";i:0;}s:11:"description";a:21:{s:2:"id";s:11:"description";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:11:"description";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;}}s:7:"filters";a:1:{s:12:"machine_name";a:4:{s:2:"id";s:12:"machine_name";s:5:"table";s:19:"taxonomy_vocabulary";s:5:"field";s:12:"machine_name";s:5:"value";a:1:{s:13:"blog_cetogory";s:13:"blog_cetogory";}}}s:5:"sorts";a:0:{}s:5:"title";s:10:"Categories";s:13:"relationships";a:1:{s:32:"reverse_field_blog_category_node";a:3:{s:2:"id";s:32:"reverse_field_blog_category_node";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:32:"reverse_field_blog_category_node";}}}'),
('9', 'page_1', 'Page', 'page', '2', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:10:"categories";s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:8:"defaults";a:8:{s:5:"pager";b:0;s:13:"pager_options";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:8:"group_by";b:0;}s:13:"pager_options";N;s:12:"style_plugin";s:7:"default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:3:{s:5:"title";a:31:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:32:"reverse_field_blog_category_node";s:10:"group_type";s:5:"count";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";i:0;s:22:"format_plural_singular";s:1:"1";s:20:"format_plural_plural";s:6:"@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:12:"link_to_node";i:1;}s:4:"name";a:23:{s:2:"id";s:4:"name";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:16:"[name] ([title])";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:16:"link_to_taxonomy";i:1;s:14:"convert_spaces";i:0;}s:11:"description";a:21:{s:2:"id";s:11:"description";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:11:"description";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;}}s:8:"group_by";i:1;s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:10:"Categories";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}}'),
('10', 'block', 'Block', 'block', '2', 'a:3:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:7:"enabled";b:1;s:17:"block_description";s:22:"View: Portfolio filter";}'),
('10', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:14:"items_per_page";s:1:"0";}}s:12:"style_plugin";s:14:"isotope_filter";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:1:{s:4:"name";a:23:{s:2:"id";s:4:"name";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:16:"link_to_taxonomy";i:0;s:14:"convert_spaces";i:0;}}s:7:"filters";a:1:{s:12:"machine_name";a:13:{s:2:"id";s:12:"machine_name";s:5:"table";s:19:"taxonomy_vocabulary";s:5:"field";s:12:"machine_name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:18:"project_categories";s:18:"project_categories";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}}}s:5:"sorts";a:1:{s:6:"weight";a:9:{s:2:"id";s:6:"weight";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:6:"weight";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}}s:5:"title";s:16:"Portfolio filter";s:11:"row_options";a:4:{s:22:"default_field_elements";i:0;s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";i:0;}s:13:"style_options";a:3:{s:11:"data_fields";s:4:"name";s:11:"instance_id";s:0:"";s:12:"filter_group";s:0:"";}}'),
('11', 'default', 'Defaults', 'default', '1', 'a:10:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:19:"Semantic Views demo";s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:1:{s:4:"type";s:4:"full";}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:5:{s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:2:"h6";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"type";a:6:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"label";s:0:"";s:5:"alter";a:7:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;}s:9:"entity_id";a:9:{s:2:"id";s:9:"entity_id";s:5:"table";s:15:"field_data_body";s:5:"field";s:9:"entity_id";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:8:"absolute";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";s:3:"600";}}s:11:"delete_node";a:4:{s:2:"id";s:11:"delete_node";s:5:"table";s:4:"node";s:5:"field";s:11:"delete_node";s:5:"alter";a:7:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}}s:9:"edit_node";a:4:{s:2:"id";s:9:"edit_node";s:5:"table";s:4:"node";s:5:"field";s:9:"edit_node";s:5:"alter";a:7:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}}}s:7:"filters";a:1:{s:6:"status";a:5:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:5:"value";s:1:"1";s:6:"expose";a:1:{s:8:"operator";b:0;}}}}'),
('11', 'page_1', 'Unformatted (default)', 'page', '2', 'a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:31:"semantic-views-demo/unformatted";s:4:"menu";a:3:{s:4:"type";s:11:"default tab";s:5:"title";s:11:"Unformatted";s:6:"weight";s:1:"0";}s:11:"tab_options";a:3:{s:4:"type";s:6:"normal";s:5:"title";s:19:"Semantic Views demo";s:6:"weight";s:1:"0";}}'),
('11', 'page_2', 'Grid (default)', 'page', '3', 'a:6:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:4:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:12:"style_plugin";s:4:"grid";s:10:"row_plugin";s:6:"fields";s:4:"path";s:24:"semantic-views-demo/grid";s:4:"menu";a:3:{s:4:"type";s:3:"tab";s:5:"title";s:4:"Grid";s:6:"weight";s:1:"1";}}'),
('11', 'page_3', 'List (default)', 'page', '4', 'a:6:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:4:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:4:"path";s:24:"semantic-views-demo/list";s:4:"menu";a:3:{s:4:"type";s:3:"tab";s:5:"title";s:4:"List";s:6:"weight";s:1:"2";}}'),
('11', 'page_4', 'Unformatted (semantic)', 'page', '5', 'a:8:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:4:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:10:"row_plugin";s:20:"semanticviews_fields";s:11:"row_options";a:2:{s:10:"skip_blank";i:1;s:13:"semantic_html";a:5:{s:5:"title";a:2:{s:12:"element_type";s:2:"h2";s:5:"class";s:5:"title";}s:4:"type";a:2:{s:12:"element_type";s:3:"div";s:5:"class";s:9:"node-type";}s:9:"entity_id";a:2:{s:12:"element_type";s:3:"div";s:5:"class";s:6:"teaser";}s:11:"delete_node";a:4:{s:12:"element_type";s:3:"div";s:5:"class";s:6:"delete";s:18:"label_element_type";s:5:"label";s:11:"label_class";s:0:"";}s:9:"edit_node";a:4:{s:12:"element_type";s:3:"div";s:5:"class";s:4:"edit";s:18:"label_element_type";s:5:"label";s:11:"label_class";s:0:"";}}}s:4:"path";s:40:"semantic-views-demo/unformatted-semantic";s:4:"menu";a:3:{s:4:"type";s:3:"tab";s:5:"title";s:22:"Unformatted (semantic)";s:6:"weight";s:1:"0";}s:11:"tab_options";a:1:{s:6:"weight";s:1:"0";}}'),
('11', 'page_5', 'Grid (semantic)', 'page', '6', 'a:10:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:5:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"header";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:1:{s:3:"row";a:2:{s:5:"class";s:9:"grid-unit";s:14:"last_every_nth";s:1:"4";}}s:10:"row_plugin";s:20:"semanticviews_fields";s:11:"row_options";a:2:{s:10:"skip_blank";i:1;s:13:"semantic_html";a:5:{s:5:"title";a:2:{s:12:"element_type";s:2:"h2";s:5:"class";s:5:"title";}s:4:"type";a:2:{s:12:"element_type";s:3:"div";s:5:"class";s:9:"node-type";}s:9:"entity_id";a:2:{s:12:"element_type";s:3:"div";s:5:"class";s:6:"teaser";}s:11:"delete_node";a:4:{s:12:"element_type";s:3:"div";s:5:"class";s:6:"delete";s:18:"label_element_type";s:5:"label";s:11:"label_class";s:0:"";}s:9:"edit_node";a:4:{s:12:"element_type";s:3:"div";s:5:"class";s:4:"edit";s:18:"label_element_type";s:5:"label";s:11:"label_class";s:0:"";}}}s:6:"header";a:1:{s:4:"text";a:6:{s:2:"id";s:4:"area";s:5:"table";s:5:"views";s:5:"field";s:4:"area";s:5:"empty";b:0;s:7:"content";s:183:"<style>\n    .grid-unit {\n      width: 20%;\n      margin-right: 5%;\n      float: left;\n    }\n    .first {\n      clear: left;\n    }\n    .last {\n      margin-right: 0;\n    }\n    </style>";s:6:"format";s:1:"2";}}s:4:"path";s:33:"semantic-views-demo/grid-semantic";s:4:"menu";a:3:{s:4:"type";s:3:"tab";s:5:"title";s:15:"Grid (semantic)";s:6:"weight";s:1:"1";}s:11:"tab_options";a:1:{s:6:"weight";s:1:"0";}}'),
('11', 'page_6', 'List (semantic)', 'page', '7', 'a:9:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:4:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:2:{s:4:"list";a:1:{s:12:"element_type";s:2:"ul";}s:3:"row";a:1:{s:12:"element_type";s:2:"li";}}s:10:"row_plugin";s:20:"semanticviews_fields";s:11:"row_options";a:2:{s:10:"skip_blank";i:1;s:13:"semantic_html";a:5:{s:5:"title";a:2:{s:12:"element_type";s:2:"h2";s:5:"class";s:5:"title";}s:4:"type";a:2:{s:12:"element_type";s:3:"div";s:5:"class";s:9:"node-type";}s:9:"entity_id";a:2:{s:12:"element_type";s:3:"div";s:5:"class";s:6:"teaser";}s:11:"delete_node";a:4:{s:12:"element_type";s:3:"div";s:5:"class";s:6:"delete";s:18:"label_element_type";s:5:"label";s:11:"label_class";s:0:"";}s:9:"edit_node";a:4:{s:12:"element_type";s:3:"div";s:5:"class";s:4:"edit";s:18:"label_element_type";s:5:"label";s:11:"label_class";s:0:"";}}}s:4:"path";s:33:"semantic-views-demo/list-semantic";s:4:"menu";a:3:{s:4:"type";s:3:"tab";s:5:"title";s:15:"List (semantic)";s:6:"weight";s:1:"2";}s:11:"tab_options";a:1:{s:6:"weight";s:1:"0";}}'),
('15', 'block', 'Block: Recent blog comments', 'block', '2', 'a:8:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"use_more";i:1;s:8:"defaults";a:4:{s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:6:"fields";b:0;}s:15:"use_more_always";b:1;s:13:"use_more_text";s:4:"more";s:17:"block_description";s:26:"View: Recent blog comments";s:19:"display_description";s:0:"";s:6:"fields";a:3:{s:7:"picture";a:23:{s:2:"id";s:7:"picture";s:5:"table";s:5:"users";s:5:"field";s:7:"picture";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:9:"pull-left";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:21:"link_photo_to_profile";i:1;s:11:"image_style";s:0:"";}s:7:"subject";a:5:{s:2:"id";s:7:"subject";s:5:"table";s:7:"comment";s:5:"field";s:7:"subject";s:5:"label";s:0:"";s:15:"link_to_comment";i:1;}s:9:"timestamp";a:5:{s:2:"id";s:9:"timestamp";s:5:"table";s:7:"comment";s:5:"field";s:7:"changed";s:5:"label";s:0:"";s:11:"date_format";s:8:"time ago";}}}'),
('15', 'block_1', 'View: Recent forum comments', 'block', '3', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:14:"Recent replies";s:8:"defaults";a:10:{s:5:"title";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;}s:17:"block_description";s:27:"View: Recent forum comments";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:7:"filters";a:2:{s:12:"status_extra";a:5:{s:2:"id";s:12:"status_extra";s:5:"table";s:4:"node";s:5:"field";s:12:"status_extra";s:12:"relationship";s:3:"nid";s:5:"group";i:0;}s:4:"type";a:13:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:3:"nid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:5:"forum";s:5:"forum";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:12:"style_plugin";s:4:"list";s:13:"style_options";a:7:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:2:{s:7:"subject";a:23:{s:2:"id";s:7:"subject";s:5:"table";s:7:"comment";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:15:"link_to_comment";i:1;s:12:"link_to_node";i:0;}s:9:"timestamp";a:5:{s:2:"id";s:9:"timestamp";s:5:"table";s:7:"comment";s:5:"field";s:7:"changed";s:5:"label";s:0:"";s:11:"date_format";s:8:"time ago";}}s:19:"display_description";s:0:"";}'),
('15', 'default', 'Master', 'default', '1', 'a:16:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:1:{s:13:"query_comment";b:0;}}s:5:"title";s:15:"Recent comments";s:8:"use_more";i:0;s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"3";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:13:"relationships";a:2:{s:3:"nid";a:3:{s:2:"id";s:3:"nid";s:5:"table";s:7:"comment";s:5:"field";s:3:"nid";}s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:7:"comment";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:6:"author";s:8:"required";i:0;}}s:6:"fields";a:3:{s:7:"picture";a:23:{s:2:"id";s:7:"picture";s:5:"table";s:5:"users";s:5:"field";s:7:"picture";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:4:"pull";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:21:"link_photo_to_profile";i:1;s:11:"image_style";s:0:"";}s:7:"subject";a:5:{s:2:"id";s:7:"subject";s:5:"table";s:7:"comment";s:5:"field";s:7:"subject";s:5:"label";s:0:"";s:15:"link_to_comment";i:1;}s:9:"timestamp";a:5:{s:2:"id";s:9:"timestamp";s:5:"table";s:7:"comment";s:5:"field";s:7:"changed";s:5:"label";s:0:"";s:11:"date_format";s:8:"time ago";}}s:5:"sorts";a:1:{s:9:"timestamp";a:4:{s:2:"id";s:9:"timestamp";s:5:"table";s:7:"comment";s:5:"field";s:7:"changed";s:5:"order";s:4:"DESC";}}s:7:"filters";a:2:{s:12:"status_extra";a:5:{s:2:"id";s:12:"status_extra";s:5:"table";s:4:"node";s:5:"field";s:12:"status_extra";s:12:"relationship";s:3:"nid";s:5:"group";i:0;}s:4:"type";a:13:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:3:"nid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:4:"blog";s:4:"blog";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}}}s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"clearfix";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;}s:15:"use_more_always";b:0;s:13:"use_more_text";s:4:"more";}'),
('16', 'block', 'Block', 'block', '2', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:12:"style_plugin";s:10:"flexslider";s:8:"defaults";a:9:{s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:9:"css_class";b:0;s:5:"title";b:0;s:6:"fields";b:0;}s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"optionset";s:5:"pager";s:12:"captionfield";s:0:"";s:2:"id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:3:{s:10:"build_mode";s:6:"teaser";s:5:"links";b:0;s:8:"comments";b:0;}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"3";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:9:"css_class";s:0:"";s:5:"title";s:24:"What people say about us";s:6:"fields";a:4:{s:3:"nid";a:22:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:13:"?q=node/[nid]";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:1;s:14:"more_link_text";s:5:"[...]";s:14:"more_link_path";s:10:"node/[nid]";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:1:{s:11:"trim_length";s:3:"300";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:6:"strong";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:11:"align-right";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:23:"field_testi_author_info";a:34:{s:2:"id";s:23:"field_testi_author_info";s:5:"table";s:34:"field_data_field_testi_author_info";s:5:"field";s:23:"field_testi_author_info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:11:"align-right";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:17:"block_description";s:18:"View: Testimonials";}'),
('16', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:1:{s:14:"items_per_page";s:2:"10";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:4:{s:3:"nid";a:22:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:34:"<a href="?q=node/[nid]">[body]</a>";s:9:"make_link";i:0;s:4:"path";s:13:"?q=node/[nid]";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:1;s:14:"more_link_text";s:5:"[...]";s:14:"more_link_path";s:9:"node/[nid";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:1:{s:11:"trim_length";s:3:"300";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:6:"strong";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:23:"field_testi_author_info";a:34:{s:2:"id";s:23:"field_testi_author_info";s:5:"table";s:34:"field_data_field_testi_author_info";s:5:"field";s:23:"field_testi_author_info";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"testimonial";s:11:"testimonial";}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:12:"Testimonials";s:11:"row_options";a:4:{s:22:"default_field_elements";i:1;s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";i:0;}s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:8:"clearfix";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;}}'),
('19', 'block', 'Block', 'block', '2', 'a:2:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:17:"block_description";s:17:"View: Our clients";}'),
('19', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:11:"Our clients";s:15:"use_more_always";b:0;s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:1:"8";}}s:12:"style_plugin";s:10:"flexslider";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:4:{s:18:"field_banner_image";a:34:{s:2:"id";s:18:"field_banner_image";s:5:"table";s:29:"field_data_field_banner_image";s:5:"field";s:18:"field_banner_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:12:"banner_image";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:7:"nothing";a:21:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:51:"<a href="[field_site_url]">[field_banner_image]</a>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:6:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:5:"label";s:0:"";s:5:"alter";a:4:{s:10:"max_length";s:3:"100";s:8:"ellipsis";b:0;s:10:"strip_tags";b:1;s:4:"trim";b:1;}s:19:"element_label_colon";b:0;}}s:5:"sorts";a:1:{s:7:"created";a:3:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";}}s:7:"filters";a:2:{s:6:"status";a:6:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:5:"value";i:1;s:5:"group";i:1;s:6:"expose";a:1:{s:8:"operator";b:0;}}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:6:"banner";s:6:"banner";}}}s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"optionset";s:8:"carousel";s:12:"captionfield";s:0:"";s:2:"id";s:0:"";}}');
INSERT INTO `views_display` VALUES
('21', 'block_1', 'Block', 'block', '3', 'a:15:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"group_by";i:0;s:8:"defaults";a:12:{s:8:"group_by";b:0;s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:6:"header";b:0;}s:6:"fields";a:3:{s:3:"nid";a:22:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:9:"more_link";i:1;s:14:"more_link_text";s:5:"[...]";s:14:"more_link_path";s:10:"node/[nid]";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:7:{s:6:"bundle";s:6:"bundle";s:8:"language";s:8:"language";s:11:"entity_type";s:11:"entity_type";s:9:"entity_id";s:9:"entity_id";s:5:"value";s:5:"value";s:7:"summary";s:7:"summary";s:6:"format";s:6:"format";}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"views-row grid-6";s:14:"last_every_nth";s:1:"2";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:7:"filters";a:3:{s:6:"status";a:6:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:5:"value";i:1;s:5:"group";i:1;s:6:"expose";a:1:{s:8:"operator";b:0;}}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:3:"faq";s:3:"faq";}}s:27:"field_question_category_tid";a:19:{s:2:"id";s:27:"field_question_category_tid";s:5:"table";s:34:"field_data_field_question_category";s:5:"field";s:27:"field_question_category_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"127";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:14:"faq_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:17:"block_description";s:10:"View: FAQs";s:5:"title";s:26:"Frequently asked questions";s:6:"header";a:1:{s:16:"area_text_custom";a:10:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:5:"empty";i:0;s:7:"content";s:367:"Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam ac fermentum felis. Sed luctus, quam in pellentesque ornare, ante nibh vulputate dolor, sed varius orci dolor ac urna. Mauris egestas elementum erat, sed tincidunt ex. Cras vitae pellentesque lectus. Etiam sit amet vestibulum dui, at lobortis velit. Suspendisse potenti. ";s:8:"tokenize";i:0;}}}'),
('21', 'default', 'Master', 'default', '1', 'a:16:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:4:"FAQs";s:15:"use_more_always";b:0;s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:15:"views_accordion";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:3:{s:23:"field_question_category";a:34:{s:2:"id";s:23:"field_question_category";s:5:"table";s:34:"field_data_field_question_category";s:5:"field";s:23:"field_question_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:29:"taxonomy_term_reference_plain";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:7:{s:6:"bundle";s:6:"bundle";s:8:"language";s:8:"language";s:11:"entity_type";s:11:"entity_type";s:9:"entity_id";s:9:"entity_id";s:5:"value";s:5:"value";s:7:"summary";s:7:"summary";s:6:"format";s:6:"format";}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:5:"sorts";a:0:{}s:7:"filters";a:2:{s:6:"status";a:6:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:5:"value";i:1;s:5:"group";i:1;s:6:"expose";a:1:{s:8:"operator";b:0;}}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:3:"faq";s:3:"faq";}}}s:13:"style_options";a:14:{s:8:"grouping";a:1:{i:0;a:3:{s:5:"field";s:23:"field_question_category";s:8:"rendered";i:1;s:14:"rendered_strip";i:0;}}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;s:19:"use-grouping-header";i:0;s:14:"row-start-open";s:1:"0";s:11:"collapsible";i:1;s:8:"animated";s:5:"swing";s:10:"autoheight";i:0;s:5:"event";s:5:"click";s:9:"fillspace";i:0;s:10:"navigation";i:0;s:10:"clearstyle";i:0;s:12:"disableifone";i:0;}s:8:"group_by";i:1;s:13:"relationships";a:0:{}s:6:"header";a:1:{s:16:"area_text_custom";a:3:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";}}}'),
('21', 'page', 'Page', 'page', '2', 'a:5:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:4:"faqs";s:6:"header";a:0:{}s:8:"defaults";a:1:{s:6:"header";b:0;}s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:4:"FAQs";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}}'),
('24', 'block', 'Block', 'block', '2', 'a:3:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:17:"View: Author info";}'),
('24', 'default', 'Master', 'default', '1', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:1:"1";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:6:{s:7:"picture";a:23:{s:2:"id";s:7:"picture";s:5:"table";s:5:"users";s:5:"field";s:7:"picture";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:9:"pull-left";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:21:"link_photo_to_profile";i:1;s:11:"image_style";s:0:"";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:16:"Posted by [name]";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_user";i:1;s:19:"overwrite_anonymous";i:0;s:14:"anonymous_text";s:0:"";s:15:"format_username";i:1;}s:14:"field_user_bio";a:34:{s:2:"id";s:14:"field_user_bio";s:5:"table";s:25:"field_data_field_user_bio";s:5:"field";s:14:"field_user_bio";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:19:"field_user_linkedin";a:34:{s:2:"id";s:19:"field_user_linkedin";s:5:"table";s:30:"field_data_field_user_linkedin";s:5:"field";s:19:"field_user_linkedin";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:17:"field_user_tumblr";a:34:{s:2:"id";s:17:"field_user_tumblr";s:5:"table";s:28:"field_data_field_user_tumblr";s:5:"field";s:17:"field_user_tumblr";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:16:"field_user_vimeo";a:34:{s:2:"id";s:16:"field_user_vimeo";s:5:"table";s:27:"field_data_field_user_vimeo";s:5:"field";s:16:"field_user_vimeo";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"url";s:4:"type";s:12:"link_default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:4:"blog";s:4:"blog";}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:6:"<none>";s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:4:"node";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:6:"author";s:8:"required";i:0;}}s:9:"arguments";a:1:{s:3:"nid";a:22:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";i:0;s:5:"title";s:3:"All";}s:12:"title_enable";i:0;s:5:"title";s:0:"";s:17:"breadcrumb_enable";i:0;s:10:"breadcrumb";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";s:0:"";s:25:"default_argument_skip_url";i:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";s:1:"1";s:14:"items_per_page";s:2:"25";s:8:"override";i:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";s:1:"0";s:6:"format";s:15:"default_summary";}s:18:"specify_validation";i:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";i:0;s:3:"not";i:0;}}s:8:"group_by";i:0;}'),
('25', 'block', 'Block', 'block', '2', 'a:3:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:24:"View: Related blog posts";}'),
('25', 'default', 'Master', 'default', '1', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:6:{s:19:"disable_sql_rewrite";i:0;s:8:"distinct";i:1;s:13:"pure_distinct";i:0;s:5:"slave";i:0;s:13:"query_comment";s:0:"";s:10:"query_tags";a:0:{}}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:1:"4";}}s:12:"style_plugin";s:21:"semanticviews_default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:3:{s:16:"field_blog_media";a:34:{s:2:"id";s:16:"field_blog_media";s:5:"table";s:27:"field_data_field_blog_media";s:5:"field";s:16:"field_blog_media";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:16:"block_blog_image";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"100";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:4:"blog";s:4:"blog";}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:18:"Related blog posts";s:13:"relationships";a:1:{s:19:"field_blog_tags_tid";a:8:{s:2:"id";s:19:"field_blog_tags_tid";s:5:"table";s:26:"field_data_field_blog_tags";s:5:"field";s:19:"field_blog_tags_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:15:"field_blog_tags";s:8:"required";i:0;}}s:9:"arguments";a:2:{s:3:"tid";a:22:{s:2:"id";s:3:"tid";s:5:"table";s:18:"taxonomy_term_data";s:5:"field";s:3:"tid";s:12:"relationship";s:19:"field_blog_tags_tid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";i:0;s:5:"title";s:3:"All";}s:12:"title_enable";i:0;s:5:"title";s:0:"";s:17:"breadcrumb_enable";i:0;s:10:"breadcrumb";s:0:"";s:21:"default_argument_type";s:12:"taxonomy_tid";s:24:"default_argument_options";a:5:{s:4:"node";s:1:"1";s:12:"vocabularies";a:1:{s:9:"blog_tags";s:9:"blog_tags";}s:6:"anyall";s:1:"+";s:9:"term_page";i:0;s:5:"limit";i:0;}s:25:"default_argument_skip_url";i:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";s:1:"1";s:14:"items_per_page";s:2:"25";s:8:"override";i:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";s:1:"0";s:6:"format";s:15:"default_summary";}s:18:"specify_validation";i:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";i:1;s:3:"not";i:0;}s:3:"nid";a:22:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:14:"default_action";s:7:"default";s:9:"exception";a:3:{s:5:"value";s:3:"all";s:12:"title_enable";i:0;s:5:"title";s:3:"All";}s:12:"title_enable";i:0;s:5:"title";s:0:"";s:17:"breadcrumb_enable";i:0;s:10:"breadcrumb";s:0:"";s:21:"default_argument_type";s:4:"node";s:24:"default_argument_options";s:0:"";s:25:"default_argument_skip_url";i:0;s:15:"summary_options";a:4:{s:9:"base_path";s:0:"";s:5:"count";s:1:"1";s:14:"items_per_page";s:2:"25";s:8:"override";i:0;}s:7:"summary";a:3:{s:10:"sort_order";s:3:"asc";s:17:"number_of_records";s:1:"0";s:6:"format";s:15:"default_summary";}s:18:"specify_validation";i:0;s:8:"validate";a:2:{s:4:"type";s:4:"none";s:4:"fail";s:9:"not found";}s:16:"validate_options";a:0:{}s:12:"break_phrase";i:0;s:3:"not";i:1;}}s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"views-row grid-3";s:14:"last_every_nth";s:1:"4";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}}'),
('26', 'block_1', 'Block', 'block', '3', 'a:21:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"fields";a:4:{s:7:"picture";a:23:{s:2:"id";s:7:"picture";s:5:"table";s:5:"users";s:5:"field";s:7:"picture";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:21:"link_photo_to_profile";i:1;s:11:"image_style";s:0:"";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_user";i:1;s:19:"overwrite_anonymous";i:0;s:14:"anonymous_text";s:0:"";s:15:"format_username";i:1;}s:14:"field_user_bio";a:34:{s:2:"id";s:14:"field_user_bio";s:5:"table";s:25:"field_data_field_user_bio";s:5:"field";s:14:"field_user_bio";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"120";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:3:"nid";a:31:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"count";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";i:0;s:22:"format_plural_singular";s:1:"1";s:20:"format_plural_plural";s:6:"@count";s:6:"prefix";s:13:"Total posts: ";s:6:"suffix";s:0:"";s:12:"link_to_node";i:0;}}s:8:"defaults";a:18:{s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:13:"relationships";b:0;s:5:"sorts";b:0;s:8:"group_by";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"title";b:0;s:12:"link_display";b:0;s:8:"link_url";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"views-row grid-3";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:4:{s:22:"default_field_elements";i:1;s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";i:0;}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:13:"relationships";a:1:{s:3:"uid";a:8:{s:2:"id";s:3:"uid";s:5:"table";s:5:"users";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:5:"nodes";s:8:"required";i:0;}}s:5:"sorts";a:1:{s:4:"name";a:9:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}}s:8:"group_by";i:1;s:17:"block_description";s:18:"View: Post authors";s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";s:1:"1";s:5:"table";s:5:"users";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:13:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:3:"uid";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"in";s:5:"value";a:1:{s:4:"blog";s:4:"blog";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"title";s:23:"The most active authors";s:12:"link_display";s:4:"page";s:8:"link_url";s:0:"";s:8:"use_more";i:0;s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View all";}'),
('26', 'default', 'Master', 'default', '1', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:4:"perm";s:20:"access user profiles";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:7:{s:14:"items_per_page";s:2:"10";s:6:"offset";s:1:"0";s:2:"id";s:1:"0";s:11:"total_pages";s:0:"";s:8:"quantity";s:1:"9";s:4:"tags";a:4:{s:5:"first";s:8:"« first";s:8:"previous";s:12:"‹ previous";s:4:"next";s:8:"next ›";s:4:"last";s:7:"last »";}s:6:"expose";a:7:{s:14:"items_per_page";i:0;s:20:"items_per_page_label";s:14:"Items per page";s:22:"items_per_page_options";s:17:"5, 10, 20, 40, 60";s:26:"items_per_page_options_all";i:0;s:32:"items_per_page_options_all_label";s:7:"- All -";s:6:"offset";i:0;s:12:"offset_label";s:6:"Offset";}}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:5:{s:7:"picture";a:23:{s:2:"id";s:7:"picture";s:5:"table";s:5:"users";s:5:"field";s:7:"picture";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:21:"link_photo_to_profile";i:1;s:11:"image_style";s:0:"";}s:4:"name";a:25:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_user";i:1;s:19:"overwrite_anonymous";i:0;s:14:"anonymous_text";s:0:"";s:15:"format_username";i:1;}s:3:"rid";a:23:{s:2:"id";s:3:"rid";s:5:"table";s:11:"users_roles";s:5:"field";s:3:"rid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"type";s:9:"separator";s:9:"separator";s:2:", ";}s:14:"field_user_bio";a:34:{s:2:"id";s:14:"field_user_bio";s:5:"table";s:25:"field_data_field_user_bio";s:5:"field";s:14:"field_user_bio";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"signature";a:21:{s:2:"id";s:9:"signature";s:5:"table";s:5:"users";s:5:"field";s:9:"signature";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:13:"-\n[signature]";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;}}s:7:"filters";a:1:{s:6:"status";a:6:{s:5:"value";s:1:"1";s:5:"table";s:5:"users";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:4:"name";a:9:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}}s:5:"title";s:5:"Users";s:11:"row_options";a:4:{s:22:"default_field_elements";i:1;s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";i:0;}}'),
('26', 'page', 'Page', 'page', '2', 'a:3:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:5:"users";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:5:"Users";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}}');
INSERT INTO `views_display` VALUES
('27', 'attachment', 'Attachment', 'attachment', '3', 'a:6:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:6:"offset";s:1:"0";}}s:8:"defaults";a:1:{s:9:"arguments";b:0;}s:9:"arguments";a:1:{s:5:"title";a:15:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:14:"default_action";s:7:"summary";s:9:"exception";a:1:{s:12:"title_enable";i:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:19:"unformatted_summary";}s:15:"summary_options";a:3:{s:14:"items_per_page";s:2:"25";s:6:"inline";i:1;s:9:"separator";s:3:" | ";}s:18:"specify_validation";i:1;s:8:"glossary";i:1;s:5:"limit";s:1:"1";s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";i:0;}}s:8:"displays";a:2:{s:7:"default";s:7:"default";s:4:"page";s:4:"page";}s:17:"inherit_arguments";i:0;}'),
('27', 'default', 'Master', 'default', '1', 'a:11:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:1:{s:13:"query_comment";b:0;}}s:8:"use_ajax";b:1;s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:1:{s:14:"items_per_page";i:36;}}s:12:"style_plugin";s:5:"table";s:13:"style_options";a:12:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;s:8:"override";i:1;s:6:"sticky";i:0;s:7:"caption";s:0:"";s:7:"summary";s:0:"";s:7:"columns";a:4:{s:5:"title";s:5:"title";s:4:"type";s:4:"type";s:4:"name";s:4:"name";s:7:"changed";s:7:"changed";}s:4:"info";a:4:{s:5:"title";a:5:{s:8:"sortable";i:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";i:0;}s:4:"type";a:5:{s:8:"sortable";i:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";i:0;}s:4:"name";a:5:{s:8:"sortable";i:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";i:0;}s:7:"changed";a:5:{s:8:"sortable";i:1;s:18:"default_sort_order";s:3:"asc";s:5:"align";s:0:"";s:9:"separator";s:0:"";s:12:"empty_column";i:0;}}s:7:"default";s:5:"title";s:11:"empty_table";i:0;}s:6:"fields";a:4:{s:5:"title";a:4:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"link_to_node";i:1;}s:4:"type";a:23:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:12:"Content type";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";i:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;s:12:"machine_name";i:0;}s:4:"name";a:6:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:5:"label";s:6:"Author";s:12:"link_to_user";i:1;s:12:"relationship";s:3:"uid";}s:7:"changed";a:5:{s:2:"id";s:7:"changed";s:5:"table";s:4:"node";s:5:"field";s:7:"changed";s:5:"label";s:11:"Last update";s:11:"date_format";s:5:"large";}}s:9:"arguments";a:1:{s:5:"title";a:14:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:14:"default_action";s:7:"default";s:9:"exception";a:1:{s:12:"title_enable";i:1;}s:21:"default_argument_type";s:5:"fixed";s:24:"default_argument_options";a:1:{s:8:"argument";s:1:"a";}s:7:"summary";a:1:{s:6:"format";s:15:"default_summary";}s:18:"specify_validation";i:1;s:8:"glossary";i:1;s:5:"limit";s:1:"1";s:4:"case";s:5:"upper";s:9:"path_case";s:5:"lower";s:14:"transform_dash";i:0;}}s:13:"relationships";a:1:{s:3:"uid";a:3:{s:2:"id";s:3:"uid";s:5:"table";s:4:"node";s:5:"field";s:3:"uid";}}}'),
('27', 'page', 'Page', 'page', '2', 'a:3:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:8:"glossary";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:8:"Glossary";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}}'),
('28', 'default', 'Master', 'default', '1', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"none";s:7:"options";a:1:{s:14:"items_per_page";s:1:"0";}}s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:1:{s:5:"title";a:8:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:8:"absolute";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:12:"link_to_node";i:1;}}s:7:"filters";a:1:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}}s:5:"sorts";a:1:{s:5:"title";a:9:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}}}s:5:"title";s:7:"Sitemap";s:11:"row_options";a:4:{s:22:"default_field_elements";i:1;s:6:"inline";a:0:{}s:9:"separator";s:0:"";s:10:"hide_empty";i:0;}s:13:"style_options";a:7:{s:8:"grouping";a:1:{i:0;a:3:{s:5:"field";s:4:"type";s:8:"rendered";i:1;s:14:"rendered_strip";i:0;}}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}s:6:"header";a:0:{}}'),
('28', 'page', 'Page', 'page', '2', 'a:4:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:4:"path";s:7:"sitemap";s:6:"fields";a:2:{s:4:"type";a:23:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;s:12:"machine_name";i:0;}s:5:"title";a:8:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:8:"absolute";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:12:"link_to_node";i:1;}}s:8:"defaults";a:1:{s:6:"fields";b:0;}}'),
('31', 'block_1', 'Block: The Latest News (Home)', 'block', '4', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:9:{s:5:"title";b:0;s:5:"pager";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:13:"relationships";b:0;s:13:"pager_options";b:0;}s:5:"title";s:15:"The Latest News";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"2";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:35:"views-row clearfix gt-entrie-holder";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:0:"";s:10:"last_class";s:0:"";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:6:"fields";a:10:{s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:14:"meta node-meta";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"d";s:25:"second_date_format_custom";s:0:"";s:18:"second_date_format";s:4:"long";s:8:"timezone";s:0:"";}s:9:"created_1";a:26:{s:2:"id";s:9:"created_1";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:1:"M";s:25:"second_date_format_custom";s:0:"";s:18:"second_date_format";s:4:"long";s:8:"timezone";s:0:"";}s:16:"field_blog_media";a:35:{s:2:"id";s:16:"field_blog_media";s:5:"table";s:27:"field_data_field_blog_media";s:5:"field";s:16:"field_blog_media";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:142:"[field_blog_media]\n<div class="gt-entry-date"><span class="gt-entry-day">[created]</span><span class="gt-entry-month">[created_1]</span></div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:29:"pull-left gt-entry-attachment";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:16:"block_blog_image";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h3";s:21:"element_wrapper_class";s:14:"gt-entry-title";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:15:"field_blog_like";a:34:{s:2:"id";s:15:"field_blog_like";s:5:"table";s:26:"field_data_field_blog_like";s:5:"field";s:15:"field_blog_like";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:10:"vud_widget";s:4:"type";s:7:"default";s:8:"settings";a:0:{}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:3:"nid";a:22:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:13:"comment_count";a:30:{s:2:"id";s:13:"comment_count";s:5:"table";s:23:"node_comment_statistics";s:5:"field";s:13:"comment_count";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:13:"set_precision";b:0;s:9:"precision";i:0;s:7:"decimal";s:1:".";s:9:"separator";s:1:",";s:13:"format_plural";i:0;s:22:"format_plural_singular";s:1:"1";s:20:"format_plural_plural";s:6:"@count";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";}s:7:"nothing";a:21:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:145:"<div class="gt-entry-likes">[field_blog_like]</div><div class="gt-entry-comments-link"><a href="?q=node/[nid]#comments">[comment_count]</a></div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:13:"gt-entry-meta";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;}s:19:"field_blog_category";a:35:{s:2:"id";s:19:"field_blog_category";s:5:"table";s:30:"field_data_field_blog_category";s:5:"field";s:19:"field_blog_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:13:"gt-entry-cats";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:28:"taxonomy_term_reference_link";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:12:"delta_random";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"270";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:16:"gt-entry-excerpt";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:1:{s:11:"trim_length";s:3:"600";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:17:"block_description";s:21:"View: The Latest News";s:13:"relationships";a:0:{}s:19:"display_description";s:0:"";s:13:"pager_options";N;}'),
('31', 'block_2', 'Block: Popular posts', 'block', '5', 'a:10:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:8:{s:5:"title";b:0;s:5:"pager";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:5:"sorts";b:0;}s:5:"title";s:13:"Popular posts";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"2";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:3:{s:5:"title";a:8:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:3:{s:4:"text";s:36:"<strong>[title]</strong> ([created])";s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;}s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:23:"element_default_classes";b:0;}s:7:"created";a:26:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:45:"<span class="fa fa-clock-o"></span> [created]";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:14:"meta node-meta";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:11:"date_format";s:6:"medium";s:18:"custom_date_format";s:0:"";s:25:"second_date_format_custom";s:0:"";s:18:"second_date_format";s:4:"long";s:8:"timezone";s:0:"";}s:4:"body";a:6:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:5:"label";s:0:"";s:5:"alter";a:3:{s:10:"max_length";s:2:"80";s:10:"strip_tags";b:1;s:4:"trim";b:1;}s:19:"element_label_colon";b:0;}}s:5:"sorts";a:1:{s:10:"totalcount";a:4:{s:2:"id";s:10:"totalcount";s:5:"table";s:12:"node_counter";s:5:"field";s:10:"totalcount";s:5:"order";s:4:"DESC";}}s:17:"block_description";s:19:"View: Popular posts";s:7:"enabled";b:0;}'),
('31', 'block_3', 'Block: From Our Blog (Home 2)', 'block', '7', 'a:12:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:9:{s:5:"title";b:0;s:5:"pager";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:13:"relationships";b:0;s:13:"pager_options";b:0;}s:5:"title";s:13:"From Our Blog";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"5";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:10:"flexslider";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"optionset";s:8:"carousel";s:12:"captionfield";s:0:"";s:2:"id";s:0:"";}s:10:"row_plugin";s:6:"fields";s:6:"fields";a:3:{s:16:"field_blog_media";a:35:{s:2:"id";s:16:"field_blog_media";s:5:"table";s:27:"field_data_field_blog_media";s:5:"field";s:16:"field_blog_media";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:29:"pull-left gt-entry-attachment";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:19:"blog_carousel_image";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:19:"field_blog_category";a:35:{s:2:"id";s:19:"field_blog_category";s:5:"table";s:30:"field_data_field_blog_category";s:5:"field";s:19:"field_blog_category";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:13:"gt-entry-cats";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"tid";s:4:"type";s:28:"taxonomy_term_reference_link";s:8:"settings";a:0:{}s:12:"group_column";s:3:"tid";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"1";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:12:"delta_random";i:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h3";s:21:"element_wrapper_class";s:14:"gt-entry-title";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}}s:17:"block_description";s:19:"View: From Our Blog";s:13:"relationships";a:0:{}s:19:"display_description";s:0:"";s:13:"pager_options";N;}'),
('31', 'block_4', 'Block: Home blog', 'block', '6', 'a:18:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:14:{s:5:"title";b:0;s:9:"css_class";b:0;s:8:"use_ajax";b:0;s:8:"use_more";b:0;s:15:"use_more_always";b:0;s:13:"use_more_text";b:0;s:12:"link_display";b:0;s:5:"pager";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:13:"relationships";b:0;s:6:"fields";b:0;}s:5:"title";s:16:"Our newest posts";s:9:"css_class";s:17:"isotope-grid col3";s:8:"use_ajax";b:1;s:8:"use_more";b:1;s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View all";s:12:"link_display";s:10:"custom_url";s:8:"link_url";s:4:"blog";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"9";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:12:"isotope_grid";s:13:"style_options";a:1:{s:11:"data_fields";a:7:{s:5:"title";i:0;s:7:"created";i:0;s:13:"comment_count";i:0;s:16:"field_blog_media";i:0;s:4:"body";i:0;s:9:"view_node";i:0;s:9:"created_1";i:0;}}s:10:"row_plugin";s:6:"fields";s:13:"relationships";a:1:{s:3:"uid";a:3:{s:2:"id";s:3:"uid";s:5:"table";s:4:"node";s:5:"field";s:3:"uid";}}s:6:"fields";a:10:{s:5:"title";a:8:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:2:{s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;}s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:23:"element_default_classes";b:0;}s:4:"name";a:7:{s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:3:"uid";s:5:"label";s:0:"";s:7:"exclude";b:1;s:19:"element_label_colon";b:0;}s:7:"created";a:8:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"label";s:0:"";s:7:"exclude";b:1;s:19:"element_label_colon";b:0;s:11:"date_format";s:6:"medium";s:18:"second_date_format";s:4:"long";}s:10:"totalcount";a:6:{s:2:"id";s:10:"totalcount";s:5:"table";s:12:"node_counter";s:5:"field";s:10:"totalcount";s:5:"label";s:0:"";s:7:"exclude";b:1;s:19:"element_label_colon";b:0;}s:13:"comment_count";a:6:{s:2:"id";s:13:"comment_count";s:5:"table";s:23:"node_comment_statistics";s:5:"field";s:13:"comment_count";s:5:"label";s:0:"";s:7:"exclude";b:1;s:19:"element_label_colon";b:0;}s:3:"nid";a:6:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:5:"label";s:0:"";s:7:"exclude";b:1;s:19:"element_label_colon";b:0;}s:7:"nothing";a:9:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:5:"label";s:0:"";s:5:"alter";a:1:{s:4:"text";s:400:"<span class="node-author"><span class="fa fa-fw fa-user"></span> [name]</span> <span class="node-pubdate"><span class="fa fa-fw fa-calendar"></span> [created]</span> <span class="node-views"><span class="fa fa-fw fa-eye"></span> [totalcount]</span> <span class="node-comments"><span class="fa fa-fw fa-comment"></span> <a href="?q=node/[nid]#comments" class="node-comments">[comment_count]</a></span>";}s:12:"element_type";s:1:"0";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:14:"meta node-meta";}s:16:"field_blog_media";a:8:{s:2:"id";s:16:"field_blog_media";s:5:"table";s:27:"field_data_field_blog_media";s:5:"field";s:16:"field_blog_media";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:18:"blog_masonry_image";}}s:4:"body";a:7:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:5:"label";s:0:"";s:5:"alter";a:3:{s:10:"max_length";s:3:"200";s:10:"strip_tags";b:1;s:4:"trim";b:1;}s:19:"element_label_colon";b:0;s:8:"settings";a:1:{s:11:"trim_length";s:3:"600";}}s:9:"view_node";a:8:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:4:"text";s:9:"Read more";}}s:17:"block_description";s:15:"View: Home blog";s:7:"enabled";b:0;}'),
('31', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"title";s:4:"Blog";s:15:"use_more_always";b:0;s:13:"use_more_text";s:8:"View all";s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"full";s:7:"options";a:1:{s:14:"items_per_page";s:1:"9";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:4:"node";s:6:"fields";a:7:{s:5:"title";a:7:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:2:{s:13:"word_boundary";b:0;s:8:"ellipsis";b:0;}s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";}s:7:"created";a:7:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:11:"date_format";s:6:"medium";s:18:"second_date_format";s:4:"long";}s:13:"comment_count";a:6:{s:2:"id";s:13:"comment_count";s:5:"table";s:23:"node_comment_statistics";s:5:"field";s:13:"comment_count";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:6:"prefix";s:9:"Comments ";}s:16:"field_blog_media";a:8:{s:2:"id";s:16:"field_blog_media";s:5:"table";s:27:"field_data_field_blog_media";s:5:"field";s:16:"field_blog_media";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:10:"blog_image";}}s:4:"body";a:7:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";s:3:"600";}}s:9:"view_node";a:8:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:5:"label";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:4:"text";s:9:"Read more";}s:9:"created_1";a:9:{s:2:"id";s:9:"created_1";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"label";s:0:"";s:7:"exclude";b:1;s:19:"element_label_colon";b:0;s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:4:"M, Y";s:18:"second_date_format";s:4:"long";}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:7:"filters";a:2:{s:6:"status";a:6:{s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:5:"value";i:1;s:5:"group";i:1;s:6:"expose";a:1:{s:8:"operator";b:0;}}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:4:"blog";s:4:"blog";}}}}'),
('31', 'page', 'Page: Masonry v1 3 cols', 'page', '2', 'a:9:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:5:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:5:"title";s:24:"3 Column Masonry v1 Blog";s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:1:{s:3:"row";a:4:{s:5:"class";s:16:"grid-4 views-row";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:14:"last_every_nth";s:1:"3";}}s:10:"row_plugin";s:4:"node";s:4:"path";s:22:"blog-masonry-v1-3-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:24:"3 Column Masonry v1 Blog";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:19:"display_description";s:0:"";}'),
('31', 'page_3', 'Page: Masonry v1 4 cols', 'page', '3', 'a:9:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:8:"defaults";a:5:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:5:"title";s:24:"4 Column Masonry v1 Blog";s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:1:{s:3:"row";a:4:{s:5:"class";s:16:"grid-4 views-row";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:14:"last_every_nth";s:1:"3";}}s:10:"row_plugin";s:4:"node";s:4:"path";s:22:"blog-masonry-v1-4-cols";s:4:"menu";a:7:{s:4:"type";s:6:"normal";s:5:"title";s:24:"4 Column Masonry v1 Blog";s:11:"description";s:0:"";s:4:"name";s:12:"menu-sitemap";s:6:"weight";s:1:"0";s:7:"context";i:0;s:19:"context_only_inline";i:0;}s:19:"display_description";s:0:"";}');
INSERT INTO `views_display` VALUES
('34', 'block', 'Block: Type 1', 'block', '2', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:28:"View: Pricing Tables Style 1";s:19:"display_description";s:0:"";s:6:"fields";a:5:{s:17:"field_plan_period";a:35:{s:2:"id";s:17:"field_plan_period";s:5:"table";s:28:"field_data_field_plan_period";s:5:"field";s:17:"field_plan_period";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:16:"field_plan_price";a:35:{s:2:"id";s:16:"field_plan_price";s:5:"table";s:27:"field_data_field_plan_price";s:5:"field";s:16:"field_plan_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:98:"[title]\n<div class="price">[field_plan_price]<span class="period">[field_plan_period]</span></div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:18:"field_plan_options";a:35:{s:2:"id";s:18:"field_plan_options";s:5:"table";s:29:"field_data_field_plan_options";s:5:"field";s:18:"field_plan_options";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"8";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:12:"delta_random";i:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:14:"btn btn-type-6";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:7:"Sign up";}}s:8:"defaults";a:9:{s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"sorts";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:51:"views-row grid-4 pricing-table pricing-table-type-1";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"title";s:22:"Pricing Tables Style 1";s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"tariff_plan";s:11:"tariff_plan";}}s:23:"field_plan_category_tid";a:19:{s:2:"id";s:23:"field_plan_category_tid";s:5:"table";s:30:"field_data_field_plan_category";s:5:"field";s:23:"field_plan_category_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"159";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:21:"tarif_plan_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"sorts";a:1:{s:7:"created";a:10:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}}'),
('34', 'block_3', 'Block: Type 2', 'block', '3', 'a:16:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:28:"View: Pricing Tables Style 2";s:19:"display_description";s:0:"";s:6:"fields";a:5:{s:17:"field_plan_period";a:34:{s:2:"id";s:17:"field_plan_period";s:5:"table";s:28:"field_data_field_plan_period";s:5:"field";s:17:"field_plan_period";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:16:"field_plan_price";a:35:{s:2:"id";s:16:"field_plan_price";s:5:"table";s:27:"field_data_field_plan_price";s:5:"field";s:16:"field_plan_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:98:"[title]\n<div class="price">[field_plan_price]<span class="period">[field_plan_period]</span></div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:18:"field_plan_options";a:35:{s:2:"id";s:18:"field_plan_options";s:5:"table";s:29:"field_data_field_plan_options";s:5:"field";s:18:"field_plan_options";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"5";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:12:"delta_random";i:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:14:"btn btn-type-6";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:7:"Sign up";}}s:8:"defaults";a:11:{s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:5:"sorts";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:52:"views-row grid-3  pricing-table pricing-table-type-2";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"title";s:22:"Pricing Tables Style 2";s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"tariff_plan";s:11:"tariff_plan";}}s:23:"field_plan_category_tid";a:19:{s:2:"id";s:23:"field_plan_category_tid";s:5:"table";s:30:"field_data_field_plan_category";s:5:"field";s:23:"field_plan_category_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"159";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:21:"tarif_plan_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:5:"sorts";a:1:{s:7:"created";a:10:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:3:"ASC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}}'),
('34', 'block_4', 'Block: Type 3', 'block', '4', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:28:"View: Pricing Tables Style 1";s:19:"display_description";s:0:"";s:6:"fields";a:7:{s:17:"field_plan_period";a:34:{s:2:"id";s:17:"field_plan_period";s:5:"table";s:28:"field_data_field_plan_period";s:5:"field";s:17:"field_plan_period";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:16:"field_plan_price";a:35:{s:2:"id";s:16:"field_plan_price";s:5:"table";s:27:"field_data_field_plan_price";s:5:"field";s:16:"field_plan_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:71:"[title]\n<div class="price">[field_plan_price] [field_plan_period]</div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:18:"field_plan_options";a:35:{s:2:"id";s:18:"field_plan_options";s:5:"table";s:29:"field_data_field_plan_options";s:5:"field";s:18:"field_plan_options";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";i:1;s:11:"delta_limit";s:1:"0";s:12:"delta_offset";s:1:"0";s:14:"delta_reversed";i:0;s:16:"delta_first_last";i:0;s:12:"delta_random";i:0;s:10:"multi_type";s:2:"ul";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:14:"btn btn-type-5";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:7:"Sign up";}s:22:"field_plan_best_choice";a:35:{s:2:"id";s:22:"field_plan_best_choice";s:5:"table";s:33:"field_data_field_plan_best_choice";s:5:"field";s:22:"field_plan_best_choice";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:1;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"list_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:16:"field_plan_image";a:35:{s:2:"id";s:16:"field_plan_image";s:5:"table";s:27:"field_data_field_plan_image";s:5:"field";s:16:"field_plan_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:1;s:4:"text";s:118:"<div class="pricing-table-bg" data-bg="[field_plan_image]" style="background-image: url(''[field_plan_image]");"></div>";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:0;s:13:"preserve_tags";s:5:"<div>";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:1:"0";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:10:"media_link";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:8:"defaults";a:9:{s:6:"fields";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"title";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"sorts";b:0;}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:51:"views-row grid-4 pricing-table pricing-table-type-3";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"title";s:22:"Pricing Tables Style 1";s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"tariff_plan";s:11:"tariff_plan";}}s:23:"field_plan_category_tid";a:19:{s:2:"id";s:23:"field_plan_category_tid";s:5:"table";s:30:"field_data_field_plan_category";s:5:"field";s:23:"field_plan_category_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"160";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:21:"tarif_plan_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"sorts";a:1:{s:7:"created";a:10:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}}'),
('34', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:1:{s:4:"type";s:4:"perm";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:1:"3";}}s:12:"style_plugin";s:21:"semanticviews_default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:4:{s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:16:"field_plan_price";a:34:{s:2:"id";s:16:"field_plan_price";s:5:"table";s:27:"field_data_field_plan_price";s:5:"field";s:16:"field_plan_price";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:17:"field_plan_period";a:34:{s:2:"id";s:17:"field_plan_period";s:5:"table";s:28:"field_data_field_plan_period";s:5:"field";s:17:"field_plan_period";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:3:"Buy";}}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"tariff_plan";s:11:"tariff_plan";}}s:23:"field_plan_category_tid";a:19:{s:2:"id";s:23:"field_plan_category_tid";s:5:"table";s:30:"field_data_field_plan_category";s:5:"field";s:23:"field_plan_category_tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"159";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:21:"tarif_plan_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:5:"sorts";a:1:{s:7:"created";a:10:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"order";s:4:"DESC";s:7:"exposed";b:0;s:6:"expose";a:1:{s:5:"label";s:0:"";}s:11:"granularity";s:6:"second";}}s:5:"title";s:6:"<none>";s:9:"css_class";s:21:"pricing-tables-holder";s:13:"style_options";a:0:{}}'),
('35', 'block', 'Block: What we do (Home)', 'block', '2', 'a:16:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:16:"View: What we do";s:19:"display_description";s:0:"";s:6:"header";a:0:{}s:8:"defaults";a:11:{s:6:"header";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:5:"title";b:0;}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"service";s:7:"service";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"134";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:19:"services_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"4";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:28:"views-row grid-3 gt-icon-box";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:3:{s:18:"field_service_icon";a:35:{s:2:"id";s:18:"field_service_icon";s:5:"table";s:29:"field_data_field_service_icon";s:5:"field";s:18:"field_service_icon";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:16:"icon icon-type-1";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"40";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:5:"title";s:10:"What We Do";}');
INSERT INTO `views_display` VALUES
('35', 'block_6', 'Block: Our Services (Home 2)', 'block', '3', 'a:16:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:17:"block_description";s:18:"View: Our Services";s:19:"display_description";s:0:"";s:6:"header";a:0:{}s:8:"defaults";a:11:{s:6:"header";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:5:"title";b:0;}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"service";s:7:"service";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"133";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:19:"services_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"3";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"views-row grid-4";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:3:{s:18:"field_service_icon";a:34:{s:2:"id";s:18:"field_service_icon";s:5:"table";s:29:"field_data_field_service_icon";s:5:"field";s:18:"field_service_icon";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:1:"0";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:2:"95";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:5:"title";s:12:"Our Services";}'),
('35', 'default', 'Master', 'default', '1', 'a:13:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:4:"perm";s:14:"access content";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"3";s:6:"offset";s:1:"0";}}s:12:"style_plugin";s:4:"list";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:1:{s:5:"title";a:8:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:5:"label";s:0:"";s:5:"alter";a:8:{s:10:"alter_text";i:0;s:9:"make_link";i:0;s:8:"absolute";i:0;s:4:"trim";i:0;s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:12:"link_to_node";i:1;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"service";s:7:"service";}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:8:"Services";s:13:"style_options";a:7:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;s:4:"type";s:2:"ul";s:13:"wrapper_class";s:9:"item-list";s:5:"class";s:0:"";}s:6:"header";a:1:{s:16:"area_text_custom";a:3:{s:2:"id";s:16:"area_text_custom";s:5:"table";s:5:"views";s:5:"field";s:16:"area_text_custom";}}}'),
('36', 'block', 'Block: A few words about us', 'block', '3', 'a:16:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:19:"display_description";s:0:"";s:17:"block_description";s:26:"View: A few words about us";s:5:"title";s:6:"<none>";s:8:"defaults";a:10:{s:5:"title";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;}s:12:"style_plugin";s:7:"default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:4:{s:11:"field_image";a:34:{s:2:"id";s:11:"field_image";s:5:"table";s:22:"field_data_field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:9:"pull-left";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"article_image_2";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h2";s:21:"element_wrapper_class";s:10:"extra-wrap";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:9:"Read more";}}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:2:"76";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:4:"tags";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"1";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:7:"enabled";b:0;}'),
('36', 'block_1', 'Block: Article (Home 2)', 'block', '2', 'a:14:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"131";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:4:"tags";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:8:"defaults";a:10:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:6:"fields";b:0;s:5:"pager";b:0;s:13:"pager_options";b:0;s:5:"title";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:19:"display_description";s:0:"";s:17:"block_description";s:13:"View: Article";s:12:"style_plugin";s:7:"default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:9:"row_class";s:0:"";s:17:"default_row_class";i:1;s:17:"row_class_special";i:1;}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:6:"fields";a:2:{s:11:"field_image";a:35:{s:2:"id";s:11:"field_image";s:5:"table";s:22:"field_data_field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:9:"pull-left";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"article_image_1";s:10:"image_link";s:7:"content";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:4:"body";a:35:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"400";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:23:"text_summary_or_trimmed";s:8:"settings";a:1:{s:11:"trim_length";s:3:"850";}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"1";s:6:"offset";s:1:"0";}}s:13:"pager_options";N;s:5:"title";s:6:"<none>";}'),
('36', 'block_2', 'Block: About', 'block', '4', 'a:15:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:19:"display_description";s:0:"";s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:2:{s:14:"items_per_page";s:1:"3";s:6:"offset";s:1:"0";}}s:8:"defaults";a:10:{s:5:"pager";b:0;s:13:"pager_options";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;s:5:"title";b:0;s:6:"fields";b:0;}s:13:"pager_options";N;s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"132";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:4:"tags";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:12:"style_plugin";s:21:"semanticviews_default";s:13:"style_options";a:4:{s:8:"grouping";a:0:{}s:5:"group";a:2:{s:12:"element_type";s:2:"h3";s:5:"class";s:5:"title";}s:4:"list";a:2:{s:12:"element_type";s:0:"";s:5:"class";s:0:"";}s:3:"row";a:6:{s:12:"element_type";s:3:"div";s:5:"class";s:16:"views-row grid-4";s:14:"last_every_nth";s:1:"0";s:11:"first_class";s:5:"alpha";s:10:"last_class";s:5:"omega";s:16:"striping_classes";s:8:"odd even";}}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:17:"block_description";s:21:"View: About (onepage)";s:5:"title";s:8:"About us";s:6:"fields";a:4:{s:11:"field_image";a:34:{s:2:"id";s:11:"field_image";s:5:"table";s:22:"field_data_field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"article_image_3";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h6";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:0;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"280";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:3:"div";s:21:"element_wrapper_class";s:3:"btn";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:9:"Read more";}}s:7:"enabled";b:0;}'),
('36', 'block_3', 'Block: Sell your product', 'block', '5', 'a:8:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"141";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:4:"tags";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:8:"defaults";a:3:{s:7:"filters";b:0;s:13:"filter_groups";b:0;s:6:"fields";b:0;}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}s:19:"display_description";s:0:"";s:17:"block_description";s:23:"View: Sell your product";s:6:"fields";a:3:{s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h2";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:11:"field_image";a:34:{s:2:"id";s:11:"field_image";s:5:"table";s:22:"field_data_field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:15:"article_image_4";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}}s:7:"enabled";b:0;}'),
('36', 'default', 'Master', 'default', '1', 'a:11:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:4:"perm";s:14:"access content";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:1:"1";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:4:{s:11:"field_image";a:34:{s:2:"id";s:11:"field_image";s:5:"table";s:22:"field_data_field_image";s:5:"field";s:11:"field_image";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:5:"image";s:8:"settings";a:2:{s:11:"image_style";s:6:"medium";s:10:"image_link";s:0:"";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:2:"h2";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:1;}s:4:"body";a:34:{s:2:"id";s:4:"body";s:5:"table";s:15:"field_data_body";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:1;s:4:"trim";i:1;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:5:"value";s:4:"type";s:12:"text_default";s:8:"settings";a:0:{}s:12:"group_column";s:5:"value";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:9:"view_node";a:22:{s:2:"id";s:9:"view_node";s:5:"table";s:17:"views_entity_node";s:5:"field";s:9:"view_node";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";b:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:4:"text";s:9:"Read more";}}s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:7:"article";s:7:"article";}}s:3:"tid";a:5:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:5:"value";a:1:{i:0;s:2:"76";}s:10:"vocabulary";s:4:"tags";}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:6:"<none>";}'),
('37', 'block', 'Block: Video (Home 2)', 'block', '2', 'a:9:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:5:"field";a:1:{s:5:"title";a:1:{s:12:"link_to_node";i:1;}}s:5:"title";s:6:"<none>";s:8:"defaults";a:4:{s:5:"title";b:0;s:6:"fields";b:0;s:7:"filters";b:0;s:13:"filter_groups";b:0;}s:6:"fields";a:4:{s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}s:17:"field_video_media";a:35:{s:2:"id";s:17:"field_video_media";s:5:"table";s:28:"field_data_field_video_media";s:5:"field";s:17:"field_video_media";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:17:"click_sort_column";s:3:"fid";s:4:"type";s:13:"file_rendered";s:8:"settings";a:1:{s:14:"file_view_mode";s:7:"default";}s:12:"group_column";s:0:"";s:13:"group_columns";a:0:{}s:10:"group_rows";b:1;s:11:"delta_limit";s:3:"all";s:12:"delta_offset";i:0;s:14:"delta_reversed";b:0;s:16:"delta_first_last";b:0;s:12:"delta_random";b:0;s:10:"multi_type";s:9:"separator";s:9:"separator";s:2:", ";s:17:"field_api_classes";i:0;}s:7:"nothing";a:21:{s:2:"id";s:7:"nothing";s:5:"table";s:5:"views";s:5:"field";s:7:"nothing";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:1;s:5:"alter";a:26:{s:10:"alter_text";b:1;s:4:"text";s:10:"View video";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:0;}s:8:"colorbox";a:28:{s:2:"id";s:8:"colorbox";s:5:"table";s:8:"colorbox";s:5:"field";s:8:"colorbox";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:13:"trigger_field";s:7:"nothing";s:5:"popup";s:19:"[field_video_media]";s:7:"caption";s:0:"";s:3:"gid";i:0;s:10:"custom_gid";s:0:"";s:5:"width";s:5:"600px";s:6:"height";s:5:"400px";}}s:17:"block_description";s:72:"Views: We are a London based creative agency creating digital experience";s:19:"display_description";s:0:"";s:7:"filters";a:3:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"video_entry";s:11:"video_entry";}}s:3:"tid";a:19:{s:2:"id";s:3:"tid";s:5:"table";s:14:"taxonomy_index";s:5:"field";s:3:"tid";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:8:"operator";s:2:"or";s:5:"value";a:1:{i:0;s:3:"152";}s:5:"group";s:1:"1";s:7:"exposed";b:0;s:6:"expose";a:12:{s:11:"operator_id";b:0;s:5:"label";s:0:"";s:11:"description";s:0:"";s:12:"use_operator";b:0;s:14:"operator_label";s:0:"";s:8:"operator";s:0:"";s:10:"identifier";s:0:"";s:8:"required";b:0;s:8:"remember";b:0;s:8:"multiple";b:0;s:14:"remember_roles";a:1:{i:2;i:2;}s:6:"reduce";b:0;}s:10:"is_grouped";b:0;s:10:"group_info";a:10:{s:5:"label";s:0:"";s:11:"description";s:0:"";s:10:"identifier";s:0:"";s:8:"optional";b:1;s:6:"widget";s:6:"select";s:8:"multiple";b:0;s:8:"remember";i:0;s:13:"default_group";s:3:"All";s:22:"default_group_multiple";a:0:{}s:11:"group_items";a:0:{}}s:17:"reduce_duplicates";i:0;s:4:"type";s:9:"textfield";s:5:"limit";b:1;s:10:"vocabulary";s:24:"video_entries_categories";s:9:"hierarchy";i:0;s:13:"error_message";b:1;}}s:13:"filter_groups";a:2:{s:8:"operator";s:3:"AND";s:6:"groups";a:1:{i:1;s:3:"AND";}}}');
INSERT INTO `views_display` VALUES
('37', 'default', 'Master', 'default', '1', 'a:11:{s:5:"query";a:2:{s:4:"type";s:11:"views_query";s:7:"options";a:0:{}}s:6:"access";a:2:{s:4:"type";s:4:"perm";s:4:"perm";s:14:"access content";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:12:"exposed_form";a:1:{s:4:"type";s:5:"basic";}s:5:"pager";a:2:{s:4:"type";s:4:"some";s:7:"options";a:1:{s:14:"items_per_page";s:1:"1";}}s:12:"style_plugin";s:7:"default";s:10:"row_plugin";s:6:"fields";s:6:"fields";a:1:{s:5:"title";a:22:{s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";s:10:"group_type";s:5:"group";s:7:"ui_name";s:0:"";s:5:"label";s:0:"";s:7:"exclude";i:0;s:5:"alter";a:26:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:8:"absolute";i:0;s:8:"external";i:0;s:14:"replace_spaces";i:0;s:9:"path_case";s:4:"none";s:15:"trim_whitespace";i:0;s:3:"alt";s:0:"";s:3:"rel";s:0:"";s:10:"link_class";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:6:"target";s:0:"";s:5:"nl2br";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:0;s:8:"ellipsis";i:0;s:9:"more_link";i:0;s:14:"more_link_text";s:0:"";s:14:"more_link_path";s:0:"";s:10:"strip_tags";i:0;s:4:"trim";i:0;s:13:"preserve_tags";s:0:"";s:4:"html";i:0;}s:12:"element_type";s:0:"";s:13:"element_class";s:0:"";s:18:"element_label_type";s:0:"";s:19:"element_label_class";s:0:"";s:19:"element_label_colon";b:0;s:20:"element_wrapper_type";s:0:"";s:21:"element_wrapper_class";s:0:"";s:23:"element_default_classes";i:1;s:5:"empty";s:0:"";s:10:"hide_empty";i:0;s:10:"empty_zero";i:0;s:16:"hide_alter_empty";i:1;s:12:"link_to_node";i:0;}}s:7:"filters";a:2:{s:6:"status";a:6:{s:5:"value";i:1;s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:2:"id";s:6:"status";s:6:"expose";a:1:{s:8:"operator";b:0;}s:5:"group";i:1;}s:4:"type";a:4:{s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:5:"value";a:1:{s:11:"video_entry";s:11:"video_entry";}}}s:5:"sorts";a:1:{s:7:"created";a:4:{s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:5:"order";s:4:"DESC";}}s:5:"title";s:5:"Video";}');
/*!40000 ALTER TABLE views_display ENABLE KEYS */;

--
-- Table structure for table 'views_view'
--

CREATE TABLE IF NOT EXISTS `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.' COMMENT='Stores the general data for a view.';

--
-- Dumping data for table 'views_view'
--

/*!40000 ALTER TABLE views_view DISABLE KEYS */;
INSERT INTO `views_view` VALUES
('2', 'portfolio', '', 'default', 'node', 'Portfolio', '7'),
('4', 'archive', 'Display a list of months that link to content for that month.', 'default', 'node', 'Archive', '0'),
('5', 'our_team', '', 'default', 'node', 'Employees', '7'),
('8', 'slider', '', 'default', 'node', 'Slides', '7'),
('9', 'categories', '', 'default', 'taxonomy_term_data', 'Categories', '7'),
('10', 'portfolio_filter', '', 'default', 'taxonomy_term_data', 'Portfolio filter', '7'),
('11', 'semantic_demo', '', '', 'node', '', '0'),
('15', 'comments_recent', 'Contains a block and a page to list recent comments; the block will automatically link to the page, which displays the comment body as well as a link to the node.', 'default', 'comment', 'Recent comments', '0'),
('16', 'testimonials', '', 'default', 'node', 'Testimonials', '7'),
('19', 'Banners', '', 'default', 'node', 'Banners', '7'),
('21', 'FAQs', '', 'default', 'node', 'FAQs', '7'),
('24', 'author_info', '', 'default', 'node', 'Author info', '7'),
('25', 'related_blog_posts', '', 'default', 'node', 'Related blog posts', '7'),
('26', 'users', '', 'default', 'users', 'Users', '7'),
('27', 'glossary', 'A list of all content, by letter.', 'default', 'node', 'Glossary', '0'),
('28', 'sitemap', '', 'default', 'node', 'Sitemap', '7'),
('31', 'blog', '', 'default', 'node', 'Blog', '7'),
('34', 'tariff_plans', '', 'default', 'node', 'Tariff plans', '7'),
('35', 'services', '', 'default', 'node', 'Services', '7'),
('36', 'articles', '', 'default', 'node', 'Articles', '7'),
('37', 'video', '', 'default', 'node', 'Video', '7');
/*!40000 ALTER TABLE views_view ENABLE KEYS */;

--
-- Table structure for table 'votingapi_cache'
--

CREATE TABLE IF NOT EXISTS `votingapi_cache` (
  `vote_cache_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entity_type` varchar(64) NOT NULL DEFAULT 'node',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0',
  `value` float NOT NULL DEFAULT '0',
  `value_type` varchar(64) NOT NULL DEFAULT 'percent',
  `tag` varchar(64) NOT NULL DEFAULT 'vote',
  `function` varchar(64) NOT NULL DEFAULT '',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`vote_cache_id`),
  KEY `content` (`entity_type`,`entity_id`),
  KEY `content_function` (`entity_type`,`entity_id`,`function`),
  KEY `content_tag_func` (`entity_type`,`entity_id`,`tag`,`function`),
  KEY `content_vtype_tag` (`entity_type`,`entity_id`,`value_type`,`tag`),
  KEY `content_vtype_tag_func` (`entity_type`,`entity_id`,`value_type`,`tag`,`function`)
) ENGINE=InnoDB AUTO_INCREMENT=397 DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'votingapi_cache'
--

/*!40000 ALTER TABLE votingapi_cache DISABLE KEYS */;
INSERT INTO `votingapi_cache` VALUES
('223', 'node', '104', '1', 'percent', 'fivestars', 'count', '1399470930'),
('224', 'node', '104', '100', 'percent', 'fivestars', 'average', '1399470930'),
('225', 'node', '104', '1', 'points', 'thumbs_up_down', 'count', '1399470930'),
('226', 'node', '104', '1', 'points', 'thumbs_up_down', 'average', '1399470930'),
('227', 'node', '104', '1', 'points', 'thumbs_up_down', 'sum', '1399470930'),
('228', 'node', '104', '1', 'points', 'vote', 'count', '1399470930'),
('229', 'node', '104', '1', 'points', 'vote', 'average', '1399470930'),
('230', 'node', '104', '1', 'points', 'vote', 'sum', '1399470930'),
('231', 'node', '104', '1', 'option', 'up_down', 'option-2', '1399470930'),
('258', 'comment', '16', '1', 'option', 'up_down', 'option-2', '1409916061'),
('372', 'node', '41', '1', 'percent', 'fivestars', 'count', '1409922628'),
('373', 'node', '41', '5', 'percent', 'fivestars', 'average', '1409922628'),
('374', 'node', '41', '1', 'percent', 'vote', 'count', '1409922628'),
('375', 'node', '41', '1', 'percent', 'vote', 'average', '1409922628'),
('376', 'node', '41', '2', 'points', 'like', 'count', '1409922628'),
('377', 'node', '41', '1', 'points', 'like', 'average', '1409922628'),
('378', 'node', '41', '2', 'points', 'like', 'sum', '1409922628'),
('379', 'node', '41', '1', 'option', 'up_down', 'option-2', '1409922628'),
('380', 'node', '41', '1', 'option', 'emotions', 'option-3', '1409922628'),
('389', 'node', '38', '2', 'points', 'vote', 'count', '1467195785'),
('390', 'node', '38', '1', 'points', 'vote', 'average', '1467195785'),
('391', 'node', '38', '2', 'points', 'vote', 'sum', '1467195785'),
('392', 'node', '38', '2', 'points', 'vote', 'positives', '1467195785'),
('393', 'node', '126', '2', 'points', 'vote', 'count', '1467195791'),
('394', 'node', '126', '1', 'points', 'vote', 'average', '1467195791'),
('395', 'node', '126', '2', 'points', 'vote', 'sum', '1467195791'),
('396', 'node', '126', '2', 'points', 'vote', 'positives', '1467195791');
/*!40000 ALTER TABLE votingapi_cache ENABLE KEYS */;

--
-- Table structure for table 'votingapi_vote'
--

CREATE TABLE IF NOT EXISTS `votingapi_vote` (
  `vote_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entity_type` varchar(64) NOT NULL DEFAULT 'node',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0',
  `value` float NOT NULL DEFAULT '0',
  `value_type` varchar(64) NOT NULL DEFAULT 'percent',
  `tag` varchar(64) NOT NULL DEFAULT 'vote',
  `uid` int(10) unsigned NOT NULL DEFAULT '0',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0',
  `vote_source` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`vote_id`),
  KEY `content_uid` (`entity_type`,`entity_id`,`uid`),
  KEY `content_uid_2` (`entity_type`,`uid`),
  KEY `content_source` (`entity_type`,`entity_id`,`vote_source`),
  KEY `content_value_tag` (`entity_type`,`entity_id`,`value_type`,`tag`)
) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;

--
-- Dumping data for table 'votingapi_vote'
--

/*!40000 ALTER TABLE votingapi_vote DISABLE KEYS */;
INSERT INTO `votingapi_vote` VALUES
('27', 'node', '104', '2', 'option', 'up_down', '1', '1399470930', '127.0.0.1'),
('30', 'node', '41', '2', 'option', 'up_down', '1', '1399531785', '127.0.0.1'),
('31', 'comment', '16', '2', 'option', 'up_down', '1', '1409916061', '127.0.0.1'),
('39', 'node', '41', '3', 'option', 'emotions', '1', '1409922182', '127.0.0.1'),
('43', 'node', '41', '5', 'percent', 'fivestars', '1', '1409922194', '127.0.0.1'),
('45', 'node', '41', '1', 'percent', 'vote', '1', '1409922433', '127.0.0.1'),
('46', 'node', '41', '1', 'points', 'like', '1', '1409922589', '127.0.0.1'),
('47', 'node', '41', '1', 'points', 'like', '0', '1409922628', '127.0.0.1'),
('48', 'node', '38', '1', 'points', 'vote', '1', '1465199601', '127.0.0.1'),
('49', 'node', '126', '1', 'points', 'vote', '1', '1467195447', '127.0.0.1'),
('50', 'node', '38', '1', 'points', 'vote', '0', '1467195785', '::1'),
('51', 'node', '126', '1', 'points', 'vote', '0', '1467195791', '::1');
/*!40000 ALTER TABLE votingapi_vote ENABLE KEYS */;

--
-- Table structure for table 'watchdog'
--

CREATE TABLE IF NOT EXISTS `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example `user` or `page not found.`',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.' COMMENT='Table that contains logs of all system events.';

--
-- Table structure for table 'webform'
--

CREATE TABLE IF NOT EXISTS `webform` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node identifier of a webform.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The serial number to give to the next submission to this webform.',
  `confirmation` text NOT NULL COMMENT 'The confirmation message or URL displayed to the user after submitting a form.',
  `confirmation_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the confirmation message.',
  `redirect_url` varchar(2048) DEFAULT '<confirmation>' COMMENT 'The URL a user is redirected to after submitting a form.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value of a webform for open (1) or closed (0).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether this form be available as a block.',
  `allow_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form be saved as a draft.',
  `auto_save` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form should be auto-saved between pages.',
  `submit_notice` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value for whether to show or hide the previous submissions notification.',
  `confidential` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether to anonymize submissions.',
  `submit_text` varchar(255) DEFAULT NULL COMMENT 'The title of the submit button on the form.',
  `submit_limit` tinyint(4) NOT NULL DEFAULT '-1' COMMENT 'The number of submissions a single user is allowed to submit within an interval. -1 is unlimited.',
  `submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before a user can submit another submission within the set limit.',
  `total_submit_limit` int(11) NOT NULL DEFAULT '-1' COMMENT 'The total number of submissions allowed within an interval. -1 is unlimited.',
  `total_submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before another submission can be submitted within the set limit.',
  `progressbar_bar` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the bar should be shown as part of the progress bar.',
  `progressbar_page_number` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the page number should be shown as part of the progress bar.',
  `progressbar_percent` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the percentage complete should be shown as part of the progress bar.',
  `progressbar_pagebreak_labels` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the pagebreak labels should be included as part of the progress bar.',
  `progressbar_include_confirmation` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the confirmation page should count as a page in the progress bar.',
  `progressbar_label_first` varchar(255) DEFAULT NULL COMMENT 'Label for the first page of the progress bar.',
  `progressbar_label_confirmation` varchar(255) DEFAULT NULL COMMENT 'Label for the last page of the progress bar.',
  `preview` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if this form includes a page for previewing the submission.',
  `preview_next_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button that will proceed to the preview page.',
  `preview_prev_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button to go backwards from the preview page.',
  `preview_title` varchar(255) DEFAULT NULL COMMENT 'The title of the preview page, as used by the progress bar.',
  `preview_message` text NOT NULL COMMENT 'Text shown on the preview page of the form.',
  `preview_message_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the preview page message.',
  `preview_excluded_components` text NOT NULL COMMENT 'Comma-separated list of component IDs that should not be included in this form’s confirmation page.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing additional properties for webform nodes.' COMMENT='Table for storing additional properties for webform nodes.';

--
-- Dumping data for table 'webform'
--

/*!40000 ALTER TABLE webform DISABLE KEYS */;
INSERT INTO `webform` VALUES
('173', '1', '', 'full_html', '<none>', '1', '1', '0', '0', '0', '0', 'Send message', '-1', '-1', '-1', '-1', '1', '0', '0', '1', '1', 'Start', 'Complete', '0', '', '', '', '', 'full_html', ''),
('181', '2', '', 'full_html', '<confirmation>', '1', '1', '0', '0', '1', '0', 'Button', '-1', '-1', '-1', '-1', '1', '0', '0', '1', '1', 'Start', 'Complete', '0', '', '', '', '', 'full_html', ''),
('182', '1', '', 'full_html', '<confirmation>', '1', '1', '0', '0', '1', '0', 'Button', '-1', '-1', '-1', '-1', '1', '0', '0', '1', '1', 'Start', 'Complete', '0', '', '', '', '', 'full_html', '');
/*!40000 ALTER TABLE webform ENABLE KEYS */;

--
-- Table structure for table 'webform_component'
--

CREATE TABLE IF NOT EXISTS `webform_component` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `pid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If this component has a parent fieldset, the cid of that component.',
  `form_key` varchar(128) DEFAULT NULL COMMENT 'When the form is displayed and processed, this key can be used to reference the results.',
  `name` text NOT NULL COMMENT 'The label for this component.',
  `type` varchar(16) DEFAULT NULL COMMENT 'The field type of this component (textfield, select, hidden, etc.).',
  `value` text NOT NULL COMMENT 'The default value of the component when displayed to the end-user.',
  `extra` text NOT NULL COMMENT 'Additional information unique to the display or processing of this component.',
  `required` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean flag for if this component is required.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this component in the form.',
  PRIMARY KEY (`nid`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about components for webform nodes.' COMMENT='Stores information about components for webform nodes.';

--
-- Dumping data for table 'webform_component'
--

/*!40000 ALTER TABLE webform_component DISABLE KEYS */;
INSERT INTO `webform_component` VALUES
('173', 1, 0, 'name', 'Your name', 'textfield', '', 'a:5:{s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:12:"grid-3 alpha";s:11:"css_classes";s:0:"";}', '1', 0),
('173', 2, 0, 'email', 'Your E-mail', 'email', '[current-user:mail]', 'a:5:{s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:12:"grid-3 omega";s:11:"css_classes";s:0:"";}', '1', 1),
('173', 3, 0, 'service', 'Service', 'select', '', 'a:8:{s:5:"items";s:137:"content_Marketing|Content Marketing\r\nprototyping|Prototyping\r\nmotion_design|Motion design\r\nweb_design|Web design\r\nphotography|Photography";s:8:"multiple";i:0;s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:12:"grid-3 alpha";s:11:"css_classes";s:0:"";s:6:"aslist";i:1;}', '0', 2),
('173', 4, 0, 'phone', 'Yout phone number', 'textfield', '', 'a:5:{s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:12:"grid-3 omega";s:11:"css_classes";s:0:"";}', '0', 3),
('173', 5, 0, 'message', 'Your message', 'textarea', '', 'a:6:{s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:10:"clear-both";s:11:"css_classes";s:0:"";s:9:"resizable";i:0;}', '1', 4),
('181', 1, 0, 'text_input', 'Text input', 'textfield', '', 'a:5:{s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";}', '0', 0),
('181', 3, 0, 'radio', 'Radio', 'select', '1', 'a:8:{s:5:"items";s:20:"1|Radio 1\r\n2|Radio 2";s:8:"multiple";i:0;s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:6:"aslist";i:0;}', '0', 2),
('181', 4, 0, 'checkbox', 'Checkbox', 'select', '1', 'a:8:{s:5:"items";s:26:"1|Checkbox 1\r\n2|Checkbox 2";s:8:"multiple";i:1;s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:6:"aslist";i:0;}', '0', 3),
('181', 5, 0, 'select', 'Select', 'select', '', 'a:9:{s:5:"items";s:58:"1|Option 1\r\n2|Option 2\r\n3|Option 3\r\n4|Option 4\r\n5|Option 5";s:8:"multiple";i:0;s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:6:"aslist";i:1;s:12:"empty_option";s:6:"Select";}', '0', 4),
('181', 6, 0, 'textarea', 'Textarea', 'textarea', '', 'a:6:{s:13:"title_display";s:6:"before";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:9:"resizable";i:0;}', '0', 5),
('182', 1, 0, 'text_input', 'Text input', 'textfield', '', 'a:5:{s:13:"title_display";s:6:"inline";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";}', '0', 0),
('182', 2, 0, 'radio', 'Radio', 'select', '1', 'a:8:{s:5:"items";s:20:"1|Radio 1\r\n2|Radio 2";s:8:"multiple";i:0;s:13:"title_display";s:6:"inline";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:6:"aslist";i:0;}', '0', 1),
('182', 3, 0, 'checkbox', 'Checkbox', 'select', '1', 'a:8:{s:5:"items";s:26:"1|Checkbox 1\r\n2|Checkbox 2";s:8:"multiple";i:1;s:13:"title_display";s:6:"inline";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:6:"aslist";i:0;}', '0', 2),
('182', 4, 0, 'select', 'Select', 'select', '', 'a:9:{s:5:"items";s:58:"1|Option 1\r\n2|Option 2\r\n3|Option 3\r\n4|Option 4\r\n5|Option 5";s:8:"multiple";i:0;s:13:"title_display";s:6:"inline";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:6:"aslist";i:1;s:12:"empty_option";s:6:"Select";}', '0', 3),
('182', 5, 0, 'textarea', 'Textarea', 'textarea', '', 'a:6:{s:13:"title_display";s:6:"inline";s:17:"description_above";i:0;s:7:"private";i:0;s:15:"wrapper_classes";s:0:"";s:11:"css_classes";s:0:"";s:9:"resizable";i:0;}', '0', 4);
/*!40000 ALTER TABLE webform_component ENABLE KEYS */;

--
-- Table structure for table 'webform_conditional'
--

CREATE TABLE IF NOT EXISTS `webform_conditional` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `andor` varchar(128) DEFAULT NULL COMMENT 'Whether to AND or OR the actions in this group. All actions within the same rgid should have the same andor value.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this conditional compared to others.',
  PRIMARY KEY (`nid`,`rgid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.' COMMENT='Holds information about conditional logic.';

--
-- Dumping data for table 'webform_conditional'
--

/*!40000 ALTER TABLE webform_conditional DISABLE KEYS */;
/*!40000 ALTER TABLE webform_conditional ENABLE KEYS */;

--
-- Table structure for table 'webform_conditional_actions'
--

CREATE TABLE IF NOT EXISTS `webform_conditional_actions` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `aid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional action.',
  `target_type` varchar(128) DEFAULT NULL COMMENT 'The type of target to be affected. Currently always `component`. Indicates what type of ID the `target` column contains.',
  `target` varchar(128) DEFAULT NULL COMMENT 'The ID of the target to be affected. Typically a component ID.',
  `invert` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If inverted, execute when rule(s) are false.',
  `action` varchar(128) DEFAULT NULL COMMENT 'The action to be performed on the target.',
  `argument` text COMMENT 'Optional argument for action.',
  PRIMARY KEY (`nid`,`rgid`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional actions.' COMMENT='Holds information about conditional actions.';

--
-- Dumping data for table 'webform_conditional_actions'
--

/*!40000 ALTER TABLE webform_conditional_actions DISABLE KEYS */;
/*!40000 ALTER TABLE webform_conditional_actions ENABLE KEYS */;

--
-- Table structure for table 'webform_conditional_rules'
--

CREATE TABLE IF NOT EXISTS `webform_conditional_rules` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `rid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional rule.',
  `source_type` varchar(128) DEFAULT NULL COMMENT 'The type of source on which the conditional is based. Currently always `component`. Indicates what type of ID the `source` column contains.',
  `source` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The component ID being used in this condition.',
  `operator` varchar(128) DEFAULT NULL COMMENT 'Which operator (equal, contains, starts with, etc.) should be used for this comparison between the source and value?',
  `value` text COMMENT 'The value to be compared with source.',
  PRIMARY KEY (`nid`,`rgid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.' COMMENT='Holds information about conditional logic.';

--
-- Dumping data for table 'webform_conditional_rules'
--

/*!40000 ALTER TABLE webform_conditional_rules DISABLE KEYS */;
/*!40000 ALTER TABLE webform_conditional_rules ENABLE KEYS */;

--
-- Table structure for table 'webform_emails'
--

CREATE TABLE IF NOT EXISTS `webform_emails` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `eid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The e-mail identifier for this row’s settings.',
  `email` text COMMENT 'The e-mail address that will be sent to upon submission. This may be an e-mail address, the special key `default` or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `subject` text COMMENT 'The e-mail subject that will be used. This may be a string, the special key `default` or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_name` text COMMENT 'The e-mail `from` name that will be used. This may be a string, the special key `default` or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_address` text COMMENT 'The e-mail `from` e-mail address that will be used. This may be a string, the special key `default` or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `template` text COMMENT 'A template that will be used for the sent e-mail. This may be a string or the special key `default`, which will use the template provided by the theming layer.',
  `excluded_components` text NOT NULL COMMENT 'A list of components that will not be included in the [submission:values] token. A list of CIDs separated by commas.',
  `html` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will be sent in an HTML format. Requires Mime Mail module.',
  `attachments` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include file attachments. Requires Mime Mail module.',
  `exclude_empty` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include component with an empty value.',
  `extra` text NOT NULL COMMENT 'A serialized array of additional options for the e-mail configuration, including value mapping for the TO and FROM addresses for select lists.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Whether this email is enabled.',
  PRIMARY KEY (`nid`,`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information regarding e-mails that should be sent...' COMMENT='Holds information regarding e-mails that should be sent...';

--
-- Dumping data for table 'webform_emails'
--

/*!40000 ALTER TABLE webform_emails DISABLE KEYS */;
/*!40000 ALTER TABLE webform_emails ENABLE KEYS */;

--
-- Table structure for table 'webform_last_download'
--

CREATE TABLE IF NOT EXISTS `webform_last_download` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user identifier.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The last downloaded submission number.',
  `requested` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last download request.',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores last submission number per user download.' COMMENT='Stores last submission number per user download.';

--
-- Dumping data for table 'webform_last_download'
--

/*!40000 ALTER TABLE webform_last_download DISABLE KEYS */;
/*!40000 ALTER TABLE webform_last_download ENABLE KEYS */;

--
-- Table structure for table 'webform_roles'
--

CREATE TABLE IF NOT EXISTS `webform_roles` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The role identifier.',
  PRIMARY KEY (`nid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds access information regarding which roles are...' COMMENT='Holds access information regarding which roles are...';

--
-- Dumping data for table 'webform_roles'
--

/*!40000 ALTER TABLE webform_roles DISABLE KEYS */;
INSERT INTO `webform_roles` VALUES
('173', '1'),
('173', '2'),
('173', '3'),
('181', '1'),
('181', '2'),
('181', '3'),
('182', '1'),
('182', '2');
/*!40000 ALTER TABLE webform_roles ENABLE KEYS */;

--
-- Table structure for table 'webform_submissions'
--

CREATE TABLE IF NOT EXISTS `webform_submissions` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for this submission.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `serial` int(10) unsigned NOT NULL COMMENT 'The serial number of this submission.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The id of the user that completed this submission.',
  `is_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this a draft of the submission?',
  `highest_valid_page` smallint(6) NOT NULL DEFAULT '0' COMMENT 'For drafts, the highest validated page number.',
  `submitted` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was first saved as draft or submitted.',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was submitted as complete (not draft).',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was last saved (complete or draft).',
  `remote_addr` varchar(128) DEFAULT NULL COMMENT 'The IP address of the user that submitted the form.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `sid_nid` (`sid`,`nid`),
  UNIQUE KEY `nid_serial` (`nid`,`serial`),
  KEY `nid_uid_sid` (`nid`,`uid`,`sid`),
  KEY `nid_sid` (`nid`,`sid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Holds general information about submissions outside of...' COMMENT='Holds general information about submissions outside of...';

--
-- Dumping data for table 'webform_submissions'
--

/*!40000 ALTER TABLE webform_submissions DISABLE KEYS */;
INSERT INTO `webform_submissions` VALUES
('1', '181', '1', '0', '0', 0, '1468853362', '1468853362', '1468853362', '::1');
/*!40000 ALTER TABLE webform_submissions ENABLE KEYS */;

--
-- Table structure for table 'webform_submitted_data'
--

CREATE TABLE IF NOT EXISTS `webform_submitted_data` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier for this submission.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `no` varchar(128) NOT NULL DEFAULT '0' COMMENT 'Usually this value is 0, but if a field has multiple values (such as a time or date), it may require multiple rows in the database.',
  `data` mediumtext NOT NULL COMMENT 'The submitted value of this field, may be serialized for some components.',
  PRIMARY KEY (`nid`,`sid`,`cid`,`no`),
  KEY `nid` (`nid`),
  KEY `sid_nid` (`sid`,`nid`),
  KEY `data` (`data`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores all submitted field data for webform submissions.' COMMENT='Stores all submitted field data for webform submissions.';

--
-- Dumping data for table 'webform_submitted_data'
--

/*!40000 ALTER TABLE webform_submitted_data DISABLE KEYS */;
INSERT INTO `webform_submitted_data` VALUES
('181', '1', 1, '0', ''),
('181', '1', 3, '0', '1'),
('181', '1', 4, '0', '1'),
('181', '1', 5, '0', ''),
('181', '1', 6, '0', '');
/*!40000 ALTER TABLE webform_submitted_data ENABLE KEYS */;

--
-- Table structure for table 'wysiwyg'
--

CREATE TABLE IF NOT EXISTS `wysiwyg` (
  `format` varchar(255) NOT NULL COMMENT 'The filter_format.format of the text format.',
  `editor` varchar(128) NOT NULL DEFAULT '' COMMENT 'Internal name of the editor attached to the text format.',
  `settings` text COMMENT 'Configuration settings for the editor.',
  PRIMARY KEY (`format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores Wysiwyg profiles.' COMMENT='Stores Wysiwyg profiles.';

--
-- Dumping data for table 'wysiwyg'
--

/*!40000 ALTER TABLE wysiwyg DISABLE KEYS */;
INSERT INTO `wysiwyg` VALUES
('filtered_html', 'tinymce', 'a:20:{s:7:"default";i:1;s:11:"user_choose";i:0;s:11:"show_toggle";i:1;s:5:"theme";s:8:"advanced";s:8:"language";s:2:"en";s:7:"buttons";a:5:{s:7:"default";a:31:{s:4:"bold";i:1;s:6:"italic";i:1;s:9:"underline";i:1;s:13:"strikethrough";i:1;s:11:"justifyleft";i:1;s:13:"justifycenter";i:1;s:12:"justifyright";i:1;s:11:"justifyfull";i:1;s:7:"bullist";i:1;s:7:"numlist";i:1;s:7:"outdent";i:1;s:6:"indent";i:1;s:4:"undo";i:1;s:4:"redo";i:1;s:4:"link";i:1;s:6:"unlink";i:1;s:6:"anchor";i:1;s:5:"image";i:1;s:10:"fontselect";i:1;s:14:"fontsizeselect";i:1;s:9:"forecolor";i:1;s:9:"backcolor";i:1;s:3:"sup";i:1;s:3:"sub";i:1;s:10:"blockquote";i:1;s:4:"code";i:1;s:2:"hr";i:1;s:3:"cut";i:1;s:4:"copy";i:1;s:5:"paste";i:1;s:12:"removeformat";i:1;}s:8:"advimage";a:1:{s:8:"advimage";i:1;}s:5:"media";a:1:{s:5:"media";i:1;}s:10:"xhtmlxtras";a:1:{s:4:"cite";i:1;}s:6:"drupal";a:1:{s:5:"media";i:1;}}s:11:"toolbar_loc";s:3:"top";s:13:"toolbar_align";s:4:"left";s:8:"path_loc";s:6:"bottom";s:8:"resizing";i:1;s:11:"verify_html";i:1;s:12:"preformatted";i:0;s:22:"convert_fonts_to_spans";i:1;s:17:"remove_linebreaks";i:0;s:23:"apply_source_formatting";i:0;s:27:"paste_auto_cleanup_on_paste";i:0;s:13:"block_formats";s:32:"p,address,pre,h2,h3,h4,h5,h6,div";s:11:"css_setting";s:5:"theme";s:8:"css_path";s:0:"";s:11:"css_classes";s:0:"";}'),
('full_html', 'tinymce', 'a:20:{s:7:"default";i:0;s:11:"user_choose";i:0;s:11:"show_toggle";i:1;s:5:"theme";s:8:"advanced";s:8:"language";s:2:"en";s:7:"buttons";a:5:{s:7:"default";a:30:{s:4:"bold";i:1;s:6:"italic";i:1;s:9:"underline";i:1;s:13:"strikethrough";i:1;s:11:"justifyleft";i:1;s:13:"justifycenter";i:1;s:12:"justifyright";i:1;s:11:"justifyfull";i:1;s:7:"bullist";i:1;s:7:"numlist";i:1;s:7:"outdent";i:1;s:6:"indent";i:1;s:4:"undo";i:1;s:4:"redo";i:1;s:4:"link";i:1;s:6:"unlink";i:1;s:6:"anchor";i:1;s:5:"image";i:1;s:10:"fontselect";i:1;s:14:"fontsizeselect";i:1;s:3:"sup";i:1;s:3:"sub";i:1;s:10:"blockquote";i:1;s:4:"code";i:1;s:2:"hr";i:1;s:3:"cut";i:1;s:4:"copy";i:1;s:5:"paste";i:1;s:12:"removeformat";i:1;s:7:"charmap";i:1;}s:5:"table";a:1:{s:13:"tablecontrols";i:1;}s:5:"media";a:1:{s:5:"media";i:1;}s:10:"xhtmlxtras";a:1:{s:4:"cite";i:1;}s:6:"drupal";a:2:{s:5:"media";i:1;s:17:"shortcode_wysiwyg";i:1;}}s:11:"toolbar_loc";s:3:"top";s:13:"toolbar_align";s:4:"left";s:8:"path_loc";s:6:"bottom";s:8:"resizing";i:1;s:11:"verify_html";i:1;s:12:"preformatted";i:0;s:22:"convert_fonts_to_spans";i:1;s:17:"remove_linebreaks";i:0;s:23:"apply_source_formatting";i:0;s:27:"paste_auto_cleanup_on_paste";i:0;s:13:"block_formats";s:32:"p,address,pre,h2,h3,h4,h5,h6,div";s:11:"css_setting";s:5:"theme";s:8:"css_path";s:0:"";s:11:"css_classes";s:0:"";}'),
('gmap', '', NULL),
('php_code', '', NULL),
('plain_text', '', NULL);
/*!40000 ALTER TABLE wysiwyg ENABLE KEYS */;

--
-- Table structure for table 'wysiwyg_user'
--

CREATE TABLE IF NOT EXISTS `wysiwyg_user` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the text format.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the format is enabled by default.',
  KEY `uid` (`uid`),
  KEY `format` (`format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user preferences for wysiwyg profiles.' COMMENT='Stores user preferences for wysiwyg profiles.';

--
-- Dumping data for table 'wysiwyg_user'
--

/*!40000 ALTER TABLE wysiwyg_user DISABLE KEYS */;
/*!40000 ALTER TABLE wysiwyg_user ENABLE KEYS */;

SET FOREIGN_KEY_CHECKS = 1;
SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT;
SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS;
SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION;

